/* Generated from library.scm by the CHICKEN compiler
   http://www.call-cc.org
   Version 5.0.0 (rev 12f2f2cc)
   linux-unix-gnu-unknown [ 64bit dload ptables ]
   command line: library.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-types-file ./types.db -explicit-use -no-trace -output-file library.c -no-module-registration -emit-import-library chicken.bitwise -emit-import-library chicken.blob -emit-import-library chicken.fixnum -emit-import-library chicken.flonum -emit-import-library chicken.gc -emit-import-library chicken.keyword -emit-import-library chicken.platform -emit-import-library chicken.plist -emit-import-library chicken.process-context
   unit: library
   uses: build-version
*/
#include "chicken.h"

#include <errno.h>
#include <float.h>

#ifdef HAVE_SYSEXITS_H
# include <sysexits.h>
#endif

#ifndef EX_SOFTWARE
# define EX_SOFTWARE	70
#endif

#define C_close_file(p)	      (C_fclose((C_FILEPTR)(C_port_file(p))), C_SCHEME_UNDEFINED)
#define C_a_f64peek(ptr, c, b, i)  C_flonum(ptr, ((double *)C_data_pointer(b))[ C_unfix(i) ])
#define C_fetch_c_strlen(b, i) C_fix(strlen((C_char *)C_block_item(b, C_unfix(i))))
#define C_asciiz_strlen(str) C_fix(strlen(C_c_string(str)))
#define C_peek_c_string(b, i, to, len) (C_memcpy(C_data_pointer(to), (C_char *)C_block_item(b, C_unfix(i)), C_unfix(len)), C_SCHEME_UNDEFINED)
#define C_free_mptr(p, i)     (C_free((void *)C_block_item(p, C_unfix(i))), C_SCHEME_UNDEFINED)
#define C_free_sptr(p, i)     (C_free((void *)(((C_char **)C_block_item(p, 0))[ C_unfix(i) ])), C_SCHEME_UNDEFINED)

#define C_a_get_current_seconds(ptr, c, dummy)  C_int64_to_num(ptr, time(NULL))
#define C_peek_c_string_at(ptr, i)    ((C_char *)(((C_char **)ptr)[ i ]))

static C_word
fast_read_line_from_file(C_word str, C_word port, C_word size) {
  int n = C_unfix(size);
  int i;
  int c;
  char *buf = C_c_string(str);
  C_FILEPTR fp = C_port_file(port);

  if ((c = C_getc(fp)) == EOF) {
    if (ferror(fp)) {
      clearerr(fp);
      return C_fix(-1);
    } else { /* feof (fp) */
      return C_SCHEME_END_OF_FILE;
    }
  }

  C_ungetc(c, fp);

  for (i = 0; i < n; i++) {
    c = C_getc(fp);

    if(c == EOF && ferror(fp)) {
      clearerr(fp);
      return C_fix(-(i + 1));
    }

    switch (c) {
    case '\r':	if ((c = C_getc(fp)) != '\n') C_ungetc(c, fp);
    case EOF:	clearerr(fp);
    case '\n':	return C_fix(i);
    }
    buf[i] = c;
  }
  return C_SCHEME_FALSE;
}

static C_word
fast_read_string_from_file(C_word dest, C_word port, C_word len, C_word pos)
{
  size_t m;
  int n = C_unfix (len);
  char * buf = ((char *)C_data_pointer (dest) + C_unfix (pos));
  C_FILEPTR fp = C_port_file (port);

  if(feof(fp)) return C_SCHEME_END_OF_FILE;

  m = fread (buf, sizeof (char), n, fp);

  if (m < n) {
    if (ferror(fp)) /* Report to Scheme, which may retry, so clear errors */
      clearerr(fp);
    else if (feof(fp) && 0 == m) /* eof but m > 0? Return data first, below */
      return C_SCHEME_END_OF_FILE; /* Calling again will get us here */
  }

  return C_fix (m);
}

static C_word
shallow_equal(C_word x, C_word y)
{
  /* assumes x and y are non-immediate */
  int i, len = C_header_size(x);

  if(C_header_size(y) != len) return C_SCHEME_FALSE;      
  else return C_mk_bool(!C_memcmp((void *)x, (void *)y, len * sizeof(C_word)));
}

static C_word
signal_debug_event(C_word mode, C_word msg, C_word args)
{
  C_DEBUG_INFO cell;
  C_word av[ 3 ];
  cell.enabled = 1;
  cell.event = C_DEBUG_SIGNAL;
  cell.loc = "";
  cell.val = "";
  av[ 0 ] = mode;
  av[ 1 ] = msg;
  av[ 2 ] = args;
  C_debugger(&cell, 3, av);
  return C_SCHEME_UNDEFINED;
}

#ifdef NO_DLOAD2
# define HAVE_DLOAD 0
#else
# define HAVE_DLOAD 1
#endif

#ifdef C_ENABLE_PTABLES
# define HAVE_PTABLES 1
#else
# define HAVE_PTABLES 0
#endif

#ifdef C_GC_HOOKS
# define HAVE_GCHOOKS 1
#else
# define HAVE_GCHOOKS 0
#endif

#if defined(C_CROSS_CHICKEN) && C_CROSS_CHICKEN
# define IS_CROSS_CHICKEN 1
#else
# define IS_CROSS_CHICKEN 0
#endif


#define C_chdir(str) C_fix(chdir(C_c_string(str)))
#define C_curdir(buf) (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)
#define C_getenventry(i) (environ[ i ])

#ifdef HAVE_CRT_EXTERNS_H
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#else
extern char **environ;
#endif

#ifdef HAVE_SETENV
# define C_unsetenv(s)    (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)   C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)   C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)   C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif



static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_build_2dversion_toplevel)
C_externimport void C_ccall C_build_2dversion_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[1389];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,110,111,116,32,120,41,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,98,111,111,108,101,97,110,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,113,63,32,120,32,121,41};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,113,118,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,101,113,117,97,108,63,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,112,97,105,114,63,32,120,41};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,111,110,115,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,97,114,32,120,41,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,100,114,32,120,41,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,97,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,100,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,100,114,32,120,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,100,114,32,120,41};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,97,114,32,120,41,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,97,114,32,120,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,100,114,32,120,41,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,97,114,32,120,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,100,114,32,120,41};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,97,114,32,120,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,97,114,32,120,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,100,114,32,120,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,97,114,32,120,41};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,100,114,32,120,41};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,110,117,108,108,63,32,120,41};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,105,115,116,32,46,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,101,110,103,116,104,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,108,105,115,116,45,116,97,105,108,32,108,115,116,32,105,41};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,108,105,115,116,45,114,101,102,32,108,115,116,32,105,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,109,101,109,98,101,114,32,120,32,108,115,116,41,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,97,115,115,111,99,32,120,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,108,105,115,116,63,32,120,41};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,116,114,105,110,103,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,108,101,110,103,116,104,32,115,41};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,114,101,102,32,115,32,105,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,115,101,116,33,32,115,32,105,32,99,41,0,0,0,0,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,116,114,105,110,103,61,63,32,120,32,121,41,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,61,63,32,120,32,121,41};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,120,97,99,116,45,62,105,110,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,97,98,115,32,120,41,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,6),67,95,112,108,117,115,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,7),67,95,109,105,110,117,115,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,7),67,95,116,105,109,101,115,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,113,117,111,116,105,101,110,116,32,97,32,98,41,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,114,101,109,97,105,110,100,101,114,32,97,32,98,41,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,111,100,117,108,111,32,97,32,98,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,118,101,110,63,32,110,41};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,111,100,100,63,32,110,41,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,9),67,95,110,101,113,117,97,108,112,0,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,10),67,95,103,114,101,97,116,101,114,112,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,7),67,95,108,101,115,115,112,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,20),67,95,103,114,101,97,116,101,114,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,17),67,95,108,101,115,115,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,110,117,109,98,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,101,97,108,63,32,120,41};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,63,32,110,41,0,0,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,97,99,116,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,122,101,114,111,63,32,110,41};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,112,111,115,105,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,101,103,97,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,18),67,95,110,117,109,98,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,118,101,99,116,111,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,108,101,110,103,116,104,32,118,41};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,114,101,102,32,118,32,105,41,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,115,101,116,33,32,118,32,105,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,104,97,114,63,32,120,41};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,62,105,110,116,101,103,101,114,32,99,41};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,45,62,99,104,97,114,32,110,41};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,61,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,62,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,60,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,62,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,60,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,99,97,115,101,32,99,41,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,100,111,119,110,99,97,115,101,32,99,41};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,112,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,108,111,119,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,110,117,109,101,114,105,99,63,32,99,41};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,119,104,105,116,101,115,112,97,99,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,97,108,112,104,97,98,101,116,105,99,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,112,114,111,99,101,100,117,114,101,63,32,120,41,0,0,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,7),67,95,97,112,112,108,121,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,8),67,95,118,97,108,117,101,115};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,18),67,95,99,97,108,108,95,119,105,116,104,95,118,97,108,117,101,115,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,112,117,116,45,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,111,117,116,112,117,116,45,112,111,114,116,63,32,120,41,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,101,111,102,45,111,98,106,101,99,116,63,32,120,41,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,101,118,97,108,32,120,32,46,32,101,110,118,41,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,105,110,116,101,114,97,99,116,105,111,110,45,101,110,118,105,114,111,110,109,101,110,116,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,115,99,104,101,109,101,45,114,101,112,111,114,116,45,101,110,118,105,114,111,110,109,101,110,116,32,110,41,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,110,117,108,108,45,101,110,118,105,114,111,110,109,101,110,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,108,111,97,100,32,102,105,108,101,110,97,109,101,32,46,32,101,118,97,108,117,97,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,120,110,117,109,63,32,120,41};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,111,110,117,109,63,32,120,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,105,103,110,117,109,63,32,120,41};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,116,110,117,109,63,32,120,41};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,112,108,120,110,117,109,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,63,32,120,41,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,24),67,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,57,49,57,49,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,15),40,97,57,49,57,55,32,100,105,118,32,114,101,109,41,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,113,117,111,116,105,101,110,116,38,109,111,100,117,108,111,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,110,105,116,101,63,32,120,41};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,102,105,110,105,116,101,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,97,110,63,32,120,41,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,8),67,95,115,105,103,110,117,109};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,100,100,49,32,110,41,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,49,32,110,41,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,114,114,111,114,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,111,105,100,32,46,32,95,41,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,109,105,115,101,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,109,97,107,101,45,112,114,111,109,105,115,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,7),40,97,57,51,49,53,41,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,114,111,109,105,115,101,32,111,98,106,41,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,122,41,0,0,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,108,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,114,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,110,45,101,120,105,116,32,116,104,117,110,107,41,0,0,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,100,101,110,116,105,116,121,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,52,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,55,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,100,105,115,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,50,52,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,50,54,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,115,116,97,110,116,108,121,32,46,32,120,115,41,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,51,54,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,105,112,32,112,114,111,99,41};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,52,52,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,108,101,109,101,110,116,32,112,41,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,97,57,53,55,48,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,54,53,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,14),40,114,101,99,32,102,48,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,111,115,101,32,46,32,102,110,115,41,0,0,0,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,10),40,102,95,57,54,49,54,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,110,115,41,0,0,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,51,49,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,108,105,115,116,45,111,102,63,32,112,114,101,100,41,0,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,56,49,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,99,115,41,0,0,0,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,15),40,102,95,57,54,57,53,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,97,99,104,32,46,32,112,114,111,99,115,41,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,116,111,109,63,32,120,41,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,116,97,105,108,63,32,120,32,121,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,9),40,108,111,111,112,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,116,101,114,115,112,101,114,115,101,32,108,115,116,32,120,41};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,117,116,108,97,115,116,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,17),40,108,111,111,112,32,108,105,115,116,115,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,97,116,116,101,110,32,46,32,108,105,115,116,115,48,41,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,106,111,105,110,32,108,115,116,115,32,46,32,108,115,116,41,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,98,108,115,116,32,108,115,116,41,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,114,101,115,115,32,98,108,115,116,32,108,115,116,41};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,48,52,50,32,120,32,108,115,116,41,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,33,32,120,32,121,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,32,107,32,118,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,50,51,52,32,120,32,108,115,116,41,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,114,101,102,32,120,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,108,41};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,115,115,111,99,32,120,32,108,115,116,32,46,32,116,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,32,120,32,121,41};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,32,120,32,121,41};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,32,120,32,121,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,61,32,120,32,121,41};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,32,120,32,121,41};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,32,120,32,121,41};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,101,103,32,120,41};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,97,110,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,105,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,120,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,111,116,32,120,41};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,108,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,111,100,100,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,101,118,101,110,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,108,101,110,32,120,41};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,32,120,32,121,41};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li218[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,111,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li219[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,114,101,109,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li220[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li221[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li222[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li223[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li224[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,100,101,98,117,103,45,109,111,100,101,63,41,0,0,0,0,0};
static C_char C_TLS li225[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,119,97,114,110,105,110,103,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li226[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,111,116,105,99,101,32,109,115,103,32,46,32,97,114,103,115,41};
static C_char C_TLS li227[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,110,97,98,108,101,45,119,97,114,110,105,110,103,115,32,46,32,98,111,111,108,41,0,0,0};
static C_char C_TLS li228[] C_aligned={C_lihdr(0,0,4),67,95,103,99,0,0,0,0};
static C_char C_TLS li229[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,115,108,111,116,32,120,32,105,32,121,41,0,0,0};
static C_char C_TLS li230[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,101,116,105,115,108,111,116,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li231[] C_aligned={C_lihdr(0,0,17),67,95,97,108,108,111,99,97,116,101,95,118,101,99,116,111,114,0,0,0,0,0,0,0};
static C_char C_TLS li232[] C_aligned={C_lihdr(0,0,16),67,95,109,97,107,101,95,115,116,114,117,99,116,117,114,101};
static C_char C_TLS li233[] C_aligned={C_lihdr(0,0,21),67,95,101,110,115,117,114,101,95,104,101,97,112,95,114,101,115,101,114,118,101,0,0,0};
static C_char C_TLS li234[] C_aligned={C_lihdr(0,0,23),67,95,103,101,116,95,115,121,109,98,111,108,95,116,97,98,108,101,95,105,110,102,111,0};
static C_char C_TLS li235[] C_aligned={C_lihdr(0,0,17),67,95,103,101,116,95,109,101,109,111,114,121,95,105,110,102,111,0,0,0,0,0,0,0};
static C_char C_TLS li236[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,115,116,97,114,116,45,116,105,109,101,114,41,0,0,0,0,0};
static C_char C_TLS li237[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li238[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li239[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,116,111,112,45,116,105,109,101,114,41,0,0,0,0,0,0};
static C_char C_TLS li240[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,105,109,109,101,100,105,97,116,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li241[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,109,101,115,115,97,103,101,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li242[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,98,121,116,101,32,120,32,105,41};
static C_char C_TLS li243[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,98,121,116,101,32,120,32,105,32,110,41,0,0,0};
static C_char C_TLS li244[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,104,97,108,116,32,109,115,103,41};
static C_char C_TLS li245[] C_aligned={C_lihdr(0,0,8),67,95,98,101,99,111,109,101};
static C_char C_TLS li246[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,108,111,99,107,45,114,101,102,32,120,32,105,41,0,0,0};
static C_char C_TLS li247[] C_aligned={C_lihdr(0,0,14),67,95,97,112,112,108,121,95,118,97,108,117,101,115,0,0};
static C_char C_TLS li248[] C_aligned={C_lihdr(0,0,14),67,95,99,111,112,121,95,99,108,111,115,117,114,101,0,0};
static C_char C_TLS li249[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,98,108,111,99,107,45,115,101,116,33,32,120,32,105,32,121,41};
static C_char C_TLS li250[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0,0};
static C_char C_TLS li251[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,115,101,99,111,110,100,115,41,0,0};
static C_char C_TLS li252[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,112,117,45,116,105,109,101,41,0};
static C_char C_TLS li253[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,117,99,116,117,114,101,32,120,32,121,32,46,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li254[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,98,108,111,98,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li255[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,97,105,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li256[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,108,105,115,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li257[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,105,110,103,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li258[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,110,117,109,98,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li259[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,102,105,120,110,117,109,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li260[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li261[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li262[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,121,109,98,111,108,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li263[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,118,101,99,116,111,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li264[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,99,104,97,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li265[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,98,111,111,108,101,97,110,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li266[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,99,104,101,99,107,45,108,111,99,97,116,105,118,101,32,120,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li267[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li268[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li269[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li270[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,114,101,97,108,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li271[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,114,97,110,103,101,32,105,32,102,114,111,109,32,116,111,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li272[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,115,112,101,99,105,97,108,32,112,116,114,32,46,32,108,111,99,41,0};
static C_char C_TLS li273[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,99,108,111,115,117,114,101,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li274[] C_aligned={C_lihdr(0,0,20),40,108,112,32,112,114,111,109,105,115,101,32,102,111,114,119,97,114,100,41,0,0,0,0};
static C_char C_TLS li275[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,102,111,114,99,101,32,111,98,106,41,0,0,0,0,0,0};
static C_char C_TLS li276[] C_aligned={C_lihdr(0,0,7),67,95,100,108,111,97,100,0};
static C_char C_TLS li277[] C_aligned={C_lihdr(0,0,18),67,95,115,101,116,95,100,108,111,112,101,110,95,102,108,97,103,115,0,0,0,0,0,0};
static C_char C_TLS li278[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,110,111,116,45,97,45,112,114,111,112,101,114,45,108,105,115,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li279[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,110,117,109,98,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li280[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li281[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li282[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li283[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,101,120,97,99,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li284[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,114,101,97,108,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li285[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,98,97,115,101,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li286[] C_aligned={C_lihdr(0,0,11),40,99,111,112,121,32,110,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li287[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li288[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,112,112,101,110,100,32,46,32,108,115,116,115,41,0,0};
static C_char C_TLS li289[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li290[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,97,115,116,45,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li291[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li292[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li293[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,32,108,115,41,0,0,0,0,0};
static C_char C_TLS li294[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,108,105,115,116,32,115,41,0};
static C_char C_TLS li295[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,49,53,49,57,32,108,115,116,41};
static C_char C_TLS li296[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,115,116,114,105,110,103,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li297[] C_aligned={C_lihdr(0,0,9),40,105,116,101,114,32,110,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li298[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,118,101,114,115,101,45,108,105,115,116,45,62,115,116,114,105,110,103,32,108,41,0,0};
static C_char C_TLS li299[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,102,105,108,108,33,32,115,32,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li300[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,111,112,121,32,115,41,0,0};
static C_char C_TLS li301[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,46,32,101,110,100,41};
static C_char C_TLS li302[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,101,110,100,41,0,0,0};
static C_char C_TLS li303[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,53,55,50,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li304[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,54,57,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li305[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li306[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,57,51,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li307[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li308[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,49,55,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li309[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li310[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,51,56,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li311[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li312[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,54,49,53,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li313[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,55,57,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li314[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li315[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,48,51,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li316[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li317[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,50,55,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li318[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li319[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,52,56,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li320[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li321[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li322[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,115,116,114,115,32,110,41,0,0,0};
static C_char C_TLS li323[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,46,32,97,108,108,41,0,0,0,0};
static C_char C_TLS li324[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,32,46,32,99,104,97,114,115,41,0};
static C_char C_TLS li325[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,111,115,41,0,0,0,0,0,0};
static C_char C_TLS li326[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,114,97,103,109,101,110,116,115,45,62,115,116,114,105,110,103,32,116,111,116,97,108,32,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li327[] C_aligned={C_lihdr(0,0,20),40,100,111,108,111,111,112,49,55,48,48,32,104,100,32,116,108,32,99,41,0,0,0,0};
static C_char C_TLS li328[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,105,41,0,0,0,0};
static C_char C_TLS li329[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,111,112,32,108,115,116,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li330[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,43,32,120,32,121,41};
static C_char C_TLS li331[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,45,32,120,32,121,41};
static C_char C_TLS li332[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,42,32,120,32,121,41};
static C_char C_TLS li333[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,32,120,32,121,41};
static C_char C_TLS li334[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li335[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li336[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,61,32,120,32,121,41};
static C_char C_TLS li337[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,32,120,32,121,41};
static C_char C_TLS li338[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,32,120,32,121,41};
static C_char C_TLS li339[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li340[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li341[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,110,101,103,32,120,41};
static C_char C_TLS li342[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li343[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li344[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,102,108,111,111,114,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li345[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,114,117,110,99,97,116,101,32,120,41,0,0,0};
static C_char C_TLS li346[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,114,111,117,110,100,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li347[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,101,105,108,105,110,103,32,120,41,0,0,0,0};
static C_char C_TLS li348[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,105,110,32,120,41};
static C_char C_TLS li349[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,111,115,32,120,41};
static C_char C_TLS li350[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,97,110,32,120,41};
static C_char C_TLS li351[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,115,105,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li352[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,99,111,115,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li353[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li354[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li355[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,32,120,41};
static C_char C_TLS li356[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,116,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li357[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,108,111,103,32,120,41};
static C_char C_TLS li358[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,113,114,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li359[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,98,115,32,120,41};
static C_char C_TLS li360[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,105,110,116,101,103,101,114,63,32,120,41,0,0,0};
static C_char C_TLS li361[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,108,111,110,117,109,45,112,114,105,110,116,45,112,114,101,99,105,115,105,111,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li362[] C_aligned={C_lihdr(0,0,18),40,109,97,107,101,45,99,111,109,112,108,101,120,32,114,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li363[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,109,97,107,101,45,114,101,99,116,97,110,103,117,108,97,114,32,114,32,105,41,0,0,0};
static C_char C_TLS li364[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,97,107,101,45,112,111,108,97,114,32,114,32,112,104,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li365[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,108,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li366[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,105,109,97,103,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li367[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,97,110,103,108,101,32,110,41};
static C_char C_TLS li368[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,103,110,105,116,117,100,101,32,120,41,0,0,0,0};
static C_char C_TLS li369[] C_aligned={C_lihdr(0,0,12),40,114,97,116,110,117,109,32,109,32,110,41,0,0,0,0};
static C_char C_TLS li370[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,117,109,101,114,97,116,111,114,32,110,41,0,0,0,0};
static C_char C_TLS li371[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,100,101,110,111,109,105,110,97,116,111,114,32,110,41,0,0};
static C_char C_TLS li372[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,115,105,103,110,117,109,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li373[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,50,50,49,49,32,120,32,105,41};
static C_char C_TLS li374[] C_aligned={C_lihdr(0,0,13),40,100,101,108,105,118,101,114,32,121,32,100,41,0,0,0};
static C_char C_TLS li375[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,45,62,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li376[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,97,110,100,0,0,0};
static C_char C_TLS li377[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,105,111,114,0,0,0};
static C_char C_TLS li378[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,120,111,114,0,0,0};
static C_char C_TLS li379[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,119,105,115,101,45,110,111,116,32,110,41,0};
static C_char C_TLS li380[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,45,62,98,111,111,108,101,97,110,32,110,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li381[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,105,110,116,101,103,101,114,45,108,101,110,103,116,104,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li382[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,97,114,105,116,104,109,101,116,105,99,45,115,104,105,102,116,32,110,32,109,41,0,0};
static C_char C_TLS li383[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,97,114,103,115,32,120,41,0,0,0};
static C_char C_TLS li384[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,47,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0};
static C_char C_TLS li385[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,47,45,50,32,120,32,121,41,0};
static C_char C_TLS li386[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,102,108,111,111,114,32,120,41};
static C_char C_TLS li387[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,99,101,105,108,105,110,103,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li388[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,116,114,117,110,99,97,116,101,32,120,41,0,0,0,0,0};
static C_char C_TLS li389[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,111,117,110,100,32,120,41};
static C_char C_TLS li390[] C_aligned={C_lihdr(0,0,8),40,115,114,32,120,32,121,41};
static C_char C_TLS li391[] C_aligned={C_lihdr(0,0,24),40,102,105,110,100,45,114,97,116,105,111,45,98,101,116,119,101,101,110,32,120,32,121,41};
static C_char C_TLS li392[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,105,122,101,32,120,32,101,41};
static C_char C_TLS li393[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li394[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,120,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li395[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li396[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,105,110,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li397[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,101,120,112,32,110,41,0,0};
static C_char C_TLS li398[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,111,103,45,49,32,120,41,0};
static C_char C_TLS li399[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,111,103,32,97,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li400[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,115,105,110,32,110,41,0,0};
static C_char C_TLS li401[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,111,115,32,110,41,0,0};
static C_char C_TLS li402[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,116,97,110,32,110,41,0,0};
static C_char C_TLS li403[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,115,105,110,32,110,41,0};
static C_char C_TLS li404[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,99,111,115,32,110,41,0};
static C_char C_TLS li405[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,116,97,110,32,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li406[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,53,56,41};
static C_char C_TLS li407[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li408[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,56,57,41};
static C_char C_TLS li409[] C_aligned={C_lihdr(0,0,20),40,97,49,52,51,48,51,32,113,50,53,55,57,32,117,50,53,56,49,41,0,0,0,0};
static C_char C_TLS li410[] C_aligned={C_lihdr(0,0,22),40,97,49,52,50,55,48,32,115,94,50,53,53,57,32,114,94,50,53,54,49,41,0,0};
static C_char C_TLS li411[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,97,41,0,0,0,0};
static C_char C_TLS li412[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li413[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,49,54,41};
static C_char C_TLS li414[] C_aligned={C_lihdr(0,0,14),40,97,49,52,52,50,50,32,115,94,50,32,114,41,0,0};
static C_char C_TLS li415[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,52,52,41};
static C_char C_TLS li416[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,54,56,41};
static C_char C_TLS li417[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,56,48,32,100,115,94,50,32,100,114,41};
static C_char C_TLS li418[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,53,54,32,110,115,94,50,32,110,114,41};
static C_char C_TLS li419[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,113,114,116,47,108,111,99,32,108,111,99,32,110,41,0,0};
static C_char C_TLS li420[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,115,113,114,116,32,120,41,0};
static C_char C_TLS li421[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,32,107,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li422[] C_aligned={C_lihdr(0,0,10),40,108,112,32,103,48,32,103,49,41,0,0,0,0,0,0};
static C_char C_TLS li423[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,47,108,111,99,32,108,111,99,32,107,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li424[] C_aligned={C_lihdr(0,0,11),40,108,112,32,114,101,115,32,101,50,41,0,0,0,0,0};
static C_char C_TLS li425[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,112,111,119,101,114,32,98,97,115,101,32,101,41,0,0,0,0};
static C_char C_TLS li426[] C_aligned={C_lihdr(0,0,14),40,108,111,103,45,101,120,112,116,32,97,32,98,41,0,0};
static C_char C_TLS li427[] C_aligned={C_lihdr(0,0,15),40,115,108,111,119,45,101,120,112,116,32,97,32,98,41,0};
static C_char C_TLS li428[] C_aligned={C_lihdr(0,0,8),40,97,49,52,56,48,49,41};
static C_char C_TLS li429[] C_aligned={C_lihdr(0,0,15),40,97,49,52,56,49,51,32,100,115,94,110,32,114,41,0};
static C_char C_TLS li430[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,112,116,32,97,32,98,41,0,0,0,0,0,0,0};
static C_char C_TLS li431[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,114,110,97,108,45,103,99,100,32,108,111,99,32,97,32,98,41,0,0,0,0};
static C_char C_TLS li432[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,103,99,100,32,97,32,98,41,0};
static C_char C_TLS li433[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li434[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,103,99,100,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li435[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,99,109,32,120,32,121,41,0};
static C_char C_TLS li436[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li437[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,108,99,109,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li438[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li439[] C_aligned={C_lihdr(0,0,8),40,97,49,53,49,53,56,41};
static C_char C_TLS li440[] C_aligned={C_lihdr(0,0,22),40,97,49,53,49,54,52,32,104,105,50,55,54,52,32,108,111,50,55,54,54,41,0,0};
static C_char C_TLS li441[] C_aligned={C_lihdr(0,0,61),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,62,115,116,114,105,110,103,47,114,101,99,117,114,115,105,118,101,32,110,32,98,97,115,101,32,101,120,112,101,99,116,101,100,45,115,116,114,105,110,103,45,115,105,122,101,41,0,0,0};
static C_char C_TLS li442[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,110,117,109,98,101,114,45,62,115,116,114,105,110,103,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li443[] C_aligned={C_lihdr(0,0,20),40,114,111,117,110,100,45,113,117,111,116,105,101,110,116,32,110,32,100,41,0,0,0,0};
static C_char C_TLS li444[] C_aligned={C_lihdr(0,0,23),40,115,97,102,101,45,101,120,112,111,110,101,110,116,32,118,97,108,117,101,32,101,41,0};
static C_char C_TLS li445[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li446[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,100,105,103,105,116,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li447[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li448[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,104,97,115,104,101,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li449[] C_aligned={C_lihdr(0,0,46),40,115,99,97,110,45,100,105,103,105,116,115,43,104,97,115,104,101,115,32,115,116,97,114,116,32,110,101,103,63,32,97,108,108,45,104,97,115,104,101,115,45,111,107,63,41,0,0};
static C_char C_TLS li450[] C_aligned={C_lihdr(0,0,21),40,115,99,97,110,45,101,120,112,111,110,101,110,116,32,115,116,97,114,116,41,0,0,0};
static C_char C_TLS li451[] C_aligned={C_lihdr(0,0,43),40,115,99,97,110,45,100,101,99,105,109,97,108,45,116,97,105,108,32,115,116,97,114,116,32,110,101,103,63,32,100,101,99,105,109,97,108,45,104,101,97,100,41,0,0,0,0,0};
static C_char C_TLS li452[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,117,114,101,97,108,32,115,116,97,114,116,32,110,101,103,63,41,0};
static C_char C_TLS li453[] C_aligned={C_lihdr(0,0,17),40,115,99,97,110,45,114,101,97,108,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li454[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,99,111,109,112,110,117,109,32,114,97,100,105,120,32,115,116,114,32,111,102,102,115,101,116,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li455[] C_aligned={C_lihdr(0,0,32),40,115,99,97,110,45,112,114,101,102,105,120,32,105,32,101,120,110,101,115,115,32,114,97,100,105,120,32,108,101,110,41};
static C_char C_TLS li456[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li457[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li458[] C_aligned={C_lihdr(0,0,18),67,95,102,105,120,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li459[] C_aligned={C_lihdr(0,0,18),67,95,102,108,111,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li460[] C_aligned={C_lihdr(0,0,19),67,95,105,110,116,101,103,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0};
static C_char C_TLS li461[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li462[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,45,115,108,111,116,115,32,120,32,121,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li463[] C_aligned={C_lihdr(0,0,10),40,119,97,108,107,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li464[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,113,117,97,108,61,63,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li465[] C_aligned={C_lihdr(0,0,18),67,95,115,116,114,105,110,103,95,116,111,95,115,121,109,98,111,108,0,0,0,0,0,0};
static C_char C_TLS li466[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li467[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0,0};
static C_char C_TLS li468[] C_aligned={C_lihdr(0,0,11),40,115,112,108,105,116,32,108,101,110,41,0,0,0,0,0};
static C_char C_TLS li469[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41};
static C_char C_TLS li470[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,113,117,97,108,105,102,105,101,100,45,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0};
static C_char C_TLS li471[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,45,112,114,101,102,105,120,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li472[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,63,32,115,41,0,0,0,0,0};
static C_char C_TLS li473[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,32,112,114,101,102,105,120,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li474[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li475[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li476[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li477[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,116,114,105,110,103,45,62,117,110,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li478[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li479[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,110,115,121,109,32,46,32,115,116,114,45,111,114,45,115,121,109,41,0,0,0,0,0,0};
static C_char C_TLS li480[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,51,57,56,32,103,51,52,49,48,41,0,0,0,0};
static C_char C_TLS li481[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,121,109,98,111,108,45,97,112,112,101,110,100,32,46,32,115,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li482[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,63,32,120,41,0,0,0,0};
static C_char C_TLS li483[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,115,116,114,105,110,103,45,62,107,101,121,119,111,114,100,32,115,41,0,0,0,0,0};
static C_char C_TLS li484[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,45,62,115,116,114,105,110,103,32,107,119,41,0,0,0,0};
static C_char C_TLS li485[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,103,101,116,45,107,101,121,119,111,114,100,32,107,101,121,32,97,114,103,115,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li486[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0};
static C_char C_TLS li487[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0,0};
static C_char C_TLS li488[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,63,32,120,41,0,0};
static C_char C_TLS li489[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,115,105,122,101,32,98,118,41,0,0,0,0,0};
static C_char C_TLS li490[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,115,116,114,105,110,103,45,62,98,108,111,98,32,115,41,0,0,0};
static C_char C_TLS li491[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,62,115,116,114,105,110,103,32,98,118,41,0,0};
static C_char C_TLS li492[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,61,63,32,98,49,32,98,50,41,0,0,0,0,0};
static C_char C_TLS li493[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,118,101,99,116,111,114,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li494[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li495[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,118,101,99,116,111,114,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li496[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li497[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,62,108,105,115,116,32,118,41,0};
static C_char C_TLS li498[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,118,101,99,116,111,114,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li499[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,51,53,41,0,0,0,0};
static C_char C_TLS li500[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,102,105,108,108,33,32,118,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li501[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,52,55,41,0,0,0,0};
static C_char C_TLS li502[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,99,111,112,121,33,32,102,114,111,109,32,116,111,32,46,32,110,41,0};
static C_char C_TLS li503[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,55,56,41,0,0,0,0};
static C_char C_TLS li504[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,118,101,99,116,111,114,32,118,32,105,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li505[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li506[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,54,48,54,41,0,0,0,0};
static C_char C_TLS li507[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,105,110,105,116,41,0,0};
static C_char C_TLS li508[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,61,63,32,120,32,121,41,0,0};
static C_char C_TLS li509[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,63,32,120,32,121,41,0,0};
static C_char C_TLS li510[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,63,32,120,32,121,41,0,0};
static C_char C_TLS li511[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,61,63,32,120,32,121,41,0};
static C_char C_TLS li512[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,61,63,32,120,32,121,41,0};
static C_char C_TLS li513[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li514[] C_aligned={C_lihdr(0,0,15),40,108,111,111,107,117,112,45,99,104,97,114,32,99,41,0};
static C_char C_TLS li515[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,97,114,45,110,97,109,101,32,120,32,46,32,121,41,0,0};
static C_char C_TLS li516[] C_aligned={C_lihdr(0,0,9),67,95,99,97,108,108,95,99,99,0,0,0,0,0,0,0};
static C_char C_TLS li517[] C_aligned={C_lihdr(0,0,19),67,95,99,97,108,108,95,119,105,116,104,95,99,116,104,117,108,104,117,0,0,0,0,0};
static C_char C_TLS li518[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li519[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,102,111,114,45,101,97,99,104,32,112,32,108,115,116,48,41,0};
static C_char C_TLS li520[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li521[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,109,97,112,32,112,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li522[] C_aligned={C_lihdr(0,0,30),40,109,97,112,115,97,102,101,51,54,56,50,32,112,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0};
static C_char C_TLS li523[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li524[] C_aligned={C_lihdr(0,0,26),40,99,104,101,99,107,51,54,56,51,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li525[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,55,49,51,32,103,51,55,50,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li526[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,55,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li527[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,56,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li528[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li529[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,102,111,114,45,101,97,99,104,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41};
static C_char C_TLS li530[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,55,52,52,32,103,51,55,53,54,41,0,0,0,0};
static C_char C_TLS li531[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,56,48,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li532[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,57,48,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li533[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li534[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,109,97,112,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li535[] C_aligned={C_lihdr(0,0,18),40,97,49,56,55,49,52,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li536[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,100,121,110,97,109,105,99,45,119,105,110,100,32,98,101,102,111,114,101,32,116,104,117,110,107,32,97,102,116,101,114,41};
static C_char C_TLS li537[] C_aligned={C_lihdr(0,0,24),40,99,111,110,116,105,110,117,97,116,105,111,110,32,46,32,114,101,115,117,108,116,115,41};
static C_char C_TLS li538[] C_aligned={C_lihdr(0,0,13),40,97,49,56,55,51,56,32,99,111,110,116,41,0,0,0};
static C_char C_TLS li539[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,99,117,114,114,101,110,116,45,99,111,110,116,105,110,117,97,116,105,111,110,32,112,114,111,99,41,0,0,0,0};
static C_char C_TLS li540[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,100,121,110,97,109,105,99,45,117,110,119,105,110,100,32,119,105,110,100,115,32,110,41,0,0};
static C_char C_TLS li541[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li542[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li543[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,117,116,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li544[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,45,99,108,111,115,101,100,63,32,112,41,0,0,0};
static C_char C_TLS li545[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,109,97,107,101,45,112,111,114,116,32,105,47,111,32,99,108,97,115,115,32,110,97,109,101,32,116,121,112,101,41,0,0,0};
static C_char C_TLS li546[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li547[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,54,52,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li548[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li549[] C_aligned={C_lihdr(0,0,10),40,97,51,50,48,48,52,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li550[] C_aligned={C_lihdr(0,0,12),40,97,51,50,48,52,52,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li551[] C_aligned={C_lihdr(0,0,12),40,97,51,50,48,52,55,32,112,32,115,41,0,0,0,0};
static C_char C_TLS li552[] C_aligned={C_lihdr(0,0,12),40,97,51,50,48,53,48,32,112,32,100,41,0,0,0,0};
static C_char C_TLS li553[] C_aligned={C_lihdr(0,0,10),40,97,51,50,48,53,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li554[] C_aligned={C_lihdr(0,0,10),40,97,51,50,48,53,57,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li555[] C_aligned={C_lihdr(0,0,8),40,97,51,50,48,57,54,41};
static C_char C_TLS li556[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,114,101,109,32,97,99,116,32,115,116,97,114,116,41,0,0,0,0};
static C_char C_TLS li557[] C_aligned={C_lihdr(0,0,23),40,97,51,50,48,54,50,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li558[] C_aligned={C_lihdr(0,0,8),40,97,51,50,50,53,55,41};
static C_char C_TLS li559[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,108,101,110,32,108,105,109,105,116,32,98,117,102,102,101,114,32,114,101,115,117,108,116,32,102,41};
static C_char C_TLS li560[] C_aligned={C_lihdr(0,0,17),40,97,51,50,49,54,49,32,112,32,114,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li561[] C_aligned={C_lihdr(0,0,16),67,95,111,112,101,110,95,102,105,108,101,95,112,111,114,116};
static C_char C_TLS li562[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li563[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,99,104,101,99,107,45,111,117,116,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li564[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li565[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,111,112,101,110,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0};
static C_char C_TLS li566[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,50,57,41,0,0,0,0,0,0};
static C_char C_TLS li567[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,105,110,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li568[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,53,52,41,0,0,0,0,0,0};
static C_char C_TLS li569[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,111,117,116,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li570[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,55,57,41,0,0,0,0,0,0};
static C_char C_TLS li571[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,117,114,114,101,110,116,45,101,114,114,111,114,45,112,111,114,116,32,46,32,97,114,103,115,41};
static C_char C_TLS li572[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,116,116,121,45,112,111,114,116,63,32,112,111,114,116,41,0,0};
static C_char C_TLS li573[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,100,97,116,97,32,112,111,114,116,41,0,0};
static C_char C_TLS li574[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,101,116,45,112,111,114,116,45,100,97,116,97,33,32,112,111,114,116,32,100,97,116,97,41};
static C_char C_TLS li575[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,52,48,49,54,32,109,111,100,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li576[] C_aligned={C_lihdr(0,0,25),40,111,112,101,110,32,110,97,109,101,32,105,110,112,32,109,111,100,101,115,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li577[] C_aligned={C_lihdr(0,0,20),40,99,108,111,115,101,32,112,111,114,116,32,105,110,112,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li578[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li579[] C_aligned={C_lihdr(0,0,37),40,115,99,104,101,109,101,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li580[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,108,111,115,101,45,105,110,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0,0};
static C_char C_TLS li581[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0};
static C_char C_TLS li582[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,51,48,41};
static C_char C_TLS li583[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,51,54,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li584[] C_aligned={C_lihdr(0,0,43),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li585[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,53,52,41};
static C_char C_TLS li586[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,54,48,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li587[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li588[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,55,56,41};
static C_char C_TLS li589[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,56,57,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li590[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,56,51,41};
static C_char C_TLS li591[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,57,56,41};
static C_char C_TLS li592[] C_aligned={C_lihdr(0,0,46),40,115,99,104,101,109,101,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0};
static C_char C_TLS li593[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,49,50,41};
static C_char C_TLS li594[] C_aligned={C_lihdr(0,0,18),40,97,49,57,52,50,51,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li595[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,49,55,41};
static C_char C_TLS li596[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,51,50,41};
static C_char C_TLS li597[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li598[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,102,105,108,101,45,101,120,105,115,116,115,63,32,110,97,109,101,32,102,105,108,101,63,32,100,105,114,63,32,108,111,99,41};
static C_char C_TLS li599[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,108,117,115,104,45,111,117,116,112,117,116,32,112,111,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li600[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,117,115,104,45,111,117,116,112,117,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li601[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,108,105,110,101,32,112,111,114,116,41,0,0};
static C_char C_TLS li602[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,52,49,52,54,32,105,41,0,0};
static C_char C_TLS li603[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li604[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,100,101,99,111,114,97,116,101,45,108,97,109,98,100,97,32,112,114,111,99,32,112,114,101,100,32,100,101,99,111,114,97,116,111,114,41,0,0,0,0,0};
static C_char C_TLS li605[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li606[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,108,97,109,98,100,97,45,100,101,99,111,114,97,116,105,111,110,32,112,114,111,99,32,112,114,101,100,41,0,0,0,0,0};
static C_char C_TLS li607[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,109,97,107,101,45,108,97,109,98,100,97,45,105,110,102,111,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li608[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,63,32,120,41,0,0};
static C_char C_TLS li609[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,32,112,114,111,99,41};
static C_char C_TLS li610[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,45,62,115,116,114,105,110,103,32,105,110,102,111,41};
static C_char C_TLS li611[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,99,101,100,117,114,101,45,105,110,102,111,114,109,97,116,105,111,110,32,120,41,0,0};
static C_char C_TLS li612[] C_aligned={C_lihdr(0,0,12),40,97,49,57,55,49,48,32,112,32,105,41,0,0,0,0};
static C_char C_TLS li613[] C_aligned={C_lihdr(0,0,10),40,97,49,57,55,50,48,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li614[] C_aligned={C_lihdr(0,0,15),40,97,49,57,55,51,54,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li615[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,116,101,114,45,119,105,116,104,45,115,101,116,116,101,114,32,103,101,116,32,115,101,116,32,46,32,114,101,115,116,41};
static C_char C_TLS li616[] C_aligned={C_lihdr(0,0,11),40,102,95,49,57,57,57,51,32,120,41,0,0,0,0,0};
static C_char C_TLS li617[] C_aligned={C_lihdr(0,0,28),40,97,115,115,105,103,110,32,118,97,108,32,110,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41,0,0,0,0};
static C_char C_TLS li618[] C_aligned={C_lihdr(0,0,24),40,98,111,100,121,52,50,57,55,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41};
static C_char C_TLS li619[] C_aligned={C_lihdr(0,0,24),40,100,101,102,45,115,101,116,63,52,51,48,48,32,37,99,111,110,118,101,114,116,63,41};
static C_char C_TLS li620[] C_aligned={C_lihdr(0,0,18),40,100,101,102,45,99,111,110,118,101,114,116,63,52,50,57,57,41,0,0,0,0,0,0};
static C_char C_TLS li621[] C_aligned={C_lihdr(0,0,15),40,97,49,57,56,56,52,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li622[] C_aligned={C_lihdr(0,0,12),40,97,49,57,57,54,54,32,118,97,108,41,0,0,0,0};
static C_char C_TLS li623[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,97,114,97,109,101,116,101,114,32,105,110,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li624[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,114,101,97,100,121,63,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li625[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,114,101,97,100,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li626[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li627[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,47,112,111,114,116,32,112,111,114,116,41,0,0,0,0,0};
static C_char C_TLS li628[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,112,101,101,107,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li629[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,112,101,101,107,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li630[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,100,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li631[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,114,101,97,100,45,112,114,111,109,112,116,45,104,111,111,107,41};
static C_char C_TLS li632[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,105,110,102,105,120,45,108,105,115,116,45,104,111,111,107,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li633[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,104,97,114,112,45,110,117,109,98,101,114,45,104,111,111,107,32,112,111,114,116,32,110,41};
static C_char C_TLS li634[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,119,97,114,110,105,110,103,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li635[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,114,101,97,100,45,101,114,114,111,114,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li636[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,50,55,52,32,99,41,0,0,0,0,0};
static C_char C_TLS li637[] C_aligned={C_lihdr(0,0,21),40,105,110,102,111,32,99,108,97,115,115,32,100,97,116,97,32,118,97,108,41,0,0,0};
static C_char C_TLS li638[] C_aligned={C_lihdr(0,0,8),40,115,107,105,112,32,99,41};
static C_char C_TLS li639[] C_aligned={C_lihdr(0,0,13),40,115,107,105,112,45,116,111,45,101,111,108,41,0,0,0};
static C_char C_TLS li640[] C_aligned={C_lihdr(0,0,22),40,114,101,115,101,114,118,101,100,45,99,104,97,114,97,99,116,101,114,32,99,41,0,0};
static C_char C_TLS li641[] C_aligned={C_lihdr(0,0,29),40,114,101,97,100,45,117,110,114,101,115,101,114,118,101,100,45,99,104,97,114,45,48,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li642[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,99,41};
static C_char C_TLS li643[] C_aligned={C_lihdr(0,0,10),40,114,45,115,112,97,99,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li644[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,115,101,113,32,110,41,0,0,0,0};
static C_char C_TLS li645[] C_aligned={C_lihdr(0,0,22),40,114,45,117,115,101,113,117,101,110,99,101,32,117,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li646[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li647[] C_aligned={C_lihdr(0,0,25),40,114,45,99,111,110,115,45,99,111,100,101,112,111,105,110,116,32,99,112,32,108,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li648[] C_aligned={C_lihdr(0,0,14),40,101,97,116,45,119,115,32,99,32,110,108,63,41,0,0};
static C_char C_TLS li649[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li650[] C_aligned={C_lihdr(0,0,15),40,114,45,115,116,114,105,110,103,32,116,101,114,109,41,0};
static C_char C_TLS li651[] C_aligned={C_lihdr(0,0,19),40,115,116,97,114,116,105,110,103,45,108,105,110,101,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li652[] C_aligned={C_lihdr(0,0,11),40,102,95,50,49,49,48,54,32,99,41,0,0,0,0,0};
static C_char C_TLS li653[] C_aligned={C_lihdr(0,0,15),40,97,50,49,50,50,49,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li654[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,97,115,116,41,0,0,0,0,0};
static C_char C_TLS li655[] C_aligned={C_lihdr(0,0,15),40,97,50,49,49,48,50,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li656[] C_aligned={C_lihdr(0,0,18),40,114,45,108,105,115,116,32,115,116,97,114,116,32,101,110,100,41,0,0,0,0,0,0};
static C_char C_TLS li657[] C_aligned={C_lihdr(0,0,10),40,114,45,118,101,99,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li658[] C_aligned={C_lihdr(0,0,15),40,97,50,49,51,52,57,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li659[] C_aligned={C_lihdr(0,0,26),40,114,45,110,117,109,98,101,114,32,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li660[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,101,120,97,99,116,110,101,115,115,32,114,97,100,105,120,41,0};
static C_char C_TLS li661[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0};
static C_char C_TLS li662[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li663[] C_aligned={C_lihdr(0,0,9),40,114,45,116,111,107,101,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li664[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li665[] C_aligned={C_lihdr(0,0,10),40,114,45,100,105,103,105,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li666[] C_aligned={C_lihdr(0,0,15),40,97,50,49,54,52,55,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li667[] C_aligned={C_lihdr(0,0,10),40,114,45,115,121,109,98,111,108,41,0,0,0,0,0,0};
static C_char C_TLS li668[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,32,115,107,119,41,0,0};
static C_char C_TLS li669[] C_aligned={C_lihdr(0,0,12),40,114,45,120,116,111,107,101,110,32,107,41,0,0,0,0};
static C_char C_TLS li670[] C_aligned={C_lihdr(0,0,8),40,114,45,99,104,97,114,41};
static C_char C_TLS li671[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li672[] C_aligned={C_lihdr(0,0,11),40,114,45,99,111,109,109,101,110,116,41,0,0,0,0,0};
static C_char C_TLS li673[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li674[] C_aligned={C_lihdr(0,0,14),40,114,45,101,120,116,45,115,121,109,98,111,108,41,0,0};
static C_char C_TLS li675[] C_aligned={C_lihdr(0,0,19),40,98,117,105,108,100,45,107,101,121,119,111,114,100,32,116,111,107,41,0,0,0,0,0};
static C_char C_TLS li676[] C_aligned={C_lihdr(0,0,8),40,97,50,50,51,48,48,41};
static C_char C_TLS li677[] C_aligned={C_lihdr(0,0,13),40,97,50,50,51,48,54,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li678[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,52,51,41};
static C_char C_TLS li679[] C_aligned={C_lihdr(0,0,13),40,97,50,50,52,52,57,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li680[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,49,52,41};
static C_char C_TLS li681[] C_aligned={C_lihdr(0,0,13),40,97,50,50,53,50,48,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li682[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,50,56,41};
static C_char C_TLS li683[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,51,51,41};
static C_char C_TLS li684[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,51,57,41};
static C_char C_TLS li685[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,57,48,41};
static C_char C_TLS li686[] C_aligned={C_lihdr(0,0,15),40,97,50,50,56,48,49,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li687[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,57,53,41};
static C_char C_TLS li688[] C_aligned={C_lihdr(0,0,8),40,97,50,50,56,51,48,41};
static C_char C_TLS li689[] C_aligned={C_lihdr(0,0,8),40,97,50,50,57,51,55,41};
static C_char C_TLS li690[] C_aligned={C_lihdr(0,0,13),40,97,50,50,57,52,51,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li691[] C_aligned={C_lihdr(0,0,9),40,114,101,97,100,114,101,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li692[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,114,101,97,100,32,112,111,114,116,32,105,110,102,111,104,97,110,100,108,101,114,41,0,0,0};
static C_char C_TLS li693[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,97,114,45,62,117,116,102,56,45,115,116,114,105,110,103,32,99,41,0,0,0,0,0};
static C_char C_TLS li694[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,117,110,105,99,111,100,101,45,115,117,114,114,111,103,97,116,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li695[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,117,114,114,111,103,97,116,101,115,45,62,99,111,100,101,112,111,105,110,116,32,104,105,32,108,111,41,0,0,0,0,0};
static C_char C_TLS li696[] C_aligned={C_lihdr(0,0,7),40,104,101,120,32,99,41,0};
static C_char C_TLS li697[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,104,41,0,0,0,0};
static C_char C_TLS li698[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,98,121,116,101,118,101,99,116,111,114,45,108,105,116,101,114,97,108,32,112,111,114,116,41,0,0,0,0};
static C_char C_TLS li699[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li700[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,45,48,32,99,32,112,41};
static C_char C_TLS li701[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,47,112,111,114,116,32,99,32,112,111,114,116,41,0,0};
static C_char C_TLS li702[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,119,114,105,116,101,45,99,104,97,114,32,99,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li703[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,110,101,119,108,105,110,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li704[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,119,114,105,116,101,32,120,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li705[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,100,105,115,112,108,97,121,32,120,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li706[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,57,56,32,103,53,49,48,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li707[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li708[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,49,51,48,32,103,53,49,51,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li709[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,42,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li710[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,116,114,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li711[] C_aligned={C_lihdr(0,0,17),40,111,117,116,99,104,114,32,112,111,114,116,32,99,104,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li712[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,121,109,32,112,111,114,116,32,115,121,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li713[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li714[] C_aligned={C_lihdr(0,0,25),40,111,117,116,114,101,97,100,97,98,108,101,115,121,109,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li715[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li716[] C_aligned={C_lihdr(0,0,22),40,115,121,109,45,105,115,45,114,101,97,100,97,98,108,101,63,32,115,116,114,41,0,0};
static C_char C_TLS li717[] C_aligned={C_lihdr(0,0,10),40,103,53,50,57,54,32,99,110,41,0,0,0,0,0,0};
static C_char C_TLS li718[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,50,49,32,105,32,99,41};
static C_char C_TLS li719[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,53,49,32,120,41,0,0};
static C_char C_TLS li720[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,54,53,32,105,41,0,0};
static C_char C_TLS li721[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,56,57,32,105,32,99,41};
static C_char C_TLS li722[] C_aligned={C_lihdr(0,0,7),40,111,117,116,32,120,41,0};
static C_char C_TLS li723[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,112,114,105,110,116,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li724[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,114,111,99,101,100,117,114,101,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0};
static C_char C_TLS li725[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,114,101,103,105,115,116,101,114,45,114,101,99,111,114,100,45,112,114,105,110,116,101,114,32,116,121,112,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li726[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,57,56,41};
static C_char C_TLS li727[] C_aligned={C_lihdr(0,0,11),40,97,50,52,57,57,50,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li728[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,52,57,41};
static C_char C_TLS li729[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,54,52,41};
static C_char C_TLS li730[] C_aligned={C_lihdr(0,0,15),40,97,50,53,48,53,56,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li731[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,52,51,41};
static C_char C_TLS li732[] C_aligned={C_lihdr(0,0,10),40,97,50,52,57,56,54,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li733[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,117,115,101,114,45,112,114,105,110,116,45,104,111,111,107,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0};
static C_char C_TLS li734[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,51,49,41};
static C_char C_TLS li735[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,55,52,41};
static C_char C_TLS li736[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,56,48,41};
static C_char C_TLS li737[] C_aligned={C_lihdr(0,0,15),40,97,50,53,49,50,53,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li738[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,119,105,116,104,45,112,114,105,110,116,45,108,101,110,103,116,104,45,108,105,109,105,116,32,108,105,109,105,116,32,116,104,117,110,107,41,0,0,0,0,0};
static C_char C_TLS li739[] C_aligned={C_lihdr(0,0,15),40,99,104,101,99,107,53,53,48,54,32,112,32,110,41,0};
static C_char C_TLS li740[] C_aligned={C_lihdr(0,0,10),40,97,51,49,52,54,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li741[] C_aligned={C_lihdr(0,0,10),40,97,51,49,52,57,49,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li742[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,48,57,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li743[] C_aligned={C_lihdr(0,0,14),40,97,51,49,53,50,56,32,112,32,115,116,114,41,0,0};
static C_char C_TLS li744[] C_aligned={C_lihdr(0,0,10),40,97,51,49,53,52,55,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li745[] C_aligned={C_lihdr(0,0,10),40,97,51,49,53,53,48,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li746[] C_aligned={C_lihdr(0,0,23),40,97,51,49,53,53,51,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li747[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,50,56,32,112,111,115,41,0,0,0,0};
static C_char C_TLS li748[] C_aligned={C_lihdr(0,0,8),40,97,51,49,54,49,56,41};
static C_char C_TLS li749[] C_aligned={C_lihdr(0,0,29),40,97,51,49,54,51,55,32,110,101,120,116,32,108,105,110,101,32,102,117,108,108,45,108,105,110,101,63,41,0,0,0};
static C_char C_TLS li750[] C_aligned={C_lihdr(0,0,16),40,97,51,49,53,57,52,32,112,32,108,105,109,105,116,41};
static C_char C_TLS li751[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,55,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li752[] C_aligned={C_lihdr(0,0,37),40,99,111,112,121,38,97,112,112,101,110,100,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,111,108,100,45,108,105,110,101,41,0,0,0};
static C_char C_TLS li753[] C_aligned={C_lihdr(0,0,8),40,97,50,53,50,57,56,41};
static C_char C_TLS li754[] C_aligned={C_lihdr(0,0,25),40,97,50,53,51,48,52,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li755[] C_aligned={C_lihdr(0,0,8),40,97,50,53,51,54,50,41};
static C_char C_TLS li756[] C_aligned={C_lihdr(0,0,25),40,97,50,53,51,54,56,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li757[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,108,105,109,105,116,32,108,105,110,101,41};
static C_char C_TLS li758[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,115,99,97,110,45,98,117,102,102,101,114,45,108,105,110,101,32,98,117,102,32,108,105,109,105,116,32,115,116,97,114,116,45,112,111,115,32,101,111,115,45,104,97,110,100,108,101,114,41};
static C_char C_TLS li759[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,105,110,112,117,116,45,115,116,114,105,110,103,32,115,116,114,105,110,103,41,0};
static C_char C_TLS li760[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,111,117,116,112,117,116,45,115,116,114,105,110,103,41,0,0,0,0,0,0,0};
static C_char C_TLS li761[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,111,117,116,112,117,116,45,115,116,114,105,110,103,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li762[] C_aligned={C_lihdr(0,0,9),40,103,53,54,51,54,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li763[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,51,53,32,103,53,54,52,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li764[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,114,105,110,116,45,116,111,45,115,116,114,105,110,103,32,120,115,41,0,0,0,0,0,0};
static C_char C_TLS li765[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li766[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li767[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li768[] C_aligned={C_lihdr(0,0,8),40,97,50,53,56,49,48,41};
static C_char C_TLS li769[] C_aligned={C_lihdr(0,0,12),40,103,53,55,48,50,32,105,110,102,111,41,0,0,0,0};
static C_char C_TLS li770[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,48,49,32,103,53,55,48,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li771[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,114,101,97,108,108,121,45,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,112,111,114,116,32,99,104,97,105,110,32,104,101,97,100,101,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li772[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li773[] C_aligned={C_lihdr(0,0,7),40,98,114,101,97,107,41,0};
static C_char C_TLS li774[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,117,115,101,114,45,105,110,116,101,114,114,117,112,116,45,104,111,111,107,41,0,0,0,0,0};
static C_char C_TLS li775[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,54,49,32,103,53,55,54,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li776[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li777[] C_aligned={C_lihdr(0,0,21),40,99,108,101,97,110,117,112,45,98,101,102,111,114,101,45,101,120,105,116,41,0,0,0};
static C_char C_TLS li778[] C_aligned={C_lihdr(0,0,8),40,97,50,54,49,49,57,41};
static C_char C_TLS li779[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,50,57,32,103,53,56,51,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li780[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,105,103,110,97,108,45,104,111,111,107,32,109,111,100,101,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li781[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,97,98,111,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li782[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,115,105,103,110,97,108,32,120,41,0,0,0,0};
static C_char C_TLS li783[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,99,41,0,0,0,0,0};
static C_char C_TLS li784[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,53,57,41};
static C_char C_TLS li785[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,54,51,41};
static C_char C_TLS li786[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,119,105,116,104,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,104,97,110,100,108,101,114,32,116,104,117,110,107,41};
static C_char C_TLS li787[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,53,57,56,57,41,0,0,0,0,0,0};
static C_char C_TLS li788[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li789[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li790[] C_aligned={C_lihdr(0,0,69),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,111,112,45,108,105,115,116,45,62,107,105,110,100,45,112,114,101,102,105,120,101,100,45,112,114,111,112,45,108,105,115,116,32,108,111,99,32,107,105,110,100,32,112,108,105,115,116,41,0,0,0};
static C_char C_TLS li791[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,112,114,111,112,101,114,116,121,45,99,111,110,100,105,116,105,111,110,32,107,105,110,100,32,46,32,112,114,111,112,115,41};
static C_char C_TLS li792[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,48,51,51,41,0,0,0,0,0};
static C_char C_TLS li793[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,55,56,32,103,54,48,57,48,41,0,0,0,0};
static C_char C_TLS li794[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,53,49,32,103,54,48,54,51,41,0,0,0,0};
static C_char C_TLS li795[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,99,111,109,112,111,115,105,116,101,45,99,111,110,100,105,116,105,111,110,32,99,49,32,46,32,99,111,110,100,115,41,0};
static C_char C_TLS li796[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,51,56,32,103,54,49,53,48,41,0,0,0,0};
static C_char C_TLS li797[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,49,49,32,103,54,49,50,51,41,0,0,0,0};
static C_char C_TLS li798[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li799[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,63,32,120,41};
static C_char C_TLS li800[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li801[] C_aligned={C_lihdr(0,0,9),40,103,54,49,55,52,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li802[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,54,56,32,103,54,49,56,48,41,0,0,0,0};
static C_char C_TLS li803[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,62,108,105,115,116,32,120,41,0,0,0};
static C_char C_TLS li804[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,48,56,50,32,99,41,0,0,0,0,0};
static C_char C_TLS li805[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,101,100,105,99,97,116,101,32,107,105,110,100,41,0,0,0,0};
static C_char C_TLS li806[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,49,48,57,32,99,41,0,0,0,0,0};
static C_char C_TLS li807[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,45,97,99,99,101,115,115,111,114,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41,0,0,0,0,0};
static C_char C_TLS li808[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,103,101,116,45,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,32,99,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41};
static C_char C_TLS li809[] C_aligned={C_lihdr(0,0,8),40,97,50,55,49,55,53,41};
static C_char C_TLS li810[] C_aligned={C_lihdr(0,0,9),40,103,54,50,51,57,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li811[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,50,51,56,32,103,54,50,52,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li812[] C_aligned={C_lihdr(0,0,21),40,119,114,105,116,101,97,114,103,115,32,97,114,103,115,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li813[] C_aligned={C_lihdr(0,0,11),40,103,54,50,56,50,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li814[] C_aligned={C_lihdr(0,0,22),40,98,111,100,121,54,50,53,57,32,112,111,114,116,32,104,101,97,100,101,114,41,0,0};
static C_char C_TLS li815[] C_aligned={C_lihdr(0,0,22),40,100,101,102,45,104,101,97,100,101,114,54,50,54,50,32,37,112,111,114,116,41,0,0};
static C_char C_TLS li816[] C_aligned={C_lihdr(0,0,14),40,100,101,102,45,112,111,114,116,54,50,54,49,41,0,0};
static C_char C_TLS li817[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,105,110,116,45,101,114,114,111,114,45,109,101,115,115,97,103,101,32,101,120,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li818[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,115,104,111,119,45,101,120,99,101,112,116,105,111,110,45,119,97,114,110,105,110,103,32,101,120,110,32,99,97,117,115,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li819[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,101,114,114,111,114,45,104,111,111,107,32,99,111,100,101,32,108,111,99,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li820[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,116,114,117,99,116,117,114,101,63,32,120,32,115,41,0,0};
static C_char C_TLS li821[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,103,101,110,101,114,105,99,45,115,116,114,117,99,116,117,114,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li822[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,108,111,116,32,120,32,105,41};
static C_char C_TLS li823[] C_aligned={C_lihdr(0,0,14),40,35,35,115,121,115,35,115,105,122,101,32,120,41,0,0};
static C_char C_TLS li824[] C_aligned={C_lihdr(0,0,14),67,95,109,97,107,101,95,112,111,105,110,116,101,114,0,0};
static C_char C_TLS li825[] C_aligned={C_lihdr(0,0,21),67,95,109,97,107,101,95,116,97,103,103,101,100,95,112,111,105,110,116,101,114,0,0,0};
static C_char C_TLS li826[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,112,111,105,110,116,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li827[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,115,101,116,45,112,111,105,110,116,101,114,45,97,100,100,114,101,115,115,33,32,112,116,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li828[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,121,116,101,118,101,99,116,111,114,63,32,120,41,0,0,0};
static C_char C_TLS li829[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,112,98,121,116,101,118,101,99,116,111,114,32,115,41,0,0,0};
static C_char C_TLS li830[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,112,101,114,109,97,110,101,110,116,63,32,120,41,0,0,0,0};
static C_char C_TLS li831[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,97,100,100,114,101,115,115,32,120,41,0};
static C_char C_TLS li832[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,108,111,99,97,116,105,118,101,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li833[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,114,102,105,45,52,45,118,101,99,116,111,114,63,32,120,41};
static C_char C_TLS li834[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,41,0,0,0,0};
static C_char C_TLS li835[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,63,32,120,41,0};
static C_char C_TLS li836[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,97,100,100,114,101,115,115,45,62,112,111,105,110,116,101,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li837[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,97,100,100,114,101,115,115,32,112,116,114,41,0,0,0,0};
static C_char C_TLS li838[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,109,97,107,101,45,99,45,115,116,114,105,110,103,32,115,116,114,32,46,32,114,101,115,116,41};
static C_char C_TLS li839[] C_aligned={C_lihdr(0,0,21),67,95,112,101,101,107,95,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0,0,0};
static C_char C_TLS li840[] C_aligned={C_lihdr(0,0,23),67,95,112,101,101,107,95,117,110,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0};
static C_char C_TLS li841[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,102,105,120,110,117,109,32,98,32,105,41,0};
static C_char C_TLS li842[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,98,121,116,101,32,112,116,114,32,105,41,0};
static C_char C_TLS li843[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,115,116,114,117,99,116,117,114,101,33,32,118,101,99,41,0,0};
static C_char C_TLS li844[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,100,111,117,98,108,101,32,98,32,105,41,0};
static C_char C_TLS li845[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li846[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,112,101,101,107,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li847[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li848[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li849[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,111,107,101,45,99,45,115,116,114,105,110,103,32,98,32,105,32,115,41,0,0,0,0,0};
static C_char C_TLS li850[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,107,101,45,105,110,116,101,103,101,114,32,98,32,105,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li851[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,107,101,45,100,111,117,98,108,101,32,98,32,105,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li852[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li853[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41};
static C_char C_TLS li854[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li855[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li856[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,99,108,111,115,117,114,101,33,32,118,101,99,32,97,100,100,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li857[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,121,109,98,111,108,45,104,97,115,45,116,111,112,108,101,118,101,108,45,98,105,110,100,105,110,103,63,32,115,41,0,0};
static C_char C_TLS li858[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41};
static C_char C_TLS li859[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,119,111,114,100,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,119,111,114,100,115,41};
static C_char C_TLS li860[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,99,111,109,112,97,114,101,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41,0,0,0,0,0};
static C_char C_TLS li861[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,112,111,105,110,116,101,114,32,120,41,0};
static C_char C_TLS li862[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,99,104,97,114,45,97,114,103,117,109,101,110,116,32,120,41,0};
static C_char C_TLS li863[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,105,120,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li864[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,108,111,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li865[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,98,108,111,99,107,45,97,114,103,117,109,101,110,116,32,120,41};
static C_char C_TLS li866[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,117,99,116,45,119,114,97,112,112,101,114,45,97,114,103,117,109,101,110,116,32,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li867[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,105,110,103,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li868[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,121,109,98,111,108,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li869[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li870[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,116,97,103,103,101,100,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,32,116,120,41,0,0,0,0};
static C_char C_TLS li871[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41};
static C_char C_TLS li872[] C_aligned={C_lihdr(0,0,57),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,117,110,115,105,103,110,101,100,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41,0,0,0,0,0,0,0};
static C_char C_TLS li873[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,41,0,0,0};
static C_char C_TLS li874[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,109,97,107,101,45,116,104,114,101,97,100,32,116,104,117,110,107,32,115,116,97,116,101,32,110,97,109,101,32,113,41,0,0};
static C_char C_TLS li875[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,109,97,107,101,45,109,117,116,101,120,32,105,100,32,111,119,110,101,114,41,0,0,0,0,0};
static C_char C_TLS li876[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li877[] C_aligned={C_lihdr(0,0,8),40,97,50,56,53,50,57,41};
static C_char C_TLS li878[] C_aligned={C_lihdr(0,0,15),40,97,50,56,53,50,48,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li879[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,116,104,114,101,97,100,45,121,105,101,108,100,33,41,0,0,0};
static C_char C_TLS li880[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,41};
static C_char C_TLS li881[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,45,104,111,111,107,32,110,41,0,0,0,0,0};
static C_char C_TLS li882[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,32,110,41,0,0};
static C_char C_TLS li883[] C_aligned={C_lihdr(0,0,16),67,95,99,111,110,116,101,120,116,95,115,119,105,116,99,104};
static C_char C_TLS li884[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,114,101,97,115,111,110,41,0,0,0};
static C_char C_TLS li885[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,32,115,116,97,116,101,41,0,0,0,0,0};
static C_char C_TLS li886[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,100,105,115,112,97,116,99,104,45,105,110,116,101,114,114,117,112,116,32,107,41,0,0,0,0};
static C_char C_TLS li887[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,117,112,100,97,116,101,45,101,114,114,110,111,41,0,0,0,0};
static C_char C_TLS li888[] C_aligned={C_lihdr(0,0,13),40,35,35,115,121,115,35,101,114,114,110,111,41,0,0,0};
static C_char C_TLS li889[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,54,54,48,32,99,41,0,0};
static C_char C_TLS li890[] C_aligned={C_lihdr(0,0,13),40,114,101,97,100,108,110,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li891[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li892[] C_aligned={C_lihdr(0,0,36),40,114,101,97,100,45,101,115,99,97,112,101,100,45,115,101,120,112,32,112,111,114,116,32,115,107,105,112,45,98,114,97,99,101,63,41,0,0,0,0};
static C_char C_TLS li893[] C_aligned={C_lihdr(0,0,15),40,100,111,108,111,111,112,54,54,57,53,32,108,110,41,0};
static C_char C_TLS li894[] C_aligned={C_lihdr(0,0,15),40,103,101,116,47,99,108,101,97,114,45,115,116,114,41,0};
static C_char C_TLS li895[] C_aligned={C_lihdr(0,0,27),40,108,111,111,112,50,32,108,115,116,32,110,101,120,116,45,115,116,114,105,110,103,32,97,99,99,41,0,0,0,0,0};
static C_char C_TLS li896[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li897[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li898[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,41,0};
static C_char C_TLS li899[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,45,104,111,111,107,32,100,105,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li900[] C_aligned={C_lihdr(0,0,63),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,32,99,45,115,116,114,105,110,103,54,56,49,50,41,0};
static C_char C_TLS li901[] C_aligned={C_lihdr(0,0,59),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,32,118,97,108,41,0,0,0,0,0};
static C_char C_TLS li902[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li903[] C_aligned={C_lihdr(0,0,8),40,115,99,97,110,32,106,41};
static C_char C_TLS li904[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li905[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li906[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,101,120,101,99,117,116,97,98,108,101,45,112,97,116,104,110,97,109,101,41,0,0,0};
static C_char C_TLS li907[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,99,43,97,114,103,118,41,0,0,0,0,0};
static C_char C_TLS li908[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,54,56,53,54,32,105,32,118,41};
static C_char C_TLS li909[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,118,41,0,0};
static C_char C_TLS li910[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,99,117,114,114,101,110,116,45,103,99,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0};
static C_char C_TLS li911[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,103,99,45,114,101,112,111,114,116,33,32,102,108,97,103,41};
static C_char C_TLS li912[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,103,99,35,109,101,109,111,114,121,45,115,116,97,116,105,115,116,105,99,115,41,0,0};
static C_char C_TLS li913[] C_aligned={C_lihdr(0,0,20),67,95,114,101,103,105,115,116,101,114,95,102,105,110,97,108,105,122,101,114,0,0,0,0};
static C_char C_TLS li914[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,102,105,110,97,108,105,122,101,114,33,32,120,32,121,41,0};
static C_char C_TLS li915[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,54,52,41};
static C_char C_TLS li916[] C_aligned={C_lihdr(0,0,11),40,97,50,57,53,53,56,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li917[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,55,54,41};
static C_char C_TLS li918[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,57,57,41};
static C_char C_TLS li919[] C_aligned={C_lihdr(0,0,15),40,97,50,57,53,57,51,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li920[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,55,48,41};
static C_char C_TLS li921[] C_aligned={C_lihdr(0,0,10),40,97,50,57,53,53,50,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li922[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,57,51,49,32,105,41,0,0};
static C_char C_TLS li923[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,117,110,45,112,101,110,100,105,110,103,45,102,105,110,97,108,105,122,101,114,115,32,115,116,97,116,101,41,0,0,0,0};
static C_char C_TLS li924[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li925[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,102,105,110,97,108,105,122,101,114,115,41};
static C_char C_TLS li926[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,103,99,35,103,99,32,46,32,97,114,103,41,0,0,0};
static C_char C_TLS li927[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,109,97,107,101,45,108,111,99,97,116,105,118,101,32,111,98,106,32,105,110,100,101,120,32,119,101,97,107,63,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li928[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,112,117,116,33,32,115,121,109,32,112,114,111,112,32,118,97,108,41,0,0,0,0,0,0,0};
static C_char C_TLS li929[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,32,115,121,109,32,112,114,111,112,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li930[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,116,108,41,0,0,0,0,0,0};
static C_char C_TLS li931[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,114,101,109,112,114,111,112,33,32,115,121,109,32,112,114,111,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li932[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,108,105,115,116,41,0,0,0,0};
static C_char C_TLS li933[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,45,112,114,111,112,101,114,116,105,101,115,32,115,121,109,32,112,114,111,112,115,41};
static C_char C_TLS li934[] C_aligned={C_lihdr(0,0,10),40,112,110,117,109,32,110,117,109,41,0,0,0,0,0,0};
static C_char C_TLS li935[] C_aligned={C_lihdr(0,0,14),40,114,111,117,110,100,45,116,111,32,120,32,121,41,0,0};
static C_char C_TLS li936[] C_aligned={C_lihdr(0,0,12),40,112,109,101,109,32,98,121,116,101,115,41,0,0,0,0};
static C_char C_TLS li937[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,100,105,115,112,108,97,121,45,116,105,109,101,115,32,105,110,102,111,41,0,0,0,0,0,0};
static C_char C_TLS li938[] C_aligned={C_lihdr(0,0,17),67,95,100,117,109,112,95,104,101,97,112,95,115,116,97,116,101,0,0,0,0,0,0,0};
static C_char C_TLS li939[] C_aligned={C_lihdr(0,0,21),67,95,102,105,108,116,101,114,95,104,101,97,112,95,111,98,106,101,99,116,115,0,0,0};
static C_char C_TLS li940[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,116,121,112,101,41};
static C_char C_TLS li941[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,116,121,112,101,41,0};
static C_char C_TLS li942[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,98,121,116,101,45,111,114,100,101,114,41,0,0,0};
static C_char C_TLS li943[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,118,101,114,115,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li944[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,98,117,105,108,100,45,112,108,97,116,102,111,114,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li945[] C_aligned={C_lihdr(0,0,7),40,115,116,114,32,120,41,0};
static C_char C_TLS li946[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,118,101,114,115,105,111,110,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li947[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,104,111,109,101,41,0};
static C_char C_TLS li948[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,115,116,97,114,116,32,112,111,115,41};
static C_char C_TLS li949[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,115,112,108,105,116,45,112,97,116,104,32,112,97,116,104,41,0};
static C_char C_TLS li950[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,45,62,102,101,97,116,117,114,101,45,105,100,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li951[] C_aligned={C_lihdr(0,0,9),40,99,104,101,99,107,32,102,41,0,0,0,0,0,0,0};
static C_char C_TLS li952[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,51,51,49,32,103,55,51,51,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li953[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li954[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li955[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,55,51,53,52,32,103,55,51,54,54,41,0,0,0,0};
static C_char C_TLS li956[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,117,110,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0};
static C_char C_TLS li957[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,115,41,0,0,0,0,0};
static C_char C_TLS li958[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,105,100,115,41,0,0,0,0,0,0};
static C_char C_TLS li959[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,63,32,46,32,105,100,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li960[] C_aligned={C_lihdr(0,0,16),67,95,114,101,116,117,114,110,95,116,111,95,104,111,115,116};
static C_char C_TLS li961[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,55,51,41,0,0,0,0,0};
static C_char C_TLS li962[] C_aligned={C_lihdr(0,0,12),40,97,51,49,48,48,54,32,110,101,119,41,0,0,0,0};
static C_char C_TLS li963[] C_aligned={C_lihdr(0,0,16),67,95,98,117,105,108,100,95,112,108,97,116,102,111,114,109};
static C_char C_TLS li964[] C_aligned={C_lihdr(0,0,18),67,95,115,111,102,116,119,97,114,101,95,118,101,114,115,105,111,110,0,0,0,0,0,0};
static C_char C_TLS li965[] C_aligned={C_lihdr(0,0,20),67,95,109,97,99,104,105,110,101,95,98,121,116,101,95,111,114,100,101,114,0,0,0,0};
static C_char C_TLS li966[] C_aligned={C_lihdr(0,0,14),67,95,109,97,99,104,105,110,101,95,116,121,112,101,0,0};
static C_char C_TLS li967[] C_aligned={C_lihdr(0,0,15),67,95,115,111,102,116,119,97,114,101,95,116,121,112,101,0};
static C_char C_TLS li968[] C_aligned={C_lihdr(0,0,12),40,97,51,49,49,48,53,32,115,121,109,41,0,0,0,0};
static C_char C_TLS li969[] C_aligned={C_lihdr(0,0,16),40,97,51,49,49,49,52,32,115,121,109,32,108,115,116,41};
static C_char C_TLS li970[] C_aligned={C_lihdr(0,0,10),40,97,51,49,49,53,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li971[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li972[] C_aligned={C_lihdr(0,0,19),40,102,51,54,56,54,48,32,120,54,56,55,51,51,54,56,53,57,41,0,0,0,0,0};
static C_char C_TLS li973[] C_aligned={C_lihdr(0,0,19),40,102,51,54,56,54,54,32,120,54,56,54,51,51,54,56,54,53,41,0,0,0,0,0};
static C_char C_TLS li974[] C_aligned={C_lihdr(0,0,19),40,102,51,54,56,55,50,32,120,54,56,54,51,51,54,56,55,49,41,0,0,0,0,0};
static C_char C_TLS li975[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,51,57,41};
static C_char C_TLS li976[] C_aligned={C_lihdr(0,0,12),40,97,51,49,50,54,49,32,100,105,114,41,0,0,0,0};
static C_char C_TLS li977[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,57,52,32,103,53,57,48,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li978[] C_aligned={C_lihdr(0,0,8),40,97,51,49,51,49,50,41};
static C_char C_TLS li979[] C_aligned={C_lihdr(0,0,9),40,103,53,57,50,54,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li980[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,50,53,32,103,53,57,51,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li981[] C_aligned={C_lihdr(0,0,15),40,97,51,49,52,50,52,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li982[] C_aligned={C_lihdr(0,0,19),40,97,51,49,50,54,55,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li983[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,50,55,41};
static C_char C_TLS li984[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,51,54,41};
static C_char C_TLS li985[] C_aligned={C_lihdr(0,0,15),40,97,51,49,52,52,50,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li986[] C_aligned={C_lihdr(0,0,14),40,97,51,49,55,49,48,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li987[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,50,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li988[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,51,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li989[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,52,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li990[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,53,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li991[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,54,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li992[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,55,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li993[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,56,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li994[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,57,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li995[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,48,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li996[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,49,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li997[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,50,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li998[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,51,48,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li999[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,54,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1000[] C_aligned={C_lihdr(0,0,13),40,97,51,49,56,52,48,32,112,114,111,99,41,0,0,0};
static C_char C_TLS li1001[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,56,48,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1002[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,51,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1003[] C_aligned={C_lihdr(0,0,15),40,97,51,49,57,53,49,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1004[] C_aligned={C_lihdr(0,0,16),40,97,51,49,57,48,54,32,103,101,116,32,115,101,116,41};
static C_char C_TLS li1005[] C_aligned={C_lihdr(0,0,15),40,97,51,49,56,57,54,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1006[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub6852(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word i=(C_word )(C_a0);
C_return(C_main_argv[C_unfix(i)]);
C_ret:
#undef return

return C_r;}

/* from chicken.process-context#executable-pathname in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
C_regparm static C_word C_fcall stub6844(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mpointer(&C_a,(void*)C_executable_pathname());
return C_r;}

/* from k29248 */
C_regparm static C_word C_fcall stub6832(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k29203 in chicken.process-context#get-environment-variable in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
C_regparm static C_word C_fcall stub6813(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenv(t0));
return C_r;}

/* from k28363 */
C_regparm static C_word C_fcall stub6527(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_free(t0);
return C_r;}

/* from k28354 */
C_regparm static C_word C_fcall stub6519(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

/* from k28302 */
C_regparm static C_word C_fcall stub6500(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub5658(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word x=(C_word )(C_a0);
C_return((C_char *)x);
C_ret:
#undef return

return C_r;}

/* from k15363 */
C_regparm static C_word C_fcall stub2822(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
double t0=(double )C_c_double(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_flonum(&C_a,ldexp(t0,t1));
return C_r;}

C_noret_decl(f34076)
static void C_ccall f34076(C_word c,C_word *av) C_noret;
C_noret_decl(f34607)
static void C_ccall f34607(C_word c,C_word *av) C_noret;
C_noret_decl(f36860)
static void C_ccall f36860(C_word c,C_word *av) C_noret;
C_noret_decl(f36866)
static void C_ccall f36866(C_word c,C_word *av) C_noret;
C_noret_decl(f36872)
static void C_ccall f36872(C_word c,C_word *av) C_noret;
C_noret_decl(f_10003)
static void C_ccall f_10003(C_word c,C_word *av) C_noret;
C_noret_decl(f_10010)
static void C_fcall f_10010(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10013)
static void C_ccall f_10013(C_word c,C_word *av) C_noret;
C_noret_decl(f_10042)
static void C_ccall f_10042(C_word c,C_word *av) C_noret;
C_noret_decl(f_10048)
static void C_fcall f_10048(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10064)
static void C_ccall f_10064(C_word c,C_word *av) C_noret;
C_noret_decl(f_10089)
static void C_ccall f_10089(C_word c,C_word *av) C_noret;
C_noret_decl(f_10098)
static void C_fcall f_10098(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10139)
static void C_ccall f_10139(C_word c,C_word *av) C_noret;
C_noret_decl(f_10161)
static void C_ccall f_10161(C_word c,C_word *av) C_noret;
C_noret_decl(f_10193)
static void C_ccall f_10193(C_word c,C_word *av) C_noret;
C_noret_decl(f_10209)
static void C_fcall f_10209(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10212)
static void C_ccall f_10212(C_word c,C_word *av) C_noret;
C_noret_decl(f_10234)
static void C_ccall f_10234(C_word c,C_word *av) C_noret;
C_noret_decl(f_10240)
static void C_fcall f_10240(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10265)
static void C_ccall f_10265(C_word c,C_word *av) C_noret;
C_noret_decl(f_10305)
static void C_ccall f_10305(C_word c,C_word *av) C_noret;
C_noret_decl(f_10312)
static void C_fcall f_10312(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10317)
static void C_fcall f_10317(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10336)
static void C_ccall f_10336(C_word c,C_word *av) C_noret;
C_noret_decl(f_10358)
static void C_ccall f_10358(C_word c,C_word *av) C_noret;
C_noret_decl(f_10361)
static void C_ccall f_10361(C_word c,C_word *av) C_noret;
C_noret_decl(f_10364)
static void C_ccall f_10364(C_word c,C_word *av) C_noret;
C_noret_decl(f_10367)
static void C_ccall f_10367(C_word c,C_word *av) C_noret;
C_noret_decl(f_10373)
static void C_ccall f_10373(C_word c,C_word *av) C_noret;
C_noret_decl(f_10376)
static void C_ccall f_10376(C_word c,C_word *av) C_noret;
C_noret_decl(f_10379)
static void C_ccall f_10379(C_word c,C_word *av) C_noret;
C_noret_decl(f_10382)
static void C_ccall f_10382(C_word c,C_word *av) C_noret;
C_noret_decl(f_10385)
static void C_ccall f_10385(C_word c,C_word *av) C_noret;
C_noret_decl(f_10388)
static void C_ccall f_10388(C_word c,C_word *av) C_noret;
C_noret_decl(f_10391)
static void C_ccall f_10391(C_word c,C_word *av) C_noret;
C_noret_decl(f_10394)
static void C_ccall f_10394(C_word c,C_word *av) C_noret;
C_noret_decl(f_10397)
static void C_ccall f_10397(C_word c,C_word *av) C_noret;
C_noret_decl(f_10400)
static void C_ccall f_10400(C_word c,C_word *av) C_noret;
C_noret_decl(f_10403)
static void C_ccall f_10403(C_word c,C_word *av) C_noret;
C_noret_decl(f_10406)
static void C_ccall f_10406(C_word c,C_word *av) C_noret;
C_noret_decl(f_10409)
static void C_ccall f_10409(C_word c,C_word *av) C_noret;
C_noret_decl(f_10412)
static void C_ccall f_10412(C_word c,C_word *av) C_noret;
C_noret_decl(f_10415)
static void C_ccall f_10415(C_word c,C_word *av) C_noret;
C_noret_decl(f_10418)
static void C_ccall f_10418(C_word c,C_word *av) C_noret;
C_noret_decl(f_10421)
static void C_ccall f_10421(C_word c,C_word *av) C_noret;
C_noret_decl(f_10424)
static void C_ccall f_10424(C_word c,C_word *av) C_noret;
C_noret_decl(f_10427)
static void C_ccall f_10427(C_word c,C_word *av) C_noret;
C_noret_decl(f_10430)
static void C_ccall f_10430(C_word c,C_word *av) C_noret;
C_noret_decl(f_10433)
static void C_ccall f_10433(C_word c,C_word *av) C_noret;
C_noret_decl(f_10436)
static void C_ccall f_10436(C_word c,C_word *av) C_noret;
C_noret_decl(f_10439)
static void C_ccall f_10439(C_word c,C_word *av) C_noret;
C_noret_decl(f_10442)
static void C_ccall f_10442(C_word c,C_word *av) C_noret;
C_noret_decl(f_10445)
static void C_ccall f_10445(C_word c,C_word *av) C_noret;
C_noret_decl(f_10450)
static void C_ccall f_10450(C_word c,C_word *av) C_noret;
C_noret_decl(f_10459)
static void C_ccall f_10459(C_word c,C_word *av) C_noret;
C_noret_decl(f_10471)
static void C_ccall f_10471(C_word c,C_word *av) C_noret;
C_noret_decl(f_10486)
static void C_ccall f_10486(C_word c,C_word *av) C_noret;
C_noret_decl(f_10489)
static void C_ccall f_10489(C_word c,C_word *av) C_noret;
C_noret_decl(f_10497)
static void C_ccall f_10497(C_word c,C_word *av) C_noret;
C_noret_decl(f_10501)
static void C_ccall f_10501(C_word c,C_word *av) C_noret;
C_noret_decl(f_10503)
static void C_ccall f_10503(C_word c,C_word *av) C_noret;
C_noret_decl(f_10507)
static void C_ccall f_10507(C_word c,C_word *av) C_noret;
C_noret_decl(f_10510)
static void C_ccall f_10510(C_word c,C_word *av) C_noret;
C_noret_decl(f_10521)
static void C_ccall f_10521(C_word c,C_word *av) C_noret;
C_noret_decl(f_10523)
static void C_ccall f_10523(C_word c,C_word *av) C_noret;
C_noret_decl(f_10530)
static void C_ccall f_10530(C_word c,C_word *av) C_noret;
C_noret_decl(f_10533)
static void C_ccall f_10533(C_word c,C_word *av) C_noret;
C_noret_decl(f_10536)
static void C_ccall f_10536(C_word c,C_word *av) C_noret;
C_noret_decl(f_10541)
static void C_ccall f_10541(C_word c,C_word *av) C_noret;
C_noret_decl(f_10545)
static void C_ccall f_10545(C_word c,C_word *av) C_noret;
C_noret_decl(f_10550)
static void C_ccall f_10550(C_word c,C_word *av) C_noret;
C_noret_decl(f_10554)
static void C_ccall f_10554(C_word c,C_word *av) C_noret;
C_noret_decl(f_10557)
static void C_ccall f_10557(C_word c,C_word *av) C_noret;
C_noret_decl(f_10585)
static void C_ccall f_10585(C_word c,C_word *av) C_noret;
C_noret_decl(f_10588)
static void C_ccall f_10588(C_word c,C_word *av) C_noret;
C_noret_decl(f_10591)
static void C_ccall f_10591(C_word c,C_word *av) C_noret;
C_noret_decl(f_10608)
static void C_ccall f_10608(C_word c,C_word *av) C_noret;
C_noret_decl(f_10619)
static void C_ccall f_10619(C_word c,C_word *av) C_noret;
C_noret_decl(f_10631)
static void C_ccall f_10631(C_word c,C_word *av) C_noret;
C_noret_decl(f_10642)
static void C_ccall f_10642(C_word c,C_word *av) C_noret;
C_noret_decl(f_10653)
static void C_ccall f_10653(C_word c,C_word *av) C_noret;
C_noret_decl(f_10664)
static void C_ccall f_10664(C_word c,C_word *av) C_noret;
C_noret_decl(f_10675)
static void C_ccall f_10675(C_word c,C_word *av) C_noret;
C_noret_decl(f_10686)
static void C_ccall f_10686(C_word c,C_word *av) C_noret;
C_noret_decl(f_10697)
static void C_ccall f_10697(C_word c,C_word *av) C_noret;
C_noret_decl(f_10708)
static void C_ccall f_10708(C_word c,C_word *av) C_noret;
C_noret_decl(f_10719)
static void C_ccall f_10719(C_word c,C_word *av) C_noret;
C_noret_decl(f_10730)
static void C_ccall f_10730(C_word c,C_word *av) C_noret;
C_noret_decl(f_10741)
static void C_ccall f_10741(C_word c,C_word *av) C_noret;
C_noret_decl(f_10752)
static void C_ccall f_10752(C_word c,C_word *av) C_noret;
C_noret_decl(f_10763)
static void C_ccall f_10763(C_word c,C_word *av) C_noret;
C_noret_decl(f_10780)
static void C_ccall f_10780(C_word c,C_word *av) C_noret;
C_noret_decl(f_10797)
static void C_ccall f_10797(C_word c,C_word *av) C_noret;
C_noret_decl(f_10821)
static void C_ccall f_10821(C_word c,C_word *av) C_noret;
C_noret_decl(f_10838)
static void C_ccall f_10838(C_word c,C_word *av) C_noret;
C_noret_decl(f_10842)
static void C_ccall f_10842(C_word c,C_word *av) C_noret;
C_noret_decl(f_10868)
static void C_ccall f_10868(C_word c,C_word *av) C_noret;
C_noret_decl(f_10888)
static void C_ccall f_10888(C_word c,C_word *av) C_noret;
C_noret_decl(f_10899)
static void C_ccall f_10899(C_word c,C_word *av) C_noret;
C_noret_decl(f_10911)
static void C_fcall f_10911(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_10945)
static void C_ccall f_10945(C_word c,C_word *av) C_noret;
C_noret_decl(f_10960)
static void C_fcall f_10960(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11027)
static void C_ccall f_11027(C_word c,C_word *av) C_noret;
C_noret_decl(f_11043)
static void C_ccall f_11043(C_word c,C_word *av) C_noret;
C_noret_decl(f_11059)
static void C_ccall f_11059(C_word c,C_word *av) C_noret;
C_noret_decl(f_11075)
static void C_ccall f_11075(C_word c,C_word *av) C_noret;
C_noret_decl(f_11091)
static void C_ccall f_11091(C_word c,C_word *av) C_noret;
C_noret_decl(f_11107)
static void C_ccall f_11107(C_word c,C_word *av) C_noret;
C_noret_decl(f_11123)
static void C_ccall f_11123(C_word c,C_word *av) C_noret;
C_noret_decl(f_11139)
static void C_ccall f_11139(C_word c,C_word *av) C_noret;
C_noret_decl(f_11155)
static void C_ccall f_11155(C_word c,C_word *av) C_noret;
C_noret_decl(f_11167)
static void C_fcall f_11167(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11186)
static void C_fcall f_11186(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11217)
static void C_ccall f_11217(C_word c,C_word *av) C_noret;
C_noret_decl(f_11234)
static void C_ccall f_11234(C_word c,C_word *av) C_noret;
C_noret_decl(f_11240)
static void C_fcall f_11240(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11264)
static void C_ccall f_11264(C_word c,C_word *av) C_noret;
C_noret_decl(f_11284)
static void C_ccall f_11284(C_word c,C_word *av) C_noret;
C_noret_decl(f_11288)
static void C_ccall f_11288(C_word c,C_word *av) C_noret;
C_noret_decl(f_11291)
static void C_ccall f_11291(C_word c,C_word *av) C_noret;
C_noret_decl(f_11320)
static void C_ccall f_11320(C_word c,C_word *av) C_noret;
C_noret_decl(f_11336)
static void C_fcall f_11336(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11358)
static void C_ccall f_11358(C_word c,C_word *av) C_noret;
C_noret_decl(f_11374)
static void C_ccall f_11374(C_word c,C_word *av) C_noret;
C_noret_decl(f_11379)
static C_word C_fcall f_11379(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11410)
static void C_ccall f_11410(C_word c,C_word *av) C_noret;
C_noret_decl(f_11421)
static void C_ccall f_11421(C_word c,C_word *av) C_noret;
C_noret_decl(f_11430)
static C_word C_fcall f_11430(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11459)
static void C_ccall f_11459(C_word c,C_word *av) C_noret;
C_noret_decl(f_11472)
static void C_ccall f_11472(C_word c,C_word *av) C_noret;
C_noret_decl(f_11482)
static void C_ccall f_11482(C_word c,C_word *av) C_noret;
C_noret_decl(f_11484)
static void C_ccall f_11484(C_word c,C_word *av) C_noret;
C_noret_decl(f_11491)
static void C_ccall f_11491(C_word c,C_word *av) C_noret;
C_noret_decl(f_11494)
static void C_fcall f_11494(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11503)
static void C_fcall f_11503(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11529)
static void C_ccall f_11529(C_word c,C_word *av) C_noret;
C_noret_decl(f_11534)
static void C_ccall f_11534(C_word c,C_word *av) C_noret;
C_noret_decl(f_11538)
static void C_ccall f_11538(C_word c,C_word *av) C_noret;
C_noret_decl(f_11543)
static void C_ccall f_11543(C_word c,C_word *av) C_noret;
C_noret_decl(f_11564)
static void C_ccall f_11564(C_word c,C_word *av) C_noret;
C_noret_decl(f_11570)
static void C_ccall f_11570(C_word c,C_word *av) C_noret;
C_noret_decl(f_11588)
static void C_ccall f_11588(C_word c,C_word *av) C_noret;
C_noret_decl(f_11594)
static void C_ccall f_11594(C_word c,C_word *av) C_noret;
C_noret_decl(f_11612)
static void C_ccall f_11612(C_word c,C_word *av) C_noret;
C_noret_decl(f_11618)
static void C_ccall f_11618(C_word c,C_word *av) C_noret;
C_noret_decl(f_11633)
static void C_ccall f_11633(C_word c,C_word *av) C_noret;
C_noret_decl(f_11639)
static void C_ccall f_11639(C_word c,C_word *av) C_noret;
C_noret_decl(f_11653)
static void C_ccall f_11653(C_word c,C_word *av) C_noret;
C_noret_decl(f_11674)
static void C_ccall f_11674(C_word c,C_word *av) C_noret;
C_noret_decl(f_11680)
static void C_ccall f_11680(C_word c,C_word *av) C_noret;
C_noret_decl(f_11698)
static void C_ccall f_11698(C_word c,C_word *av) C_noret;
C_noret_decl(f_11704)
static void C_ccall f_11704(C_word c,C_word *av) C_noret;
C_noret_decl(f_11722)
static void C_ccall f_11722(C_word c,C_word *av) C_noret;
C_noret_decl(f_11728)
static void C_ccall f_11728(C_word c,C_word *av) C_noret;
C_noret_decl(f_11743)
static void C_ccall f_11743(C_word c,C_word *av) C_noret;
C_noret_decl(f_11749)
static void C_ccall f_11749(C_word c,C_word *av) C_noret;
C_noret_decl(f_11764)
static void C_ccall f_11764(C_word c,C_word *av) C_noret;
C_noret_decl(f_11774)
static void C_ccall f_11774(C_word c,C_word *av) C_noret;
C_noret_decl(f_11780)
static void C_ccall f_11780(C_word c,C_word *av) C_noret;
C_noret_decl(f_11784)
static void C_ccall f_11784(C_word c,C_word *av) C_noret;
C_noret_decl(f_11786)
static void C_fcall f_11786(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11797)
static void C_ccall f_11797(C_word c,C_word *av) C_noret;
C_noret_decl(f_11809)
static void C_ccall f_11809(C_word c,C_word *av) C_noret;
C_noret_decl(f_11819)
static void C_ccall f_11819(C_word c,C_word *av) C_noret;
C_noret_decl(f_11825)
static void C_ccall f_11825(C_word c,C_word *av) C_noret;
C_noret_decl(f_11829)
static void C_ccall f_11829(C_word c,C_word *av) C_noret;
C_noret_decl(f_11834)
static C_word C_fcall f_11834(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11860)
static void C_ccall f_11860(C_word c,C_word *av) C_noret;
C_noret_decl(f_11864)
static void C_ccall f_11864(C_word c,C_word *av) C_noret;
C_noret_decl(f_11867)
static void C_ccall f_11867(C_word c,C_word *av) C_noret;
C_noret_decl(f_11875)
static void C_fcall f_11875(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11896)
static void C_fcall f_11896(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_11910)
static void C_ccall f_11910(C_word c,C_word *av) C_noret;
C_noret_decl(f_11914)
static void C_ccall f_11914(C_word c,C_word *av) C_noret;
C_noret_decl(f_11955)
static void C_ccall f_11955(C_word c,C_word *av) C_noret;
C_noret_decl(f_11977)
static void C_ccall f_11977(C_word c,C_word *av) C_noret;
C_noret_decl(f_11979)
static void C_ccall f_11979(C_word c,C_word *av) C_noret;
C_noret_decl(f_12001)
static void C_ccall f_12001(C_word c,C_word *av) C_noret;
C_noret_decl(f_12003)
static void C_ccall f_12003(C_word c,C_word *av) C_noret;
C_noret_decl(f_12025)
static void C_ccall f_12025(C_word c,C_word *av) C_noret;
C_noret_decl(f_12027)
static void C_ccall f_12027(C_word c,C_word *av) C_noret;
C_noret_decl(f_12049)
static void C_ccall f_12049(C_word c,C_word *av) C_noret;
C_noret_decl(f_12051)
static void C_ccall f_12051(C_word c,C_word *av) C_noret;
C_noret_decl(f_12073)
static void C_ccall f_12073(C_word c,C_word *av) C_noret;
C_noret_decl(f_12075)
static void C_ccall f_12075(C_word c,C_word *av) C_noret;
C_noret_decl(f_12097)
static void C_ccall f_12097(C_word c,C_word *av) C_noret;
C_noret_decl(f_12099)
static void C_ccall f_12099(C_word c,C_word *av) C_noret;
C_noret_decl(f_12121)
static void C_ccall f_12121(C_word c,C_word *av) C_noret;
C_noret_decl(f_12123)
static void C_ccall f_12123(C_word c,C_word *av) C_noret;
C_noret_decl(f_12145)
static void C_ccall f_12145(C_word c,C_word *av) C_noret;
C_noret_decl(f_12147)
static void C_ccall f_12147(C_word c,C_word *av) C_noret;
C_noret_decl(f_12169)
static void C_ccall f_12169(C_word c,C_word *av) C_noret;
C_noret_decl(f_12171)
static void C_ccall f_12171(C_word c,C_word *av) C_noret;
C_noret_decl(f_12193)
static void C_ccall f_12193(C_word c,C_word *av) C_noret;
C_noret_decl(f_12195)
static void C_ccall f_12195(C_word c,C_word *av) C_noret;
C_noret_decl(f_12217)
static void C_ccall f_12217(C_word c,C_word *av) C_noret;
C_noret_decl(f_12219)
static void C_ccall f_12219(C_word c,C_word *av) C_noret;
C_noret_decl(f_12235)
static void C_ccall f_12235(C_word c,C_word *av) C_noret;
C_noret_decl(f_12237)
static void C_ccall f_12237(C_word c,C_word *av) C_noret;
C_noret_decl(f_12259)
static void C_ccall f_12259(C_word c,C_word *av) C_noret;
C_noret_decl(f_12261)
static void C_ccall f_12261(C_word c,C_word *av) C_noret;
C_noret_decl(f_12283)
static void C_ccall f_12283(C_word c,C_word *av) C_noret;
C_noret_decl(f_12285)
static void C_ccall f_12285(C_word c,C_word *av) C_noret;
C_noret_decl(f_12301)
static void C_ccall f_12301(C_word c,C_word *av) C_noret;
C_noret_decl(f_12303)
static void C_ccall f_12303(C_word c,C_word *av) C_noret;
C_noret_decl(f_12319)
static void C_ccall f_12319(C_word c,C_word *av) C_noret;
C_noret_decl(f_12321)
static void C_ccall f_12321(C_word c,C_word *av) C_noret;
C_noret_decl(f_12337)
static void C_ccall f_12337(C_word c,C_word *av) C_noret;
C_noret_decl(f_12339)
static void C_ccall f_12339(C_word c,C_word *av) C_noret;
C_noret_decl(f_12355)
static void C_ccall f_12355(C_word c,C_word *av) C_noret;
C_noret_decl(f_12357)
static void C_ccall f_12357(C_word c,C_word *av) C_noret;
C_noret_decl(f_12373)
static void C_ccall f_12373(C_word c,C_word *av) C_noret;
C_noret_decl(f_12375)
static void C_ccall f_12375(C_word c,C_word *av) C_noret;
C_noret_decl(f_12391)
static void C_ccall f_12391(C_word c,C_word *av) C_noret;
C_noret_decl(f_12393)
static void C_ccall f_12393(C_word c,C_word *av) C_noret;
C_noret_decl(f_12409)
static void C_ccall f_12409(C_word c,C_word *av) C_noret;
C_noret_decl(f_12411)
static void C_ccall f_12411(C_word c,C_word *av) C_noret;
C_noret_decl(f_12427)
static void C_ccall f_12427(C_word c,C_word *av) C_noret;
C_noret_decl(f_12429)
static void C_ccall f_12429(C_word c,C_word *av) C_noret;
C_noret_decl(f_12445)
static void C_ccall f_12445(C_word c,C_word *av) C_noret;
C_noret_decl(f_12447)
static void C_ccall f_12447(C_word c,C_word *av) C_noret;
C_noret_decl(f_12463)
static void C_ccall f_12463(C_word c,C_word *av) C_noret;
C_noret_decl(f_12465)
static void C_ccall f_12465(C_word c,C_word *av) C_noret;
C_noret_decl(f_12487)
static void C_ccall f_12487(C_word c,C_word *av) C_noret;
C_noret_decl(f_12489)
static void C_ccall f_12489(C_word c,C_word *av) C_noret;
C_noret_decl(f_12505)
static void C_ccall f_12505(C_word c,C_word *av) C_noret;
C_noret_decl(f_12507)
static void C_ccall f_12507(C_word c,C_word *av) C_noret;
C_noret_decl(f_12529)
static void C_ccall f_12529(C_word c,C_word *av) C_noret;
C_noret_decl(f_12531)
static void C_ccall f_12531(C_word c,C_word *av) C_noret;
C_noret_decl(f_12547)
static void C_ccall f_12547(C_word c,C_word *av) C_noret;
C_noret_decl(f_12549)
static void C_ccall f_12549(C_word c,C_word *av) C_noret;
C_noret_decl(f_12565)
static void C_ccall f_12565(C_word c,C_word *av) C_noret;
C_noret_decl(f_12567)
static void C_ccall f_12567(C_word c,C_word *av) C_noret;
C_noret_decl(f_12583)
static void C_ccall f_12583(C_word c,C_word *av) C_noret;
C_noret_decl(f_12585)
static void C_ccall f_12585(C_word c,C_word *av) C_noret;
C_noret_decl(f_12601)
static void C_ccall f_12601(C_word c,C_word *av) C_noret;
C_noret_decl(f_12603)
static void C_ccall f_12603(C_word c,C_word *av) C_noret;
C_noret_decl(f_12613)
static void C_ccall f_12613(C_word c,C_word *av) C_noret;
C_noret_decl(f_12625)
static void C_fcall f_12625(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12635)
static void C_ccall f_12635(C_word c,C_word *av) C_noret;
C_noret_decl(f_12639)
static void C_ccall f_12639(C_word c,C_word *av) C_noret;
C_noret_decl(f_12661)
static void C_ccall f_12661(C_word c,C_word *av) C_noret;
C_noret_decl(f_12665)
static void C_ccall f_12665(C_word c,C_word *av) C_noret;
C_noret_decl(f_12668)
static void C_ccall f_12668(C_word c,C_word *av) C_noret;
C_noret_decl(f_12673)
static void C_ccall f_12673(C_word c,C_word *av) C_noret;
C_noret_decl(f_12677)
static void C_ccall f_12677(C_word c,C_word *av) C_noret;
C_noret_decl(f_12680)
static void C_ccall f_12680(C_word c,C_word *av) C_noret;
C_noret_decl(f_12683)
static void C_ccall f_12683(C_word c,C_word *av) C_noret;
C_noret_decl(f_12694)
static void C_ccall f_12694(C_word c,C_word *av) C_noret;
C_noret_decl(f_12717)
static void C_ccall f_12717(C_word c,C_word *av) C_noret;
C_noret_decl(f_12743)
static void C_ccall f_12743(C_word c,C_word *av) C_noret;
C_noret_decl(f_12752)
static void C_ccall f_12752(C_word c,C_word *av) C_noret;
C_noret_decl(f_12757)
static void C_ccall f_12757(C_word c,C_word *av) C_noret;
C_noret_decl(f_12759)
static void C_ccall f_12759(C_word c,C_word *av) C_noret;
C_noret_decl(f_12798)
static void C_fcall f_12798(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12844)
static void C_ccall f_12844(C_word c,C_word *av) C_noret;
C_noret_decl(f_12868)
static void C_ccall f_12868(C_word c,C_word *av) C_noret;
C_noret_decl(f_12872)
static void C_ccall f_12872(C_word c,C_word *av) C_noret;
C_noret_decl(f_12890)
static void C_ccall f_12890(C_word c,C_word *av) C_noret;
C_noret_decl(f_12914)
static void C_ccall f_12914(C_word c,C_word *av) C_noret;
C_noret_decl(f_12918)
static void C_ccall f_12918(C_word c,C_word *av) C_noret;
C_noret_decl(f_12936)
static void C_ccall f_12936(C_word c,C_word *av) C_noret;
C_noret_decl(f_12977)
static void C_fcall f_12977(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12988)
static void C_ccall f_12988(C_word c,C_word *av) C_noret;
C_noret_decl(f_12994)
static void C_fcall f_12994(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12998)
static void C_ccall f_12998(C_word c,C_word *av) C_noret;
C_noret_decl(f_13003)
static void C_ccall f_13003(C_word c,C_word *av) C_noret;
C_noret_decl(f_13014)
static void C_ccall f_13014(C_word c,C_word *av) C_noret;
C_noret_decl(f_13027)
static void C_ccall f_13027(C_word c,C_word *av) C_noret;
C_noret_decl(f_13042)
static void C_ccall f_13042(C_word c,C_word *av) C_noret;
C_noret_decl(f_13046)
static void C_ccall f_13046(C_word c,C_word *av) C_noret;
C_noret_decl(f_13052)
static void C_ccall f_13052(C_word c,C_word *av) C_noret;
C_noret_decl(f_13056)
static void C_ccall f_13056(C_word c,C_word *av) C_noret;
C_noret_decl(f_13096)
static void C_ccall f_13096(C_word c,C_word *av) C_noret;
C_noret_decl(f_13100)
static void C_ccall f_13100(C_word c,C_word *av) C_noret;
C_noret_decl(f_13122)
static void C_ccall f_13122(C_word c,C_word *av) C_noret;
C_noret_decl(f_13125)
static void C_ccall f_13125(C_word c,C_word *av) C_noret;
C_noret_decl(f_13128)
static void C_ccall f_13128(C_word c,C_word *av) C_noret;
C_noret_decl(f_13131)
static void C_ccall f_13131(C_word c,C_word *av) C_noret;
C_noret_decl(f_13134)
static void C_ccall f_13134(C_word c,C_word *av) C_noret;
C_noret_decl(f_13155)
static void C_ccall f_13155(C_word c,C_word *av) C_noret;
C_noret_decl(f_13157)
static void C_fcall f_13157(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13175)
static void C_ccall f_13175(C_word c,C_word *av) C_noret;
C_noret_decl(f_13185)
static void C_ccall f_13185(C_word c,C_word *av) C_noret;
C_noret_decl(f_13189)
static void C_ccall f_13189(C_word c,C_word *av) C_noret;
C_noret_decl(f_13195)
static void C_fcall f_13195(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13227)
static void C_ccall f_13227(C_word c,C_word *av) C_noret;
C_noret_decl(f_13230)
static void C_ccall f_13230(C_word c,C_word *av) C_noret;
C_noret_decl(f_13233)
static void C_ccall f_13233(C_word c,C_word *av) C_noret;
C_noret_decl(f_13236)
static void C_ccall f_13236(C_word c,C_word *av) C_noret;
C_noret_decl(f_13245)
static void C_ccall f_13245(C_word c,C_word *av) C_noret;
C_noret_decl(f_13248)
static void C_ccall f_13248(C_word c,C_word *av) C_noret;
C_noret_decl(f_13278)
static void C_ccall f_13278(C_word c,C_word *av) C_noret;
C_noret_decl(f_13282)
static void C_ccall f_13282(C_word c,C_word *av) C_noret;
C_noret_decl(f_13349)
static void C_ccall f_13349(C_word c,C_word *av) C_noret;
C_noret_decl(f_13383)
static void C_ccall f_13383(C_word c,C_word *av) C_noret;
C_noret_decl(f_13433)
static void C_ccall f_13433(C_word c,C_word *av) C_noret;
C_noret_decl(f_13474)
static void C_ccall f_13474(C_word c,C_word *av) C_noret;
C_noret_decl(f_13515)
static void C_ccall f_13515(C_word c,C_word *av) C_noret;
C_noret_decl(f_13549)
static void C_ccall f_13549(C_word c,C_word *av) C_noret;
C_noret_decl(f_13573)
static void C_ccall f_13573(C_word c,C_word *av) C_noret;
C_noret_decl(f_13589)
static void C_fcall f_13589(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_13592)
static void C_fcall f_13592(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13596)
static void C_ccall f_13596(C_word c,C_word *av) C_noret;
C_noret_decl(f_13599)
static void C_ccall f_13599(C_word c,C_word *av) C_noret;
C_noret_decl(f_13616)
static void C_ccall f_13616(C_word c,C_word *av) C_noret;
C_noret_decl(f_13634)
static void C_ccall f_13634(C_word c,C_word *av) C_noret;
C_noret_decl(f_13638)
static void C_ccall f_13638(C_word c,C_word *av) C_noret;
C_noret_decl(f_13657)
static void C_ccall f_13657(C_word c,C_word *av) C_noret;
C_noret_decl(f_13661)
static void C_ccall f_13661(C_word c,C_word *av) C_noret;
C_noret_decl(f_13692)
static void C_ccall f_13692(C_word c,C_word *av) C_noret;
C_noret_decl(f_13725)
static void C_ccall f_13725(C_word c,C_word *av) C_noret;
C_noret_decl(f_13729)
static void C_ccall f_13729(C_word c,C_word *av) C_noret;
C_noret_decl(f_13748)
static void C_ccall f_13748(C_word c,C_word *av) C_noret;
C_noret_decl(f_13750)
static void C_ccall f_13750(C_word c,C_word *av) C_noret;
C_noret_decl(f_13757)
static void C_fcall f_13757(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13793)
static void C_ccall f_13793(C_word c,C_word *av) C_noret;
C_noret_decl(f_13800)
static void C_fcall f_13800(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13836)
static void C_ccall f_13836(C_word c,C_word *av) C_noret;
C_noret_decl(f_13851)
static void C_ccall f_13851(C_word c,C_word *av) C_noret;
C_noret_decl(f_13860)
static void C_ccall f_13860(C_word c,C_word *av) C_noret;
C_noret_decl(f_13865)
static void C_ccall f_13865(C_word c,C_word *av) C_noret;
C_noret_decl(f_13878)
static void C_ccall f_13878(C_word c,C_word *av) C_noret;
C_noret_decl(f_13897)
static void C_fcall f_13897(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13901)
static void C_ccall f_13901(C_word c,C_word *av) C_noret;
C_noret_decl(f_13906)
static void C_ccall f_13906(C_word c,C_word *av) C_noret;
C_noret_decl(f_13910)
static void C_ccall f_13910(C_word c,C_word *av) C_noret;
C_noret_decl(f_13914)
static void C_ccall f_13914(C_word c,C_word *av) C_noret;
C_noret_decl(f_13918)
static void C_ccall f_13918(C_word c,C_word *av) C_noret;
C_noret_decl(f_13921)
static void C_ccall f_13921(C_word c,C_word *av) C_noret;
C_noret_decl(f_13935)
static void C_ccall f_13935(C_word c,C_word *av) C_noret;
C_noret_decl(f_13939)
static void C_ccall f_13939(C_word c,C_word *av) C_noret;
C_noret_decl(f_13950)
static void C_ccall f_13950(C_word c,C_word *av) C_noret;
C_noret_decl(f_13970)
static void C_ccall f_13970(C_word c,C_word *av) C_noret;
C_noret_decl(f_13974)
static void C_ccall f_13974(C_word c,C_word *av) C_noret;
C_noret_decl(f_13980)
static void C_ccall f_13980(C_word c,C_word *av) C_noret;
C_noret_decl(f_14000)
static void C_ccall f_14000(C_word c,C_word *av) C_noret;
C_noret_decl(f_14004)
static void C_ccall f_14004(C_word c,C_word *av) C_noret;
C_noret_decl(f_14010)
static void C_ccall f_14010(C_word c,C_word *av) C_noret;
C_noret_decl(f_14027)
static void C_ccall f_14027(C_word c,C_word *av) C_noret;
C_noret_decl(f_14031)
static void C_ccall f_14031(C_word c,C_word *av) C_noret;
C_noret_decl(f_14035)
static void C_ccall f_14035(C_word c,C_word *av) C_noret;
C_noret_decl(f_14045)
static void C_fcall f_14045(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14051)
static void C_fcall f_14051(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14056)
static void C_ccall f_14056(C_word c,C_word *av) C_noret;
C_noret_decl(f_14064)
static void C_ccall f_14064(C_word c,C_word *av) C_noret;
C_noret_decl(f_14084)
static void C_ccall f_14084(C_word c,C_word *av) C_noret;
C_noret_decl(f_14088)
static void C_ccall f_14088(C_word c,C_word *av) C_noret;
C_noret_decl(f_14098)
static void C_fcall f_14098(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14104)
static void C_fcall f_14104(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14109)
static void C_ccall f_14109(C_word c,C_word *av) C_noret;
C_noret_decl(f_14124)
static void C_ccall f_14124(C_word c,C_word *av) C_noret;
C_noret_decl(f_14128)
static void C_ccall f_14128(C_word c,C_word *av) C_noret;
C_noret_decl(f_14157)
static void C_ccall f_14157(C_word c,C_word *av) C_noret;
C_noret_decl(f_14161)
static void C_ccall f_14161(C_word c,C_word *av) C_noret;
C_noret_decl(f_14176)
static void C_ccall f_14176(C_word c,C_word *av) C_noret;
C_noret_decl(f_14186)
static void C_ccall f_14186(C_word c,C_word *av) C_noret;
C_noret_decl(f_14259)
static void C_ccall f_14259(C_word c,C_word *av) C_noret;
C_noret_decl(f_14271)
static void C_ccall f_14271(C_word c,C_word *av) C_noret;
C_noret_decl(f_14290)
static void C_ccall f_14290(C_word c,C_word *av) C_noret;
C_noret_decl(f_14304)
static void C_ccall f_14304(C_word c,C_word *av) C_noret;
C_noret_decl(f_14351)
static void C_ccall f_14351(C_word c,C_word *av) C_noret;
C_noret_decl(f_14355)
static void C_ccall f_14355(C_word c,C_word *av) C_noret;
C_noret_decl(f_14360)
static void C_ccall f_14360(C_word c,C_word *av) C_noret;
C_noret_decl(f_14370)
static void C_ccall f_14370(C_word c,C_word *av) C_noret;
C_noret_decl(f_14374)
static void C_ccall f_14374(C_word c,C_word *av) C_noret;
C_noret_decl(f_14383)
static void C_ccall f_14383(C_word c,C_word *av) C_noret;
C_noret_decl(f_14389)
static void C_ccall f_14389(C_word c,C_word *av) C_noret;
C_noret_decl(f_14406)
static void C_ccall f_14406(C_word c,C_word *av) C_noret;
C_noret_decl(f_14417)
static void C_ccall f_14417(C_word c,C_word *av) C_noret;
C_noret_decl(f_14423)
static void C_ccall f_14423(C_word c,C_word *av) C_noret;
C_noret_decl(f_14434)
static void C_ccall f_14434(C_word c,C_word *av) C_noret;
C_noret_decl(f_14445)
static void C_ccall f_14445(C_word c,C_word *av) C_noret;
C_noret_decl(f_14457)
static void C_ccall f_14457(C_word c,C_word *av) C_noret;
C_noret_decl(f_14469)
static void C_ccall f_14469(C_word c,C_word *av) C_noret;
C_noret_decl(f_14481)
static void C_ccall f_14481(C_word c,C_word *av) C_noret;
C_noret_decl(f_14498)
static void C_ccall f_14498(C_word c,C_word *av) C_noret;
C_noret_decl(f_14505)
static void C_ccall f_14505(C_word c,C_word *av) C_noret;
C_noret_decl(f_14509)
static void C_ccall f_14509(C_word c,C_word *av) C_noret;
C_noret_decl(f_14511)
static void C_ccall f_14511(C_word c,C_word *av) C_noret;
C_noret_decl(f_14517)
static void C_ccall f_14517(C_word c,C_word *av) C_noret;
C_noret_decl(f_14521)
static void C_ccall f_14521(C_word c,C_word *av) C_noret;
C_noret_decl(f_14524)
static void C_ccall f_14524(C_word c,C_word *av) C_noret;
C_noret_decl(f_14529)
static void C_ccall f_14529(C_word c,C_word *av) C_noret;
C_noret_decl(f_14539)
static void C_fcall f_14539(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14557)
static void C_ccall f_14557(C_word c,C_word *av) C_noret;
C_noret_decl(f_14575)
static void C_ccall f_14575(C_word c,C_word *av) C_noret;
C_noret_decl(f_14578)
static void C_fcall f_14578(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14598)
static void C_ccall f_14598(C_word c,C_word *av) C_noret;
C_noret_decl(f_14608)
static void C_ccall f_14608(C_word c,C_word *av) C_noret;
C_noret_decl(f_14612)
static void C_ccall f_14612(C_word c,C_word *av) C_noret;
C_noret_decl(f_14616)
static void C_ccall f_14616(C_word c,C_word *av) C_noret;
C_noret_decl(f_14632)
static void C_ccall f_14632(C_word c,C_word *av) C_noret;
C_noret_decl(f_14649)
static void C_ccall f_14649(C_word c,C_word *av) C_noret;
C_noret_decl(f_14660)
static void C_fcall f_14660(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14680)
static void C_ccall f_14680(C_word c,C_word *av) C_noret;
C_noret_decl(f_14694)
static void C_ccall f_14694(C_word c,C_word *av) C_noret;
C_noret_decl(f_14697)
static void C_fcall f_14697(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14707)
static void C_ccall f_14707(C_word c,C_word *av) C_noret;
C_noret_decl(f_14709)
static void C_fcall f_14709(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14728)
static void C_ccall f_14728(C_word c,C_word *av) C_noret;
C_noret_decl(f_14752)
static void C_fcall f_14752(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14756)
static void C_ccall f_14756(C_word c,C_word *av) C_noret;
C_noret_decl(f_14760)
static void C_ccall f_14760(C_word c,C_word *av) C_noret;
C_noret_decl(f_14795)
static void C_ccall f_14795(C_word c,C_word *av) C_noret;
C_noret_decl(f_14802)
static void C_ccall f_14802(C_word c,C_word *av) C_noret;
C_noret_decl(f_14814)
static void C_ccall f_14814(C_word c,C_word *av) C_noret;
C_noret_decl(f_14834)
static void C_ccall f_14834(C_word c,C_word *av) C_noret;
C_noret_decl(f_14838)
static void C_ccall f_14838(C_word c,C_word *av) C_noret;
C_noret_decl(f_14858)
static void C_fcall f_14858(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14867)
static void C_fcall f_14867(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14878)
static void C_ccall f_14878(C_word c,C_word *av) C_noret;
C_noret_decl(f_14882)
static void C_ccall f_14882(C_word c,C_word *av) C_noret;
C_noret_decl(f_14886)
static void C_ccall f_14886(C_word c,C_word *av) C_noret;
C_noret_decl(f_14893)
static void C_ccall f_14893(C_word c,C_word *av) C_noret;
C_noret_decl(f_14909)
static void C_ccall f_14909(C_word c,C_word *av) C_noret;
C_noret_decl(f_14913)
static void C_ccall f_14913(C_word c,C_word *av) C_noret;
C_noret_decl(f_14954)
static void C_fcall f_14954(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14987)
static void C_ccall f_14987(C_word c,C_word *av) C_noret;
C_noret_decl(f_15016)
static void C_ccall f_15016(C_word c,C_word *av) C_noret;
C_noret_decl(f_15024)
static void C_ccall f_15024(C_word c,C_word *av) C_noret;
C_noret_decl(f_15030)
static void C_ccall f_15030(C_word c,C_word *av) C_noret;
C_noret_decl(f_15050)
static void C_fcall f_15050(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15075)
static void C_ccall f_15075(C_word c,C_word *av) C_noret;
C_noret_decl(f_15081)
static void C_ccall f_15081(C_word c,C_word *av) C_noret;
C_noret_decl(f_15085)
static void C_ccall f_15085(C_word c,C_word *av) C_noret;
C_noret_decl(f_15092)
static void C_ccall f_15092(C_word c,C_word *av) C_noret;
C_noret_decl(f_15112)
static void C_fcall f_15112(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15133)
static void C_ccall f_15133(C_word c,C_word *av) C_noret;
C_noret_decl(f_15147)
static void C_ccall f_15147(C_word c,C_word *av) C_noret;
C_noret_decl(f_15154)
static void C_ccall f_15154(C_word c,C_word *av) C_noret;
C_noret_decl(f_15159)
static void C_ccall f_15159(C_word c,C_word *av) C_noret;
C_noret_decl(f_15165)
static void C_ccall f_15165(C_word c,C_word *av) C_noret;
C_noret_decl(f_15169)
static void C_ccall f_15169(C_word c,C_word *av) C_noret;
C_noret_decl(f_15172)
static void C_ccall f_15172(C_word c,C_word *av) C_noret;
C_noret_decl(f_15179)
static void C_ccall f_15179(C_word c,C_word *av) C_noret;
C_noret_decl(f_15200)
static void C_ccall f_15200(C_word c,C_word *av) C_noret;
C_noret_decl(f_15214)
static void C_ccall f_15214(C_word c,C_word *av) C_noret;
C_noret_decl(f_15218)
static void C_ccall f_15218(C_word c,C_word *av) C_noret;
C_noret_decl(f_15255)
static void C_ccall f_15255(C_word c,C_word *av) C_noret;
C_noret_decl(f_15263)
static void C_ccall f_15263(C_word c,C_word *av) C_noret;
C_noret_decl(f_15290)
static void C_ccall f_15290(C_word c,C_word *av) C_noret;
C_noret_decl(f_15293)
static void C_ccall f_15293(C_word c,C_word *av) C_noret;
C_noret_decl(f_15310)
static void C_ccall f_15310(C_word c,C_word *av) C_noret;
C_noret_decl(f_15313)
static void C_fcall f_15313(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15320)
static void C_ccall f_15320(C_word c,C_word *av) C_noret;
C_noret_decl(f_15331)
static void C_ccall f_15331(C_word c,C_word *av) C_noret;
C_noret_decl(f_15342)
static void C_ccall f_15342(C_word c,C_word *av) C_noret;
C_noret_decl(f_15367)
static void C_fcall f_15367(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15382)
static void C_ccall f_15382(C_word c,C_word *av) C_noret;
C_noret_decl(f_15405)
static void C_fcall f_15405(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15408)
static C_word C_fcall f_15408(C_word t0);
C_noret_decl(f_15418)
static void C_fcall f_15418(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15476)
static void C_ccall f_15476(C_word c,C_word *av) C_noret;
C_noret_decl(f_15492)
static void C_fcall f_15492(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15498)
static void C_fcall f_15498(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15561)
static void C_fcall f_15561(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15600)
static void C_fcall f_15600(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15606)
static void C_fcall f_15606(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15650)
static void C_fcall f_15650(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15654)
static void C_ccall f_15654(C_word c,C_word *av) C_noret;
C_noret_decl(f_15657)
static void C_ccall f_15657(C_word c,C_word *av) C_noret;
C_noret_decl(f_15706)
static void C_fcall f_15706(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15721)
static void C_fcall f_15721(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15730)
static void C_ccall f_15730(C_word c,C_word *av) C_noret;
C_noret_decl(f_15767)
static void C_fcall f_15767(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15777)
static void C_ccall f_15777(C_word c,C_word *av) C_noret;
C_noret_decl(f_15786)
static void C_fcall f_15786(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15789)
static void C_fcall f_15789(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15798)
static void C_fcall f_15798(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15807)
static void C_ccall f_15807(C_word c,C_word *av) C_noret;
C_noret_decl(f_15819)
static void C_ccall f_15819(C_word c,C_word *av) C_noret;
C_noret_decl(f_15825)
static void C_fcall f_15825(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15831)
static void C_ccall f_15831(C_word c,C_word *av) C_noret;
C_noret_decl(f_15872)
static void C_ccall f_15872(C_word c,C_word *av) C_noret;
C_noret_decl(f_15979)
static void C_fcall f_15979(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15986)
static void C_fcall f_15986(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15999)
static void C_ccall f_15999(C_word c,C_word *av) C_noret;
C_noret_decl(f_16005)
static void C_fcall f_16005(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16057)
static void C_fcall f_16057(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16072)
static void C_ccall f_16072(C_word c,C_word *av) C_noret;
C_noret_decl(f_16082)
static void C_ccall f_16082(C_word c,C_word *av) C_noret;
C_noret_decl(f_16118)
static void C_ccall f_16118(C_word c,C_word *av) C_noret;
C_noret_decl(f_16144)
static void C_ccall f_16144(C_word c,C_word *av) C_noret;
C_noret_decl(f_16155)
static void C_ccall f_16155(C_word c,C_word *av) C_noret;
C_noret_decl(f_16322)
static void C_fcall f_16322(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_16337)
static void C_fcall f_16337(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16363)
static void C_fcall f_16363(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16395)
static void C_fcall f_16395(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16432)
static void C_ccall f_16432(C_word c,C_word *av) C_noret;
C_noret_decl(f_16456)
static void C_fcall f_16456(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16506)
static void C_ccall f_16506(C_word c,C_word *av) C_noret;
C_noret_decl(f_16554)
static void C_ccall f_16554(C_word c,C_word *av) C_noret;
C_noret_decl(f_16557)
static void C_ccall f_16557(C_word c,C_word *av) C_noret;
C_noret_decl(f_16576)
static void C_fcall f_16576(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16646)
static void C_ccall f_16646(C_word c,C_word *av) C_noret;
C_noret_decl(f_16667)
static void C_fcall f_16667(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16714)
static void C_ccall f_16714(C_word c,C_word *av) C_noret;
C_noret_decl(f_16806)
static void C_ccall f_16806(C_word c,C_word *av) C_noret;
C_noret_decl(f_16816)
static void C_ccall f_16816(C_word c,C_word *av) C_noret;
C_noret_decl(f_16825)
static void C_fcall f_16825(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_16832)
static void C_fcall f_16832(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17061)
static void C_ccall f_17061(C_word c,C_word *av) C_noret;
C_noret_decl(f_17107)
static void C_ccall f_17107(C_word c,C_word *av) C_noret;
C_noret_decl(f_17110)
static void C_fcall f_17110(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_17137)
static void C_fcall f_17137(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17161)
static void C_ccall f_17161(C_word c,C_word *av) C_noret;
C_noret_decl(f_17178)
static void C_fcall f_17178(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17277)
static void C_ccall f_17277(C_word c,C_word *av) C_noret;
C_noret_decl(f_17280)
static void C_ccall f_17280(C_word c,C_word *av) C_noret;
C_noret_decl(f_17289)
static C_word C_fcall f_17289(C_word t0,C_word t1);
C_noret_decl(f_17316)
static void C_ccall f_17316(C_word c,C_word *av) C_noret;
C_noret_decl(f_17334)
static void C_ccall f_17334(C_word c,C_word *av) C_noret;
C_noret_decl(f_17354)
static void C_ccall f_17354(C_word c,C_word *av) C_noret;
C_noret_decl(f_17358)
static void C_ccall f_17358(C_word c,C_word *av) C_noret;
C_noret_decl(f_17360)
static void C_ccall f_17360(C_word c,C_word *av) C_noret;
C_noret_decl(f_17378)
static void C_ccall f_17378(C_word c,C_word *av) C_noret;
C_noret_decl(f_17401)
static void C_ccall f_17401(C_word c,C_word *av) C_noret;
C_noret_decl(f_17409)
static void C_ccall f_17409(C_word c,C_word *av) C_noret;
C_noret_decl(f_17414)
static void C_ccall f_17414(C_word c,C_word *av) C_noret;
C_noret_decl(f_17425)
static void C_ccall f_17425(C_word c,C_word *av) C_noret;
C_noret_decl(f_17427)
static void C_ccall f_17427(C_word c,C_word *av) C_noret;
C_noret_decl(f_17438)
static void C_ccall f_17438(C_word c,C_word *av) C_noret;
C_noret_decl(f_17440)
static void C_ccall f_17440(C_word c,C_word *av) C_noret;
C_noret_decl(f_17451)
static void C_ccall f_17451(C_word c,C_word *av) C_noret;
C_noret_decl(f_17453)
static void C_ccall f_17453(C_word c,C_word *av) C_noret;
C_noret_decl(f_17470)
static void C_ccall f_17470(C_word c,C_word *av) C_noret;
C_noret_decl(f_17474)
static void C_ccall f_17474(C_word c,C_word *av) C_noret;
C_noret_decl(f_17478)
static void C_ccall f_17478(C_word c,C_word *av) C_noret;
C_noret_decl(f_17487)
static void C_ccall f_17487(C_word c,C_word *av) C_noret;
C_noret_decl(f_17507)
static void C_ccall f_17507(C_word c,C_word *av) C_noret;
C_noret_decl(f_17515)
static void C_ccall f_17515(C_word c,C_word *av) C_noret;
C_noret_decl(f_17530)
static void C_ccall f_17530(C_word c,C_word *av) C_noret;
C_noret_decl(f_17532)
static void C_fcall f_17532(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17557)
static void C_ccall f_17557(C_word c,C_word *av) C_noret;
C_noret_decl(f_17566)
static void C_ccall f_17566(C_word c,C_word *av) C_noret;
C_noret_decl(f_17575)
static void C_ccall f_17575(C_word c,C_word *av) C_noret;
C_noret_decl(f_17586)
static void C_ccall f_17586(C_word c,C_word *av) C_noret;
C_noret_decl(f_17596)
static void C_ccall f_17596(C_word c,C_word *av) C_noret;
C_noret_decl(f_17603)
static void C_ccall f_17603(C_word c,C_word *av) C_noret;
C_noret_decl(f_17614)
static void C_ccall f_17614(C_word c,C_word *av) C_noret;
C_noret_decl(f_17642)
static void C_ccall f_17642(C_word c,C_word *av) C_noret;
C_noret_decl(f_17646)
static void C_ccall f_17646(C_word c,C_word *av) C_noret;
C_noret_decl(f_17648)
static void C_ccall f_17648(C_word c,C_word *av) C_noret;
C_noret_decl(f_17652)
static void C_ccall f_17652(C_word c,C_word *av) C_noret;
C_noret_decl(f_17657)
static void C_ccall f_17657(C_word c,C_word *av) C_noret;
C_noret_decl(f_17663)
static void C_ccall f_17663(C_word c,C_word *av) C_noret;
C_noret_decl(f_17667)
static void C_ccall f_17667(C_word c,C_word *av) C_noret;
C_noret_decl(f_17672)
static void C_ccall f_17672(C_word c,C_word *av) C_noret;
C_noret_decl(f_17682)
static void C_ccall f_17682(C_word c,C_word *av) C_noret;
C_noret_decl(f_17684)
static void C_ccall f_17684(C_word c,C_word *av) C_noret;
C_noret_decl(f_17688)
static void C_ccall f_17688(C_word c,C_word *av) C_noret;
C_noret_decl(f_17694)
static void C_ccall f_17694(C_word c,C_word *av) C_noret;
C_noret_decl(f_17696)
static void C_ccall f_17696(C_word c,C_word *av) C_noret;
C_noret_decl(f_17700)
static void C_ccall f_17700(C_word c,C_word *av) C_noret;
C_noret_decl(f_17703)
static void C_ccall f_17703(C_word c,C_word *av) C_noret;
C_noret_decl(f_17719)
static void C_ccall f_17719(C_word c,C_word *av) C_noret;
C_noret_decl(f_17723)
static void C_ccall f_17723(C_word c,C_word *av) C_noret;
C_noret_decl(f_17726)
static void C_ccall f_17726(C_word c,C_word *av) C_noret;
C_noret_decl(f_17748)
static void C_ccall f_17748(C_word c,C_word *av) C_noret;
C_noret_decl(f_17764)
static void C_ccall f_17764(C_word c,C_word *av) C_noret;
C_noret_decl(f_17769)
static C_word C_fcall f_17769(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_17800)
static void C_ccall f_17800(C_word c,C_word *av) C_noret;
C_noret_decl(f_17809)
static void C_fcall f_17809(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17827)
static void C_ccall f_17827(C_word c,C_word *av) C_noret;
C_noret_decl(f_17833)
static void C_ccall f_17833(C_word c,C_word *av) C_noret;
C_noret_decl(f_17839)
static void C_ccall f_17839(C_word c,C_word *av) C_noret;
C_noret_decl(f_17848)
static C_word C_fcall f_17848(C_word t0,C_word t1);
C_noret_decl(f_17867)
static void C_ccall f_17867(C_word c,C_word *av) C_noret;
C_noret_decl(f_17883)
static void C_fcall f_17883(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17886)
static void C_ccall f_17886(C_word c,C_word *av) C_noret;
C_noret_decl(f_17889)
static void C_ccall f_17889(C_word c,C_word *av) C_noret;
C_noret_decl(f_17894)
static C_word C_fcall f_17894(C_word t0,C_word t1);
C_noret_decl(f_17936)
static void C_ccall f_17936(C_word c,C_word *av) C_noret;
C_noret_decl(f_17955)
static void C_ccall f_17955(C_word c,C_word *av) C_noret;
C_noret_decl(f_17958)
static void C_ccall f_17958(C_word c,C_word *av) C_noret;
C_noret_decl(f_17961)
static void C_ccall f_17961(C_word c,C_word *av) C_noret;
C_noret_decl(f_17966)
static C_word C_fcall f_17966(C_word t0,C_word t1);
C_noret_decl(f_18007)
static void C_ccall f_18007(C_word c,C_word *av) C_noret;
C_noret_decl(f_18017)
static void C_ccall f_18017(C_word c,C_word *av) C_noret;
C_noret_decl(f_18028)
static void C_fcall f_18028(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_18032)
static void C_ccall f_18032(C_word c,C_word *av) C_noret;
C_noret_decl(f_18035)
static void C_ccall f_18035(C_word c,C_word *av) C_noret;
C_noret_decl(f_18040)
static C_word C_fcall f_18040(C_word t0,C_word t1);
C_noret_decl(f_18067)
static void C_ccall f_18067(C_word c,C_word *av) C_noret;
C_noret_decl(f_18081)
static void C_ccall f_18081(C_word c,C_word *av) C_noret;
C_noret_decl(f_18092)
static void C_ccall f_18092(C_word c,C_word *av) C_noret;
C_noret_decl(f_18103)
static void C_ccall f_18103(C_word c,C_word *av) C_noret;
C_noret_decl(f_18114)
static void C_ccall f_18114(C_word c,C_word *av) C_noret;
C_noret_decl(f_18127)
static void C_ccall f_18127(C_word c,C_word *av) C_noret;
C_noret_decl(f_18129)
static void C_fcall f_18129(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18142)
static C_word C_fcall f_18142(C_word t0,C_word t1);
C_noret_decl(f_18170)
static void C_ccall f_18170(C_word c,C_word *av) C_noret;
C_noret_decl(f_18174)
static void C_fcall f_18174(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18183)
static void C_ccall f_18183(C_word c,C_word *av) C_noret;
C_noret_decl(f_18201)
static void C_ccall f_18201(C_word c,C_word *av) C_noret;
C_noret_decl(f_18204)
static void C_ccall f_18204(C_word c,C_word *av) C_noret;
C_noret_decl(f_18287)
static void C_ccall f_18287(C_word c,C_word *av) C_noret;
C_noret_decl(f_18290)
static void C_ccall f_18290(C_word c,C_word *av) C_noret;
C_noret_decl(f_18293)
static void C_ccall f_18293(C_word c,C_word *av) C_noret;
C_noret_decl(f_18296)
static void C_ccall f_18296(C_word c,C_word *av) C_noret;
C_noret_decl(f_18299)
static void C_ccall f_18299(C_word c,C_word *av) C_noret;
C_noret_decl(f_18302)
static void C_ccall f_18302(C_word c,C_word *av) C_noret;
C_noret_decl(f_18305)
static void C_ccall f_18305(C_word c,C_word *av) C_noret;
C_noret_decl(f_18308)
static void C_ccall f_18308(C_word c,C_word *av) C_noret;
C_noret_decl(f_18311)
static void C_ccall f_18311(C_word c,C_word *av) C_noret;
C_noret_decl(f_18314)
static void C_ccall f_18314(C_word c,C_word *av) C_noret;
C_noret_decl(f_18317)
static void C_ccall f_18317(C_word c,C_word *av) C_noret;
C_noret_decl(f_18320)
static void C_ccall f_18320(C_word c,C_word *av) C_noret;
C_noret_decl(f_18323)
static void C_ccall f_18323(C_word c,C_word *av) C_noret;
C_noret_decl(f_18326)
static void C_ccall f_18326(C_word c,C_word *av) C_noret;
C_noret_decl(f_18331)
static void C_ccall f_18331(C_word c,C_word *av) C_noret;
C_noret_decl(f_18337)
static void C_fcall f_18337(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18353)
static void C_ccall f_18353(C_word c,C_word *av) C_noret;
C_noret_decl(f_18369)
static void C_ccall f_18369(C_word c,C_word *av) C_noret;
C_noret_decl(f_18375)
static void C_fcall f_18375(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18395)
static void C_ccall f_18395(C_word c,C_word *av) C_noret;
C_noret_decl(f_18399)
static void C_ccall f_18399(C_word c,C_word *av) C_noret;
C_noret_decl(f_18411)
static void C_ccall f_18411(C_word c,C_word *av) C_noret;
C_noret_decl(f_18443)
static void C_ccall f_18443(C_word c,C_word *av) C_noret;
C_noret_decl(f_18447)
static void C_ccall f_18447(C_word c,C_word *av) C_noret;
C_noret_decl(f_18455)
static void C_ccall f_18455(C_word c,C_word *av) C_noret;
C_noret_decl(f_18465)
static void C_fcall f_18465(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18473)
static C_word C_fcall f_18473(C_word t0);
C_noret_decl(f_18509)
static void C_ccall f_18509(C_word c,C_word *av) C_noret;
C_noret_decl(f_18524)
static void C_fcall f_18524(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18534)
static void C_ccall f_18534(C_word c,C_word *av) C_noret;
C_noret_decl(f_18554)
static void C_fcall f_18554(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18567)
static void C_ccall f_18567(C_word c,C_word *av) C_noret;
C_noret_decl(f_18574)
static void C_ccall f_18574(C_word c,C_word *av) C_noret;
C_noret_decl(f_18576)
static void C_ccall f_18576(C_word c,C_word *av) C_noret;
C_noret_decl(f_18584)
static void C_ccall f_18584(C_word c,C_word *av) C_noret;
C_noret_decl(f_18586)
static void C_ccall f_18586(C_word c,C_word *av) C_noret;
C_noret_decl(f_18595)
static void C_ccall f_18595(C_word c,C_word *av) C_noret;
C_noret_decl(f_18613)
static void C_fcall f_18613(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18638)
static void C_ccall f_18638(C_word c,C_word *av) C_noret;
C_noret_decl(f_18654)
static void C_fcall f_18654(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18671)
static void C_ccall f_18671(C_word c,C_word *av) C_noret;
C_noret_decl(f_18675)
static void C_ccall f_18675(C_word c,C_word *av) C_noret;
C_noret_decl(f_18679)
static void C_ccall f_18679(C_word c,C_word *av) C_noret;
C_noret_decl(f_18681)
static void C_ccall f_18681(C_word c,C_word *av) C_noret;
C_noret_decl(f_18689)
static void C_ccall f_18689(C_word c,C_word *av) C_noret;
C_noret_decl(f_18691)
static void C_ccall f_18691(C_word c,C_word *av) C_noret;
C_noret_decl(f_18698)
static void C_ccall f_18698(C_word c,C_word *av) C_noret;
C_noret_decl(f_18702)
static void C_ccall f_18702(C_word c,C_word *av) C_noret;
C_noret_decl(f_18706)
static void C_ccall f_18706(C_word c,C_word *av) C_noret;
C_noret_decl(f_18715)
static void C_ccall f_18715(C_word c,C_word *av) C_noret;
C_noret_decl(f_18723)
static void C_ccall f_18723(C_word c,C_word *av) C_noret;
C_noret_decl(f_18733)
static void C_ccall f_18733(C_word c,C_word *av) C_noret;
C_noret_decl(f_18739)
static void C_ccall f_18739(C_word c,C_word *av) C_noret;
C_noret_decl(f_18742)
static void C_ccall f_18742(C_word c,C_word *av) C_noret;
C_noret_decl(f_18746)
static void C_ccall f_18746(C_word c,C_word *av) C_noret;
C_noret_decl(f_18773)
static void C_fcall f_18773(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18789)
static void C_ccall f_18789(C_word c,C_word *av) C_noret;
C_noret_decl(f_18795)
static void C_ccall f_18795(C_word c,C_word *av) C_noret;
C_noret_decl(f_18818)
static void C_ccall f_18818(C_word c,C_word *av) C_noret;
C_noret_decl(f_18831)
static void C_ccall f_18831(C_word c,C_word *av) C_noret;
C_noret_decl(f_18837)
static void C_ccall f_18837(C_word c,C_word *av) C_noret;
C_noret_decl(f_18842)
static void C_ccall f_18842(C_word c,C_word *av) C_noret;
C_noret_decl(f_18847)
static void C_ccall f_18847(C_word c,C_word *av) C_noret;
C_noret_decl(f_18851)
static void C_ccall f_18851(C_word c,C_word *av) C_noret;
C_noret_decl(f_18860)
static void C_ccall f_18860(C_word c,C_word *av) C_noret;
C_noret_decl(f_18891)
static void C_ccall f_18891(C_word c,C_word *av) C_noret;
C_noret_decl(f_18895)
static void C_ccall f_18895(C_word c,C_word *av) C_noret;
C_noret_decl(f_18899)
static void C_ccall f_18899(C_word c,C_word *av) C_noret;
C_noret_decl(f_18902)
static void C_ccall f_18902(C_word c,C_word *av) C_noret;
C_noret_decl(f_18905)
static void C_ccall f_18905(C_word c,C_word *av) C_noret;
C_noret_decl(f_18908)
static void C_ccall f_18908(C_word c,C_word *av) C_noret;
C_noret_decl(f_18910)
static void C_ccall f_18910(C_word c,C_word *av) C_noret;
C_noret_decl(f_18921)
static void C_ccall f_18921(C_word c,C_word *av) C_noret;
C_noret_decl(f_18932)
static void C_ccall f_18932(C_word c,C_word *av) C_noret;
C_noret_decl(f_18943)
static void C_ccall f_18943(C_word c,C_word *av) C_noret;
C_noret_decl(f_18954)
static void C_ccall f_18954(C_word c,C_word *av) C_noret;
C_noret_decl(f_18967)
static void C_ccall f_18967(C_word c,C_word *av) C_noret;
C_noret_decl(f_18969)
static C_word C_fcall f_18969(C_word t0,C_word t1);
C_noret_decl(f_18975)
static C_word C_fcall f_18975(C_word t0);
C_noret_decl(f_18980)
static C_word C_fcall f_18980(C_word t0);
C_noret_decl(f_19015)
static void C_ccall f_19015(C_word c,C_word *av) C_noret;
C_noret_decl(f_19028)
static void C_ccall f_19028(C_word c,C_word *av) C_noret;
C_noret_decl(f_19030)
static C_word C_fcall f_19030(C_word t0,C_word t1);
C_noret_decl(f_19036)
static C_word C_fcall f_19036(C_word t0);
C_noret_decl(f_19041)
static C_word C_fcall f_19041(C_word t0);
C_noret_decl(f_19076)
static void C_ccall f_19076(C_word c,C_word *av) C_noret;
C_noret_decl(f_19089)
static void C_ccall f_19089(C_word c,C_word *av) C_noret;
C_noret_decl(f_19091)
static C_word C_fcall f_19091(C_word t0,C_word t1);
C_noret_decl(f_19097)
static C_word C_fcall f_19097(C_word t0);
C_noret_decl(f_19102)
static C_word C_fcall f_19102(C_word t0);
C_noret_decl(f_19137)
static void C_ccall f_19137(C_word c,C_word *av) C_noret;
C_noret_decl(f_19149)
static void C_ccall f_19149(C_word c,C_word *av) C_noret;
C_noret_decl(f_19151)
static void C_ccall f_19151(C_word c,C_word *av) C_noret;
C_noret_decl(f_19157)
static void C_ccall f_19157(C_word c,C_word *av) C_noret;
C_noret_decl(f_19163)
static void C_fcall f_19163(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_19173)
static void C_ccall f_19173(C_word c,C_word *av) C_noret;
C_noret_decl(f_19176)
static void C_ccall f_19176(C_word c,C_word *av) C_noret;
C_noret_decl(f_19179)
static void C_ccall f_19179(C_word c,C_word *av) C_noret;
C_noret_decl(f_19182)
static void C_ccall f_19182(C_word c,C_word *av) C_noret;
C_noret_decl(f_19185)
static void C_ccall f_19185(C_word c,C_word *av) C_noret;
C_noret_decl(f_19192)
static void C_ccall f_19192(C_word c,C_word *av) C_noret;
C_noret_decl(f_19196)
static void C_ccall f_19196(C_word c,C_word *av) C_noret;
C_noret_decl(f_19200)
static void C_ccall f_19200(C_word c,C_word *av) C_noret;
C_noret_decl(f_19206)
static void C_fcall f_19206(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19219)
static void C_ccall f_19219(C_word c,C_word *av) C_noret;
C_noret_decl(f_19261)
static void C_fcall f_19261(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19265)
static void C_ccall f_19265(C_word c,C_word *av) C_noret;
C_noret_decl(f_19298)
static void C_ccall f_19298(C_word c,C_word *av) C_noret;
C_noret_decl(f_19304)
static void C_ccall f_19304(C_word c,C_word *av) C_noret;
C_noret_decl(f_19310)
static void C_ccall f_19310(C_word c,C_word *av) C_noret;
C_noret_decl(f_19316)
static void C_ccall f_19316(C_word c,C_word *av) C_noret;
C_noret_decl(f_19322)
static void C_ccall f_19322(C_word c,C_word *av) C_noret;
C_noret_decl(f_19326)
static void C_ccall f_19326(C_word c,C_word *av) C_noret;
C_noret_decl(f_19331)
static void C_ccall f_19331(C_word c,C_word *av) C_noret;
C_noret_decl(f_19337)
static void C_ccall f_19337(C_word c,C_word *av) C_noret;
C_noret_decl(f_19341)
static void C_ccall f_19341(C_word c,C_word *av) C_noret;
C_noret_decl(f_19346)
static void C_ccall f_19346(C_word c,C_word *av) C_noret;
C_noret_decl(f_19350)
static void C_ccall f_19350(C_word c,C_word *av) C_noret;
C_noret_decl(f_19355)
static void C_ccall f_19355(C_word c,C_word *av) C_noret;
C_noret_decl(f_19361)
static void C_ccall f_19361(C_word c,C_word *av) C_noret;
C_noret_decl(f_19365)
static void C_ccall f_19365(C_word c,C_word *av) C_noret;
C_noret_decl(f_19370)
static void C_ccall f_19370(C_word c,C_word *av) C_noret;
C_noret_decl(f_19374)
static void C_ccall f_19374(C_word c,C_word *av) C_noret;
C_noret_decl(f_19379)
static void C_ccall f_19379(C_word c,C_word *av) C_noret;
C_noret_decl(f_19384)
static void C_ccall f_19384(C_word c,C_word *av) C_noret;
C_noret_decl(f_19390)
static void C_ccall f_19390(C_word c,C_word *av) C_noret;
C_noret_decl(f_19394)
static void C_ccall f_19394(C_word c,C_word *av) C_noret;
C_noret_decl(f_19399)
static void C_ccall f_19399(C_word c,C_word *av) C_noret;
C_noret_decl(f_19404)
static void C_ccall f_19404(C_word c,C_word *av) C_noret;
C_noret_decl(f_19408)
static void C_ccall f_19408(C_word c,C_word *av) C_noret;
C_noret_decl(f_19413)
static void C_ccall f_19413(C_word c,C_word *av) C_noret;
C_noret_decl(f_19418)
static void C_ccall f_19418(C_word c,C_word *av) C_noret;
C_noret_decl(f_19424)
static void C_ccall f_19424(C_word c,C_word *av) C_noret;
C_noret_decl(f_19428)
static void C_ccall f_19428(C_word c,C_word *av) C_noret;
C_noret_decl(f_19433)
static void C_ccall f_19433(C_word c,C_word *av) C_noret;
C_noret_decl(f_19438)
static void C_ccall f_19438(C_word c,C_word *av) C_noret;
C_noret_decl(f_19443)
static void C_ccall f_19443(C_word c,C_word *av) C_noret;
C_noret_decl(f_19464)
static void C_ccall f_19464(C_word c,C_word *av) C_noret;
C_noret_decl(f_19471)
static void C_ccall f_19471(C_word c,C_word *av) C_noret;
C_noret_decl(f_19477)
static void C_ccall f_19477(C_word c,C_word *av) C_noret;
C_noret_decl(f_19495)
static void C_ccall f_19495(C_word c,C_word *av) C_noret;
C_noret_decl(f_19504)
static void C_ccall f_19504(C_word c,C_word *av) C_noret;
C_noret_decl(f_19517)
static void C_fcall f_19517(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19525)
static void C_ccall f_19525(C_word c,C_word *av) C_noret;
C_noret_decl(f_19530)
static void C_fcall f_19530(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19567)
static void C_ccall f_19567(C_word c,C_word *av) C_noret;
C_noret_decl(f_19579)
static void C_ccall f_19579(C_word c,C_word *av) C_noret;
C_noret_decl(f_19589)
static void C_fcall f_19589(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19605)
static void C_ccall f_19605(C_word c,C_word *av) C_noret;
C_noret_decl(f_19618)
static void C_ccall f_19618(C_word c,C_word *av) C_noret;
C_noret_decl(f_19625)
static void C_ccall f_19625(C_word c,C_word *av) C_noret;
C_noret_decl(f_19627)
static void C_ccall f_19627(C_word c,C_word *av) C_noret;
C_noret_decl(f_19640)
static void C_ccall f_19640(C_word c,C_word *av) C_noret;
C_noret_decl(f_19646)
static void C_ccall f_19646(C_word c,C_word *av) C_noret;
C_noret_decl(f_19653)
static void C_ccall f_19653(C_word c,C_word *av) C_noret;
C_noret_decl(f_19655)
static void C_ccall f_19655(C_word c,C_word *av) C_noret;
C_noret_decl(f_19659)
static void C_ccall f_19659(C_word c,C_word *av) C_noret;
C_noret_decl(f_19662)
static void C_ccall f_19662(C_word c,C_word *av) C_noret;
C_noret_decl(f_19672)
static void C_ccall f_19672(C_word c,C_word *av) C_noret;
C_noret_decl(f_19676)
static void C_ccall f_19676(C_word c,C_word *av) C_noret;
C_noret_decl(f_19684)
static void C_ccall f_19684(C_word c,C_word *av) C_noret;
C_noret_decl(f_19687)
static void C_ccall f_19687(C_word c,C_word *av) C_noret;
C_noret_decl(f_19694)
static void C_ccall f_19694(C_word c,C_word *av) C_noret;
C_noret_decl(f_19697)
static void C_ccall f_19697(C_word c,C_word *av) C_noret;
C_noret_decl(f_19700)
static void C_ccall f_19700(C_word c,C_word *av) C_noret;
C_noret_decl(f_19703)
static void C_ccall f_19703(C_word c,C_word *av) C_noret;
C_noret_decl(f_19711)
static void C_ccall f_19711(C_word c,C_word *av) C_noret;
C_noret_decl(f_19719)
static void C_ccall f_19719(C_word c,C_word *av) C_noret;
C_noret_decl(f_19721)
static void C_ccall f_19721(C_word c,C_word *av) C_noret;
C_noret_decl(f_19737)
static void C_ccall f_19737(C_word c,C_word *av) C_noret;
C_noret_decl(f_19764)
static void C_ccall f_19764(C_word c,C_word *av) C_noret;
C_noret_decl(f_19768)
static void C_ccall f_19768(C_word c,C_word *av) C_noret;
C_noret_decl(f_19772)
static void C_ccall f_19772(C_word c,C_word *av) C_noret;
C_noret_decl(f_19776)
static void C_ccall f_19776(C_word c,C_word *av) C_noret;
C_noret_decl(f_19780)
static void C_ccall f_19780(C_word c,C_word *av) C_noret;
C_noret_decl(f_19784)
static void C_ccall f_19784(C_word c,C_word *av) C_noret;
C_noret_decl(f_19788)
static void C_ccall f_19788(C_word c,C_word *av) C_noret;
C_noret_decl(f_19792)
static void C_ccall f_19792(C_word c,C_word *av) C_noret;
C_noret_decl(f_19796)
static void C_ccall f_19796(C_word c,C_word *av) C_noret;
C_noret_decl(f_19800)
static void C_ccall f_19800(C_word c,C_word *av) C_noret;
C_noret_decl(f_19804)
static void C_ccall f_19804(C_word c,C_word *av) C_noret;
C_noret_decl(f_19808)
static void C_ccall f_19808(C_word c,C_word *av) C_noret;
C_noret_decl(f_19812)
static void C_ccall f_19812(C_word c,C_word *av) C_noret;
C_noret_decl(f_19816)
static void C_ccall f_19816(C_word c,C_word *av) C_noret;
C_noret_decl(f_19820)
static void C_ccall f_19820(C_word c,C_word *av) C_noret;
C_noret_decl(f_19824)
static void C_ccall f_19824(C_word c,C_word *av) C_noret;
C_noret_decl(f_19828)
static void C_ccall f_19828(C_word c,C_word *av) C_noret;
C_noret_decl(f_19835)
static void C_ccall f_19835(C_word c,C_word *av) C_noret;
C_noret_decl(f_19842)
static void C_ccall f_19842(C_word c,C_word *av) C_noret;
C_noret_decl(f_19843)
static void C_fcall f_19843(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_19847)
static void C_fcall f_19847(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19850)
static void C_ccall f_19850(C_word c,C_word *av) C_noret;
C_noret_decl(f_19866)
static void C_ccall f_19866(C_word c,C_word *av) C_noret;
C_noret_decl(f_19877)
static void C_fcall f_19877(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19885)
static void C_ccall f_19885(C_word c,C_word *av) C_noret;
C_noret_decl(f_19897)
static void C_fcall f_19897(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19906)
static void C_fcall f_19906(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19911)
static void C_fcall f_19911(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19967)
static void C_ccall f_19967(C_word c,C_word *av) C_noret;
C_noret_decl(f_19981)
static void C_ccall f_19981(C_word c,C_word *av) C_noret;
C_noret_decl(f_19993)
static void C_ccall f_19993(C_word c,C_word *av) C_noret;
C_noret_decl(f_19999)
static void C_ccall f_19999(C_word c,C_word *av) C_noret;
C_noret_decl(f_20024)
static void C_ccall f_20024(C_word c,C_word *av) C_noret;
C_noret_decl(f_20042)
static void C_ccall f_20042(C_word c,C_word *av) C_noret;
C_noret_decl(f_20046)
static void C_ccall f_20046(C_word c,C_word *av) C_noret;
C_noret_decl(f_20102)
static void C_ccall f_20102(C_word c,C_word *av) C_noret;
C_noret_decl(f_20111)
static void C_ccall f_20111(C_word c,C_word *av) C_noret;
C_noret_decl(f_20124)
static void C_ccall f_20124(C_word c,C_word *av) C_noret;
C_noret_decl(f_20136)
static void C_ccall f_20136(C_word c,C_word *av) C_noret;
C_noret_decl(f_20154)
static void C_ccall f_20154(C_word c,C_word *av) C_noret;
C_noret_decl(f_20175)
static void C_ccall f_20175(C_word c,C_word *av) C_noret;
C_noret_decl(f_20178)
static void C_ccall f_20178(C_word c,C_word *av) C_noret;
C_noret_decl(f_20181)
static void C_ccall f_20181(C_word c,C_word *av) C_noret;
C_noret_decl(f_20189)
static void C_ccall f_20189(C_word c,C_word *av) C_noret;
C_noret_decl(f_20193)
static void C_ccall f_20193(C_word c,C_word *av) C_noret;
C_noret_decl(f_20197)
static void C_ccall f_20197(C_word c,C_word *av) C_noret;
C_noret_decl(f_20201)
static void C_ccall f_20201(C_word c,C_word *av) C_noret;
C_noret_decl(f_20205)
static void C_ccall f_20205(C_word c,C_word *av) C_noret;
C_noret_decl(f_20207)
static void C_ccall f_20207(C_word c,C_word *av) C_noret;
C_noret_decl(f_20215)
static void C_ccall f_20215(C_word c,C_word *av) C_noret;
C_noret_decl(f_20218)
static void C_ccall f_20218(C_word c,C_word *av) C_noret;
C_noret_decl(f_20228)
static void C_ccall f_20228(C_word c,C_word *av) C_noret;
C_noret_decl(f_20230)
static void C_ccall f_20230(C_word c,C_word *av) C_noret;
C_noret_decl(f_20238)
static void C_ccall f_20238(C_word c,C_word *av) C_noret;
C_noret_decl(f_20241)
static void C_ccall f_20241(C_word c,C_word *av) C_noret;
C_noret_decl(f_20251)
static void C_ccall f_20251(C_word c,C_word *av) C_noret;
C_noret_decl(f_20256)
static void C_ccall f_20256(C_word c,C_word *av) C_noret;
C_noret_decl(f_20260)
static void C_ccall f_20260(C_word c,C_word *av) C_noret;
C_noret_decl(f_20263)
static void C_ccall f_20263(C_word c,C_word *av) C_noret;
C_noret_decl(f_20266)
static void C_ccall f_20266(C_word c,C_word *av) C_noret;
C_noret_decl(f_20269)
static void C_ccall f_20269(C_word c,C_word *av) C_noret;
C_noret_decl(f_20272)
static void C_ccall f_20272(C_word c,C_word *av) C_noret;
C_noret_decl(f_20274)
static void C_ccall f_20274(C_word c,C_word *av) C_noret;
C_noret_decl(f_20280)
static void C_fcall f_20280(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20289)
static void C_fcall f_20289(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20297)
static void C_ccall f_20297(C_word c,C_word *av) C_noret;
C_noret_decl(f_20299)
static void C_fcall f_20299(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20306)
static void C_fcall f_20306(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20313)
static void C_ccall f_20313(C_word c,C_word *av) C_noret;
C_noret_decl(f_20326)
static void C_fcall f_20326(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20330)
static void C_ccall f_20330(C_word c,C_word *av) C_noret;
C_noret_decl(f_20335)
static void C_fcall f_20335(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20339)
static void C_ccall f_20339(C_word c,C_word *av) C_noret;
C_noret_decl(f_20350)
static void C_fcall f_20350(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20353)
static void C_fcall f_20353(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20361)
static void C_ccall f_20361(C_word c,C_word *av) C_noret;
C_noret_decl(f_20363)
static void C_fcall f_20363(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20376)
static void C_ccall f_20376(C_word c,C_word *av) C_noret;
C_noret_decl(f_20383)
static void C_ccall f_20383(C_word c,C_word *av) C_noret;
C_noret_decl(f_20392)
static void C_ccall f_20392(C_word c,C_word *av) C_noret;
C_noret_decl(f_20399)
static void C_ccall f_20399(C_word c,C_word *av) C_noret;
C_noret_decl(f_20401)
static void C_fcall f_20401(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20407)
static void C_fcall f_20407(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20417)
static void C_ccall f_20417(C_word c,C_word *av) C_noret;
C_noret_decl(f_20420)
static void C_ccall f_20420(C_word c,C_word *av) C_noret;
C_noret_decl(f_20430)
static void C_ccall f_20430(C_word c,C_word *av) C_noret;
C_noret_decl(f_20433)
static void C_ccall f_20433(C_word c,C_word *av) C_noret;
C_noret_decl(f_20461)
static void C_fcall f_20461(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20465)
static void C_ccall f_20465(C_word c,C_word *av) C_noret;
C_noret_decl(f_20473)
static void C_fcall f_20473(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20498)
static void C_fcall f_20498(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20506)
static void C_ccall f_20506(C_word c,C_word *av) C_noret;
C_noret_decl(f_20508)
static void C_fcall f_20508(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20525)
static void C_ccall f_20525(C_word c,C_word *av) C_noret;
C_noret_decl(f_20538)
static void C_ccall f_20538(C_word c,C_word *av) C_noret;
C_noret_decl(f_20555)
static void C_ccall f_20555(C_word c,C_word *av) C_noret;
C_noret_decl(f_20572)
static void C_ccall f_20572(C_word c,C_word *av) C_noret;
C_noret_decl(f_20589)
static void C_ccall f_20589(C_word c,C_word *av) C_noret;
C_noret_decl(f_20606)
static void C_ccall f_20606(C_word c,C_word *av) C_noret;
C_noret_decl(f_20627)
static void C_ccall f_20627(C_word c,C_word *av) C_noret;
C_noret_decl(f_20648)
static void C_ccall f_20648(C_word c,C_word *av) C_noret;
C_noret_decl(f_20672)
static void C_ccall f_20672(C_word c,C_word *av) C_noret;
C_noret_decl(f_20680)
static void C_ccall f_20680(C_word c,C_word *av) C_noret;
C_noret_decl(f_20689)
static void C_ccall f_20689(C_word c,C_word *av) C_noret;
C_noret_decl(f_20695)
static void C_ccall f_20695(C_word c,C_word *av) C_noret;
C_noret_decl(f_20701)
static void C_fcall f_20701(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20704)
static void C_ccall f_20704(C_word c,C_word *av) C_noret;
C_noret_decl(f_20707)
static void C_ccall f_20707(C_word c,C_word *av) C_noret;
C_noret_decl(f_20717)
static void C_ccall f_20717(C_word c,C_word *av) C_noret;
C_noret_decl(f_20721)
static void C_ccall f_20721(C_word c,C_word *av) C_noret;
C_noret_decl(f_20738)
static void C_ccall f_20738(C_word c,C_word *av) C_noret;
C_noret_decl(f_20743)
static void C_ccall f_20743(C_word c,C_word *av) C_noret;
C_noret_decl(f_20750)
static void C_ccall f_20750(C_word c,C_word *av) C_noret;
C_noret_decl(f_20754)
static void C_ccall f_20754(C_word c,C_word *av) C_noret;
C_noret_decl(f_20763)
static void C_ccall f_20763(C_word c,C_word *av) C_noret;
C_noret_decl(f_20769)
static void C_ccall f_20769(C_word c,C_word *av) C_noret;
C_noret_decl(f_20779)
static void C_ccall f_20779(C_word c,C_word *av) C_noret;
C_noret_decl(f_20783)
static void C_ccall f_20783(C_word c,C_word *av) C_noret;
C_noret_decl(f_20792)
static void C_fcall f_20792(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20799)
static void C_ccall f_20799(C_word c,C_word *av) C_noret;
C_noret_decl(f_20812)
static void C_fcall f_20812(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20817)
static void C_fcall f_20817(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20834)
static void C_ccall f_20834(C_word c,C_word *av) C_noret;
C_noret_decl(f_20849)
static void C_ccall f_20849(C_word c,C_word *av) C_noret;
C_noret_decl(f_20862)
static void C_ccall f_20862(C_word c,C_word *av) C_noret;
C_noret_decl(f_20884)
static void C_ccall f_20884(C_word c,C_word *av) C_noret;
C_noret_decl(f_20887)
static void C_ccall f_20887(C_word c,C_word *av) C_noret;
C_noret_decl(f_20916)
static void C_fcall f_20916(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20926)
static void C_ccall f_20926(C_word c,C_word *av) C_noret;
C_noret_decl(f_20942)
static void C_ccall f_20942(C_word c,C_word *av) C_noret;
C_noret_decl(f_20953)
static void C_ccall f_20953(C_word c,C_word *av) C_noret;
C_noret_decl(f_20960)
static void C_ccall f_20960(C_word c,C_word *av) C_noret;
C_noret_decl(f_21058)
static void C_ccall f_21058(C_word c,C_word *av) C_noret;
C_noret_decl(f_21064)
static void C_fcall f_21064(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21073)
static void C_fcall f_21073(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21087)
static void C_ccall f_21087(C_word c,C_word *av) C_noret;
C_noret_decl(f_21090)
static void C_ccall f_21090(C_word c,C_word *av) C_noret;
C_noret_decl(f_21101)
static void C_ccall f_21101(C_word c,C_word *av) C_noret;
C_noret_decl(f_21103)
static void C_ccall f_21103(C_word c,C_word *av) C_noret;
C_noret_decl(f_21106)
static void C_ccall f_21106(C_word c,C_word *av) C_noret;
C_noret_decl(f_21123)
static void C_ccall f_21123(C_word c,C_word *av) C_noret;
C_noret_decl(f_21128)
static void C_fcall f_21128(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21132)
static void C_ccall f_21132(C_word c,C_word *av) C_noret;
C_noret_decl(f_21135)
static void C_fcall f_21135(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21138)
static void C_ccall f_21138(C_word c,C_word *av) C_noret;
C_noret_decl(f_21148)
static void C_ccall f_21148(C_word c,C_word *av) C_noret;
C_noret_decl(f_21166)
static void C_ccall f_21166(C_word c,C_word *av) C_noret;
C_noret_decl(f_21169)
static void C_ccall f_21169(C_word c,C_word *av) C_noret;
C_noret_decl(f_21178)
static void C_fcall f_21178(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21181)
static void C_ccall f_21181(C_word c,C_word *av) C_noret;
C_noret_decl(f_21184)
static void C_ccall f_21184(C_word c,C_word *av) C_noret;
C_noret_decl(f_21190)
static void C_ccall f_21190(C_word c,C_word *av) C_noret;
C_noret_decl(f_21203)
static void C_ccall f_21203(C_word c,C_word *av) C_noret;
C_noret_decl(f_21207)
static void C_ccall f_21207(C_word c,C_word *av) C_noret;
C_noret_decl(f_21211)
static void C_ccall f_21211(C_word c,C_word *av) C_noret;
C_noret_decl(f_21222)
static void C_ccall f_21222(C_word c,C_word *av) C_noret;
C_noret_decl(f_21226)
static void C_ccall f_21226(C_word c,C_word *av) C_noret;
C_noret_decl(f_21229)
static void C_ccall f_21229(C_word c,C_word *av) C_noret;
C_noret_decl(f_21257)
static void C_ccall f_21257(C_word c,C_word *av) C_noret;
C_noret_decl(f_21313)
static void C_ccall f_21313(C_word c,C_word *av) C_noret;
C_noret_decl(f_21317)
static void C_ccall f_21317(C_word c,C_word *av) C_noret;
C_noret_decl(f_21324)
static void C_ccall f_21324(C_word c,C_word *av) C_noret;
C_noret_decl(f_21326)
static void C_fcall f_21326(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21330)
static void C_ccall f_21330(C_word c,C_word *av) C_noret;
C_noret_decl(f_21344)
static void C_fcall f_21344(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21350)
static void C_ccall f_21350(C_word c,C_word *av) C_noret;
C_noret_decl(f_21357)
static void C_ccall f_21357(C_word c,C_word *av) C_noret;
C_noret_decl(f_21364)
static void C_ccall f_21364(C_word c,C_word *av) C_noret;
C_noret_decl(f_21379)
static void C_fcall f_21379(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21385)
static void C_ccall f_21385(C_word c,C_word *av) C_noret;
C_noret_decl(f_21414)
static void C_fcall f_21414(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21424)
static void C_ccall f_21424(C_word c,C_word *av) C_noret;
C_noret_decl(f_21427)
static void C_ccall f_21427(C_word c,C_word *av) C_noret;
C_noret_decl(f_21463)
static void C_ccall f_21463(C_word c,C_word *av) C_noret;
C_noret_decl(f_21465)
static void C_fcall f_21465(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21475)
static void C_ccall f_21475(C_word c,C_word *av) C_noret;
C_noret_decl(f_21478)
static void C_ccall f_21478(C_word c,C_word *av) C_noret;
C_noret_decl(f_21530)
static void C_ccall f_21530(C_word c,C_word *av) C_noret;
C_noret_decl(f_21532)
static void C_fcall f_21532(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21540)
static void C_ccall f_21540(C_word c,C_word *av) C_noret;
C_noret_decl(f_21542)
static void C_fcall f_21542(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21552)
static void C_fcall f_21552(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21567)
static void C_ccall f_21567(C_word c,C_word *av) C_noret;
C_noret_decl(f_21574)
static void C_ccall f_21574(C_word c,C_word *av) C_noret;
C_noret_decl(f_21596)
static void C_fcall f_21596(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21604)
static void C_ccall f_21604(C_word c,C_word *av) C_noret;
C_noret_decl(f_21606)
static void C_fcall f_21606(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21616)
static void C_fcall f_21616(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21622)
static void C_ccall f_21622(C_word c,C_word *av) C_noret;
C_noret_decl(f_21629)
static void C_ccall f_21629(C_word c,C_word *av) C_noret;
C_noret_decl(f_21642)
static void C_fcall f_21642(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21648)
static void C_ccall f_21648(C_word c,C_word *av) C_noret;
C_noret_decl(f_21652)
static void C_ccall f_21652(C_word c,C_word *av) C_noret;
C_noret_decl(f_21659)
static void C_ccall f_21659(C_word c,C_word *av) C_noret;
C_noret_decl(f_21667)
static void C_fcall f_21667(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21673)
static void C_fcall f_21673(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21677)
static void C_ccall f_21677(C_word c,C_word *av) C_noret;
C_noret_decl(f_21686)
static void C_fcall f_21686(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21692)
static void C_fcall f_21692(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21699)
static void C_ccall f_21699(C_word c,C_word *av) C_noret;
C_noret_decl(f_21710)
static void C_ccall f_21710(C_word c,C_word *av) C_noret;
C_noret_decl(f_21750)
static void C_ccall f_21750(C_word c,C_word *av) C_noret;
C_noret_decl(f_21759)
static void C_ccall f_21759(C_word c,C_word *av) C_noret;
C_noret_decl(f_21766)
static void C_ccall f_21766(C_word c,C_word *av) C_noret;
C_noret_decl(f_21770)
static void C_ccall f_21770(C_word c,C_word *av) C_noret;
C_noret_decl(f_21774)
static void C_ccall f_21774(C_word c,C_word *av) C_noret;
C_noret_decl(f_21783)
static void C_ccall f_21783(C_word c,C_word *av) C_noret;
C_noret_decl(f_21794)
static void C_ccall f_21794(C_word c,C_word *av) C_noret;
C_noret_decl(f_21832)
static void C_ccall f_21832(C_word c,C_word *av) C_noret;
C_noret_decl(f_21881)
static void C_fcall f_21881(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21885)
static void C_ccall f_21885(C_word c,C_word *av) C_noret;
C_noret_decl(f_21888)
static void C_ccall f_21888(C_word c,C_word *av) C_noret;
C_noret_decl(f_21900)
static void C_ccall f_21900(C_word c,C_word *av) C_noret;
C_noret_decl(f_21920)
static void C_fcall f_21920(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21926)
static void C_ccall f_21926(C_word c,C_word *av) C_noret;
C_noret_decl(f_21936)
static void C_ccall f_21936(C_word c,C_word *av) C_noret;
C_noret_decl(f_22065)
static void C_fcall f_22065(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22072)
static void C_ccall f_22072(C_word c,C_word *av) C_noret;
C_noret_decl(f_22090)
static void C_fcall f_22090(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22096)
static void C_fcall f_22096(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22100)
static void C_ccall f_22100(C_word c,C_word *av) C_noret;
C_noret_decl(f_22136)
static void C_ccall f_22136(C_word c,C_word *av) C_noret;
C_noret_decl(f_22159)
static void C_ccall f_22159(C_word c,C_word *av) C_noret;
C_noret_decl(f_22177)
static void C_fcall f_22177(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22181)
static void C_ccall f_22181(C_word c,C_word *av) C_noret;
C_noret_decl(f_22184)
static void C_ccall f_22184(C_word c,C_word *av) C_noret;
C_noret_decl(f_22190)
static void C_ccall f_22190(C_word c,C_word *av) C_noret;
C_noret_decl(f_22195)
static void C_fcall f_22195(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22214)
static void C_fcall f_22214(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22224)
static void C_ccall f_22224(C_word c,C_word *av) C_noret;
C_noret_decl(f_22228)
static void C_ccall f_22228(C_word c,C_word *av) C_noret;
C_noret_decl(f_22232)
static void C_ccall f_22232(C_word c,C_word *av) C_noret;
C_noret_decl(f_22243)
static void C_ccall f_22243(C_word c,C_word *av) C_noret;
C_noret_decl(f_22269)
static void C_fcall f_22269(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22277)
static void C_ccall f_22277(C_word c,C_word *av) C_noret;
C_noret_decl(f_22281)
static void C_ccall f_22281(C_word c,C_word *av) C_noret;
C_noret_decl(f_22284)
static void C_ccall f_22284(C_word c,C_word *av) C_noret;
C_noret_decl(f_22287)
static void C_ccall f_22287(C_word c,C_word *av) C_noret;
C_noret_decl(f_22293)
static void C_fcall f_22293(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22301)
static void C_ccall f_22301(C_word c,C_word *av) C_noret;
C_noret_decl(f_22307)
static void C_ccall f_22307(C_word c,C_word *av) C_noret;
C_noret_decl(f_22329)
static void C_ccall f_22329(C_word c,C_word *av) C_noret;
C_noret_decl(f_22336)
static void C_ccall f_22336(C_word c,C_word *av) C_noret;
C_noret_decl(f_22345)
static void C_ccall f_22345(C_word c,C_word *av) C_noret;
C_noret_decl(f_22352)
static void C_ccall f_22352(C_word c,C_word *av) C_noret;
C_noret_decl(f_22361)
static void C_ccall f_22361(C_word c,C_word *av) C_noret;
C_noret_decl(f_22370)
static void C_ccall f_22370(C_word c,C_word *av) C_noret;
C_noret_decl(f_22377)
static void C_ccall f_22377(C_word c,C_word *av) C_noret;
C_noret_decl(f_22384)
static void C_ccall f_22384(C_word c,C_word *av) C_noret;
C_noret_decl(f_22388)
static void C_ccall f_22388(C_word c,C_word *av) C_noret;
C_noret_decl(f_22397)
static void C_ccall f_22397(C_word c,C_word *av) C_noret;
C_noret_decl(f_22400)
static void C_ccall f_22400(C_word c,C_word *av) C_noret;
C_noret_decl(f_22418)
static void C_ccall f_22418(C_word c,C_word *av) C_noret;
C_noret_decl(f_22421)
static void C_ccall f_22421(C_word c,C_word *av) C_noret;
C_noret_decl(f_22427)
static void C_fcall f_22427(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22444)
static void C_ccall f_22444(C_word c,C_word *av) C_noret;
C_noret_decl(f_22450)
static void C_ccall f_22450(C_word c,C_word *av) C_noret;
C_noret_decl(f_22478)
static void C_ccall f_22478(C_word c,C_word *av) C_noret;
C_noret_decl(f_22501)
static void C_ccall f_22501(C_word c,C_word *av) C_noret;
C_noret_decl(f_22507)
static void C_fcall f_22507(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22515)
static void C_ccall f_22515(C_word c,C_word *av) C_noret;
C_noret_decl(f_22521)
static void C_ccall f_22521(C_word c,C_word *av) C_noret;
C_noret_decl(f_22546)
static void C_ccall f_22546(C_word c,C_word *av) C_noret;
C_noret_decl(f_22558)
static void C_ccall f_22558(C_word c,C_word *av) C_noret;
C_noret_decl(f_22570)
static void C_ccall f_22570(C_word c,C_word *av) C_noret;
C_noret_decl(f_22582)
static void C_ccall f_22582(C_word c,C_word *av) C_noret;
C_noret_decl(f_22594)
static void C_ccall f_22594(C_word c,C_word *av) C_noret;
C_noret_decl(f_22606)
static void C_ccall f_22606(C_word c,C_word *av) C_noret;
C_noret_decl(f_22618)
static void C_ccall f_22618(C_word c,C_word *av) C_noret;
C_noret_decl(f_22621)
static void C_ccall f_22621(C_word c,C_word *av) C_noret;
C_noret_decl(f_22624)
static void C_ccall f_22624(C_word c,C_word *av) C_noret;
C_noret_decl(f_22629)
static void C_ccall f_22629(C_word c,C_word *av) C_noret;
C_noret_decl(f_22634)
static void C_ccall f_22634(C_word c,C_word *av) C_noret;
C_noret_decl(f_22640)
static void C_ccall f_22640(C_word c,C_word *av) C_noret;
C_noret_decl(f_22682)
static void C_ccall f_22682(C_word c,C_word *av) C_noret;
C_noret_decl(f_22694)
static void C_ccall f_22694(C_word c,C_word *av) C_noret;
C_noret_decl(f_22697)
static void C_ccall f_22697(C_word c,C_word *av) C_noret;
C_noret_decl(f_22709)
static void C_ccall f_22709(C_word c,C_word *av) C_noret;
C_noret_decl(f_22721)
static void C_ccall f_22721(C_word c,C_word *av) C_noret;
C_noret_decl(f_22724)
static void C_ccall f_22724(C_word c,C_word *av) C_noret;
C_noret_decl(f_22736)
static void C_ccall f_22736(C_word c,C_word *av) C_noret;
C_noret_decl(f_22743)
static void C_ccall f_22743(C_word c,C_word *av) C_noret;
C_noret_decl(f_22752)
static void C_ccall f_22752(C_word c,C_word *av) C_noret;
C_noret_decl(f_22755)
static void C_ccall f_22755(C_word c,C_word *av) C_noret;
C_noret_decl(f_22764)
static void C_ccall f_22764(C_word c,C_word *av) C_noret;
C_noret_decl(f_22774)
static void C_ccall f_22774(C_word c,C_word *av) C_noret;
C_noret_decl(f_22783)
static void C_ccall f_22783(C_word c,C_word *av) C_noret;
C_noret_decl(f_22786)
static void C_ccall f_22786(C_word c,C_word *av) C_noret;
C_noret_decl(f_22791)
static void C_ccall f_22791(C_word c,C_word *av) C_noret;
C_noret_decl(f_22796)
static void C_ccall f_22796(C_word c,C_word *av) C_noret;
C_noret_decl(f_22802)
static void C_ccall f_22802(C_word c,C_word *av) C_noret;
C_noret_decl(f_22831)
static void C_ccall f_22831(C_word c,C_word *av) C_noret;
C_noret_decl(f_22843)
static void C_ccall f_22843(C_word c,C_word *av) C_noret;
C_noret_decl(f_22846)
static void C_ccall f_22846(C_word c,C_word *av) C_noret;
C_noret_decl(f_22857)
static void C_ccall f_22857(C_word c,C_word *av) C_noret;
C_noret_decl(f_22866)
static void C_ccall f_22866(C_word c,C_word *av) C_noret;
C_noret_decl(f_22869)
static void C_ccall f_22869(C_word c,C_word *av) C_noret;
C_noret_decl(f_22875)
static void C_fcall f_22875(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22878)
static void C_ccall f_22878(C_word c,C_word *av) C_noret;
C_noret_decl(f_22884)
static void C_ccall f_22884(C_word c,C_word *av) C_noret;
C_noret_decl(f_22903)
static void C_ccall f_22903(C_word c,C_word *av) C_noret;
C_noret_decl(f_22922)
static void C_ccall f_22922(C_word c,C_word *av) C_noret;
C_noret_decl(f_22938)
static void C_ccall f_22938(C_word c,C_word *av) C_noret;
C_noret_decl(f_22944)
static void C_ccall f_22944(C_word c,C_word *av) C_noret;
C_noret_decl(f_23016)
static void C_ccall f_23016(C_word c,C_word *av) C_noret;
C_noret_decl(f_23028)
static void C_ccall f_23028(C_word c,C_word *av) C_noret;
C_noret_decl(f_23106)
static void C_ccall f_23106(C_word c,C_word *av) C_noret;
C_noret_decl(f_23182)
static void C_ccall f_23182(C_word c,C_word *av) C_noret;
C_noret_decl(f_23347)
static void C_ccall f_23347(C_word c,C_word *av) C_noret;
C_noret_decl(f_23359)
static void C_ccall f_23359(C_word c,C_word *av) C_noret;
C_noret_decl(f_23421)
static void C_ccall f_23421(C_word c,C_word *av) C_noret;
C_noret_decl(f_23424)
static void C_fcall f_23424(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23470)
static void C_fcall f_23470(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23474)
static void C_ccall f_23474(C_word c,C_word *av) C_noret;
C_noret_decl(f_23492)
static void C_ccall f_23492(C_word c,C_word *av) C_noret;
C_noret_decl(f_23556)
static void C_ccall f_23556(C_word c,C_word *av) C_noret;
C_noret_decl(f_23567)
static void C_ccall f_23567(C_word c,C_word *av) C_noret;
C_noret_decl(f_23569)
static void C_ccall f_23569(C_word c,C_word *av) C_noret;
C_noret_decl(f_23582)
static void C_ccall f_23582(C_word c,C_word *av) C_noret;
C_noret_decl(f_23594)
static void C_ccall f_23594(C_word c,C_word *av) C_noret;
C_noret_decl(f_23614)
static void C_ccall f_23614(C_word c,C_word *av) C_noret;
C_noret_decl(f_23621)
static void C_ccall f_23621(C_word c,C_word *av) C_noret;
C_noret_decl(f_23630)
static void C_ccall f_23630(C_word c,C_word *av) C_noret;
C_noret_decl(f_23642)
static void C_ccall f_23642(C_word c,C_word *av) C_noret;
C_noret_decl(f_23663)
static void C_ccall f_23663(C_word c,C_word *av) C_noret;
C_noret_decl(f_23678)
static void C_ccall f_23678(C_word c,C_word *av) C_noret;
C_noret_decl(f_23696)
static void C_ccall f_23696(C_word c,C_word *av) C_noret;
C_noret_decl(f_23714)
static void C_ccall f_23714(C_word c,C_word *av) C_noret;
C_noret_decl(f_23733)
static void C_fcall f_23733(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23743)
static void C_ccall f_23743(C_word c,C_word *av) C_noret;
C_noret_decl(f_23757)
static void C_ccall f_23757(C_word c,C_word *av) C_noret;
C_noret_decl(f_23760)
static void C_ccall f_23760(C_word c,C_word *av) C_noret;
C_noret_decl(f_23765)
static void C_ccall f_23765(C_word c,C_word *av) C_noret;
C_noret_decl(f_23784)
static void C_fcall f_23784(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23794)
static void C_ccall f_23794(C_word c,C_word *av) C_noret;
C_noret_decl(f_23808)
static void C_ccall f_23808(C_word c,C_word *av) C_noret;
C_noret_decl(f_23811)
static void C_ccall f_23811(C_word c,C_word *av) C_noret;
C_noret_decl(f_23818)
static void C_ccall f_23818(C_word c,C_word *av) C_noret;
C_noret_decl(f_23822)
static void C_ccall f_23822(C_word c,C_word *av) C_noret;
C_noret_decl(f_23826)
static void C_ccall f_23826(C_word c,C_word *av) C_noret;
C_noret_decl(f_23828)
static void C_ccall f_23828(C_word c,C_word *av) C_noret;
C_noret_decl(f_23835)
static void C_ccall f_23835(C_word c,C_word *av) C_noret;
C_noret_decl(f_23838)
static void C_ccall f_23838(C_word c,C_word *av) C_noret;
C_noret_decl(f_23841)
static void C_ccall f_23841(C_word c,C_word *av) C_noret;
C_noret_decl(f_23843)
static void C_fcall f_23843(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23853)
static void C_ccall f_23853(C_word c,C_word *av) C_noret;
C_noret_decl(f_23859)
static void C_ccall f_23859(C_word c,C_word *av) C_noret;
C_noret_decl(f_23871)
static void C_ccall f_23871(C_word c,C_word *av) C_noret;
C_noret_decl(f_23874)
static void C_ccall f_23874(C_word c,C_word *av) C_noret;
C_noret_decl(f_23877)
static void C_ccall f_23877(C_word c,C_word *av) C_noret;
C_noret_decl(f_23894)
static void C_ccall f_23894(C_word c,C_word *av) C_noret;
C_noret_decl(f_23915)
static void C_fcall f_23915(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23919)
static void C_ccall f_23919(C_word c,C_word *av) C_noret;
C_noret_decl(f_23932)
static void C_ccall f_23932(C_word c,C_word *av) C_noret;
C_noret_decl(f_23935)
static void C_ccall f_23935(C_word c,C_word *av) C_noret;
C_noret_decl(f_23944)
static void C_ccall f_23944(C_word c,C_word *av) C_noret;
C_noret_decl(f_23947)
static void C_ccall f_23947(C_word c,C_word *av) C_noret;
C_noret_decl(f_23975)
static void C_fcall f_23975(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23979)
static void C_ccall f_23979(C_word c,C_word *av) C_noret;
C_noret_decl(f_23988)
static void C_ccall f_23988(C_word c,C_word *av) C_noret;
C_noret_decl(f_23999)
static void C_fcall f_23999(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24006)
static void C_ccall f_24006(C_word c,C_word *av) C_noret;
C_noret_decl(f_24011)
static void C_fcall f_24011(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24033)
static void C_ccall f_24033(C_word c,C_word *av) C_noret;
C_noret_decl(f_24039)
static void C_ccall f_24039(C_word c,C_word *av) C_noret;
C_noret_decl(f_24042)
static void C_ccall f_24042(C_word c,C_word *av) C_noret;
C_noret_decl(f_24053)
static void C_ccall f_24053(C_word c,C_word *av) C_noret;
C_noret_decl(f_24062)
static void C_ccall f_24062(C_word c,C_word *av) C_noret;
C_noret_decl(f_24065)
static void C_ccall f_24065(C_word c,C_word *av) C_noret;
C_noret_decl(f_24088)
static void C_fcall f_24088(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24137)
static void C_fcall f_24137(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24153)
static void C_fcall f_24153(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24160)
static void C_ccall f_24160(C_word c,C_word *av) C_noret;
C_noret_decl(f_24210)
static void C_fcall f_24210(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24267)
static void C_ccall f_24267(C_word c,C_word *av) C_noret;
C_noret_decl(f_24272)
static void C_fcall f_24272(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24321)
static void C_ccall f_24321(C_word c,C_word *av) C_noret;
C_noret_decl(f_24327)
static void C_ccall f_24327(C_word c,C_word *av) C_noret;
C_noret_decl(f_24331)
static void C_fcall f_24331(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24354)
static void C_ccall f_24354(C_word c,C_word *av) C_noret;
C_noret_decl(f_24361)
static void C_ccall f_24361(C_word c,C_word *av) C_noret;
C_noret_decl(f_24380)
static void C_ccall f_24380(C_word c,C_word *av) C_noret;
C_noret_decl(f_24419)
static void C_ccall f_24419(C_word c,C_word *av) C_noret;
C_noret_decl(f_24431)
static void C_ccall f_24431(C_word c,C_word *av) C_noret;
C_noret_decl(f_24437)
static void C_ccall f_24437(C_word c,C_word *av) C_noret;
C_noret_decl(f_24453)
static void C_ccall f_24453(C_word c,C_word *av) C_noret;
C_noret_decl(f_24460)
static void C_ccall f_24460(C_word c,C_word *av) C_noret;
C_noret_decl(f_24469)
static void C_ccall f_24469(C_word c,C_word *av) C_noret;
C_noret_decl(f_24476)
static void C_ccall f_24476(C_word c,C_word *av) C_noret;
C_noret_decl(f_24486)
static void C_ccall f_24486(C_word c,C_word *av) C_noret;
C_noret_decl(f_24495)
static void C_ccall f_24495(C_word c,C_word *av) C_noret;
C_noret_decl(f_24501)
static void C_fcall f_24501(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24514)
static void C_ccall f_24514(C_word c,C_word *av) C_noret;
C_noret_decl(f_24552)
static void C_ccall f_24552(C_word c,C_word *av) C_noret;
C_noret_decl(f_24618)
static void C_ccall f_24618(C_word c,C_word *av) C_noret;
C_noret_decl(f_24621)
static void C_ccall f_24621(C_word c,C_word *av) C_noret;
C_noret_decl(f_24628)
static void C_ccall f_24628(C_word c,C_word *av) C_noret;
C_noret_decl(f_24668)
static void C_ccall f_24668(C_word c,C_word *av) C_noret;
C_noret_decl(f_24671)
static void C_ccall f_24671(C_word c,C_word *av) C_noret;
C_noret_decl(f_24680)
static void C_fcall f_24680(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24690)
static void C_fcall f_24690(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24693)
static void C_ccall f_24693(C_word c,C_word *av) C_noret;
C_noret_decl(f_24702)
static void C_ccall f_24702(C_word c,C_word *av) C_noret;
C_noret_decl(f_24712)
static void C_ccall f_24712(C_word c,C_word *av) C_noret;
C_noret_decl(f_24715)
static void C_ccall f_24715(C_word c,C_word *av) C_noret;
C_noret_decl(f_24741)
static void C_ccall f_24741(C_word c,C_word *av) C_noret;
C_noret_decl(f_24747)
static void C_ccall f_24747(C_word c,C_word *av) C_noret;
C_noret_decl(f_24752)
static void C_fcall f_24752(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24765)
static void C_ccall f_24765(C_word c,C_word *av) C_noret;
C_noret_decl(f_24768)
static void C_ccall f_24768(C_word c,C_word *av) C_noret;
C_noret_decl(f_24779)
static void C_ccall f_24779(C_word c,C_word *av) C_noret;
C_noret_decl(f_24801)
static void C_ccall f_24801(C_word c,C_word *av) C_noret;
C_noret_decl(f_24813)
static void C_ccall f_24813(C_word c,C_word *av) C_noret;
C_noret_decl(f_24816)
static void C_ccall f_24816(C_word c,C_word *av) C_noret;
C_noret_decl(f_24823)
static void C_ccall f_24823(C_word c,C_word *av) C_noret;
C_noret_decl(f_24832)
static void C_ccall f_24832(C_word c,C_word *av) C_noret;
C_noret_decl(f_24835)
static void C_ccall f_24835(C_word c,C_word *av) C_noret;
C_noret_decl(f_24879)
static void C_ccall f_24879(C_word c,C_word *av) C_noret;
C_noret_decl(f_24882)
static void C_ccall f_24882(C_word c,C_word *av) C_noret;
C_noret_decl(f_24891)
static void C_fcall f_24891(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24904)
static void C_ccall f_24904(C_word c,C_word *av) C_noret;
C_noret_decl(f_24907)
static void C_ccall f_24907(C_word c,C_word *av) C_noret;
C_noret_decl(f_24932)
static void C_ccall f_24932(C_word c,C_word *av) C_noret;
C_noret_decl(f_24936)
static void C_ccall f_24936(C_word c,C_word *av) C_noret;
C_noret_decl(f_24946)
static void C_ccall f_24946(C_word c,C_word *av) C_noret;
C_noret_decl(f_24949)
static void C_ccall f_24949(C_word c,C_word *av) C_noret;
C_noret_decl(f_24969)
static void C_ccall f_24969(C_word c,C_word *av) C_noret;
C_noret_decl(f_24982)
static void C_ccall f_24982(C_word c,C_word *av) C_noret;
C_noret_decl(f_24987)
static void C_ccall f_24987(C_word c,C_word *av) C_noret;
C_noret_decl(f_24993)
static void C_ccall f_24993(C_word c,C_word *av) C_noret;
C_noret_decl(f_24999)
static void C_ccall f_24999(C_word c,C_word *av) C_noret;
C_noret_decl(f_25003)
static void C_ccall f_25003(C_word c,C_word *av) C_noret;
C_noret_decl(f_25006)
static void C_ccall f_25006(C_word c,C_word *av) C_noret;
C_noret_decl(f_25021)
static void C_ccall f_25021(C_word c,C_word *av) C_noret;
C_noret_decl(f_25024)
static void C_ccall f_25024(C_word c,C_word *av) C_noret;
C_noret_decl(f_25042)
static void C_ccall f_25042(C_word c,C_word *av) C_noret;
C_noret_decl(f_25044)
static void C_ccall f_25044(C_word c,C_word *av) C_noret;
C_noret_decl(f_25050)
static void C_ccall f_25050(C_word c,C_word *av) C_noret;
C_noret_decl(f_25059)
static void C_ccall f_25059(C_word c,C_word *av) C_noret;
C_noret_decl(f_25065)
static void C_ccall f_25065(C_word c,C_word *av) C_noret;
C_noret_decl(f_25072)
static void C_ccall f_25072(C_word c,C_word *av) C_noret;
C_noret_decl(f_25075)
static void C_ccall f_25075(C_word c,C_word *av) C_noret;
C_noret_decl(f_25078)
static void C_ccall f_25078(C_word c,C_word *av) C_noret;
C_noret_decl(f_25087)
static void C_ccall f_25087(C_word c,C_word *av) C_noret;
C_noret_decl(f_25103)
static void C_ccall f_25103(C_word c,C_word *av) C_noret;
C_noret_decl(f_25118)
static void C_ccall f_25118(C_word c,C_word *av) C_noret;
C_noret_decl(f_25120)
static void C_ccall f_25120(C_word c,C_word *av) C_noret;
C_noret_decl(f_25126)
static void C_ccall f_25126(C_word c,C_word *av) C_noret;
C_noret_decl(f_25132)
static void C_ccall f_25132(C_word c,C_word *av) C_noret;
C_noret_decl(f_25136)
static void C_ccall f_25136(C_word c,C_word *av) C_noret;
C_noret_decl(f_25139)
static void C_ccall f_25139(C_word c,C_word *av) C_noret;
C_noret_decl(f_25142)
static void C_ccall f_25142(C_word c,C_word *av) C_noret;
C_noret_decl(f_25146)
static void C_ccall f_25146(C_word c,C_word *av) C_noret;
C_noret_decl(f_25150)
static void C_ccall f_25150(C_word c,C_word *av) C_noret;
C_noret_decl(f_25154)
static void C_ccall f_25154(C_word c,C_word *av) C_noret;
C_noret_decl(f_25157)
static void C_ccall f_25157(C_word c,C_word *av) C_noret;
C_noret_decl(f_25160)
static void C_ccall f_25160(C_word c,C_word *av) C_noret;
C_noret_decl(f_25163)
static void C_ccall f_25163(C_word c,C_word *av) C_noret;
C_noret_decl(f_25175)
static void C_ccall f_25175(C_word c,C_word *av) C_noret;
C_noret_decl(f_25181)
static void C_ccall f_25181(C_word c,C_word *av) C_noret;
C_noret_decl(f_25185)
static void C_ccall f_25185(C_word c,C_word *av) C_noret;
C_noret_decl(f_25188)
static void C_ccall f_25188(C_word c,C_word *av) C_noret;
C_noret_decl(f_25191)
static void C_ccall f_25191(C_word c,C_word *av) C_noret;
C_noret_decl(f_25194)
static void C_ccall f_25194(C_word c,C_word *av) C_noret;
C_noret_decl(f_25197)
static void C_ccall f_25197(C_word c,C_word *av) C_noret;
C_noret_decl(f_25200)
static void C_ccall f_25200(C_word c,C_word *av) C_noret;
C_noret_decl(f_25205)
static void C_ccall f_25205(C_word c,C_word *av) C_noret;
C_noret_decl(f_25227)
static void C_ccall f_25227(C_word c,C_word *av) C_noret;
C_noret_decl(f_25233)
static void C_ccall f_25233(C_word c,C_word *av) C_noret;
C_noret_decl(f_25236)
static void C_ccall f_25236(C_word c,C_word *av) C_noret;
C_noret_decl(f_25261)
static void C_ccall f_25261(C_word c,C_word *av) C_noret;
C_noret_decl(f_25264)
static void C_fcall f_25264(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_25271)
static void C_ccall f_25271(C_word c,C_word *av) C_noret;
C_noret_decl(f_25284)
static void C_fcall f_25284(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_25294)
static void C_ccall f_25294(C_word c,C_word *av) C_noret;
C_noret_decl(f_25299)
static void C_ccall f_25299(C_word c,C_word *av) C_noret;
C_noret_decl(f_25305)
static void C_ccall f_25305(C_word c,C_word *av) C_noret;
C_noret_decl(f_25332)
static void C_ccall f_25332(C_word c,C_word *av) C_noret;
C_noret_decl(f_25338)
static void C_fcall f_25338(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25349)
static void C_ccall f_25349(C_word c,C_word *av) C_noret;
C_noret_decl(f_25355)
static void C_fcall f_25355(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25358)
static void C_ccall f_25358(C_word c,C_word *av) C_noret;
C_noret_decl(f_25363)
static void C_ccall f_25363(C_word c,C_word *av) C_noret;
C_noret_decl(f_25369)
static void C_ccall f_25369(C_word c,C_word *av) C_noret;
C_noret_decl(f_25393)
static void C_ccall f_25393(C_word c,C_word *av) C_noret;
C_noret_decl(f_25401)
static void C_ccall f_25401(C_word c,C_word *av) C_noret;
C_noret_decl(f_25418)
static void C_ccall f_25418(C_word c,C_word *av) C_noret;
C_noret_decl(f_25458)
static void C_ccall f_25458(C_word c,C_word *av) C_noret;
C_noret_decl(f_25465)
static void C_ccall f_25465(C_word c,C_word *av) C_noret;
C_noret_decl(f_25477)
static void C_ccall f_25477(C_word c,C_word *av) C_noret;
C_noret_decl(f_25481)
static void C_ccall f_25481(C_word c,C_word *av) C_noret;
C_noret_decl(f_25494)
static void C_ccall f_25494(C_word c,C_word *av) C_noret;
C_noret_decl(f_25496)
static void C_ccall f_25496(C_word c,C_word *av) C_noret;
C_noret_decl(f_25530)
static void C_ccall f_25530(C_word c,C_word *av) C_noret;
C_noret_decl(f_25534)
static void C_ccall f_25534(C_word c,C_word *av) C_noret;
C_noret_decl(f_25535)
static void C_fcall f_25535(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25545)
static void C_ccall f_25545(C_word c,C_word *av) C_noret;
C_noret_decl(f_25550)
static void C_fcall f_25550(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25560)
static void C_ccall f_25560(C_word c,C_word *av) C_noret;
C_noret_decl(f_25573)
static void C_ccall f_25573(C_word c,C_word *av) C_noret;
C_noret_decl(f_25584)
static void C_ccall f_25584(C_word c,C_word *av) C_noret;
C_noret_decl(f_25588)
static void C_ccall f_25588(C_word c,C_word *av) C_noret;
C_noret_decl(f_25592)
static void C_ccall f_25592(C_word c,C_word *av) C_noret;
C_noret_decl(f_25614)
static void C_ccall f_25614(C_word c,C_word *av) C_noret;
C_noret_decl(f_25618)
static void C_ccall f_25618(C_word c,C_word *av) C_noret;
C_noret_decl(f_25626)
static void C_ccall f_25626(C_word c,C_word *av) C_noret;
C_noret_decl(f_25642)
static void C_ccall f_25642(C_word c,C_word *av) C_noret;
C_noret_decl(f_25653)
static void C_fcall f_25653(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25672)
static void C_fcall f_25672(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25683)
static void C_ccall f_25683(C_word c,C_word *av) C_noret;
C_noret_decl(f_25691)
static void C_ccall f_25691(C_word c,C_word *av) C_noret;
C_noret_decl(f_25770)
static void C_ccall f_25770(C_word c,C_word *av) C_noret;
C_noret_decl(f_25780)
static void C_ccall f_25780(C_word c,C_word *av) C_noret;
C_noret_decl(f_25781)
static void C_fcall f_25781(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25794)
static void C_ccall f_25794(C_word c,C_word *av) C_noret;
C_noret_decl(f_25797)
static void C_ccall f_25797(C_word c,C_word *av) C_noret;
C_noret_decl(f_25800)
static void C_ccall f_25800(C_word c,C_word *av) C_noret;
C_noret_decl(f_25803)
static void C_ccall f_25803(C_word c,C_word *av) C_noret;
C_noret_decl(f_25811)
static void C_ccall f_25811(C_word c,C_word *av) C_noret;
C_noret_decl(f_25818)
static void C_fcall f_25818(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25821)
static void C_ccall f_25821(C_word c,C_word *av) C_noret;
C_noret_decl(f_25824)
static void C_ccall f_25824(C_word c,C_word *av) C_noret;
C_noret_decl(f_25847)
static void C_ccall f_25847(C_word c,C_word *av) C_noret;
C_noret_decl(f_25852)
static void C_fcall f_25852(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25862)
static void C_ccall f_25862(C_word c,C_word *av) C_noret;
C_noret_decl(f_25875)
static void C_ccall f_25875(C_word c,C_word *av) C_noret;
C_noret_decl(f_25906)
static void C_ccall f_25906(C_word c,C_word *av) C_noret;
C_noret_decl(f_25916)
static void C_ccall f_25916(C_word c,C_word *av) C_noret;
C_noret_decl(f_25966)
static void C_ccall f_25966(C_word c,C_word *av) C_noret;
C_noret_decl(f_25969)
static void C_ccall f_25969(C_word c,C_word *av) C_noret;
C_noret_decl(f_25988)
static void C_fcall f_25988(C_word t0) C_noret;
C_noret_decl(f_25993)
static void C_ccall f_25993(C_word c,C_word *av) C_noret;
C_noret_decl(f_25999)
static void C_ccall f_25999(C_word c,C_word *av) C_noret;
C_noret_decl(f_26002)
static void C_ccall f_26002(C_word c,C_word *av) C_noret;
C_noret_decl(f_26008)
static void C_ccall f_26008(C_word c,C_word *av) C_noret;
C_noret_decl(f_26016)
static void C_fcall f_26016(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26035)
static void C_ccall f_26035(C_word c,C_word *av) C_noret;
C_noret_decl(f_26040)
static void C_fcall f_26040(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26050)
static void C_ccall f_26050(C_word c,C_word *av) C_noret;
C_noret_decl(f_26064)
static void C_ccall f_26064(C_word c,C_word *av) C_noret;
C_noret_decl(f_26071)
static void C_ccall f_26071(C_word c,C_word *av) C_noret;
C_noret_decl(f_26075)
static void C_ccall f_26075(C_word c,C_word *av) C_noret;
C_noret_decl(f_26079)
static void C_ccall f_26079(C_word c,C_word *av) C_noret;
C_noret_decl(f_26081)
static void C_ccall f_26081(C_word c,C_word *av) C_noret;
C_noret_decl(f_26107)
static void C_ccall f_26107(C_word c,C_word *av) C_noret;
C_noret_decl(f_26110)
static void C_ccall f_26110(C_word c,C_word *av) C_noret;
C_noret_decl(f_26113)
static void C_ccall f_26113(C_word c,C_word *av) C_noret;
C_noret_decl(f_26120)
static void C_ccall f_26120(C_word c,C_word *av) C_noret;
C_noret_decl(f_26124)
static void C_ccall f_26124(C_word c,C_word *av) C_noret;
C_noret_decl(f_26130)
static void C_ccall f_26130(C_word c,C_word *av) C_noret;
C_noret_decl(f_26135)
static void C_fcall f_26135(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26145)
static void C_ccall f_26145(C_word c,C_word *av) C_noret;
C_noret_decl(f_26162)
static void C_fcall f_26162(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26183)
static void C_fcall f_26183(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26186)
static void C_fcall f_26186(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26206)
static void C_fcall f_26206(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26214)
static void C_ccall f_26214(C_word c,C_word *av) C_noret;
C_noret_decl(f_26348)
static void C_ccall f_26348(C_word c,C_word *av) C_noret;
C_noret_decl(f_26365)
static void C_ccall f_26365(C_word c,C_word *av) C_noret;
C_noret_decl(f_26369)
static void C_ccall f_26369(C_word c,C_word *av) C_noret;
C_noret_decl(f_26382)
static void C_ccall f_26382(C_word c,C_word *av) C_noret;
C_noret_decl(f_26391)
static void C_ccall f_26391(C_word c,C_word *av) C_noret;
C_noret_decl(f_26394)
static void C_ccall f_26394(C_word c,C_word *av) C_noret;
C_noret_decl(f_26398)
static void C_ccall f_26398(C_word c,C_word *av) C_noret;
C_noret_decl(f_26437)
static void C_ccall f_26437(C_word c,C_word *av) C_noret;
C_noret_decl(f_26440)
static void C_ccall f_26440(C_word c,C_word *av) C_noret;
C_noret_decl(f_26447)
static void C_ccall f_26447(C_word c,C_word *av) C_noret;
C_noret_decl(f_26451)
static void C_ccall f_26451(C_word c,C_word *av) C_noret;
C_noret_decl(f_26477)
static void C_ccall f_26477(C_word c,C_word *av) C_noret;
C_noret_decl(f_26508)
static void C_ccall f_26508(C_word c,C_word *av) C_noret;
C_noret_decl(f_26511)
static void C_ccall f_26511(C_word c,C_word *av) C_noret;
C_noret_decl(f_26523)
static void C_ccall f_26523(C_word c,C_word *av) C_noret;
C_noret_decl(f_26526)
static void C_ccall f_26526(C_word c,C_word *av) C_noret;
C_noret_decl(f_26529)
static void C_ccall f_26529(C_word c,C_word *av) C_noret;
C_noret_decl(f_26554)
static void C_ccall f_26554(C_word c,C_word *av) C_noret;
C_noret_decl(f_26560)
static void C_ccall f_26560(C_word c,C_word *av) C_noret;
C_noret_decl(f_26564)
static void C_ccall f_26564(C_word c,C_word *av) C_noret;
C_noret_decl(f_26568)
static void C_ccall f_26568(C_word c,C_word *av) C_noret;
C_noret_decl(f_26581)
static void C_ccall f_26581(C_word c,C_word *av) C_noret;
C_noret_decl(f_26583)
static C_word C_fcall f_26583(C_word t0,C_word t1);
C_noret_decl(f_26589)
static C_word C_fcall f_26589(C_word t0);
C_noret_decl(f_26594)
static C_word C_fcall f_26594(C_word t0);
C_noret_decl(f_26629)
static void C_fcall f_26629(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26635)
static void C_fcall f_26635(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26651)
static void C_fcall f_26651(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26673)
static void C_ccall f_26673(C_word c,C_word *av) C_noret;
C_noret_decl(f_26697)
static void C_ccall f_26697(C_word c,C_word *av) C_noret;
C_noret_decl(f_26709)
static void C_ccall f_26709(C_word c,C_word *av) C_noret;
C_noret_decl(f_26711)
static void C_ccall f_26711(C_word c,C_word *av) C_noret;
C_noret_decl(f_26730)
static void C_ccall f_26730(C_word c,C_word *av) C_noret;
C_noret_decl(f_26734)
static void C_ccall f_26734(C_word c,C_word *av) C_noret;
C_noret_decl(f_26746)
static void C_ccall f_26746(C_word c,C_word *av) C_noret;
C_noret_decl(f_26748)
static void C_fcall f_26748(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26792)
static void C_ccall f_26792(C_word c,C_word *av) C_noret;
C_noret_decl(f_26794)
static void C_fcall f_26794(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26828)
static C_word C_fcall f_26828(C_word t0);
C_noret_decl(f_26851)
static void C_ccall f_26851(C_word c,C_word *av) C_noret;
C_noret_decl(f_26858)
static void C_ccall f_26858(C_word c,C_word *av) C_noret;
C_noret_decl(f_26868)
static void C_ccall f_26868(C_word c,C_word *av) C_noret;
C_noret_decl(f_26870)
static void C_fcall f_26870(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26920)
static void C_ccall f_26920(C_word c,C_word *av) C_noret;
C_noret_decl(f_26922)
static void C_fcall f_26922(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26947)
static void C_ccall f_26947(C_word c,C_word *av) C_noret;
C_noret_decl(f_26956)
static void C_ccall f_26956(C_word c,C_word *av) C_noret;
C_noret_decl(f_26962)
static void C_ccall f_26962(C_word c,C_word *av) C_noret;
C_noret_decl(f_26966)
static void C_ccall f_26966(C_word c,C_word *av) C_noret;
C_noret_decl(f_26970)
static void C_fcall f_26970(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26978)
static void C_ccall f_26978(C_word c,C_word *av) C_noret;
C_noret_decl(f_26984)
static void C_fcall f_26984(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27015)
static void C_ccall f_27015(C_word c,C_word *av) C_noret;
C_noret_decl(f_27040)
static void C_fcall f_27040(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27065)
static void C_ccall f_27065(C_word c,C_word *av) C_noret;
C_noret_decl(f_27075)
static void C_ccall f_27075(C_word c,C_word *av) C_noret;
C_noret_decl(f_27080)
static void C_ccall f_27080(C_word c,C_word *av) C_noret;
C_noret_decl(f_27082)
static void C_ccall f_27082(C_word c,C_word *av) C_noret;
C_noret_decl(f_27089)
static void C_ccall f_27089(C_word c,C_word *av) C_noret;
C_noret_decl(f_27101)
static void C_ccall f_27101(C_word c,C_word *av) C_noret;
C_noret_decl(f_27109)
static void C_ccall f_27109(C_word c,C_word *av) C_noret;
C_noret_decl(f_27147)
static void C_ccall f_27147(C_word c,C_word *av) C_noret;
C_noret_decl(f_27151)
static void C_ccall f_27151(C_word c,C_word *av) C_noret;
C_noret_decl(f_27158)
static void C_ccall f_27158(C_word c,C_word *av) C_noret;
C_noret_decl(f_27161)
static void C_ccall f_27161(C_word c,C_word *av) C_noret;
C_noret_decl(f_27164)
static void C_ccall f_27164(C_word c,C_word *av) C_noret;
C_noret_decl(f_27165)
static void C_fcall f_27165(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27167)
static void C_fcall f_27167(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27171)
static void C_ccall f_27171(C_word c,C_word *av) C_noret;
C_noret_decl(f_27176)
static void C_ccall f_27176(C_word c,C_word *av) C_noret;
C_noret_decl(f_27188)
static void C_fcall f_27188(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27198)
static void C_ccall f_27198(C_word c,C_word *av) C_noret;
C_noret_decl(f_27210)
static void C_ccall f_27210(C_word c,C_word *av) C_noret;
C_noret_decl(f_27212)
static void C_fcall f_27212(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_27219)
static void C_ccall f_27219(C_word c,C_word *av) C_noret;
C_noret_decl(f_27222)
static void C_ccall f_27222(C_word c,C_word *av) C_noret;
C_noret_decl(f_27228)
static void C_fcall f_27228(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27231)
static void C_ccall f_27231(C_word c,C_word *av) C_noret;
C_noret_decl(f_27234)
static void C_ccall f_27234(C_word c,C_word *av) C_noret;
C_noret_decl(f_27237)
static void C_ccall f_27237(C_word c,C_word *av) C_noret;
C_noret_decl(f_27252)
static void C_ccall f_27252(C_word c,C_word *av) C_noret;
C_noret_decl(f_27258)
static void C_ccall f_27258(C_word c,C_word *av) C_noret;
C_noret_decl(f_27266)
static void C_fcall f_27266(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27270)
static void C_ccall f_27270(C_word c,C_word *av) C_noret;
C_noret_decl(f_27273)
static void C_ccall f_27273(C_word c,C_word *av) C_noret;
C_noret_decl(f_27276)
static void C_ccall f_27276(C_word c,C_word *av) C_noret;
C_noret_decl(f_27289)
static void C_ccall f_27289(C_word c,C_word *av) C_noret;
C_noret_decl(f_27293)
static void C_ccall f_27293(C_word c,C_word *av) C_noret;
C_noret_decl(f_27314)
static void C_ccall f_27314(C_word c,C_word *av) C_noret;
C_noret_decl(f_27330)
static void C_ccall f_27330(C_word c,C_word *av) C_noret;
C_noret_decl(f_27333)
static void C_ccall f_27333(C_word c,C_word *av) C_noret;
C_noret_decl(f_27339)
static void C_ccall f_27339(C_word c,C_word *av) C_noret;
C_noret_decl(f_27361)
static void C_fcall f_27361(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27366)
static void C_fcall f_27366(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27401)
static void C_ccall f_27401(C_word c,C_word *av) C_noret;
C_noret_decl(f_27411)
static void C_ccall f_27411(C_word c,C_word *av) C_noret;
C_noret_decl(f_27414)
static void C_ccall f_27414(C_word c,C_word *av) C_noret;
C_noret_decl(f_27417)
static void C_ccall f_27417(C_word c,C_word *av) C_noret;
C_noret_decl(f_27420)
static void C_ccall f_27420(C_word c,C_word *av) C_noret;
C_noret_decl(f_27423)
static void C_ccall f_27423(C_word c,C_word *av) C_noret;
C_noret_decl(f_27426)
static void C_ccall f_27426(C_word c,C_word *av) C_noret;
C_noret_decl(f_27433)
static void C_ccall f_27433(C_word c,C_word *av) C_noret;
C_noret_decl(f_27436)
static void C_ccall f_27436(C_word c,C_word *av) C_noret;
C_noret_decl(f_27439)
static void C_ccall f_27439(C_word c,C_word *av) C_noret;
C_noret_decl(f_27450)
static void C_ccall f_27450(C_word c,C_word *av) C_noret;
C_noret_decl(f_27473)
static void C_ccall f_27473(C_word c,C_word *av) C_noret;
C_noret_decl(f_27484)
static void C_ccall f_27484(C_word c,C_word *av) C_noret;
C_noret_decl(f_27488)
static void C_ccall f_27488(C_word c,C_word *av) C_noret;
C_noret_decl(f_27510)
static void C_ccall f_27510(C_word c,C_word *av) C_noret;
C_noret_decl(f_27521)
static void C_ccall f_27521(C_word c,C_word *av) C_noret;
C_noret_decl(f_27525)
static void C_ccall f_27525(C_word c,C_word *av) C_noret;
C_noret_decl(f_28106)
static void C_ccall f_28106(C_word c,C_word *av) C_noret;
C_noret_decl(f_28109)
static void C_ccall f_28109(C_word c,C_word *av) C_noret;
C_noret_decl(f_28112)
static void C_ccall f_28112(C_word c,C_word *av) C_noret;
C_noret_decl(f_28115)
static void C_ccall f_28115(C_word c,C_word *av) C_noret;
C_noret_decl(f_28120)
static void C_ccall f_28120(C_word c,C_word *av) C_noret;
C_noret_decl(f_28123)
static void C_ccall f_28123(C_word c,C_word *av) C_noret;
C_noret_decl(f_28126)
static void C_ccall f_28126(C_word c,C_word *av) C_noret;
C_noret_decl(f_28129)
static void C_ccall f_28129(C_word c,C_word *av) C_noret;
C_noret_decl(f_28132)
static void C_ccall f_28132(C_word c,C_word *av) C_noret;
C_noret_decl(f_28135)
static void C_ccall f_28135(C_word c,C_word *av) C_noret;
C_noret_decl(f_28138)
static void C_ccall f_28138(C_word c,C_word *av) C_noret;
C_noret_decl(f_28141)
static void C_ccall f_28141(C_word c,C_word *av) C_noret;
C_noret_decl(f_28158)
static void C_ccall f_28158(C_word c,C_word *av) C_noret;
C_noret_decl(f_28162)
static void C_ccall f_28162(C_word c,C_word *av) C_noret;
C_noret_decl(f_28164)
static void C_ccall f_28164(C_word c,C_word *av) C_noret;
C_noret_decl(f_28172)
static void C_ccall f_28172(C_word c,C_word *av) C_noret;
C_noret_decl(f_28174)
static void C_ccall f_28174(C_word c,C_word *av) C_noret;
C_noret_decl(f_28178)
static void C_ccall f_28178(C_word c,C_word *av) C_noret;
C_noret_decl(f_28180)
static void C_ccall f_28180(C_word c,C_word *av) C_noret;
C_noret_decl(f_28187)
static void C_ccall f_28187(C_word c,C_word *av) C_noret;
C_noret_decl(f_28197)
static void C_ccall f_28197(C_word c,C_word *av) C_noret;
C_noret_decl(f_28222)
static void C_ccall f_28222(C_word c,C_word *av) C_noret;
C_noret_decl(f_28225)
static void C_ccall f_28225(C_word c,C_word *av) C_noret;
C_noret_decl(f_28228)
static void C_ccall f_28228(C_word c,C_word *av) C_noret;
C_noret_decl(f_28231)
static void C_ccall f_28231(C_word c,C_word *av) C_noret;
C_noret_decl(f_28234)
static void C_ccall f_28234(C_word c,C_word *av) C_noret;
C_noret_decl(f_28244)
static void C_ccall f_28244(C_word c,C_word *av) C_noret;
C_noret_decl(f_28250)
static void C_ccall f_28250(C_word c,C_word *av) C_noret;
C_noret_decl(f_28254)
static void C_ccall f_28254(C_word c,C_word *av) C_noret;
C_noret_decl(f_28256)
static void C_ccall f_28256(C_word c,C_word *av) C_noret;
C_noret_decl(f_28266)
static void C_ccall f_28266(C_word c,C_word *av) C_noret;
C_noret_decl(f_28272)
static void C_ccall f_28272(C_word c,C_word *av) C_noret;
C_noret_decl(f_28276)
static void C_ccall f_28276(C_word c,C_word *av) C_noret;
C_noret_decl(f_28278)
static void C_ccall f_28278(C_word c,C_word *av) C_noret;
C_noret_decl(f_28283)
static void C_ccall f_28283(C_word c,C_word *av) C_noret;
C_noret_decl(f_28285)
static void C_ccall f_28285(C_word c,C_word *av) C_noret;
C_noret_decl(f_28288)
static void C_ccall f_28288(C_word c,C_word *av) C_noret;
C_noret_decl(f_28308)
static void C_ccall f_28308(C_word c,C_word *av) C_noret;
C_noret_decl(f_28314)
static void C_fcall f_28314(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28324)
static void C_ccall f_28324(C_word c,C_word *av) C_noret;
C_noret_decl(f_28334)
static void C_ccall f_28334(C_word c,C_word *av) C_noret;
C_noret_decl(f_28369)
static void C_ccall f_28369(C_word c,C_word *av) C_noret;
C_noret_decl(f_28373)
static void C_ccall f_28373(C_word c,C_word *av) C_noret;
C_noret_decl(f_28378)
static void C_fcall f_28378(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28388)
static void C_ccall f_28388(C_word c,C_word *av) C_noret;
C_noret_decl(f_28398)
static void C_ccall f_28398(C_word c,C_word *av) C_noret;
C_noret_decl(f_28407)
static void C_ccall f_28407(C_word c,C_word *av) C_noret;
C_noret_decl(f_28410)
static void C_ccall f_28410(C_word c,C_word *av) C_noret;
C_noret_decl(f_28413)
static void C_ccall f_28413(C_word c,C_word *av) C_noret;
C_noret_decl(f_28420)
static void C_ccall f_28420(C_word c,C_word *av) C_noret;
C_noret_decl(f_28427)
static void C_ccall f_28427(C_word c,C_word *av) C_noret;
C_noret_decl(f_28430)
static void C_ccall f_28430(C_word c,C_word *av) C_noret;
C_noret_decl(f_28434)
static void C_ccall f_28434(C_word c,C_word *av) C_noret;
C_noret_decl(f_28436)
static void C_ccall f_28436(C_word c,C_word *av) C_noret;
C_noret_decl(f_28439)
static void C_ccall f_28439(C_word c,C_word *av) C_noret;
C_noret_decl(f_28442)
static void C_ccall f_28442(C_word c,C_word *av) C_noret;
C_noret_decl(f_28445)
static void C_ccall f_28445(C_word c,C_word *av) C_noret;
C_noret_decl(f_28448)
static void C_ccall f_28448(C_word c,C_word *av) C_noret;
C_noret_decl(f_28451)
static void C_ccall f_28451(C_word c,C_word *av) C_noret;
C_noret_decl(f_28454)
static void C_ccall f_28454(C_word c,C_word *av) C_noret;
C_noret_decl(f_28457)
static void C_ccall f_28457(C_word c,C_word *av) C_noret;
C_noret_decl(f_28460)
static void C_ccall f_28460(C_word c,C_word *av) C_noret;
C_noret_decl(f_28463)
static void C_ccall f_28463(C_word c,C_word *av) C_noret;
C_noret_decl(f_28466)
static void C_ccall f_28466(C_word c,C_word *av) C_noret;
C_noret_decl(f_28470)
static void C_ccall f_28470(C_word c,C_word *av) C_noret;
C_noret_decl(f_28473)
static void C_ccall f_28473(C_word c,C_word *av) C_noret;
C_noret_decl(f_28489)
static void C_ccall f_28489(C_word c,C_word *av) C_noret;
C_noret_decl(f_28497)
static void C_ccall f_28497(C_word c,C_word *av) C_noret;
C_noret_decl(f_28500)
static void C_ccall f_28500(C_word c,C_word *av) C_noret;
C_noret_decl(f_28506)
static void C_ccall f_28506(C_word c,C_word *av) C_noret;
C_noret_decl(f_28515)
static void C_ccall f_28515(C_word c,C_word *av) C_noret;
C_noret_decl(f_28521)
static void C_ccall f_28521(C_word c,C_word *av) C_noret;
C_noret_decl(f_28530)
static void C_ccall f_28530(C_word c,C_word *av) C_noret;
C_noret_decl(f_28536)
static void C_ccall f_28536(C_word c,C_word *av) C_noret;
C_noret_decl(f_28542)
static void C_ccall f_28542(C_word c,C_word *av) C_noret;
C_noret_decl(f_28545)
static void C_ccall f_28545(C_word c,C_word *av) C_noret;
C_noret_decl(f_28549)
static void C_ccall f_28549(C_word c,C_word *av) C_noret;
C_noret_decl(f_28552)
static void C_ccall f_28552(C_word c,C_word *av) C_noret;
C_noret_decl(f_28557)
static void C_ccall f_28557(C_word c,C_word *av) C_noret;
C_noret_decl(f_28559)
static void C_ccall f_28559(C_word c,C_word *av) C_noret;
C_noret_decl(f_28563)
static void C_ccall f_28563(C_word c,C_word *av) C_noret;
C_noret_decl(f_28590)
static void C_fcall f_28590(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28600)
static void C_ccall f_28600(C_word c,C_word *av) C_noret;
C_noret_decl(f_28609)
static void C_ccall f_28609(C_word c,C_word *av) C_noret;
C_noret_decl(f_28616)
static void C_ccall f_28616(C_word c,C_word *av) C_noret;
C_noret_decl(f_28620)
static void C_ccall f_28620(C_word c,C_word *av) C_noret;
C_noret_decl(f_28634)
static void C_fcall f_28634(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28638)
static void C_ccall f_28638(C_word c,C_word *av) C_noret;
C_noret_decl(f_28645)
static void C_ccall f_28645(C_word c,C_word *av) C_noret;
C_noret_decl(f_28647)
static void C_fcall f_28647(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28669)
static void C_ccall f_28669(C_word c,C_word *av) C_noret;
C_noret_decl(f_28676)
static void C_ccall f_28676(C_word c,C_word *av) C_noret;
C_noret_decl(f_28681)
static void C_fcall f_28681(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28685)
static void C_ccall f_28685(C_word c,C_word *av) C_noret;
C_noret_decl(f_28688)
static void C_ccall f_28688(C_word c,C_word *av) C_noret;
C_noret_decl(f_28691)
static void C_ccall f_28691(C_word c,C_word *av) C_noret;
C_noret_decl(f_28696)
static void C_fcall f_28696(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28700)
static void C_ccall f_28700(C_word c,C_word *av) C_noret;
C_noret_decl(f_28726)
static void C_ccall f_28726(C_word c,C_word *av) C_noret;
C_noret_decl(f_28739)
static void C_ccall f_28739(C_word c,C_word *av) C_noret;
C_noret_decl(f_28742)
static void C_ccall f_28742(C_word c,C_word *av) C_noret;
C_noret_decl(f_28751)
static void C_ccall f_28751(C_word c,C_word *av) C_noret;
C_noret_decl(f_28754)
static void C_ccall f_28754(C_word c,C_word *av) C_noret;
C_noret_decl(f_28757)
static void C_ccall f_28757(C_word c,C_word *av) C_noret;
C_noret_decl(f_28763)
static void C_ccall f_28763(C_word c,C_word *av) C_noret;
C_noret_decl(f_28770)
static void C_ccall f_28770(C_word c,C_word *av) C_noret;
C_noret_decl(f_28772)
static void C_fcall f_28772(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28785)
static void C_ccall f_28785(C_word c,C_word *av) C_noret;
C_noret_decl(f_28798)
static void C_ccall f_28798(C_word c,C_word *av) C_noret;
C_noret_decl(f_28801)
static void C_ccall f_28801(C_word c,C_word *av) C_noret;
C_noret_decl(f_28804)
static void C_ccall f_28804(C_word c,C_word *av) C_noret;
C_noret_decl(f_28811)
static void C_ccall f_28811(C_word c,C_word *av) C_noret;
C_noret_decl(f_28864)
static void C_ccall f_28864(C_word c,C_word *av) C_noret;
C_noret_decl(f_28867)
static void C_ccall f_28867(C_word c,C_word *av) C_noret;
C_noret_decl(f_28870)
static void C_ccall f_28870(C_word c,C_word *av) C_noret;
C_noret_decl(f_28872)
static void C_fcall f_28872(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28876)
static void C_ccall f_28876(C_word c,C_word *av) C_noret;
C_noret_decl(f_28880)
static void C_ccall f_28880(C_word c,C_word *av) C_noret;
C_noret_decl(f_28886)
static void C_ccall f_28886(C_word c,C_word *av) C_noret;
C_noret_decl(f_28891)
static void C_fcall f_28891(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28895)
static void C_ccall f_28895(C_word c,C_word *av) C_noret;
C_noret_decl(f_28907)
static void C_ccall f_28907(C_word c,C_word *av) C_noret;
C_noret_decl(f_28919)
static void C_ccall f_28919(C_word c,C_word *av) C_noret;
C_noret_decl(f_28926)
static void C_ccall f_28926(C_word c,C_word *av) C_noret;
C_noret_decl(f_28932)
static void C_fcall f_28932(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_28946)
static void C_ccall f_28946(C_word c,C_word *av) C_noret;
C_noret_decl(f_28955)
static void C_fcall f_28955(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28985)
static void C_ccall f_28985(C_word c,C_word *av) C_noret;
C_noret_decl(f_29004)
static void C_ccall f_29004(C_word c,C_word *av) C_noret;
C_noret_decl(f_29027)
static void C_ccall f_29027(C_word c,C_word *av) C_noret;
C_noret_decl(f_29036)
static void C_ccall f_29036(C_word c,C_word *av) C_noret;
C_noret_decl(f_29043)
static void C_ccall f_29043(C_word c,C_word *av) C_noret;
C_noret_decl(f_29060)
static void C_ccall f_29060(C_word c,C_word *av) C_noret;
C_noret_decl(f_29068)
static void C_ccall f_29068(C_word c,C_word *av) C_noret;
C_noret_decl(f_29079)
static void C_ccall f_29079(C_word c,C_word *av) C_noret;
C_noret_decl(f_29087)
static void C_ccall f_29087(C_word c,C_word *av) C_noret;
C_noret_decl(f_29094)
static void C_ccall f_29094(C_word c,C_word *av) C_noret;
C_noret_decl(f_29156)
static void C_ccall f_29156(C_word c,C_word *av) C_noret;
C_noret_decl(f_29163)
static void C_ccall f_29163(C_word c,C_word *av) C_noret;
C_noret_decl(f_29166)
static void C_ccall f_29166(C_word c,C_word *av) C_noret;
C_noret_decl(f_29172)
static void C_ccall f_29172(C_word c,C_word *av) C_noret;
C_noret_decl(f_29179)
static void C_ccall f_29179(C_word c,C_word *av) C_noret;
C_noret_decl(f_29183)
static void C_ccall f_29183(C_word c,C_word *av) C_noret;
C_noret_decl(f_29186)
static void C_ccall f_29186(C_word c,C_word *av) C_noret;
C_noret_decl(f_29194)
static void C_ccall f_29194(C_word c,C_word *av) C_noret;
C_noret_decl(f_29196)
static void C_ccall f_29196(C_word c,C_word *av) C_noret;
C_noret_decl(f_29205)
static void C_ccall f_29205(C_word c,C_word *av) C_noret;
C_noret_decl(f_29214)
static void C_ccall f_29214(C_word c,C_word *av) C_noret;
C_noret_decl(f_29225)
static void C_ccall f_29225(C_word c,C_word *av) C_noret;
C_noret_decl(f_29229)
static void C_ccall f_29229(C_word c,C_word *av) C_noret;
C_noret_decl(f_29231)
static void C_ccall f_29231(C_word c,C_word *av) C_noret;
C_noret_decl(f_29239)
static void C_ccall f_29239(C_word c,C_word *av) C_noret;
C_noret_decl(f_29251)
static void C_ccall f_29251(C_word c,C_word *av) C_noret;
C_noret_decl(f_29257)
static void C_fcall f_29257(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29261)
static void C_ccall f_29261(C_word c,C_word *av) C_noret;
C_noret_decl(f_29269)
static void C_fcall f_29269(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29287)
static void C_ccall f_29287(C_word c,C_word *av) C_noret;
C_noret_decl(f_29295)
static void C_ccall f_29295(C_word c,C_word *av) C_noret;
C_noret_decl(f_29299)
static void C_ccall f_29299(C_word c,C_word *av) C_noret;
C_noret_decl(f_29317)
static void C_ccall f_29317(C_word c,C_word *av) C_noret;
C_noret_decl(f_29324)
static void C_ccall f_29324(C_word c,C_word *av) C_noret;
C_noret_decl(f_29336)
static void C_ccall f_29336(C_word c,C_word *av) C_noret;
C_noret_decl(f_29344)
static void C_ccall f_29344(C_word c,C_word *av) C_noret;
C_noret_decl(f_29350)
static void C_fcall f_29350(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_29372)
static void C_ccall f_29372(C_word c,C_word *av) C_noret;
C_noret_decl(f_29376)
static void C_ccall f_29376(C_word c,C_word *av) C_noret;
C_noret_decl(f_29380)
static void C_ccall f_29380(C_word c,C_word *av) C_noret;
C_noret_decl(f_29382)
static void C_ccall f_29382(C_word c,C_word *av) C_noret;
C_noret_decl(f_29385)
static void C_ccall f_29385(C_word c,C_word *av) C_noret;
C_noret_decl(f_29388)
static void C_ccall f_29388(C_word c,C_word *av) C_noret;
C_noret_decl(f_29392)
static void C_ccall f_29392(C_word c,C_word *av) C_noret;
C_noret_decl(f_29395)
static void C_ccall f_29395(C_word c,C_word *av) C_noret;
C_noret_decl(f_29413)
static void C_ccall f_29413(C_word c,C_word *av) C_noret;
C_noret_decl(f_29419)
static void C_ccall f_29419(C_word c,C_word *av) C_noret;
C_noret_decl(f_29423)
static void C_ccall f_29423(C_word c,C_word *av) C_noret;
C_noret_decl(f_29440)
static void C_ccall f_29440(C_word c,C_word *av) C_noret;
C_noret_decl(f_29450)
static void C_ccall f_29450(C_word c,C_word *av) C_noret;
C_noret_decl(f_29454)
static void C_ccall f_29454(C_word c,C_word *av) C_noret;
C_noret_decl(f_29458)
static void C_ccall f_29458(C_word c,C_word *av) C_noret;
C_noret_decl(f_29470)
static void C_ccall f_29470(C_word c,C_word *av) C_noret;
C_noret_decl(f_29480)
static void C_ccall f_29480(C_word c,C_word *av) C_noret;
C_noret_decl(f_29484)
static void C_ccall f_29484(C_word c,C_word *av) C_noret;
C_noret_decl(f_29488)
static void C_fcall f_29488(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29516)
static void C_ccall f_29516(C_word c,C_word *av) C_noret;
C_noret_decl(f_29519)
static void C_ccall f_29519(C_word c,C_word *av) C_noret;
C_noret_decl(f_29522)
static void C_ccall f_29522(C_word c,C_word *av) C_noret;
C_noret_decl(f_29528)
static void C_fcall f_29528(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29541)
static void C_ccall f_29541(C_word c,C_word *av) C_noret;
C_noret_decl(f_29544)
static void C_ccall f_29544(C_word c,C_word *av) C_noret;
C_noret_decl(f_29553)
static void C_ccall f_29553(C_word c,C_word *av) C_noret;
C_noret_decl(f_29559)
static void C_ccall f_29559(C_word c,C_word *av) C_noret;
C_noret_decl(f_29565)
static void C_ccall f_29565(C_word c,C_word *av) C_noret;
C_noret_decl(f_29571)
static void C_ccall f_29571(C_word c,C_word *av) C_noret;
C_noret_decl(f_29577)
static void C_ccall f_29577(C_word c,C_word *av) C_noret;
C_noret_decl(f_29594)
static void C_ccall f_29594(C_word c,C_word *av) C_noret;
C_noret_decl(f_29600)
static void C_ccall f_29600(C_word c,C_word *av) C_noret;
C_noret_decl(f_29615)
static void C_ccall f_29615(C_word c,C_word *av) C_noret;
C_noret_decl(f_29619)
static void C_ccall f_29619(C_word c,C_word *av) C_noret;
C_noret_decl(f_29623)
static void C_ccall f_29623(C_word c,C_word *av) C_noret;
C_noret_decl(f_29627)
static void C_ccall f_29627(C_word c,C_word *av) C_noret;
C_noret_decl(f_29633)
static void C_ccall f_29633(C_word c,C_word *av) C_noret;
C_noret_decl(f_29635)
static void C_ccall f_29635(C_word c,C_word *av) C_noret;
C_noret_decl(f_29641)
static void C_fcall f_29641(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29645)
static void C_ccall f_29645(C_word c,C_word *av) C_noret;
C_noret_decl(f_29654)
static void C_ccall f_29654(C_word c,C_word *av) C_noret;
C_noret_decl(f_29663)
static void C_ccall f_29663(C_word c,C_word *av) C_noret;
C_noret_decl(f_29706)
static void C_ccall f_29706(C_word c,C_word *av) C_noret;
C_noret_decl(f_29728)
static void C_ccall f_29728(C_word c,C_word *av) C_noret;
C_noret_decl(f_29741)
static void C_ccall f_29741(C_word c,C_word *av) C_noret;
C_noret_decl(f_29766)
static void C_ccall f_29766(C_word c,C_word *av) C_noret;
C_noret_decl(f_29782)
static void C_ccall f_29782(C_word c,C_word *av) C_noret;
C_noret_decl(f_29798)
static void C_ccall f_29798(C_word c,C_word *av) C_noret;
C_noret_decl(f_29814)
static void C_ccall f_29814(C_word c,C_word *av) C_noret;
C_noret_decl(f_29830)
static void C_ccall f_29830(C_word c,C_word *av) C_noret;
C_noret_decl(f_29846)
static void C_ccall f_29846(C_word c,C_word *av) C_noret;
C_noret_decl(f_29862)
static void C_ccall f_29862(C_word c,C_word *av) C_noret;
C_noret_decl(f_29878)
static void C_ccall f_29878(C_word c,C_word *av) C_noret;
C_noret_decl(f_29894)
static void C_ccall f_29894(C_word c,C_word *av) C_noret;
C_noret_decl(f_29910)
static void C_ccall f_29910(C_word c,C_word *av) C_noret;
C_noret_decl(f_29917)
static void C_ccall f_29917(C_word c,C_word *av) C_noret;
C_noret_decl(f_29958)
static void C_ccall f_29958(C_word c,C_word *av) C_noret;
C_noret_decl(f_29970)
static void C_ccall f_29970(C_word c,C_word *av) C_noret;
C_noret_decl(f_29976)
static void C_ccall f_29976(C_word c,C_word *av) C_noret;
C_noret_decl(f_29995)
static void C_ccall f_29995(C_word c,C_word *av) C_noret;
C_noret_decl(f_29997)
static void C_ccall f_29997(C_word c,C_word *av) C_noret;
C_noret_decl(f_30020)
static C_word C_fcall f_30020(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_30066)
static void C_ccall f_30066(C_word c,C_word *av) C_noret;
C_noret_decl(f_30068)
static void C_ccall f_30068(C_word c,C_word *av) C_noret;
C_noret_decl(f_30075)
static void C_fcall f_30075(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30087)
static void C_fcall f_30087(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30131)
static void C_ccall f_30131(C_word c,C_word *av) C_noret;
C_noret_decl(f_30146)
static void C_fcall f_30146(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30154)
static void C_ccall f_30154(C_word c,C_word *av) C_noret;
C_noret_decl(f_30160)
static void C_fcall f_30160(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30168)
static void C_ccall f_30168(C_word c,C_word *av) C_noret;
C_noret_decl(f_30172)
static void C_ccall f_30172(C_word c,C_word *av) C_noret;
C_noret_decl(f_30178)
static void C_ccall f_30178(C_word c,C_word *av) C_noret;
C_noret_decl(f_30180)
static void C_fcall f_30180(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30192)
static void C_ccall f_30192(C_word c,C_word *av) C_noret;
C_noret_decl(f_30199)
static void C_ccall f_30199(C_word c,C_word *av) C_noret;
C_noret_decl(f_30203)
static void C_ccall f_30203(C_word c,C_word *av) C_noret;
C_noret_decl(f_30219)
static void C_ccall f_30219(C_word c,C_word *av) C_noret;
C_noret_decl(f_30226)
static void C_ccall f_30226(C_word c,C_word *av) C_noret;
C_noret_decl(f_30230)
static void C_ccall f_30230(C_word c,C_word *av) C_noret;
C_noret_decl(f_30243)
static void C_ccall f_30243(C_word c,C_word *av) C_noret;
C_noret_decl(f_30250)
static void C_ccall f_30250(C_word c,C_word *av) C_noret;
C_noret_decl(f_30254)
static void C_ccall f_30254(C_word c,C_word *av) C_noret;
C_noret_decl(f_30259)
static void C_ccall f_30259(C_word c,C_word *av) C_noret;
C_noret_decl(f_30265)
static void C_ccall f_30265(C_word c,C_word *av) C_noret;
C_noret_decl(f_30268)
static void C_ccall f_30268(C_word c,C_word *av) C_noret;
C_noret_decl(f_30271)
static void C_ccall f_30271(C_word c,C_word *av) C_noret;
C_noret_decl(f_30277)
static void C_ccall f_30277(C_word c,C_word *av) C_noret;
C_noret_decl(f_30286)
static void C_ccall f_30286(C_word c,C_word *av) C_noret;
C_noret_decl(f_30295)
static void C_ccall f_30295(C_word c,C_word *av) C_noret;
C_noret_decl(f_30301)
static void C_ccall f_30301(C_word c,C_word *av) C_noret;
C_noret_decl(f_30304)
static void C_ccall f_30304(C_word c,C_word *av) C_noret;
C_noret_decl(f_30307)
static void C_ccall f_30307(C_word c,C_word *av) C_noret;
C_noret_decl(f_30319)
static void C_ccall f_30319(C_word c,C_word *av) C_noret;
C_noret_decl(f_30322)
static void C_ccall f_30322(C_word c,C_word *av) C_noret;
C_noret_decl(f_30325)
static void C_ccall f_30325(C_word c,C_word *av) C_noret;
C_noret_decl(f_30328)
static void C_ccall f_30328(C_word c,C_word *av) C_noret;
C_noret_decl(f_30340)
static void C_ccall f_30340(C_word c,C_word *av) C_noret;
C_noret_decl(f_30343)
static void C_ccall f_30343(C_word c,C_word *av) C_noret;
C_noret_decl(f_30346)
static void C_ccall f_30346(C_word c,C_word *av) C_noret;
C_noret_decl(f_30349)
static void C_ccall f_30349(C_word c,C_word *av) C_noret;
C_noret_decl(f_30357)
static void C_ccall f_30357(C_word c,C_word *av) C_noret;
C_noret_decl(f_30360)
static void C_ccall f_30360(C_word c,C_word *av) C_noret;
C_noret_decl(f_30373)
static void C_ccall f_30373(C_word c,C_word *av) C_noret;
C_noret_decl(f_30374)
static void C_ccall f_30374(C_word c,C_word *av) C_noret;
C_noret_decl(f_30379)
static void C_ccall f_30379(C_word c,C_word *av) C_noret;
C_noret_decl(f_30380)
static void C_ccall f_30380(C_word c,C_word *av) C_noret;
C_noret_decl(f_30385)
static void C_ccall f_30385(C_word c,C_word *av) C_noret;
C_noret_decl(f_30386)
static void C_ccall f_30386(C_word c,C_word *av) C_noret;
C_noret_decl(f_30391)
static void C_ccall f_30391(C_word c,C_word *av) C_noret;
C_noret_decl(f_30392)
static void C_ccall f_30392(C_word c,C_word *av) C_noret;
C_noret_decl(f_30397)
static void C_ccall f_30397(C_word c,C_word *av) C_noret;
C_noret_decl(f_30398)
static void C_ccall f_30398(C_word c,C_word *av) C_noret;
C_noret_decl(f_30403)
static void C_fcall f_30403(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30405)
static void C_ccall f_30405(C_word c,C_word *av) C_noret;
C_noret_decl(f_30415)
static void C_ccall f_30415(C_word c,C_word *av) C_noret;
C_noret_decl(f_30418)
static void C_ccall f_30418(C_word c,C_word *av) C_noret;
C_noret_decl(f_30421)
static void C_ccall f_30421(C_word c,C_word *av) C_noret;
C_noret_decl(f_30424)
static void C_ccall f_30424(C_word c,C_word *av) C_noret;
C_noret_decl(f_30426)
static void C_fcall f_30426(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30440)
static void C_ccall f_30440(C_word c,C_word *av) C_noret;
C_noret_decl(f_30448)
static void C_ccall f_30448(C_word c,C_word *av) C_noret;
C_noret_decl(f_30452)
static void C_ccall f_30452(C_word c,C_word *av) C_noret;
C_noret_decl(f_30456)
static void C_ccall f_30456(C_word c,C_word *av) C_noret;
C_noret_decl(f_30460)
static void C_ccall f_30460(C_word c,C_word *av) C_noret;
C_noret_decl(f_30466)
static void C_ccall f_30466(C_word c,C_word *av) C_noret;
C_noret_decl(f_30473)
static void C_ccall f_30473(C_word c,C_word *av) C_noret;
C_noret_decl(f_30477)
static void C_ccall f_30477(C_word c,C_word *av) C_noret;
C_noret_decl(f_30481)
static void C_ccall f_30481(C_word c,C_word *av) C_noret;
C_noret_decl(f_30485)
static void C_ccall f_30485(C_word c,C_word *av) C_noret;
C_noret_decl(f_30524)
static void C_ccall f_30524(C_word c,C_word *av) C_noret;
C_noret_decl(f_30527)
static void C_ccall f_30527(C_word c,C_word *av) C_noret;
C_noret_decl(f_30530)
static void C_ccall f_30530(C_word c,C_word *av) C_noret;
C_noret_decl(f_30533)
static void C_ccall f_30533(C_word c,C_word *av) C_noret;
C_noret_decl(f_30536)
static void C_ccall f_30536(C_word c,C_word *av) C_noret;
C_noret_decl(f_30544)
static void C_ccall f_30544(C_word c,C_word *av) C_noret;
C_noret_decl(f_30554)
static void C_ccall f_30554(C_word c,C_word *av) C_noret;
C_noret_decl(f_30576)
static void C_ccall f_30576(C_word c,C_word *av) C_noret;
C_noret_decl(f_30582)
static void C_fcall f_30582(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_30602)
static void C_ccall f_30602(C_word c,C_word *av) C_noret;
C_noret_decl(f_30617)
static void C_ccall f_30617(C_word c,C_word *av) C_noret;
C_noret_decl(f_30621)
static void C_ccall f_30621(C_word c,C_word *av) C_noret;
C_noret_decl(f_30644)
static void C_ccall f_30644(C_word c,C_word *av) C_noret;
C_noret_decl(f_30648)
static void C_ccall f_30648(C_word c,C_word *av) C_noret;
C_noret_decl(f_30665)
static void C_ccall f_30665(C_word c,C_word *av) C_noret;
C_noret_decl(f_30672)
static void C_ccall f_30672(C_word c,C_word *av) C_noret;
C_noret_decl(f_30694)
static void C_ccall f_30694(C_word c,C_word *av) C_noret;
C_noret_decl(f_30699)
static void C_fcall f_30699(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30714)
static void C_ccall f_30714(C_word c,C_word *av) C_noret;
C_noret_decl(f_30717)
static void C_ccall f_30717(C_word c,C_word *av) C_noret;
C_noret_decl(f_30720)
static void C_ccall f_30720(C_word c,C_word *av) C_noret;
C_noret_decl(f_30723)
static void C_ccall f_30723(C_word c,C_word *av) C_noret;
C_noret_decl(f_30726)
static void C_ccall f_30726(C_word c,C_word *av) C_noret;
C_noret_decl(f_30729)
static void C_ccall f_30729(C_word c,C_word *av) C_noret;
C_noret_decl(f_30732)
static void C_fcall f_30732(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30735)
static void C_fcall f_30735(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30738)
static void C_fcall f_30738(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30741)
static void C_fcall f_30741(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30744)
static void C_fcall f_30744(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30748)
static void C_ccall f_30748(C_word c,C_word *av) C_noret;
C_noret_decl(f_30751)
static void C_ccall f_30751(C_word c,C_word *av) C_noret;
C_noret_decl(f_30756)
static void C_ccall f_30756(C_word c,C_word *av) C_noret;
C_noret_decl(f_30762)
static void C_ccall f_30762(C_word c,C_word *av) C_noret;
C_noret_decl(f_30775)
static void C_ccall f_30775(C_word c,C_word *av) C_noret;
C_noret_decl(f_30777)
static void C_fcall f_30777(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30787)
static void C_ccall f_30787(C_word c,C_word *av) C_noret;
C_noret_decl(f_30800)
static void C_ccall f_30800(C_word c,C_word *av) C_noret;
C_noret_decl(f_30807)
static void C_ccall f_30807(C_word c,C_word *av) C_noret;
C_noret_decl(f_30811)
static void C_ccall f_30811(C_word c,C_word *av) C_noret;
C_noret_decl(f_30813)
static void C_fcall f_30813(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30842)
static void C_ccall f_30842(C_word c,C_word *av) C_noret;
C_noret_decl(f_30844)
static void C_fcall f_30844(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30869)
static void C_ccall f_30869(C_word c,C_word *av) C_noret;
C_noret_decl(f_30878)
static void C_ccall f_30878(C_word c,C_word *av) C_noret;
C_noret_decl(f_30881)
static void C_ccall f_30881(C_word c,C_word *av) C_noret;
C_noret_decl(f_30887)
static void C_fcall f_30887(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30911)
static void C_ccall f_30911(C_word c,C_word *av) C_noret;
C_noret_decl(f_30920)
static void C_ccall f_30920(C_word c,C_word *av) C_noret;
C_noret_decl(f_30928)
static void C_ccall f_30928(C_word c,C_word *av) C_noret;
C_noret_decl(f_30932)
static void C_ccall f_30932(C_word c,C_word *av) C_noret;
C_noret_decl(f_30936)
static void C_ccall f_30936(C_word c,C_word *av) C_noret;
C_noret_decl(f_30966)
static void C_ccall f_30966(C_word c,C_word *av) C_noret;
C_noret_decl(f_30970)
static void C_ccall f_30970(C_word c,C_word *av) C_noret;
C_noret_decl(f_30974)
static void C_ccall f_30974(C_word c,C_word *av) C_noret;
C_noret_decl(f_30978)
static void C_ccall f_30978(C_word c,C_word *av) C_noret;
C_noret_decl(f_30982)
static void C_ccall f_30982(C_word c,C_word *av) C_noret;
C_noret_decl(f_30986)
static void C_ccall f_30986(C_word c,C_word *av) C_noret;
C_noret_decl(f_30989)
static void C_ccall f_30989(C_word c,C_word *av) C_noret;
C_noret_decl(f_30992)
static void C_ccall f_30992(C_word c,C_word *av) C_noret;
C_noret_decl(f_31002)
static void C_ccall f_31002(C_word c,C_word *av) C_noret;
C_noret_decl(f_31005)
static void C_ccall f_31005(C_word c,C_word *av) C_noret;
C_noret_decl(f_31007)
static void C_ccall f_31007(C_word c,C_word *av) C_noret;
C_noret_decl(f_31024)
static C_word C_fcall f_31024(C_word t0);
C_noret_decl(f_31051)
static void C_ccall f_31051(C_word c,C_word *av) C_noret;
C_noret_decl(f_31060)
static void C_ccall f_31060(C_word c,C_word *av) C_noret;
C_noret_decl(f_31080)
static void C_ccall f_31080(C_word c,C_word *av) C_noret;
C_noret_decl(f_31084)
static void C_ccall f_31084(C_word c,C_word *av) C_noret;
C_noret_decl(f_31088)
static void C_ccall f_31088(C_word c,C_word *av) C_noret;
C_noret_decl(f_31092)
static void C_ccall f_31092(C_word c,C_word *av) C_noret;
C_noret_decl(f_31096)
static void C_ccall f_31096(C_word c,C_word *av) C_noret;
C_noret_decl(f_31100)
static void C_ccall f_31100(C_word c,C_word *av) C_noret;
C_noret_decl(f_31104)
static void C_ccall f_31104(C_word c,C_word *av) C_noret;
C_noret_decl(f_31106)
static void C_ccall f_31106(C_word c,C_word *av) C_noret;
C_noret_decl(f_31115)
static void C_ccall f_31115(C_word c,C_word *av) C_noret;
C_noret_decl(f_31125)
static void C_ccall f_31125(C_word c,C_word *av) C_noret;
C_noret_decl(f_31150)
static void C_ccall f_31150(C_word c,C_word *av) C_noret;
C_noret_decl(f_31153)
static void C_ccall f_31153(C_word c,C_word *av) C_noret;
C_noret_decl(f_31155)
static void C_ccall f_31155(C_word c,C_word *av) C_noret;
C_noret_decl(f_31171)
static void C_fcall f_31171(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31190)
static void C_fcall f_31190(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31200)
static void C_ccall f_31200(C_word c,C_word *av) C_noret;
C_noret_decl(f_31210)
static void C_ccall f_31210(C_word c,C_word *av) C_noret;
C_noret_decl(f_31234)
static void C_ccall f_31234(C_word c,C_word *av) C_noret;
C_noret_decl(f_31238)
static void C_ccall f_31238(C_word c,C_word *av) C_noret;
C_noret_decl(f_31240)
static void C_ccall f_31240(C_word c,C_word *av) C_noret;
C_noret_decl(f_31244)
static void C_ccall f_31244(C_word c,C_word *av) C_noret;
C_noret_decl(f_31247)
static void C_ccall f_31247(C_word c,C_word *av) C_noret;
C_noret_decl(f_31262)
static void C_ccall f_31262(C_word c,C_word *av) C_noret;
C_noret_decl(f_31268)
static void C_ccall f_31268(C_word c,C_word *av) C_noret;
C_noret_decl(f_31272)
static void C_ccall f_31272(C_word c,C_word *av) C_noret;
C_noret_decl(f_31281)
static void C_ccall f_31281(C_word c,C_word *av) C_noret;
C_noret_decl(f_31284)
static void C_ccall f_31284(C_word c,C_word *av) C_noret;
C_noret_decl(f_31287)
static void C_ccall f_31287(C_word c,C_word *av) C_noret;
C_noret_decl(f_31290)
static void C_ccall f_31290(C_word c,C_word *av) C_noret;
C_noret_decl(f_31293)
static void C_ccall f_31293(C_word c,C_word *av) C_noret;
C_noret_decl(f_31299)
static void C_ccall f_31299(C_word c,C_word *av) C_noret;
C_noret_decl(f_31305)
static void C_ccall f_31305(C_word c,C_word *av) C_noret;
C_noret_decl(f_31308)
static void C_ccall f_31308(C_word c,C_word *av) C_noret;
C_noret_decl(f_31313)
static void C_ccall f_31313(C_word c,C_word *av) C_noret;
C_noret_decl(f_31323)
static void C_ccall f_31323(C_word c,C_word *av) C_noret;
C_noret_decl(f_31335)
static void C_ccall f_31335(C_word c,C_word *av) C_noret;
C_noret_decl(f_31343)
static void C_fcall f_31343(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31353)
static void C_ccall f_31353(C_word c,C_word *av) C_noret;
C_noret_decl(f_31369)
static void C_ccall f_31369(C_word c,C_word *av) C_noret;
C_noret_decl(f_31375)
static void C_ccall f_31375(C_word c,C_word *av) C_noret;
C_noret_decl(f_31378)
static void C_ccall f_31378(C_word c,C_word *av) C_noret;
C_noret_decl(f_31381)
static void C_ccall f_31381(C_word c,C_word *av) C_noret;
C_noret_decl(f_31382)
static void C_fcall f_31382(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31386)
static void C_ccall f_31386(C_word c,C_word *av) C_noret;
C_noret_decl(f_31392)
static void C_ccall f_31392(C_word c,C_word *av) C_noret;
C_noret_decl(f_31396)
static void C_ccall f_31396(C_word c,C_word *av) C_noret;
C_noret_decl(f_31398)
static void C_fcall f_31398(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31408)
static void C_ccall f_31408(C_word c,C_word *av) C_noret;
C_noret_decl(f_31425)
static void C_ccall f_31425(C_word c,C_word *av) C_noret;
C_noret_decl(f_31428)
static void C_ccall f_31428(C_word c,C_word *av) C_noret;
C_noret_decl(f_31432)
static void C_ccall f_31432(C_word c,C_word *av) C_noret;
C_noret_decl(f_31437)
static void C_ccall f_31437(C_word c,C_word *av) C_noret;
C_noret_decl(f_31443)
static void C_ccall f_31443(C_word c,C_word *av) C_noret;
C_noret_decl(f_31450)
static void C_ccall f_31450(C_word c,C_word *av) C_noret;
C_noret_decl(f_31459)
static void C_ccall f_31459(C_word c,C_word *av) C_noret;
C_noret_decl(f_31467)
static void C_ccall f_31467(C_word c,C_word *av) C_noret;
C_noret_decl(f_31492)
static void C_ccall f_31492(C_word c,C_word *av) C_noret;
C_noret_decl(f_31510)
static void C_ccall f_31510(C_word c,C_word *av) C_noret;
C_noret_decl(f_31514)
static void C_ccall f_31514(C_word c,C_word *av) C_noret;
C_noret_decl(f_31529)
static void C_ccall f_31529(C_word c,C_word *av) C_noret;
C_noret_decl(f_31533)
static void C_ccall f_31533(C_word c,C_word *av) C_noret;
C_noret_decl(f_31548)
static void C_ccall f_31548(C_word c,C_word *av) C_noret;
C_noret_decl(f_31551)
static void C_ccall f_31551(C_word c,C_word *av) C_noret;
C_noret_decl(f_31554)
static void C_ccall f_31554(C_word c,C_word *av) C_noret;
C_noret_decl(f_31564)
static void C_fcall f_31564(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31595)
static void C_ccall f_31595(C_word c,C_word *av) C_noret;
C_noret_decl(f_31619)
static void C_ccall f_31619(C_word c,C_word *av) C_noret;
C_noret_decl(f_31629)
static void C_ccall f_31629(C_word c,C_word *av) C_noret;
C_noret_decl(f_31638)
static void C_ccall f_31638(C_word c,C_word *av) C_noret;
C_noret_decl(f_31679)
static void C_ccall f_31679(C_word c,C_word *av) C_noret;
C_noret_decl(f_31698)
static void C_ccall f_31698(C_word c,C_word *av) C_noret;
C_noret_decl(f_31711)
static void C_ccall f_31711(C_word c,C_word *av) C_noret;
C_noret_decl(f_31721)
static void C_ccall f_31721(C_word c,C_word *av) C_noret;
C_noret_decl(f_31731)
static void C_ccall f_31731(C_word c,C_word *av) C_noret;
C_noret_decl(f_31741)
static void C_ccall f_31741(C_word c,C_word *av) C_noret;
C_noret_decl(f_31751)
static void C_ccall f_31751(C_word c,C_word *av) C_noret;
C_noret_decl(f_31761)
static void C_ccall f_31761(C_word c,C_word *av) C_noret;
C_noret_decl(f_31771)
static void C_ccall f_31771(C_word c,C_word *av) C_noret;
C_noret_decl(f_31781)
static void C_ccall f_31781(C_word c,C_word *av) C_noret;
C_noret_decl(f_31791)
static void C_ccall f_31791(C_word c,C_word *av) C_noret;
C_noret_decl(f_31801)
static void C_ccall f_31801(C_word c,C_word *av) C_noret;
C_noret_decl(f_31811)
static void C_ccall f_31811(C_word c,C_word *av) C_noret;
C_noret_decl(f_31821)
static void C_ccall f_31821(C_word c,C_word *av) C_noret;
C_noret_decl(f_31831)
static void C_ccall f_31831(C_word c,C_word *av) C_noret;
C_noret_decl(f_31841)
static void C_ccall f_31841(C_word c,C_word *av) C_noret;
C_noret_decl(f_31857)
static void C_ccall f_31857(C_word c,C_word *av) C_noret;
C_noret_decl(f_31865)
static void C_ccall f_31865(C_word c,C_word *av) C_noret;
C_noret_decl(f_31881)
static void C_ccall f_31881(C_word c,C_word *av) C_noret;
C_noret_decl(f_31897)
static void C_ccall f_31897(C_word c,C_word *av) C_noret;
C_noret_decl(f_31907)
static void C_ccall f_31907(C_word c,C_word *av) C_noret;
C_noret_decl(f_31917)
static void C_ccall f_31917(C_word c,C_word *av) C_noret;
C_noret_decl(f_31936)
static void C_ccall f_31936(C_word c,C_word *av) C_noret;
C_noret_decl(f_31952)
static void C_ccall f_31952(C_word c,C_word *av) C_noret;
C_noret_decl(f_31965)
static void C_ccall f_31965(C_word c,C_word *av) C_noret;
C_noret_decl(f_31971)
static void C_ccall f_31971(C_word c,C_word *av) C_noret;
C_noret_decl(f_31994)
static void C_ccall f_31994(C_word c,C_word *av) C_noret;
C_noret_decl(f_31998)
static void C_ccall f_31998(C_word c,C_word *av) C_noret;
C_noret_decl(f_32002)
static void C_ccall f_32002(C_word c,C_word *av) C_noret;
C_noret_decl(f_32005)
static void C_ccall f_32005(C_word c,C_word *av) C_noret;
C_noret_decl(f_32011)
static void C_ccall f_32011(C_word c,C_word *av) C_noret;
C_noret_decl(f_32034)
static void C_ccall f_32034(C_word c,C_word *av) C_noret;
C_noret_decl(f_32038)
static void C_ccall f_32038(C_word c,C_word *av) C_noret;
C_noret_decl(f_32042)
static void C_ccall f_32042(C_word c,C_word *av) C_noret;
C_noret_decl(f_32045)
static void C_ccall f_32045(C_word c,C_word *av) C_noret;
C_noret_decl(f_32048)
static void C_ccall f_32048(C_word c,C_word *av) C_noret;
C_noret_decl(f_32051)
static void C_ccall f_32051(C_word c,C_word *av) C_noret;
C_noret_decl(f_32057)
static void C_ccall f_32057(C_word c,C_word *av) C_noret;
C_noret_decl(f_32060)
static void C_ccall f_32060(C_word c,C_word *av) C_noret;
C_noret_decl(f_32063)
static void C_ccall f_32063(C_word c,C_word *av) C_noret;
C_noret_decl(f_32071)
static void C_fcall f_32071(C_word t0,C_word t1) C_noret;
C_noret_decl(f_32073)
static void C_fcall f_32073(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_32097)
static void C_ccall f_32097(C_word c,C_word *av) C_noret;
C_noret_decl(f_32120)
static void C_ccall f_32120(C_word c,C_word *av) C_noret;
C_noret_decl(f_32124)
static void C_ccall f_32124(C_word c,C_word *av) C_noret;
C_noret_decl(f_32128)
static void C_ccall f_32128(C_word c,C_word *av) C_noret;
C_noret_decl(f_32162)
static void C_ccall f_32162(C_word c,C_word *av) C_noret;
C_noret_decl(f_32166)
static void C_ccall f_32166(C_word c,C_word *av) C_noret;
C_noret_decl(f_32169)
static void C_fcall f_32169(C_word t0,C_word t1) C_noret;
C_noret_decl(f_32182)
static void C_fcall f_32182(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_32215)
static void C_ccall f_32215(C_word c,C_word *av) C_noret;
C_noret_decl(f_32230)
static void C_ccall f_32230(C_word c,C_word *av) C_noret;
C_noret_decl(f_32234)
static void C_ccall f_32234(C_word c,C_word *av) C_noret;
C_noret_decl(f_32258)
static void C_ccall f_32258(C_word c,C_word *av) C_noret;
C_noret_decl(f_32266)
static void C_ccall f_32266(C_word c,C_word *av) C_noret;
C_noret_decl(f_32270)
static void C_ccall f_32270(C_word c,C_word *av) C_noret;
C_noret_decl(f_32281)
static void C_ccall f_32281(C_word c,C_word *av) C_noret;
C_noret_decl(f_32285)
static void C_ccall f_32285(C_word c,C_word *av) C_noret;
C_noret_decl(f_32289)
static void C_ccall f_32289(C_word c,C_word *av) C_noret;
C_noret_decl(f_32303)
static void C_ccall f_32303(C_word c,C_word *av) C_noret;
C_noret_decl(f_32335)
static void C_ccall f_32335(C_word c,C_word *av) C_noret;
C_noret_decl(f_8544)
static void C_ccall f_8544(C_word c,C_word *av) C_noret;
C_noret_decl(f_8546)
static void C_ccall f_8546(C_word c,C_word *av) C_noret;
C_noret_decl(f_8549)
static void C_ccall f_8549(C_word c,C_word *av) C_noret;
C_noret_decl(f_8552)
static void C_ccall f_8552(C_word c,C_word *av) C_noret;
C_noret_decl(f_8555)
static void C_ccall f_8555(C_word c,C_word *av) C_noret;
C_noret_decl(f_8558)
static void C_ccall f_8558(C_word c,C_word *av) C_noret;
C_noret_decl(f_8561)
static void C_ccall f_8561(C_word c,C_word *av) C_noret;
C_noret_decl(f_8564)
static void C_ccall f_8564(C_word c,C_word *av) C_noret;
C_noret_decl(f_8567)
static void C_ccall f_8567(C_word c,C_word *av) C_noret;
C_noret_decl(f_8570)
static void C_ccall f_8570(C_word c,C_word *av) C_noret;
C_noret_decl(f_8573)
static void C_ccall f_8573(C_word c,C_word *av) C_noret;
C_noret_decl(f_8576)
static void C_ccall f_8576(C_word c,C_word *av) C_noret;
C_noret_decl(f_8579)
static void C_ccall f_8579(C_word c,C_word *av) C_noret;
C_noret_decl(f_8582)
static void C_ccall f_8582(C_word c,C_word *av) C_noret;
C_noret_decl(f_8585)
static void C_ccall f_8585(C_word c,C_word *av) C_noret;
C_noret_decl(f_8588)
static void C_ccall f_8588(C_word c,C_word *av) C_noret;
C_noret_decl(f_8591)
static void C_ccall f_8591(C_word c,C_word *av) C_noret;
C_noret_decl(f_8594)
static void C_ccall f_8594(C_word c,C_word *av) C_noret;
C_noret_decl(f_8597)
static void C_ccall f_8597(C_word c,C_word *av) C_noret;
C_noret_decl(f_8600)
static void C_ccall f_8600(C_word c,C_word *av) C_noret;
C_noret_decl(f_8614)
static void C_ccall f_8614(C_word c,C_word *av) C_noret;
C_noret_decl(f_8621)
static void C_ccall f_8621(C_word c,C_word *av) C_noret;
C_noret_decl(f_8628)
static void C_ccall f_8628(C_word c,C_word *av) C_noret;
C_noret_decl(f_8642)
static void C_ccall f_8642(C_word c,C_word *av) C_noret;
C_noret_decl(f_8649)
static void C_ccall f_8649(C_word c,C_word *av) C_noret;
C_noret_decl(f_8663)
static void C_ccall f_8663(C_word c,C_word *av) C_noret;
C_noret_decl(f_8677)
static void C_ccall f_8677(C_word c,C_word *av) C_noret;
C_noret_decl(f_8695)
static void C_ccall f_8695(C_word c,C_word *av) C_noret;
C_noret_decl(f_8706)
static void C_ccall f_8706(C_word c,C_word *av) C_noret;
C_noret_decl(f_8717)
static void C_ccall f_8717(C_word c,C_word *av) C_noret;
C_noret_decl(f_8724)
static void C_ccall f_8724(C_word c,C_word *av) C_noret;
C_noret_decl(f_8735)
static void C_ccall f_8735(C_word c,C_word *av) C_noret;
C_noret_decl(f_8739)
static void C_ccall f_8739(C_word c,C_word *av) C_noret;
C_noret_decl(f_8746)
static void C_ccall f_8746(C_word c,C_word *av) C_noret;
C_noret_decl(f_8764)
static void C_ccall f_8764(C_word c,C_word *av) C_noret;
C_noret_decl(f_8775)
static void C_ccall f_8775(C_word c,C_word *av) C_noret;
C_noret_decl(f_8786)
static void C_ccall f_8786(C_word c,C_word *av) C_noret;
C_noret_decl(f_8793)
static void C_ccall f_8793(C_word c,C_word *av) C_noret;
C_noret_decl(f_8811)
static void C_ccall f_8811(C_word c,C_word *av) C_noret;
C_noret_decl(f_8822)
static void C_ccall f_8822(C_word c,C_word *av) C_noret;
C_noret_decl(f_8840)
static void C_ccall f_8840(C_word c,C_word *av) C_noret;
C_noret_decl(f_8846)
static void C_ccall f_8846(C_word c,C_word *av) C_noret;
C_noret_decl(f_8849)
static void C_ccall f_8849(C_word c,C_word *av) C_noret;
C_noret_decl(f_8852)
static void C_ccall f_8852(C_word c,C_word *av) C_noret;
C_noret_decl(f_8855)
static void C_ccall f_8855(C_word c,C_word *av) C_noret;
C_noret_decl(f_8858)
static void C_ccall f_8858(C_word c,C_word *av) C_noret;
C_noret_decl(f_8864)
static void C_fcall f_8864(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_8897)
static void C_ccall f_8897(C_word c,C_word *av) C_noret;
C_noret_decl(f_8900)
static void C_ccall f_8900(C_word c,C_word *av) C_noret;
C_noret_decl(f_8903)
static void C_ccall f_8903(C_word c,C_word *av) C_noret;
C_noret_decl(f_8906)
static void C_ccall f_8906(C_word c,C_word *av) C_noret;
C_noret_decl(f_8909)
static void C_ccall f_8909(C_word c,C_word *av) C_noret;
C_noret_decl(f_8912)
static void C_ccall f_8912(C_word c,C_word *av) C_noret;
C_noret_decl(f_8915)
static void C_ccall f_8915(C_word c,C_word *av) C_noret;
C_noret_decl(f_8918)
static void C_ccall f_8918(C_word c,C_word *av) C_noret;
C_noret_decl(f_8921)
static void C_ccall f_8921(C_word c,C_word *av) C_noret;
C_noret_decl(f_8924)
static void C_ccall f_8924(C_word c,C_word *av) C_noret;
C_noret_decl(f_8927)
static void C_ccall f_8927(C_word c,C_word *av) C_noret;
C_noret_decl(f_8930)
static void C_ccall f_8930(C_word c,C_word *av) C_noret;
C_noret_decl(f_8933)
static void C_ccall f_8933(C_word c,C_word *av) C_noret;
C_noret_decl(f_8937)
static void C_ccall f_8937(C_word c,C_word *av) C_noret;
C_noret_decl(f_8940)
static void C_ccall f_8940(C_word c,C_word *av) C_noret;
C_noret_decl(f_8946)
static void C_ccall f_8946(C_word c,C_word *av) C_noret;
C_noret_decl(f_8949)
static void C_ccall f_8949(C_word c,C_word *av) C_noret;
C_noret_decl(f_8952)
static void C_ccall f_8952(C_word c,C_word *av) C_noret;
C_noret_decl(f_8955)
static void C_ccall f_8955(C_word c,C_word *av) C_noret;
C_noret_decl(f_8958)
static void C_ccall f_8958(C_word c,C_word *av) C_noret;
C_noret_decl(f_8966)
static void C_ccall f_8966(C_word c,C_word *av) C_noret;
C_noret_decl(f_8970)
static void C_ccall f_8970(C_word c,C_word *av) C_noret;
C_noret_decl(f_8973)
static void C_ccall f_8973(C_word c,C_word *av) C_noret;
C_noret_decl(f_8976)
static void C_ccall f_8976(C_word c,C_word *av) C_noret;
C_noret_decl(f_8979)
static void C_ccall f_8979(C_word c,C_word *av) C_noret;
C_noret_decl(f_8982)
static void C_ccall f_8982(C_word c,C_word *av) C_noret;
C_noret_decl(f_8985)
static void C_ccall f_8985(C_word c,C_word *av) C_noret;
C_noret_decl(f_8988)
static void C_ccall f_8988(C_word c,C_word *av) C_noret;
C_noret_decl(f_8991)
static void C_ccall f_8991(C_word c,C_word *av) C_noret;
C_noret_decl(f_8995)
static void C_ccall f_8995(C_word c,C_word *av) C_noret;
C_noret_decl(f_8998)
static void C_ccall f_8998(C_word c,C_word *av) C_noret;
C_noret_decl(f_9001)
static void C_ccall f_9001(C_word c,C_word *av) C_noret;
C_noret_decl(f_9004)
static void C_ccall f_9004(C_word c,C_word *av) C_noret;
C_noret_decl(f_9007)
static void C_ccall f_9007(C_word c,C_word *av) C_noret;
C_noret_decl(f_9015)
static void C_ccall f_9015(C_word c,C_word *av) C_noret;
C_noret_decl(f_9018)
static void C_ccall f_9018(C_word c,C_word *av) C_noret;
C_noret_decl(f_9025)
static void C_ccall f_9025(C_word c,C_word *av) C_noret;
C_noret_decl(f_9029)
static void C_ccall f_9029(C_word c,C_word *av) C_noret;
C_noret_decl(f_9032)
static void C_ccall f_9032(C_word c,C_word *av) C_noret;
C_noret_decl(f_9035)
static void C_ccall f_9035(C_word c,C_word *av) C_noret;
C_noret_decl(f_9038)
static void C_ccall f_9038(C_word c,C_word *av) C_noret;
C_noret_decl(f_9041)
static void C_ccall f_9041(C_word c,C_word *av) C_noret;
C_noret_decl(f_9044)
static void C_ccall f_9044(C_word c,C_word *av) C_noret;
C_noret_decl(f_9047)
static void C_ccall f_9047(C_word c,C_word *av) C_noret;
C_noret_decl(f_9053)
static void C_ccall f_9053(C_word c,C_word *av) C_noret;
C_noret_decl(f_9064)
static void C_ccall f_9064(C_word c,C_word *av) C_noret;
C_noret_decl(f_9070)
static void C_ccall f_9070(C_word c,C_word *av) C_noret;
C_noret_decl(f_9076)
static void C_ccall f_9076(C_word c,C_word *av) C_noret;
C_noret_decl(f_9082)
static void C_ccall f_9082(C_word c,C_word *av) C_noret;
C_noret_decl(f_9088)
static void C_ccall f_9088(C_word c,C_word *av) C_noret;
C_noret_decl(f_9094)
static void C_ccall f_9094(C_word c,C_word *av) C_noret;
C_noret_decl(f_9101)
static void C_ccall f_9101(C_word c,C_word *av) C_noret;
C_noret_decl(f_9107)
static void C_ccall f_9107(C_word c,C_word *av) C_noret;
C_noret_decl(f_9123)
static void C_ccall f_9123(C_word c,C_word *av) C_noret;
C_noret_decl(f_9134)
static void C_ccall f_9134(C_word c,C_word *av) C_noret;
C_noret_decl(f_9140)
static void C_ccall f_9140(C_word c,C_word *av) C_noret;
C_noret_decl(f_9146)
static void C_ccall f_9146(C_word c,C_word *av) C_noret;
C_noret_decl(f_9152)
static void C_ccall f_9152(C_word c,C_word *av) C_noret;
C_noret_decl(f_9158)
static void C_ccall f_9158(C_word c,C_word *av) C_noret;
C_noret_decl(f_9167)
static void C_ccall f_9167(C_word c,C_word *av) C_noret;
C_noret_decl(f_9170)
static void C_ccall f_9170(C_word c,C_word *av) C_noret;
C_noret_decl(f_9173)
static void C_ccall f_9173(C_word c,C_word *av) C_noret;
C_noret_decl(f_9176)
static void C_ccall f_9176(C_word c,C_word *av) C_noret;
C_noret_decl(f_9179)
static void C_ccall f_9179(C_word c,C_word *av) C_noret;
C_noret_decl(f_9182)
static void C_ccall f_9182(C_word c,C_word *av) C_noret;
C_noret_decl(f_9186)
static void C_ccall f_9186(C_word c,C_word *av) C_noret;
C_noret_decl(f_9192)
static void C_ccall f_9192(C_word c,C_word *av) C_noret;
C_noret_decl(f_9198)
static void C_ccall f_9198(C_word c,C_word *av) C_noret;
C_noret_decl(f_9231)
static void C_ccall f_9231(C_word c,C_word *av) C_noret;
C_noret_decl(f_9234)
static void C_ccall f_9234(C_word c,C_word *av) C_noret;
C_noret_decl(f_9237)
static void C_ccall f_9237(C_word c,C_word *av) C_noret;
C_noret_decl(f_9245)
static void C_ccall f_9245(C_word c,C_word *av) C_noret;
C_noret_decl(f_9250)
static void C_ccall f_9250(C_word c,C_word *av) C_noret;
C_noret_decl(f_9256)
static void C_ccall f_9256(C_word c,C_word *av) C_noret;
C_noret_decl(f_9271)
static void C_ccall f_9271(C_word c,C_word *av) C_noret;
C_noret_decl(f_9292)
static void C_ccall f_9292(C_word c,C_word *av) C_noret;
C_noret_decl(f_9298)
static void C_ccall f_9298(C_word c,C_word *av) C_noret;
C_noret_decl(f_9304)
static void C_ccall f_9304(C_word c,C_word *av) C_noret;
C_noret_decl(f_9311)
static void C_ccall f_9311(C_word c,C_word *av) C_noret;
C_noret_decl(f_9316)
static void C_ccall f_9316(C_word c,C_word *av) C_noret;
C_noret_decl(f_9319)
static void C_ccall f_9319(C_word c,C_word *av) C_noret;
C_noret_decl(f_9328)
static void C_fcall f_9328(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9346)
static void C_ccall f_9346(C_word c,C_word *av) C_noret;
C_noret_decl(f_9356)
static void C_ccall f_9356(C_word c,C_word *av) C_noret;
C_noret_decl(f_9365)
static void C_fcall f_9365(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9383)
static void C_ccall f_9383(C_word c,C_word *av) C_noret;
C_noret_decl(f_9396)
static void C_ccall f_9396(C_word c,C_word *av) C_noret;
C_noret_decl(f_9403)
static void C_ccall f_9403(C_word c,C_word *av) C_noret;
C_noret_decl(f_9410)
static void C_ccall f_9410(C_word c,C_word *av) C_noret;
C_noret_decl(f_9421)
static void C_ccall f_9421(C_word c,C_word *av) C_noret;
C_noret_decl(f_9428)
static void C_ccall f_9428(C_word c,C_word *av) C_noret;
C_noret_decl(f_9440)
static void C_ccall f_9440(C_word c,C_word *av) C_noret;
C_noret_decl(f_9443)
static void C_ccall f_9443(C_word c,C_word *av) C_noret;
C_noret_decl(f_9445)
static void C_ccall f_9445(C_word c,C_word *av) C_noret;
C_noret_decl(f_9451)
static void C_fcall f_9451(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9467)
static void C_ccall f_9467(C_word c,C_word *av) C_noret;
C_noret_decl(f_9476)
static void C_ccall f_9476(C_word c,C_word *av) C_noret;
C_noret_decl(f_9478)
static void C_ccall f_9478(C_word c,C_word *av) C_noret;
C_noret_decl(f_9484)
static void C_fcall f_9484(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9497)
static void C_ccall f_9497(C_word c,C_word *av) C_noret;
C_noret_decl(f_9513)
static void C_ccall f_9513(C_word c,C_word *av) C_noret;
C_noret_decl(f_9524)
static void C_ccall f_9524(C_word c,C_word *av) C_noret;
C_noret_decl(f_9526)
static void C_ccall f_9526(C_word c,C_word *av) C_noret;
C_noret_decl(f_9534)
static void C_ccall f_9534(C_word c,C_word *av) C_noret;
C_noret_decl(f_9536)
static void C_ccall f_9536(C_word c,C_word *av) C_noret;
C_noret_decl(f_9542)
static void C_ccall f_9542(C_word c,C_word *av) C_noret;
C_noret_decl(f_9544)
static void C_ccall f_9544(C_word c,C_word *av) C_noret;
C_noret_decl(f_9552)
static void C_ccall f_9552(C_word c,C_word *av) C_noret;
C_noret_decl(f_9554)
static void C_ccall f_9554(C_word c,C_word *av) C_noret;
C_noret_decl(f_9557)
static void C_ccall f_9557(C_word c,C_word *av) C_noret;
C_noret_decl(f_9565)
static void C_ccall f_9565(C_word c,C_word *av) C_noret;
C_noret_decl(f_9571)
static void C_ccall f_9571(C_word c,C_word *av) C_noret;
C_noret_decl(f_9579)
static void C_ccall f_9579(C_word c,C_word *av) C_noret;
C_noret_decl(f_9590)
static void C_ccall f_9590(C_word c,C_word *av) C_noret;
C_noret_decl(f_9602)
static void C_fcall f_9602(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9616)
static void C_ccall f_9616(C_word c,C_word *av) C_noret;
C_noret_decl(f_9624)
static void C_ccall f_9624(C_word c,C_word *av) C_noret;
C_noret_decl(f_9627)
static void C_ccall f_9627(C_word c,C_word *av) C_noret;
C_noret_decl(f_9629)
static void C_ccall f_9629(C_word c,C_word *av) C_noret;
C_noret_decl(f_9631)
static void C_ccall f_9631(C_word c,C_word *av) C_noret;
C_noret_decl(f_9637)
static void C_fcall f_9637(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9656)
static void C_ccall f_9656(C_word c,C_word *av) C_noret;
C_noret_decl(f_9673)
static void C_ccall f_9673(C_word c,C_word *av) C_noret;
C_noret_decl(f_9681)
static void C_ccall f_9681(C_word c,C_word *av) C_noret;
C_noret_decl(f_9695)
static void C_ccall f_9695(C_word c,C_word *av) C_noret;
C_noret_decl(f_9701)
static void C_fcall f_9701(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9720)
static void C_ccall f_9720(C_word c,C_word *av) C_noret;
C_noret_decl(f_9729)
static void C_ccall f_9729(C_word c,C_word *av) C_noret;
C_noret_decl(f_9732)
static void C_ccall f_9732(C_word c,C_word *av) C_noret;
C_noret_decl(f_9744)
static C_word C_fcall f_9744(C_word t0,C_word t1);
C_noret_decl(f_9760)
static void C_ccall f_9760(C_word c,C_word *av) C_noret;
C_noret_decl(f_9766)
static void C_fcall f_9766(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9791)
static void C_ccall f_9791(C_word c,C_word *av) C_noret;
C_noret_decl(f_9793)
static void C_ccall f_9793(C_word c,C_word *av) C_noret;
C_noret_decl(f_9802)
static void C_fcall f_9802(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9823)
static void C_ccall f_9823(C_word c,C_word *av) C_noret;
C_noret_decl(f_9825)
static void C_ccall f_9825(C_word c,C_word *av) C_noret;
C_noret_decl(f_9831)
static void C_fcall f_9831(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9857)
static void C_ccall f_9857(C_word c,C_word *av) C_noret;
C_noret_decl(f_9864)
static void C_ccall f_9864(C_word c,C_word *av) C_noret;
C_noret_decl(f_9866)
static void C_ccall f_9866(C_word c,C_word *av) C_noret;
C_noret_decl(f_9870)
static void C_fcall f_9870(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9878)
static void C_fcall f_9878(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9913)
static void C_ccall f_9913(C_word c,C_word *av) C_noret;
C_noret_decl(f_9923)
static void C_ccall f_9923(C_word c,C_word *av) C_noret;
C_noret_decl(f_9932)
static void C_fcall f_9932(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9974)
static void C_ccall f_9974(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externexport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

C_noret_decl(trf_10010)
static void C_ccall trf_10010(C_word c,C_word *av) C_noret;
static void C_ccall trf_10010(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10010(t0,t1);}

C_noret_decl(trf_10048)
static void C_ccall trf_10048(C_word c,C_word *av) C_noret;
static void C_ccall trf_10048(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10048(t0,t1,t2);}

C_noret_decl(trf_10098)
static void C_ccall trf_10098(C_word c,C_word *av) C_noret;
static void C_ccall trf_10098(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10098(t0,t1,t2);}

C_noret_decl(trf_10209)
static void C_ccall trf_10209(C_word c,C_word *av) C_noret;
static void C_ccall trf_10209(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10209(t0,t1);}

C_noret_decl(trf_10240)
static void C_ccall trf_10240(C_word c,C_word *av) C_noret;
static void C_ccall trf_10240(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10240(t0,t1,t2);}

C_noret_decl(trf_10312)
static void C_ccall trf_10312(C_word c,C_word *av) C_noret;
static void C_ccall trf_10312(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10312(t0,t1);}

C_noret_decl(trf_10317)
static void C_ccall trf_10317(C_word c,C_word *av) C_noret;
static void C_ccall trf_10317(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10317(t0,t1,t2);}

C_noret_decl(trf_10911)
static void C_ccall trf_10911(C_word c,C_word *av) C_noret;
static void C_ccall trf_10911(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_10911(t0,t1,t2,t3);}

C_noret_decl(trf_10960)
static void C_ccall trf_10960(C_word c,C_word *av) C_noret;
static void C_ccall trf_10960(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10960(t0,t1);}

C_noret_decl(trf_11167)
static void C_ccall trf_11167(C_word c,C_word *av) C_noret;
static void C_ccall trf_11167(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11167(t0,t1,t2);}

C_noret_decl(trf_11186)
static void C_ccall trf_11186(C_word c,C_word *av) C_noret;
static void C_ccall trf_11186(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11186(t0,t1,t2);}

C_noret_decl(trf_11240)
static void C_ccall trf_11240(C_word c,C_word *av) C_noret;
static void C_ccall trf_11240(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11240(t0,t1,t2,t3);}

C_noret_decl(trf_11336)
static void C_ccall trf_11336(C_word c,C_word *av) C_noret;
static void C_ccall trf_11336(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11336(t0,t1,t2,t3);}

C_noret_decl(trf_11494)
static void C_ccall trf_11494(C_word c,C_word *av) C_noret;
static void C_ccall trf_11494(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11494(t0,t1);}

C_noret_decl(trf_11503)
static void C_ccall trf_11503(C_word c,C_word *av) C_noret;
static void C_ccall trf_11503(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11503(t0,t1);}

C_noret_decl(trf_11786)
static void C_ccall trf_11786(C_word c,C_word *av) C_noret;
static void C_ccall trf_11786(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11786(t0,t1,t2,t3);}

C_noret_decl(trf_11875)
static void C_ccall trf_11875(C_word c,C_word *av) C_noret;
static void C_ccall trf_11875(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11875(t0,t1,t2,t3);}

C_noret_decl(trf_11896)
static void C_ccall trf_11896(C_word c,C_word *av) C_noret;
static void C_ccall trf_11896(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_11896(t0,t1,t2,t3,t4);}

C_noret_decl(trf_12625)
static void C_ccall trf_12625(C_word c,C_word *av) C_noret;
static void C_ccall trf_12625(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12625(t0,t1,t2);}

C_noret_decl(trf_12798)
static void C_ccall trf_12798(C_word c,C_word *av) C_noret;
static void C_ccall trf_12798(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12798(t0,t1,t2);}

C_noret_decl(trf_12977)
static void C_ccall trf_12977(C_word c,C_word *av) C_noret;
static void C_ccall trf_12977(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12977(t0,t1,t2,t3);}

C_noret_decl(trf_12994)
static void C_ccall trf_12994(C_word c,C_word *av) C_noret;
static void C_ccall trf_12994(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12994(t0,t1,t2,t3);}

C_noret_decl(trf_13157)
static void C_ccall trf_13157(C_word c,C_word *av) C_noret;
static void C_ccall trf_13157(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13157(t0,t1,t2,t3);}

C_noret_decl(trf_13195)
static void C_ccall trf_13195(C_word c,C_word *av) C_noret;
static void C_ccall trf_13195(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13195(t0,t1);}

C_noret_decl(trf_13589)
static void C_ccall trf_13589(C_word c,C_word *av) C_noret;
static void C_ccall trf_13589(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_13589(t0,t1,t2);}

C_noret_decl(trf_13592)
static void C_ccall trf_13592(C_word c,C_word *av) C_noret;
static void C_ccall trf_13592(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13592(t0,t1,t2,t3);}

C_noret_decl(trf_13757)
static void C_ccall trf_13757(C_word c,C_word *av) C_noret;
static void C_ccall trf_13757(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13757(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13800)
static void C_ccall trf_13800(C_word c,C_word *av) C_noret;
static void C_ccall trf_13800(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13800(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13897)
static void C_ccall trf_13897(C_word c,C_word *av) C_noret;
static void C_ccall trf_13897(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13897(t0,t1);}

C_noret_decl(trf_14045)
static void C_ccall trf_14045(C_word c,C_word *av) C_noret;
static void C_ccall trf_14045(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14045(t0,t1);}

C_noret_decl(trf_14051)
static void C_ccall trf_14051(C_word c,C_word *av) C_noret;
static void C_ccall trf_14051(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14051(t0,t1);}

C_noret_decl(trf_14098)
static void C_ccall trf_14098(C_word c,C_word *av) C_noret;
static void C_ccall trf_14098(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14098(t0,t1);}

C_noret_decl(trf_14104)
static void C_ccall trf_14104(C_word c,C_word *av) C_noret;
static void C_ccall trf_14104(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14104(t0,t1);}

C_noret_decl(trf_14539)
static void C_ccall trf_14539(C_word c,C_word *av) C_noret;
static void C_ccall trf_14539(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14539(t0,t1);}

C_noret_decl(trf_14578)
static void C_ccall trf_14578(C_word c,C_word *av) C_noret;
static void C_ccall trf_14578(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14578(t0,t1,t2,t3);}

C_noret_decl(trf_14660)
static void C_ccall trf_14660(C_word c,C_word *av) C_noret;
static void C_ccall trf_14660(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14660(t0,t1,t2,t3);}

C_noret_decl(trf_14697)
static void C_ccall trf_14697(C_word c,C_word *av) C_noret;
static void C_ccall trf_14697(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14697(t0,t1,t2);}

C_noret_decl(trf_14709)
static void C_ccall trf_14709(C_word c,C_word *av) C_noret;
static void C_ccall trf_14709(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14709(t0,t1,t2);}

C_noret_decl(trf_14752)
static void C_ccall trf_14752(C_word c,C_word *av) C_noret;
static void C_ccall trf_14752(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14752(t0,t1);}

C_noret_decl(trf_14858)
static void C_ccall trf_14858(C_word c,C_word *av) C_noret;
static void C_ccall trf_14858(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14858(t0,t1);}

C_noret_decl(trf_14867)
static void C_ccall trf_14867(C_word c,C_word *av) C_noret;
static void C_ccall trf_14867(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14867(t0,t1);}

C_noret_decl(trf_14954)
static void C_ccall trf_14954(C_word c,C_word *av) C_noret;
static void C_ccall trf_14954(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14954(t0,t1,t2,t3);}

C_noret_decl(trf_15050)
static void C_ccall trf_15050(C_word c,C_word *av) C_noret;
static void C_ccall trf_15050(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15050(t0,t1,t2,t3);}

C_noret_decl(trf_15112)
static void C_ccall trf_15112(C_word c,C_word *av) C_noret;
static void C_ccall trf_15112(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15112(t0,t1,t2,t3);}

C_noret_decl(trf_15313)
static void C_ccall trf_15313(C_word c,C_word *av) C_noret;
static void C_ccall trf_15313(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15313(t0,t1);}

C_noret_decl(trf_15367)
static void C_ccall trf_15367(C_word c,C_word *av) C_noret;
static void C_ccall trf_15367(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15367(t0,t1,t2);}

C_noret_decl(trf_15405)
static void C_ccall trf_15405(C_word c,C_word *av) C_noret;
static void C_ccall trf_15405(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15405(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15418)
static void C_ccall trf_15418(C_word c,C_word *av) C_noret;
static void C_ccall trf_15418(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15418(t0,t1,t2,t3);}

C_noret_decl(trf_15492)
static void C_ccall trf_15492(C_word c,C_word *av) C_noret;
static void C_ccall trf_15492(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15492(t0,t1,t2);}

C_noret_decl(trf_15498)
static void C_ccall trf_15498(C_word c,C_word *av) C_noret;
static void C_ccall trf_15498(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15498(t0,t1,t2);}

C_noret_decl(trf_15561)
static void C_ccall trf_15561(C_word c,C_word *av) C_noret;
static void C_ccall trf_15561(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15561(t0,t1);}

C_noret_decl(trf_15600)
static void C_ccall trf_15600(C_word c,C_word *av) C_noret;
static void C_ccall trf_15600(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15600(t0,t1,t2);}

C_noret_decl(trf_15606)
static void C_ccall trf_15606(C_word c,C_word *av) C_noret;
static void C_ccall trf_15606(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15606(t0,t1,t2);}

C_noret_decl(trf_15650)
static void C_ccall trf_15650(C_word c,C_word *av) C_noret;
static void C_ccall trf_15650(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15650(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15706)
static void C_ccall trf_15706(C_word c,C_word *av) C_noret;
static void C_ccall trf_15706(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15706(t0,t1,t2);}

C_noret_decl(trf_15721)
static void C_ccall trf_15721(C_word c,C_word *av) C_noret;
static void C_ccall trf_15721(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15721(t0,t1);}

C_noret_decl(trf_15767)
static void C_ccall trf_15767(C_word c,C_word *av) C_noret;
static void C_ccall trf_15767(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15767(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15786)
static void C_ccall trf_15786(C_word c,C_word *av) C_noret;
static void C_ccall trf_15786(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15786(t0,t1);}

C_noret_decl(trf_15789)
static void C_ccall trf_15789(C_word c,C_word *av) C_noret;
static void C_ccall trf_15789(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15789(t0,t1);}

C_noret_decl(trf_15798)
static void C_ccall trf_15798(C_word c,C_word *av) C_noret;
static void C_ccall trf_15798(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15798(t0,t1);}

C_noret_decl(trf_15825)
static void C_ccall trf_15825(C_word c,C_word *av) C_noret;
static void C_ccall trf_15825(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15825(t0,t1);}

C_noret_decl(trf_15979)
static void C_ccall trf_15979(C_word c,C_word *av) C_noret;
static void C_ccall trf_15979(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15979(t0,t1,t2,t3);}

C_noret_decl(trf_15986)
static void C_ccall trf_15986(C_word c,C_word *av) C_noret;
static void C_ccall trf_15986(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15986(t0,t1);}

C_noret_decl(trf_16005)
static void C_ccall trf_16005(C_word c,C_word *av) C_noret;
static void C_ccall trf_16005(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16005(t0,t1);}

C_noret_decl(trf_16057)
static void C_ccall trf_16057(C_word c,C_word *av) C_noret;
static void C_ccall trf_16057(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16057(t0,t1);}

C_noret_decl(trf_16322)
static void C_ccall trf_16322(C_word c,C_word *av) C_noret;
static void C_ccall trf_16322(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_16322(t0,t1,t2);}

C_noret_decl(trf_16337)
static void C_ccall trf_16337(C_word c,C_word *av) C_noret;
static void C_ccall trf_16337(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16337(t0,t1);}

C_noret_decl(trf_16363)
static void C_ccall trf_16363(C_word c,C_word *av) C_noret;
static void C_ccall trf_16363(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16363(t0,t1);}

C_noret_decl(trf_16395)
static void C_ccall trf_16395(C_word c,C_word *av) C_noret;
static void C_ccall trf_16395(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16395(t0,t1);}

C_noret_decl(trf_16456)
static void C_ccall trf_16456(C_word c,C_word *av) C_noret;
static void C_ccall trf_16456(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16456(t0,t1);}

C_noret_decl(trf_16576)
static void C_ccall trf_16576(C_word c,C_word *av) C_noret;
static void C_ccall trf_16576(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16576(t0,t1);}

C_noret_decl(trf_16667)
static void C_ccall trf_16667(C_word c,C_word *av) C_noret;
static void C_ccall trf_16667(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16667(t0,t1);}

C_noret_decl(trf_16825)
static void C_ccall trf_16825(C_word c,C_word *av) C_noret;
static void C_ccall trf_16825(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_16825(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_16832)
static void C_ccall trf_16832(C_word c,C_word *av) C_noret;
static void C_ccall trf_16832(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16832(t0,t1);}

C_noret_decl(trf_17110)
static void C_ccall trf_17110(C_word c,C_word *av) C_noret;
static void C_ccall trf_17110(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_17110(t0,t1,t2,t3,t4);}

C_noret_decl(trf_17137)
static void C_ccall trf_17137(C_word c,C_word *av) C_noret;
static void C_ccall trf_17137(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17137(t0,t1,t2);}

C_noret_decl(trf_17178)
static void C_ccall trf_17178(C_word c,C_word *av) C_noret;
static void C_ccall trf_17178(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17178(t0,t1,t2,t3);}

C_noret_decl(trf_17532)
static void C_ccall trf_17532(C_word c,C_word *av) C_noret;
static void C_ccall trf_17532(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17532(t0,t1,t2);}

C_noret_decl(trf_17809)
static void C_ccall trf_17809(C_word c,C_word *av) C_noret;
static void C_ccall trf_17809(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17809(t0,t1,t2);}

C_noret_decl(trf_17883)
static void C_ccall trf_17883(C_word c,C_word *av) C_noret;
static void C_ccall trf_17883(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_17883(t0,t1);}

C_noret_decl(trf_18028)
static void C_ccall trf_18028(C_word c,C_word *av) C_noret;
static void C_ccall trf_18028(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_18028(t0,t1,t2,t3);}

C_noret_decl(trf_18129)
static void C_ccall trf_18129(C_word c,C_word *av) C_noret;
static void C_ccall trf_18129(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18129(t0,t1,t2);}

C_noret_decl(trf_18174)
static void C_ccall trf_18174(C_word c,C_word *av) C_noret;
static void C_ccall trf_18174(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18174(t0,t1);}

C_noret_decl(trf_18337)
static void C_ccall trf_18337(C_word c,C_word *av) C_noret;
static void C_ccall trf_18337(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18337(t0,t1,t2);}

C_noret_decl(trf_18375)
static void C_ccall trf_18375(C_word c,C_word *av) C_noret;
static void C_ccall trf_18375(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18375(t0,t1,t2);}

C_noret_decl(trf_18465)
static void C_ccall trf_18465(C_word c,C_word *av) C_noret;
static void C_ccall trf_18465(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18465(t0,t1);}

C_noret_decl(trf_18524)
static void C_ccall trf_18524(C_word c,C_word *av) C_noret;
static void C_ccall trf_18524(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18524(t0,t1,t2);}

C_noret_decl(trf_18554)
static void C_ccall trf_18554(C_word c,C_word *av) C_noret;
static void C_ccall trf_18554(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18554(t0,t1,t2);}

C_noret_decl(trf_18613)
static void C_ccall trf_18613(C_word c,C_word *av) C_noret;
static void C_ccall trf_18613(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18613(t0,t1,t2);}

C_noret_decl(trf_18654)
static void C_ccall trf_18654(C_word c,C_word *av) C_noret;
static void C_ccall trf_18654(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18654(t0,t1,t2);}

C_noret_decl(trf_18773)
static void C_ccall trf_18773(C_word c,C_word *av) C_noret;
static void C_ccall trf_18773(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18773(t0,t1,t2);}

C_noret_decl(trf_19163)
static void C_ccall trf_19163(C_word c,C_word *av) C_noret;
static void C_ccall trf_19163(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_19163(t0,t1,t2,t3,t4);}

C_noret_decl(trf_19206)
static void C_ccall trf_19206(C_word c,C_word *av) C_noret;
static void C_ccall trf_19206(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19206(t0,t1,t2);}

C_noret_decl(trf_19261)
static void C_ccall trf_19261(C_word c,C_word *av) C_noret;
static void C_ccall trf_19261(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19261(t0,t1,t2,t3);}

C_noret_decl(trf_19517)
static void C_ccall trf_19517(C_word c,C_word *av) C_noret;
static void C_ccall trf_19517(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19517(t0,t1,t2);}

C_noret_decl(trf_19530)
static void C_ccall trf_19530(C_word c,C_word *av) C_noret;
static void C_ccall trf_19530(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19530(t0,t1,t2);}

C_noret_decl(trf_19589)
static void C_ccall trf_19589(C_word c,C_word *av) C_noret;
static void C_ccall trf_19589(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19589(t0,t1,t2);}

C_noret_decl(trf_19843)
static void C_ccall trf_19843(C_word c,C_word *av) C_noret;
static void C_ccall trf_19843(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_19843(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_19847)
static void C_ccall trf_19847(C_word c,C_word *av) C_noret;
static void C_ccall trf_19847(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19847(t0,t1);}

C_noret_decl(trf_19877)
static void C_ccall trf_19877(C_word c,C_word *av) C_noret;
static void C_ccall trf_19877(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19877(t0,t1);}

C_noret_decl(trf_19897)
static void C_ccall trf_19897(C_word c,C_word *av) C_noret;
static void C_ccall trf_19897(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19897(t0,t1,t2,t3);}

C_noret_decl(trf_19906)
static void C_ccall trf_19906(C_word c,C_word *av) C_noret;
static void C_ccall trf_19906(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19906(t0,t1,t2);}

C_noret_decl(trf_19911)
static void C_ccall trf_19911(C_word c,C_word *av) C_noret;
static void C_ccall trf_19911(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19911(t0,t1);}

C_noret_decl(trf_20280)
static void C_ccall trf_20280(C_word c,C_word *av) C_noret;
static void C_ccall trf_20280(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20280(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20289)
static void C_ccall trf_20289(C_word c,C_word *av) C_noret;
static void C_ccall trf_20289(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20289(t0,t1);}

C_noret_decl(trf_20299)
static void C_ccall trf_20299(C_word c,C_word *av) C_noret;
static void C_ccall trf_20299(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20299(t0,t1,t2);}

C_noret_decl(trf_20306)
static void C_ccall trf_20306(C_word c,C_word *av) C_noret;
static void C_ccall trf_20306(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20306(t0,t1);}

C_noret_decl(trf_20326)
static void C_ccall trf_20326(C_word c,C_word *av) C_noret;
static void C_ccall trf_20326(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20326(t0,t1,t2);}

C_noret_decl(trf_20335)
static void C_ccall trf_20335(C_word c,C_word *av) C_noret;
static void C_ccall trf_20335(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20335(t0,t1,t2);}

C_noret_decl(trf_20350)
static void C_ccall trf_20350(C_word c,C_word *av) C_noret;
static void C_ccall trf_20350(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20350(t0,t1);}

C_noret_decl(trf_20353)
static void C_ccall trf_20353(C_word c,C_word *av) C_noret;
static void C_ccall trf_20353(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20353(t0,t1);}

C_noret_decl(trf_20363)
static void C_ccall trf_20363(C_word c,C_word *av) C_noret;
static void C_ccall trf_20363(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20363(t0,t1,t2);}

C_noret_decl(trf_20401)
static void C_ccall trf_20401(C_word c,C_word *av) C_noret;
static void C_ccall trf_20401(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20401(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20407)
static void C_ccall trf_20407(C_word c,C_word *av) C_noret;
static void C_ccall trf_20407(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20407(t0,t1,t2,t3);}

C_noret_decl(trf_20461)
static void C_ccall trf_20461(C_word c,C_word *av) C_noret;
static void C_ccall trf_20461(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20461(t0,t1,t2);}

C_noret_decl(trf_20473)
static void C_ccall trf_20473(C_word c,C_word *av) C_noret;
static void C_ccall trf_20473(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20473(t0,t1,t2,t3);}

C_noret_decl(trf_20498)
static void C_ccall trf_20498(C_word c,C_word *av) C_noret;
static void C_ccall trf_20498(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20498(t0,t1,t2);}

C_noret_decl(trf_20508)
static void C_ccall trf_20508(C_word c,C_word *av) C_noret;
static void C_ccall trf_20508(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20508(t0,t1,t2,t3);}

C_noret_decl(trf_20701)
static void C_ccall trf_20701(C_word c,C_word *av) C_noret;
static void C_ccall trf_20701(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20701(t0,t1);}

C_noret_decl(trf_20792)
static void C_ccall trf_20792(C_word c,C_word *av) C_noret;
static void C_ccall trf_20792(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20792(t0,t1);}

C_noret_decl(trf_20812)
static void C_ccall trf_20812(C_word c,C_word *av) C_noret;
static void C_ccall trf_20812(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20812(t0,t1);}

C_noret_decl(trf_20817)
static void C_ccall trf_20817(C_word c,C_word *av) C_noret;
static void C_ccall trf_20817(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20817(t0,t1,t2,t3);}

C_noret_decl(trf_20916)
static void C_ccall trf_20916(C_word c,C_word *av) C_noret;
static void C_ccall trf_20916(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20916(t0,t1);}

C_noret_decl(trf_21064)
static void C_ccall trf_21064(C_word c,C_word *av) C_noret;
static void C_ccall trf_21064(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21064(t0,t1,t2,t3);}

C_noret_decl(trf_21073)
static void C_ccall trf_21073(C_word c,C_word *av) C_noret;
static void C_ccall trf_21073(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21073(t0,t1,t2);}

C_noret_decl(trf_21128)
static void C_ccall trf_21128(C_word c,C_word *av) C_noret;
static void C_ccall trf_21128(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21128(t0,t1,t2);}

C_noret_decl(trf_21135)
static void C_ccall trf_21135(C_word c,C_word *av) C_noret;
static void C_ccall trf_21135(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21135(t0,t1);}

C_noret_decl(trf_21178)
static void C_ccall trf_21178(C_word c,C_word *av) C_noret;
static void C_ccall trf_21178(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21178(t0,t1);}

C_noret_decl(trf_21326)
static void C_ccall trf_21326(C_word c,C_word *av) C_noret;
static void C_ccall trf_21326(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21326(t0,t1);}

C_noret_decl(trf_21344)
static void C_ccall trf_21344(C_word c,C_word *av) C_noret;
static void C_ccall trf_21344(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21344(t0,t1,t2,t3);}

C_noret_decl(trf_21379)
static void C_ccall trf_21379(C_word c,C_word *av) C_noret;
static void C_ccall trf_21379(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21379(t0,t1);}

C_noret_decl(trf_21414)
static void C_ccall trf_21414(C_word c,C_word *av) C_noret;
static void C_ccall trf_21414(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21414(t0,t1,t2);}

C_noret_decl(trf_21465)
static void C_ccall trf_21465(C_word c,C_word *av) C_noret;
static void C_ccall trf_21465(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21465(t0,t1,t2);}

C_noret_decl(trf_21532)
static void C_ccall trf_21532(C_word c,C_word *av) C_noret;
static void C_ccall trf_21532(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21532(t0,t1);}

C_noret_decl(trf_21542)
static void C_ccall trf_21542(C_word c,C_word *av) C_noret;
static void C_ccall trf_21542(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21542(t0,t1,t2,t3);}

C_noret_decl(trf_21552)
static void C_ccall trf_21552(C_word c,C_word *av) C_noret;
static void C_ccall trf_21552(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21552(t0,t1);}

C_noret_decl(trf_21596)
static void C_ccall trf_21596(C_word c,C_word *av) C_noret;
static void C_ccall trf_21596(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21596(t0,t1);}

C_noret_decl(trf_21606)
static void C_ccall trf_21606(C_word c,C_word *av) C_noret;
static void C_ccall trf_21606(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21606(t0,t1,t2,t3);}

C_noret_decl(trf_21616)
static void C_ccall trf_21616(C_word c,C_word *av) C_noret;
static void C_ccall trf_21616(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21616(t0,t1);}

C_noret_decl(trf_21642)
static void C_ccall trf_21642(C_word c,C_word *av) C_noret;
static void C_ccall trf_21642(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21642(t0,t1);}

C_noret_decl(trf_21667)
static void C_ccall trf_21667(C_word c,C_word *av) C_noret;
static void C_ccall trf_21667(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21667(t0,t1,t2);}

C_noret_decl(trf_21673)
static void C_ccall trf_21673(C_word c,C_word *av) C_noret;
static void C_ccall trf_21673(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21673(t0,t1,t2,t3);}

C_noret_decl(trf_21686)
static void C_ccall trf_21686(C_word c,C_word *av) C_noret;
static void C_ccall trf_21686(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21686(t0,t1);}

C_noret_decl(trf_21692)
static void C_ccall trf_21692(C_word c,C_word *av) C_noret;
static void C_ccall trf_21692(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21692(t0,t1);}

C_noret_decl(trf_21881)
static void C_ccall trf_21881(C_word c,C_word *av) C_noret;
static void C_ccall trf_21881(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21881(t0,t1);}

C_noret_decl(trf_21920)
static void C_ccall trf_21920(C_word c,C_word *av) C_noret;
static void C_ccall trf_21920(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21920(t0,t1);}

C_noret_decl(trf_22065)
static void C_ccall trf_22065(C_word c,C_word *av) C_noret;
static void C_ccall trf_22065(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22065(t0,t1);}

C_noret_decl(trf_22090)
static void C_ccall trf_22090(C_word c,C_word *av) C_noret;
static void C_ccall trf_22090(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22090(t0,t1);}

C_noret_decl(trf_22096)
static void C_ccall trf_22096(C_word c,C_word *av) C_noret;
static void C_ccall trf_22096(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22096(t0,t1,t2);}

C_noret_decl(trf_22177)
static void C_ccall trf_22177(C_word c,C_word *av) C_noret;
static void C_ccall trf_22177(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22177(t0,t1);}

C_noret_decl(trf_22195)
static void C_ccall trf_22195(C_word c,C_word *av) C_noret;
static void C_ccall trf_22195(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22195(t0,t1,t2);}

C_noret_decl(trf_22214)
static void C_ccall trf_22214(C_word c,C_word *av) C_noret;
static void C_ccall trf_22214(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22214(t0,t1);}

C_noret_decl(trf_22269)
static void C_ccall trf_22269(C_word c,C_word *av) C_noret;
static void C_ccall trf_22269(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22269(t0,t1,t2);}

C_noret_decl(trf_22293)
static void C_ccall trf_22293(C_word c,C_word *av) C_noret;
static void C_ccall trf_22293(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22293(t0,t1);}

C_noret_decl(trf_22427)
static void C_ccall trf_22427(C_word c,C_word *av) C_noret;
static void C_ccall trf_22427(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22427(t0,t1);}

C_noret_decl(trf_22507)
static void C_ccall trf_22507(C_word c,C_word *av) C_noret;
static void C_ccall trf_22507(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22507(t0,t1);}

C_noret_decl(trf_22875)
static void C_ccall trf_22875(C_word c,C_word *av) C_noret;
static void C_ccall trf_22875(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22875(t0,t1);}

C_noret_decl(trf_23424)
static void C_ccall trf_23424(C_word c,C_word *av) C_noret;
static void C_ccall trf_23424(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23424(t0,t1,t2);}

C_noret_decl(trf_23470)
static void C_ccall trf_23470(C_word c,C_word *av) C_noret;
static void C_ccall trf_23470(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23470(t0,t1,t2,t3);}

C_noret_decl(trf_23733)
static void C_ccall trf_23733(C_word c,C_word *av) C_noret;
static void C_ccall trf_23733(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23733(t0,t1,t2);}

C_noret_decl(trf_23784)
static void C_ccall trf_23784(C_word c,C_word *av) C_noret;
static void C_ccall trf_23784(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23784(t0,t1,t2);}

C_noret_decl(trf_23843)
static void C_ccall trf_23843(C_word c,C_word *av) C_noret;
static void C_ccall trf_23843(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23843(t0,t1,t2,t3);}

C_noret_decl(trf_23915)
static void C_ccall trf_23915(C_word c,C_word *av) C_noret;
static void C_ccall trf_23915(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23915(t0,t1,t2,t3);}

C_noret_decl(trf_23975)
static void C_ccall trf_23975(C_word c,C_word *av) C_noret;
static void C_ccall trf_23975(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23975(t0,t1,t2,t3);}

C_noret_decl(trf_23999)
static void C_ccall trf_23999(C_word c,C_word *av) C_noret;
static void C_ccall trf_23999(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23999(t0,t1,t2,t3);}

C_noret_decl(trf_24011)
static void C_ccall trf_24011(C_word c,C_word *av) C_noret;
static void C_ccall trf_24011(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24011(t0,t1,t2);}

C_noret_decl(trf_24088)
static void C_ccall trf_24088(C_word c,C_word *av) C_noret;
static void C_ccall trf_24088(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24088(t0,t1,t2);}

C_noret_decl(trf_24137)
static void C_ccall trf_24137(C_word c,C_word *av) C_noret;
static void C_ccall trf_24137(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24137(t0,t1,t2);}

C_noret_decl(trf_24153)
static void C_ccall trf_24153(C_word c,C_word *av) C_noret;
static void C_ccall trf_24153(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24153(t0,t1);}

C_noret_decl(trf_24210)
static void C_ccall trf_24210(C_word c,C_word *av) C_noret;
static void C_ccall trf_24210(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24210(t0,t1);}

C_noret_decl(trf_24272)
static void C_ccall trf_24272(C_word c,C_word *av) C_noret;
static void C_ccall trf_24272(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24272(t0,t1,t2);}

C_noret_decl(trf_24331)
static void C_ccall trf_24331(C_word c,C_word *av) C_noret;
static void C_ccall trf_24331(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24331(t0,t1,t2);}

C_noret_decl(trf_24501)
static void C_ccall trf_24501(C_word c,C_word *av) C_noret;
static void C_ccall trf_24501(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24501(t0,t1,t2,t3);}

C_noret_decl(trf_24680)
static void C_ccall trf_24680(C_word c,C_word *av) C_noret;
static void C_ccall trf_24680(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24680(t0,t1,t2);}

C_noret_decl(trf_24690)
static void C_ccall trf_24690(C_word c,C_word *av) C_noret;
static void C_ccall trf_24690(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24690(t0,t1);}

C_noret_decl(trf_24752)
static void C_ccall trf_24752(C_word c,C_word *av) C_noret;
static void C_ccall trf_24752(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24752(t0,t1,t2);}

C_noret_decl(trf_24891)
static void C_ccall trf_24891(C_word c,C_word *av) C_noret;
static void C_ccall trf_24891(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24891(t0,t1,t2,t3);}

C_noret_decl(trf_25264)
static void C_ccall trf_25264(C_word c,C_word *av) C_noret;
static void C_ccall trf_25264(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_25264(t0,t1,t2,t3,t4);}

C_noret_decl(trf_25284)
static void C_ccall trf_25284(C_word c,C_word *av) C_noret;
static void C_ccall trf_25284(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_25284(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_25338)
static void C_ccall trf_25338(C_word c,C_word *av) C_noret;
static void C_ccall trf_25338(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25338(t0,t1);}

C_noret_decl(trf_25355)
static void C_ccall trf_25355(C_word c,C_word *av) C_noret;
static void C_ccall trf_25355(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25355(t0,t1);}

C_noret_decl(trf_25535)
static void C_ccall trf_25535(C_word c,C_word *av) C_noret;
static void C_ccall trf_25535(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25535(t0,t1,t2);}

C_noret_decl(trf_25550)
static void C_ccall trf_25550(C_word c,C_word *av) C_noret;
static void C_ccall trf_25550(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25550(t0,t1,t2);}

C_noret_decl(trf_25653)
static void C_ccall trf_25653(C_word c,C_word *av) C_noret;
static void C_ccall trf_25653(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25653(t0,t1,t2);}

C_noret_decl(trf_25672)
static void C_ccall trf_25672(C_word c,C_word *av) C_noret;
static void C_ccall trf_25672(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25672(t0,t1);}

C_noret_decl(trf_25781)
static void C_ccall trf_25781(C_word c,C_word *av) C_noret;
static void C_ccall trf_25781(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25781(t0,t1,t2);}

C_noret_decl(trf_25818)
static void C_ccall trf_25818(C_word c,C_word *av) C_noret;
static void C_ccall trf_25818(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25818(t0,t1);}

C_noret_decl(trf_25852)
static void C_ccall trf_25852(C_word c,C_word *av) C_noret;
static void C_ccall trf_25852(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25852(t0,t1,t2);}

C_noret_decl(trf_25988)
static void C_ccall trf_25988(C_word c,C_word *av) C_noret;
static void C_ccall trf_25988(C_word c,C_word *av){
C_word t0=av[0];
f_25988(t0);}

C_noret_decl(trf_26016)
static void C_ccall trf_26016(C_word c,C_word *av) C_noret;
static void C_ccall trf_26016(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26016(t0,t1);}

C_noret_decl(trf_26040)
static void C_ccall trf_26040(C_word c,C_word *av) C_noret;
static void C_ccall trf_26040(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26040(t0,t1,t2);}

C_noret_decl(trf_26135)
static void C_ccall trf_26135(C_word c,C_word *av) C_noret;
static void C_ccall trf_26135(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26135(t0,t1,t2);}

C_noret_decl(trf_26162)
static void C_ccall trf_26162(C_word c,C_word *av) C_noret;
static void C_ccall trf_26162(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26162(t0,t1);}

C_noret_decl(trf_26183)
static void C_ccall trf_26183(C_word c,C_word *av) C_noret;
static void C_ccall trf_26183(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26183(t0,t1);}

C_noret_decl(trf_26186)
static void C_ccall trf_26186(C_word c,C_word *av) C_noret;
static void C_ccall trf_26186(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26186(t0,t1);}

C_noret_decl(trf_26206)
static void C_ccall trf_26206(C_word c,C_word *av) C_noret;
static void C_ccall trf_26206(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26206(t0,t1);}

C_noret_decl(trf_26629)
static void C_ccall trf_26629(C_word c,C_word *av) C_noret;
static void C_ccall trf_26629(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26629(t0,t1,t2,t3);}

C_noret_decl(trf_26635)
static void C_ccall trf_26635(C_word c,C_word *av) C_noret;
static void C_ccall trf_26635(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26635(t0,t1,t2);}

C_noret_decl(trf_26651)
static void C_ccall trf_26651(C_word c,C_word *av) C_noret;
static void C_ccall trf_26651(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26651(t0,t1);}

C_noret_decl(trf_26748)
static void C_ccall trf_26748(C_word c,C_word *av) C_noret;
static void C_ccall trf_26748(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26748(t0,t1,t2);}

C_noret_decl(trf_26794)
static void C_ccall trf_26794(C_word c,C_word *av) C_noret;
static void C_ccall trf_26794(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26794(t0,t1,t2);}

C_noret_decl(trf_26870)
static void C_ccall trf_26870(C_word c,C_word *av) C_noret;
static void C_ccall trf_26870(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26870(t0,t1,t2);}

C_noret_decl(trf_26922)
static void C_ccall trf_26922(C_word c,C_word *av) C_noret;
static void C_ccall trf_26922(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26922(t0,t1,t2);}

C_noret_decl(trf_26970)
static void C_ccall trf_26970(C_word c,C_word *av) C_noret;
static void C_ccall trf_26970(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26970(t0,t1,t2);}

C_noret_decl(trf_26984)
static void C_ccall trf_26984(C_word c,C_word *av) C_noret;
static void C_ccall trf_26984(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26984(t0,t1,t2);}

C_noret_decl(trf_27040)
static void C_ccall trf_27040(C_word c,C_word *av) C_noret;
static void C_ccall trf_27040(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27040(t0,t1,t2);}

C_noret_decl(trf_27165)
static void C_ccall trf_27165(C_word c,C_word *av) C_noret;
static void C_ccall trf_27165(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27165(t0,t1,t2);}

C_noret_decl(trf_27167)
static void C_ccall trf_27167(C_word c,C_word *av) C_noret;
static void C_ccall trf_27167(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27167(t0,t1,t2);}

C_noret_decl(trf_27188)
static void C_ccall trf_27188(C_word c,C_word *av) C_noret;
static void C_ccall trf_27188(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27188(t0,t1,t2);}

C_noret_decl(trf_27212)
static void C_ccall trf_27212(C_word c,C_word *av) C_noret;
static void C_ccall trf_27212(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_27212(t0,t1,t2,t3);}

C_noret_decl(trf_27228)
static void C_ccall trf_27228(C_word c,C_word *av) C_noret;
static void C_ccall trf_27228(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27228(t0,t1);}

C_noret_decl(trf_27266)
static void C_ccall trf_27266(C_word c,C_word *av) C_noret;
static void C_ccall trf_27266(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27266(t0,t1,t2);}

C_noret_decl(trf_27361)
static void C_ccall trf_27361(C_word c,C_word *av) C_noret;
static void C_ccall trf_27361(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27361(t0,t1,t2);}

C_noret_decl(trf_27366)
static void C_ccall trf_27366(C_word c,C_word *av) C_noret;
static void C_ccall trf_27366(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27366(t0,t1);}

C_noret_decl(trf_28314)
static void C_ccall trf_28314(C_word c,C_word *av) C_noret;
static void C_ccall trf_28314(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28314(t0,t1,t2);}

C_noret_decl(trf_28378)
static void C_ccall trf_28378(C_word c,C_word *av) C_noret;
static void C_ccall trf_28378(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28378(t0,t1,t2);}

C_noret_decl(trf_28590)
static void C_ccall trf_28590(C_word c,C_word *av) C_noret;
static void C_ccall trf_28590(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28590(t0,t1,t2);}

C_noret_decl(trf_28634)
static void C_ccall trf_28634(C_word c,C_word *av) C_noret;
static void C_ccall trf_28634(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28634(t0,t1);}

C_noret_decl(trf_28647)
static void C_ccall trf_28647(C_word c,C_word *av) C_noret;
static void C_ccall trf_28647(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28647(t0,t1,t2);}

C_noret_decl(trf_28681)
static void C_ccall trf_28681(C_word c,C_word *av) C_noret;
static void C_ccall trf_28681(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28681(t0,t1,t2);}

C_noret_decl(trf_28696)
static void C_ccall trf_28696(C_word c,C_word *av) C_noret;
static void C_ccall trf_28696(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28696(t0,t1);}

C_noret_decl(trf_28772)
static void C_ccall trf_28772(C_word c,C_word *av) C_noret;
static void C_ccall trf_28772(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28772(t0,t1,t2);}

C_noret_decl(trf_28872)
static void C_ccall trf_28872(C_word c,C_word *av) C_noret;
static void C_ccall trf_28872(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28872(t0,t1);}

C_noret_decl(trf_28891)
static void C_ccall trf_28891(C_word c,C_word *av) C_noret;
static void C_ccall trf_28891(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28891(t0,t1,t2);}

C_noret_decl(trf_28932)
static void C_ccall trf_28932(C_word c,C_word *av) C_noret;
static void C_ccall trf_28932(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_28932(t0,t1,t2,t3,t4);}

C_noret_decl(trf_28955)
static void C_ccall trf_28955(C_word c,C_word *av) C_noret;
static void C_ccall trf_28955(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28955(t0,t1);}

C_noret_decl(trf_29257)
static void C_ccall trf_29257(C_word c,C_word *av) C_noret;
static void C_ccall trf_29257(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29257(t0,t1,t2);}

C_noret_decl(trf_29269)
static void C_ccall trf_29269(C_word c,C_word *av) C_noret;
static void C_ccall trf_29269(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29269(t0,t1,t2);}

C_noret_decl(trf_29350)
static void C_ccall trf_29350(C_word c,C_word *av) C_noret;
static void C_ccall trf_29350(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_29350(t0,t1,t2,t3);}

C_noret_decl(trf_29488)
static void C_ccall trf_29488(C_word c,C_word *av) C_noret;
static void C_ccall trf_29488(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29488(t0,t1);}

C_noret_decl(trf_29528)
static void C_ccall trf_29528(C_word c,C_word *av) C_noret;
static void C_ccall trf_29528(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29528(t0,t1,t2);}

C_noret_decl(trf_29641)
static void C_ccall trf_29641(C_word c,C_word *av) C_noret;
static void C_ccall trf_29641(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29641(t0,t1);}

C_noret_decl(trf_30075)
static void C_ccall trf_30075(C_word c,C_word *av) C_noret;
static void C_ccall trf_30075(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30075(t0,t1);}

C_noret_decl(trf_30087)
static void C_ccall trf_30087(C_word c,C_word *av) C_noret;
static void C_ccall trf_30087(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30087(t0,t1,t2);}

C_noret_decl(trf_30146)
static void C_ccall trf_30146(C_word c,C_word *av) C_noret;
static void C_ccall trf_30146(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30146(t0,t1);}

C_noret_decl(trf_30160)
static void C_ccall trf_30160(C_word c,C_word *av) C_noret;
static void C_ccall trf_30160(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30160(t0,t1,t2);}

C_noret_decl(trf_30180)
static void C_ccall trf_30180(C_word c,C_word *av) C_noret;
static void C_ccall trf_30180(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30180(t0,t1,t2);}

C_noret_decl(trf_30403)
static void C_ccall trf_30403(C_word c,C_word *av) C_noret;
static void C_ccall trf_30403(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30403(t0,t1);}

C_noret_decl(trf_30426)
static void C_ccall trf_30426(C_word c,C_word *av) C_noret;
static void C_ccall trf_30426(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30426(t0,t1);}

C_noret_decl(trf_30582)
static void C_ccall trf_30582(C_word c,C_word *av) C_noret;
static void C_ccall trf_30582(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_30582(t0,t1,t2,t3);}

C_noret_decl(trf_30699)
static void C_ccall trf_30699(C_word c,C_word *av) C_noret;
static void C_ccall trf_30699(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30699(t0,t1);}

C_noret_decl(trf_30732)
static void C_ccall trf_30732(C_word c,C_word *av) C_noret;
static void C_ccall trf_30732(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30732(t0,t1);}

C_noret_decl(trf_30735)
static void C_ccall trf_30735(C_word c,C_word *av) C_noret;
static void C_ccall trf_30735(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30735(t0,t1);}

C_noret_decl(trf_30738)
static void C_ccall trf_30738(C_word c,C_word *av) C_noret;
static void C_ccall trf_30738(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30738(t0,t1);}

C_noret_decl(trf_30741)
static void C_ccall trf_30741(C_word c,C_word *av) C_noret;
static void C_ccall trf_30741(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30741(t0,t1);}

C_noret_decl(trf_30744)
static void C_ccall trf_30744(C_word c,C_word *av) C_noret;
static void C_ccall trf_30744(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30744(t0,t1);}

C_noret_decl(trf_30777)
static void C_ccall trf_30777(C_word c,C_word *av) C_noret;
static void C_ccall trf_30777(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30777(t0,t1,t2);}

C_noret_decl(trf_30813)
static void C_ccall trf_30813(C_word c,C_word *av) C_noret;
static void C_ccall trf_30813(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30813(t0,t1,t2);}

C_noret_decl(trf_30844)
static void C_ccall trf_30844(C_word c,C_word *av) C_noret;
static void C_ccall trf_30844(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30844(t0,t1,t2);}

C_noret_decl(trf_30887)
static void C_ccall trf_30887(C_word c,C_word *av) C_noret;
static void C_ccall trf_30887(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30887(t0,t1,t2);}

C_noret_decl(trf_31171)
static void C_ccall trf_31171(C_word c,C_word *av) C_noret;
static void C_ccall trf_31171(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31171(t0,t1,t2);}

C_noret_decl(trf_31190)
static void C_ccall trf_31190(C_word c,C_word *av) C_noret;
static void C_ccall trf_31190(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31190(t0,t1);}

C_noret_decl(trf_31343)
static void C_ccall trf_31343(C_word c,C_word *av) C_noret;
static void C_ccall trf_31343(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31343(t0,t1,t2);}

C_noret_decl(trf_31382)
static void C_ccall trf_31382(C_word c,C_word *av) C_noret;
static void C_ccall trf_31382(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31382(t0,t1,t2);}

C_noret_decl(trf_31398)
static void C_ccall trf_31398(C_word c,C_word *av) C_noret;
static void C_ccall trf_31398(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31398(t0,t1,t2);}

C_noret_decl(trf_31564)
static void C_ccall trf_31564(C_word c,C_word *av) C_noret;
static void C_ccall trf_31564(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31564(t0,t1);}

C_noret_decl(trf_32071)
static void C_ccall trf_32071(C_word c,C_word *av) C_noret;
static void C_ccall trf_32071(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_32071(t0,t1);}

C_noret_decl(trf_32073)
static void C_ccall trf_32073(C_word c,C_word *av) C_noret;
static void C_ccall trf_32073(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_32073(t0,t1,t2,t3,t4);}

C_noret_decl(trf_32169)
static void C_ccall trf_32169(C_word c,C_word *av) C_noret;
static void C_ccall trf_32169(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_32169(t0,t1);}

C_noret_decl(trf_32182)
static void C_ccall trf_32182(C_word c,C_word *av) C_noret;
static void C_ccall trf_32182(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_32182(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_8864)
static void C_ccall trf_8864(C_word c,C_word *av) C_noret;
static void C_ccall trf_8864(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_8864(t0,t1,t2,t3);}

C_noret_decl(trf_9328)
static void C_ccall trf_9328(C_word c,C_word *av) C_noret;
static void C_ccall trf_9328(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9328(t0,t1,t2,t3);}

C_noret_decl(trf_9365)
static void C_ccall trf_9365(C_word c,C_word *av) C_noret;
static void C_ccall trf_9365(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9365(t0,t1,t2);}

C_noret_decl(trf_9451)
static void C_ccall trf_9451(C_word c,C_word *av) C_noret;
static void C_ccall trf_9451(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9451(t0,t1,t2);}

C_noret_decl(trf_9484)
static void C_ccall trf_9484(C_word c,C_word *av) C_noret;
static void C_ccall trf_9484(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9484(t0,t1,t2);}

C_noret_decl(trf_9602)
static void C_ccall trf_9602(C_word c,C_word *av) C_noret;
static void C_ccall trf_9602(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9602(t0,t1,t2);}

C_noret_decl(trf_9637)
static void C_ccall trf_9637(C_word c,C_word *av) C_noret;
static void C_ccall trf_9637(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9637(t0,t1,t2);}

C_noret_decl(trf_9701)
static void C_ccall trf_9701(C_word c,C_word *av) C_noret;
static void C_ccall trf_9701(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9701(t0,t1,t2);}

C_noret_decl(trf_9766)
static void C_ccall trf_9766(C_word c,C_word *av) C_noret;
static void C_ccall trf_9766(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9766(t0,t1,t2);}

C_noret_decl(trf_9802)
static void C_ccall trf_9802(C_word c,C_word *av) C_noret;
static void C_ccall trf_9802(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9802(t0,t1,t2);}

C_noret_decl(trf_9831)
static void C_ccall trf_9831(C_word c,C_word *av) C_noret;
static void C_ccall trf_9831(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9831(t0,t1,t2,t3);}

C_noret_decl(trf_9870)
static void C_ccall trf_9870(C_word c,C_word *av) C_noret;
static void C_ccall trf_9870(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9870(t0,t1);}

C_noret_decl(trf_9878)
static void C_ccall trf_9878(C_word c,C_word *av) C_noret;
static void C_ccall trf_9878(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9878(t0,t1,t2);}

C_noret_decl(trf_9932)
static void C_ccall trf_9932(C_word c,C_word *av) C_noret;
static void C_ccall trf_9932(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9932(t0,t1,t2,t3);}

/* f34076 in chicken.base#emergency-exit in k8542 */
static void C_ccall f34076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f34076,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f34607 in chicken.base#exit in k8542 */
static void C_ccall f34607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f34607,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* f36860 in k31148 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f36860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36860,3,av);}
t3=C_i_check_list_2(t2,lf[1352]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36866 in k31236 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f36866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36866,3,av);}
t3=C_i_check_string_2(t2,lf[1354]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36872 in k31232 in k31236 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f36872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36872,3,av);}
t3=C_i_check_string_2(t2,lf[1354]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.base#alist-update! in k8542 */
static void C_ccall f_10003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_10003,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+10);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10010,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(*((C_word*)lf[4]+1),t8);
if(C_truep(t10)){
t11=t9;
f_10010(t11,*((C_word*)lf[52]+1));}
else{
t11=C_eqp(*((C_word*)lf[5]+1),t8);
if(C_truep(t11)){
t12=t9;
f_10010(t12,*((C_word*)lf[53]+1));}
else{
t12=C_eqp(*((C_word*)lf[6]+1),t8);
t13=t9;
f_10010(t13,(C_truep(t12)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10042,a[2]=t8,a[3]=((C_word)li187),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10008 in chicken.base#alist-update! in k8542 */
static void C_fcall f_10010(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10010,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10013,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:895: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10011 in k10008 in chicken.base#alist-update! in k8542 */
static void C_ccall f_10013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_10013,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* f_10042 in chicken.base#alist-update! in k8542 */
static void C_ccall f_10042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10042,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10048,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li186),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10048(t7,t1,t3);}

/* loop */
static void C_fcall f_10048(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10048,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10064,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_pairp(t4))){
t6=C_slot(t4,C_fix(0));
/* library.scm:892: cmp */
t7=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t7;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_10064(2,av2);}}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10062 in loop */
static void C_ccall f_10064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10064,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:894: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10048(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#alist-update in k8542 */
static void C_ccall f_10089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_10089,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+9);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10098,a[2]=t2,a[3]=t3,a[4]=t10,a[5]=t8,a[6]=((C_word)li189),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_10098(t12,t1,t4);}

/* loop in chicken.base#alist-update in k8542 */
static void C_fcall f_10098(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_10098,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:907: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[262];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_i_pairp(t5);
if(C_truep(C_i_not(t6))){
/* library.scm:911: chicken.base#error */
t7=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[263];
av2[4]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_10139,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t1,a[6]=t5,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t8=C_slot(t5,C_fix(0));
/* library.scm:912: cmp */
t9=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}}}

/* k10137 in loop in chicken.base#alist-update in k8542 */
static void C_ccall f_10139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10139,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_slot(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[6],C_fix(0));
t3=C_slot(((C_word*)t0)[6],C_fix(1));
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10161,a[2]=((C_word*)t0)[5],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:916: loop */
t8=((C_word*)((C_word*)t0)[7])[1];
f_10098(t8,t6,t7);}}

/* k10159 in k10137 in loop in chicken.base#alist-update in k8542 */
static void C_ccall f_10161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_10161,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-ref in k8542 */
static void C_ccall f_10193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_10193,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+10);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=t11;
t13=C_i_nullp(t9);
t14=(C_truep(t13)?C_SCHEME_END_OF_LIST:C_i_cdr(t9));
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10209,a[2]=t1,a[3]=t12,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t16=C_eqp(*((C_word*)lf[4]+1),t7);
if(C_truep(t16)){
t17=t15;
f_10209(t17,*((C_word*)lf[52]+1));}
else{
t17=C_eqp(*((C_word*)lf[5]+1),t7);
if(C_truep(t17)){
t18=t15;
f_10209(t18,*((C_word*)lf[53]+1));}
else{
t18=C_eqp(*((C_word*)lf[6]+1),t7);
t19=t15;
f_10209(t19,(C_truep(t18)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10234,a[2]=t7,a[3]=((C_word)li192),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10207 in chicken.base#alist-ref in k8542 */
static void C_fcall f_10209(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_10209,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10212,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:934: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10210 in k10207 in chicken.base#alist-ref in k8542 */
static void C_ccall f_10212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10212,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_10234 in chicken.base#alist-ref in k8542 */
static void C_ccall f_10234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10234,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10240,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li191),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10240(t7,t1,t3);}

/* loop */
static void C_fcall f_10240(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_10240,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[265]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10265,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(0));
/* library.scm:930: cmp */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
/* library.scm:933: chicken.base#error */
t3=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[265];
av2[3]=lf[266];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}}

/* k10263 in loop */
static void C_ccall f_10265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10265,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:932: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10240(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#rassoc in k8542 */
static void C_ccall f_10305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_10305,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_check_list_2(t3,lf[268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_10312,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t7=t4;
t8=t6;
f_10312(t8,C_u_i_car(t7));}
else{
t7=t6;
f_10312(t7,*((C_word*)lf[5]+1));}}

/* k10310 in chicken.base#rassoc in k8542 */
static void C_fcall f_10312(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_10312,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10317,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word)li194),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_10317(t6,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* loop in k10310 in chicken.base#rassoc in k8542 */
static void C_fcall f_10317(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10317,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[268]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10336,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(1));
/* library.scm:947: tst */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10334 in loop in k10310 in chicken.base#rassoc in k8542 */
static void C_ccall f_10336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10336,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:949: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10317(t3,((C_word*)t0)[2],t2);}}

/* chicken.fixnum#fx+ in k8542 */
static void C_ccall f_10358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10358,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx- in k8542 */
static void C_ccall f_10361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10361,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx* in k8542 */
static void C_ccall f_10364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10364,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx= in k8542 */
static void C_ccall f_10367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10367,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx> in k8542 */
static void C_ccall f_10373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10373,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx< in k8542 */
static void C_ccall f_10376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10376,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx>= in k8542 */
static void C_ccall f_10379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10379,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx<= in k8542 */
static void C_ccall f_10382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10382,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmin in k8542 */
static void C_ccall f_10385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10385,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmax in k8542 */
static void C_ccall f_10388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10388,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxneg in k8542 */
static void C_ccall f_10391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10391,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_negate(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxand in k8542 */
static void C_ccall f_10394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10394,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_and(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxior in k8542 */
static void C_ccall f_10397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10397,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_or(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxxor in k8542 */
static void C_ccall f_10400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10400,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_xor(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxnot in k8542 */
static void C_ccall f_10403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10403,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxshl in k8542 */
static void C_ccall f_10406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10406,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_left(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxshr in k8542 */
static void C_ccall f_10409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10409,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_right(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxodd? in k8542 */
static void C_ccall f_10412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10412,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumoddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxeven? in k8542 */
static void C_ccall f_10415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10415,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumevenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxlen in k8542 */
static void C_ccall f_10418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10418,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnum_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fx/ in k8542 */
static void C_ccall f_10421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10421,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_divide(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxgcd in k8542 */
static void C_ccall f_10424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10424,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_gcd(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmod in k8542 */
static void C_ccall f_10427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10427,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_modulo(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxrem in k8542 */
static void C_ccall f_10430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10430,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_remainder_checked(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx+? in k8542 */
static void C_ccall f_10433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10433,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx-? in k8542 */
static void C_ccall f_10436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10436,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx*? in k8542 */
static void C_ccall f_10439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10439,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx/? in k8542 */
static void C_ccall f_10442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10442,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_quotient(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#debug-mode? in k8542 */
static void C_ccall f_10445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10445,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_debug_modep();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#warning in k8542 */
static void C_ccall f_10450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10450,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(*((C_word*)lf[304]+1))){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[307];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.base#notice in k8542 */
static void C_ccall f_10459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10459,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(*((C_word*)lf[305]+1))?*((C_word*)lf[304]+1):C_SCHEME_FALSE);
if(C_truep(t4)){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[309];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.base#enable-warnings in k8542 */
static void C_ccall f_10471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10471,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_mutate((C_word*)lf[304]+1 /* (set! ##sys#warnings-enabled ...) */,C_u_i_car(t3));
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=*((C_word*)lf[304]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[304]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#setslot in k8542 */
static void C_ccall f_10486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10486,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#setislot in k8542 */
static void C_ccall f_10489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10489,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#start-timer in k8542 */
static void C_ccall f_10497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_10497,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10501,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1049: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10499 in start-timer in k8542 */
static void C_ccall f_10501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10501,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_start_timer();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#stop-timer in k8542 */
static void C_ccall f_10503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_10503,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li237),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10507,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1053: g1202 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10505 in stop-timer in k8542 */
static void C_ccall f_10507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_10507,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10510,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1056: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10508 in k10505 in stop-timer in k8542 */
static void C_ccall f_10510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10510,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li238),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10521,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1057: g1204 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10519 in k10508 in k10505 in stop-timer in k8542 */
static void C_ccall f_10521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10521,2,av);}
t2=C_slot(t1,C_fix(6));
t3=C_i_setslot(((C_word*)t0)[2],C_fix(6),t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#immediate? in k8542 */
static void C_ccall f_10523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10523,3,av);}
t3=C_blockp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#message in k8542 */
static void C_ccall f_10530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10530,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_message(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#byte in k8542 */
static void C_ccall f_10533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10533,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_subbyte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#setbyte in k8542 */
static void C_ccall f_10536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10536,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_setbyte(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#halt in k8542 */
static void C_ccall f_10541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10541,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-ref in k8542 */
static void C_ccall f_10545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10545,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_block_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#block-set! in k8542 */
static void C_ccall f_10550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10550,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10554,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_blockp(t2);
t7=C_i_not(t6);
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:1076: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10554(2,av2);}}}
else{
t8=(C_truep(C_specialp(t2))?C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t8)){
if(C_truep(t8)){
/* library.scm:1076: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10554(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
/* library.scm:1076: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10554(2,av2);}}}}}

/* k10552 in block-set! in k8542 */
static void C_ccall f_10554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10554,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10557,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_block_size(((C_word*)t0)[3]);
/* library.scm:1077: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[333];
tp(6,av2);}}

/* k10555 in k10552 in block-set! in k8542 */
static void C_ccall f_10557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10557,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_setslot(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-milliseconds in k8542 */
static void C_ccall f_10585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10585,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-seconds in k8542 */
static void C_ccall f_10588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10588,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_get_current_seconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#cpu-time in k8542 */
static void C_ccall f_10591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_10591,2,av);}
a=C_alloc(11);
t2=C_a_i_vector2(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t3=C_a_i_cpu_time(&a,1,t2);
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
/* library.scm:1104: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_values(4,av2);}}

/* ##sys#check-structure in k8542 */
static void C_ccall f_10608(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10608,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_structure_2(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_structure(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-blob in k8542 */
static void C_ccall f_10619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10619,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_bytevector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_bytevector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-pair in k8542 */
static void C_ccall f_10631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10631,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_pair_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_pair(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-list in k8542 */
static void C_ccall f_10642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10642,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_list_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_list(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-string in k8542 */
static void C_ccall f_10653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10653,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_string_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_string(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-number in k8542 */
static void C_ccall f_10664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10664,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_number_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_number(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-fixnum in k8542 */
static void C_ccall f_10675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10675,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_fixnum_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_fixnum(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-exact in k8542 */
static void C_ccall f_10686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10686,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_exact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_exact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-inexact in k8542 */
static void C_ccall f_10697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10697,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_inexact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_inexact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-symbol in k8542 */
static void C_ccall f_10708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10708,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_symbol_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_symbol(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-vector in k8542 */
static void C_ccall f_10719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10719,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_vector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_vector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-char in k8542 */
static void C_ccall f_10730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10730,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_char_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_char(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-boolean in k8542 */
static void C_ccall f_10741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10741,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_boolean_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_boolean(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-locative in k8542 */
static void C_ccall f_10752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10752,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_locative_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_locative(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-integer in k8542 */
static void C_ccall f_10763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10763,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1182: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1182: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-integer in k8542 */
static void C_ccall f_10780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10780,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_exact_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1186: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1186: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-uinteger in k8542 */
static void C_ccall f_10797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10797,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_exact_integerp(t2);
t5=C_i_not(t4);
t6=(C_truep(t5)?t5:C_i_integer_negativep(t2));
if(C_truep(t6)){
if(C_truep(C_i_pairp(t3))){
t7=t3;
t8=C_u_i_car(t7);
/* library.scm:1191: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1191: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}
else{
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#check-real in k8542 */
static void C_ccall f_10821(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10821,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_realp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1195: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1195: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-range in k8542 */
static void C_ccall f_10838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_10838,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10842,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1198: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k10840 in check-range in k8542 */
static void C_ccall f_10842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_10842,2,av);}
t2=C_fixnum_less_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?C_fixnum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
if(C_truep(C_i_pairp(((C_word*)t0)[6]))){
t5=((C_word*)t0)[6];
t6=C_u_i_car(t5);
/* library.scm:1200: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t6;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}
else{
/* library.scm:1200: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}}}

/* ##sys#check-special in k8542 */
static void C_ccall f_10868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10868,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=(C_truep(C_blockp(t2))?C_specialp(t2):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=C_u_i_car(t5);
/* library.scm:1206: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t6;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
/* library.scm:1206: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=C_SCHEME_FALSE;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}}}

/* ##sys#check-closure in k8542 */
static void C_ccall f_10888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10888,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_closure_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#force in k8542 */
static void C_ccall f_10899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_10899,3,av);}
a=C_alloc(6);
if(C_truep(C_i_structurep(t2,lf[216]))){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10911,a[2]=t4,a[3]=((C_word)li274),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_10911(t6,t1,t2,C_SCHEME_FALSE);}
else{
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* lp in scheme#force in k8542 */
static void C_fcall f_10911(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10911,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
/* library.scm:1219: ##sys#values */{
C_word av2[2];
av2[0]=0;
av2[1]=t1;
C_values(2,av2);}}
else{
if(C_truep(C_i_pairp(t4))){{
C_word av2[3];
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_apply_values(3,av2);}}
else{
if(C_truep(C_i_closurep(t4))){
t5=(C_truep(t3)?C_i_setslot(t3,C_fix(1),t2):C_SCHEME_UNDEFINED);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10945,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1223: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[367]+1);
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_structurep(t4,lf[216]))){
/* library.scm:1235: lp */
t8=t1;
t9=t4;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}}}

/* k10943 in lp in scheme#force in k8542 */
static void C_ccall f_10945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_10945,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=C_i_closurep(t3);
if(C_truep(C_i_not(t4))){
/* library.scm:1225: lp */
t5=((C_word*)((C_word*)t0)[3])[1];
f_10911(t5,((C_word*)t0)[4],((C_word*)t0)[2],((C_word*)t0)[5]);}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10960,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=C_i_nullp(t2);
if(C_truep(C_i_not(t6))){
t7=C_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=C_slot(t2,C_fix(0));
t9=t5;
f_10960(t9,C_i_structurep(t8,lf[216]));}
else{
t8=t5;
f_10960(t8,C_SCHEME_FALSE);}}
else{
t7=t5;
f_10960(t7,C_SCHEME_FALSE);}}}

/* k10958 in k10943 in lp in scheme#force in k8542 */
static void C_fcall f_10960(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_10960,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(1));
t4=C_i_setslot(((C_word*)t0)[3],C_fix(1),t3);
/* library.scm:1230: lp */
t5=((C_word*)((C_word*)t0)[4])[1];
f_10911(t5,((C_word*)t0)[5],((C_word*)t0)[3],t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],C_fix(1),((C_word*)t0)[2]);{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}}

/* ##sys#error-not-a-proper-list in k8542 */
static void C_ccall f_11027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11027,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1245: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1245: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-number in k8542 */
static void C_ccall f_11043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11043,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1249: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1249: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-integer in k8542 */
static void C_ccall f_11059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11059,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1253: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1253: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-integer in k8542 */
static void C_ccall f_11075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11075,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1257: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1257: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-uinteger in k8542 */
static void C_ccall f_11091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11091,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1261: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1261: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-inexact in k8542 */
static void C_ccall f_11107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11107,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1265: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1265: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-real in k8542 */
static void C_ccall f_11123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11123,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1269: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1269: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-base in k8542 */
static void C_ccall f_11139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11139,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1273: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1273: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* scheme#append in k8542 */
static void C_ccall f_11155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11155,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11167,a[2]=t5,a[3]=((C_word)li287),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_11167(t7,t1,t2);}}

/* loop in scheme#append in k8542 */
static void C_fcall f_11167(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_11167,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11186,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=((C_word)li286),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_11186(t9,t1,t5);}}

/* copy in loop in scheme#append in k8542 */
static void C_fcall f_11186(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_11186,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:1284: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_11167(t5,t1,t4);}
else{
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11217,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:1286: copy */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t4=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:1288: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=lf[374];
tp(4,av2);}}}}

/* k11215 in copy in loop in scheme#append in k8542 */
static void C_ccall f_11217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11217,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#fast-reverse in k8542 */
static void C_ccall f_11234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_11234,3,av);}
a=C_alloc(6);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11240,a[2]=t4,a[3]=((C_word)li289),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_11240(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in fast-reverse in k8542 */
static void C_fcall f_11240(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11240,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=C_slot(t2,C_fix(0));
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1294: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-string in k8542 */
static void C_ccall f_11264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_11264,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_nullp(t3))){
t4=t1;
t5=t2;
/* library.scm:1301: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t4=C_i_car(t3);
t5=t1;
t6=t2;
/* library.scm:1301: ##sys#allocate-vector */
t7=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* scheme#make-string in k8542 */
static void C_ccall f_11284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_11284,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11288,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1308: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[378];
tp(4,av2);}}

/* k11286 in scheme#make-string in k8542 */
static void C_ccall f_11288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_11288,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11291,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:1310: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[378];
av2[4]=lf[380];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11291(2,av2);}}}

/* k11289 in k11286 in scheme#make-string in k8542 */
static void C_ccall f_11291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11291,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=((C_word*)t0)[4];
/* library.scm:1301: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
t3=C_i_check_char_2(t2,lf[378]);
t4=((C_word*)t0)[3];
t5=((C_word*)t0)[4];
/* library.scm:1301: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}}

/* scheme#string->list in k8542 */
static void C_ccall f_11320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11320,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[382]);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11336,a[2]=t2,a[3]=t7,a[4]=((C_word)li293),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11336(t9,t1,t5,C_SCHEME_END_OF_LIST);}

/* loop in scheme#string->list in k8542 */
static void C_fcall f_11336(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11336,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[2],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1326: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* scheme#list->string in k8542 */
static void C_ccall f_11358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11358,3,av);}
a=C_alloc(5);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1334: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[385];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11374,a[2]=t5,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1336: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}}

/* k11372 in scheme#list->string in k8542 */
static void C_ccall f_11374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11374,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11379,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li295),tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11379(t3,C_fix(0),((C_word*)t0)[4])
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop1519 in k11372 in scheme#list->string in k8542 */
static C_word C_fcall f_11379(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t3=C_slot(t2,C_fix(0));
t4=C_i_check_char_2(t3,lf[385]);
t5=C_setsubchar(((C_word*)t0)[3],t1,t3);
t6=C_fixnum_plus(t1,C_fix(1));
t7=C_slot(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* ##sys#reverse-list->string in k8542 */
static void C_ccall f_11410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11410,3,av);}
a=C_alloc(5);
if(C_truep(C_i_listp(t2))){
t3=t2;
t4=C_u_i_length(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11421,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1351: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}
else{
/* library.scm:1359: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[388];
tp(4,av2);}}}

/* k11419 in reverse-list->string in k8542 */
static void C_ccall f_11421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11421,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11430,a[2]=t2,a[3]=((C_word)li297),tmp=(C_word)a,a+=4,tmp);
t5=(
  f_11430(t4,((C_word*)t0)[3],t3)
);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* iter in k11419 in reverse-list->string in k8542 */
static C_word C_fcall f_11430(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t3=C_slot(t1,C_fix(0));
t4=C_i_check_char_2(t3,lf[388]);
t5=C_setsubchar(((C_word*)t0)[2],t2,t3);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_difference(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t3=C_SCHEME_UNDEFINED;
return(t3);}}

/* scheme#string-fill! in k8542 */
static void C_ccall f_11459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11459,4,av);}
t4=C_i_check_string_2(t2,lf[390]);
t5=C_i_check_char_2(t3,lf[390]);
t6=C_block_size(t2);
t7=C_set_memory(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* scheme#string-copy in k8542 */
static void C_ccall f_11472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_11472,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[392]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11482,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1372: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k11480 in scheme#string-copy in k8542 */
static void C_ccall f_11482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11482,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#substring in k8542 */
static void C_ccall f_11484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11484,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_string_2(t2,lf[394]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11491,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1379: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=lf[394];
tp(4,av2);}}

/* k11489 in scheme#substring in k8542 */
static void C_ccall f_11491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_11491,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11494,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=C_u_i_car(t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11529,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1382: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[394];
tp(4,av2);}}
else{
t3=t2;
f_11494(t3,C_block_size(((C_word*)t0)[2]));}}

/* k11492 in k11489 in scheme#substring in k8542 */
static void C_fcall f_11494(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_11494,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_block_size(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11503,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[4],t2))){
t5=C_fixnum_greater_or_equal_p(((C_word*)t0)[4],C_fix(0));
t6=t4;
f_11503(t6,(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_SCHEME_FALSE));}
else{
t5=t4;
f_11503(t5,C_SCHEME_FALSE);}}

/* k11501 in k11492 in k11489 in scheme#substring in k8542 */
static void C_fcall f_11503(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_11503,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:1389: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
/* library.scm:1390: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word av2[6];
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=lf[394];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}}

/* k11527 in k11489 in scheme#substring in k8542 */
static void C_ccall f_11529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11529,2,av);}
t2=((C_word*)t0)[2];
f_11494(t2,((C_word*)t0)[3]);}

/* ##sys#substring in k8542 */
static void C_ccall f_11534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_11534,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11538,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_fixnum_difference(t4,t3);
/* library.scm:1395: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}

/* k11536 in substring in k8542 */
static void C_ccall f_11538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11538,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4],C_fix(0));
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* compare1572 in k8542 */
static void C_ccall f_11543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11543,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare(t2,t3,t8);
/* library.scm:1405: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare(t2,t3,t9);
/* library.scm:1405: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string<? in k8542 */
static void C_ccall f_11564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11564,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11570,a[2]=((C_word)li304),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1413: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[397];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11569 in scheme#string<? in k8542 */
static void C_ccall f_11570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11570,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string>? in k8542 */
static void C_ccall f_11588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11588,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11594,a[2]=((C_word)li306),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1420: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[399];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11593 in scheme#string>? in k8542 */
static void C_ccall f_11594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11594,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string<=? in k8542 */
static void C_ccall f_11612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11612,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11618,a[2]=((C_word)li308),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1427: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[401];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11617 in scheme#string<=? in k8542 */
static void C_ccall f_11618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11618,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string>=? in k8542 */
static void C_ccall f_11633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11633,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11639,a[2]=((C_word)li310),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1434: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[403];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11638 in scheme#string>=? in k8542 */
static void C_ccall f_11639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11639,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* compare1615 in k8542 */
static void C_ccall f_11653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11653,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare_case_insensitive(t2,t3,t8);
/* library.scm:1447: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare_case_insensitive(t2,t3,t9);
/* library.scm:1447: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string-ci<? in k8542 */
static void C_ccall f_11674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11674,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11680,a[2]=((C_word)li313),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1455: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[405];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11679 in scheme#string-ci<? in k8542 */
static void C_ccall f_11680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11680,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci>? in k8542 */
static void C_ccall f_11698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11698,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11704,a[2]=((C_word)li315),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1462: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[407];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11703 in scheme#string-ci>? in k8542 */
static void C_ccall f_11704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11704,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci<=? in k8542 */
static void C_ccall f_11722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11722,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11728,a[2]=((C_word)li317),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1469: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[409];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11727 in scheme#string-ci<=? in k8542 */
static void C_ccall f_11728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11728,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string-ci>=? in k8542 */
static void C_ccall f_11743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11743,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11749,a[2]=((C_word)li319),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1476: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[411];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11748 in scheme#string-ci>=? in k8542 */
static void C_ccall f_11749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11749,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#string-append in k8542 */
static void C_ccall f_11764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_11764,4,av);}
a=C_alloc(7);
t4=C_block_size(t2);
t5=t4;
t6=C_block_size(t3);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11774,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t7,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t9=C_fixnum_plus(t5,t7);
/* library.scm:1486: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t9;
tp(3,av2);}}

/* k11772 in string-append in k8542 */
static void C_ccall f_11774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11774,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,C_fix(0),((C_word*)t0)[5],((C_word*)t0)[3]);
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-append in k8542 */
static void C_ccall f_11780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +13,c,4)))){
C_save_and_reclaim((void*)f_11780,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+13);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11784,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11786,a[2]=t4,a[3]=t7,a[4]=((C_word)li322),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11786(t9,t5,t2,C_fix(0));}

/* k11782 in scheme#string-append in k8542 */
static void C_ccall f_11784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11784,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in scheme#string-append in k8542 */
static void C_fcall f_11786(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_11786,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11797,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1496: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_check_string_2(t6,lf[414]);
t8=C_block_size(t6);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11809,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t11=C_slot(t2,C_fix(1));
t12=C_fixnum_plus(t3,t9);
/* library.scm:1500: loop */
t14=t10;
t15=t11;
t16=t12;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k11795 in loop in scheme#string-append in k8542 */
static void C_ccall f_11797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11797,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k11807 in loop in scheme#string-append in k8542 */
static void C_ccall f_11809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11809,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1],C_fix(0),((C_word*)t0)[4],((C_word*)t0)[5]);
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string in k8542 */
static void C_ccall f_11819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_11819,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* list->string */
t3=*((C_word*)lf[386]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fragments->string in k8542 */
static void C_ccall f_11825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_11825,4,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11829,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1509: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k11827 in fragments->string in k8542 */
static void C_ccall f_11829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11829,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11834,a[2]=t2,a[3]=((C_word)li325),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11834(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k11827 in fragments->string in k8542 */
static C_word C_fcall f_11834(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_block_size(t3);
t5=C_substring_copy(t3,((C_word*)t0)[2],C_fix(0),t4,t2);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_plus(t2,t4);
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* chicken.base#chop in k8542 */
static void C_ccall f_11860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11860,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11864,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1520: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[418];
tp(4,av2);}}

/* k11862 in chicken.base#chop in k8542 */
static void C_ccall f_11864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_11864,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11867,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[3],C_fix(0)))){
/* library.scm:1521: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[418];
av2[3]=lf[419];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11867(2,av2);}}}

/* k11865 in k11862 in chicken.base#chop in k8542 */
static void C_ccall f_11867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11867,2,av);}
a=C_alloc(7);
t2=C_i_length(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11875,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word)li328),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_11875(t6,((C_word*)t0)[4],((C_word*)t0)[2],t2);}

/* loop in k11865 in k11862 in chicken.base#chop in k8542 */
static void C_fcall f_11875(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_11875,4,t0,t1,t2,t3);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11896,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t5,a[6]=((C_word)li327),tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_11896(t7,t1,C_SCHEME_END_OF_LIST,t2,((C_word*)t0)[2]);}}}

/* doloop1700 in loop in k11865 in k11862 in chicken.base#chop in k8542 */
static void C_fcall f_11896(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_11896,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11910,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1531: scheme#reverse */
t7=*((C_word*)lf[46]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=C_slot(t3,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t2);
t8=C_slot(t3,C_fix(1));
t9=C_fixnum_difference(t4,C_fix(1));
t11=t1;
t12=t7;
t13=t8;
t14=t9;
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* k11908 in doloop1700 in loop in k11865 in k11862 in chicken.base#chop in k8542 */
static void C_ccall f_11910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11910,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11914,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_difference(((C_word*)t0)[3],((C_word*)t0)[4]);
/* library.scm:1531: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_11875(t5,t3,((C_word*)t0)[6],t4);}

/* k11912 in k11908 in doloop1700 in loop in k11865 in k11862 in chicken.base#chop in k8542 */
static void C_ccall f_11914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11914,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp+ in k8542 */
static void C_ccall f_11955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11955,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11977,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_plus(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[432];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11975 in chicken.flonum#fp+ in k8542 */
static void C_ccall f_11977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11977,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_plus(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp- in k8542 */
static void C_ccall f_11979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11979,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12001,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_difference(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[434];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11999 in chicken.flonum#fp- in k8542 */
static void C_ccall f_12001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12001,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_difference(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp* in k8542 */
static void C_ccall f_12003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12003,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12025,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_times(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[436];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12023 in chicken.flonum#fp* in k8542 */
static void C_ccall f_12025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12025,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/ in k8542 */
static void C_ccall f_12027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12027,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12049,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[438];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12047 in chicken.flonum#fp/ in k8542 */
static void C_ccall f_12049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12049,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpgcd in k8542 */
static void C_ccall f_12051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12051,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12073,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_gcd(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[440];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12071 in chicken.flonum#fpgcd in k8542 */
static void C_ccall f_12073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12073,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_gcd(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/? in k8542 */
static void C_ccall f_12075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12075,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12097,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[442];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12095 in chicken.flonum#fp/? in k8542 */
static void C_ccall f_12097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12097,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp= in k8542 */
static void C_ccall f_12099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12099,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12121,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[444];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12119 in chicken.flonum#fp= in k8542 */
static void C_ccall f_12121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12121,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_equalp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp> in k8542 */
static void C_ccall f_12123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12123,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12145,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[446];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12143 in chicken.flonum#fp> in k8542 */
static void C_ccall f_12145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12145,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_greaterp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp< in k8542 */
static void C_ccall f_12147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12147,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12169,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[448];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12167 in chicken.flonum#fp< in k8542 */
static void C_ccall f_12169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12169,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp>= in k8542 */
static void C_ccall f_12171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12171,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12193,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[450];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12191 in chicken.flonum#fp>= in k8542 */
static void C_ccall f_12193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12193,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_greater_or_equal_p(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp<= in k8542 */
static void C_ccall f_12195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12195,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12217,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[452];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12215 in chicken.flonum#fp<= in k8542 */
static void C_ccall f_12217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12217,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_less_or_equal_p(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpneg in k8542 */
static void C_ccall f_12219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12219,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12235,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_negate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[454];
av2[4]=t4;
tp(5,av2);}}}

/* k12233 in chicken.flonum#fpneg in k8542 */
static void C_ccall f_12235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12235,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_negate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmax in k8542 */
static void C_ccall f_12237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12237,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12259,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[456];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12257 in chicken.flonum#fpmax in k8542 */
static void C_ccall f_12259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12259,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_max(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmin in k8542 */
static void C_ccall f_12261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12261,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12283,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[458];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12281 in chicken.flonum#fpmin in k8542 */
static void C_ccall f_12283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12283,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_min(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpfloor in k8542 */
static void C_ccall f_12285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12285,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12301,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_floor(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[460];
av2[4]=t4;
tp(5,av2);}}}

/* k12299 in chicken.flonum#fpfloor in k8542 */
static void C_ccall f_12301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12301,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_floor(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptruncate in k8542 */
static void C_ccall f_12303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12303,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12319,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_truncate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[462];
av2[4]=t4;
tp(5,av2);}}}

/* k12317 in chicken.flonum#fptruncate in k8542 */
static void C_ccall f_12319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12319,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_truncate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpround in k8542 */
static void C_ccall f_12321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12321,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12337,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_round(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[464];
av2[4]=t4;
tp(5,av2);}}}

/* k12335 in chicken.flonum#fpround in k8542 */
static void C_ccall f_12337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12337,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_round(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpceiling in k8542 */
static void C_ccall f_12339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12339,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12355,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_ceiling(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[466];
av2[4]=t4;
tp(5,av2);}}}

/* k12353 in chicken.flonum#fpceiling in k8542 */
static void C_ccall f_12355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12355,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_ceiling(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsin in k8542 */
static void C_ccall f_12357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12357,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12373,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_sin(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[468];
av2[4]=t4;
tp(5,av2);}}}

/* k12371 in chicken.flonum#fpsin in k8542 */
static void C_ccall f_12373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12373,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_sin(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpcos in k8542 */
static void C_ccall f_12375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12375,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12391,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_cos(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[470];
av2[4]=t4;
tp(5,av2);}}}

/* k12389 in chicken.flonum#fpcos in k8542 */
static void C_ccall f_12391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12391,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_cos(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptan in k8542 */
static void C_ccall f_12393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12393,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12409,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_tan(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[472];
av2[4]=t4;
tp(5,av2);}}}

/* k12407 in chicken.flonum#fptan in k8542 */
static void C_ccall f_12409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12409,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_tan(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpasin in k8542 */
static void C_ccall f_12411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12411,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12427,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_asin(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[474];
av2[4]=t4;
tp(5,av2);}}}

/* k12425 in chicken.flonum#fpasin in k8542 */
static void C_ccall f_12427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12427,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_asin(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpacos in k8542 */
static void C_ccall f_12429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12429,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12445,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_acos(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[476];
av2[4]=t4;
tp(5,av2);}}}

/* k12443 in chicken.flonum#fpacos in k8542 */
static void C_ccall f_12445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12445,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_acos(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan in k8542 */
static void C_ccall f_12447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12447,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12463,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_atan(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[478];
av2[4]=t4;
tp(5,av2);}}}

/* k12461 in chicken.flonum#fpatan in k8542 */
static void C_ccall f_12463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12463,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_atan(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan2 in k8542 */
static void C_ccall f_12465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12465,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12487,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_atan2(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[480];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12485 in chicken.flonum#fpatan2 in k8542 */
static void C_ccall f_12487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12487,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_atan2(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexp in k8542 */
static void C_ccall f_12489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12489,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12505,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_exp(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[482];
av2[4]=t4;
tp(5,av2);}}}

/* k12503 in chicken.flonum#fpexp in k8542 */
static void C_ccall f_12505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12505,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_exp(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexpt in k8542 */
static void C_ccall f_12507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12507,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12529,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_expt(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[484];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12527 in chicken.flonum#fpexpt in k8542 */
static void C_ccall f_12529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12529,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_expt(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fplog in k8542 */
static void C_ccall f_12531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12531,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12547,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_log(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[486];
av2[4]=t4;
tp(5,av2);}}}

/* k12545 in chicken.flonum#fplog in k8542 */
static void C_ccall f_12547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12547,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_log(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsqrt in k8542 */
static void C_ccall f_12549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12549,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12565,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_sqrt(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[488];
av2[4]=t4;
tp(5,av2);}}}

/* k12563 in chicken.flonum#fpsqrt in k8542 */
static void C_ccall f_12565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12565,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_sqrt(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpabs in k8542 */
static void C_ccall f_12567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12567,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12583,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[490];
av2[4]=t4;
tp(5,av2);}}}

/* k12581 in chicken.flonum#fpabs in k8542 */
static void C_ccall f_12583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12583,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_abs(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpinteger? in k8542 */
static void C_ccall f_12585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_12585,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12601,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_fpintegerp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[492];
av2[4]=t4;
tp(5,av2);}}}

/* k12599 in chicken.flonum#fpinteger? in k8542 */
static void C_ccall f_12601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12601,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_u_i_fpintegerp(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#flonum-print-precision in k8542 */
static void C_ccall f_12603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_12603,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=t4;
t6=C_get_print_precision();
if(C_truep(t5)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12613,a[2]=t5,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1691: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t7;
av2[2]=t5;
av2[3]=lf[494];
tp(4,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k12611 in chicken.flonum#flonum-print-precision in k8542 */
static void C_ccall f_12613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12613,2,av);}
t2=C_set_print_precision(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* make-complex in k8542 */
static void C_fcall f_12625(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12625,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12635,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
f_12635(2,av2);}}
else{
if(C_truep(C_i_flonump(t3))){
/* library.scm:1711: chicken.flonum#fp= */
t6=*((C_word*)lf[443]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[500];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_12635(2,av2);}}}}

/* k12633 in make-complex in k8542 */
static void C_ccall f_12635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_12635,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12639,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1714: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
f_12639(2,av2);}}}}

/* k12637 in k12633 in make-complex in k8542 */
static void C_ccall f_12639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,1)))){
C_save_and_reclaim((void *)f_12639,2,av);}
a=C_alloc(14);
if(C_truep(C_i_inexactp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=C_a_i_cplxnum(&a,2,t1,t3);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_cplxnum(&a,2,t1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#make-rectangular in k8542 */
static void C_ccall f_12661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12661,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12665,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1719: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[502];
tp(4,av2);}}

/* k12663 in scheme#make-rectangular in k8542 */
static void C_ccall f_12665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12665,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12668,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1720: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[502];
tp(4,av2);}}

/* k12666 in k12663 in scheme#make-rectangular in k8542 */
static void C_ccall f_12668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12668,2,av);}
/* library.scm:1721: make-complex */
f_12625(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}

/* scheme#make-polar in k8542 */
static void C_ccall f_12673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12673,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12677,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1725: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[504];
tp(4,av2);}}

/* k12675 in scheme#make-polar in k8542 */
static void C_ccall f_12677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12677,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12680,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1726: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[504];
tp(4,av2);}}

/* k12678 in k12675 in scheme#make-polar in k8542 */
static void C_ccall f_12680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12680,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12683,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1727: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k12681 in k12678 in k12675 in scheme#make-polar in k8542 */
static void C_ccall f_12683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(74,c,3)))){
C_save_and_reclaim((void *)f_12683,2,av);}
a=C_alloc(74);
t2=((C_word*)t0)[2];
t3=C_a_i_cos(&a,1,t1);
t4=C_s_a_i_times(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_a_i_sin(&a,1,t1);
t7=C_s_a_i_times(&a,2,t5,t6);
/* library.scm:1728: make-complex */
f_12625(((C_word*)t0)[3],t4,t7);}

/* scheme#real-part in k8542 */
static void C_ccall f_12694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12694,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_real(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1736: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[506];
tp(4,av2);}}}}

/* scheme#imag-part in k8542 */
static void C_ccall f_12717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12717,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_imag(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1743: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[508];
tp(4,av2);}}}}}

/* scheme#angle in k8542 */
static void C_ccall f_12743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12743,3,av);}
a=C_alloc(4);
t3=C_i_check_number_2(t2,lf[510]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12752,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1749: scheme#imag-part */
t5=*((C_word*)lf[507]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12750 in scheme#angle in k8542 */
static void C_ccall f_12752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_12752,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12757,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1750: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k12755 in k12750 in scheme#angle in k8542 */
static void C_ccall f_12757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_12757,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#magnitude in k8542 */
static void C_ccall f_12759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(95,c,3)))){
C_save_and_reclaim((void *)f_12759,3,av);}
a=C_alloc(95);
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_real(t3);
t5=t2;
t6=C_u_i_cplxnum_imag(t5);
t7=C_s_a_i_times(&a,2,t4,t4);
t8=C_s_a_i_times(&a,2,t6,t6);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1757: scheme#sqrt */
t10=*((C_word*)lf[512]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:1759: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[513];
tp(4,av2);}}}}

/* ratnum in k8542 */
static void C_fcall f_12798(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,1)))){
C_save_and_reclaim_args((void *)trf_12798,3,t1,t2,t3);}
a=C_alloc(13);
switch(t3){
case C_fix(1):
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(-1):
t4=t1;
t5=t2;
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_u_i_integer_negate(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}
default:
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=t2;
t6=C_s_a_u_i_integer_negate(&a,1,t5);
t7=t3;
t8=C_s_a_u_i_integer_negate(&a,1,t7);
t9=t1;
t10=t9;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_a_i_ratnum(&a,2,t6,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=t1;
t6=t2;
t7=t3;
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_ratnum(&a,2,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* scheme#numerator in k8542 */
static void C_ccall f_12844(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12844,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1779: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[517];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12868,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12872,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1781: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_num(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1783: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[517];
av2[4]=lf[519];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12866 in scheme#numerator in k8542 */
static void C_ccall f_12868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12868,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12870 in scheme#numerator in k8542 */
static void C_ccall f_12872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12872,2,av);}
/* library.scm:1781: scheme#numerator */
t2=*((C_word*)lf[515]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#denominator in k8542 */
static void C_ccall f_12890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12890,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1791: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[521];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=lf[522];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12914,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12918,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1793: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_denom(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1795: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[517];
av2[4]=lf[523];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12912 in scheme#denominator in k8542 */
static void C_ccall f_12914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12914,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12916 in scheme#denominator in k8542 */
static void C_ccall f_12918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12918,2,av);}
/* library.scm:1793: scheme#denominator */
t2=*((C_word*)lf[520]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#extended-signum in k8542 */
static void C_ccall f_12936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(26,c,3)))){
C_save_and_reclaim((void *)f_12936,3,av);}
a=C_alloc(26);
if(C_truep(C_i_ratnump(t2))){
t3=t2;
t4=C_u_i_ratnum_num(t3);
t5=C_u_i_integer_signum(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_imag(t3);
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_u_i_cplxnum_real(t3);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_a_i_flonum_atan2(&a,2,t5,t7);
/* library.scm:1802: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1803: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[525];
tp(4,av2);}}}}

/* doloop2211 in deliver in scheme#inexact->exact in k8542 */
static void C_fcall f_12977(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12977,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_u_i_fpintegerp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12988,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1811: chicken.flonum#fp* */
t5=*((C_word*)lf[435]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[529];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k12986 in doloop2211 in deliver in scheme#inexact->exact in k8542 */
static void C_ccall f_12988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12988,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_12977(t3,((C_word*)t0)[4],t1,t2);}

/* deliver in scheme#inexact->exact in k8542 */
static void C_fcall f_12994(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,4)))){
C_save_and_reclaim_args((void *)trf_12994,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_12998,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13027,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12977,a[2]=t8,a[3]=((C_word)li373),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_12977(t10,t5,t6,C_fix(0));}

/* k12996 in deliver in scheme#inexact->exact in k8542 */
static void C_ccall f_12998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_12998,2,av);}
a=C_alloc(7);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13003,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1817: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13001 in k12996 in deliver in scheme#inexact->exact in k8542 */
static void C_ccall f_13003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_13003,2,av);}
a=C_alloc(42);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13014,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_u_i_flo_to_int(&a,1,t2);
/* library.scm:1819: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}
else{
/* library.scm:1820: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[527];
tp(4,av2);}}}

/* k13012 in k13001 in k12996 in deliver in scheme#inexact->exact in k8542 */
static void C_ccall f_13014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13014,2,av);}
/* library.scm:1819: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k13025 in deliver in scheme#inexact->exact in k8542 */
static void C_ccall f_13027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13027,2,av);}
/* library.scm:1816: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(2);
av2[3]=t1;
tp(4,av2);}}

/* k13040 in k13050 in scheme#inexact->exact in k8542 */
static void C_ccall f_13042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_13042,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13046,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1827: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[425]+1);
tp(4,av2);}}

/* k13044 in k13040 in k13050 in scheme#inexact->exact in k8542 */
static void C_ccall f_13046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13046,2,av);}
/* library.scm:1824: deliver */
t2=((C_word*)t0)[2];
f_12994(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13050 in scheme#inexact->exact in k8542 */
static void C_ccall f_13052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13052,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?C_flonum_greaterp(((C_word*)t0)[2],lf[530]):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13042,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1824: scheme#expt */
t5=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[529];
av2[3]=*((C_word*)lf[425]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
/* library.scm:1828: deliver */
t3=((C_word*)t0)[3];
f_12994(t3,((C_word*)t0)[4],((C_word*)t0)[2],C_fix(1));}}

/* scheme#inexact->exact in k8542 */
static void C_ccall f_13056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_13056,3,av);}
a=C_alloc(9);
if(C_truep(C_i_exactp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_s_a_u_i_flo_to_int(&a,1,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_flonum_finitep(t2))){
t3=t1;
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12994,a[2]=t4,a[3]=((C_word)li374),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13052,a[2]=t4,a[3]=t5,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1822: chicken.flonum#fp< */
t7=*((C_word*)lf[447]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[522];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
/* library.scm:1836: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13096,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=C_u_i_cplxnum_real(t4);
/* library.scm:1838: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:1840: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}}

/* k13094 in scheme#inexact->exact in k8542 */
static void C_ccall f_13096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13096,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13100,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_cplxnum_imag(t4);
/* library.scm:1839: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13098 in k13094 in scheme#inexact->exact in k8542 */
static void C_ccall f_13100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13100,2,av);}
/* library.scm:1838: make-complex */
f_12625(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* chicken.bitwise#bitwise-not in k8542 */
static void C_ccall f_13122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13122,3,av);}
a=C_alloc(5);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_bitwise_not(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#bit->boolean in k8542 */
static void C_ccall f_13125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13125,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_bit_to_bool(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.bitwise#integer-length in k8542 */
static void C_ccall f_13128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13128,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integer_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#arithmetic-shift in k8542 */
static void C_ccall f_13131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13131,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#/ in k8542 */
static void C_ccall f_13134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_13134,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t3))){
/* library.scm:1875: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t2;
tp(4,av2);}}
else{
t4=C_slot(t3,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13155,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t3,C_fix(0));
/* library.scm:1877: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}}

/* k13153 in scheme#/ in k8542 */
static void C_ccall f_13155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_13155,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13157,a[2]=t3,a[3]=((C_word)li383),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_13157(t5,((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* loop in k13153 in scheme#/ in k8542 */
static void C_fcall f_13157(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13157,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13175,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(0));
/* library.scm:1881: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}}

/* k13173 in loop in k13153 in scheme#/ in k8542 */
static void C_ccall f_13175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13175,2,av);}
/* library.scm:1880: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13157(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* ##sys#/-2 in k8542 */
static void C_ccall f_13185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_13185,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13189,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,C_fix(0));
if(C_truep(t5)){
t6=C_fix((C_word)C_DIVISION_BY_ZERO_ERROR);
/* library.scm:1888: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=lf[544];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}
else{
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_13189(2,av2);}}}

/* k13187 in /-2 in k8542 */
static void C_ccall f_13189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13189,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13195,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[2];
if(C_truep(C_i_exact_integerp(t3))){
t4=((C_word*)t0)[3];
t5=t2;
f_13195(t5,C_i_exact_integerp(t4));}
else{
t4=t2;
f_13195(t4,C_SCHEME_FALSE);}}

/* k13193 in k13187 in /-2 in k8542 */
static void C_fcall f_13195(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(96,0,4)))){
C_save_and_reclaim_args((void *)trf_13195,2,t0,t1);}
a=C_alloc(96);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_u_i_integer_gcd(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_s_a_u_i_integer_quotient(&a,2,t5,t4);
t7=((C_word*)t0)[3];
t8=C_s_a_u_i_integer_quotient(&a,2,t7,t4);
/* library.scm:1891: ratnum */
f_12798(((C_word*)t0)[4],t6,t8);}
else{
t2=C_i_cplxnump(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_cplxnump(((C_word*)t0)[3]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13227,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1894: scheme#real-part */
t5=*((C_word*)lf[505]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_i_flonump(((C_word*)t0)[2]);
t5=(C_truep(t4)?t4:C_i_flonump(((C_word*)t0)[3]));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13278,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1902: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[2]))){
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=((C_word*)t0)[2];
t9=C_u_i_ratnum_denom(t8);
t10=((C_word*)t0)[3];
t11=C_u_i_ratnum_num(t10);
t12=((C_word*)t0)[3];
t13=C_u_i_ratnum_denom(t12);
t14=C_s_a_u_i_integer_gcd(&a,2,t7,t11);
t15=C_s_a_u_i_integer_gcd(&a,2,t9,t13);
t16=C_s_a_i_quotient(&a,2,t7,t14);
t17=C_s_a_i_quotient(&a,2,t13,t15);
t18=C_s_a_i_times(&a,2,t16,t17);
t19=C_s_a_i_quotient(&a,2,t9,t15);
t20=C_s_a_i_quotient(&a,2,t11,t14);
t21=C_s_a_i_times(&a,2,t19,t20);
/* library.scm:1912: ratnum */
f_12798(((C_word*)t0)[4],t18,t21);}
else{
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13349,a[2]=t8,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1918: ##sys#internal-gcd */
f_14954(t9,lf[544],t8,((C_word*)t0)[3]);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[3];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13383,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t8,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1929: ##sys#internal-gcd */
f_14954(t9,lf[544],((C_word*)t0)[2],t8);}
else{
t6=C_i_numberp(((C_word*)t0)[2]);
if(C_truep(C_i_not(t6))){
/* library.scm:1935: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[544];
tp(4,av2);}}
else{
/* library.scm:1936: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[544];
tp(4,av2);}}}}}}}}

/* k13225 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13227,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13230,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1894: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13228 in k13225 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13230,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13233,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1895: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13231 in k13228 in k13225 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13233,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13236,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1895: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13234 in k13231 in k13228 in k13225 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(198,c,3)))){
C_save_and_reclaim((void *)f_13236,2,av);}
a=C_alloc(198);
t2=t1;
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]);
t4=C_s_a_i_times(&a,2,t2,t2);
t5=C_s_a_i_plus(&a,2,t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_13245,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=t5,tmp=(C_word)a,a+=8,tmp);
t7=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_s_a_i_times(&a,2,((C_word*)t0)[4],t2);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1897: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t9;
av2[3]=t5;
tp(4,av2);}}

/* k13243 in k13234 in k13231 in k13228 in k13225 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(99,c,3)))){
C_save_and_reclaim((void *)f_13245,2,av);}
a=C_alloc(99);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13248,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[6]);
t6=C_s_a_i_minus(&a,2,t4,t5);
/* library.scm:1898: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t6;
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k13246 in k13243 in k13234 in k13231 in k13228 in k13225 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13248,2,av);}
/* library.scm:1899: make-complex */
f_12625(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* k13276 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13278,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13282,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1902: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13280 in k13276 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13282,2,av);}
/* library.scm:1902: chicken.flonum#fp/ */
t2=*((C_word*)lf[437]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k13347 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13349,2,av);}
a=C_alloc(43);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_denom(t3);
t5=((C_word*)t0)[4];
t6=C_s_a_i_quotient(&a,2,t5,t1);
t7=C_s_a_i_times(&a,2,t4,t6);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1922: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1923: ratnum */
f_12798(((C_word*)t0)[5],t2,t7);}}

/* k13381 in k13193 in k13187 in /-2 in k8542 */
static void C_ccall f_13383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13383,2,av);}
a=C_alloc(43);
t2=((C_word*)t0)[2];
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=C_s_a_i_times(&a,2,t3,t5);
t7=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1933: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1934: ratnum */
f_12798(((C_word*)t0)[5],t6,t7);}}

/* scheme#floor in k8542 */
static void C_ccall f_13433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13433,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1941: chicken.flonum#fpfloor */
t4=*((C_word*)lf[459]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?t8:C_s_a_i_minus(&a,2,t8,C_fix(1)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1946: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[546];
tp(4,av2);}}}}}

/* scheme#ceiling in k8542 */
static void C_ccall f_13474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13474,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1951: chicken.flonum#fpceiling */
t4=*((C_word*)lf[465]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?C_s_a_i_plus(&a,2,t8,C_fix(1)):t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1956: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[548];
tp(4,av2);}}}}}

/* scheme#truncate in k8542 */
static void C_ccall f_13515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13515,3,av);}
a=C_alloc(5);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1961: chicken.flonum#fptruncate */
t4=*((C_word*)lf[461]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1965: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[550];
tp(4,av2);}}}}}

/* scheme#round in k8542 */
static void C_ccall f_13549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(36,c,3)))){
C_save_and_reclaim((void *)f_13549,3,av);}
a=C_alloc(36);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_flonum_round_proper(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_a_i_ratnum(&a,2,C_fix(1),C_fix(2));
t6=C_s_a_i_plus(&a,2,t4,t5);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13573,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1974: scheme#floor */
t8=*((C_word*)lf[545]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
/* library.scm:1976: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[552];
tp(4,av2);}}}}}

/* k13571 in scheme#round in k8542 */
static void C_ccall f_13573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_13573,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(C_i_nequalp(t1,((C_word*)t0)[3]))?(C_truep(C_i_oddp(t1))?C_s_a_i_minus(&a,2,t1,C_fix(1)):t1):t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* find-ratio-between in k8542 */
static void C_fcall f_13589(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(67,0,4)))){
C_save_and_reclaim_args((void *)trf_13589,3,t1,t2,t3);}
a=C_alloc(67);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13592,a[2]=t5,a[3]=((C_word)li390),tmp=(C_word)a,a+=4,tmp));
t7=t3;
t8=t2;
if(C_truep(C_i_lessp(t7,t8))){
/* library.scm:1989: find-ratio-between */
t20=t1;
t21=t3;
t22=t2;
t1=t20;
t2=t21;
t3=t22;
goto loop;}
else{
t9=t2;
t10=t3;
t11=C_i_lessp(t9,t10);
if(C_truep(C_i_not(t11))){
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_a_i_list2(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=t2;
if(C_truep(C_i_positivep(t12))){
/* library.scm:1991: sr */
t13=((C_word*)t5)[1];
f_13592(t13,t1,t2,t3);}
else{
t13=t3;
if(C_truep(C_i_negativep(t13))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13692,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t15=t3;
t16=C_s_a_i_negate(&a,1,t15);
t17=t2;
t18=C_s_a_i_negate(&a,1,t17);
/* library.scm:1992: sr */
t19=((C_word*)t5)[1];
f_13592(t19,t14,t16,t18);}
else{
t14=t1;{
C_word av2[2];
av2[0]=t14;
av2[1]=lf[554];
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}}}}}

/* sr in find-ratio-between in k8542 */
static void C_fcall f_13592(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_13592,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13596,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13661,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1980: scheme#floor */
t6=*((C_word*)lf[545]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13594 in sr in find-ratio-between in k8542 */
static void C_ccall f_13596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_13596,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13599,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13657,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1981: scheme#floor */
t5=*((C_word*)lf[545]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13597 in k13594 in sr in find-ratio-between in k8542 */
static void C_ccall f_13599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_13599,2,av);}
a=C_alloc(39);
t2=((C_word*)t0)[2];
t3=C_i_lessp(((C_word*)t0)[3],t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_nequalp(((C_word*)t0)[3],t1))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13616,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13634,a[2]=((C_word*)t0)[5],a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[6];
t7=C_s_a_i_minus(&a,2,t6,t1);
/* library.scm:1984: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t5;
av2[2]=C_fix(1);
av2[3]=t7;
tp(4,av2);}}
else{
t4=C_s_a_i_plus(&a,2,C_fix(1),((C_word*)t0)[3]);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t4,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k13614 in k13597 in k13594 in sr in find-ratio-between in k8542 */
static void C_ccall f_13616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(68,c,1)))){
C_save_and_reclaim((void *)f_13616,2,av);}
a=C_alloc(68);
t2=C_i_cadr(t1);
t3=C_u_i_car(t1);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=C_u_i_car(t1);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_list2(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k13632 in k13597 in k13594 in sr in find-ratio-between in k8542 */
static void C_ccall f_13634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13634,2,av);}
a=C_alloc(34);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13638,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[4];
t5=C_s_a_i_minus(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:1985: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=C_fix(1);
av2[3]=t5;
tp(4,av2);}}

/* k13636 in k13632 in k13597 in k13594 in sr in find-ratio-between in k8542 */
static void C_ccall f_13638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13638,2,av);}
/* library.scm:1984: sr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13592(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13655 in k13594 in sr in find-ratio-between in k8542 */
static void C_ccall f_13657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13657,2,av);}
/* library.scm:1981: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13659 in sr in find-ratio-between in k8542 */
static void C_ccall f_13661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13661,2,av);}
/* library.scm:1980: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13690 in find-ratio-between in k8542 */
static void C_ccall f_13692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,1)))){
C_save_and_reclaim((void *)f_13692,2,av);}
a=C_alloc(35);
t2=C_i_car(t1);
t3=C_s_a_i_negate(&a,1,t2);
t4=C_i_cadr(t1);
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#rationalize in k8542 */
static void C_ccall f_13725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_13725,4,av);}
a=C_alloc(66);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13729,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13748,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=t3;
t8=C_s_a_i_minus(&a,2,t6,t7);
t9=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:1996: find-ratio-between */
f_13589(t5,t8,t9);}

/* k13727 in scheme#rationalize in k8542 */
static void C_ccall f_13729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13729,2,av);}
t2=C_i_inexactp(((C_word*)t0)[2]);
if(C_truep(t2)){
if(C_truep(t2)){
/* library.scm:2002: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:2002: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k13746 in scheme#rationalize in k8542 */
static void C_ccall f_13748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13748,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[526]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* scheme#max in k8542 */
static void C_ccall f_13750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13750,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13757,a[2]=t6,a[3]=((C_word)li393),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13757(t8,t1,t4,t2,t3);}

/* loop in scheme#max in k8542 */
static void C_fcall f_13757(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13757,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[557]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_greaterp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2012: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#min in k8542 */
static void C_ccall f_13793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13793,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13800,a[2]=t6,a[3]=((C_word)li395),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13800(t8,t1,t4,t2,t3);}

/* loop in scheme#min in k8542 */
static void C_fcall f_13800(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13800,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[559]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_lessp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2023: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#exp in k8542 */
static void C_ccall f_13836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13836,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[561]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13851,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=C_u_i_cplxnum_real(t5);
/* library.scm:2032: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t4;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_flonum_exp(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13849 in scheme#exp in k8542 */
static void C_ccall f_13851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_13851,2,av);}
a=C_alloc(12);
t2=C_a_i_exp(&a,1,t1);
t3=((C_word*)t0)[2];
t4=C_u_i_cplxnum_imag(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13860,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13865,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2035: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}

/* k13858 in k13849 in scheme#exp in k8542 */
static void C_ccall f_13860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_13860,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13863 in k13849 in scheme#exp in k8542 */
static void C_ccall f_13865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_13865,2,av);}
a=C_alloc(19);
t2=C_a_i_cos(&a,1,t1);
t3=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
t4=C_a_i_sin(&a,1,t3);
/* library.scm:2034: make-complex */
f_12625(((C_word*)t0)[3],t2,t4);}

/* ##sys#log-1 in k8542 */
static void C_ccall f_13878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_13878,3,av);}
a=C_alloc(4);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
/* library.scm:2042: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[563];
av2[3]=lf[564];
av2[4]=lf[565];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=C_i_cplxnump(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13897,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_13897(t6,t4);}
else{
t6=t2;
t7=t5;
f_13897(t7,C_i_negativep(t6));}}}

/* k13895 in log-1 in k8542 */
static void C_fcall f_13897(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_13897,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13901,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13914,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2045: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13918,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2048: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k13899 in k13895 in log-1 in k8542 */
static void C_ccall f_13901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13901,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13906,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2046: make-complex */
f_12625(t3,C_fix(0),C_fix(1));}

/* k13904 in k13899 in k13895 in log-1 in k8542 */
static void C_ccall f_13906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13906,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13910,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2046: scheme#angle */
t4=*((C_word*)lf[509]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13908 in k13904 in k13899 in k13895 in log-1 in k8542 */
static void C_ccall f_13910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(62,c,1)))){
C_save_and_reclaim((void *)f_13910,2,av);}
a=C_alloc(62);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13912 in k13895 in log-1 in k8542 */
static void C_ccall f_13914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13914,2,av);}
/* library.scm:2045: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k13916 in k13895 in log-1 in k8542 */
static void C_ccall f_13918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_13918,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_log(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#log in k8542 */
static void C_ccall f_13921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_13921,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13935,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2052: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:2052: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* k13933 in scheme#log in k8542 */
static void C_ccall f_13935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13935,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13939,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2052: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k13937 in k13933 in scheme#log in k8542 */
static void C_ccall f_13939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13939,2,av);}
/* library.scm:2052: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#sin in k8542 */
static void C_ccall f_13950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13950,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[568]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[569],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13970,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2059: scheme#exp */
t7=*((C_word*)lf[560]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_sin(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13968 in scheme#sin in k8542 */
static void C_ccall f_13970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13970,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13974,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2059: scheme#exp */
t5=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13972 in k13968 in scheme#sin in k8542 */
static void C_ccall f_13974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13974,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2059: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[570];
tp(4,av2);}}

/* scheme#cos in k8542 */
static void C_ccall f_13980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13980,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[572]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[569],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14000,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2067: scheme#exp */
t7=*((C_word*)lf[560]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_cos(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13998 in scheme#cos in k8542 */
static void C_ccall f_14000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14000,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14004,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2067: scheme#exp */
t5=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14002 in k13998 in scheme#cos in k8542 */
static void C_ccall f_14004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14004,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2067: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(2);
tp(4,av2);}}

/* scheme#tan in k8542 */
static void C_ccall f_14010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_14010,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[574]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14027,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2074: scheme#sin */
t5=*((C_word*)lf[567]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_tan(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k14025 in scheme#tan in k8542 */
static void C_ccall f_14027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14027,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14031,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2074: scheme#cos */
t4=*((C_word*)lf[571]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14029 in k14025 in scheme#tan in k8542 */
static void C_ccall f_14031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14031,2,av);}
/* library.scm:2074: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#asin in k8542 */
static void C_ccall f_14035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_14035,3,av);}
a=C_alloc(8);
t3=C_i_check_number_2(t2,lf[576]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14045,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14084,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2081: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[530];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14045(t5,C_SCHEME_FALSE);}}

/* k14043 in scheme#asin in k8542 */
static void C_fcall f_14045(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14045,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_a_i_asin(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14051,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14051(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14051(t3,C_SCHEME_FALSE);}}}

/* k14049 in k14043 in scheme#asin in k8542 */
static void C_fcall f_14051(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,0,3)))){
C_save_and_reclaim_args((void *)trf_14051,2,t0,t1);}
a=C_alloc(102);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_asin(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14056,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,lf[569],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14064,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[3];
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=C_s_a_i_minus(&a,2,C_fix(1),t8);
/* library.scm:2090: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[578]+1);
av2[1]=t5;
av2[2]=lf[576];
av2[3]=t9;
tp(4,av2);}}}

/* k14054 in k14049 in k14043 in scheme#asin in k8542 */
static void C_ccall f_14056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14056,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,lf[577],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14062 in k14049 in k14043 in scheme#asin in k8542 */
static void C_ccall f_14064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,2)))){
C_save_and_reclaim((void *)f_14064,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2088: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}

/* k14082 in scheme#asin in k8542 */
static void C_ccall f_14084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14084,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_flonum_less_or_equal_p(t2,lf[522]);
t4=((C_word*)t0)[3];
f_14045(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14045(t2,C_SCHEME_FALSE);}}

/* scheme#acos in k8542 */
static void C_ccall f_14088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_14088,3,av);}
a=C_alloc(9);
t3=C_i_check_number_2(t2,lf[580]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14098,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14124,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2098: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[530];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14098(t5,C_SCHEME_FALSE);}}

/* k14096 in scheme#acos in k8542 */
static void C_fcall f_14098(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_14098,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_a_i_acos(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14104,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14104(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14104(t3,C_SCHEME_FALSE);}}}

/* k14102 in k14096 in scheme#acos in k8542 */
static void C_fcall f_14104(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_14104,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_acos(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14109,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2105: scheme#asin */
t4=*((C_word*)lf[575]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k14107 in k14102 in k14096 in scheme#acos in k8542 */
static void C_ccall f_14109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_14109,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_minus(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14122 in scheme#acos in k8542 */
static void C_ccall f_14124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14124,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_flonum_less_or_equal_p(t2,lf[522]);
t4=((C_word*)t0)[3];
f_14098(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14098(t2,C_SCHEME_FALSE);}}

/* scheme#atan in k8542 */
static void C_ccall f_14128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +66,c,3)))){
C_save_and_reclaim((void*)f_14128,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+66);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_check_number_2(t2,lf[582]);
if(C_truep(C_i_cplxnump(t2))){
if(C_truep(t5)){
/* library.scm:2112: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[582];
tp(4,av2);}}
else{
t7=t2;
t8=C_s_a_i_times(&a,2,lf[569],t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14157,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
t10=C_s_a_i_plus(&a,2,C_fix(1),t8);
/* library.scm:2114: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}}
else{
if(C_truep(t5)){
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14176,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2118: scheme#exact->inexact */
t10=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_atan(&a,1,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* k14155 in scheme#atan in k8542 */
static void C_ccall f_14157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14157,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14161,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_minus(&a,2,C_fix(1),((C_word*)t0)[3]);
/* library.scm:2115: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k14159 in k14155 in scheme#atan in k8542 */
static void C_ccall f_14161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14161,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2114: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[570];
tp(4,av2);}}

/* k14174 in scheme#atan in k8542 */
static void C_ccall f_14176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14176,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#exact-integer-sqrt in k8542 */
static void C_ccall f_14186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14186,3,av);}
a=C_alloc(10);
t3=C_fixnump(t2);
t4=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(4)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=t2;
t6=C_eqp(t5,C_fix(0));
t7=(C_truep(t6)?t6:C_eqp(t5,C_fix(1)));
if(C_truep(t7)){
/* library.scm:2130: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
switch(t5){
case C_fix(2):
/* library.scm:2131: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(1);
C_values(4,av2);}
case C_fix(3):
/* library.scm:2132: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(2);
C_values(4,av2);}
case C_fix(4):
/* library.scm:2133: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(2);
av2[3]=C_fix(0);
C_values(4,av2);}
default:
/* library.scm:2134: chicken.base#error */
t8=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[584];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
t5=t2;
t6=C_i_integer_length(t5);
t7=C_fixnum_plus(t6,C_fix(1));
t8=C_fixnum_shift_right(t7,C_fix(2));
t9=t8;
t10=C_fixnum_shift_left(t9,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14259,a[2]=t2,a[3]=t11,a[4]=((C_word)li406),tmp=(C_word)a,a+=5,tmp);
t13=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14271,a[2]=t9,a[3]=t2,a[4]=((C_word)li410),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2135: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a14258 in exact-integer-sqrt in k8542 */
static void C_ccall f_14259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14259,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_fixnum_negate(((C_word*)t0)[3]);
t4=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
/* library.scm:2138: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}

/* a14270 in exact-integer-sqrt in k8542 */
static void C_ccall f_14271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(38,c,4)))){
C_save_and_reclaim((void *)f_14271,4,av);}
a=C_alloc(38);
t4=t2;
t5=t3;
t6=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),((C_word*)t0)[2]);
t7=C_s_a_u_i_integer_minus(&a,2,t6,C_fix(1));
t8=((C_word*)t0)[3];
t9=C_s_a_i_bitwise_and(&a,2,t8,t7);
t10=t9;
t11=((C_word*)t0)[3];
t12=C_fixnum_negate(((C_word*)t0)[2]);
t13=C_s_a_i_arithmetic_shift(&a,2,t11,t12);
t14=C_s_a_i_bitwise_and(&a,2,t13,t7);
t15=t14;
t16=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14290,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t15,a[5]=t4,a[6]=((C_word)li408),tmp=(C_word)a,a+=7,tmp);
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14304,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t10,a[5]=((C_word)li409),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2135: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t16;
av2[3]=t17;
C_call_with_values(4,av2);}}

/* a14289 in a14270 in exact-integer-sqrt in k8542 */
static void C_ccall f_14290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_14290,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li407),tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_u_i_integer_plus(&a,2,t3,((C_word*)t0)[4]);
t5=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[5],C_fix(1));
/* library.scm:2135: g2583 */
t6=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* a14303 in a14270 in exact-integer-sqrt in k8542 */
static void C_ccall f_14304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(222,c,3)))){
C_save_and_reclaim((void *)f_14304,4,av);}
a=C_alloc(222);
t4=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t5=C_s_a_i_plus(&a,2,t4,t2);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,((C_word*)t0)[3]);
t7=C_s_a_i_times(&a,2,t2,t2);
t8=C_s_a_i_minus(&a,2,((C_word*)t0)[4],t7);
t9=C_s_a_i_plus(&a,2,t6,t8);
if(C_truep(C_i_negativep(t9))){
t10=C_s_a_i_minus(&a,2,t5,C_fix(1));
t11=C_s_a_i_arithmetic_shift(&a,2,t5,C_fix(1));
t12=C_s_a_i_plus(&a,2,t9,t11);
t13=C_s_a_i_minus(&a,2,t12,C_fix(1));
/* library.scm:2149: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t13;
C_values(4,av2);}}
else{
/* library.scm:2151: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t9;
C_values(4,av2);}}}

/* chicken.base#exact-integer-sqrt in k8542 */
static void C_ccall f_14351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14351,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14355,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2155: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[586];
tp(4,av2);}}

/* k14353 in chicken.base#exact-integer-sqrt in k8542 */
static void C_ccall f_14355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14355,2,av);}
/* library.scm:2156: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* ##sys#sqrt/loc in k8542 */
static void C_ccall f_14360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(32,c,4)))){
C_save_and_reclaim((void *)f_14360,4,av);}
a=C_alloc(32);
if(C_truep(C_i_cplxnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14370,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t3;
t6=C_u_i_cplxnum_imag(t5);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_u_i_cplxnum_real(t5);
t9=C_a_i_exact_to_inexact(&a,1,t8);
t10=C_a_i_flonum_atan2(&a,2,t7,t9);
/* library.scm:2162: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(2);
tp(4,av2);}}
else{
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14406,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2167: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14417,a[2]=t3,a[3]=((C_word)li413),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14423,a[2]=t3,a[3]=((C_word)li414),tmp=(C_word)a,a+=4,tmp);
/* library.scm:2169: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14445,a[2]=t3,a[3]=((C_word)li415),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14457,a[2]=t3,a[3]=t2,a[4]=((C_word)li418),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2174: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14509,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2182: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}}}

/* k14368 in sqrt/loc in k8542 */
static void C_ccall f_14370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14370,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14374,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2163: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14372 in k14368 in sqrt/loc in k8542 */
static void C_ccall f_14374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_14374,2,av);}
a=C_alloc(10);
t2=C_a_i_sqrt(&a,1,t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14383,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2164: scheme#cos */
t5=*((C_word*)lf[571]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14381 in k14372 in k14368 in sqrt/loc in k8542 */
static void C_ccall f_14383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,2)))){
C_save_and_reclaim((void *)f_14383,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14389,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2164: scheme#sin */
t5=*((C_word*)lf[567]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14387 in k14381 in k14372 in k14368 in sqrt/loc in k8542 */
static void C_ccall f_14389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14389,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2164: make-complex */
f_12625(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* k14404 in sqrt/loc in k8542 */
static void C_ccall f_14406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14406,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
/* library.scm:2166: make-complex */
f_12625(((C_word*)t0)[2],lf[500],t2);}

/* a14416 in sqrt/loc in k8542 */
static void C_ccall f_14417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14417,2,av);}
/* library.scm:2169: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* a14422 in sqrt/loc in k8542 */
static void C_ccall f_14423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_14423,4,av);}
a=C_alloc(3);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14434,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2172: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14432 in a14422 in sqrt/loc in k8542 */
static void C_ccall f_14434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14434,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a14444 in sqrt/loc in k8542 */
static void C_ccall f_14445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14445,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_num(t2);
/* library.scm:2174: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14456 in sqrt/loc in k8542 */
static void C_ccall f_14457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14457,4,av);}
a=C_alloc(10);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14469,a[2]=((C_word*)t0)[2],a[3]=((C_word)li416),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14481,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li417),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2176: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14505,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2181: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* a14468 in a14456 in sqrt/loc in k8542 */
static void C_ccall f_14469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14469,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2177: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14480 in a14456 in sqrt/loc in k8542 */
static void C_ccall f_14481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14481,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2179: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14498,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2180: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14496 in a14480 in a14456 in sqrt/loc in k8542 */
static void C_ccall f_14498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14498,2,av);}
/* library.scm:2180: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14503 in a14456 in sqrt/loc in k8542 */
static void C_ccall f_14505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14505,2,av);}
/* library.scm:2181: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14507 in sqrt/loc in k8542 */
static void C_ccall f_14509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14509,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_sqrt(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#sqrt in k8542 */
static void C_ccall f_14511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14511,3,av);}
/* library.scm:2184: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=t1;
av2[2]=lf[587];
av2[3]=t2;
tp(4,av2);}}

/* chicken.base#exact-integer-nth-root in k8542 */
static void C_ccall f_14517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14517,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14521,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2188: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[590];
tp(4,av2);}}

/* k14519 in chicken.base#exact-integer-nth-root in k8542 */
static void C_ccall f_14521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14521,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14524,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2189: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[590];
tp(4,av2);}}

/* k14522 in k14519 in chicken.base#exact-integer-nth-root in k8542 */
static void C_ccall f_14524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14524,2,av);}
/* library.scm:2190: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[590];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#exact-integer-nth-root/loc in k8542 */
static void C_ccall f_14529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14529,5,av);}
a=C_alloc(5);
t5=C_eqp(C_fix(0),t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14539,a[2]=t1,a[3]=t3,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_14539(t7,t5);}
else{
t7=C_eqp(C_fix(1),t3);
t8=t6;
f_14539(t8,(C_truep(t7)?t7:C_eqp(C_fix(1),t4)));}}

/* k14537 in exact-integer-nth-root/loc in k8542 */
static void C_fcall f_14539(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,0,3)))){
C_save_and_reclaim_args((void *)trf_14539,2,t0,t1);}
a=C_alloc(29);
if(C_truep(t1)){
/* library.scm:2196: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_i_integer_length(t2);
t4=((C_word*)t0)[4];
if(C_truep(C_i_lessp(t3,t4))){
t5=((C_word*)t0)[3];
t6=C_s_a_i_minus(&a,2,t5,C_fix(1));
/* library.scm:2199: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t6;
C_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14557,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14612,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14616,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(t3,C_fix(1));
t9=((C_word*)t0)[4];
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
tp(4,av2);}}}}

/* k14555 in k14537 in exact-integer-nth-root/loc in k8542 */
static void C_ccall f_14557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(76,c,3)))){
C_save_and_reclaim((void *)f_14557,2,av);}
a=C_alloc(76);
t2=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),t1);
t3=((C_word*)t0)[2];
t4=C_s_a_i_minus(&a,2,t3,C_fix(1));
t5=C_s_a_i_times(&a,2,t4,t2);
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_14575,a[2]=t6,a[3]=t5,a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2207: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}

/* k14573 in k14555 in k14537 in exact-integer-nth-root/loc in k8542 */
static void C_ccall f_14575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_14575,2,av);}
a=C_alloc(48);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14578,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=t7,a[6]=((C_word)li422),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_14578(t9,((C_word*)t0)[7],((C_word*)t0)[8],t5);}

/* lp in k14573 in k14555 in k14537 in exact-integer-nth-root/loc in k8542 */
static void C_fcall f_14578(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,0,3)))){
C_save_and_reclaim_args((void *)trf_14578,4,t0,t1,t2,t3);}
a=C_alloc(41);
t4=t3;
t5=t2;
if(C_truep(C_i_lessp(t4,t5))){
t6=t3;
t7=C_s_a_i_times(&a,2,((C_word*)t0)[2],t6);
t8=((C_word*)t0)[3];
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14598,a[2]=t8,a[3]=t7,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2212: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14608,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2214: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k14596 in lp in k14573 in k14555 in k14537 in exact-integer-nth-root/loc in k8542 */
static void C_ccall f_14598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_14598,2,av);}
a=C_alloc(39);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
/* library.scm:2210: lp */
t6=((C_word*)((C_word*)t0)[5])[1];
f_14578(t6,((C_word*)t0)[6],((C_word*)t0)[7],t5);}

/* k14606 in lp in k14573 in k14555 in k14537 in exact-integer-nth-root/loc in k8542 */
static void C_ccall f_14608(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14608,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2214: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
C_values(4,av2);}}

/* k14610 in k14537 in exact-integer-nth-root/loc in k8542 */
static void C_ccall f_14612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14612,2,av);}
/* library.scm:2201: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14614 in k14537 in exact-integer-nth-root/loc in k8542 */
static void C_ccall f_14616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14616,2,av);}
/* library.scm:2201: scheme#ceiling */
t2=*((C_word*)lf[547]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#integer-power in k8542 */
static void C_ccall f_14632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_14632,4,av);}
a=C_alloc(8);
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14649,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_u_i_integer_negate(&a,1,t6);
/* library.scm:2219: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14660,a[2]=t6,a[3]=t2,a[4]=((C_word)li424),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_14660(t8,t1,C_fix(1),t3);}}

/* k14647 in integer-power in k8542 */
static void C_ccall f_14649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14649,2,av);}
/* library.scm:2219: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t1;
tp(4,av2);}}

/* lp in integer-power in k8542 */
static void C_fcall f_14660(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(62,0,3)))){
C_save_and_reclaim_args((void *)trf_14660,4,t0,t1,t2,t3);}
a=C_alloc(62);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t3;
if(C_truep(C_i_evenp(t5))){
t6=t2;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14680,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t3;
t9=C_s_a_i_arithmetic_shift(&a,2,t8,C_fix(-1));
/* library.scm:2224: lp */
t12=t7;
t13=C_fix(1);
t14=t9;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=t2;
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=t3;
t10=C_s_a_i_minus(&a,2,t9,C_fix(1));
/* library.scm:2226: lp */
t12=t1;
t13=t8;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}

/* k14678 in lp in integer-power in k8542 */
static void C_ccall f_14680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,c,1)))){
C_save_and_reclaim((void *)f_14680,2,av);}
a=C_alloc(66);
t2=C_s_a_i_times(&a,2,t1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#expt in k8542 */
static void C_ccall f_14694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,4)))){
C_save_and_reclaim((void *)f_14694,4,av);}
a=C_alloc(17);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14697,a[2]=((C_word)li426),tmp=(C_word)a,a+=3,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14709,a[2]=((C_word)li427),tmp=(C_word)a,a+=3,tmp));
t10=C_i_numberp(t2);
if(C_truep(C_i_not(t10))){
/* library.scm:2238: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[591];
tp(4,av2);}}
else{
t11=C_i_numberp(t3);
if(C_truep(C_i_not(t11))){
/* library.scm:2239: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[591];
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14752,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t7,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_ratnump(t2))){
t13=C_i_inexactp(t3);
t14=t12;
f_14752(t14,C_i_not(t13));}
else{
t13=t12;
f_14752(t13,C_SCHEME_FALSE);}}}}

/* log-expt in scheme#expt in k8542 */
static void C_fcall f_14697(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14697,3,t1,t2,t3);}
a=C_alloc(4);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14707,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2231: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k14705 in log-expt in scheme#expt in k8542 */
static void C_ccall f_14707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14707,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2231: scheme#exp */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* slow-expt in scheme#expt in k8542 */
static void C_fcall f_14709(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,6)))){
C_save_and_reclaim_args((void *)trf_14709,3,t1,t2,t3);}
a=C_alloc(4);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
/* library.scm:2234: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[7];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[563];
av2[3]=lf[591];
av2[4]=lf[592];
av2[5]=t2;
av2[6]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(7,av2);}}
else{
t5=t3;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14728,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2237: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}}

/* k14726 in slow-expt in scheme#expt in k8542 */
static void C_ccall f_14728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14728,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2237: scheme#exp */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14750 in scheme#expt in k8542 */
static void C_fcall f_14752(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_14752,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14756,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_num(t3);
/* library.scm:2243: scheme#expt */
t5=*((C_word*)lf[531]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t2;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[4]))){
t2=((C_word*)t0)[3];
if(C_truep(C_i_exact_integerp(t2))){
t3=((C_word*)t0)[3];
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14795,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2250: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14802,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li428),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14814,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li429),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2251: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[3]))){
t3=((C_word*)t0)[4];
t4=C_a_i_exact_to_inexact(&a,1,t3);
/* library.scm:2260: log-expt */
f_14697(((C_word*)t0)[2],((C_word*)t0)[3],t4);}
else{
/* library.scm:2261: slow-expt */
f_14709(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}}}
else{
t2=C_i_cplxnump(((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14858,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t4=t3;
f_14858(t4,t2);}
else{
if(C_truep(C_i_cplxnump(((C_word*)t0)[3]))){
t4=((C_word*)t0)[4];
t5=C_i_integerp(t4);
t6=t3;
f_14858(t6,C_i_not(t5));}
else{
t4=t3;
f_14858(t4,C_SCHEME_FALSE);}}}}}

/* k14754 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14756,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14760,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2244: scheme#expt */
t8=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t3;
av2[2]=t5;
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k14758 in k14754 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14760,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14793 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_14795,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];
t3=C_a_i_exact_to_inexact(&a,1,t2);
/* library.scm:2250: log-expt */
f_14697(((C_word*)t0)[4],t1,t3);}

/* a14801 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14802,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2252: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=t1;
av2[2]=lf[591];
av2[3]=((C_word*)t0)[3];
av2[4]=t3;
tp(5,av2);}}

/* a14813 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14814,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];
t6=C_u_i_ratnum_num(t5);
/* library.scm:2255: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14834,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2257: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14832 in a14813 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14834,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14838,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2258: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14836 in k14832 in a14813 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14838,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14856 in k14750 in scheme#expt in k8542 */
static void C_fcall f_14858(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_14858,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:2263: slow-expt */
f_14709(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14867,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_flonump(((C_word*)t0)[5]))){
t3=C_u_i_fpintegerp(((C_word*)t0)[5]);
t4=t2;
f_14867(t4,C_i_not(t3));}
else{
t3=t2;
f_14867(t3,C_SCHEME_FALSE);}}}

/* k14865 in k14856 in k14750 in scheme#expt in k8542 */
static void C_fcall f_14867(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_14867,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
if(C_truep(C_i_negativep(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14878,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2267: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14886,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2269: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14893,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2271: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_i_inexactp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_inexactp(((C_word*)t0)[5]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14909,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14913,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2275: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:2276: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}

/* k14876 in k14865 in k14856 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14878,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14882,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2267: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14880 in k14876 in k14865 in k14856 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14882,2,av);}
/* library.scm:2267: log-expt */
f_14697(((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k14884 in k14865 in k14856 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14886,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14891 in k14865 in k14856 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14893,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14907 in k14865 in k14856 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14909,2,av);}
/* library.scm:2275: scheme#exact->inexact */
t2=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14911 in k14865 in k14856 in k14750 in scheme#expt in k8542 */
static void C_ccall f_14913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14913,2,av);}
/* library.scm:2275: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* ##sys#internal-gcd in k8542 */
static void C_fcall f_14954(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_14954,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=t4;
if(C_truep(C_i_exact_integerp(t6))){
t7=t1;
t8=t3;
t9=t4;
t10=t7;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_s_a_u_i_integer_gcd(&a,2,t8,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t7=(C_truep(C_i_flonump(t4))?C_u_i_fpintegerp(t4):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14987,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2284: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2285: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
t6=(C_truep(C_i_flonump(t3))?C_u_i_fpintegerp(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
if(C_truep(C_i_flonump(t4))){
t7=C_a_i_flonum_gcd(&a,2,t3,t4);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=t4;
if(C_truep(C_i_exact_integerp(t7))){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15016,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2291: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2292: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
/* library.scm:2293: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}}}

/* k14985 in internal-gcd in k8542 */
static void C_ccall f_14987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14987,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t2,t1);
/* library.scm:2284: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k15014 in internal-gcd in k8542 */
static void C_ccall f_15016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_15016,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t1,t2);
/* library.scm:2291: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* ##sys#gcd in k8542 */
static void C_ccall f_15024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15024,4,av);}
/* library.scm:2295: ##sys#internal-gcd */
f_14954(t1,lf[594],t2,t3);}

/* scheme#gcd in k8542 */
static void C_ccall f_15030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15030,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15050,a[2]=t7,a[3]=((C_word)li433),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_15050(t9,t1,t4,t5);}}

/* loop in scheme#gcd in k8542 */
static void C_fcall f_15050(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15050,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2304: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[594];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15075,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2306: ##sys#internal-gcd */
f_14954(t5,lf[594],t2,t4);}}

/* k15073 in loop in scheme#gcd in k8542 */
static void C_ccall f_15075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15075,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2306: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15050(t3,((C_word*)t0)[4],t1,t2);}

/* ##sys#lcm in k8542 */
static void C_ccall f_15081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_15081,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15085,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2310: ##sys#internal-gcd */
f_14954(t4,lf[597],t2,t3);}

/* k15083 in lcm in k8542 */
static void C_ccall f_15085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(45,c,1)))){
C_save_and_reclaim((void *)f_15085,2,av);}
a=C_alloc(45);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,t2,t3);
t5=C_s_a_i_quotient(&a,2,t4,t1);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#lcm in k8542 */
static void C_ccall f_15092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15092,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15112,a[2]=t6,a[3]=((C_word)li436),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_15112(t8,t1,t3,t4);}}

/* loop in scheme#lcm in k8542 */
static void C_fcall f_15112(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15112,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2320: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[597];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15133,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2322: ##sys#internal-gcd */
f_14954(t6,lf[597],t2,t5);}}

/* k15131 in loop in scheme#lcm in k8542 */
static void C_ccall f_15133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_15133,2,av);}
a=C_alloc(38);
t2=((C_word*)t0)[2];
t3=C_s_a_i_times(&a,2,t2,((C_word*)t0)[3]);
t4=C_s_a_i_quotient(&a,2,t3,t1);
t5=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:2323: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_15112(t6,((C_word*)t0)[6],t4,t5);}

/* ##sys#integer->string/recursive in k8542 */
static void C_ccall f_15147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15147,5,av);}
a=C_alloc(6);
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15154,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2330: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}

/* k15152 in integer->string/recursive in k8542 */
static void C_ccall f_15154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_15154,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15159,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li439),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15165,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li440),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2329: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a15158 in k15152 in integer->string/recursive in k8542 */
static void C_ccall f_15159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_15159,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li438),tmp=(C_word)a,a+=3,tmp);
/* library.scm:2329: g2768 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a15164 in k15152 in integer->string/recursive in k8542 */
static void C_ccall f_15165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15165,4,av);}
a=C_alloc(6);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15169,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[3];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}

/* k15167 in a15164 in k15152 in integer->string/recursive in k8542 */
static void C_ccall f_15169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_15169,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15172,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_s_a_i_abs(&a,1,((C_word*)t0)[4]);
t5=((C_word*)t0)[5];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
tp(4,av2);}}

/* k15170 in k15167 in a15164 in k15152 in integer->string/recursive in k8542 */
static void C_ccall f_15172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15172,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15179,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(t2);
t5=C_fixnum_difference(((C_word*)t0)[4],t4);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=C_make_character(48);
tp(4,av2);}}

/* k15177 in k15170 in k15167 in a15164 in k15152 in integer->string/recursive in k8542 */
static void C_ccall f_15179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15179,2,av);}
/* library.scm:2335: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#extended-number->string in k8542 */
static void C_ccall f_15200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15200,4,av);}
a=C_alloc(5);
if(C_truep(C_i_ratnump(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15214,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_u_i_ratnum_num(t5);
t7=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_u_i_cplxnum_real(t4);
t6=t2;
t7=C_u_i_cplxnum_imag(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15255,a[2]=t8,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t10=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t5;
av2[3]=t10;
tp(4,av2);}}
else{
/* library.scm:2357: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[606];
tp(4,av2);}}}}

/* k15212 in extended-number->string in k8542 */
static void C_ccall f_15214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15214,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15218,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=t6;
tp(4,av2);}}

/* k15216 in k15212 in extended-number->string in k8542 */
static void C_ccall f_15218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15218,2,av);}
/* library.scm:2345: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[602];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k15253 in extended-number->string in k8542 */
static void C_ccall f_15255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15255,2,av);}
a=C_alloc(5);
t2=t1;
t3=(C_truep(C_i_finitep(((C_word*)t0)[2]))?(C_truep(C_i_positivep(((C_word*)t0)[2]))?lf[603]:lf[604]):lf[604]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15263,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t6;
tp(4,av2);}}

/* k15261 in k15253 in extended-number->string in k8542 */
static void C_ccall f_15263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_15263,2,av);}
/* library.scm:2352: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
av2[5]=lf[605];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k15288 in safe-exponent in string->compnum in k8542 */
static void C_ccall f_15290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,1)))){
C_save_and_reclaim((void *)f_15290,2,av);}
a=C_alloc(44);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15291 in safe-exponent in string->compnum in k8542 */
static void C_ccall f_15293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_15293,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_i_integer_length(((C_word*)t0)[2]);
t4=C_i_integer_length(t2);
t5=C_fixnum_difference(t3,t4);
t6=C_fixnum_difference(t5,*((C_word*)lf[425]+1));
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t8)[1],C_fix(0)))){
t9=C_fixnum_negate(((C_word*)t8)[1]);
t10=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],t9);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15310,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t10,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2376: round-quotient */
f_15367(t11,t10,t2);}
else{
t9=((C_word*)t0)[2];
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15342,a[2]=((C_word*)t0)[3],a[3]=t9,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2383: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t10;
av2[2]=C_fix(10);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k15308 in k15291 in safe-exponent in string->compnum in k8542 */
static void C_ccall f_15310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,3)))){
C_save_and_reclaim((void *)f_15310,2,av);}
a=C_alloc(44);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15313,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t3)[1];
t6=C_i_integer_length(t5);
t7=*((C_word*)lf[425]+1);
if(C_truep(C_fixnum_greaterp(t6,*((C_word*)lf[425]+1)))){
t8=C_fixnum_plus(C_fix(1),((C_word*)((C_word*)t0)[2])[1]);
t9=C_set_block_item(((C_word*)t0)[2],0,t8);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15331,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t11=C_s_a_i_times(&a,2,((C_word*)t0)[4],C_fix(2));
/* library.scm:2380: round-quotient */
f_15367(t10,((C_word*)t0)[5],t11);}
else{
t8=t4;
f_15313(t8,C_SCHEME_UNDEFINED);}}

/* k15311 in k15308 in k15291 in safe-exponent in string->compnum in k8542 */
static void C_fcall f_15313(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_15313,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15320,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2381: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15318 in k15311 in k15308 in k15291 in safe-exponent in string->compnum in k8542 */
static void C_ccall f_15320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_15320,2,av);}
a=C_alloc(6);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=C_a_i_bytevector(&a,1,C_fix(4));
t4=C_i_foreign_flonum_argumentp(t1);
t5=C_i_foreign_fixnum_argumentp(t2);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub2822(t3,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k15329 in k15308 in k15291 in safe-exponent in string->compnum in k8542 */
static void C_ccall f_15331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_15331,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_15313(t3,t2);}

/* k15340 in k15291 in safe-exponent in string->compnum in k8542 */
static void C_ccall f_15342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15342,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* round-quotient in k8542 */
static void C_fcall f_15367(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(63,0,3)))){
C_save_and_reclaim_args((void *)trf_15367,3,t1,t2,t3);}
a=C_alloc(63);
t4=t2;
t5=t3;
t6=C_s_a_u_i_integer_quotient(&a,2,t4,t5);
t7=t6;
t8=(C_truep(C_i_evenp(t7))?*((C_word*)lf[73]+1):*((C_word*)lf[75]+1));
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15382,a[2]=t2,a[3]=t3,a[4]=t7,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=t2;
t11=t3;
t12=C_s_a_i_remainder(&a,2,t10,t11);
t13=C_s_a_i_abs(&a,1,t12);
t14=C_s_a_i_times(&a,2,t13,C_fix(2));
t15=t3;
t16=C_s_a_i_abs(&a,1,t15);
/* library.scm:2390: g2835 */
t17=t8;{
C_word av2[4];
av2[0]=t17;
av2[1]=t9;
av2[2]=t14;
av2[3]=t16;
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* k15380 in round-quotient in k8542 */
static void C_ccall f_15382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_15382,2,av);}
a=C_alloc(29);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_i_negativep(t2);
t4=((C_word*)t0)[3];
t5=C_i_negativep(t4);
t6=C_eqp(t3,t5);
if(C_truep(t6)){
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(-1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* ##sys#string->compnum in k8542 */
static void C_fcall f_15405(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(83,0,5)))){
C_save_and_reclaim_args((void *)trf_15405,5,t1,t2,t3,t4,t5);}
a=C_alloc(83);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15408,a[2]=t6,tmp=(C_word)a,a+=3,tmp));
t12=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15418,a[2]=t6,a[3]=((C_word)li444),tmp=(C_word)a,a+=4,tmp));
t13=C_block_size(t3);
t14=t13;
t15=C_fixnum_difference(t2,C_fix(1));
t16=C_fixnum_plus(C_fix(48),t15);
t17=C_make_character(C_unfix(t16));
t18=t17;
t19=C_fixnum_difference(t2,C_fix(11));
t20=C_fixnum_plus(C_fix(97),t19);
t21=C_make_character(C_unfix(t20));
t22=t21;
t23=C_fixnum_difference(t2,C_fix(11));
t24=C_fixnum_plus(C_fix(65),t23);
t25=C_make_character(C_unfix(t24));
t26=t25;
t27=C_SCHEME_FALSE;
t28=(*a=C_VECTOR_TYPE|1,a[1]=t27,tmp=(C_word)a,a+=2,tmp);
t29=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15492,a[2]=t14,a[3]=t3,a[4]=t2,a[5]=t18,a[6]=t22,a[7]=t26,a[8]=((C_word)li446),tmp=(C_word)a,a+=9,tmp);
t30=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15600,a[2]=t14,a[3]=t3,a[4]=((C_word)li448),tmp=(C_word)a,a+=5,tmp);
t31=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15650,a[2]=t3,a[3]=t2,a[4]=t28,a[5]=t8,a[6]=t30,a[7]=t29,a[8]=((C_word)li449),tmp=(C_word)a,a+=9,tmp);
t32=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15706,a[2]=t14,a[3]=t3,a[4]=t8,a[5]=t2,a[6]=t29,a[7]=((C_word)li450),tmp=(C_word)a,a+=8,tmp);
t33=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15767,a[2]=t14,a[3]=t10,a[4]=t32,a[5]=t3,a[6]=t31,a[7]=((C_word)li451),tmp=(C_word)a,a+=8,tmp);
t34=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_15979,a[2]=t8,a[3]=t33,a[4]=t2,a[5]=t14,a[6]=t10,a[7]=t32,a[8]=t28,a[9]=t6,a[10]=t31,a[11]=t3,a[12]=((C_word)li452),tmp=(C_word)a,a+=13,tmp);
t35=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16322,a[2]=t14,a[3]=t3,a[4]=t34,a[5]=t8,a[6]=((C_word)li453),tmp=(C_word)a,a+=7,tmp);
t36=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16554,a[2]=t6,a[3]=t1,a[4]=t14,a[5]=t3,a[6]=t4,a[7]=t28,a[8]=t35,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2572: scan-real */
t37=t35;
f_16322(t37,t36,t4);}

/* go-inexact! in string->compnum in k8542 */
static C_word C_fcall f_15408(C_word t0){
C_word tmp;
C_word t1;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
t1=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[609]);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,lf[610]);
return(t2);}}

/* safe-exponent in string->compnum in k8542 */
static void C_fcall f_15418(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_15418,4,t0,t1,t2,t3);}
a=C_alloc(12);
if(C_truep(t3)){
if(C_truep(C_i_not(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;
if(C_truep(C_i_greaterp(t4,C_fix(10000)))){
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t5)){
t6=t2;
if(C_truep(C_i_zerop(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=t2;
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(C_i_greaterp(t7,lf[500]))?lf[611]:lf[612]);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=t3;
t6=C_fixnum_negate(C_fix(10000));
if(C_truep(C_i_lessp(t5,t6))){
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(t7)?lf[500]:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t7)){
t8=t1;
t9=t2;
t10=t3;
t11=C_i_negativep(t10);
if(C_truep(C_i_not(t11))){
t12=t9;
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15290,a[2]=t12,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2369: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t13;
av2[2]=C_fix(10);
av2[3]=t10;
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15293,a[2]=t9,a[3]=t8,a[4]=t10,tmp=(C_word)a,a+=5,tmp);
t13=C_s_a_i_abs(&a,1,t10);
/* library.scm:2370: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t12;
av2[2]=C_fix(10);
av2[3]=t13;
tp(4,av2);}}}
else{
t8=t2;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15476,a[2]=t8,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2411: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}}}}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k15474 in safe-exponent in string->compnum in k8542 */
static void C_ccall f_15476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15476,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scan-digits in string->compnum in k8542 */
static void C_fcall f_15492(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_15492,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15498,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li445),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];
f_15498(t6,t1,t2);}

/* lp in scan-digits in string->compnum in k8542 */
static void C_fcall f_15498(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_15498,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[5],C_fix(10)))){
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[6]):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2435: lp */
t12=t1;
t13=t9;
t1=t12;
t2=t13;
goto loop;}
else{
t9=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=(C_truep(t9)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,C_make_character(57)):C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15561,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t8)){
t10=t9;
f_15561(t10,t8);}
else{
t10=(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(97)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[8]):C_SCHEME_FALSE);
t11=t9;
f_15561(t11,(C_truep(t10)?t10:(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(65)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[9]):C_SCHEME_FALSE)));}}}}

/* k15559 in lp in scan-digits in string->compnum in k8542 */
static void C_fcall f_15561(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15561,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2440: lp */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15498(t3,((C_word*)t0)[4],t2);}
else{
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[5]);
t3=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t3;
av2[1]=(C_truep(t2)?C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-hashes in string->compnum in k8542 */
static void C_fcall f_15600(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_15600,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15606,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li447),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_15606(t6,t1,t2);}

/* lp in scan-hashes in string->compnum in k8542 */
static void C_fcall f_15606(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15606,3,t0,t1,t2);}
a=C_alloc(3);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
t7=C_eqp(t6,C_make_character(35));
if(C_truep(t7)){
t8=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2449: lp */
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t8=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t8)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* scan-digits+hashes in string->compnum in k8542 */
static void C_fcall f_15650(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_15650,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15654,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t1,a[9]=((C_word*)t0)[6],a[10]=t4,tmp=(C_word)a,a+=11,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[4])[1]))){
/* library.scm:2453: scan-digits */
t6=((C_word*)t0)[7];
f_15492(t6,t5,t2);}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_15654(2,av2);}}}

/* k15652 in scan-digits+hashes in string->compnum in k8542 */
static void C_ccall f_15654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_15654,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15657,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
/* library.scm:2455: scan-hashes */
t5=((C_word*)t0)[9];
f_15600(t5,t3,t4);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15657(2,av2);}}}
else{
if(C_truep(((C_word*)t0)[10])){
/* library.scm:2456: scan-hashes */
t4=((C_word*)t0)[9];
f_15600(t4,t3,((C_word*)t0)[3]);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15657(2,av2);}}}}

/* k15655 in k15652 in scan-digits+hashes in string->compnum in k8542 */
static void C_ccall f_15657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15657,2,av);}
a=C_alloc(8);
t2=(C_truep(t1)?t1:((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t2);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t3,((C_word*)t0)[5],((C_word*)t0)[6]);
if(C_truep(t4)){
if(C_truep(t1)){
t5=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t6=(
  /* library.scm:2464: go-inexact! */
  f_15408(((C_word*)((C_word*)t0)[8])[1])
);
t7=C_u_i_cdr(t2);
t8=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_a_i_cons(&a,2,t4,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-exponent in string->compnum in k8542 */
static void C_fcall f_15706(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15706,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15721,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_15721(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_15721(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15719 in scan-exponent in string->compnum in k8542 */
static void C_fcall f_15721(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15721,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15730,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2472: scan-digits */
t6=((C_word*)t0)[7];
f_15492(t6,t5,t4);}
else{
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15728 in k15719 in scan-exponent in string->compnum in k8542 */
static void C_ccall f_15730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15730,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(
  /* library.scm:2473: go-inexact! */
  f_15408(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_i_car(t1);
t4=C_eqp(((C_word*)t0)[3],lf[613]);
t5=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[4],((C_word*)t0)[5],t3,((C_word*)t0)[6],t4);
t6=C_u_i_cdr(t1);
t7=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_cons(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t2=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-decimal-tail in string->compnum in k8542 */
static void C_fcall f_15767(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_15767,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15777,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:2481: scan-digits+hashes */
t6=((C_word*)t0)[6];
f_15650(t6,t5,t2,t3,t4);}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_ccall f_15777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_15777,2,av);}
a=C_alloc(11);
t2=t1;
t3=(C_truep(t2)?C_i_cdr(t2):((C_word*)t0)[2]);
t4=t3;
t5=((C_word*)t0)[3];
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15786,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],tmp=(C_word)a,a+=11,tmp);
if(C_truep(t5)){
t7=t6;
f_15786(t7,t5);}
else{
t7=C_i_not(t4);
t8=t6;
f_15786(t8,(C_truep(t7)?t7:C_fixnum_greaterp(t4,((C_word*)t0)[2])));}}

/* k15784 in k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_fcall f_15786(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15786,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15789,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=((C_word*)t0)[10];
t4=t2;
f_15789(t4,C_subchar(t3,((C_word*)t0)[3]));}
else{
t3=t2;
f_15789(t3,C_SCHEME_FALSE);}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k15787 in k15784 in k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_fcall f_15789(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15789,2,t0,t1);}
a=C_alloc(10);
t2=C_eqp(t1,C_make_character(101));
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15798,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
t4=t3;
f_15798(t4,t2);}
else{
t4=C_eqp(t1,C_make_character(115));
if(C_truep(t4)){
t5=t3;
f_15798(t5,t4);}
else{
t5=C_eqp(t1,C_make_character(102));
if(C_truep(t5)){
t6=t3;
f_15798(t6,t5);}
else{
t6=C_eqp(t1,C_make_character(100));
if(C_truep(t6)){
t7=t3;
f_15798(t7,t6);}
else{
t7=C_eqp(t1,C_make_character(108));
if(C_truep(t7)){
t8=t3;
f_15798(t8,t7);}
else{
t8=C_eqp(t1,C_make_character(69));
if(C_truep(t8)){
t9=t3;
f_15798(t9,t8);}
else{
t9=C_eqp(t1,C_make_character(83));
if(C_truep(t9)){
t10=t3;
f_15798(t10,t9);}
else{
t10=C_eqp(t1,C_make_character(70));
if(C_truep(t10)){
t11=t3;
f_15798(t11,t10);}
else{
t11=C_eqp(t1,C_make_character(68));
t12=t3;
f_15798(t12,(C_truep(t11)?t11:C_eqp(t1,C_make_character(76))));}}}}}}}}}

/* k15796 in k15787 in k15784 in k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_fcall f_15798(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15798,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15807,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2489: scan-exponent */
t4=((C_word*)t0)[9];
f_15706(t4,t2,t3);}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=(C_truep(((C_word*)t0)[3])?((C_word*)t0)[3]:((C_word*)t0)[2]);
t3=(C_truep(((C_word*)t0)[4])?C_fixnum_difference(((C_word*)t0)[7],t2):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_car(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15872,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2499: safe-exponent */
t6=((C_word*)((C_word*)t0)[6])[1];
f_15418(t6,t5,t4,t3);}}

/* k15805 in k15796 in k15787 in k15784 in k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_ccall f_15807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_15807,2,av);}
a=C_alloc(8);
t2=t1;
if(C_truep(t2)){
t3=C_i_car(t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15819,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2491: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15418(t6,t5,((C_word*)t0)[6],t4);}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15817 in k15805 in k15796 in k15787 in k15784 in k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_ccall f_15819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_15819,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15825,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[2])){
t4=C_i_cdr(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,((C_word*)t0)[6]);
t6=t3;
f_15825(t6,C_fixnum_difference(((C_word*)t0)[7],t5));}
else{
t4=t3;
f_15825(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15823 in k15817 in k15805 in k15796 in k15787 in k15784 in k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_fcall f_15825(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_15825,2,t0,t1);}
a=C_alloc(5);
t2=(C_truep(((C_word*)t0)[2])?C_i_car(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15831,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2494: safe-exponent */
t4=((C_word*)((C_word*)t0)[6])[1];
f_15418(t4,t3,t2,t1);}

/* k15829 in k15823 in k15817 in k15805 in k15796 in k15787 in k15784 in k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_ccall f_15831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15831,2,av);}
a=C_alloc(32);
if(C_truep(t1)){
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_u_i_cdr(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15870 in k15796 in k15787 in k15784 in k15775 in scan-decimal-tail in string->compnum in k8542 */
static void C_ccall f_15872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15872,2,av);}
a=C_alloc(32);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:C_fix(0));
if(C_truep(t1)){
t4=C_s_a_i_plus(&a,2,t3,t1);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_cons(&a,2,t4,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t3,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scan-ureal in string->compnum in k8542 */
static void C_fcall f_15979(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_15979,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_15986,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t5))){
t6=C_eqp(((C_word*)t0)[4],C_fix(10));
if(C_truep(t6)){
t7=((C_word*)t0)[11];
t8=t2;
t9=C_subchar(t7,t8);
t10=t4;
f_15986(t10,C_eqp(t9,C_make_character(46)));}
else{
t7=t4;
f_15986(t7,C_SCHEME_FALSE);}}
else{
t6=t4;
f_15986(t6,C_SCHEME_FALSE);}}

/* k15984 in scan-ureal in string->compnum in k8542 */
static void C_fcall f_15986(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_15986,2,t0,t1);}
a=C_alloc(14);
if(C_truep(t1)){
t2=(
  /* library.scm:2507: go-inexact! */
  f_15408(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2508: scan-decimal-tail */
t4=((C_word*)t0)[4];
f_15767(t4,((C_word*)t0)[5],t3,((C_word*)t0)[6],C_SCHEME_FALSE);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15999,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* library.scm:2509: scan-digits+hashes */
t3=((C_word*)t0)[13];
f_15650(t3,t2,((C_word*)t0)[3],((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k15997 in k15984 in scan-ureal in string->compnum in k8542 */
static void C_ccall f_15999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_15999,2,av);}
a=C_alloc(14);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_16005,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
t5=((C_word*)t0)[13];
t6=t3;
f_16005(t6,C_subchar(t5,t4));}
else{
t4=t3;
f_16005(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16003 in k15997 in k15984 in scan-ureal in string->compnum in k8542 */
static void C_fcall f_16005(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,4)))){
C_save_and_reclaim_args((void *)trf_16005,2,t0,t1);}
a=C_alloc(12);
t2=t1;
t3=C_eqp(t2,C_make_character(46));
if(C_truep(t3)){
t4=(
  /* library.scm:2512: go-inexact! */
  f_15408(((C_word*)((C_word*)t0)[2])[1])
);
t5=C_eqp(((C_word*)t0)[3],C_fix(10));
if(C_truep(t5)){
t6=C_u_i_cdr(((C_word*)t0)[4]);
t7=C_fixnum_plus(t6,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t7))){
t8=C_u_i_cdr(((C_word*)t0)[4]);
t9=C_fixnum_plus(t8,C_fix(1));
t10=C_u_i_car(((C_word*)t0)[4]);
/* library.scm:2515: scan-decimal-tail */
t11=((C_word*)t0)[6];
f_15767(t11,((C_word*)t0)[7],t9,((C_word*)t0)[8],t10);}
else{
t8=C_u_i_car(((C_word*)t0)[4]);
t9=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_a_i_cons(&a,2,t8,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t6=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t4=C_eqp(t2,C_make_character(101));
t5=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_16057,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=t2,a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],tmp=(C_word)a,a+=12,tmp);
if(C_truep(t4)){
t6=t5;
f_16057(t6,t4);}
else{
t6=C_eqp(t2,C_make_character(115));
if(C_truep(t6)){
t7=t5;
f_16057(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(102));
if(C_truep(t7)){
t8=t5;
f_16057(t8,t7);}
else{
t8=C_eqp(t2,C_make_character(100));
if(C_truep(t8)){
t9=t5;
f_16057(t9,t8);}
else{
t9=C_eqp(t2,C_make_character(108));
if(C_truep(t9)){
t10=t5;
f_16057(t10,t9);}
else{
t10=C_eqp(t2,C_make_character(69));
if(C_truep(t10)){
t11=t5;
f_16057(t11,t10);}
else{
t11=C_eqp(t2,C_make_character(83));
if(C_truep(t11)){
t12=t5;
f_16057(t12,t11);}
else{
t12=C_eqp(t2,C_make_character(70));
if(C_truep(t12)){
t13=t5;
f_16057(t13,t12);}
else{
t13=C_eqp(t2,C_make_character(68));
t14=t5;
f_16057(t14,(C_truep(t13)?t13:C_eqp(t2,C_make_character(76))));}}}}}}}}}}

/* k16055 in k16003 in k15997 in k15984 in scan-ureal in string->compnum in k8542 */
static void C_fcall f_16057(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_16057,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],C_fix(10));
if(C_truep(t2)){
t3=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16072,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t5=C_u_i_cdr(((C_word*)t0)[3]);
t6=C_fixnum_plus(t5,C_fix(1));
/* library.scm:2521: scan-exponent */
t7=((C_word*)t0)[7];
f_15706(t7,t4,t6);}
else{
t4=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=C_eqp(((C_word*)t0)[8],C_make_character(47));
if(C_truep(t2)){
t3=C_set_block_item(((C_word*)t0)[9],0,C_SCHEME_FALSE);
t4=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t4))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16118,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t6=C_u_i_cdr(((C_word*)t0)[3]);
t7=C_fixnum_plus(t6,C_fix(1));
/* library.scm:2528: scan-digits+hashes */
t8=((C_word*)t0)[11];
f_15650(t8,t5,t7,C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k16070 in k16055 in k16003 in k15997 in k15984 in scan-ureal in string->compnum in k8542 */
static void C_ccall f_16072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16072,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16082,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t5=C_i_car(t2);
/* library.scm:2523: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15418(t6,t4,t3,t5);}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16080 in k16070 in k16055 in k16003 in k15997 in k15984 in scan-ureal in string->compnum in k8542 */
static void C_ccall f_16082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16082,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16116 in k16055 in k16003 in k15997 in k15984 in scan-ureal in string->compnum in k8542 */
static void C_ccall f_16118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16118,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_i_car(t2);
if(C_truep(t4)){
t5=C_eqp(t4,C_fix(0));
if(C_truep(C_i_not(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16144,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2532: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t6=C_eqp(((C_word*)((C_word*)t0)[4])[1],lf[609]);
if(C_truep(C_i_not(t6))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16155,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2536: chicken.base#signum */
t8=*((C_word*)lf[185]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16142 in k16116 in k16055 in k16003 in k15997 in k15984 in scan-ureal in string->compnum in k8542 */
static void C_ccall f_16144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16144,2,av);}
a=C_alloc(3);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k16153 in k16116 in k16055 in k16003 in k15997 in k15984 in scan-ureal in string->compnum in k8542 */
static void C_ccall f_16155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16155,2,av);}
a=C_alloc(7);
switch(t1){
case C_fix(-1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[612],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_fix(0):
t2=C_a_i_flonum_quotient(&a,2,lf[500],lf[500]);
t3=C_u_i_cdr(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[611],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-real in string->compnum in k8542 */
static void C_fcall f_16322(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_16322,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16337,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_16337(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_16337(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16335 in scan-real in string->compnum in k8542 */
static void C_fcall f_16337(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,0,4)))){
C_save_and_reclaim_args((void *)trf_16337,2,t0,t1);}
a=C_alloc(16);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[3]))){
t5=((C_word*)t0)[4];
t6=C_subchar(t5,t4);
t7=C_eqp(t6,C_make_character(105));
t8=(C_truep(t7)?t7:C_eqp(t6,C_make_character(73)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16363,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=C_eqp(t10,((C_word*)t0)[3]);
if(C_truep(t11)){
t12=C_eqp(t2,lf[613]);
t13=t9;
f_16363(t13,(C_truep(t12)?C_a_i_cons(&a,2,C_fix(-1),t4):C_a_i_cons(&a,2,C_fix(1),t4)));}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16395,a[2]=((C_word*)t0)[7],a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=t9,tmp=(C_word)a,a+=7,tmp);
t13=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t13,((C_word*)t0)[3]))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16432,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t15=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2555: scheme#substring */
t16=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t16;
av2[1]=t14;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t15;
((C_proc)(void*)(*((C_word*)t16+1)))(5,av2);}}
else{
t14=t12;
f_16395(t14,C_SCHEME_FALSE);}}}
else{
t10=t9;
f_16363(t10,C_SCHEME_FALSE);}}
else{
t9=C_eqp(t6,C_make_character(110));
t10=(C_truep(t9)?t9:C_eqp(t6,C_make_character(78)));
if(C_truep(t10)){
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16456,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t12=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t12,((C_word*)t0)[3]))){
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16506,a[2]=((C_word*)t0)[7],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t11,tmp=(C_word)a,a+=6,tmp);
t14=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2565: scheme#substring */
t15=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t15;
av2[1]=t13;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t14;
((C_proc)(void*)(*((C_word*)t15+1)))(5,av2);}}
else{
t13=t11;
f_16456(t13,C_SCHEME_FALSE);}}
else{
t12=t11;
f_16456(t12,C_SCHEME_FALSE);}}
else{
t11=C_eqp(t2,lf[613]);
/* library.scm:2571: scan-ureal */
t12=((C_word*)t0)[6];
f_15979(t12,((C_word*)t0)[5],t4,t11);}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k16361 in k16335 in scan-real in string->compnum in k8542 */
static void C_fcall f_16363(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16363,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2561: scan-ureal */
t3=((C_word*)t0)[4];
f_15979(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16393 in k16335 in scan-real in string->compnum in k8542 */
static void C_fcall f_16395(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,1)))){
C_save_and_reclaim_args((void *)trf_16395,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(
  /* library.scm:2556: go-inexact! */
  f_15408(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_eqp(((C_word*)t0)[3],lf[613]);
t4=(C_truep(t3)?lf[612]:lf[611]);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t5,((C_word*)t0)[5]))){
t6=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t7=((C_word*)t0)[6];
f_16363(t7,C_a_i_cons(&a,2,t4,t6));}
else{
t6=((C_word*)t0)[6];
f_16363(t6,C_a_i_cons(&a,2,t4,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[6];
f_16363(t2,C_SCHEME_FALSE);}}

/* k16430 in k16335 in scan-real in string->compnum in k8542 */
static void C_ccall f_16432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_16432,2,av);}
t2=((C_word*)t0)[2];
f_16395(t2,C_i_string_ci_equal_p(t1,lf[615]));}

/* k16454 in k16335 in scan-real in string->compnum in k8542 */
static void C_fcall f_16456(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16456,2,t0,t1);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2570: scan-ureal */
t3=((C_word*)t0)[4];
f_15979(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16504 in k16335 in scan-real in string->compnum in k8542 */
static void C_ccall f_16506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16506,2,av);}
a=C_alloc(7);
if(C_truep(C_i_string_ci_equal_p(t1,lf[616]))){
t2=(
  /* library.scm:2566: go-inexact! */
  f_15408(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_a_i_flonum_quotient(&a,2,lf[500],lf[500]);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[4]))){
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
t6=((C_word*)t0)[5];
f_16456(t6,C_a_i_cons(&a,2,t3,t5));}
else{
t5=((C_word*)t0)[5];
f_16456(t5,C_a_i_cons(&a,2,t3,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[5];
f_16456(t2,C_SCHEME_FALSE);}}

/* k16552 in string->compnum in k8542 */
static void C_ccall f_16554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_16554,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16557,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16576,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_cdr(t2))){
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[5];
t7=t4;
f_16576(t7,C_subchar(t6,t5));}
else{
t5=t4;
f_16576(t5,C_SCHEME_FALSE);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}

/* k16555 in k16552 in string->compnum in k8542 */
static void C_ccall f_16557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_16557,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t2)){
/* library.scm:2594: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_i_finitep(t1))?t1:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16574 in k16552 in string->compnum in k8542 */
static void C_fcall f_16576(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_16576,2,t0,t1);}
a=C_alloc(6);
t2=C_eqp(t1,C_SCHEME_FALSE);
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
f_16557(2,av2);}}
else{
t3=C_eqp(t1,C_make_character(105));
t4=(C_truep(t3)?t3:C_eqp(t1,C_make_character(73)));
if(C_truep(t4)){
t5=C_u_i_cdr(((C_word*)t0)[2]);
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_eqp(((C_word*)t0)[4],t6);
if(C_truep(t7)){
t8=((C_word*)t0)[5];
t9=((C_word*)t0)[6];
t10=C_subchar(t8,t9);
t11=C_eqp(t10,C_make_character(43));
if(C_truep(t11)){
if(C_truep(t11)){
t12=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2578: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t12;
tp(4,av2);}}
else{
t12=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}
else{
t12=((C_word*)t0)[5];
t13=((C_word*)t0)[6];
t14=C_subchar(t12,t13);
t15=C_eqp(t14,C_make_character(45));
if(C_truep(t15)){
t16=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2578: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t16;
tp(4,av2);}}
else{
t16=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t16;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}
else{
t5=C_eqp(t1,C_make_character(43));
t6=(C_truep(t5)?t5:C_eqp(t1,C_make_character(45)));
if(C_truep(t6)){
t7=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16646,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t9=C_u_i_cdr(((C_word*)t0)[2]);
/* library.scm:2581: scan-real */
t10=((C_word*)t0)[8];
f_16322(t10,t8,t9);}
else{
t7=C_eqp(t1,C_make_character(64));
if(C_truep(t7)){
t8=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16714,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=C_u_i_cdr(((C_word*)t0)[2]);
t11=C_fixnum_plus(t10,C_fix(1));
/* library.scm:2589: scan-real */
t12=((C_word*)t0)[8];
f_16322(t12,t9,t11);}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}}}}

/* k16644 in k16574 in k16552 in string->compnum in k8542 */
static void C_ccall f_16646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_16646,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_u_i_cdr(t2);
t7=((C_word*)t0)[3];
t8=C_subchar(t7,t6);
t9=C_eqp(t8,C_make_character(105));
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16667,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t9)){
t11=t10;
f_16667(t11,t9);}
else{
t11=C_u_i_cdr(t2);
t12=((C_word*)t0)[3];
t13=C_subchar(t12,t11);
t14=t10;
f_16667(t14,C_eqp(t13,C_make_character(73)));}}
else{
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}

/* k16665 in k16644 in k16574 in k16552 in string->compnum in k8542 */
static void C_fcall f_16667(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16667,2,t0,t1);}
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
t3=C_u_i_car(((C_word*)t0)[3]);
/* library.scm:2586: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}

/* k16712 in k16574 in k16552 in string->compnum in k8542 */
static void C_ccall f_16714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16714,2,av);}
if(C_truep(t1)){
t2=C_i_cdr(t1);
if(C_truep(C_i_not(t2))){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=C_u_i_car(t1);
/* library.scm:2591: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16557(2,av2);}}}

/* scheme#string->number in k8542 */
static void C_ccall f_16806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_16806,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[618]);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16816,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(t6))){
if(C_truep(C_fixnum_lessp(C_fix(1),t6))){
if(C_truep(C_fixnum_lessp(t6,C_fix(37)))){
t9=t8;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_16816(2,av2);}}
else{
/* library.scm:2603: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2603: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2603: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}

/* k16814 in scheme#string->number in k8542 */
static void C_ccall f_16816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_16816,2,av);}
a=C_alloc(8);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16825,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word)li455),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_16825(t6,((C_word*)t0)[4],C_fix(0),C_SCHEME_FALSE,C_SCHEME_FALSE,t2);}

/* scan-prefix in k16814 in scheme#string->number in k8542 */
static void C_fcall f_16825(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_16825,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(10);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_16832,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=t1,a[7]=t4,a[8]=t5,a[9]=((C_word*)t0)[4],tmp=(C_word)a,a+=10,tmp);
t7=C_fixnum_plus(t2,C_fix(2));
if(C_truep(C_fixnum_lessp(t7,t5))){
t8=((C_word*)t0)[2];
t9=t2;
t10=C_subchar(t8,t9);
t11=t6;
f_16832(t11,C_eqp(t10,C_make_character(35)));}
else{
t8=t6;
f_16832(t8,C_SCHEME_FALSE);}}

/* k16830 in scan-prefix in k16814 in scheme#string->number in k8542 */
static void C_fcall f_16832(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_16832,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];
t4=C_subchar(t3,t2);
t5=C_eqp(t4,C_make_character(105));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(73)));
if(C_truep(t6)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t7=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2610: scan-prefix */
t8=((C_word*)((C_word*)t0)[5])[1];
f_16825(t8,((C_word*)t0)[6],t7,lf[610],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t7=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_eqp(t4,C_make_character(101));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(69)));
if(C_truep(t8)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2611: scan-prefix */
t10=((C_word*)((C_word*)t0)[5])[1];
f_16825(t10,((C_word*)t0)[6],t9,lf[609],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t9=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(t4,C_make_character(98));
t10=(C_truep(t9)?t9:C_eqp(t4,C_make_character(66)));
if(C_truep(t10)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t11=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2612: scan-prefix */
t12=((C_word*)((C_word*)t0)[5])[1];
f_16825(t12,((C_word*)t0)[6],t11,((C_word*)t0)[4],C_fix(2),((C_word*)t0)[8]);}
else{
t11=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t11=C_eqp(t4,C_make_character(111));
t12=(C_truep(t11)?t11:C_eqp(t4,C_make_character(79)));
if(C_truep(t12)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t13=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2613: scan-prefix */
t14=((C_word*)((C_word*)t0)[5])[1];
f_16825(t14,((C_word*)t0)[6],t13,((C_word*)t0)[4],C_fix(8),((C_word*)t0)[8]);}
else{
t13=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t13;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}}
else{
t13=C_eqp(t4,C_make_character(100));
t14=(C_truep(t13)?t13:C_eqp(t4,C_make_character(68)));
if(C_truep(t14)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t15=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2614: scan-prefix */
t16=((C_word*)((C_word*)t0)[5])[1];
f_16825(t16,((C_word*)t0)[6],t15,((C_word*)t0)[4],C_fix(10),((C_word*)t0)[8]);}
else{
t15=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t15;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t15+1)))(2,av2);}}}
else{
t15=C_eqp(t4,C_make_character(120));
t16=(C_truep(t15)?t15:C_eqp(t4,C_make_character(88)));
if(C_truep(t16)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t17=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2615: scan-prefix */
t18=((C_word*)((C_word*)t0)[5])[1];
f_16825(t18,((C_word*)t0)[6],t17,((C_word*)t0)[4],C_fix(16),((C_word*)t0)[8]);}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[7];
if(C_truep(t2)){
/* library.scm:2617: ##sys#string->compnum */
f_15405(((C_word*)t0)[6],t2,((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}
else{
/* library.scm:2617: ##sys#string->compnum */
f_15405(((C_word*)t0)[6],((C_word*)t0)[9],((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}}}

/* ##sys#string->number in k8542 */
static void C_ccall f_17061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_17061,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
if(C_truep(C_i_nullp(t7))){
/* library.scm:2620: ##sys#string->compnum */
f_15405(t1,t5,t2,C_fix(0),t9);}
else{
t10=C_i_cdr(t7);
/* library.scm:2620: ##sys#string->compnum */
f_15405(t1,t5,t2,C_fix(0),t9);}}

/* chicken.base#equal=? in k8542 */
static void C_ccall f_17107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_17107,4,av);}
a=C_alloc(12);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17110,a[2]=t7,a[3]=((C_word)li462),tmp=(C_word)a,a+=4,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17178,a[2]=t5,a[3]=((C_word)li463),tmp=(C_word)a,a+=4,tmp));
/* library.scm:2663: walk */
t10=((C_word*)t7)[1];
f_17178(t10,t1,t2,t3);}

/* compare-slots in chicken.base#equal=? in k8542 */
static void C_fcall f_17110(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_17110,5,t0,t1,t2,t3,t4);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
t8=C_fixnum_less_or_equal_p(t5,t4);
if(C_truep(t8)){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fixnum_difference(t5,C_fix(1));
t10=t9;
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17137,a[2]=t10,a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t12,a[7]=((C_word)li461),tmp=(C_word)a,a+=8,tmp));
t14=((C_word*)t12)[1];
f_17137(t14,t1,t4);}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* loop in compare-slots in chicken.base#equal=? in k8542 */
static void C_fcall f_17137(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17137,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[3],t2);
t5=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2637: walk */
t6=((C_word*)((C_word*)t0)[5])[1];
f_17178(t6,t1,t4,t5);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17161,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(((C_word*)t0)[3],t2);
t6=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2638: walk */
t7=((C_word*)((C_word*)t0)[5])[1];
f_17178(t7,t4,t5,t6);}}

/* k17159 in loop in compare-slots in chicken.base#equal=? in k8542 */
static void C_ccall f_17161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17161,2,av);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2639: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_17137(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* walk in chicken.base#equal=? in k8542 */
static void C_fcall f_17178(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_17178,4,t0,t1,t2,t3);}
t4=C_eqp(t2,t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
if(C_truep(C_i_numberp(t3))){
t5=t2;
t6=t3;
t7=C_i_nequalp(t5,t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=C_blockp(t2);
if(C_truep(C_i_not(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_blockp(t3);
if(C_truep(C_i_not(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_sametypep(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_specialp(t2))){
if(C_truep(C_specialp(t3))){
if(C_truep(C_closurep(t2))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=shallow_equal(t2,t3);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:2653: compare-slots */
t8=((C_word*)((C_word*)t0)[2])[1];
f_17110(t8,t1,t2,t3,C_fix(1));}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
if(C_truep(C_byteblockp(t3))){
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
t11=C_substring_compare(t2,t3,C_fix(0),C_fix(0),t8);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
/* library.scm:2662: compare-slots */
t11=((C_word*)((C_word*)t0)[2])[1];
f_17110(t11,t1,t2,t3,C_fix(0));}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}}}}}}}

/* ##sys#interned-symbol? in k8542 */
static void C_ccall f_17277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17277,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_lookup_symbol(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->symbol in k8542 */
static void C_ccall f_17280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17280,3,av);}
t3=C_i_check_string(t2);
/* library.scm:2674: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_string_to_symbol(3,av2);}}

/* split in k8542 */
static C_word C_fcall f_17289(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;{}
t3=C_subbyte(t1,C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t4=C_fixnum_less_or_equal_p(t3,C_fix(31));
return((C_truep(t4)?C_fixnum_plus(t3,C_fix(1)):C_SCHEME_FALSE));}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* ##sys#symbol->string in k8542 */
static void C_ccall f_17316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17316,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
t5=(
  /* library.scm:2693: split */
  f_17289(t3,t4)
);
if(C_truep(t5)){
/* library.scm:2694: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t5;
av2[4]=t4;
tp(5,av2);}}
else{
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#symbol->qualified-string in k8542 */
static void C_ccall f_17334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_17334,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_block_size(t4);
t6=t5;
t7=(
  /* library.scm:2700: split */
  f_17289(t4,t6)
);
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17354,a[2]=t1,a[3]=t4,a[4]=t8,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2702: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(1);
av2[4]=t8;
tp(5,av2);}}
else{
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k17352 in symbol->qualified-string in k8542 */
static void C_ccall f_17354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_17354,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17358,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2702: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}

/* k17356 in k17352 in symbol->qualified-string in k8542 */
static void C_ccall f_17358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17358,2,av);}
/* library.scm:2702: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[631];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[632];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#qualified-symbol-prefix in k8542 */
static void C_ccall f_17360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17360,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
t5=(
  /* library.scm:2709: split */
  f_17289(t3,t4)
);
if(C_truep(t5)){
/* library.scm:2710: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#qualified-symbol? in k8542 */
static void C_ccall f_17378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17378,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
if(C_truep(C_fixnum_greaterp(t4,C_fix(0)))){
t5=C_subbyte(t3,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fixnum_less_or_equal_p(t5,C_fix(31));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#string->qualified-symbol in k8542 */
static void C_ccall f_17401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_17401,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17409,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t2)){
/* library.scm:2721: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t5=t3;
/* library.scm:2719: ##sys#string->symbol */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t1;
av2[2]=t5;
tp(3,av2);}}}

/* k17407 in string->qualified-symbol in k8542 */
static void C_ccall f_17409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17409,2,av);}
/* library.scm:2719: ##sys#string->symbol */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[628]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* scheme#symbol->string in k8542 */
static void C_ccall f_17414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17414,3,av);}
a=C_alloc(3);
t3=C_i_check_symbol_2(t2,lf[637]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17425,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2727: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k17423 in scheme#symbol->string in k8542 */
static void C_ccall f_17425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17425,2,av);}
/* library.scm:2727: scheme#string-copy */
t2=*((C_word*)lf[391]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#string->symbol in k8542 */
static void C_ccall f_17427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17427,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[639]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17438,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2733: string-copy */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k17436 in scheme#string->symbol in k8542 */
static void C_ccall f_17438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17438,2,av);}
/* library.scm:2733: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.base#string->uninterned-symbol in k8542 */
static void C_ccall f_17440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17440,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[641]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li476),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17451,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2739: string-copy */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k17449 in chicken.base#string->uninterned-symbol in k8542 */
static void C_ccall f_17451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17451,2,av);}
/* library.scm:2737: g3375 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#gensym in k8542 */
static void C_ccall f_17453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +15,c,5)))){
C_save_and_reclaim((void*)f_17453,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+15);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li478),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17470,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17474,a[2]=t6,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
t9=t7;{
C_word *av2=av;
av2[0]=t9;
av2[1]=lf[643];
f_17474(2,av2);}}
else{
t9=C_i_car(t2);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17487,a[2]=t7,a[3]=t10,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_blockp(t10))){
if(C_truep(C_stringp(t10))){
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t10;
f_17487(2,av2);}}
else{
if(C_truep(C_symbolp(t10))){
/* library.scm:2753: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t11;
av2[2]=t10;
tp(3,av2);}}
else{
/* library.scm:2744: ##sys#signal-hook */
t12=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[258];
av2[3]=lf[644];
av2[4]=lf[645];
av2[5]=t10;
((C_proc)(void*)(*((C_word*)t12+1)))(6,av2);}}}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_17487(2,av2);}}}}

/* k17468 in chicken.base#gensym in k8542 */
static void C_ccall f_17470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17470,2,av);}
/* library.scm:2744: g3382 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k17472 in chicken.base#gensym in k8542 */
static void C_ccall f_17474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17474,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17478,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2756: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}

/* k17476 in k17472 in chicken.base#gensym in k8542 */
static void C_ccall f_17478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17478,2,av);}
/* library.scm:2747: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k17485 in chicken.base#gensym in k8542 */
static void C_ccall f_17487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17487,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_17474(2,av2);}}
else{
/* library.scm:2744: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[644];
av2[4]=lf[645];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.base#symbol-append in k8542 */
static void C_ccall f_17507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +20,c,3)))){
C_save_and_reclaim((void*)f_17507,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+20);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17515,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17530,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17532,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li480),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_17532(t12,t8,t2);}

/* k17513 in chicken.base#symbol-append in k8542 */
static void C_ccall f_17515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17515,2,av);}
/* library.scm:2761: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k17528 in chicken.base#symbol-append in k8542 */
static void C_ccall f_17530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17530,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop3398 in chicken.base#symbol-append in k8542 */
static void C_fcall f_17532(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_17532,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17557,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_check_symbol_2(t4,lf[647]);
/* library.scm:2766: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k17555 in map-loop3398 in chicken.base#symbol-append in k8542 */
static void C_ccall f_17557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17557,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_17532(t6,((C_word*)t0)[5],t5);}

/* chicken.keyword#keyword? in k8542 */
static void C_ccall f_17566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17566,3,av);}
if(C_truep(C_i_symbolp(t2))){
t3=C_u_i_keywordp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.keyword#string->keyword in k8542 */
static void C_ccall f_17575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17575,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[651]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17586,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_string(&a,1,C_make_character(0));
/* library.scm:2784: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=t5;
av2[3]=t2;
tp(4,av2);}}

/* k17584 in chicken.keyword#string->keyword in k8542 */
static void C_ccall f_17586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17586,2,av);}
/* library.scm:2784: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.keyword#keyword->string in k8542 */
static void C_ccall f_17596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17596,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17603,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2789: keyword? */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k17601 in chicken.keyword#keyword->string in k8542 */
static void C_ccall f_17603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17603,2,av);}
if(C_truep(t1)){
/* library.scm:2790: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:2791: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[653];
av2[4]=lf[654];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.keyword#get-keyword in k8542 */
static void C_ccall f_17614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_17614,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_list_2(t3,lf[657]);
t8=C_i_get_keyword(t2,t3,((C_word*)t0)[2]);
t9=C_eqp(t8,((C_word*)t0)[2]);
if(C_truep(t9)){
if(C_truep(t6)){
/* library.scm:2799: thunk */
t10=t6;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* ##sys#make-blob in k8542 */
static void C_ccall f_17642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_17642,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17646,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2815: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
av2[5]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k17644 in make-blob in k8542 */
static void C_ccall f_17646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17646,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#make-blob in k8542 */
static void C_ccall f_17648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17648,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17652,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2820: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[662];
tp(4,av2);}}

/* k17650 in chicken.blob#make-blob in k8542 */
static void C_ccall f_17652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17652,2,av);}
/* library.scm:2821: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[660]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[660]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* chicken.blob#blob? in k8542 */
static void C_ccall f_17657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17657,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_bytevectorp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.blob#blob-size in k8542 */
static void C_ccall f_17663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17663,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17667,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2828: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[665];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17665 in chicken.blob#blob-size in k8542 */
static void C_ccall f_17667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17667,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_block_size(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.blob#string->blob in k8542 */
static void C_ccall f_17672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17672,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[667]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17682,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2834: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[660]);
C_word *av2=av;
av2[0]=*((C_word*)lf[660]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k17680 in chicken.blob#string->blob in k8542 */
static void C_ccall f_17682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17682,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob->string in k8542 */
static void C_ccall f_17684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17684,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17688,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2839: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[669];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17686 in chicken.blob#blob->string in k8542 */
static void C_ccall f_17688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17688,2,av);}
a=C_alloc(5);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17694,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2841: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k17692 in k17686 in chicken.blob#blob->string in k8542 */
static void C_ccall f_17694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17694,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob=? in k8542 */
static void C_ccall f_17696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17696,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17700,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2846: ##sys#check-blob */
t5=*((C_word*)lf[341]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[671];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17698 in chicken.blob#blob=? in k8542 */
static void C_ccall f_17700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17700,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17703,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2847: ##sys#check-blob */
t3=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[671];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k17701 in k17698 in chicken.blob#blob=? in k8542 */
static void C_ccall f_17703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17703,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_block_size(((C_word*)t0)[3]);
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=C_string_compare(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t6=C_i_zerop(t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#make-vector in k8542 */
static void C_ccall f_17719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_17719,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17723,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2859: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[672];
tp(4,av2);}}

/* k17721 in scheme#make-vector in k8542 */
static void C_ccall f_17723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_17723,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17726,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:2860: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[672];
av2[3]=lf[673];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_17726(2,av2);}}}

/* k17724 in k17721 in scheme#make-vector in k8542 */
static void C_ccall f_17726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17726,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
/* library.scm:2861: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
/* library.scm:2861: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* scheme#list->vector in k8542 */
static void C_ccall f_17748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17748,3,av);}
a=C_alloc(4);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:2873: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[675];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17764,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2875: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k17762 in scheme#list->vector in k8542 */
static void C_ccall f_17764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17764,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17769,a[2]=t2,a[3]=((C_word)li494),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17769(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k17762 in scheme#list->vector in k8542 */
static C_word C_fcall f_17769(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_i_setslot(((C_word*)t0)[2],t2,t3);
t5=C_slot(t1,C_fix(1));
t6=C_fixnum_plus(t2,C_fix(1));
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* scheme#vector->list in k8542 */
static void C_ccall f_17800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_17800,3,av);}
a=C_alloc(8);
t3=C_i_check_vector_2(t2,lf[676]);
t4=C_block_size(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17809,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li496),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_17809(t8,t1,C_fix(0));}

/* loop in scheme#vector->list in k8542 */
static void C_fcall f_17809(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17809,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17827,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2892: loop */
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* k17825 in loop in scheme#vector->list in k8542 */
static void C_ccall f_17827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_17827,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#vector in k8542 */
static void C_ccall f_17833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_17833,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* library.scm:2894: scheme#list->vector */
t3=*((C_word*)lf[94]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* scheme#vector-fill! in k8542 */
static void C_ccall f_17839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17839,4,av);}
a=C_alloc(6);
t4=C_i_check_vector_2(t2,lf[677]);
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17848,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li499),tmp=(C_word)a,a+=6,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_17848(t6,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* doloop3535 in scheme#vector-fill! in k8542 */
static C_word C_fcall f_17848(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_fixnum_plus(t1,C_fix(1));
t5=t3;
t1=t5;
goto loop;}}

/* chicken.base#vector-copy! in k8542 */
static void C_ccall f_17867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_17867,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+7);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t5=C_i_check_vector_2(t2,lf[678]);
t6=C_i_check_vector_2(t3,lf[678]);
t7=C_block_size(t2);
t8=t7;
t9=C_block_size(t3);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17883,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t10,a[6]=t8,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t4))){
t12=t4;
t13=t11;
f_17883(t13,C_u_i_car(t12));}
else{
t12=t11;
f_17883(t12,C_i_fixnum_min(t10,t8));}}

/* k17881 in chicken.base#vector-copy! in k8542 */
static void C_fcall f_17883(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_17883,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17886,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2911: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[678];
tp(4,av2);}}

/* k17884 in k17881 in chicken.base#vector-copy! in k8542 */
static void C_ccall f_17886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,7)))){
C_save_and_reclaim((void *)f_17886,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17889,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[6]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[7]));
if(C_truep(t4)){
/* library.scm:2913: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[678];
av2[4]=lf[679];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(8,av2);}}
else{
t5=t2;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_17889(2,av2);}}}

/* k17887 in k17884 in k17881 in chicken.base#vector-copy! in k8542 */
static void C_ccall f_17889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17889,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17894,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li501),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17894(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3547 in k17887 in k17884 in k17881 in chicken.base#vector-copy! in k8542 */
static C_word C_fcall f_17894(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_slot(((C_word*)t0)[3],t1);
t3=C_i_setslot(((C_word*)t0)[4],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* chicken.base#subvector in k8542 */
static void C_ccall f_17936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,5)))){
C_save_and_reclaim((void*)f_17936,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_vector_2(t2,lf[680]);
t8=C_block_size(t2);
t9=t8;
t10=(C_truep(t6)?t6:t9);
t11=t10;
t12=C_fixnum_difference(t11,t3);
t13=t12;
t14=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17955,a[2]=t13,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t9,a[7]=t11,tmp=(C_word)a,a+=8,tmp);
t15=C_fixnum_plus(t9,C_fix(1));
/* library.scm:2926: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=lf[680];
tp(6,av2);}}

/* k17953 in chicken.base#subvector in k8542 */
static void C_ccall f_17955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_17955,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17958,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_plus(((C_word*)t0)[6],C_fix(1));
/* library.scm:2927: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[680];
tp(6,av2);}}

/* k17956 in k17953 in chicken.base#subvector in k8542 */
static void C_ccall f_17958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17958,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17961,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2928: scheme#make-vector */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k17959 in k17956 in k17953 in chicken.base#subvector in k8542 */
static void C_ccall f_17961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17961,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17966,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li503),tmp=(C_word)a,a+=7,tmp);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17966(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3578 in k17959 in k17956 in k17953 in chicken.base#subvector in k8542 */
static C_word C_fcall f_17966(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_fixnum_plus(t1,((C_word*)t0)[4]);
t3=C_slot(((C_word*)t0)[5],t2);
t4=C_i_setslot(((C_word*)t0)[3],t1,t3);
t5=C_fixnum_plus(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}

/* chicken.base#vector-resize in k8542 */
static void C_ccall f_18007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_18007,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_check_vector_2(t2,lf[681]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18017,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2936: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=lf[681];
tp(4,av2);}}

/* k18015 in chicken.base#vector-resize in k8542 */
static void C_ccall f_18017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_18017,2,av);}
/* library.scm:2937: ##sys#vector-resize */
f_18028(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* ##sys#vector-resize in k8542 */
static void C_fcall f_18028(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18028,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18032,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2940: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}

/* k18030 in vector-resize in k8542 */
static void C_ccall f_18032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18032,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18035,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(((C_word*)t0)[2]);
/* library.scm:2941: scheme#min */
t5=*((C_word*)lf[558]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k18033 in k18030 in vector-resize in k8542 */
static void C_ccall f_18035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18035,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18040,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li506),tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_18040(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3606 in k18033 in k18030 in vector-resize in k8542 */
static C_word C_fcall f_18040(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_slot(((C_word*)t0)[4],t1);
t3=C_i_setslot(((C_word*)t0)[3],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* scheme#char-ci=? in k8542 */
static void C_ccall f_18067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18067,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_eqp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>? in k8542 */
static void C_ccall f_18081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18081,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greaterp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<? in k8542 */
static void C_ccall f_18092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18092,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_lessp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>=? in k8542 */
static void C_ccall f_18103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18103,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greater_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<=? in k8542 */
static void C_ccall f_18114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18114,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_less_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k18125 in k8542 */
static void C_ccall f_18127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_18127,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_END_OF_LIST;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18129,a[2]=t2,a[3]=((C_word)li514),tmp=(C_word)a,a+=4,tmp);
t6=C_mutate((C_word*)lf[199]+1 /* (set! chicken.base#char-name ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18170,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=((C_word)li515),tmp=(C_word)a,a+=6,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18287,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3010: chicken.base#char-name */
t8=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1388];
av2[3]=C_make_character(32);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* lookup-char in k18125 in k8542 */
static void C_fcall f_18129(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_18129,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_fix(C_character_code(t2));
t4=C_fixnum_modulo(t3,C_fix(37));
t5=C_slot(((C_word*)t0)[2],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18142,a[2]=t2,a[3]=((C_word)li513),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_18142(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* loop in lookup-char in k18125 in k8542 */
static C_word C_fcall f_18142(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
return(t2);}
else{
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* chicken.base#char-name in k18125 in k8542 */
static void C_ccall f_18170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_18170,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18174,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_18174(t6,C_u_i_car(t5));}
else{
t5=t4;
f_18174(t5,C_SCHEME_FALSE);}}

/* k18172 in chicken.base#char-name in k18125 in k8542 */
static void C_fcall f_18174(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_18174,2,t0,t1);}
a=C_alloc(8);
t2=t1;
if(C_truep(C_charp(((C_word*)t0)[2]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18183,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2984: lookup-char */
t4=((C_word*)t0)[4];
f_18129(t4,t3,((C_word*)t0)[2]);}
else{
if(C_truep(t2)){
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[683]);
t4=C_i_check_char_2(t2,lf[683]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18201,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t6=C_slot(((C_word*)t0)[2],C_fix(1));
t7=C_block_size(t6);
if(C_truep(C_fixnum_lessp(t7,C_fix(2)))){
/* library.scm:2990: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[683];
av2[4]=lf[684];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_18201(2,av2);}}}
else{
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[683]);
t4=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[5])[1]);
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t4,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k18181 in k18172 in chicken.base#char-name in k18125 in k8542 */
static void C_ccall f_18183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18183,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18199 in k18172 in chicken.base#char-name in k18125 in k8542 */
static void C_ccall f_18201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18201,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18204,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2991: lookup-char */
t3=((C_word*)t0)[7];
f_18129(t3,t2,((C_word*)t0)[5]);}

/* k18202 in k18199 in k18172 in chicken.base#char-name in k18125 in k8542 */
static void C_ccall f_18204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_18204,2,av);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
if(C_truep(t2)){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_i_slot(t2,C_fix(1),((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[5]));
t3=C_fixnum_modulo(t2,C_fix(37));
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_slot(((C_word*)t0)[6],t3);
t9=C_a_i_cons(&a,2,t7,t8);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_i_setslot(((C_word*)t0)[6],t3,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k18285 in k18125 in k8542 */
static void C_ccall f_18287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18287,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18290,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3011: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1387];
av2[3]=C_make_character(9);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18290,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18293,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3012: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1386];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18293,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18296,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3013: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1385];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18296,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18299,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3014: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1384];
av2[3]=C_make_character(11);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18299,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18302,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3015: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1383];
av2[3]=C_make_character(127);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18302,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18305,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3016: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1382];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18305,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18308,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3017: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1381];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18308,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18311,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3018: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1380];
av2[3]=C_make_character(7);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18311,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18314,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3019: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1379];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18314,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18317,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3020: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1378];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18317,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18320,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3021: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1377];
av2[3]=C_make_character(13);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18320,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18323,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3022: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1376];
av2[3]=C_make_character(12);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18323,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18326,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3023: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1375];
av2[3]=C_make_character(8);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,c,6)))){
C_save_and_reclaim((void *)f_18326,2,av);}
a=C_alloc(102);
t2=C_mutate((C_word*)lf[685]+1 /* (set! ##sys#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_cc,a[2]=((C_word)li516),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[686]+1 /* (set! ##sys#call-with-cthulhu ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_cthulhu,a[2]=((C_word)li517),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[687]+1 /* (set! ##sys#call-with-values ...) */,*((C_word*)lf[131]+1));
t5=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#for-each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18331,a[2]=((C_word)li519),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[690]+1 /* (set! ##sys#map ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18369,a[2]=((C_word)li521),tmp=(C_word)a,a+=3,tmp));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18411,a[2]=t10,a[3]=t8,a[4]=((C_word)li522),tmp=(C_word)a,a+=5,tmp);
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18455,a[2]=((C_word)li524),tmp=(C_word)a,a+=3,tmp);
t13=C_set_block_item(t8,0,t11);
t14=C_set_block_item(t10,0,t12);
t15=C_mutate((C_word*)lf[170]+1 /* (set! scheme#for-each ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18509,a[2]=t8,a[3]=t10,a[4]=((C_word)li529),tmp=(C_word)a,a+=5,tmp));
t16=C_mutate((C_word*)lf[171]+1 /* (set! scheme#map ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18595,a[2]=t8,a[3]=t10,a[4]=((C_word)li534),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(lf[693] /* ##sys#dynamic-winds */,0,C_SCHEME_END_OF_LIST);
t18=C_mutate((C_word*)lf[172]+1 /* (set! scheme#dynamic-wind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18702,a[2]=((C_word)li536),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#dynamic-wind ...) */,*((C_word*)lf[172]+1));
t20=C_mutate((C_word*)lf[132]+1 /* (set! scheme#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18733,a[2]=((C_word)li539),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[198]+1 /* (set! chicken.base#call/cc ...) */,*((C_word*)lf[132]+1));
t22=C_mutate(&lf[695] /* (set! ##sys#dynamic-unwind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18773,a[2]=((C_word)li540),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[207]+1 /* (set! chicken.base#port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18831,a[2]=((C_word)li541),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[209]+1 /* (set! chicken.base#input-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18837,a[2]=((C_word)li542),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[210]+1 /* (set! chicken.base#output-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18842,a[2]=((C_word)li543),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[208]+1 /* (set! chicken.base#port-closed? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18847,a[2]=((C_word)li544),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[700]+1 /* (set! ##sys#make-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18860,a[2]=((C_word)li545),tmp=(C_word)a,a+=3,tmp));
t28=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31965,a[2]=((C_word)li547),tmp=(C_word)a,a+=3,tmp);
t29=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32005,a[2]=((C_word)li549),tmp=(C_word)a,a+=3,tmp);
t30=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32045,a[2]=((C_word)li550),tmp=(C_word)a,a+=3,tmp);
t31=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32048,a[2]=((C_word)li551),tmp=(C_word)a,a+=3,tmp);
t32=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32051,a[2]=((C_word)li552),tmp=(C_word)a,a+=3,tmp);
t33=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32057,a[2]=((C_word)li553),tmp=(C_word)a,a+=3,tmp);
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32060,a[2]=((C_word)li554),tmp=(C_word)a,a+=3,tmp);
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32063,a[2]=((C_word)li557),tmp=(C_word)a,a+=3,tmp);
t36=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32162,a[2]=((C_word)li560),tmp=(C_word)a,a+=3,tmp);
t37=C_a_i_vector(&a,10,t28,t29,t30,t31,t32,t33,t34,t35,t36,C_SCHEME_FALSE);
t38=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#stream-port-class ...) */,t37);
t39=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#open-file-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_open_file_port,a[2]=((C_word)li561),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18891,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3307: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t40;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1374];
av2[5]=lf[733];
tp(6,av2);}}

/* ##sys#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18331,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18337,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li518),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18337(t7,t1,t3);}

/* loop in for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_18337(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18337,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18353,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3036: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3038: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[689];
tp(4,av2);}}}}

/* k18351 in loop in for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18353,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:3037: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18337(t3,((C_word*)t0)[4],t2);}

/* ##sys#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18369,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18375,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li520),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18375(t7,t1,t3);}

/* loop in map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_18375(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18375,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18395,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3044: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3045: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[691];
tp(4,av2);}}}}

/* k18393 in loop in map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18395,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18399,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3044: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_18375(t5,t3,t4);}

/* k18397 in k18393 in loop in map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18399,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* mapsafe3682 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_18411,6,av);}
a=C_alloc(7);
t6=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t6)){
t7=t3;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(0));
t8=C_eqp(t7,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
/* library.scm:3053: check */
t9=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
av2[4]=t5;
((C_proc)C_fast_retrieve_proc(t9))(5,av2);}}
else{
if(C_truep(C_i_pairp(t7))){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18443,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3055: p */
t10=t2;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t7;
((C_proc)C_fast_retrieve_proc(t10))(3,av2);}}
else{
/* library.scm:3056: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=t5;
tp(4,av2);}}}}}

/* k18441 in mapsafe3682 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_18443,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18447,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3055: mapsafe */
t5=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=t4;
av2[4]=C_SCHEME_FALSE;
av2[5]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* k18445 in k18441 in mapsafe3682 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18447,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* check3683 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_18455,5,av);}
a=C_alloc(8);
t5=C_i_not(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18465,a[2]=t1,a[3]=t4,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_18465(t7,t5);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18473,a[2]=((C_word)li523),tmp=(C_word)a,a+=3,tmp);
t8=t6;
f_18465(t8,(
  f_18473(t2)
));}}

/* k18463 in check3683 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_18465(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_18465,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:3064: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[692];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in check3683 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static C_word C_fcall f_18473(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t2))){
t3=C_slot(t1,C_fix(0));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t4))){
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,3)))){
C_save_and_reclaim((void*)f_18509,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
if(C_truep(C_i_nullp(t4))){
t5=t2;
t6=t3;
t7=C_i_check_list_2(t6,lf[689]);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18524,a[2]=t9,a[3]=t5,a[4]=((C_word)li525),tmp=(C_word)a,a+=5,tmp));
t11=((C_word*)t9)[1];
f_18524(t11,t1,t6);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18554,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li528),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18554(t9,t1,t5);}}

/* for-each-loop3713 in scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_18524(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_18524,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18534,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3069: g3714 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k18532 in for-each-loop3713 in scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18534,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_18524(t3,((C_word*)t0)[4],t2);}

/* loop in scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_18554(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18554,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18567,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18584,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18586,a[2]=((C_word)li527),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3073: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[689];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
/* library.scm:3075: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[689];
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}}

/* k18565 in loop in scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_18567,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18574,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18576,a[2]=((C_word)li526),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3074: mapsafe */
t4=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[689];
((C_proc)C_fast_retrieve_proc(t4))(6,av2);}}

/* k18572 in k18565 in loop in scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18574,2,av);}
/* library.scm:3074: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18554(t2,((C_word*)t0)[3],t1);}

/* a18575 in k18565 in loop in scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18576,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18582 in loop in scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18584,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18585 in loop in scheme#for-each in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18586,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +14,c,3)))){
C_save_and_reclaim((void*)f_18595,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+14);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
if(C_truep(C_i_nullp(t4))){
t5=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t6=t5;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=((C_word*)t7)[1];
t9=t2;
t10=t3;
t11=C_i_check_list_2(t10,lf[691]);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18613,a[2]=t7,a[3]=t13,a[4]=t9,a[5]=t8,a[6]=((C_word)li530),tmp=(C_word)a,a+=7,tmp));
t15=((C_word*)t13)[1];
f_18613(t15,t1,t10);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18654,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li533),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18654(t9,t1,t5);}}

/* map-loop3744 in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_18613(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_18613,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18638,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3080: g3750 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18636 in map-loop3744 in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_18638,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_18613(t6,((C_word*)t0)[5],t5);}

/* loop in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_18654(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18654,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18671,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18689,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18691,a[2]=((C_word)li532),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3084: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[691];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18698,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_i_cdr(t2);
/* library.scm:3086: check */
t6=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[691];
((C_proc)C_fast_retrieve_proc(t6))(5,av2);}}}

/* k18669 in loop in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_18671,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18675,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18679,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18681,a[2]=((C_word)li531),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3085: mapsafe */
t6=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[691];
((C_proc)C_fast_retrieve_proc(t6))(6,av2);}}

/* k18673 in k18669 in loop in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18675,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18677 in k18669 in loop in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18679,2,av);}
/* library.scm:3085: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18654(t2,((C_word*)t0)[3],t1);}

/* a18680 in k18669 in loop in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18681,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18687 in loop in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18689,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18690 in loop in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18691,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18696 in loop in scheme#map in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18698,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#dynamic-wind in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18702,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18706,a[2]=t2,a[3]=t4,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3106: before */
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18704 in scheme#dynamic-wind in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_18706,2,av);}
a=C_alloc(10);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,C_fast_retrieve(lf[693]));
t4=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18715,a[2]=((C_word*)t0)[3],a[3]=((C_word)li535),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3108: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a18714 in k18704 in scheme#dynamic-wind in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_18715,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_slot(C_fast_retrieve(lf[693]),C_fix(1));
t4=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18723,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3112: after */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18721 in a18714 in k18704 in scheme#dynamic-wind in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18723,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-current-continuation in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18733,3,av);}
a=C_alloc(5);
t3=C_fast_retrieve(lf[693]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18739,a[2]=t3,a[3]=t2,a[4]=((C_word)li538),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3120: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_call_cc(3,av2);}}

/* a18738 in scheme#call-with-current-continuation in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_18739,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18742,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li537),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3126: proc */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* continuation in a18738 in scheme#call-with-current-continuation in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18742,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18746,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fast_retrieve(lf[693]),((C_word*)t0)[3]);
if(C_truep(t4)){{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}
else{
t5=C_i_length(C_fast_retrieve(lf[693]));
t6=C_i_length(((C_word*)t0)[3]);
t7=C_fixnum_difference(t5,t6);
/* library.scm:3124: ##sys#dynamic-unwind */
f_18773(t3,((C_word*)t0)[3],t7);}}

/* k18744 in continuation in a18738 in scheme#call-with-current-continuation in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18746,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* ##sys#dynamic-unwind in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_18773(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18773,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(C_fast_retrieve(lf[693]),t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18789,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t2,C_fix(1));
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3133: ##sys#dynamic-unwind */
t11=t5;
t12=t6;
t13=t7;
t1=t11;
t2=t12;
t3=t13;
goto loop;}
else{
t5=C_slot(C_fast_retrieve(lf[693]),C_fix(0));
t6=C_slot(t5,C_fix(1));
t7=C_slot(C_fast_retrieve(lf[693]),C_fix(1));
t8=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t7);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18818,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3139: after */
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}}}

/* k18787 in dynamic-unwind in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18789,2,av);}
a=C_alloc(4);
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18795,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3131: g3809 */
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}

/* k18793 in k18787 in dynamic-unwind in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18795,2,av);}
t2=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18816 in dynamic-unwind in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18818,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:3140: ##sys#dynamic-unwind */
f_18773(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* chicken.base#port? in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18831,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.base#input-port-open? in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18837,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(1),lf[696]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_input_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#output-port-open? in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18842,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(2),lf[697]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_output_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#port-closed? in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18847,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18851,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3162: ##sys#check-port */
t4=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[699];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k18849 in chicken.base#port-closed? in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18851,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(8));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-port in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,1)))){
C_save_and_reclaim((void *)f_18860,6,av);}
a=C_alloc(17);
t6=C_a_i_port(&a,0);
t7=C_i_set_i_slot(t6,C_fix(1),t2);
t8=C_i_setslot(t6,C_fix(2),t3);
t9=C_i_setslot(t6,C_fix(3),t4);
t10=C_i_set_i_slot(t6,C_fix(4),C_fix(1));
t11=C_i_set_i_slot(t6,C_fix(5),C_fix(0));
t12=C_i_setslot(t6,C_fix(7),t5);
t13=C_i_setslot(t6,C_fix(8),t2);
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18891,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18895,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3308: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1373];
av2[5]=lf[733];
tp(6,av2);}}

/* k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18895,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18899,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3309: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1372];
av2[5]=lf[733];
tp(6,av2);}}

/* k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18899,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-error ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18902,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3311: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t3;
av2[2]=*((C_word*)lf[716]+1);
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18902,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18905,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3312: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[717]+1);
av2[3]=C_fix(1);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_18905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18905,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18908,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3313: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[718]+1);
av2[3]=C_fix(2);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 in ... */
static void C_ccall f_18908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(119,c,6)))){
C_save_and_reclaim((void *)f_18908,2,av);}
a=C_alloc(119);
t2=C_mutate((C_word*)lf[719]+1 /* (set! ##sys#check-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18910,a[2]=((C_word)li562),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[720]+1 /* (set! ##sys#check-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18921,a[2]=((C_word)li563),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[698]+1 /* (set! ##sys#check-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18932,a[2]=((C_word)li564),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[721]+1 /* (set! ##sys#check-open-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18943,a[2]=((C_word)li565),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[135]+1 /* (set! scheme#current-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18954,a[2]=((C_word)li567),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[136]+1 /* (set! scheme#current-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19015,a[2]=((C_word)li569),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[192]+1 /* (set! chicken.base#current-error-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19076,a[2]=((C_word)li571),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[725]+1 /* (set! ##sys#tty-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19137,a[2]=((C_word)li572),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[727]+1 /* (set! ##sys#port-data ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19151,a[2]=((C_word)li573),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[728]+1 /* (set! ##sys#set-port-data! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19157,a[2]=((C_word)li574),tmp=(C_word)a,a+=3,tmp));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19163,a[2]=((C_word)li576),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19261,a[2]=((C_word)li577),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[137]+1 /* (set! scheme#open-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19298,a[2]=t13,a[3]=((C_word)li578),tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[138]+1 /* (set! scheme#open-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19304,a[2]=t13,a[3]=((C_word)li579),tmp=(C_word)a,a+=4,tmp));
t20=C_mutate((C_word*)lf[139]+1 /* (set! scheme#close-input-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19310,a[2]=t15,a[3]=((C_word)li580),tmp=(C_word)a,a+=4,tmp));
t21=C_mutate((C_word*)lf[140]+1 /* (set! scheme#close-output-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19316,a[2]=t15,a[3]=((C_word)li581),tmp=(C_word)a,a+=4,tmp));
t22=*((C_word*)lf[137]+1);
t23=C_mutate((C_word*)lf[141]+1 /* (set! scheme#call-with-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19322,a[2]=t22,a[3]=((C_word)li584),tmp=(C_word)a,a+=4,tmp));
t24=*((C_word*)lf[138]+1);
t25=C_mutate((C_word*)lf[142]+1 /* (set! scheme#call-with-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19346,a[2]=t24,a[3]=((C_word)li587),tmp=(C_word)a,a+=4,tmp));
t26=*((C_word*)lf[137]+1);
t27=C_mutate((C_word*)lf[143]+1 /* (set! scheme#with-input-from-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19370,a[2]=t26,a[3]=((C_word)li592),tmp=(C_word)a,a+=4,tmp));
t28=*((C_word*)lf[138]+1);
t29=C_mutate((C_word*)lf[144]+1 /* (set! scheme#with-output-to-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19404,a[2]=t28,a[3]=((C_word)li597),tmp=(C_word)a,a+=4,tmp));
t30=C_mutate((C_word*)lf[746]+1 /* (set! ##sys#file-exists? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19438,a[2]=((C_word)li598),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[749]+1 /* (set! ##sys#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19464,a[2]=((C_word)li599),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[214]+1 /* (set! chicken.base#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19477,a[2]=((C_word)li600),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[751]+1 /* (set! ##sys#port-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19495,a[2]=((C_word)li601),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[752]+1 /* (set! ##sys#decorate-lambda ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19504,a[2]=((C_word)li604),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[753]+1 /* (set! ##sys#lambda-decoration ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19579,a[2]=((C_word)li606),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[754]+1 /* (set! ##sys#make-lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19618,a[2]=((C_word)li607),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[755]+1 /* (set! ##sys#lambda-info? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19627,a[2]=((C_word)li608),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[756]+1 /* (set! ##sys#lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19640,a[2]=((C_word)li609),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[757]+1 /* (set! ##sys#lambda-info->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19646,a[2]=((C_word)li610),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[202]+1 /* (set! chicken.base#procedure-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19655,a[2]=((C_word)li611),tmp=(C_word)a,a+=3,tmp));
t41=C_a_i_vector1(&a,1,lf[760]);
t42=C_mutate(&lf[761] /* (set! setter-tag ...) */,t41);
t43=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19684,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31841,a[2]=((C_word)li1000),tmp=(C_word)a,a+=3,tmp);
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31881,a[2]=((C_word)li1001),tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31897,a[2]=((C_word)li1005),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3542: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t43;
av2[2]=t44;
av2[3]=t45;
av2[4]=t46;
tp(5,av2);}}

/* ##sys#check-input-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_18910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18910,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(1),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-output-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_18921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18921,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(2),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(2),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_18932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18932,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_FALSE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_FALSE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-open-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_18943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18943,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_TRUE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_TRUE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#current-input-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_18954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18954,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[716]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18967,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3340: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[722];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18965 in scheme#current-input-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_18967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18967,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18969,a[2]=((C_word*)t0)[3],a[3]=((C_word)li566),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18975,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18980,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3341: def-convert?3931 */
  f_18980(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3341: def-set?3932 */
  f_18975(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3341: body3929 */
  f_18969(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3929 in k18965 in scheme#current-input-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_18969(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3932 in k18965 in scheme#current-input-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_18975(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3341: body3929 */
  f_18969(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3931 in k18965 in scheme#current-input-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_18980(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3341: def-set?3932 */
  f_18975(((C_word*)t0)[2])
));}

/* scheme#current-output-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19015,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19028,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3350: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[723];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19026 in scheme#current-output-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19028(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19028,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19030,a[2]=((C_word*)t0)[3],a[3]=((C_word)li568),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19036,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19041,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3351: def-convert?3956 */
  f_19041(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3351: def-set?3957 */
  f_19036(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3351: body3954 */
  f_19030(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3954 in k19026 in scheme#current-output-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_19030(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3957 in k19026 in scheme#current-output-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_19036(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3351: body3954 */
  f_19030(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3956 in k19026 in scheme#current-output-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_19041(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3351: def-set?3957 */
  f_19036(((C_word*)t0)[2])
));}

/* chicken.base#current-error-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19076,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[718]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19089,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3360: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[724];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19087 in chicken.base#current-error-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19089,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19091,a[2]=((C_word*)t0)[3],a[3]=((C_word)li570),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19097,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19102,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3361: def-convert?3981 */
  f_19102(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3361: def-set?3982 */
  f_19097(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3361: body3979 */
  f_19091(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3979 in k19087 in chicken.base#current-error-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_19091(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-error ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3982 in k19087 in chicken.base#current-error-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_19097(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3361: body3979 */
  f_19091(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3981 in k19087 in chicken.base#current-error-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static C_word C_fcall f_19102(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3361: def-set?3982 */
  f_19097(((C_word*)t0)[2])
));}

/* ##sys#tty-port? in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19137,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19149,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3366: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[726]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[726]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k19147 in tty-port? in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19149,2,av);}
t2=C_i_zerop(t1);
if(C_truep(C_i_not(t2))){
t3=C_tty_portp(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#port-data in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19151,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(9));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-port-data! in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19157,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(t2,C_fix(9),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_fcall f_19163(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,0,3)))){
C_save_and_reclaim_args((void *)trf_19163,5,t1,t2,t3,t4,t5);}
a=C_alloc(22);
t6=C_i_check_string_2(t2,t5);
t7=(C_truep(t3)?lf[729]:lf[730]);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=lf[731];
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19173,a[2]=t1,a[3]=t5,a[4]=t2,a[5]=t9,a[6]=t11,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19206,a[2]=t14,a[3]=t11,a[4]=t3,a[5]=t5,a[6]=t9,a[7]=((C_word)li575),tmp=(C_word)a,a+=8,tmp));
t16=((C_word*)t14)[1];
f_19206(t16,t12,t4);}

/* k19171 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_19173,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19176,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
/* library.scm:3388: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[733];
tp(6,av2);}}
else{
/* library.scm:3388: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[733];
tp(6,av2);}}}

/* k19174 in k19171 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_19176,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19179,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19182,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19200,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3389: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=((C_word*)((C_word*)t0)[6])[1];
tp(4,av2);}}

/* k19177 in k19174 in k19171 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19179,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k19180 in k19174 in k19171 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19182,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19185,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3390: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k19183 in k19180 in k19174 in k19171 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in ... */
static void C_ccall f_19185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_19185,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19192,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19196,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19190 in k19183 in k19180 in k19174 in k19171 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in ... */
static void C_ccall f_19192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19192,2,av);}
/* library.scm:3391: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k19194 in k19183 in k19180 in k19174 in k19171 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in ... */
static void C_ccall f_19196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19196,2,av);}
/* library.scm:3391: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[732];
av2[3]=t1;
tp(4,av2);}}

/* k19198 in k19174 in k19171 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19200,2,av);}
/* library.scm:3389: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}

/* doloop4016 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_fcall f_19206(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_19206,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19219,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[734]);
if(C_truep(t5)){
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[735]);
t7=C_slot(t2,C_fix(1));
t11=t1;
t12=t7;
t1=t11;
t2=t12;
goto loop;}
else{
t6=C_eqp(t3,lf[736]);
if(C_truep(t6)){
t7=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[737]);
t8=C_slot(t2,C_fix(1));
t11=t1;
t12=t8;
t1=t11;
t2=t12;
goto loop;}
else{
t7=C_eqp(t3,lf[738]);
if(C_truep(t7)){
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3385: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[739];
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}
else{
t8=C_mutate(((C_word *)((C_word*)t0)[6])+1,lf[740]);
t9=C_slot(t2,C_fix(1));
t11=t1;
t12=t9;
t1=t11;
t2=t12;
goto loop;}}
else{
/* library.scm:3387: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[741];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}}}}

/* k19217 in doloop4016 in open in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19219,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_19206(t3,((C_word*)t0)[4],t2);}

/* close in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_fcall f_19261(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_19261,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19265,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3395: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k19263 in close in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19265,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_fix(1):C_fix(2));
if(C_truep(C_port_openp(((C_word*)t0)[3],t2))){
t3=C_slot(((C_word*)t0)[3],C_fix(8));
t4=C_fixnum_not(t2);
t5=C_fixnum_and(t3,t4);
t6=C_i_set_i_slot(((C_word*)t0)[3],C_fix(8),t5);
t7=C_slot(((C_word*)t0)[3],C_fix(2));
t8=C_slot(t7,C_fix(4));
/* library.scm:3398: g4037 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#open-input-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19298,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3402: open */
f_19163(t1,t2,C_SCHEME_TRUE,t3,lf[742]);}

/* scheme#open-output-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19304,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3403: open */
f_19163(t1,t2,C_SCHEME_FALSE,t3,lf[743]);}

/* scheme#close-input-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19310,3,av);}
/* library.scm:3404: close */
f_19261(t1,t2,C_SCHEME_TRUE,lf[744]);}

/* scheme#close-output-port in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19316,3,av);}
/* library.scm:3405: close */
f_19261(t1,t2,C_SCHEME_FALSE,lf[745]);}

/* scheme#call-with-input-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19322,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19326,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19324 in scheme#call-with-input-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19326,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19331,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li582),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19337,a[2]=t2,a[3]=((C_word)li583),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3412: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19330 in k19324 in scheme#call-with-input-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19331,2,av);}
/* library.scm:3413: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19336 in k19324 in scheme#call-with-input-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19337,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19341,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3415: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19339 in a19336 in k19324 in scheme#call-with-input-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19341,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-output-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19346,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19350,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19348 in scheme#call-with-output-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19350,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19355,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li585),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19361,a[2]=t2,a[3]=((C_word)li586),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3423: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19354 in k19348 in scheme#call-with-output-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19355,2,av);}
/* library.scm:3424: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19360 in k19348 in scheme#call-with-output-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19361,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19365,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3426: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19363 in a19360 in k19348 in scheme#call-with-output-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19365,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#with-input-from-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19370,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19374,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19372 in scheme#with-input-from-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19374,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19379,a[2]=t6,a[3]=t4,a[4]=((C_word)li588),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19384,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li590),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19399,a[2]=t4,a[3]=t6,a[4]=((C_word)li591),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3434: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19378 in k19372 in scheme#with-input-from-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19379,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[716]+1));
t3=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19383 in k19372 in scheme#with-input-from-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19384,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19390,a[2]=((C_word*)t0)[2],a[3]=((C_word)li589),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3435: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19389 in a19383 in k19372 in scheme#with-input-from-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19390,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19394,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3437: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19392 in a19389 in a19383 in k19372 in scheme#with-input-from-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in ... */
static void C_ccall f_19394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19394,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19398 in k19372 in scheme#with-input-from-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19399,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[716]+1));
t3=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#with-output-to-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19404,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19408,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19406 in scheme#with-output-to-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19408,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19413,a[2]=t6,a[3]=t4,a[4]=((C_word)li593),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19418,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li595),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19433,a[2]=t4,a[3]=t6,a[4]=((C_word)li596),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3445: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19412 in k19406 in scheme#with-output-to-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19413,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[717]+1));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19417 in k19406 in scheme#with-output-to-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19418,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19424,a[2]=((C_word*)t0)[2],a[3]=((C_word)li594),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3446: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19423 in a19417 in k19406 in scheme#with-output-to-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19424,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19428,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3448: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19426 in a19423 in a19417 in k19406 in scheme#with-output-to-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in ... */
static void C_ccall f_19428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19428,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19432 in k19406 in scheme#with-output-to-file in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19433,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[717]+1));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#file-exists? in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_19438,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19443,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t5,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3452: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k19441 in file-exists? in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19443,2,av);}
t2=C_i_file_exists_p(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
switch(t2){
case C_SCHEME_FALSE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_SCHEME_TRUE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
/* library.scm:3456: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[702];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[747];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* ##sys#flush-output in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19464,3,av);}
a=C_alloc(3);
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(5));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19471,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3460: g4117 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19469 in flush-output in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19471,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flush-output in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19477,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[750]);
/* library.scm:3467: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[750]);
/* library.scm:3467: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#port-line in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19495,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_input_portp(t2))?C_slot(t2,C_fix(4)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#decorate-lambda in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19504,5,av);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=t5;
t7=C_fixnum_difference(t6,C_fix(1));
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19517,a[2]=t6,a[3]=t2,a[4]=t4,a[5]=t9,a[6]=t3,a[7]=((C_word)li603),tmp=(C_word)a,a+=8,tmp));
t11=((C_word*)t9)[1];
f_19517(t11,t1,t7);}

/* loop in decorate-lambda in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_fcall f_19517(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_19517,3,t0,t1,t2);}
a=C_alloc(7);
t3=t2;
if(C_truep(C_i_zerop(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19525,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t5=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3481: scheme#make-vector */
t6=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_slot(((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19567,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3490: pred */
t6=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19523 in loop in decorate-lambda in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19525,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19530,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word)li602),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_19530(t6,((C_word*)t0)[5],C_fix(1));}

/* doloop4146 in k19523 in loop in decorate-lambda in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_fcall f_19530(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19530,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_vector_to_closure(((C_word*)t0)[3]);
t4=C_copy_pointer(((C_word*)t0)[4],((C_word*)t0)[3]);
/* library.scm:3486: decorator */
t5=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t3=C_slot(((C_word*)t0)[4],t2);
t4=C_i_setslot(((C_word*)t0)[3],t2,t3);
t5=C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}

/* k19565 in loop in decorate-lambda in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19567,2,av);}
if(C_truep(t1)){
/* library.scm:3491: decorator */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3492: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_19517(t3,((C_word*)t0)[3],t2);}}

/* ##sys#lambda-decoration in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19579,4,av);}
a=C_alloc(8);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19589,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=((C_word)li605),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_19589(t9,t1,t5);}

/* loop in lambda-decoration in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_fcall f_19589(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_19589,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=C_slot(((C_word*)t0)[2],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19605,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3498: pred */
t6=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k19603 in loop in lambda-decoration in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19605,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* library.scm:3500: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_19589(t3,((C_word*)t0)[2],t2);}}

/* ##sys#make-lambda-info in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19618,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19625,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3507: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19623 in make-lambda-info in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19625,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_string_to_lambdainfo(t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#lambda-info? in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19627,3,av);}
t3=C_immp(t2);
if(C_truep(C_i_not(t3))){
t4=C_lambdainfop(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#lambda-info in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19640,3,av);}
/* library.scm:3519: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[755]);
tp(4,av2);}}

/* ##sys#lambda-info->string in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19646,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19653,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3523: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19651 in lambda-info->string in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19653,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#procedure-information in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19655,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19659,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3529: ##sys#check-closure */
t4=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[759];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19657 in chicken.base#procedure-information in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19659,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19662,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3530: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k19660 in k19657 in chicken.base#procedure-information in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_19662,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19672,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19676,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3531: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t3;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19670 in k19660 in k19657 in chicken.base#procedure-information in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19672,2,av);}
/* library.scm:3531: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k19674 in k19660 in k19657 in chicken.base#procedure-information in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19676,2,av);}
/* library.scm:3531: chicken.base#open-input-string */
t2=*((C_word*)lf[212]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_19684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19684,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[203]+1 /* (set! chicken.base#setter ...) */,t1);
t3=C_mutate((C_word*)lf[762]+1 /* (set! ##sys#setter ...) */,*((C_word*)lf[203]+1));
t4=C_mutate((C_word*)lf[200]+1 /* (set! chicken.base#getter-with-setter ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19687,a[2]=((C_word)li615),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19764,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3591: chicken.base#getter-with-setter */
t6=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=*((C_word*)lf[9]+1);
av2[3]=*((C_word*)lf[11]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_19687,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19694,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3570: ##sys#check-closure */
t9=*((C_word*)lf[365]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[763];
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}

/* k19692 in chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19694,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19697,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3571: ##sys#check-closure */
t3=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[763];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k19695 in k19692 in chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19697,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19700,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t3=C_i_check_string_2(((C_word*)t0)[5],lf[763]);
/* library.scm:3574: ##sys#make-lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:3575: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k19698 in k19695 in k19692 in chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in ... */
static void C_ccall f_19700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_19700,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19703,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19719,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3577: ##sys#copy-closure */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[332]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[332]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k19701 in k19698 in k19695 in k19692 in chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in ... */
static void C_ccall f_19703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_19703,2,av);}
a=C_alloc(4);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19711,a[2]=((C_word*)t0)[2],a[3]=((C_word)li612),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3583: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_fast_retrieve(lf[755]);
av2[4]=t2;
tp(5,av2);}}
else{
t2=t1;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19710 in k19701 in k19698 in k19695 in k19692 in chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in ... */
static void C_ccall f_19711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19711,4,av);}
t4=C_i_setslot(t2,t3,((C_word*)t0)[2]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k19717 in k19698 in k19695 in k19692 in chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in ... */
static void C_ccall f_19719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_19719,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19721,a[2]=((C_word)li613),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19737,a[2]=((C_word*)t0)[2],a[3]=((C_word)li614),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3576: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=t2;
av2[4]=t3;
tp(5,av2);}}

/* a19720 in k19717 in k19698 in k19695 in k19692 in chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in ... */
static void C_ccall f_19721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19721,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19736 in k19717 in k19698 in k19695 in k19692 in chicken.base#getter-with-setter in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in ... */
static void C_ccall f_19737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_19737,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_19764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19764,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19768,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3592: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[10]+1);
av2[3]=*((C_word*)lf[12]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_19768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19768,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19772,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31831,a[2]=((C_word)li998),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3593: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[17]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_19772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19772,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19776,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31821,a[2]=((C_word)li997),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3594: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[13]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in ... */
static void C_ccall f_19776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19776,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19780,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31811,a[2]=((C_word)li996),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3595: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[18]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in ... */
static void C_ccall f_19780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19780,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19784,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31801,a[2]=((C_word)li995),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3596: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[19]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in ... */
static void C_ccall f_19784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19784,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19788,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31791,a[2]=((C_word)li994),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3597: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[20]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in ... */
static void C_ccall f_19788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19788,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19792,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31781,a[2]=((C_word)li993),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3598: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[21]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in ... */
static void C_ccall f_19792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19792,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19796,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31771,a[2]=((C_word)li992),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3599: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[22]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in ... */
static void C_ccall f_19796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19796,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19800,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31761,a[2]=((C_word)li991),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3600: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[14]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in ... */
static void C_ccall f_19800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19800,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19804,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31751,a[2]=((C_word)li990),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3601: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[23]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in ... */
static void C_ccall f_19804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19804,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19808,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31741,a[2]=((C_word)li989),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3602: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[24]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in ... */
static void C_ccall f_19808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19808,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19812,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31731,a[2]=((C_word)li988),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3603: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[25]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in ... */
static void C_ccall f_19812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19812,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19816,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31721,a[2]=((C_word)li987),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3604: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[26]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in ... */
static void C_ccall f_19816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19816,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19820,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3605: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[58]+1);
av2[3]=*((C_word*)lf[59]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in ... */
static void C_ccall f_19820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19820,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19824,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3606: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[91]+1);
av2[3]=*((C_word*)lf[92]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in ... */
static void C_ccall f_19824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_19824,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19828,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31711,a[2]=((C_word)li986),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3609: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[45]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in ... */
static void C_ccall f_19828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_19828,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,t1);
t3=C_SCHEME_UNDEFINED;
t4=C_a_i_vector(&a,16,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3);
t5=C_mutate(&lf[764] /* (set! ##sys#default-parameter-vector ...) */,t4);
t6=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#current-parameter-vector ...) */,lf[766]);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[201]+1 /* (set! chicken.base#make-parameter ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19835,a[2]=t8,a[3]=((C_word)li623),tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[146]+1 /* (set! scheme#char-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19999,a[2]=((C_word)li624),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[147]+1 /* (set! scheme#read-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20024,a[2]=((C_word)li625),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[768]+1 /* (set! ##sys#read-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20042,a[2]=((C_word)li626),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[769]+1 /* (set! ##sys#read-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20102,a[2]=((C_word)li627),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[770]+1 /* (set! ##sys#peek-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20111,a[2]=((C_word)li628),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[148]+1 /* (set! scheme#peek-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20136,a[2]=((C_word)li629),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[149]+1 /* (set! scheme#read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20154,a[2]=((C_word)li630),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(lf[772] /* ##sys#default-read-info-hook */,0,C_SCHEME_FALSE);
t18=C_set_block_item(lf[773] /* ##sys#read-error-with-line-number */,0,C_SCHEME_FALSE);
t19=C_set_block_item(lf[774] /* ##sys#enable-qualifiers */,0,C_SCHEME_TRUE);
t20=C_mutate((C_word*)lf[775]+1 /* (set! ##sys#read-prompt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20175,a[2]=((C_word)li631),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[776]+1 /* (set! ##sys#infix-list-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20178,a[2]=((C_word)li632),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[777]+1 /* (set! ##sys#sharp-number-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20181,a[2]=((C_word)li633),tmp=(C_word)a,a+=3,tmp));
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20189,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3720: chicken.base#make-parameter */
t24=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t24;
av2[1]=t23;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t24+1)))(3,av2);}}

/* chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_19835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_19835,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19993,a[2]=((C_word)li616),tmp=(C_word)a,a+=3,tmp):C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19842,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3622: guard */
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in ... */
static void C_ccall f_19842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,6)))){
C_save_and_reclaim((void *)f_19842,2,av);}
a=C_alloc(14);
t2=t1;
t3=((C_word*)((C_word*)t0)[2])[1];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19843,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word)li617),tmp=(C_word)a,a+=5,tmp);
t5=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t6=C_set_block_item(((C_word*)t0)[2],0,t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19877,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t8))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19981,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t10=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3639: ##sys#vector-resize */
f_18028(t9,C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),t10,C_SCHEME_UNDEFINED);}
else{
t9=t7;
f_19877(t9,C_SCHEME_UNDEFINED);}}

/* assign in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in ... */
static void C_fcall f_19843(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_19843,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19847,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],t3))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19866,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3627: ##sys#vector-resize */
f_18028(t7,C_fast_retrieve(lf[765]),t8,*((C_word*)lf[624]+1));}
else{
t7=t6;
f_19847(t7,C_SCHEME_UNDEFINED);}}

/* k19845 in assign in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in ... */
static void C_fcall f_19847(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_19847,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19850,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
/* library.scm:3631: guard */
t3=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[7];
f_19850(2,av2);}}}

/* k19848 in k19845 in assign in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_19850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19850,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_setslot(C_fast_retrieve(lf[765]),((C_word*)t0)[3],t1);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19864 in assign in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in ... */
static void C_ccall f_19866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19866,2,av);}
t2=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#current-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19847(t3,t2);}

/* k19875 in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in ... */
static void C_fcall f_19877(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_19877,2,t0,t1);}
a=C_alloc(9);
t2=C_i_setslot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19885,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word)li621),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19967,a[2]=((C_word*)t0)[4],a[3]=((C_word)li622),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3645: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a19884 in k19875 in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in ... */
static void C_ccall f_19885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +14,c,4)))){
C_save_and_reclaim((void*)f_19885,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+14);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
t3=C_block_size(C_fast_retrieve(lf[765]));
t4=t3;
if(C_truep(C_i_pairp(t2))){
t5=t2;
t6=C_u_i_cdr(t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19897,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li618),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19906,a[2]=t7,a[3]=((C_word)li619),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19911,a[2]=t8,a[3]=((C_word)li620),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
/* library.scm:3649: def-convert?4299 */
t10=t9;
f_19911(t10,t1);}
else{
t10=C_i_car(t6);
t11=C_u_i_cdr(t6);
if(C_truep(C_i_nullp(t11))){
/* library.scm:3649: def-set?4300 */
t12=t8;
f_19906(t12,t1,t10);}
else{
t12=C_i_car(t11);
t13=C_u_i_cdr(t11);
/* library.scm:3649: body4297 */
t14=t7;
f_19897(t14,t1,t10,t12);}}}
else{
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[3],t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_slot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(C_fast_retrieve(lf[765]),((C_word*)t0)[3]);
t6=C_eqp(t5,*((C_word*)lf[624]+1));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_slot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]):t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* body4297 in a19884 in k19875 in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_19897(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_19897,4,t0,t1,t2,t3);}
t4=C_i_car(((C_word*)t0)[2]);
/* library.scm:3651: assign */
t5=((C_word*)t0)[3];
f_19843(t5,t1,t4,((C_word*)t0)[4],t2,t3);}

/* def-set?4300 in a19884 in k19875 in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_19906(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19906,3,t0,t1,t2);}
/* library.scm:3649: body4297 */
t3=((C_word*)t0)[2];
f_19897(t3,t1,t2,C_SCHEME_TRUE);}

/* def-convert?4299 in a19884 in k19875 in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_19911(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_19911,2,t0,t1);}
/* library.scm:3649: def-set?4300 */
t2=((C_word*)t0)[2];
f_19906(t2,t1,C_SCHEME_TRUE);}

/* a19966 in k19875 in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in ... */
static void C_ccall f_19967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19967,3,av);}
t3=C_block_size(C_fast_retrieve(lf[765]));
/* library.scm:3661: assign */
t4=((C_word*)t0)[2];
f_19843(t4,t1,t2,t3,C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k19979 in k19840 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in ... */
static void C_ccall f_19981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19981,2,av);}
t2=C_mutate(&lf[764] /* (set! ##sys#default-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19877(t3,t2);}

/* f_19993 in chicken.base#make-parameter in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in ... */
static void C_ccall f_19993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19993,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char-ready? in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_19999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19999,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[716]+1):C_i_car(t2));
t5=C_i_check_port_2(t4,C_fix(1),C_SCHEME_TRUE,lf[767]);
t6=C_slot(t4,C_fix(2));
t7=C_slot(t6,C_fix(6));
/* library.scm:3667: g4332 */
t8=t7;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* scheme#read-char in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20024,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3674: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3674: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#read-char-0 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20042,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20046,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(t2,C_fix(6)))){
t4=C_i_set_i_slot(t2,C_fix(6),C_SCHEME_FALSE);
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_FILE;
f_20046(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
t5=C_slot(t4,C_fix(0));
/* library.scm:3677: g4350 */
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20044 in read-char-0 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in ... */
static void C_ccall f_20046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20046,2,av);}
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=C_slot(((C_word*)t0)[2],C_fix(4));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t4);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=C_eofp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t5);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* ##sys#read-char/port in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20102,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3691: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* ##sys#peek-char-0 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20111,3,av);}
a=C_alloc(4);
if(C_truep(C_slot(t2,C_fix(6)))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20124,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3696: g4364 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20122 in peek-char-0 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in ... */
static void C_ccall f_20124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20124,2,av);}
if(C_truep(C_eofp(t1))){
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(6),C_SCHEME_TRUE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scheme#peek-char in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20136,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[707]);
/* library.scm:3704: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[707]);
/* library.scm:3704: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* scheme#read in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_20154,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[771]);
/* library.scm:3709: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
av2[3]=C_fast_retrieve(lf[772]);
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[771]);
/* library.scm:3709: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fast_retrieve(lf[772]);
tp(4,av2);}}}

/* ##sys#read-prompt-hook in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20175,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#infix-list-hook in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20178,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#sharp-number-hook in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20181,4,av);}
/* library.scm:3718: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[779];
av2[4]=t3;
tp(5,av2);}}

/* k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in ... */
static void C_ccall f_20189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20189,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[230]+1 /* (set! chicken.base#case-sensitive ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20193,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3721: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[815];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in ... */
static void C_ccall f_20193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20193,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[231]+1 /* (set! chicken.base#keyword-style ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20197,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3722: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in ... */
static void C_ccall f_20197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20197,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[232]+1 /* (set! chicken.base#parentheses-synonyms ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20201,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3723: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in ... */
static void C_ccall f_20201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20201,2,av);}
a=C_alloc(8);
t2=C_mutate((C_word*)lf[233]+1 /* (set! chicken.base#symbol-escape ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20205,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_record4(&a,4,lf[1369],C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);
/* library.scm:3725: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_20205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(59,c,4)))){
C_save_and_reclaim((void *)f_20205,2,av);}
a=C_alloc(59);
t2=C_mutate((C_word*)lf[780]+1 /* (set! ##sys#current-read-table ...) */,t1);
t3=C_mutate((C_word*)lf[781]+1 /* (set! ##sys#read-warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20207,a[2]=((C_word)li634),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[778]+1 /* (set! ##sys#read-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20230,a[2]=((C_word)li635),tmp=(C_word)a,a+=3,tmp));
t5=*((C_word*)lf[231]+1);
t6=*((C_word*)lf[230]+1);
t7=*((C_word*)lf[232]+1);
t8=*((C_word*)lf[233]+1);
t9=C_fast_retrieve(lf[780]);
t10=C_a_i_string(&a,1,C_make_character(0));
t11=t10;
t12=C_mutate((C_word*)lf[758]+1 /* (set! ##sys#read ...) */,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20256,a[2]=t11,a[3]=t9,a[4]=t8,a[5]=t7,a[6]=t5,a[7]=t6,a[8]=((C_word)li692),tmp=(C_word)a,a+=9,tmp));
t13=C_mutate((C_word*)lf[793]+1 /* (set! ##sys#char->utf8-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23182,a[2]=((C_word)li693),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[800]+1 /* (set! ##sys#unicode-surrogate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23347,a[2]=((C_word)li694),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[797]+1 /* (set! ##sys#surrogates->codepoint ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23359,a[2]=((C_word)li695),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[848]+1 /* (set! ##sys#read-bytevector-literal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23421,a[2]=((C_word)li698),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[860]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23569,a[2]=((C_word)li699),tmp=(C_word)a,a+=3,tmp));
t18=C_set_block_item(lf[858] /* ##sys#read-marks */,0,C_SCHEME_END_OF_LIST);
t19=C_mutate((C_word*)lf[867]+1 /* (set! ##sys#write-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23614,a[2]=((C_word)li700),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[868]+1 /* (set! ##sys#write-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23630,a[2]=((C_word)li701),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[150]+1 /* (set! scheme#write-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23642,a[2]=((C_word)li702),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[151]+1 /* (set! scheme#newline ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23663,a[2]=((C_word)li703),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[152]+1 /* (set! scheme#write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23678,a[2]=((C_word)li704),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[153]+1 /* (set! scheme#display ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23696,a[2]=((C_word)li705),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[188]+1 /* (set! chicken.base#print ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23714,a[2]=((C_word)li707),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[189]+1 /* (set! chicken.base#print* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23765,a[2]=((C_word)li709),tmp=(C_word)a,a+=3,tmp));
t27=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23818,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4471: chicken.base#make-parameter */
t28=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t28;
av2[1]=t27;
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t28+1)))(3,av2);}}

/* ##sys#read-warning in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_20207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20207,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20215,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3732: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2=av;
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20213 in read-warning in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_20215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20215,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20218,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[773]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20228,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3734: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t4;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}}

/* k20216 in k20213 in read-warning in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_20218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20218,2,av);}{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t1;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}

/* k20226 in k20213 in read-warning in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_20228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20228,2,av);}
/* library.scm:3734: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[782];
av2[3]=t1;
av2[4]=lf[783];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read-error in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_20230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20230,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20238,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3744: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2=av;
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20236 in read-error in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_20238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_20238,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20241,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[773]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20251,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3746: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[784];
av2[4]=t4;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}}

/* k20239 in k20236 in read-error in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_20241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20241,2,av);}{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[784];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}

/* k20249 in k20236 in read-error in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_20251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20251,2,av);}
/* library.scm:3746: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[785];
av2[3]=t1;
av2[4]=lf[786];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_20256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20256,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20260,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3759: case-sensitive */
t5=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_20260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20260,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20263,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3760: keyword-style */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_20263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20263,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20266,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3761: parentheses-synonyms */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_20266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20266,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20269,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3762: symbol-escape */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_20269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20269,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20272,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3763: current-read-table */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_20272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(53,c,5)))){
C_save_and_reclaim((void *)f_20272,2,av);}
a=C_alloc(53);
t2=t1;
t3=lf[787];
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20274,a[2]=((C_word*)t0)[2],a[3]=((C_word)li636),tmp=(C_word)a,a+=4,tmp));
t19=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20280,a[2]=((C_word*)t0)[3],a[3]=((C_word)li637),tmp=(C_word)a,a+=4,tmp));
t20=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20289,a[2]=((C_word*)t0)[2],a[3]=((C_word)li639),tmp=(C_word)a,a+=4,tmp));
t21=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20326,a[2]=((C_word*)t0)[2],a[3]=((C_word)li640),tmp=(C_word)a,a+=4,tmp));
t22=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20335,a[2]=t5,a[3]=t13,a[4]=((C_word)li641),tmp=(C_word)a,a+=5,tmp));
t23=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_20350,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=t7,a[5]=t9,a[6]=t17,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t15,a[10]=t3,a[11]=t5,a[12]=t13,a[13]=((C_word*)t0)[6],a[14]=t2,a[15]=((C_word*)t0)[7],a[16]=((C_word*)t0)[8],a[17]=((C_word)li691),tmp=(C_word)a,a+=18,tmp));
/* library.scm:4338: readrec */
t24=((C_word*)t17)[1];
f_20350(t24,((C_word*)t0)[9]);}

/* f_20274 in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_20274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20274,3,av);}
/* library.scm:3769: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[788];
av2[4]=t2;
tp(5,av2);}}

/* info in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_fcall f_20280(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_20280,5,t0,t1,t2,t3,t4);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:3773: infohandler */
t5=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}
else{
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* skip-to-eol in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_fcall f_20289(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20289,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20297,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3777: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20295 in skip-to-eol in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_20297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_20297,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20299,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li638),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_20299(t5,((C_word*)t0)[3],t1);}

/* skip in k20295 in skip-to-eol in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_20299(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20299,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20306,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_eofp(t2);
if(C_truep(C_i_not(t4))){
t5=C_eqp(C_make_character(10),t2);
t6=t3;
f_20306(t6,C_i_not(t5));}
else{
t5=t3;
f_20306(t5,C_SCHEME_FALSE);}}

/* k20304 in skip in k20295 in skip-to-eol in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_20306(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20306,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20313,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3779: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20311 in k20304 in skip in k20295 in skip-to-eol in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_20313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20313,2,av);}
/* library.scm:3779: skip */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20299(t2,((C_word*)t0)[3],t1);}

/* reserved-character in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_fcall f_20326(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20326,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20330,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3782: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20328 in reserved-character in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_20330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20330,2,av);}
/* library.scm:3783: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[789];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* read-unreserved-char-0 in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_fcall f_20335(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20335,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20339,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3786: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20337 in read-unreserved-char-0 in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_20339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20339,2,av);}
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:3788: reserved-character */
t2=((C_word*)((C_word*)t0)[3])[1];
f_20326(t2,((C_word*)t0)[4],t1);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_fcall f_20350(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(159,0,5)))){
C_save_and_reclaim_args((void *)trf_20350,2,t0,t1);}
a=C_alloc(159);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_SCHEME_UNDEFINED;
t23=(*a=C_VECTOR_TYPE|1,a[1]=t22,tmp=(C_word)a,a+=2,tmp);
t24=C_SCHEME_UNDEFINED;
t25=(*a=C_VECTOR_TYPE|1,a[1]=t24,tmp=(C_word)a,a+=2,tmp);
t26=C_SCHEME_UNDEFINED;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=C_SCHEME_UNDEFINED;
t29=(*a=C_VECTOR_TYPE|1,a[1]=t28,tmp=(C_word)a,a+=2,tmp);
t30=C_SCHEME_UNDEFINED;
t31=(*a=C_VECTOR_TYPE|1,a[1]=t30,tmp=(C_word)a,a+=2,tmp);
t32=C_SCHEME_UNDEFINED;
t33=(*a=C_VECTOR_TYPE|1,a[1]=t32,tmp=(C_word)a,a+=2,tmp);
t34=C_SCHEME_UNDEFINED;
t35=(*a=C_VECTOR_TYPE|1,a[1]=t34,tmp=(C_word)a,a+=2,tmp);
t36=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20353,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li643),tmp=(C_word)a,a+=5,tmp));
t37=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20401,a[2]=((C_word*)t0)[2],a[3]=((C_word)li645),tmp=(C_word)a,a+=4,tmp));
t38=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20461,a[2]=((C_word)li647),tmp=(C_word)a,a+=3,tmp));
t39=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20498,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=t7,a[5]=((C_word)li650),tmp=(C_word)a,a+=6,tmp));
t40=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_21064,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t35,a[9]=t27,a[10]=((C_word)li656),tmp=(C_word)a,a+=11,tmp));
t41=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21326,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=((C_word)li657),tmp=(C_word)a,a+=5,tmp));
t42=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21344,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li659),tmp=(C_word)a,a+=7,tmp));
t43=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21414,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li660),tmp=(C_word)a,a+=5,tmp));
t44=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21465,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li661),tmp=(C_word)a,a+=5,tmp));
t45=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21532,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word)li663),tmp=(C_word)a,a+=7,tmp));
t46=C_set_block_item(t23,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21596,a[2]=((C_word*)t0)[2],a[3]=((C_word)li665),tmp=(C_word)a,a+=4,tmp));
t47=C_set_block_item(t25,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21642,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li667),tmp=(C_word)a,a+=7,tmp));
t48=C_set_block_item(t27,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21667,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[12],a[5]=t9,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[10],a[9]=((C_word)li669),tmp=(C_word)a,a+=10,tmp));
t49=C_set_block_item(t29,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21881,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=t21,a[5]=((C_word)li670),tmp=(C_word)a,a+=6,tmp));
t50=C_set_block_item(t31,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22090,a[2]=((C_word*)t0)[2],a[3]=((C_word)li672),tmp=(C_word)a,a+=4,tmp));
t51=C_set_block_item(t33,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22177,a[2]=((C_word*)t0)[2],a[3]=t21,a[4]=((C_word)li674),tmp=(C_word)a,a+=5,tmp));
t52=C_set_block_item(t35,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22269,a[2]=((C_word*)t0)[13],a[3]=((C_word)li675),tmp=(C_word)a,a+=4,tmp));
t53=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22281,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[14],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=t23,a[8]=t17,a[9]=t19,a[10]=((C_word*)t0)[8],a[11]=t13,a[12]=t29,a[13]=t31,a[14]=t33,a[15]=((C_word*)t0)[7],a[16]=t35,a[17]=t27,a[18]=((C_word*)t0)[3],a[19]=t21,a[20]=t11,a[21]=((C_word*)t0)[4],a[22]=t9,a[23]=t15,a[24]=((C_word*)t0)[12],a[25]=t25,a[26]=t3,tmp=(C_word)a,a+=27,tmp);
t54=C_i_not(((C_word*)t0)[15]);
t55=(C_truep(t54)?lf[861]:C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(((C_word*)t0)[16]))){
/* library.scm:4183: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=lf[862];
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}
else{
/* library.scm:4183: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}}

/* r-spaces in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_20353(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20353,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20361,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3794: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20359 in r-spaces in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_20361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_20361,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20363,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li642),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_20363(t5,((C_word*)t0)[4],t1);}

/* loop in k20359 in r-spaces in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_20363(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20363,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_eqp(C_make_character(59),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20376,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3797: skip-to-eol */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20289(t6,t5);}
else{
if(C_truep(C_u_i_char_whitespacep(t2))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20392,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3800: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* k20374 in loop in k20359 in r-spaces in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_20376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20376,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20383,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3798: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20381 in k20374 in loop in k20359 in r-spaces in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20383,2,av);}
/* library.scm:3798: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20363(t2,((C_word*)t0)[3],t1);}

/* k20390 in loop in k20359 in r-spaces in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_20392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20392,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20399,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3801: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20397 in k20390 in loop in k20359 in r-spaces in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20399,2,av);}
/* library.scm:3801: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20363(t2,((C_word*)t0)[3],t1);}

/* r-usequence in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_20401(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20401,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20407,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t4,a[5]=t6,a[6]=((C_word)li644),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_20407(t8,t1,C_SCHEME_END_OF_LIST,t3);}

/* loop in r-usequence in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_20407(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20407,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20417,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3806: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20433,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3813: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}

/* k20415 in loop in r-usequence in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_20417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20417,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20420,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3807: scheme#string->number */
t4=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k20418 in k20415 in loop in r-usequence in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_20420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_20420,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20430,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3811: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[790];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=lf[791];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* k20428 in k20418 in k20415 in loop in r-usequence in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20430,2,av);}
/* library.scm:3809: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20431 in loop in r-usequence in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_20433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20433,2,av);}
a=C_alloc(3);
t2=C_eofp(t1);
t3=(C_truep(t2)?t2:C_i_char_equalp(C_make_character(34),t1));
if(C_truep(t3)){
/* library.scm:3815: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[792];
tp(4,av2);}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
t5=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3816: loop */
t6=((C_word*)((C_word*)t0)[6])[1];
f_20407(t6,((C_word*)t0)[2],t4,t5);}}

/* r-cons-codepoint in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_20461(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20461,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20465,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_make_character(C_unfix(t2));
/* library.scm:3819: ##sys#char->utf8-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[793]);
C_word av2[3];
av2[0]=*((C_word*)lf[793]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k20463 in r-cons-codepoint in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_20465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20465,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20473,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li646),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_20473(t8,((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);}

/* lp in k20463 in r-cons-codepoint in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_20473(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_20473,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[3],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:3824: lp */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_20498(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20498,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20506,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3827: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_20506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_20506,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20508,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li649),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_20508(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_20508(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_20508,4,t0,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_eofp(((C_word*)t4)[1]))){
/* library.scm:3829: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[794];
tp(4,av2);}}
else{
t5=C_eqp(C_make_character(92),((C_word*)t4)[1]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20525,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3831: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t6=C_eqp(((C_word*)t0)[6],((C_word*)t4)[1]);
if(C_truep(t6)){
/* library.scm:3902: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21058,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3903: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}}}

/* k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_20525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_20525,2,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)((C_word*)t0)[2])[1];
switch(t3){
case C_make_character(116):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20538,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3833: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(114):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20555,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3834: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20572,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3835: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(110):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20589,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3836: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(97):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20606,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3837: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(118):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20627,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3838: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(102):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20648,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3839: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20680,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3841: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20401(t5,t4,lf[795],C_fix(2),C_fix(16));
case C_make_character(117):
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20689,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3844: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20401(t5,t4,lf[801],C_fix(4),C_fix(16));
case C_make_character(85):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20763,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3857: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20401(t5,t4,lf[803],C_fix(8),C_fix(16));
default:
t4=C_eqp(t3,C_make_character(92));
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20792,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_20792(t6,t4);}
else{
t6=C_eqp(t3,C_make_character(39));
if(C_truep(t6)){
t7=t5;
f_20792(t7,t6);}
else{
t7=C_eqp(t3,C_make_character(34));
t8=t5;
f_20792(t8,(C_truep(t7)?t7:C_eqp(t3,C_make_character(124))));}}}}

/* k20536 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20538,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(9),((C_word*)t0)[2]);
/* library.scm:3833: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20508(t3,((C_word*)t0)[4],t1,t2);}

/* k20553 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20555,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(13),((C_word*)t0)[2]);
/* library.scm:3834: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20508(t3,((C_word*)t0)[4],t1,t2);}

/* k20570 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20572,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(8),((C_word*)t0)[2]);
/* library.scm:3835: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20508(t3,((C_word*)t0)[4],t1,t2);}

/* k20587 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20589,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:3836: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20508(t3,((C_word*)t0)[4],t1,t2);}

/* k20604 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20606,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(7),((C_word*)t0)[2]);
/* library.scm:3837: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20508(t3,((C_word*)t0)[4],t1,t2);}

/* k20625 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20627,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(11),((C_word*)t0)[2]);
/* library.scm:3838: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20508(t3,((C_word*)t0)[4],t1,t2);}

/* k20646 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20648,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(12),((C_word*)t0)[2]);
/* library.scm:3839: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20508(t3,((C_word*)t0)[4],t1,t2);}

/* k20670 in k20678 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_20672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20672,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3842: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20508(t3,((C_word*)t0)[5],t1,t2);}

/* k20678 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20680,2,av);}
a=C_alloc(6);
t2=C_make_character(C_unfix(t1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20672,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3842: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20689,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20695,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3845: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[800]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[800]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_20695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20695,2,av);}
a=C_alloc(13);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20701,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20743,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3846: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20750,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3855: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k20699 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_fcall f_20701(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_20701,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20704,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3848: r-usequence */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20401(t3,t2,lf[798],C_fix(4),C_fix(16));}
else{
/* library.scm:3854: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[799];
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}}

/* k20702 in k20699 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_20704,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20707,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:3849: ##sys#surrogates->codepoint */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[797]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[797]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
tp(4,av2);}}

/* k20705 in k20702 in k20699 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_20707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_20707,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20717,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3851: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
/* library.scm:3853: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[796];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
tp(6,av2);}}}

/* k20715 in k20705 in k20702 in k20699 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_20717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20717,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20721,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3852: r-cons-codepoint */
f_20461(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20719 in k20715 in k20705 in k20702 in k20699 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_20721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20721,2,av);}
/* library.scm:3851: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20508(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20736 in k20741 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20738,2,av);}
t2=((C_word*)t0)[2];
f_20701(t2,C_eqp(C_make_character(117),t1));}

/* k20741 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_20743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20743,2,av);}
a=C_alloc(3);
t2=C_eqp(C_make_character(92),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20738,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3847: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];
f_20701(t3,C_SCHEME_FALSE);}}

/* k20748 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_20750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20750,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20754,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3855: r-cons-codepoint */
f_20461(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20752 in k20748 in k20693 in k20687 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20754,2,av);}
/* library.scm:3855: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20508(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20761 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_20763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20763,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20769,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3858: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[800]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[800]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20767 in k20761 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_20769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_20769,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:3859: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[802];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20779,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3860: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20777 in k20767 in k20761 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_20779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20779,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20783,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3860: r-cons-codepoint */
f_20461(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20781 in k20777 in k20767 in k20761 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20783,2,av);}
/* library.scm:3860: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20508(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_20792(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_20792,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20799,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3862: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[7],C_make_character(10));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20812,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_20812(t4,t2);}
else{
t4=C_eqp(((C_word*)t0)[7],C_make_character(13));
if(C_truep(t4)){
t5=t3;
f_20812(t5,t4);}
else{
t5=C_eqp(((C_word*)t0)[7],C_make_character(32));
t6=t3;
f_20812(t6,(C_truep(t5)?t5:C_eqp(((C_word*)t0)[7],C_make_character(9))));}}}}

/* k20797 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_20799(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20799,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3862: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20508(t3,((C_word*)t0)[5],t1,t2);}

/* k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_fcall f_20812(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20812,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20817,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li648),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_20817(t5,((C_word*)t0)[5],((C_word*)((C_word*)t0)[6])[1],C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)((C_word*)t0)[6])[1]))){
/* library.scm:3888: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[805];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20916,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)((C_word*)t0)[6])[1]))){
t3=C_i_char_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(48));
t4=t2;
f_20916(t4,(C_truep(t3)?C_i_char_less_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(55)):C_SCHEME_FALSE));}
else{
t3=t2;
f_20916(t3,C_SCHEME_FALSE);}}}}

/* eat-ws in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_fcall f_20817(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_20817,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=t2;
t5=C_eqp(t4,C_make_character(32));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(9)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20834,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3868: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(t4){
case C_make_character(13):
if(C_truep(t3)){
/* library.scm:3871: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20508(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20849,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3872: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
case C_make_character(10):
if(C_truep(t3)){
/* library.scm:3878: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20508(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20884,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3879: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
default:
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20887,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t3)){
/* library.scm:3885: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_20508(t8,t1,t2,((C_word*)t0)[5]);}
else{
/* library.scm:3882: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word av2[4];
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[804];
tp(4,av2);}}}}}

/* k20832 in eat-ws in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20834,2,av);}
/* library.scm:3868: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20817(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4]);}

/* k20847 in eat-ws in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_20849,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20862,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3874: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:3875: eat-ws */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20817(t3,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}}

/* k20860 in k20847 in eat-ws in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_20862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20862,2,av);}
/* library.scm:3874: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20817(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20882 in eat-ws in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20884,2,av);}
/* library.scm:3879: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20817(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20885 in eat-ws in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20887,2,av);}
/* library.scm:3885: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20508(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k20914 in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_fcall f_20916(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_20916,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)((C_word*)t0)[2])[1]));
t3=C_fixnum_difference(t2,C_fix(48));
t4=C_fixnum_times(t3,C_fix(64));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20942,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3894: r-usequence */
t7=((C_word*)((C_word*)t0)[7])[1];
f_20401(t7,t6,lf[806],C_fix(2),C_fix(8));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20953,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3897: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word av2[5];
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=lf[807];
av2[4]=((C_word*)((C_word*)t0)[2])[1];
tp(5,av2);}}}

/* k20924 in k20940 in k20914 in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_20926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20926,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3895: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20508(t3,((C_word*)t0)[5],t1,t2);}

/* k20940 in k20914 in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20942(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20942,2,av);}
a=C_alloc(6);
t2=C_fixnum_plus(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20926,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3895: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20951 in k20914 in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_20953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20953,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20960,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3901: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20958 in k20951 in k20914 in k20810 in k20790 in k20523 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_20960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20960,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3901: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20508(t3,((C_word*)t0)[5],t1,t2);}

/* k21056 in loop in k20504 in r-string in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21058,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3903: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20508(t3,((C_word*)t0)[5],t1,t2);}

/* r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21064(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_21064,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21324,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3906: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* starting-line in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_21073(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21073,3,t0,t1,t2);}
a=C_alloc(4);
t3=(C_truep(((C_word*)((C_word*)t0)[2])[1])?C_fast_retrieve(lf[773]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21087,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3914: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k21085 in starting-line in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21087,2,av);}
/* library.scm:3912: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[808];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k21088 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_21090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21090,2,av);}
a=C_alloc(5);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21101,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3981: ##sys#infix-list-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
tp(3,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k21099 in k21088 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21101,2,av);}
/* library.scm:3981: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20280(t2,((C_word*)t0)[3],lf[809],t1,((C_word*)((C_word*)t0)[4])[1]);}

/* a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_21103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,3)))){
C_save_and_reclaim((void *)f_21103,3,av);}
a=C_alloc(23);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21106,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li652),tmp=(C_word)a,a+=7,tmp));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21128,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t5,a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word)li654),tmp=(C_word)a,a+=14,tmp));
t7=((C_word*)t5)[1];
f_21128(t7,t1,C_SCHEME_END_OF_LIST);}

/* f_21106 in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21106,3,av);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:3921: return */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21123,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3924: starting-line */
t5=((C_word*)t0)[5];
f_21073(t5,t4,lf[810]);}}

/* k21121 */
static void C_ccall f_21123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_21123,2,av);}
/* library.scm:3922: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}

/* loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_21128(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21128,3,t0,t1,t2);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21132,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],a[14]=((C_word*)t0)[12],tmp=(C_word)a,a+=15,tmp);
/* library.scm:3927: r-spaces */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20353(t4,t3);}

/* k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_21132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,2)))){
C_save_and_reclaim((void *)f_21132,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21135,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t3=t2;
f_21135(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21317,a[2]=((C_word*)t0)[14],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3928: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_fcall f_21135(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,2)))){
C_save_and_reclaim_args((void *)trf_21135,2,t0,t1);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21138,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3929: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_21138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21138,2,av);}
a=C_alloc(14);
if(C_truep(C_eofp(t1))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21148,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3933: starting-line */
t3=((C_word*)t0)[4];
f_21073(t3,t2,lf[811]);}
else{
t2=C_eqp(t1,((C_word*)t0)[5]);
if(C_truep(t2)){
/* library.scm:3935: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=C_eqp(t1,C_make_character(46));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21166,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3937: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21313,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3974: readrec */
t5=((C_word*)((C_word*)t0)[8])[1];
f_20350(t5,t4);}}}}

/* k21146 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_21148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21148,2,av);}
/* library.scm:3931: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_21166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21166,2,av);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21169,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3938: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_21169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21169,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_u_i_char_whitespacep(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21178,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=t2,a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21178(t5,t3);}
else{
t5=C_eqp(t2,C_make_character(40));
if(C_truep(t5)){
t6=t4;
f_21178(t6,t5);}
else{
t6=C_eqp(t2,C_make_character(41));
if(C_truep(t6)){
t7=t4;
f_21178(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(34));
t8=t4;
f_21178(t8,(C_truep(t7)?t7:C_eqp(t2,C_make_character(59))));}}}}

/* k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_fcall f_21178(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_21178,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21181,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[2]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_21181(2,av2);}}
else{
/* library.scm:3945: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[813];
tp(4,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21222,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word*)t0)[13],a[8]=((C_word)li653),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3955: r-xtoken */
t3=((C_word*)((C_word*)t0)[14])[1];
f_21667(t3,((C_word*)t0)[4],t2);}}

/* k21179 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_21181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_21181,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21184,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3946: r-spaces */
t3=((C_word*)((C_word*)t0)[7])[1];
f_20353(t3,t2);}

/* k21182 in k21179 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in ... */
static void C_ccall f_21184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_21184,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21211,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3947: readrec */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20350(t3,t2);}

/* k21188 in k21209 in k21182 in k21179 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in ... */
static void C_ccall f_21190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21190,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21207,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3949: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21201 in k21205 in k21188 in k21209 in k21182 in k21179 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in ... */
static void C_ccall f_21203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21203,2,av);}
/* library.scm:3950: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* k21205 in k21188 in k21209 in k21182 in k21179 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in ... */
static void C_ccall f_21207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21207,2,av);}
a=C_alloc(5);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21203,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3952: starting-line */
t4=((C_word*)t0)[5];
f_21073(t4,t3,lf[812]);}}

/* k21209 in k21182 in k21179 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in ... */
static void C_ccall f_21211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21211,2,av);}
a=C_alloc(6);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(1),t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21190,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3948: r-spaces */
t4=((C_word*)((C_word*)t0)[7])[1];
f_20353(t4,t3);}

/* a21221 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_21222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_21222,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21226,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=t3,a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3957: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=lf[817];
av2[3]=t2;
tp(4,av2);}}

/* k21224 in a21221 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in ... */
static void C_ccall f_21226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_21226,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21229,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t4=C_i_string_equal_p(t2,lf[814]);
t5=(C_truep(t4)?C_eqp(((C_word*)((C_word*)t0)[6])[1],lf[815]):C_SCHEME_FALSE);
if(C_truep(t5)){
/* library.scm:3963: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22269(t6,t3,lf[816]);}
else{
if(C_truep(((C_word*)t0)[8])){
/* library.scm:3964: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22269(t6,t3,t2);}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21257,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[9]))){
/* library.scm:3966: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t2;
C_string_to_symbol(3,av2);}}}}}

/* k21227 in k21224 in a21221 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in ... */
static void C_ccall f_21229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21229,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3972: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21128(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3972: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21128(t4,((C_word*)t0)[5],t2);}}

/* k21255 in k21224 in a21221 in k21176 in k21167 in k21164 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in ... */
static void C_ccall f_21257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21257,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
f_21229(2,av2);}}
else{
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_string_to_symbol(3,av2);}}}

/* k21311 in k21136 in k21133 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_21313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21313,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3978: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21128(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3978: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21128(t4,((C_word*)t0)[5],t2);}}

/* k21315 in k21130 in loop in a21102 in k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_21317,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_21135(t3,t2);}

/* k21322 in r-list in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_21324,2,av);}
a=C_alloc(30);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)((C_word*)t0)[3])[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21073,a[2]=t6,a[3]=((C_word)li651),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21090,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=t4,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t10=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21103,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t8,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=t4,a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=t6,a[13]=((C_word)li655),tmp=(C_word)a,a+=14,tmp);
/* library.scm:3916: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t9;
av2[2]=t10;
C_call_cc(3,av2);}}
else{
/* library.scm:3983: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[7];
av2[3]=lf[818];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* r-vector in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21326(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_21326,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21330,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3986: r-list */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21064(t3,t2,C_make_character(40),C_make_character(41));}

/* k21328 in r-vector in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21330,2,av);}
if(C_truep(C_i_listp(t1))){
/* library.scm:3988: ##sys#list->vector */
t2=*((C_word*)lf[819]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* library.scm:3989: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[820];
av2[4]=t1;
tp(5,av2);}}}

/* r-number in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21344(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_21344,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21350,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=((C_word)li658),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3992: r-xtoken */
t5=((C_word*)((C_word*)t0)[5])[1];
f_21667(t5,t1,t4);}

/* a21349 in r-number in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_21350,4,av);}
a=C_alloc(7);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21357,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3995: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22269(t5,t4,t2);}
else{
if(C_truep(C_i_string_equal_p(t2,lf[822]))){
/* library.scm:3998: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2=av;
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[823];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21379,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t5=C_block_size(t2);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t6=t2;
t7=C_i_string_ref(t6,C_fix(0));
t8=t4;
f_21379(t8,C_u_i_char_equalp(t7,C_make_character(35)));}
else{
t6=t4;
f_21379(t6,C_SCHEME_FALSE);}}}}

/* k21355 in a21349 in r-number in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_21357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21357,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21364,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3996: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21362 in k21355 in a21349 in r-number in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21364,2,av);}
/* library.scm:3996: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20280(t2,((C_word*)t0)[3],lf[821],((C_word*)t0)[4],t1);}

/* k21377 in a21349 in r-number in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_21379(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21379,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:4000: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[824];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21385,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];
if(C_truep(t3)){
/* library.scm:4001: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}
else{
/* library.scm:4001: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(10);
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}}}

/* k21383 in k21377 in a21349 in r-number in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21385,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[3])){
/* library.scm:4002: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[825];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[5];
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
C_string_to_symbol(3,av2);}}}}

/* r-number-with-exactness in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21414(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21414,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21463,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4006: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21422 in k21461 in r-number-with-exactness in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_21424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21424,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21427,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4008: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21425 in k21422 in k21461 in r-number-with-exactness in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21427,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:4010: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[826];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(105)))){
/* library.scm:4011: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21344(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[610]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(101)))){
/* library.scm:4012: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21344(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[609]);}
else{
/* library.scm:4014: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[827];
av2[4]=t1;
tp(5,av2);}}}}}

/* k21461 in r-number-with-exactness in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21463,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21424,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4007: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4017: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21344(t3,((C_word*)t0)[2],((C_word*)t0)[5],C_SCHEME_FALSE);}}

/* r-number-with-radix in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21465(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21465,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21530,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4020: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21473 in k21528 in r-number-with-radix in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_21475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21475,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21478,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4022: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21476 in k21473 in k21528 in r-number-with-radix in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21478,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:4023: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[828];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(120)))){
/* library.scm:4024: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21344(t2,((C_word*)t0)[2],C_fix(16),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(100)))){
/* library.scm:4025: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21344(t2,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(111)))){
/* library.scm:4026: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21344(t2,((C_word*)t0)[2],C_fix(8),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(98)))){
/* library.scm:4027: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21344(t2,((C_word*)t0)[2],C_fix(2),((C_word*)t0)[5]);}
else{
/* library.scm:4028: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[829];
av2[4]=t1;
tp(5,av2);}}}}}}}

/* k21528 in r-number-with-radix in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21530,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21475,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4021: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4029: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21344(t3,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}}

/* r-token in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21532(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21532,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21540,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4032: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21538 in r-token in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_21540,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21542,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li662),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_21542(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21538 in r-token in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_21542(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_21542,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21552,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_21552(t6,t4);}
else{
t6=C_u_i_char_whitespacep(t2);
t7=t5;
f_21552(t7,(C_truep(t6)?t6:C_i_memq(t2,((C_word*)t0)[6])));}}

/* k21550 in loop in k21538 in r-token in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_21552(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_21552,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:4036: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_char_equalp(((C_word*)t0)[4],C_make_character(0)))){
/* library.scm:4038: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[830];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21567,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4040: read-unreserved-char-0 */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20335(t3,t2,((C_word*)t0)[5]);}}}

/* k21565 in k21550 in loop in k21538 in r-token in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_21567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_21567,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21574,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4041: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
tp(3,av2);}}

/* k21572 in k21565 in k21550 in loop in k21538 in r-token in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21574,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=((C_word*)t0)[3];
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4041: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21542(t4,((C_word*)t0)[6],t1,t3);}
else{
t2=C_u_i_char_downcase(((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4041: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21542(t4,((C_word*)t0)[6],t1,t3);}}

/* r-digits in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21596(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21596,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21604,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4045: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21602 in r-digits in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_21604,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21606,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li664),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21606(t5,((C_word*)t0)[3],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21602 in r-digits in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_21606(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21606,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21616,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t4)){
t6=t5;
f_21616(t6,t4);}
else{
t6=C_u_i_char_numericp(t2);
t7=t5;
f_21616(t7,C_i_not(t6));}}

/* k21614 in loop in k21602 in r-digits in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_21616(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21616,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:4047: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21622,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4049: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k21620 in k21614 in loop in k21602 in r-digits in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_21622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21622,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21629,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4050: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k21627 in k21620 in k21614 in loop in k21602 in r-digits in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21629,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:4050: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21606(t3,((C_word*)t0)[5],t1,t2);}

/* r-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21642(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21642,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21648,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li666),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4053: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21667(t3,t1,t2);}

/* a21647 in r-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21648,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21652,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:4055: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22269(t5,t4,t2);}
else{
t5=t2;
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t4;
av2[2]=t5;
C_string_to_symbol(3,av2);}}}

/* k21650 in a21647 in r-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_21652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21652,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21659,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4056: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21657 in k21650 in a21647 in r-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21659,2,av);}
/* library.scm:4056: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20280(t2,((C_word*)t0)[3],lf[821],((C_word*)t0)[4],t1);}

/* r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21667(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,4)))){
C_save_and_reclaim_args((void *)trf_21667,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21673,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t6,a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word)li668),tmp=(C_word)a,a+=13,tmp));
t8=((C_word*)t6)[1];
f_21673(t8,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_21673(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21673,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21677,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
/* library.scm:4061: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
tp(3,av2);}}

/* k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_21677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21677,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_eofp(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21686,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21686(t5,t3);}
else{
t5=C_u_i_char_whitespacep(t2);
t6=t4;
f_21686(t6,(C_truep(t5)?t5:C_i_memq(t2,((C_word*)t0)[14])));}}

/* k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_21686(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_21686,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21692,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
t3=C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[815]);
if(C_truep(t3)){
t4=C_i_cdr(((C_word*)t0)[4]);
t5=C_i_nullp(t4);
t6=t2;
f_21692(t6,C_i_not(t5));}
else{
t4=t2;
f_21692(t4,C_SCHEME_FALSE);}}
else{
t3=t2;
f_21692(t3,C_SCHEME_FALSE);}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[8],((C_word*)((C_word*)t0)[9])[1]))){
/* library.scm:4073: reserved-character */
t2=((C_word*)((C_word*)t0)[10])[1];
f_20326(t2,((C_word*)t0)[3],((C_word*)t0)[8]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21750,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[12],a[6]=((C_word*)t0)[13],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[14],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4075: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[13];
tp(3,av2);}}}}

/* k21690 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_21692(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21692,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21699,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cdr(((C_word*)t0)[4]);
/* library.scm:4069: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21710,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4070: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k21697 in k21690 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21699,2,av);}
/* library.scm:4069: k */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* k21708 in k21690 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21710,2,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_i_nullp(((C_word*)t0)[3]);
t3=C_i_not(t2);
/* library.scm:4070: k */
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}
else{
/* library.scm:4070: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}}

/* k21748 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_21750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21750,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21759,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4078: r-string */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20498(t3,t2,C_make_character(124));
case C_make_character(10):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21783,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21794,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4084: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}
case C_make_character(58):
t2=C_i_nullp(((C_word*)t0)[4]);
t3=(C_truep(t2)?C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[832]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_TRUE);
/* library.scm:4089: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21673(t5,((C_word*)t0)[3],C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}
else{
t4=C_a_i_cons(&a,2,C_make_character(58),((C_word*)t0)[4]);
/* library.scm:4090: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21673(t5,((C_word*)t0)[3],t4,C_SCHEME_TRUE);}
case C_make_character(92):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21832,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4092: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
default:
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4099: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21673(t3,((C_word*)t0)[3],t2,C_SCHEME_FALSE);}
else{
t2=C_u_i_char_downcase(t1);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4099: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_21673(t4,((C_word*)t0)[3],t3,C_SCHEME_FALSE);}}}

/* k21757 in k21748 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21759,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21766,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21770,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21774,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4079: ##sys#string->list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[383]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[383]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}

/* k21764 in k21757 in k21748 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_21766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21766,2,av);}
/* library.scm:4079: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21673(t2,((C_word*)t0)[3],t1,C_SCHEME_FALSE);}

/* k21768 in k21757 in k21748 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_21770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21770,2,av);}
/* library.scm:4079: scheme#append */
t2=*((C_word*)lf[373]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k21772 in k21757 in k21748 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_21774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21774,2,av);}
/* library.scm:4079: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[375]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[375]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k21781 in k21748 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21783,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:4085: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21673(t3,((C_word*)t0)[4],t2,C_SCHEME_FALSE);}

/* k21792 in k21748 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21794,2,av);}
/* library.scm:4082: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[831];
av2[4]=t1;
tp(5,av2);}}

/* k21830 in k21748 in k21684 in k21675 in loop in r-xtoken in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21832,2,av);}
a=C_alloc(3);
if(C_truep(C_eofp(t1))){
/* library.scm:4094: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[833];
tp(4,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4097: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21673(t3,((C_word*)t0)[2],t2,C_SCHEME_FALSE);}}

/* r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_21881(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21881,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21885,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4105: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21883 in r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_21885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21885,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21888,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4106: r-token */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21532(t4,t3);}

/* k21886 in k21883 in r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_21888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21888,2,av);}
a=C_alloc(11);
t2=t1;
t3=C_block_size(t2);
t4=t3;
if(C_truep(C_fixnum_greaterp(t4,C_fix(1)))){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21900,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_i_char_equalp(C_make_character(120),((C_word*)t0)[4]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22065,a[2]=t5,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t6)){
t8=t7;
f_22065(t8,t6);}
else{
t8=C_u_i_char_equalp(C_make_character(117),((C_word*)t0)[4]);
if(C_truep(t8)){
t9=t7;
f_22065(t9,t8);}
else{
t9=C_u_i_char_equalp(C_make_character(85),((C_word*)t0)[4]);
t10=t7;
f_22065(t10,t9);}}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[4],((C_word*)t0)[5]))){
/* library.scm:4136: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k21898 in k21886 in k21883 in r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_21900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21900,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=t1;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_make_character(C_unfix(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[3],C_fix(0));
t3=C_fix(C_character_code(t2));
t4=C_fixnum_less_or_equal_p(C_fix(192),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21920,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(247)))){
t6=C_fixnum_shift_right(t3,C_fix(4));
t7=C_fixnum_and(t6,C_fix(3));
t8=C_fixnum_shift_right(t7,C_fix(1));
t9=C_fixnum_or(t7,t8);
t10=C_fixnum_difference(t7,C_fix(1));
t11=C_fixnum_and(t9,t10);
t12=C_fixnum_plus(C_fix(2),t11);
t13=C_eqp(((C_word*)t0)[5],t12);
if(C_truep(t13)){
t14=C_fixnum_difference(C_fix(8),t12);
t15=C_fixnum_shift_left(C_fix(1),t14);
t16=C_fixnum_difference(t15,C_fix(1));
t17=C_fixnum_and(t3,t16);
t18=C_fixnum_shift_left(t17,C_fix(6));
t19=C_subchar(((C_word*)t0)[3],C_fix(1));
t20=C_fix(C_character_code(t19));
t21=C_fixnum_and(t20,C_fix(63));
t22=C_fixnum_plus(t18,t21);
t23=t22;
if(C_truep(t23)){
if(C_truep(C_fixnum_greater_or_equal_p(t12,C_fix(3)))){
t24=C_fixnum_shift_left(t23,C_fix(6));
t25=C_subchar(((C_word*)t0)[3],C_fix(2));
t26=C_fix(C_character_code(t25));
t27=C_fixnum_and(t26,C_fix(63));
t28=C_fixnum_plus(t24,t27);
t29=t23=t28;
t30=C_eqp(t12,C_fix(4));
if(C_truep(t30)){
t31=C_fixnum_shift_left(t23,C_fix(6));
t32=C_subchar(((C_word*)t0)[3],C_fix(3));
t33=C_fix(C_character_code(t32));
t34=C_fixnum_and(t33,C_fix(63));
t35=C_fixnum_plus(t31,t34);
t36=t23=t35;
t37=t5;
f_21920(t37,C_make_character(C_unfix(t23)));}
else{
t31=t5;
f_21920(t31,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21920(t24,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21920(t24,C_SCHEME_FALSE);}}
else{
t14=t5;
f_21920(t14,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21920(t6,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21920(t6,C_SCHEME_FALSE);}}}

/* k21918 in k21898 in k21886 in k21883 in r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_21920(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_21920,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21926,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21936,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4134: ##sys#intern-symbol */{
C_word av2[3];
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
C_string_to_symbol(3,av2);}}}

/* k21924 in k21918 in k21898 in k21886 in k21883 in r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21926,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:4135: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[834];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* k21934 in k21918 in k21898 in k21886 in k21883 in r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_21936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21936,2,av);}
/* library.scm:4134: chicken.base#char-name */
t2=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22063 in k21886 in k21883 in r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_22065(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_22065,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22072,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4110: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(1);
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_21900(2,av2);}}}

/* k22070 in k22063 in k21886 in k21883 in r-char in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_22072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22072,2,av);}
/* library.scm:4110: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* r-comment in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_22090(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_22090,2,t0,t1);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22096,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li671),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_22096(t5,t1,C_fix(0));}

/* loop in r-comment in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_22096(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22096,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22100,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4141: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22098 in loop in r-comment in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_22100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22100,2,av);}
a=C_alloc(5);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22136,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4143: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22159,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4147: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
default:
if(C_truep(C_eofp(t1))){
/* library.scm:4151: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[835];
tp(4,av2);}}
else{
/* library.scm:4152: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_22096(t2,((C_word*)t0)[4],((C_word*)t0)[2]);}}}

/* k22134 in k22098 in loop in r-comment in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_22136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22136,2,av);}
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[2],C_fix(0));
if(C_truep(C_i_not(t3))){
t4=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:4145: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_22096(t5,((C_word*)t0)[4],t4);}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4146: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_22096(t3,((C_word*)t0)[4],((C_word*)t0)[2]);}}

/* k22157 in k22098 in loop in r-comment in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_22159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22159,2,av);}
t2=C_eqp(C_make_character(124),t1);
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4147: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22096(t4,((C_word*)t0)[4],t3);}
else{
t3=((C_word*)t0)[2];
/* library.scm:4147: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22096(t4,((C_word*)t0)[4],t3);}}

/* r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_22177(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_22177,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22181,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4155: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t2;
av2[2]=C_fix(1);
tp(3,av2);}}

/* k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_22181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22181,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22184,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4156: r-token */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21532(t4,t3);}

/* k22182 in k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_22184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_22184,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_block_size(((C_word*)t3)[1]);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22190,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_fast_retrieve(lf[774]))){
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_22190(2,av2);}}
else{
/* library.scm:4159: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[837];
av2[4]=((C_word*)t3)[1];
tp(5,av2);}}}

/* k22188 in k22182 in k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_22190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_22190,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22195,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word)li673),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_22195(t5,((C_word*)t0)[6],C_fix(0));}

/* loop in k22188 in k22182 in k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_22195(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_22195,3,t0,t1,t2);}
a=C_alloc(11);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4162: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[836];
av2[4]=((C_word*)((C_word*)t0)[4])[1];
tp(5,av2);}}
else{
t3=C_subbyte(((C_word*)((C_word*)t0)[4])[1],t2);
t4=C_eqp(t3,C_fix(35));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22214,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_fixnum_greaterp(t2,C_fix(31)))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22243,a[2]=((C_word*)t0)[4],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4165: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t6;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_fix(0);
av2[4]=C_fix(31);
tp(5,av2);}}
else{
t6=t5;
f_22214(t6,C_SCHEME_UNDEFINED);}}
else{
t5=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4172: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k22212 in loop in k22188 in k22182 in k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_fcall f_22214(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,4)))){
C_save_and_reclaim_args((void *)trf_22214,2,t0,t1);}
a=C_alloc(10);
t2=C_setbyte(((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22224,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22228,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4170: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[3];
tp(5,av2);}}

/* k22222 in k22212 in loop in k22188 in k22182 in k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_22224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22224,2,av);}
/* library.scm:4167: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22226 in k22212 in loop in k22188 in k22182 in k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_22228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22228,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22232,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:4171: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=t4;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}

/* k22230 in k22226 in k22212 in loop in k22188 in k22182 in k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22232,2,av);}
/* library.scm:4168: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k22241 in loop in k22188 in k22182 in k22179 in r-ext-symbol in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_22243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22243,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_22214(t3,t2);}

/* build-keyword in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_22269(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_22269,3,t0,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22277,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4179: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}

/* k22275 in build-keyword in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_22277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22277,2,av);}
/* library.scm:4178: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_22281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22281,2,av);}
a=C_alloc(26);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22284,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[16],a[16]=((C_word*)t0)[17],a[17]=((C_word*)t0)[18],a[18]=((C_word*)t0)[19],a[19]=((C_word*)t0)[20],a[20]=((C_word*)t0)[21],a[21]=((C_word*)t0)[22],a[22]=((C_word*)t0)[23],a[23]=((C_word*)t0)[2],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4186: r-spaces */
t4=((C_word*)((C_word*)t0)[26])[1];
f_20353(t4,t3);}

/* k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_22284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22284,2,av);}
a=C_alloc(26);
t2=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22287,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],a[21]=((C_word*)t0)[21],a[22]=((C_word*)t0)[22],a[23]=((C_word*)t0)[23],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4187: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_22287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22287,2,av);}
a=C_alloc(27);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22293,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],a[16]=((C_word*)t0)[15],a[17]=((C_word*)t0)[16],a[18]=((C_word*)t0)[17],a[19]=((C_word*)t0)[18],a[20]=((C_word*)t0)[19],a[21]=((C_word*)t0)[20],a[22]=((C_word*)t0)[21],a[23]=((C_word*)t0)[22],a[24]=((C_word*)t0)[23],a[25]=((C_word*)t0)[24],a[26]=((C_word*)t0)[25],tmp=(C_word)a,a+=27,tmp);
t5=C_eofp(t2);
if(C_truep(C_i_not(t5))){
if(C_truep(t3)){
t6=C_fix(C_character_code(t2));
t7=t4;
f_22293(t7,C_slot(t3,t6));}
else{
t6=t4;
f_22293(t6,C_SCHEME_FALSE);}}
else{
t6=t4;
f_22293(t6,C_SCHEME_FALSE);}}

/* k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_22293(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,0,3)))){
C_save_and_reclaim_args((void *)trf_22293,2,t0,t1);}
a=C_alloc(20);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22301,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li676),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22307,a[2]=((C_word*)t0)[4],a[3]=((C_word)li677),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4193: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
switch(((C_word*)t0)[2]){
case C_make_character(39):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22329,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4199: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22345,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4202: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(44):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22361,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4205: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t3=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22397,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4211: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4321: r-list */
t3=((C_word*)((C_word*)t0)[20])[1];
f_21064(t3,((C_word*)t0)[5],C_make_character(40),C_make_character(41));
case C_make_character(41):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23016,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4322: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(34):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23028,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4323: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(46):
/* library.scm:4324: r-number */
t3=((C_word*)((C_word*)t0)[23])[1];
f_21344(t3,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);
default:
t3=C_eqp(((C_word*)t0)[2],C_make_character(45));
t4=(C_truep(t3)?t3:C_eqp(((C_word*)t0)[2],C_make_character(43)));
if(C_truep(t4)){
/* library.scm:4325: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21344(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[2]))){
/* library.scm:4328: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21344(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_i_memq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[24])[1]))){
/* library.scm:4330: reserved-character */
t5=((C_word*)((C_word*)t0)[25])[1];
f_20326(t5,((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
switch(((C_word*)t0)[2]){
case C_make_character(91):
/* library.scm:4333: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_21064(t5,((C_word*)t0)[5],C_make_character(91),C_make_character(93));
case C_make_character(123):
/* library.scm:4334: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_21064(t5,((C_word*)t0)[5],C_make_character(123),C_make_character(125));
default:
t5=C_eqp(((C_word*)t0)[2],C_make_character(93));
t6=(C_truep(t5)?t5:C_eqp(((C_word*)t0)[2],C_make_character(125)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23106,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4335: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4336: r-symbol */
t7=((C_word*)((C_word*)t0)[26])[1];
f_21642(t7,((C_word*)t0)[5]);}}}}}}}}}

/* a22300 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_22301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22301,2,av);}
/* library.scm:4194: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22306 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_22307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22307,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4195: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20350(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22327 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_22329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22329,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22336,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4200: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20350(t3,t2);}

/* k22334 in k22327 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_22336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22336,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[838],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22343 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_22345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22345,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22352,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4203: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20350(t3,t2);}

/* k22350 in k22343 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_22352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22352,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[839],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22359 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_22361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22361,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22388,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4206: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22368 in k22386 in k22359 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_22370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22370,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22377,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4208: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20350(t3,t2);}

/* k22375 in k22368 in k22386 in k22359 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22377,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[840],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22382 in k22386 in k22359 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_22384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22384,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[841],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22386 in k22359 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_22388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22388,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(64));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22370,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4207: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22384,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4209: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20350(t4,t3);}}

/* k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_22397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,2)))){
C_save_and_reclaim((void *)f_22397,2,av);}
a=C_alloc(20);
t2=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22400,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4212: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_22400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_22400,2,av);}
a=C_alloc(18);
t2=t1;
if(C_truep(C_eofp(t2))){
/* library.scm:4215: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[842];
tp(4,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t2))){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22418,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22501,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4218: r-digits */
t5=((C_word*)((C_word*)t0)[7])[1];
f_21596(t5,t4);}
else{
t3=C_slot(((C_word*)t0)[4],C_fix(2));
t4=(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_22507,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],a[12]=((C_word*)t0)[14],a[13]=((C_word*)t0)[15],a[14]=((C_word*)t0)[16],a[15]=((C_word*)t0)[17],a[16]=((C_word*)t0)[18],a[17]=((C_word*)t0)[19],tmp=(C_word)a,a+=18,tmp);
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22507(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22507(t5,C_SCHEME_FALSE);}}}}

/* k22416 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_22418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22418,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22421,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4219: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22419 in k22416 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22421,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(3));
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22427,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_charp(t2))){
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22427(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22427(t5,C_SCHEME_FALSE);}}
else{
t5=t4;
f_22427(t5,C_SCHEME_FALSE);}}

/* k22425 in k22419 in k22416 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_fcall f_22427(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,5)))){
C_save_and_reclaim_args((void *)trf_22427,2,t0,t1);}
a=C_alloc(11);
t2=t1;
if(C_truep(C_eofp(((C_word*)t0)[2]))){
/* library.scm:4225: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[6];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[843];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
tp(6,av2);}}
else{
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22444,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word)li678),tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22450,a[2]=((C_word*)t0)[7],a[3]=((C_word)li679),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4228: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_eqp(((C_word*)t0)[2],C_make_character(41));
t4=(C_truep(t3)?t3:C_u_i_char_whitespacep(((C_word*)t0)[2]));
if(C_truep(t4)){
/* library.scm:4233: ##sys#sharp-number-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word av2[4];
av2[0]=*((C_word*)lf[777]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22478,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4234: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}}}

/* a22443 in k22425 in k22419 in k22416 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22444,2,av);}
/* library.scm:4229: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* a22449 in k22425 in k22419 in k22416 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22450,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4230: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20350(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22476 in k22425 in k22419 in k22416 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_22478,2,av);}
/* library.scm:4235: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[844];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
av2[6]=((C_word*)t0)[6];
tp(7,av2);}}

/* k22499 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_22501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22501,2,av);}
/* library.scm:4218: scheme#string->number */
t2=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_fcall f_22507(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_22507,2,t0,t1);}
a=C_alloc(10);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22515,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li680),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22521,a[2]=((C_word*)t0)[4],a[3]=((C_word)li681),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4243: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_u_i_char_downcase(((C_word*)t0)[2]);
switch(t3){
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22546,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4248: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(100):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22558,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4249: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(111):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22570,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4250: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22582,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4251: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(105):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22594,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4252: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(101):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22606,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4253: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(99):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22618,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4255: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4264: r-vector */
t4=((C_word*)((C_word*)t0)[9])[1];
f_21326(t4,((C_word*)t0)[5]);
case C_make_character(92):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22682,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4265: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(124):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22694,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4267: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22709,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4270: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(59):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22721,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4273: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22736,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4276: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(36):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22752,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4279: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(58):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22783,a[2]=((C_word*)t0)[13],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[14],a[5]=((C_word*)t0)[15],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4286: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(43):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22843,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4296: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(33):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22866,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[16],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[17],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4300: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
default:
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22938,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li689),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22944,a[2]=((C_word*)t0)[4],a[3]=((C_word)li690),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4319: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}}

/* a22514 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22515,2,av);}
/* library.scm:4244: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22520 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22521,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4245: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20350(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22544 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22546,2,av);}
/* library.scm:4248: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21414(t2,((C_word*)t0)[3],C_fix(16));}

/* k22556 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22558,2,av);}
/* library.scm:4249: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21414(t2,((C_word*)t0)[3],C_fix(10));}

/* k22568 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22570,2,av);}
/* library.scm:4250: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21414(t2,((C_word*)t0)[3],C_fix(8));}

/* k22580 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22582,2,av);}
/* library.scm:4251: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21414(t2,((C_word*)t0)[3],C_fix(2));}

/* k22592 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22594,2,av);}
/* library.scm:4252: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21465(t2,((C_word*)t0)[3],lf[610]);}

/* k22604 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22606,2,av);}
/* library.scm:4253: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21465(t2,((C_word*)t0)[3],lf[609]);}

/* k22616 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22618,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22621,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4256: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22619 in k22616 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_22621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22621,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22624,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_eofp(t1))){
/* library.scm:4259: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[845];
tp(4,av2);}}
else{
switch(t1){
case C_make_character(105):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_22624(2,av2);}
case C_make_character(115):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
f_22624(2,av2);}
default:
/* library.scm:4262: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[846];
av2[4]=t1;
tp(5,av2);}}}}

/* k22622 in k22619 in k22616 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,4)))){
C_save_and_reclaim((void *)f_22624,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22629,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li682),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22634,a[2]=((C_word*)t0)[3],a[3]=((C_word)li683),tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22640,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li684),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4257: ##sys#dynamic-wind */
t9=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22628 in k22622 in k22619 in k22616 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_22629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22629,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22633 in k22622 in k22619 in k22616 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_22634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22634,2,av);}
/* library.scm:4263: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20350(t2,t1);}

/* a22639 in k22622 in k22619 in k22616 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_22640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22640,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22680 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22682,2,av);}
/* library.scm:4265: r-char */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21881(t2,((C_word*)t0)[3]);}

/* k22692 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22694,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22697,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4268: r-comment */
t3=((C_word*)((C_word*)t0)[4])[1];
f_22090(t3,t2);}

/* k22695 in k22692 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_22697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22697,2,av);}
/* library.scm:4268: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20350(t2,((C_word*)t0)[3]);}

/* k22707 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22709(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22709,2,av);}
/* library.scm:4271: r-ext-symbol */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22177(t2,((C_word*)t0)[3]);}

/* k22719 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22721,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22724,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4274: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20350(t3,t2);}

/* k22722 in k22719 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_22724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22724,2,av);}
/* library.scm:4274: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20350(t2,((C_word*)t0)[3]);}

/* k22734 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22736,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22743,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4277: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20350(t3,t2);}

/* k22741 in k22734 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_22743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22743,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[847],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22750 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22752,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22755,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4280: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22753 in k22750 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_22755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22755,2,av);}
a=C_alloc(4);
if(C_truep(C_i_char_equalp(t1,C_make_character(123)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22764,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4282: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22774,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4284: readrec */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20350(t3,t2);}}

/* k22762 in k22753 in k22750 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22764,2,av);}
/* library.scm:4283: ##sys#read-bytevector-literal */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[848]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[848]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22772 in k22753 in k22750 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22774,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[849],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22781 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22783,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22786,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4287: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22784 in k22781 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_22786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_22786,2,av);}
a=C_alloc(23);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22791,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li685),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22796,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li687),tmp=(C_word)a,a+=7,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22831,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li688),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4288: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[6];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a22790 in k22784 in k22781 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22791,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22795 in k22784 in k22781 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_22796,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22802,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li686),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4289: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21667(t3,t1,t2);}

/* a22801 in a22795 in k22784 in k22781 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_22802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22802,4,av);}
t4=C_block_size(t2);
t5=C_eqp(C_fix(0),t4);
if(C_truep(t5)){
t6=C_i_char_equalp(((C_word*)t0)[2],C_make_character(124));
if(C_truep(C_i_not(t6))){
/* library.scm:4293: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2=av;
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[850];
tp(4,av2);}}
else{
/* library.scm:4294: build-keyword */
t7=((C_word*)((C_word*)t0)[4])[1];
f_22269(t7,t1,t2);}}
else{
/* library.scm:4294: build-keyword */
t6=((C_word*)((C_word*)t0)[4])[1];
f_22269(t6,t1,t2);}}

/* a22830 in k22784 in k22781 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22831,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22841 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22843,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22846,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4297: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20350(t3,t2);}

/* k22844 in k22841 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_22846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22846,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22857,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4298: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20350(t4,t3);}

/* k22855 in k22844 in k22841 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_22857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_22857,2,av);}
a=C_alloc(15);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list3(&a,3,lf[851],t2,lf[852]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k22864 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22866,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22869,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4301: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22867 in k22864 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_22869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22869,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22875,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_charp(t1))){
t3=C_u_i_char_whitespacep(t1);
if(C_truep(t3)){
t4=t2;
f_22875(t4,t3);}
else{
t4=C_u_i_char_equalp(C_make_character(47),t1);
t5=t2;
f_22875(t5,t4);}}
else{
t3=t2;
f_22875(t3,C_SCHEME_FALSE);}}

/* k22873 in k22867 in k22864 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_fcall f_22875(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_22875,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22878,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4304: skip-to-eol */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20289(t3,t2);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22884,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4307: r-token */
t3=((C_word*)((C_word*)t0)[6])[1];
f_21532(t3,t2);}}

/* k22876 in k22873 in k22867 in k22864 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_22878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22878,2,av);}
/* library.scm:4305: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20350(t2,((C_word*)t0)[3]);}

/* k22882 in k22873 in k22867 in k22864 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_22884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22884,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(C_i_string_equal_p(lf[853],t2))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep((C_truep(C_i_equalp(t2,lf[854]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[855]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[856]))?C_SCHEME_TRUE:C_SCHEME_FALSE))))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22903,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4310: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=lf[857];
av2[3]=t2;
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22922,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4312: scheme#string->symbol */
t4=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}}

/* k22901 in k22882 in k22873 in k22867 in k22864 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in ... */
static void C_ccall f_22903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22903,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22920 in k22882 in k22873 in k22867 in k22864 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in ... */
static void C_ccall f_22922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22922,2,av);}
t2=C_i_assq(t1,C_fast_retrieve(lf[858]));
if(C_truep(t2)){
t3=C_slot(t2,C_fix(1));
/* library.scm:4313: g4926 */
t4=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
/* library.scm:4315: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[859];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* a22937 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22938,2,av);}
/* library.scm:4319: ##sys#user-read-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a22943 in k22505 in k22398 in k22395 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_22944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22944,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4320: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20350(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k23014 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_23016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23016,2,av);}
/* library.scm:4322: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k23026 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_23028(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23028,2,av);}
/* library.scm:4323: r-string */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20498(t2,((C_word*)t0)[3],C_make_character(34));}

/* k23104 in k22291 in k22285 in k22282 in k22279 in readrec in k20270 in k20267 in k20264 in k20261 in k20258 in read in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_23106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23106,2,av);}
/* library.scm:4335: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#char->utf8-string in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_23182,3,av);}
a=C_alloc(5);
t3=C_fix(C_character_code(t2));
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(127)))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2047)))){
t4=C_fixnum_shift_right(t3,C_fix(6));
t5=C_fixnum_or(C_fix(192),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_and(t3,C_fix(63));
t8=C_fixnum_or(C_fix(128),t7);
t9=C_make_character(C_unfix(t8));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_a_i_string(&a,2,t6,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(65535)))){
t4=C_fixnum_shift_right(t3,C_fix(12));
t5=C_fixnum_or(C_fix(224),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(6));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_and(t3,C_fix(63));
t12=C_fixnum_or(C_fix(128),t11);
t13=C_make_character(C_unfix(t12));
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_a_i_string(&a,3,t6,t10,t13);
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2097151)))){
t4=C_fixnum_shift_right(t3,C_fix(18));
t5=C_fixnum_or(C_fix(240),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(12));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_shift_right(t3,C_fix(6));
t12=C_fixnum_and(t11,C_fix(63));
t13=C_fixnum_or(C_fix(128),t12);
t14=C_make_character(C_unfix(t13));
t15=C_fixnum_and(t3,C_fix(63));
t16=C_fixnum_or(C_fix(128),t15);
t17=C_make_character(C_unfix(t16));
t18=t1;{
C_word *av2=av;
av2[0]=t18;
av2[1]=C_a_i_string(&a,4,t6,t10,t14,t17);
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
/* library.scm:4360: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[863];
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}}}

/* ##sys#unicode-surrogate? in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23347,3,av);}
t3=C_fixnum_less_or_equal_p(C_fix(55296),t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(57343)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#surrogates->codepoint in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23359,4,av);}
if(C_truep(C_fixnum_less_or_equal_p(C_fix(55296),t2))){
if(C_truep(C_fixnum_less_or_equal_p(t2,C_fix(56319)))){
if(C_truep(C_fixnum_less_or_equal_p(C_fix(56320),t3))){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(57343)))){
t4=C_fixnum_shift_right(t2,C_fix(6));
t5=C_fixnum_and(t4,C_fix(31));
t6=C_fixnum_plus(C_fix(1),t5);
t7=C_fixnum_shift_left(t6,C_fix(16));
t8=C_fixnum_and(t2,C_fix(63));
t9=C_fixnum_shift_left(t8,C_fix(10));
t10=C_fixnum_and(t3,C_fix(1023));
t11=C_fixnum_or(t9,t10);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_fixnum_or(t7,t11);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#read-bytevector-literal in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23421,3,av);}
a=C_alloc(12);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23424,a[2]=t2,a[3]=((C_word)li696),tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23470,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word)li697),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_23470(t7,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* hex in read-bytevector-literal in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_fcall f_23424(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_23424,3,t0,t1,t2);}
t3=C_u_i_char_downcase(t2);
t4=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(97)))?C_u_i_char_less_or_equal_p(t3,C_make_character(102)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_fix(C_character_code(t3));
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_difference(t5,C_fix(87));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(48)))?C_u_i_char_less_or_equal_p(t3,C_make_character(57)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=C_fix(C_character_code(t3));
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fixnum_difference(t6,C_fix(48));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:4380: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[864];
tp(4,av2);}}}}

/* loop in read-bytevector-literal in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_fcall f_23470(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23470,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23474,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4382: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k23472 in loop in read-bytevector-literal in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_23474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_23474,2,av);}
a=C_alloc(6);
if(C_truep(C_eofp(t1))){
/* library.scm:4384: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[865];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(C_make_character(125),t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23492,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t4=C_make_character(C_unfix(t3));
t5=C_a_i_cons(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:4386: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t5;
tp(3,av2);}}
else{
t3=((C_word*)t0)[5];
/* library.scm:4386: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}
else{
if(C_truep(C_u_i_char_whitespacep(t1))){
if(C_truep(((C_word*)t0)[4])){
t2=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[5]);
/* library.scm:4394: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23470(t5,((C_word*)t0)[2],t4,C_SCHEME_FALSE);}
else{
/* library.scm:4395: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23470(t2,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23556,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4396: hex */
t3=((C_word*)t0)[7];
f_23424(t3,t2,t1);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23567,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4397: hex */
t3=((C_word*)t0)[7];
f_23424(t3,t2,t1);}}}}}

/* k23490 in k23472 in loop in read-bytevector-literal in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_23492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23492,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23554 in k23472 in loop in read-bytevector-literal in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_23556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23556,2,av);}
a=C_alloc(3);
t2=C_fixnum_or(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[3]);
/* library.scm:4396: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_23470(t5,((C_word*)t0)[5],t4,C_SCHEME_FALSE);}

/* k23565 in k23472 in loop in read-bytevector-literal in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_23567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23567,2,av);}
t2=C_fixnum_shift_left(t1,C_fix(4));
/* library.scm:4397: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23470(t3,((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* ##sys#user-read-hook in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_23569,4,av);}
a=C_alloc(3);
t4=t2;
t5=C_eqp(t4,C_make_character(102));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(70)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23582,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4409: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=t3;
tp(3,av2);}}
else{
t7=C_eqp(t4,C_make_character(116));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(84)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23594,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4410: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t9;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:4411: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[866];
av2[4]=t2;
tp(5,av2);}}}}

/* k23580 in user-read-hook in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_23582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23582,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23592 in user-read-hook in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_23594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23594,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char-0 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23614,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23621,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4425: g5037 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}

/* k23619 in write-char-0 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_23621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23621,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char/port in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23630,4,av);}
t4=t3;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[869]);
t6=C_i_check_char_2(t2,lf[869]);
/* library.scm:4432: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2=av;
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* scheme#write-char in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23642,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?*((C_word*)lf[717]+1):C_i_car(t3));
t6=C_i_check_char_2(t2,lf[869]);
t7=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[869]);
/* library.scm:4438: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* scheme#newline in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23663,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=*((C_word*)lf[717]+1);
/* library.scm:4442: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[717]+1);
tp(4,av2);}}
else{
t3=C_i_car(t2);
/* library.scm:4442: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=t3;
tp(4,av2);}}}

/* scheme#write in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23678,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[717]+1);
t5=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[870]);
/* library.scm:4447: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[870]);
/* library.scm:4447: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* scheme#display in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23696,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[717]+1);
t5=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[872]);
/* library.scm:4452: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[872]);
/* library.scm:4452: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* chicken.base#print in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23714,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[873]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23757,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[689]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23733,a[2]=t8,a[3]=((C_word)li706),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23733(t10,t5,t2);}

/* for-each-loop5098 in chicken.base#print in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_fcall f_23733(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23733,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23743,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[871]+1);
/* library.scm:4455: g5114 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[871]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[871]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23741 in for-each-loop5098 in chicken.base#print in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_23743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23743,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23733(t3,((C_word*)t0)[4],t2);}

/* k23755 in chicken.base#print in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_23757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23757,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23760,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4461: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[717]+1);
tp(4,av2);}}

/* k23758 in k23755 in chicken.base#print in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_23760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23760,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#print* in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23765,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[873]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23808,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[689]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23784,a[2]=t8,a[3]=((C_word)li708),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23784(t10,t5,t2);}

/* for-each-loop5130 in chicken.base#print* in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_fcall f_23784(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23784,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23794,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[871]+1);
/* library.scm:4455: g5146 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[871]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[871]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23792 in for-each-loop5130 in chicken.base#print* in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_23794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23794,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23784(t3,((C_word*)t0)[4],t2);}

/* k23806 in chicken.base#print* in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_23808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23808,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23811,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4468: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}

/* k23809 in k23806 in chicken.base#print* in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_23811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23811,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_23818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23818,2,av);}
a=C_alloc(3);
t2=C_mutate(&lf[874] /* (set! current-print-length ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23822,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4472: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in ... */
static void C_ccall f_23822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23822,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[875]+1 /* (set! ##sys#print-length-limit ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23826,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4473: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in ... */
static void C_ccall f_23826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(104,c,6)))){
C_save_and_reclaim((void *)f_23826,2,av);}
a=C_alloc(104);
t2=C_mutate(&lf[876] /* (set! ##sys#print-exit ...) */,t1);
t3=*((C_word*)lf[230]+1);
t4=*((C_word*)lf[231]+1);
t5=C_mutate((C_word*)lf[871]+1 /* (set! ##sys#print ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23828,a[2]=t4,a[3]=t3,a[4]=((C_word)li723),tmp=(C_word)a,a+=5,tmp));
t6=C_mutate((C_word*)lf[897]+1 /* (set! ##sys#procedure->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24932,a[2]=((C_word)li724),tmp=(C_word)a,a+=3,tmp));
t7=C_set_block_item(lf[910] /* ##sys#record-printers */,0,C_SCHEME_END_OF_LIST);
t8=C_mutate((C_word*)lf[911]+1 /* (set! ##sys#register-record-printer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24949,a[2]=((C_word)li725),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[896]+1 /* (set! ##sys#user-print-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24969,a[2]=((C_word)li733),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[922]+1 /* (set! ##sys#with-print-length-limit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25120,a[2]=((C_word)li738),tmp=(C_word)a,a+=3,tmp));
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25205,a[2]=t12,a[3]=((C_word)li739),tmp=(C_word)a,a+=4,tmp);
t14=C_set_block_item(t12,0,t13);
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31467,a[2]=((C_word)li740),tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31492,a[2]=((C_word)li741),tmp=(C_word)a,a+=3,tmp);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31510,a[2]=t12,a[3]=((C_word)li742),tmp=(C_word)a,a+=4,tmp);
t18=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31529,a[2]=t12,a[3]=((C_word)li743),tmp=(C_word)a,a+=4,tmp);
t19=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31548,a[2]=((C_word)li744),tmp=(C_word)a,a+=3,tmp);
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31551,a[2]=((C_word)li745),tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31554,a[2]=((C_word)li746),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31595,a[2]=((C_word)li750),tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31679,a[2]=((C_word)li751),tmp=(C_word)a,a+=3,tmp);
t24=C_a_i_vector(&a,10,t15,t16,t17,t18,*((C_word*)lf[196]+1),t19,t20,t21,t22,t23);
t25=C_mutate((C_word*)lf[927]+1 /* (set! ##sys#string-port-class ...) */,t24);
t26=C_mutate((C_word*)lf[925]+1 /* (set! ##sys#scan-buffer-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25261,a[2]=((C_word)li758),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[212]+1 /* (set! chicken.base#open-input-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25458,a[2]=((C_word)li759),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[213]+1 /* (set! chicken.base#open-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25477,a[2]=((C_word)li760),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[211]+1 /* (set! chicken.base#get-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25496,a[2]=((C_word)li761),tmp=(C_word)a,a+=3,tmp));
t30=*((C_word*)lf[211]+1);
t31=*((C_word*)lf[213]+1);
t32=C_mutate((C_word*)lf[937]+1 /* (set! ##sys#print-to-string ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25530,a[2]=t30,a[3]=t31,a[4]=((C_word)li764),tmp=(C_word)a,a+=5,tmp));
t33=C_mutate((C_word*)lf[891]+1 /* (set! ##sys#pointer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25573,a[2]=((C_word)li765),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[186]+1 /* (set! chicken.base#get-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25626,a[2]=((C_word)li767),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[946]+1 /* (set! ##sys#really-print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25770,a[2]=((C_word)li771),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[187]+1 /* (set! chicken.base#print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25875,a[2]=((C_word)li772),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[954]+1 /* (set! ##sys#user-interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25966,a[2]=((C_word)li774),tmp=(C_word)a,a+=3,tmp));
t38=lf[957] /* exit-in-progress */ =C_SCHEME_FALSE;;
t39=C_mutate(&lf[958] /* (set! cleanup-before-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25988,a[2]=((C_word)li777),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26071,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t41=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31443,a[2]=((C_word)li985),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5039: chicken.base#make-parameter */
t42=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t42;
av2[1]=t40;
av2[2]=t41;
((C_proc)(void*)(*((C_word*)t42+1)))(3,av2);}}

/* ##sys#print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_23828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23828,5,av);}
a=C_alloc(7);
t5=t4;
t6=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,C_SCHEME_FALSE);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23835,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4480: case-sensitive */
t8=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_23835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23835,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23838,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4481: keyword-style */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_23838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23838,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23841,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4482: ##sys#print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[875]);
C_word *av2=av;
av2[0]=*((C_word*)lf[875]+1);
av2[1]=t3;
tp(2,av2);}}

/* k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_23841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(50,c,4)))){
C_save_and_reclaim((void *)f_23841,2,av);}
a=C_alloc(50);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23843,a[2]=t2,a[3]=((C_word)li710),tmp=(C_word)a,a+=4,tmp));
t14=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23915,a[2]=t2,a[3]=((C_word)li711),tmp=(C_word)a,a+=4,tmp));
t15=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23975,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t10,a[5]=t12,a[6]=((C_word)li712),tmp=(C_word)a,a+=7,tmp));
t16=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23999,a[2]=t6,a[3]=t4,a[4]=((C_word)li714),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24088,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li716),tmp=(C_word)a,a+=5,tmp));
t18=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24267,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t19=C_SCHEME_UNDEFINED;
t20=(*a=C_VECTOR_TYPE|1,a[1]=t19,tmp=(C_word)a,a+=2,tmp);
t21=C_set_block_item(t20,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24272,a[2]=t4,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=t6,a[6]=((C_word*)t0)[3],a[7]=t8,a[8]=t20,a[9]=((C_word)li722),tmp=(C_word)a,a+=10,tmp));
t22=((C_word*)t20)[1];
f_24272(t22,t18,((C_word*)t0)[7]);}

/* outstr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_23843(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_23843,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(((C_word*)t0)[2])){
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23853,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4488: current-print-length */
t7=C_retrieve2(lf[874],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=t1;
t5=t2;
t6=t3;
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51895190 */
t9=t8;{
C_word av2[4];
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23851 in outstr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_23853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23853,2,av);}
a=C_alloc(12);
t2=C_fixnum_plus(t1,((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23859,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t3,((C_word*)t0)[4]))){
t5=C_fixnum_difference(((C_word*)t0)[4],t1);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23871,a[2]=t4,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23894,a[2]=((C_word*)t0)[5],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4492: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_23871(2,av2);}}}
else{
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51895190 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23857 in k23851 in outstr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_23859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23859,2,av);}
/* library.scm:4496: current-print-length */
t2=C_retrieve2(lf[874],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k23869 in k23851 in outstr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_23871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23871,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23874,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51895190 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[877];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k23872 in k23869 in k23851 in outstr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_23874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23874,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23877,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4494: ##sys#print-exit */
t3=C_retrieve2(lf[876],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23875 in k23872 in k23869 in k23851 in outstr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_23877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23877,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4491: g5182 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k23892 in k23851 in outstr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_23894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23894,2,av);}
t2=((C_word*)t0)[2];
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(3));
/* g51895190 */
t5=t4;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* outchr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_23915(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_23915,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23919,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[2])){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23932,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t2,a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4504: current-print-length */
t6=C_retrieve2(lf[874],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(2));
t6=C_slot(t5,C_fix(2));
/* g51985199 */
t7=t6;{
C_word av2[4];
av2[0]=t7;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}

/* k23917 in outchr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_23919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23919,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51985199 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* k23930 in outchr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_23932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23932,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23935,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4505: current-print-length */
t5=C_retrieve2(lf[874],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k23933 in k23930 in outchr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_23935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23935,2,av);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23944,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[5];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51895190 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[878];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51985199 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}}

/* k23942 in k23933 in k23930 in outchr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_23944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23944,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23947,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4508: ##sys#print-exit */
t3=C_retrieve2(lf[876],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23945 in k23942 in k23933 in k23930 in outchr in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_23947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23947,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4506: g5194 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* outsym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_23975(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23975,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23979,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4517: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k23977 in outsym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_23979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23979,2,av);}
a=C_alloc(7);
t2=t1;
t3=C_i_not(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23988,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t3)){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
f_23988(2,av2);}}
else{
/* library.scm:4518: sym-is-readable? */
t5=((C_word*)((C_word*)t0)[7])[1];
f_24088(t5,t4,t2);}}

/* k23986 in k23977 in outsym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_23988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23988,2,av);}
if(C_truep(t1)){
/* library.scm:4519: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
/* library.scm:4520: outreadablesym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23999(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_23999(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_23999,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24006,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[3],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4524: outchr */
t7=((C_word*)((C_word*)t0)[2])[1];
f_23915(t7,t6,t2,C_make_character(124));}

/* k24004 in outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_24006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_24006,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24011,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[6],a[8]=((C_word)li713),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_24011(t5,((C_word*)t0)[7],C_fix(0));}

/* loop in k24004 in outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_24011(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24011,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4527: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23915(t3,t1,((C_word*)t0)[4],C_make_character(124));}
else{
t3=C_subchar(((C_word*)t0)[5],t2);
t4=C_i_char_lessp(t3,C_make_character(32));
t5=(C_truep(t4)?t4:C_u_i_char_greaterp(t3,C_make_character(126)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24033,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t1,a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[3],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4530: outstr */
t7=((C_word*)((C_word*)t0)[7])[1];
f_23843(t7,t6,((C_word*)t0)[4],lf[879]);}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24062,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t3,C_make_character(124));
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:4536: outchr */
t8=((C_word*)((C_word*)t0)[3])[1];
f_23915(t8,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t8=t6;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_24062(2,av2);}}}
else{
t8=C_eqp(t3,C_make_character(92));
if(C_truep(t8)){
/* library.scm:4536: outchr */
t9=((C_word*)((C_word*)t0)[3])[1];
f_23915(t9,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t9=t6;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_24062(2,av2);}}}}}}

/* k24031 in loop in k24004 in outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_24033,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24039,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t3,C_fix(16)))){
/* library.scm:4532: outchr */
t5=((C_word*)((C_word*)t0)[8])[1];
f_23915(t5,t4,((C_word*)t0)[7],C_make_character(48));}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_24039(2,av2);}}}

/* k24037 in k24031 in loop in k24004 in outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_24039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24039,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24042,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24053,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4533: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24040 in k24037 in k24031 in loop in k24004 in outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_24042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24042,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4534: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_24011(t3,((C_word*)t0)[4],t2);}

/* k24051 in k24037 in k24031 in loop in k24004 in outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_24053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24053,2,av);}
/* library.scm:4533: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24060 in loop in k24004 in outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24062(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24062,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24065,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4537: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23915(t3,t2,((C_word*)t0)[6],((C_word*)t0)[7]);}

/* k24063 in k24060 in loop in k24004 in outreadablesym in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_24065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24065,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4538: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_24011(t3,((C_word*)t0)[4],t2);}

/* sym-is-readable? in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_24088(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24088,3,t0,t1,t2);}
a=C_alloc(10);
t3=C_block_size(t2);
t4=t3;
switch(t4){
case C_fix(0):
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(1):
t5=C_subchar(t2,C_fix(0));
t6=C_eqp(C_make_character(35),t5);
t7=(C_truep(t6)?t6:C_eqp(C_make_character(46),t5));
if(C_truep(t7)){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=C_fix(C_character_code(t5));
t9=C_fixnum_less_or_equal_p(t8,C_fix(32));
t10=(C_truep(t9)?t9:C_i_memq(t5,lf[880]));
if(C_truep(t10)){
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t11=C_u_i_char_numericp(t5);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=(C_truep(t11)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}
default:
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24137,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=((C_word)li715),tmp=(C_word)a,a+=8,tmp));
t9=((C_word*)t7)[1];
f_24137(t9,t1,t5);}}

/* loop in sym-is-readable? in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_24137(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_24137,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
t4=C_subchar(((C_word*)t0)[2],C_fix(0));
t5=C_u_i_char_numericp(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24153,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_24153(t7,t5);}
else{
t7=C_eqp(t4,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_24153(t8,t7);}
else{
t8=C_eqp(t4,C_make_character(46));
t9=t6;
f_24153(t9,(C_truep(t8)?t8:C_eqp(t4,C_make_character(45))));}}}
else{
t4=C_subchar(((C_word*)t0)[2],t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24210,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[6])){
t6=t5;
f_24210(t6,((C_word*)t0)[6]);}
else{
t6=C_u_i_char_upper_casep(t4);
t7=t5;
f_24210(t7,C_i_not(t6));}}}

/* k24151 in loop in sym-is-readable? in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_24153(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_24153,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24160,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4557: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(((C_word*)t0)[4]){
case C_make_character(58):
t2=C_eqp(((C_word*)t0)[5],lf[832]);
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_make_character(35):
t2=C_subchar(((C_word*)t0)[3],C_fix(1));
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_eqp(t2,C_make_character(33));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=C_fix(C_character_code(((C_word*)t0)[4]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[4],lf[880]));
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k24158 in k24151 in loop in sym-is-readable? in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24160,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k24208 in loop in sym-is-readable? in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_24210(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_24210,2,t0,t1);}
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[2],lf[880]));
if(C_truep(C_i_not(t4))){
t5=C_eqp(((C_word*)t0)[2],C_make_character(58));
t6=C_i_not(t5);
if(C_truep(t6)){
if(C_truep(t6)){
t7=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_24137(t8,((C_word*)t0)[5],t7);}
else{
t7=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t8=C_fixnum_lessp(((C_word*)t0)[3],t7);
if(C_truep(t8)){
if(C_truep(t8)){
t9=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t10=((C_word*)((C_word*)t0)[4])[1];
f_24137(t10,((C_word*)t0)[5],t9);}
else{
t9=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(((C_word*)t0)[7],lf[815]);
if(C_truep(C_i_not(t9))){
t10=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t11=((C_word*)((C_word*)t0)[4])[1];
f_24137(t11,((C_word*)t0)[5],t10);}
else{
t10=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24265 in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_24267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24267,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_24272(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24272,3,t0,t1,t2);}
a=C_alloc(9);
switch(t2){
case C_SCHEME_END_OF_LIST:
/* library.scm:4572: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23843(t3,t1,((C_word*)t0)[3],lf[881]);
case C_SCHEME_TRUE:
/* library.scm:4573: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23843(t3,t1,((C_word*)t0)[3],lf[882]);
case C_SCHEME_FALSE:
/* library.scm:4574: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23843(t3,t1,((C_word*)t0)[3],lf[883]);
default:
if(C_truep(C_eofp(t2))){
/* library.scm:4575: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23843(t3,t1,((C_word*)t0)[3],lf[884]);}
else{
if(C_truep(C_undefinedp(t2))){
/* library.scm:4576: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23843(t3,t1,((C_word*)t0)[3],lf[885]);}
else{
if(C_truep(C_charp(t2))){
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24321,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4579: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,t3,((C_word*)t0)[3],lf[886]);}
else{
/* library.scm:4588: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23915(t3,t1,((C_word*)t0)[3],t2);}}
else{
if(C_truep(C_fixnump(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24380,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4589: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_unboundvaluep(t2))){
/* library.scm:4590: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23843(t3,t1,((C_word*)t0)[3],lf[887]);}
else{
t3=C_blockp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:4591: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,t1,((C_word*)t0)[3],lf[888]);}
else{
if(C_truep(C_forwardedp(t2))){
/* library.scm:4592: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,t1,((C_word*)t0)[3],lf[889]);}
else{
if(C_truep(C_symbolp(t2))){
if(C_truep(C_u_i_keywordp(t2))){
t4=C_i_not(((C_word*)t0)[4]);
t5=(C_truep(t4)?((C_word*)t0)[6]:C_SCHEME_FALSE);
t6=C_eqp(t5,lf[832]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24419,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4598: outchr */
t8=((C_word*)((C_word*)t0)[5])[1];
f_23915(t8,t7,((C_word*)t0)[3],C_make_character(58));}
else{
t7=C_eqp(t5,lf[815]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24431,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4601: outsym */
t9=((C_word*)((C_word*)t0)[7])[1];
f_23975(t9,t8,((C_word*)t0)[3],t2);}
else{
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24437,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4604: outstr */
t9=((C_word*)((C_word*)t0)[2])[1];
f_23843(t9,t8,((C_word*)t0)[3],lf[890]);}}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24453,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4606: ##sys#qualified-symbol? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[634]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[634]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}
else{
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24469,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4610: ##sys#number? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[495]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[495]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}}}}}}}}}

/* k24319 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_24321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24321,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24327,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4581: chicken.base#char-name */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k24325 in k24319 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24327,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24331,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li717),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4581: g5296 */
t3=t2;
f_24331(t3,((C_word*)t0)[4],t1);}
else{
t2=C_fixnum_lessp(((C_word*)t0)[5],C_fix(32));
t3=(C_truep(t2)?t2:C_fixnum_greaterp(((C_word*)t0)[5],C_fix(255)));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24354,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4585: outchr */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23915(t5,t4,((C_word*)t0)[3],C_make_character(120));}
else{
/* library.scm:4587: outchr */
t4=((C_word*)((C_word*)t0)[6])[1];
f_23915(t4,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[7]);}}}

/* g5296 in k24325 in k24319 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_24331(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_24331,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* library.scm:4583: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,t1,((C_word*)t0)[3],t3);}

/* k24352 in k24325 in k24319 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24354,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24361,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4586: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24359 in k24352 in k24325 in k24319 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_24361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24361,2,av);}
/* library.scm:4586: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24378 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_24380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24380,2,av);}
/* library.scm:4589: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24417 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_24419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24419,2,av);}
/* library.scm:4599: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23975(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24429 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_24431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24431,2,av);}
/* library.scm:4602: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23915(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(58));}

/* k24435 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_24437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24437,2,av);}
/* library.scm:4605: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23975(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24451 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_24453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24453,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24460,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4607: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:4609: outsym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23975(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* k24458 in k24451 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24460,2,av);}
/* library.scm:4607: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_24469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24469,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24476,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4610: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_anypointerp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24486,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4611: ##sys#pointer->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[891]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[891]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_stringp(((C_word*)t0)[5]))){
if(C_truep(((C_word*)t0)[6])){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24495,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4614: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23915(t3,t2,((C_word*)t0)[4],C_make_character(34));}
else{
/* library.scm:4640: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}
else{
if(C_truep(C_pairp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24668,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4642: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23915(t3,t2,((C_word*)t0)[4],C_make_character(40));}
else{
if(C_truep(C_bytevectorp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24741,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4654: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23843(t3,t2,((C_word*)t0)[4],lf[895]);}
else{
if(C_truep(C_structurep(((C_word*)t0)[5]))){
/* library.scm:4663: ##sys#user-print-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[896]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[896]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
if(C_truep(C_closurep(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24801,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4664: ##sys#procedure->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[897]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[897]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_locativep(((C_word*)t0)[5]))){
/* library.scm:4665: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[898]);}
else{
if(C_truep(C_lambdainfop(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24813,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4667: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23843(t3,t2,((C_word*)t0)[4],lf[899]);}
else{
if(C_truep(C_portp(((C_word*)t0)[5]))){
t2=C_slot(((C_word*)t0)[5],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24832,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
switch(t2){
case C_fix(1):
/* library.scm:4672: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,t3,((C_word*)t0)[4],lf[901]);
case C_fix(2):
/* library.scm:4673: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,t3,((C_word*)t0)[4],lf[902]);
default:
/* library.scm:4674: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,t3,((C_word*)t0)[4],lf[903]);}}
else{
if(C_truep(C_vectorp(((C_word*)t0)[5]))){
t2=C_block_size(((C_word*)t0)[5]);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
/* library.scm:4680: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,((C_word*)t0)[3],((C_word*)t0)[4],lf[904]);}
else{
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24879,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4682: outstr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23843(t5,t4,((C_word*)t0)[4],lf[905]);}}
else{
/* library.scm:4690: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[906];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}}}}}}}}}}}

/* k24474 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24476,2,av);}
/* library.scm:4610: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24484 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24486,2,av);}
/* library.scm:4611: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24493 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24495,2,av);}
a=C_alloc(10);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24501,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word)li718),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24501(t6,((C_word*)t0)[6],C_fix(0),t2);}

/* doloop5321 in k24493 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_24501(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_24501,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4618: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23915(t5,t1,((C_word*)t0)[3],C_make_character(34));}
else{
t5=C_subbyte(((C_word*)t0)[4],t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24514,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
switch(t5){
case C_fix(34):
/* library.scm:4621: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23843(t7,t6,((C_word*)t0)[3],lf[892]);
case C_fix(92):
/* library.scm:4622: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23843(t7,t6,((C_word*)t0)[3],lf[893]);
default:
t7=C_fixnum_lessp(t5,C_fix(32));
t8=(C_truep(t7)?t7:C_eqp(t5,C_fix(127)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24552,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4626: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23915(t10,t9,((C_word*)t0)[3],C_make_character(92));}
else{
t9=C_fix_to_char(t5);
/* library.scm:4639: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23915(t10,t6,((C_word*)t0)[3],t9);}}}}

/* k24512 in doloop5321 in k24493 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_24514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24514,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24501(t4,((C_word*)t0)[5],t2,t3);}

/* k24550 in doloop5321 in k24493 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_24552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_24552,2,av);}
a=C_alloc(7);
switch(((C_word*)t0)[2]){
case C_fix(7):
/* library.scm:4628: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23915(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(97));
case C_fix(8):
/* library.scm:4629: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23915(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(98));
case C_fix(9):
/* library.scm:4630: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23915(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(116));
case C_fix(10):
/* library.scm:4631: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23915(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(110));
case C_fix(11):
/* library.scm:4632: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23915(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(118));
case C_fix(12):
/* library.scm:4633: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23915(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(102));
case C_fix(13):
/* library.scm:4634: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23915(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(114));
default:
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24618,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4636: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23915(t3,t2,((C_word*)t0)[5],C_make_character(120));}}

/* k24616 in k24550 in doloop5321 in k24493 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_24618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24618,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24621,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[5],C_fix(16)))){
/* library.scm:4637: outchr */
t3=((C_word*)((C_word*)t0)[6])[1];
f_23915(t3,t2,((C_word*)t0)[4],C_make_character(48));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_24621(2,av2);}}}

/* k24619 in k24616 in k24550 in doloop5321 in k24493 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_24621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24621,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24628,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4638: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24626 in k24619 in k24616 in k24550 in doloop5321 in k24493 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_24628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24628,2,av);}
/* library.scm:4638: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24666 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24668,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24671,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4643: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24272(t4,t2,t3);}

/* k24669 in k24666 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24671,2,av);}
a=C_alloc(10);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24680,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word)li719),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24680(t6,((C_word*)t0)[7],t2);}

/* doloop5351 in k24669 in k24666 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_24680(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_24680,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_blockp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24690,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_24690(t6,t4);}
else{
t6=C_pairp(t2);
t7=t5;
f_24690(t7,C_i_not(t6));}}

/* k24688 in doloop5351 in k24669 in k24666 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_fcall f_24690(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24690,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24693,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_eqp(((C_word*)t0)[5],C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24702,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4648: outstr */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23843(t5,t4,((C_word*)t0)[4],lf[894]);}
else{
/* library.scm:4650: outchr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23915(t4,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24712,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4651: outchr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23915(t3,t2,((C_word*)t0)[4],C_make_character(32));}}

/* k24691 in k24688 in doloop5351 in k24669 in k24666 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_24693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24693,2,av);}
/* library.scm:4650: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23915(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}

/* k24700 in k24688 in doloop5351 in k24669 in k24666 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_24702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24702,2,av);}
/* library.scm:4649: out */
t2=((C_word*)((C_word*)t0)[2])[1];
f_24272(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k24710 in k24688 in doloop5351 in k24669 in k24666 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_24712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_24712,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24715,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4652: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24272(t4,t2,t3);}

/* k24713 in k24710 in k24688 in doloop5351 in k24669 in k24666 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_24715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24715,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24680(t3,((C_word*)t0)[4],t2);}

/* k24739 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_24741,2,av);}
a=C_alloc(16);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24747,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24752,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=((C_word)li720),tmp=(C_word)a,a+=9,tmp));
t8=((C_word*)t6)[1];
f_24752(t8,t4,C_fix(0));}

/* k24745 in k24739 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24747,2,av);}
/* library.scm:4662: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23915(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(125));}

/* doloop5365 in k24739 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_24752(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24752,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_subbyte(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24765,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=t1,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t4,C_fix(16)))){
/* library.scm:4660: outchr */
t6=((C_word*)((C_word*)t0)[7])[1];
f_23915(t6,t5,((C_word*)t0)[6],C_make_character(48));}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_24765(2,av2);}}}}

/* k24763 in doloop5365 in k24739 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_24765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24765,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24768,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24779,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4661: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24766 in k24763 in doloop5365 in k24739 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_24768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24768,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24752(t3,((C_word*)t0)[4],t2);}

/* k24777 in k24763 in doloop5365 in k24739 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_24779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24779,2,av);}
/* library.scm:4661: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24799 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24801,2,av);}
/* library.scm:4664: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24811 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24813,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24816,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24823,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4668: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k24814 in k24811 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24816,2,av);}
/* library.scm:4669: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23915(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(62));}

/* k24821 in k24811 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24823,2,av);}
/* library.scm:4668: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24830 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24832,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24835,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(3));
/* library.scm:4675: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23843(t4,t2,((C_word*)t0)[4],t3);}

/* k24833 in k24830 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24835,2,av);}
/* library.scm:4676: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23843(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[900]);}

/* k24877 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_24879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24879,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24882,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(0));
/* library.scm:4683: out */
t4=((C_word*)((C_word*)t0)[6])[1];
f_24272(t4,t2,t3);}

/* k24880 in k24877 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_24882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24882,2,av);}
a=C_alloc(10);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24891,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li721),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24891(t6,((C_word*)t0)[7],C_fix(1),t2);}

/* doloop5389 in k24880 in k24877 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_24891(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24891,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4687: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23915(t5,t1,((C_word*)t0)[3],C_make_character(41));}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24904,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4688: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23915(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24902 in doloop5389 in k24880 in k24877 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_24904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24904,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24907,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[6],((C_word*)t0)[2]);
/* library.scm:4689: out */
t4=((C_word*)((C_word*)t0)[7])[1];
f_24272(t4,t2,t3);}

/* k24905 in k24902 in doloop5389 in k24880 in k24877 in k24467 in out in k23839 in k23836 in k23833 in print in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_24907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24907,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24891(t4,((C_word*)t0)[5],t2,t3);}

/* ##sys#procedure->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_24932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24932,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24936,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4696: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2=av;
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k24934 in procedure->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_24936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24936,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24946,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4698: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[909];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24944 in k24934 in procedure->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_24946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24946,2,av);}
/* library.scm:4698: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[907];
av2[3]=t1;
av2[4]=lf[908];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#register-record-printer in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_24949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_24949,4,av);}
a=C_alloc(6);
t4=C_i_assq(t2,C_fast_retrieve(lf[910]));
if(C_truep(t4)){
t5=C_i_setslot(t4,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_a_i_cons(&a,2,t2,t3);
t6=C_a_i_cons(&a,2,t5,C_fast_retrieve(lf[910]));
t7=C_mutate((C_word*)lf[910]+1 /* (set! ##sys#record-printers ...) */,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_24969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24969,5,av);}
a=C_alloc(10);
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_assq(t6,C_fast_retrieve(lf[910]));
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24982,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24987,a[2]=t4,a[3]=t6,a[4]=t8,a[5]=t2,a[6]=((C_word)li732),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4713: scheme#call-with-current-continuation */
t11=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t9;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25072,a[2]=t1,a[3]=t4,a[4]=t6,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4725: ##sys#print */
t10=*((C_word*)lf[871]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[921];
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}}

/* k24980 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_24982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24982,2,av);}
/* library.scm:4713: g5430 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_24987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_24987,3,av);}
a=C_alloc(13);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24993,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li727),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25044,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=((C_word)li731),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4713: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[917]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a24992 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_24993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24993,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24999,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li726),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4713: k5427 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24998 in a24992 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_24999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24999,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25003,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4715: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[916];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25001 in a24998 in a24992 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_25003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25003,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25006,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25042,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4716: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k25004 in k25001 in a24998 in a24992 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_25006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25006,2,av);}
a=C_alloc(5);
if(C_truep(C_i_structurep(((C_word*)t0)[2],lf[912]))){
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_i_member(lf[913],t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25021,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4719: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[914];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4722: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[915];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k25019 in k25004 in k25001 in a24998 in a24992 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_25021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25021,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25024,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cadr(((C_word*)t0)[4]);
/* library.scm:4720: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25022 in k25019 in k25004 in k25001 in a24998 in a24992 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_25024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25024,2,av);}
/* library.scm:4721: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25040 in k25001 in a24998 in a24992 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_25042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25042,2,av);}
/* library.scm:4716: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* a25043 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25044,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25050,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li728),tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25059,a[2]=((C_word*)t0)[5],a[3]=((C_word)li730),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4713: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a25049 in a25043 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25050,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4713: g5440 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a25058 in a25043 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_25059,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25065,a[2]=t2,a[3]=((C_word)li729),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4713: k5427 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a25064 in a25058 in a25043 in a24986 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_25065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25065,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k25070 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25072,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25075,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25118,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4726: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k25073 in k25070 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25075,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25078,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(((C_word*)t0)[4],lf[912]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25087,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4729: ##sys#print */
t5=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[918];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=C_eqp(((C_word*)t0)[4],lf[919]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25103,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4732: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[920];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
/* library.scm:4734: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}}}

/* k25076 in k25073 in k25070 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25078,2,av);}
/* library.scm:4734: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25085 in k25073 in k25070 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25087,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4730: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25101 in k25073 in k25070 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25103,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(6));
/* library.scm:4733: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25116 in k25070 in user-print-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25118,2,av);}
/* library.scm:4726: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25120,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25126,a[2]=t2,a[3]=t3,a[4]=((C_word)li737),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4739: call-with-current-continuation */
t5=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_25126,3,av);}
a=C_alloc(31);
t3=C_fast_retrieve(lf[875]);
t4=C_retrieve2(lf[876],C_text("##sys#print-exit"));
t5=C_retrieve2(lf[874],C_text("current-print-length"));
t6=((C_word*)t0)[2];
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=t2;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_SCHEME_TRUE;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25132,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t14,a[6]=t5,a[7]=t4,a[8]=t3,a[9]=((C_word)li734),tmp=(C_word)a,a+=10,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25175,a[2]=((C_word*)t0)[3],a[3]=((C_word)li735),tmp=(C_word)a,a+=4,tmp);
t17=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25181,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t5,a[6]=t4,a[7]=t3,a[8]=((C_word)li736),tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: ##sys#dynamic-wind */
t18=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t18;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
av2[4]=t17;
((C_proc)(void*)(*((C_word*)t18+1)))(5,av2);}}

/* a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25132,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25136,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: print-length-limit54605461 */
t3=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
f_25136(2,av2);}}}

/* k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25136,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25139,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,tmp=(C_word)a,a+=11,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: print-exit54625463 */
t4=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
f_25139(2,av2);}}}

/* k25137 in k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_25139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_25139,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25142,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],tmp=(C_word)a,a+=12,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: current-print-length54645465 */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
f_25142(2,av2);}}}

/* k25140 in k25137 in k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_25142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_25142,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_25146,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],tmp=(C_word)a,a+=13,tmp);
/* library.scm:4741: print-length-limit54605461 */
t4=((C_word*)t0)[10];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k25144 in k25140 in k25137 in k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_25146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_25146,2,av);}
a=C_alloc(12);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25150,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* library.scm:4741: print-exit54625463 */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25148 in k25144 in k25140 in k25137 in k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_25150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25150,2,av);}
a=C_alloc(11);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25154,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: current-print-length54645465 */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25152 in k25148 in k25144 in k25140 in k25137 in k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_25154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_25154,2,av);}
a=C_alloc(8);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25157,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4741: print-length-limit54605461 */
t4=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25155 in k25152 in k25148 in k25144 in k25140 in k25137 in k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_25157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_25157,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25160,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4741: print-exit54625463 */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25158 in k25155 in k25152 in k25148 in k25144 in k25140 in k25137 in k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_25160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25160,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25163,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4741: current-print-length54645465 */
t3=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25161 in k25158 in k25155 in k25152 in k25148 in k25144 in k25140 in k25137 in k25134 in a25131 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_25163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25163,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a25174 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25175,2,av);}
/* library.scm:4744: thunk */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a25180 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25181,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25185,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: print-length-limit54605461 */
t3=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k25183 in a25180 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25185,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25188,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4741: print-exit54625463 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25186 in k25183 in a25180 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_25188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25188,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25191,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: current-print-length54645465 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25189 in k25186 in k25183 in a25180 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_25191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25191,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25194,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: print-length-limit54605461 */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25192 in k25189 in k25186 in k25183 in a25180 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_25194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25194,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25197,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4741: print-exit54625463 */
t3=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25195 in k25192 in k25189 in k25186 in k25183 in a25180 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_25197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25197,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25200,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: current-print-length54645465 */
t3=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[6])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25198 in k25195 in k25192 in k25189 in k25186 in k25183 in a25180 in a25125 in with-print-length-limit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_25200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25200,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
t3=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)t0)[5]);
t4=C_mutate(((C_word *)((C_word*)t0)[6])+1,((C_word*)t0)[7]);
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check5506 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25205,4,av);}
a=C_alloc(9);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=C_fixnum_plus(t5,t3);
if(C_truep(C_fixnum_greater_or_equal_p(t10,t7))){
t11=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25227,a[2]=t7,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,a[7]=t9,a[8]=t5,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t10,lf[269]))){
/* library.scm:4772: ##sys#error */
t12=*((C_word*)lf[155]+1);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[924];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
f_25227(2,av2);}}}
else{
t11=C_SCHEME_UNDEFINED;
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* k25225 in check5506 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25227,2,av);}
a=C_alloc(9);
t2=C_fixnum_plus(((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_i_fixnum_min(lf[269],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25233,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4774: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k25231 in k25225 in check5506 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_25233,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25236,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4775: ##sys#copy-bytes */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
av2[4]=C_fix(0);
av2[5]=C_fix(0);
av2[6]=((C_word*)t0)[8];
tp(7,av2);}}

/* k25234 in k25231 in k25225 in check5506 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25236,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),((C_word*)t0)[4]);
/* library.scm:4778: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* ##sys#scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,7)))){
C_save_and_reclaim((void *)f_25261,6,av);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25264,a[2]=((C_word)li752),tmp=(C_word)a,a+=3,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25284,a[2]=t5,a[3]=t8,a[4]=t6,a[5]=((C_word)li757),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_25284(t10,t1,t2,t4,t4,t3,lf[930]);}

/* copy&append in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_fcall f_25264(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_25264,5,t1,t2,t3,t4,t5);}
a=C_alloc(8);
t6=C_block_size(t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25271,a[2]=t5,a[3]=t7,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t9=C_fixnum_difference(t4,t3);
t10=C_fixnum_plus(t7,t9);
/* library.scm:4855: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t10;
tp(3,av2);}}

/* k25269 in copy&append in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25271,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[3]);
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_fcall f_25284(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25284,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(12);
t7=C_eqp(t4,t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25294,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4865: copy&append */
f_25264(t8,t2,t3,t4,t6);}
else{
t8=C_subchar(t2,t4);
t9=C_eqp(t8,C_make_character(10));
if(C_truep(t9)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25332,a[2]=t1,a[3]=t11,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4872: copy&append */
f_25264(t12,t2,t3,t4,t6);}
else{
t10=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25338,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=((C_word*)t0)[3],a[10]=t8,a[11]=t5,tmp=(C_word)a,a+=12,tmp);
t11=C_eqp(t8,C_make_character(13));
if(C_truep(t11)){
t12=C_fixnum_plus(t4,C_fix(1));
if(C_truep(C_fixnum_greaterp(t5,t12))){
t13=C_fixnum_plus(t4,C_fix(1));
t14=C_subchar(t2,t13);
t15=t10;
f_25338(t15,C_eqp(t14,C_make_character(10)));}
else{
t13=t10;
f_25338(t13,C_SCHEME_FALSE);}}
else{
t12=t10;
f_25338(t12,C_SCHEME_FALSE);}}}}

/* k25292 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25294,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25299,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li753),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25305,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word)li754),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4866: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25298 in k25292 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25299,2,av);}
/* library.scm:4866: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25304 in k25292 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25305,5,av);}
if(C_truep(t2)){
/* library.scm:4868: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_25284(t5,t1,t2,t3,t3,t4,((C_word*)t0)[3]);}
else{
/* library.scm:4869: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[3];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k25330 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25332,2,av);}
/* library.scm:4872: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_fcall f_25338(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25338,2,t0,t1);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25349,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4876: copy&append */
f_25264(t4,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25355,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],tmp=(C_word)a,a+=12,tmp);
t3=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t3)){
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t5=t2;
f_25355(t5,C_eqp(((C_word*)t0)[11],t4));}
else{
t4=t2;
f_25355(t4,C_SCHEME_FALSE);}}}

/* k25347 in k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25349,2,av);}
/* library.scm:4876: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25353 in k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_fcall f_25355(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,6)))){
C_save_and_reclaim_args((void *)trf_25355,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25358,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4879: copy&append */
f_25264(t2,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t2=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25418,a[2]=((C_word*)t0)[5],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4890: copy&append */
f_25264(t5,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:4891: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_25284(t4,((C_word*)t0)[5],((C_word*)t0)[7],((C_word*)t0)[8],t3,((C_word*)t0)[11],((C_word*)t0)[9]);}}}

/* k25356 in k25353 in k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_25358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25358,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25363,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li755),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25369,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word)li756),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4880: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25362 in k25356 in k25353 in k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_25363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25363,2,av);}
/* library.scm:4880: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25368 in k25356 in k25353 in k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_25369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25369,5,av);}
a=C_alloc(7);
if(C_truep(t2)){
t5=C_subchar(t2,t3);
t6=C_eqp(t5,C_make_character(10));
if(C_truep(t6)){
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:4883: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t7;
av2[3]=((C_word*)t0)[2];
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25393,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4886: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[928];
tp(4,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25401,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4888: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[929];
tp(4,av2);}}}

/* k25391 in a25368 in k25356 in k25353 in k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_25393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25393,2,av);}
/* library.scm:4885: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25284(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[5],((C_word*)t0)[6],t1);}

/* k25399 in a25368 in k25356 in k25353 in k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_25401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25401,2,av);}
/* library.scm:4888: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25416 in k25353 in k25336 in loop in scan-buffer-line in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_25418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25418,2,av);}
/* library.scm:4890: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* chicken.base#open-input-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_25458,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[931]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25465,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4896: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[927]);
av2[4]=lf[932];
av2[5]=lf[933];
tp(6,av2);}}

/* k25463 in chicken.base#open-input-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25465,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_i_set_i_slot(t1,C_fix(11),t2);
t4=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t5=C_i_setslot(t1,C_fix(12),((C_word*)t0)[2]);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.base#open-output-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_25477,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25481,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4904: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[927]);
av2[4]=lf[934];
av2[5]=lf[933];
tp(6,av2);}}

/* k25479 in chicken.base#open-output-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_25481,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_i_set_i_slot(t2,C_fix(10),C_fix(0));
t4=C_i_set_i_slot(t2,C_fix(11),C_fix(256));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25494,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4907: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=C_fix(256);
tp(3,av2);}}

/* k25492 in k25479 in chicken.base#open-output-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25494,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#get-output-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_25496,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_FALSE,lf[935]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[933],t5);
if(C_truep(C_i_not(t6))){
/* library.scm:4914: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[935];
av2[4]=lf[936];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=C_slot(t2,C_fix(12));
t8=C_slot(t2,C_fix(10));
/* library.scm:4916: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}

/* ##sys#print-to-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_25530,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25534,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4922: open-output-string */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25532 in print-to-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_25534,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25535,a[2]=t2,a[3]=((C_word)li762),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];
t5=C_i_check_list_2(t4,lf[689]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25545,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25550,a[2]=t8,a[3]=t3,a[4]=((C_word)li763),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_25550(t10,t6,t4);}

/* g5636 in k25532 in print-to-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_fcall f_25535(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25535,3,t0,t1,t2);}
/* library.scm:4923: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25543 in k25532 in print-to-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25545,2,av);}
/* library.scm:4924: get-output-string */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* for-each-loop5635 in k25532 in print-to-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_fcall f_25550(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25550,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25560,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4923: g5636 */
t5=((C_word*)t0)[3];
f_25535(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25558 in for-each-loop5635 in k25532 in print-to-string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25560,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25550(t3,((C_word*)t0)[4],t2);}

/* ##sys#pointer->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25573,3,av);}
a=C_alloc(7);
if(C_truep(C_taggedpointerp(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25584,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_pairp(t4))){
t5=C_u_i_car(t4);
t6=C_a_i_list1(&a,1,t5);
/* library.scm:4932: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word *av2=av;
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t3;
av2[2]=t6;
tp(3,av2);}}
else{
t5=C_a_i_list1(&a,1,t4);
/* library.scm:4932: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word *av2=av;
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t3;
av2[2]=t5;
tp(3,av2);}}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25614,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25618,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4938: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[941]);
C_word *av2=av;
av2[0]=*((C_word*)lf[941]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}

/* k25582 in pointer->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25584,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25588,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25592,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4936: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[941]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[941]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k25586 in k25582 in pointer->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25588,2,av);}
/* library.scm:4930: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[938];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[939];
av2[5]=t1;
av2[6]=lf[940];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k25590 in k25582 in pointer->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25592,2,av);}
/* library.scm:4936: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* k25612 in pointer->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25614,2,av);}
/* library.scm:4938: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[942];
av2[3]=t1;
av2[4]=lf[943];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25616 in pointer->string in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25618,2,av);}
/* library.scm:4938: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* chicken.base#get-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_25626,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fast_retrieve(lf[944]):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_fix((C_word)C_trace_buffer_size);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25642,a[2]=t5,a[3]=t13,a[4]=t10,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t15=C_fixnum_times(C_fix(4),t13);
/* library.scm:4952: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t14;
av2[2]=t15;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k25640 in chicken.base#get-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25642,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_fetch_trace(((C_word*)t0)[2],t2);
t4=C_fixnump(t3);
t5=(C_truep(t4)?t3:C_fixnum_times(C_fix(4),((C_word*)t0)[3]));
t6=t5;
t7=(C_truep(((C_word*)t0)[4])?C_slot(((C_word*)t0)[4],C_fix(14)):C_SCHEME_FALSE);
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25653,a[2]=t6,a[3]=t2,a[4]=t10,a[5]=((C_word*)t0)[4],a[6]=t8,a[7]=((C_word)li766),tmp=(C_word)a,a+=8,tmp));
t12=((C_word*)t10)[1];
f_25653(t12,((C_word*)t0)[5],C_fix(0));}

/* loop in k25640 in chicken.base#get-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_fcall f_25653(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25653,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_fixnum_plus(t2,C_fix(3));
t4=C_slot(((C_word*)t0)[3],t3);
t5=C_i_not(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25672,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_25672(t7,t5);}
else{
t7=C_i_not(((C_word*)t0)[5]);
t8=t6;
f_25672(t8,(C_truep(t7)?t7:C_eqp(((C_word*)t0)[6],t4)));}}}

/* k25670 in loop in k25640 in chicken.base#get-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_fcall f_25672(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_25672,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25691,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],((C_word*)t0)[2]);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=stub5658(t4,t3);
/* library.scm:4947: ##sys#peek-nonnull-c-string */
t6=*((C_word*)lf[945]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t2;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4966: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_25653(t3,((C_word*)t0)[4],t2);}}

/* k25681 in k25689 in k25670 in loop in k25640 in chicken.base#get-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_25683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_25683,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k25689 in k25670 in loop in k25640 in chicken.base#get-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_25691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25691,2,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(((C_word*)t0)[3],t2);
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t5=C_slot(((C_word*)t0)[3],t4);
t6=C_a_i_vector3(&a,3,t1,t3,t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25683,a[2]=((C_word*)t0)[4],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4965: loop */
t10=((C_word*)((C_word*)t0)[5])[1];
f_25653(t10,t8,t9);}

/* ##sys#really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25770,5,av);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t3))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25780,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4970: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_25780,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25781,a[2]=((C_word*)t0)[2],a[3]=((C_word)li769),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25847,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25852,a[2]=t6,a[3]=t2,a[4]=((C_word)li770),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_25852(t8,t4,t3);}

/* g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_fcall f_25781(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_25781,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_slot(t2,C_fix(2));
t6=t5;
t7=C_i_structurep(t6,lf[947]);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25794,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t8,a[6]=t6,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4976: ##sys#print */
t10=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[950];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k25792 in g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25794,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25797,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=C_slot(((C_word*)t0)[7],C_fix(0));
/* library.scm:4977: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25795 in k25792 in g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_25797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25797,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25800,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4978: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[949];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25798 in k25795 in k25792 in g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_25800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25800,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25803,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25818,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
if(C_truep(((C_word*)t0)[5])){
t4=t3;
f_25818(t4,C_slot(((C_word*)t0)[6],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t3;
f_25818(t5,t4);}}
else{
t4=t3;
f_25818(t4,C_SCHEME_FALSE);}}

/* k25801 in k25798 in k25795 in k25792 in g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_25803(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25803,2,av);}
a=C_alloc(5);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25811,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li768),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4988: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[922]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[922]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_fix(100);
av2[3]=t2;
tp(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a25810 in k25801 in k25798 in k25795 in k25792 in g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_25811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25811,2,av);}
/* library.scm:4991: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25816 in k25798 in k25795 in k25792 in g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_25818(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_25818,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25821,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4980: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word av2[4];
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(91);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_25803(2,av2);}}}

/* k25819 in k25816 in k25798 in k25795 in k25792 in g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_25821(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25821,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25824,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_slot(((C_word*)t0)[5],C_fix(1));
/* library.scm:4981: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
/* library.scm:4981: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k25822 in k25819 in k25816 in k25798 in k25795 in k25792 in g5702 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_25824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25824,2,av);}
/* library.scm:4986: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[948];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25845 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25847,2,av);}
/* library.scm:4993: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[951];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5701 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_fcall f_25852(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25852,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25862,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4971: g5702 */
t5=((C_word*)t0)[3];
f_25781(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25860 in for-each-loop5701 in k25778 in really-print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_25862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25862,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25852(t3,((C_word*)t0)[4],t2);}

/* chicken.base#print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_25875,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[717]+1):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fix(0):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_fast_retrieve(lf[944]):C_i_car(t12));
t15=t14;
t16=C_i_nullp(t12);
t17=(C_truep(t16)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t18=C_i_nullp(t17);
t19=(C_truep(t18)?lf[952]:C_i_car(t17));
t20=t19;
t21=C_i_nullp(t17);
t22=(C_truep(t21)?C_SCHEME_END_OF_LIST:C_i_cdr(t17));
t23=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[953]);
t24=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25906,a[2]=t20,a[3]=t1,a[4]=t5,a[5]=t10,a[6]=t15,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5000: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t24;
av2[2]=t10;
av2[3]=lf[953];
tp(4,av2);}}

/* k25904 in chicken.base#print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25906,2,av);}
a=C_alloc(5);
t2=C_i_check_string_2(((C_word*)t0)[2],lf[953]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25916,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5002: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k25914 in k25904 in chicken.base#print-call-chain in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25916,2,av);}
/* library.scm:5002: ##sys#really-print-call-chain */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[946]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[946]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#user-interrupt-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_25966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_25966,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25969,a[2]=((C_word)li773),tmp=(C_word)a,a+=3,tmp);
t3=C_eqp(C_fast_retrieve(lf[944]),C_fast_retrieve(lf[956]));
if(C_truep(t3)){
t4=t1;
/* library.scm:5008: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[955];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(C_fast_retrieve(lf[956]),C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* break in user-interrupt-hook in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25969,2,av);}
/* library.scm:5008: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[955];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_fcall f_25988(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_25988,1,t1);}
a=C_alloc(6);
t2=lf[957] /* exit-in-progress */ =C_SCHEME_TRUE;;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25993,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_dump_heap_on_exitp())){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26064,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5023: ##sys#print */
t5=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[963];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_25993(2,av2);}}}

/* k25991 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_25993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25993,2,av);}
a=C_alloc(9);
t2=(C_truep(C_i_profilingp())?C_i_dump_statistical_profile():C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25999,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26016,a[2]=t5,a[3]=((C_word)li776),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_26016(t7,t3);}

/* k25997 in k25991 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_25999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25999,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26002,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
/* library.scm:5034: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[961];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_26002(2,av2);}}}

/* k26000 in k25997 in k25991 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_26002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26002,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26008,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5035: chicken.gc#force-finalizers */
t3=C_fast_retrieve(lf[960]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k26006 in k26000 in k25997 in k25991 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26008,2,av);}
if(C_truep(t1)){
/* library.scm:5036: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in k25991 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_fcall f_26016(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_26016,2,t0,t1);}
a=C_alloc(10);
t2=*((C_word*)lf[225]+1);
t3=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_nullp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_i_check_list_2(t2,lf[689]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26035,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26040,a[2]=t7,a[3]=((C_word)li775),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_26040(t9,t5,t2);}}

/* k26033 in loop in k25991 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_26035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26035,2,av);}
/* library.scm:5032: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_26016(t2,((C_word*)t0)[3]);}

/* for-each-loop5761 in loop in k25991 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_fcall f_26040(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26040,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26050,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5031: t */
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26048 in for-each-loop5761 in loop in k25991 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26050,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26040(t3,((C_word*)t0)[4],t2);}

/* k26062 in cleanup-before-exit in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_26064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26064,2,av);}
/* library.scm:5024: ##sys#dump-heap-state */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[962]);
C_word *av2=av;
av2[0]=*((C_word*)lf[962]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_26071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26071,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[224]+1 /* (set! chicken.base#exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26075,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31437,a[2]=((C_word)li984),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5049: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_26075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26075,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[223]+1 /* (set! chicken.base#implicit-exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26079,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31428,a[2]=((C_word)li983),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5054: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_26079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_26079,2,av);}
a=C_alloc(23);
t2=C_mutate((C_word*)lf[964]+1 /* (set! ##sys#reset-handler ...) */,t1);
t3=C_a_i_provide(&a,1,lf[965]);
t4=C_mutate((C_word*)lf[194]+1 /* (set! ##sys#signal-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26081,a[2]=((C_word)li780),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[967]+1 /* (set! chicken.condition#abort ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26365,a[2]=((C_word)li781),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1005]+1 /* (set! chicken.condition#signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26382,a[2]=((C_word)li782),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1006]+1 /* (set! ##sys#break-on-error ...) */,C_mk_bool(C_enable_repl));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26391,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31268,a[2]=((C_word)li982),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5151: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* ##sys#signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_26081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,4)))){
C_save_and_reclaim((void*)f_26081,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t6=C_dbg_hook(C_SCHEME_FALSE);
t7=signal_debug_event(t2,((C_word*)t5)[1],t4);
t8=t2;
t9=C_eqp(t8,lf[955]);
if(C_truep(t9)){
t10=C_a_i_record3(&a,3,lf[912],lf[966],C_SCHEME_END_OF_LIST);
/* library.scm:5082: abort */
t11=C_fast_retrieve(lf[967]);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t10=C_eqp(t8,lf[307]);
t11=(C_truep(t10)?t10:C_eqp(t8,lf[309]));
if(C_truep(t11)){
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26107,a[2]=t4,a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t13=C_eqp(t2,lf[307]);
if(C_truep(t13)){
/* library.scm:5088: ##sys#print */
t14=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[969];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}
else{
/* library.scm:5088: ##sys#print */
t14=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[970];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}}
else{
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26183,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t13=C_i_symbolp(((C_word*)t5)[1]);
t14=(C_truep(t13)?C_i_nullp(t4):C_SCHEME_FALSE);
if(C_truep(t14)){
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26348,a[2]=t5,a[3]=t12,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5106: scheme#symbol->string */
t16=*((C_word*)lf[636]+1);{
C_word *av2=av;
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t5)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}
else{
t15=t12;
f_26183(t15,C_SCHEME_UNDEFINED);}}}}

/* k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26107,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26110,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5091: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26108 in k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_26110,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26113,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26162,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t5=t4;
f_26162(t5,t3);}
else{
t5=((C_word*)t0)[2];
t6=C_u_i_length(t5);
t7=t4;
f_26162(t7,C_fixnum_greaterp(t6,C_fix(1)));}}

/* k26111 in k26108 in k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_26113,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26130,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26135,a[2]=t5,a[3]=((C_word)li779),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_26135(t7,t3,t2);}

/* a26119 in for-each-loop5829 in k26111 in k26108 in k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_26120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_26120,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26124,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5100: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26122 in a26119 in for-each-loop5829 in k26111 in k26108 in k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_26124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26124,2,av);}
/* library.scm:5101: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k26128 in k26111 in k26108 in k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_26130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26130,2,av);}
/* library.scm:5103: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}

/* for-each-loop5829 in k26111 in k26108 in k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_26135(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26135,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26145,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26120,a[2]=t5,a[3]=((C_word)li778),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5097: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[922]);
C_word av2[4];
av2[0]=*((C_word*)lf[922]+1);
av2[1]=t3;
av2[2]=C_fix(400);
av2[3]=t6;
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26143 in for-each-loop5829 in k26111 in k26108 in k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_26145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26145,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26135(t3,((C_word*)t0)[4],t2);}

/* k26160 in k26108 in k26105 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_26162(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_26162,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:5093: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word av2[4];
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}
else{
/* library.scm:5094: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[968];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k26181 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_26183(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26183,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26186,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_not(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(t3)){
t4=t2;
f_26186(t4,(C_truep(t3)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}
else{
t4=C_i_symbolp(((C_word*)((C_word*)t0)[2])[1]);
t5=t2;
f_26186(t5,(C_truep(t4)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}}

/* k26184 in k26181 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_26186(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26186,2,t0,t1);}
a=C_alloc(6);
t2=(C_truep(t1)?((C_word*)((C_word*)t0)[2])[1]:C_SCHEME_FALSE);
t3=t2;
t4=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(0)):((C_word*)((C_word*)t0)[2])[1]);
t5=t4;
t6=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(1)):((C_word*)t0)[3]);
t7=t6;
t8=((C_word*)t0)[4];
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26206,a[2]=t5,a[3]=t7,a[4]=t3,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(t8,lf[258]);
if(C_truep(t10)){
t11=t9;
f_26206(t11,lf[975]);}
else{
t11=C_eqp(t8,lf[784]);
if(C_truep(t11)){
t12=t9;
f_26206(t12,lf[976]);}
else{
t12=C_eqp(t8,lf[379]);
if(C_truep(t12)){
t13=t9;
f_26206(t13,lf[977]);}
else{
t13=C_eqp(t8,lf[563]);
if(C_truep(t13)){
t14=t9;
f_26206(t14,lf[978]);}
else{
t14=C_eqp(t8,lf[702]);
if(C_truep(t14)){
t15=t9;
f_26206(t15,lf[979]);}
else{
t15=C_eqp(t8,lf[980]);
if(C_truep(t15)){
t16=t9;
f_26206(t16,lf[981]);}
else{
t16=C_eqp(t8,lf[982]);
if(C_truep(t16)){
t17=t9;
f_26206(t17,lf[983]);}
else{
t17=C_eqp(t8,lf[984]);
if(C_truep(t17)){
t18=t9;
f_26206(t18,lf[985]);}
else{
t18=C_eqp(t8,lf[986]);
if(C_truep(t18)){
t19=t9;
f_26206(t19,lf[987]);}
else{
t19=C_eqp(t8,lf[988]);
if(C_truep(t19)){
t20=t9;
f_26206(t20,lf[989]);}
else{
t20=C_eqp(t8,lf[990]);
if(C_truep(t20)){
t21=t9;
f_26206(t21,lf[991]);}
else{
t21=C_eqp(t8,lf[992]);
if(C_truep(t21)){
t22=t9;
f_26206(t22,lf[993]);}
else{
t22=C_eqp(t8,lf[994]);
if(C_truep(t22)){
t23=t9;
f_26206(t23,lf[995]);}
else{
t23=C_eqp(t8,lf[996]);
t24=t9;
f_26206(t24,(C_truep(t23)?lf[997]:lf[998]));}}}}}}}}}}}}}}

/* k26204 in k26184 in k26181 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_26206(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_26206,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26214,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5132: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k26212 in k26204 in k26184 in k26181 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_26214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_26214,2,av);}
a=C_alloc(28);
t2=C_a_i_list8(&a,8,lf[971],((C_word*)t0)[2],lf[972],((C_word*)t0)[3],lf[973],t1,lf[974],((C_word*)t0)[4]);
t3=C_a_i_record3(&a,3,lf[912],((C_word*)t0)[5],t2);
/* library.scm:5111: abort */
t4=C_fast_retrieve(lf[967]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26346 in signal-hook in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26348,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_26183(t3,t2);}

/* chicken.condition#abort in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_26365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26365,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26369,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5136: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1004]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1004]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k26367 in chicken.condition#abort in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,2)))){
C_save_and_reclaim((void *)f_26369,2,av);}
a=C_alloc(22);
t2=C_a_i_list6(&a,6,lf[999],lf[1000],lf[1001],C_SCHEME_END_OF_LIST,lf[1002],C_SCHEME_FALSE);
t3=C_a_i_record3(&a,3,lf[912],lf[1003],t2);
/* library.scm:5137: abort */
t4=C_fast_retrieve(lf[967]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.condition#signal in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_26382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26382,3,av);}
/* library.scm:5146: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1004]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1004]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_26391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,5)))){
C_save_and_reclaim((void *)f_26391,2,av);}
a=C_alloc(39);
t2=C_mutate((C_word*)lf[1007]+1 /* (set! ##sys#error-handler ...) */,t1);
t3=C_set_block_item(lf[1008] /* ##sys#last-exception */,0,C_SCHEME_FALSE);
t4=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26394,a[2]=((C_word)li783),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[917]+1 /* (set! chicken.condition#with-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26554,a[2]=((C_word)li786),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1024]+1 /* (set! chicken.condition#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26568,a[2]=((C_word)li788),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate(&lf[1026] /* (set! chicken.condition#prop-list->kind-prefixed-prop-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26629,a[2]=((C_word)li790),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1028]+1 /* (set! chicken.condition#make-property-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26697,a[2]=((C_word)li791),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1030]+1 /* (set! chicken.condition#make-composite-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26711,a[2]=((C_word)li795),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1032]+1 /* (set! chicken.condition#condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26851,a[2]=((C_word)li798),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1033]+1 /* (set! chicken.condition#condition? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26956,a[2]=((C_word)li799),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1034]+1 /* (set! chicken.condition#condition->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26962,a[2]=((C_word)li803),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1037]+1 /* (set! chicken.condition#condition-predicate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27080,a[2]=((C_word)li805),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1038]+1 /* (set! chicken.condition#condition-property-accessor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27101,a[2]=((C_word)li807),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1041]+1 /* (set! chicken.condition#get-condition-property ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27147,a[2]=((C_word)li808),tmp=(C_word)a,a+=3,tmp));
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27158,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5334: condition-property-accessor */
t17=C_fast_retrieve(lf[1038]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t16;
av2[2]=lf[1011];
av2[3]=lf[1362];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* ##sys#current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_26394,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26398,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_structurep(t2,lf[912]))){
t4=C_mutate((C_word*)lf[1008]+1 /* (set! ##sys#last-exception ...) */,t2);
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(lf[1011],t5))){
t6=C_slot(t2,C_fix(2));
t7=C_i_member(lf[1012],t6);
t8=t7;
t9=C_i_member(lf[1013],t6);
t10=t9;
t11=C_i_member(lf[1014],t6);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26437,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26447,a[2]=t10,a[3]=t13,a[4]=t8,a[5]=t12,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5203: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1007]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1007]+1);
av2[1]=t14;
tp(2,av2);}}
else{
t6=C_slot(t5,C_fix(0));
t7=C_eqp(lf[1019],t6);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26508,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5221: ##sys#print */
t9=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[1020];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
t8=C_slot(t5,C_fix(0));
t9=C_eqp(lf[1021],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26523,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5224: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1007]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1007]+1);
av2[1]=t10;
tp(2,av2);}}
else{
t10=C_a_i_list2(&a,2,lf[1009],t2);
t11=C_a_i_record3(&a,3,lf[912],lf[1010],t10);
/* library.scm:5228: abort */
t12=C_fast_retrieve(lf[967]);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t1;
av2[2]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}}}
else{
t4=C_a_i_list2(&a,2,lf[1009],t2);
t5=C_a_i_record3(&a,3,lf[912],lf[1010],t4);
/* library.scm:5228: abort */
t6=C_fast_retrieve(lf[967]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k26396 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26398,2,av);}
a=C_alloc(10);
t2=C_a_i_list2(&a,2,lf[1009],((C_word*)t0)[2]);
t3=C_a_i_record3(&a,3,lf[912],lf[1010],t2);
/* library.scm:5228: abort */
t4=C_fast_retrieve(lf[967]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26435 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26437,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26440,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5219: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[964]);
C_word *av2=av;
av2[0]=*((C_word*)lf[964]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26438 in k26435 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26440,2,av);}
/* library.scm:5198: g5967 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26445 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26447,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26451,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
t4=C_i_cadr(((C_word*)t0)[4]);
t5=t4;
t6=(C_truep(((C_word*)t0)[5])?C_i_cadr(((C_word*)t0)[5]):C_SCHEME_FALSE);
t7=(C_truep(t6)?C_i_symbolp(t6):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26477,a[2]=t5,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5209: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t8;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t3;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
f_26451(2,av2);}}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1018];
f_26451(2,av2);}}}

/* k26449 in k26445 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_26451,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_cadr(((C_word*)t0)[2]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=t2;
C_apply(5,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}}

/* k26475 in k26445 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26477,2,av);}
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5208: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1015];
av2[3]=t1;
av2[4]=lf[1016];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:5208: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1015];
av2[3]=t1;
av2[4]=lf[1016];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
/* library.scm:5208: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1015];
av2[3]=t1;
av2[4]=lf[1016];
av2[5]=lf[1017];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k26506 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26508,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26511,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5222: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[964]);
C_word *av2=av;
av2[0]=*((C_word*)lf[964]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26509 in k26506 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26511,2,av);}
/* library.scm:5197: g5970 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26521 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_26523,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26526,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_i_member(lf[1022],t3);
t5=C_i_cadr(t4);
/* library.scm:5197: g5973 */
t6=t1;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=lf[1023];
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k26524 in k26521 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26526,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26529,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5227: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[964]);
C_word *av2=av;
av2[0]=*((C_word*)lf[964]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26527 in k26524 in k26521 in current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_26529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26529,2,av);}
/* library.scm:5197: g5975 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.condition#with-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_26554,4,av);}
a=C_alloc(8);
t4=C_fast_retrieve(lf[1004]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26560,a[2]=t2,a[3]=((C_word)li784),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26564,a[2]=t4,a[3]=((C_word)li785),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5236: ##sys#dynamic-wind */
t7=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=t5;
av2[3]=t3;
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* a26559 in chicken.condition#with-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26560,2,av);}
t2=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a26563 in chicken.condition#with-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26564,2,av);}
t2=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_26568,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=C_fast_retrieve(lf[1004]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fast_retrieve(lf[1004]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26581,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5246: ##sys#check-closure */
t6=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[1025];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k26579 in chicken.condition#current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26581,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26583,a[2]=((C_word*)t0)[3],a[3]=((C_word)li787),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26589,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26594,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:5247: def-convert?5991 */
  f_26594(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:5247: def-set?5992 */
  f_26589(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:5247: body5989 */
  f_26583(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body5989 in k26579 in chicken.condition#current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static C_word C_fcall f_26583(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?5992 in k26579 in chicken.condition#current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static C_word C_fcall f_26589(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:5247: body5989 */
  f_26583(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?5991 in k26579 in chicken.condition#current-exception-handler in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static C_word C_fcall f_26594(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:5247: def-set?5992 */
  f_26589(((C_word*)t0)[2])
));}

/* chicken.condition#prop-list->kind-prefixed-prop-list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_fcall f_26629(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26629,4,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26635,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t6,a[6]=((C_word)li789),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_26635(t8,t1,t4);}

/* loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_26635(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_26635,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26651,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_26651(t6,t4);}
else{
t6=C_i_cdr(t2);
t7=C_i_pairp(t6);
t8=t5;
f_26651(t8,C_i_not(t7));}}}

/* k26649 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_26651(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_26651,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:5257: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1027];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[5]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],t2);
t4=t3;
t5=C_i_cadr(((C_word*)t0)[5]);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26673,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=((C_word*)t0)[5];
t9=C_u_i_cdr(t8);
t10=C_u_i_cdr(t9);
/* library.scm:5261: loop */
t11=((C_word*)((C_word*)t0)[7])[1];
f_26635(t11,t7,t10);}}

/* k26671 in k26649 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_26673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26673,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#make-property-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,4)))){
C_save_and_reclaim((void*)f_26697,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_a_i_list1(&a,1,t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26709,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5266: prop-list->kind-prefixed-prop-list */
f_26629(t6,lf[1029],t2,t3);}

/* k26707 in chicken.condition#make-property-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26709(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26709,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[912],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.condition#make-composite-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +26,c,3)))){
C_save_and_reclaim((void*)f_26711,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+26);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26828,a[2]=((C_word)li792),tmp=(C_word)a,a+=3,tmp);
t7=(
  f_26828(t5)
);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26730,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t9=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t10=t9;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=((C_word*)t11)[1];
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26792,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26794,a[2]=t11,a[3]=t15,a[4]=t12,a[5]=((C_word)li794),tmp=(C_word)a,a+=6,tmp));
t17=((C_word*)t15)[1];
f_26794(t17,t13,t5);}

/* k26728 in chicken.condition#make-composite-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_26730,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26734,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26746,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26748,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li793),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_26748(t12,t8,((C_word*)t0)[3]);}

/* k26732 in k26728 in chicken.condition#make-composite-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26734,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[912],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k26744 in k26728 in chicken.condition#make-composite-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26746,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6078 in k26728 in chicken.condition#make-composite-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_26748(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26748,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(2));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26790 in chicken.condition#make-composite-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26792,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6051 in chicken.condition#make-composite-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_26794(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26794,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(1));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop6033 in chicken.condition#make-composite-condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static C_word C_fcall f_26828(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_structure_2(t2,lf[912],lf[1031]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* chicken.condition#condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +23,c,3)))){
C_save_and_reclaim((void*)f_26851,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+23);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26858,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=((C_word*)t9)[1];
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26920,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26922,a[2]=t9,a[3]=t13,a[4]=t10,a[5]=((C_word)li797),tmp=(C_word)a,a+=6,tmp));
t15=((C_word*)t13)[1];
f_26922(t15,t11,t5);}

/* k26856 in chicken.condition#condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_26858,2,av);}
a=C_alloc(17);
t2=t1;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26868,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26870,a[2]=t5,a[3]=t9,a[4]=t6,a[5]=((C_word)li796),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_26870(t11,t7,((C_word*)t0)[3]);}

/* k26866 in k26856 in chicken.condition#condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26868,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[912],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop6138 in k26856 in chicken.condition#condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_26870(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26870,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_car(t3);
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26918 in chicken.condition#condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26920,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6111 in chicken.condition#condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_fcall f_26922(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_26922,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26947,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_car(t4);
t6=C_u_i_cdr(t4);
/* library.scm:5281: prop-list->kind-prefixed-prop-list */
f_26629(t3,lf[912],t5,t6);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26945 in map-loop6111 in chicken.condition#condition in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_26947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26947,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26922(t6,((C_word*)t0)[5],t5);}

/* chicken.condition#condition? in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26956,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[912]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_26962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_26962,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26966,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27075,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5289: condition? */
t5=C_fast_retrieve(lf[1033]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26964 in chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_26966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_26966,2,av);}
a=C_alloc(18);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26970,a[2]=((C_word*)t0)[2],a[3]=((C_word)li801),tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[2],C_fix(1));
t8=C_i_check_list_2(t7,lf[691]);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27040,a[2]=t4,a[3]=t10,a[4]=t6,a[5]=t5,a[6]=((C_word)li802),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_27040(t12,((C_word*)t0)[3],t7);}

/* g6174 in k26964 in chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_26970(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26970,3,t0,t1,t2);}
a=C_alloc(11);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26978,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[2],C_fix(2));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26984,a[2]=t2,a[3]=t6,a[4]=((C_word)li800),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_26984(t8,t3,t4);}

/* k26976 in g6174 in k26964 in chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_26978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_26978,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in g6174 in k26964 in chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_26984(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26984,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_caar(t2);
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
t5=t2;
t6=C_u_i_car(t5);
t7=C_u_i_cdr(t6);
t8=C_i_cadr(t2);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27015,a[2]=t9,a[3]=t1,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
t11=t2;
t12=C_u_i_cdr(t11);
t13=C_u_i_cdr(t12);
/* library.scm:5299: loop */
t15=t10;
t16=t13;
t1=t15;
t2=t16;
goto loop;}
else{
t5=C_i_cddr(t2);
/* library.scm:5301: loop */
t15=t1;
t16=t5;
t1=t15;
t2=t16;
goto loop;}}}

/* k27013 in loop in g6174 in k26964 in chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_27015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_27015,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* map-loop6168 in k26964 in chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_fcall f_27040(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_27040,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27065,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5293: g6174 */
t5=((C_word*)t0)[4];
f_26970(t5,t3,t4);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k27063 in map-loop6168 in k26964 in chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_27065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27065,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_27040(t6,((C_word*)t0)[5],t5);}

/* k27073 in chicken.condition#condition->list in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_27075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27075,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_26966(2,av2);}}
else{
/* library.scm:5290: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[1035];
av2[4]=lf[1036];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.condition#condition-predicate in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_27080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27080,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27082,a[2]=t2,a[3]=((C_word)li804),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_27082 in chicken.condition#condition-predicate in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_27082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27082,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27089,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5306: condition? */
t4=C_fast_retrieve(lf[1033]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27087 */
static void C_ccall f_27089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27089,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_memv(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_SCHEME_TRUE:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.condition#condition-property-accessor in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_27101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_27101,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=t5;
t7=C_a_i_cons(&a,2,t2,t3);
t8=t7;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27109,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t3,a[6]=t4,a[7]=((C_word)li806),tmp=(C_word)a,a+=8,tmp);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}

/* f_27109 in chicken.condition#condition-property-accessor in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_27109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27109,3,av);}
t3=C_i_check_structure(t2,lf[912]);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memv(((C_word*)t0)[2],t4))){
t5=C_slot(t2,C_fix(2));
t6=C_i_member(((C_word*)t0)[3],t5);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_cadr(t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5317: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[1039];
av2[4]=lf[1040];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_car(((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.condition#get-condition-property in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_27147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +4,c,5)))){
C_save_and_reclaim((void*)f_27147,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+4);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27151,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t6;
av2[2]=C_fast_retrieve(lf[1038]);
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_apply(6,av2);}}

/* k27149 in chicken.condition#get-condition-property in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_27151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27151,2,av);}
/* library.scm:5323: g6223 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_27158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_27158,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27161,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5335: condition-property-accessor */
t4=C_fast_retrieve(lf[1038]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1011];
av2[3]=lf[849];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_27161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_27161,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27164,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5336: condition-property-accessor */
t4=C_fast_retrieve(lf[1038]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1011];
av2[3]=lf[1361];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_27164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(182,c,7)))){
C_save_and_reclaim((void *)f_27164,2,av);}
a=C_alloc(182);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27165,a[2]=((C_word)li812),tmp=(C_word)a,a+=3,tmp);
t4=C_mutate((C_word*)lf[1042]+1 /* (set! chicken.condition#print-error-message ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27210,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li817),tmp=(C_word)a,a+=7,tmp));
t5=C_fast_retrieve(lf[1042]);
t6=*((C_word*)lf[187]+1);
t7=*((C_word*)lf[213]+1);
t8=*((C_word*)lf[211]+1);
t9=C_mutate((C_word*)lf[1054]+1 /* (set! ##sys#show-exception-warning ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27401,a[2]=t6,a[3]=t5,a[4]=t8,a[5]=t7,a[6]=((C_word)li818),tmp=(C_word)a,a+=7,tmp));
t10=C_mutate((C_word*)lf[362]+1 /* (set! ##sys#error-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27450,a[2]=((C_word)li819),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1115]+1 /* (set! ##sys#structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28106,a[2]=((C_word)li820),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1116]+1 /* (set! ##sys#generic-structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28109,a[2]=((C_word)li821),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1117]+1 /* (set! ##sys#slot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28112,a[2]=((C_word)li822),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1118]+1 /* (set! ##sys#size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28115,a[2]=((C_word)li823),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1119]+1 /* (set! ##sys#make-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_pointer,a[2]=((C_word)li824),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[1120]+1 /* (set! ##sys#make-tagged-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_tagged_pointer,a[2]=((C_word)li825),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[1121]+1 /* (set! ##sys#pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28120,a[2]=((C_word)li826),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[1122]+1 /* (set! ##sys#set-pointer-address! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28123,a[2]=((C_word)li827),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1123]+1 /* (set! ##sys#bytevector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28126,a[2]=((C_word)li828),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[1124]+1 /* (set! ##sys#string->pbytevector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28129,a[2]=((C_word)li829),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[1125]+1 /* (set! ##sys#permanent? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28132,a[2]=((C_word)li830),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[1126]+1 /* (set! ##sys#block-address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28135,a[2]=((C_word)li831),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[1127]+1 /* (set! ##sys#locative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28138,a[2]=((C_word)li832),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[1128]+1 /* (set! ##sys#srfi-4-vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28141,a[2]=((C_word)li833),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[1130]+1 /* (set! ##sys#null-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28158,a[2]=((C_word)li834),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[1131]+1 /* (set! ##sys#null-pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28164,a[2]=((C_word)li835),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[1132]+1 /* (set! ##sys#address->pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28174,a[2]=((C_word)li836),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[941]+1 /* (set! ##sys#pointer->address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28180,a[2]=((C_word)li837),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[748]+1 /* (set! ##sys#make-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28187,a[2]=((C_word)li838),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[1133]+1 /* (set! ##sys#peek-signed-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_signed_integer,a[2]=((C_word)li839),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[726]+1 /* (set! ##sys#peek-unsigned-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_unsigned_integer,a[2]=((C_word)li840),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1134]+1 /* (set! ##sys#peek-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28222,a[2]=((C_word)li841),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1135]+1 /* (set! ##sys#peek-byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28225,a[2]=((C_word)li842),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[1136]+1 /* (set! ##sys#vector->structure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28228,a[2]=((C_word)li843),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[1137]+1 /* (set! ##sys#peek-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28231,a[2]=((C_word)li844),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[705]+1 /* (set! ##sys#peek-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28234,a[2]=((C_word)li845),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[945]+1 /* (set! ##sys#peek-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28250,a[2]=((C_word)li846),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[1138]+1 /* (set! ##sys#peek-and-free-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28256,a[2]=((C_word)li847),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[1139]+1 /* (set! ##sys#peek-and-free-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28272,a[2]=((C_word)li848),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[1140]+1 /* (set! ##sys#poke-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28278,a[2]=((C_word)li849),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[1141]+1 /* (set! ##sys#poke-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28285,a[2]=((C_word)li850),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[1142]+1 /* (set! ##sys#poke-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28288,a[2]=((C_word)li851),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[1143]+1 /* (set! ##sys#peek-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28308,a[2]=((C_word)li853),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[1144]+1 /* (set! ##sys#peek-and-free-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28369,a[2]=((C_word)li855),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[1145]+1 /* (set! ##sys#vector->closure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28407,a[2]=((C_word)li856),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[1146]+1 /* (set! ##sys#symbol-has-toplevel-binding? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28410,a[2]=((C_word)li857),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[923]+1 /* (set! ##sys#copy-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28413,a[2]=((C_word)li858),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[1147]+1 /* (set! ##sys#copy-words ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28420,a[2]=((C_word)li859),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[1148]+1 /* (set! ##sys#compare-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28427,a[2]=((C_word)li860),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[1149]+1 /* (set! ##sys#block-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28430,a[2]=((C_word)li861),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[1150]+1 /* (set! ##sys#foreign-char-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28436,a[2]=((C_word)li862),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[1151]+1 /* (set! ##sys#foreign-fixnum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28439,a[2]=((C_word)li863),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[1152]+1 /* (set! ##sys#foreign-flonum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28442,a[2]=((C_word)li864),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[1153]+1 /* (set! ##sys#foreign-block-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28445,a[2]=((C_word)li865),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[1154]+1 /* (set! ##sys#foreign-struct-wrapper-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28448,a[2]=((C_word)li866),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[1155]+1 /* (set! ##sys#foreign-string-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28451,a[2]=((C_word)li867),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[1156]+1 /* (set! ##sys#foreign-symbol-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28454,a[2]=((C_word)li868),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[1157]+1 /* (set! ##sys#foreign-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28457,a[2]=((C_word)li869),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[1158]+1 /* (set! ##sys#foreign-tagged-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28460,a[2]=((C_word)li870),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[1159]+1 /* (set! ##sys#foreign-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28463,a[2]=((C_word)li871),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[1160]+1 /* (set! ##sys#foreign-unsigned-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28466,a[2]=((C_word)li872),tmp=(C_word)a,a+=3,tmp));
t62=C_set_block_item(lf[1161] /* ##sys#default-thread-quantum */,0,C_fix(10000));
t63=C_mutate((C_word*)lf[1162]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28470,a[2]=((C_word)li873),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[1164]+1 /* (set! ##sys#make-thread ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28473,a[2]=((C_word)li874),tmp=(C_word)a,a+=3,tmp));
t65=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28497,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5694: ##sys#make-thread */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1164]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[1164]+1);
av2[1]=t65;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[1359];
av2[4]=lf[1360];
av2[5]=C_fast_retrieve(lf[1161]);
tp(6,av2);}}

/* writeargs in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_fcall f_27165(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_27165,3,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27167,a[2]=t3,a[3]=((C_word)li810),tmp=(C_word)a,a+=4,tmp);
t5=C_i_check_list_2(t2,lf[689]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27188,a[2]=t7,a[3]=t4,a[4]=((C_word)li811),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_27188(t9,t1,t2);}

/* g6239 in writeargs in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_27167(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_27167,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27171,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27176,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li809),tmp=(C_word)a,a+=5,tmp);
/* library.scm:5341: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[922]);
C_word av2[4];
av2[0]=*((C_word*)lf[922]+1);
av2[1]=t3;
av2[2]=C_fix(80);
av2[3]=t4;
tp(4,av2);}}

/* k27169 in g6239 in writeargs in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_27171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27171,2,av);}
/* library.scm:5342: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a27175 in g6239 in writeargs in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_27176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27176,2,av);}
/* library.scm:5341: write */
t2=*((C_word*)lf[152]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop6238 in writeargs in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_27188(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_27188,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27198,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5339: g6239 */
t5=((C_word*)t0)[3];
f_27167(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k27196 in for-each-loop6238 in writeargs in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_27198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27198,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_27188(t3,((C_word*)t0)[4],t2);}

/* chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_27210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +16,c,4)))){
C_save_and_reclaim((void*)f_27210,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+16);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27212,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li814),tmp=(C_word)a,a+=8,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27361,a[2]=t4,a[3]=((C_word)li815),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27366,a[2]=t5,a[3]=((C_word)li816),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* library.scm:5345: def-port6261 */
t7=t6;
f_27366(t7,t1);}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
/* library.scm:5345: def-header6262 */
t9=t5;
f_27361(t9,t1,t7);}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
/* library.scm:5345: body6259 */
t11=t4;
f_27212(t11,t1,t7,t9);}}}

/* body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_27212(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_27212,4,t0,t1,t2,t3);}
a=C_alloc(10);
t4=t2;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[1043]);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27219,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=t3,tmp=(C_word)a,a+=10,tmp);
/* library.scm:5348: newline */
t7=*((C_word*)lf[151]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_27219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27219,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27222,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5349: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_27222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_27222,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27228,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=C_immp(((C_word*)t0)[6]);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[6],C_fix(0));
t5=t2;
f_27228(t5,C_eqp(lf[912],t4));}
else{
t4=t2;
f_27228(t4,C_SCHEME_FALSE);}}

/* k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_fcall f_27228(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_27228,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27231,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5351: errmsg */
t3=((C_word*)t0)[8];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[6]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27330,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5375: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1051];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27339,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5379: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1052];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}}

/* k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_27231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_27231,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27234,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t1)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27266,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[6],a[5]=((C_word)li813),tmp=(C_word)a,a+=6,tmp);
/* library.scm:5351: g6282 */
t4=t3;
f_27266(t4,t2,t1);}
else{
t3=C_slot(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_i_equalp(lf[1048],t3))){
/* library.scm:5361: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[1049];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27314,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5363: display */
t5=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1050];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}}

/* k27232 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_27234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27234,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27237,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5365: errargs */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27235 in k27232 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_27237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_27237,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_not(t2);
if(C_truep(t3)){
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_length(t2);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27252,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5369: display */
t7=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1044];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27258,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5372: newline */
t7=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k27250 in k27235 in k27232 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_27252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27252,2,av);}
/* library.scm:5370: writeargs */
f_27165(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k27256 in k27235 in k27232 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_27258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27258,2,av);}
/* library.scm:5373: writeargs */
f_27165(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* g6282 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_fcall f_27266(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_27266,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27270,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5353: display */
t4=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1047];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27268 in g6282 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_27270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27270,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27273,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5354: errloc */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27271 in k27268 in g6282 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_27273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_27273,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27276,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_truep(t1)?C_i_symbolp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27289,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27293,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5356: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:5357: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k27274 in k27271 in k27268 in g6282 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_27276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27276,2,av);}
/* library.scm:5357: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27287 in k27271 in k27268 in g6282 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_27289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27289,2,av);}
/* library.scm:5356: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27291 in k27271 in k27268 in g6282 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_27293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27293,2,av);}
/* library.scm:5356: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1045];
av2[3]=t1;
av2[4]=lf[1046];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27312 in k27229 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_27314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27314,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5364: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27328 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_27330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27330,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27333,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5376: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27331 in k27328 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_27333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27333,2,av);}
/* library.scm:5377: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k27337 in k27226 in k27220 in k27217 in body6259 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_27339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_27339,2,av);}
a=C_alloc(3);
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);
/* library.scm:5380: writeargs */
f_27165(((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* def-header6262 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_27361(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_27361,3,t0,t1,t2);}
/* library.scm:5345: body6259 */
t3=((C_word*)t0)[2];
f_27212(t3,t1,t2,lf[1053]);}

/* def-port6261 in chicken.condition#print-error-message in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_27366(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_27366,2,t0,t1);}
/* library.scm:5345: def-header6262 */
t2=((C_word*)t0)[2];
f_27361(t2,t1,*((C_word*)lf[717]+1));}

/* ##sys#show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_27401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,2)))){
C_save_and_reclaim((void*)f_27401,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_fast_retrieve(lf[944]):C_i_car(t4));
t7=t6;
if(C_truep(*((C_word*)lf[304]+1))){
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27411,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t7,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:5395: open-output-string */
t9=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_27411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27411,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27414,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5396: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1057];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27412 in k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_27414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_27414,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27417,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27436,a[2]=t2,a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5398: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1056];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_27417(2,av2);}}}

/* k27415 in k27412 in k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_27417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27417,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27420,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5401: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1055];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27418 in k27415 in k27412 in k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_27420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27420,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27423,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5402: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27421 in k27418 in k27415 in k27412 in k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_27423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_27423,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27426,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27433,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5403: get-output-string */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27424 in k27421 in k27418 in k27415 in k27412 in k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_27426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27426,2,av);}
/* library.scm:5404: print-call-chain */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=*((C_word*)lf[718]+1);
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27431 in k27421 in k27418 in k27415 in k27412 in k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_27433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27433,2,av);}
/* library.scm:5403: print-error-message */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=*((C_word*)lf[718]+1);
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27434 in k27412 in k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_27436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27436,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27439,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5399: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27437 in k27434 in k27412 in k27409 in show-exception-warning in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_27439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27439,2,av);}
/* write-char/port */
t2=C_fast_retrieve(lf[868]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#error-hook in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_27450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,6)))){
C_save_and_reclaim((void*)f_27450,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
switch(t2){
case C_fix(1):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27473,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27484,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5419: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(2):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27510,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27521,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5428: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(3):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1062];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(4):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1063];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(6):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1064];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(7):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[563];
av2[4]=t3;
av2[5]=lf[1065];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(8):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[379];
av2[4]=t3;
av2[5]=lf[1066];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(9):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1067];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(10):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[990];
av2[4]=t3;
av2[5]=lf[1068];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(11):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1069];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(12):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1070];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(13):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1071];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(14):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1072];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(15):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1073];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(16):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1074];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(17):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1075];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(18):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1076];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(19):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1077];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(20):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1078];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(21):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1079];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(22):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1080];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(23):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1081];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(24):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1082];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(25):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1083];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(26):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1084];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(27):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1085];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(28):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1086];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(29):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1087];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(30):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1088];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(31):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1089];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(32):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1090];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(33):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1091];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(34):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1092];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(35):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1093];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(36):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1094];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(37):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1095];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(38):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1096];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(39):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1097];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(40):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1098];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(41):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1099];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(42):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1100];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(43):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[702];
av2[4]=t3;
av2[5]=lf[1101];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(44):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1102];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(45):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[996];
av2[4]=t3;
av2[5]=lf[1103];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(46):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[563];
av2[4]=t3;
av2[5]=lf[1104];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(47):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1105];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(48):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[996];
av2[4]=t3;
av2[5]=lf[1106];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(49):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1107];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(50):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1108];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(51):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1109];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(52):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1110];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(53):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1111];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(54):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1112];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(55):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1113];
av2[6]=t4;
C_apply(7,av2);}
default:{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1114];
av2[6]=t4;
C_apply(7,av2);}}}

/* k27471 in error-hook in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_27473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27473,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[990];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[990];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27482 in error-hook in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_27484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27484,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27488,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5420: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27486 in k27482 in error-hook in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_27488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27488,2,av);}
/* library.scm:5419: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1058];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1059];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k27508 in error-hook in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_27510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27510,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[990];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[990];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27519 in error-hook in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_27521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27521,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27525,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5429: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27523 in k27519 in error-hook in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_27525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27525,2,av);}
/* library.scm:5428: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1060];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1061];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#structure? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28106,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_structurep(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#generic-structure? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28109,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_structurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#slot in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28112,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#size in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28115,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_size(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28120,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_anypointerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-pointer-address! in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28123,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#bytevector? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28126,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_bytevectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->pbytevector in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28129,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_string_to_pbytevector(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#permanent? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28132,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_permanentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-address in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28135,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_address(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#locative? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28138,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_locativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#srfi-4-vector? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28141,3,av);}
if(C_truep(C_blockp(t2))){
if(C_truep(C_structurep(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_memq(t3,lf[1129]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#null-pointer in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28158,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28162,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5512: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1119]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1119]+1);
av2[1]=t2;
tp(2,av2);}}

/* k28160 in null-pointer in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28162,2,av);}
t2=C_update_pointer(C_fix(0),t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28164,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28172,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5517: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[941]);
C_word *av2=av;
av2[0]=*((C_word*)lf[941]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k28170 in null-pointer? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28172,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(0),t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#address->pointer in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28174,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28178,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5520: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1119]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1119]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28176 in address->pointer in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28178,2,av);}
t2=C_update_pointer(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer->address in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28180,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_unsigned_int_to_num(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#make-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_28187,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?lf[748]:C_i_car(t3));
t6=t5;
t7=C_block_size(t2);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28197,a[2]=t2,a[3]=t8,a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
t10=C_fixnum_plus(t8,C_fix(1));
/* library.scm:5530: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}

/* k28195 in make-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_28197,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_setsubchar(t1,((C_word*)t0)[3],C_make_character(0));
t4=C_asciiz_strlen(t1);
t5=C_eqp(t4,((C_word*)t0)[3]);
if(C_truep(t5)){
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fix((C_word)C_ASCIIZ_REPRESENTATION_ERROR);
/* library.scm:5535: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* ##sys#peek-fixnum in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28222,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_fixnum(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-byte in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28225,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_byte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#vector->structure! in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28228,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_vector_to_structure(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-double in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_28231,4,av);}
a=C_alloc(4);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_f64peek(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28234,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28244,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5551: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28242 in peek-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28244,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=t1;
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-nonnull-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28250,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28254,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5557: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28252 in peek-nonnull-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28254,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28256,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28266,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5564: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28264 in peek-and-free-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28266,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-and-free-nonnull-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28272,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28276,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5571: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28274 in peek-and-free-nonnull-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28276,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#poke-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28278,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28283,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5577: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28281 in poke-c-string in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28283,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_poke_c_string(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#poke-integer in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28285,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_integer(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#poke-double in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28288,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_double(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28308,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28314,a[2]=t3,a[3]=t5,a[4]=t2,a[5]=((C_word)li852),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_28314(t7,t1,C_fix(0));}

/* loop in peek-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_28314(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_28314,3,t0,t1,t2);}
a=C_alloc(10);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28324,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[4];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6500(t7,t8,t9);
/* library.scm:5583: ##sys#peek-c-string */
t11=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28322 in loop in peek-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28324,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28334,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5590: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_28314(t5,t3,t4);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28332 in k28322 in loop in peek-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_28334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28334,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_28369,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28373,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28378,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li854),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_28378(t8,t4,C_fix(0));}

/* k28371 in peek-and-free-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28373,2,av);}
t2=((C_word*)t0)[2];
if(C_truep(t2)){
t3=C_i_foreign_pointer_argumentp(t2);
t4=stub6527(C_SCHEME_UNDEFINED,t3);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=stub6527(C_SCHEME_UNDEFINED,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in peek-and-free-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_28378(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_28378,3,t0,t1,t2);}
a=C_alloc(11);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28388,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=((C_word*)t0)[3];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6519(t7,t8,t9);
/* library.scm:5594: ##sys#peek-c-string */
t11=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28386 in loop in peek-and-free-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28388,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_free_sptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28398,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5603: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_28378(t6,t4,t5);}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28396 in k28386 in loop in peek-and-free-c-string-list in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_28398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28398,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#vector->closure! in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28407,4,av);}
t4=C_vector_to_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#symbol-has-toplevel-binding? in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28410,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_boundp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#copy-bytes in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28413,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_substring_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#copy-words in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28420,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_subvector_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#compare-bytes in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28427,7,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_compare(t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#block-pointer in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28430,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28434,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5636: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1119]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1119]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28432 in block-pointer in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28434,2,av);}
t2=C_pointer_to_block(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-char-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28436,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_char_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-fixnum-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28439,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_fixnum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-flonum-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28442,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_flonum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-block-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28445,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_block_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-struct-wrapper-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28448,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_struct_wrapper_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-string-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28451,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_string_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-symbol-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28454,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_symbol_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-pointer-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28457,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_pointer_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-tagged-pointer-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28460,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_tagged_pointer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-ranged-integer-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28463,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-unsigned-ranged-integer-argument in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28466,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_unsigned_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#default-exception-handler in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28470,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(lf[1163]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-thread in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_28473,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28489,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=C_block_size(C_fast_retrieve(lf[765]));
/* library.scm:5681: ##sys#vector-resize */
f_18028(t6,C_fast_retrieve(lf[765]),t7,C_SCHEME_FALSE);}

/* k28487 in make-thread in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,1)))){
C_save_and_reclaim((void *)f_28489,2,av);}
a=C_alloc(26);
t2=C_a_i_vector6(&a,6,C_fast_retrieve(lf[693]),*((C_word*)lf[716]+1),*((C_word*)lf[717]+1),*((C_word*)lf[718]+1),C_fast_retrieve(lf[1162]),t1);
t3=C_a_i_cons(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record(&a,15,lf[919],((C_word*)t0)[3],C_SCHEME_FALSE,((C_word*)t0)[4],C_SCHEME_FALSE,t2,((C_word*)t0)[5],C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST,((C_word*)t0)[6],C_SCHEME_UNDEFINED,C_SCHEME_FALSE,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_28497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,4)))){
C_save_and_reclaim((void *)f_28497,2,av);}
a=C_alloc(24);
t2=C_mutate((C_word*)lf[956]+1 /* (set! ##sys#primordial-thread ...) */,t1);
t3=C_mutate((C_word*)lf[944]+1 /* (set! ##sys#current-thread ...) */,C_fast_retrieve(lf[956]));
t4=C_mutate((C_word*)lf[1165]+1 /* (set! ##sys#make-mutex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28500,a[2]=((C_word)li875),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1167]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28506,a[2]=((C_word)li876),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1168]+1 /* (set! ##sys#thread-yield! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28515,a[2]=((C_word)li879),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28536,a[2]=((C_word)li880),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1170]+1 /* (set! chicken.base#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28542,a[2]=((C_word)li881),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[197]+1 /* (set! chicken.base#sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28545,a[2]=((C_word)li882),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1172]+1 /* (set! ##sys#context-switch ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_context_switch,a[2]=((C_word)li883),tmp=(C_word)a,a+=3,tmp));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28557,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5737: scheme#make-vector */
t12=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#make-mutex in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_28500,4,av);}
a=C_alloc(8);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record7(&a,7,lf[1166],t2,t3,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#schedule in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28506,2,av);}
t2=C_slot(C_fast_retrieve(lf[944]),C_fix(1));
/* library.scm:5708: g6613 */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* ##sys#thread-yield! in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28515,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28521,a[2]=((C_word)li878),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5711: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_call_cc(3,av2);}}

/* a28520 in thread-yield! in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28521,3,av);}
a=C_alloc(4);
t3=C_fast_retrieve(lf[944]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28530,a[2]=t2,a[3]=((C_word)li877),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(C_fast_retrieve(lf[944]),C_fix(1),t4);
/* library.scm:5715: ##sys#schedule */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1167]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1167]+1);
av2[1]=t1;
tp(2,av2);}}

/* a28529 in a28520 in thread-yield! in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_28530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28530,2,av);}
/* library.scm:5714: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#kill-other-threads in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28536,3,av);}
/* library.scm:5718: thunk */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* chicken.base#sleep-hook in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28542,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_process_sleep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sleep in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28545,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28549,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5728: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1171];
tp(4,av2);}}

/* k28547 in chicken.base#sleep in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28549,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28552,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5729: chicken.base#sleep-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1170]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1170]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28550 in k28547 in chicken.base#sleep in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_28552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28552,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_28557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(55,c,4)))){
C_save_and_reclaim((void *)f_28557,2,av);}
a=C_alloc(55);
t2=C_mutate((C_word*)lf[1173]+1 /* (set! ##sys#signal-vector ...) */,t1);
t3=C_mutate((C_word*)lf[1174]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28559,a[2]=((C_word)li885),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[701]+1 /* (set! ##sys#dispatch-interrupt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28609,a[2]=((C_word)li886),tmp=(C_word)a,a+=3,tmp));
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_mutate((C_word*)lf[706]+1 /* (set! ##sys#update-errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28616,a[2]=t6,a[3]=((C_word)li887),tmp=(C_word)a,a+=4,tmp));
t8=C_mutate((C_word*)lf[1177]+1 /* (set! ##sys#errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28620,a[2]=t6,a[3]=((C_word)li888),tmp=(C_word)a,a+=4,tmp));
t9=C_fast_retrieve(lf[860]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28634,a[2]=((C_word)li890),tmp=(C_word)a,a+=3,tmp));
t15=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28681,a[2]=((C_word)li892),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[860]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28726,a[2]=t9,a[3]=t11,a[4]=t13,a[5]=((C_word)li897),tmp=(C_word)a,a+=6,tmp));
t17=C_a_i_provide(&a,1,lf[1188]);
t18=C_mutate((C_word*)lf[1189]+1 /* (set! chicken.process-context#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29156,a[2]=((C_word)li898),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1192]+1 /* (set! ##sys#change-directory-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29186,a[2]=((C_word)li899),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29194,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31240,a[2]=((C_word)li975),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31262,a[2]=((C_word)li976),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5955: chicken.base#getter-with-setter */
t23=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t23;
av2[1]=t20;
av2[2]=t21;
av2[3]=t22;
av2[4]=lf[1358];
((C_proc)(void*)(*((C_word*)t23+1)))(5,av2);}}

/* ##sys#interrupt-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28559,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28563,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28590,a[2]=t6,a[3]=((C_word)li884),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_28590(t8,t4,t2);}

/* k28561 in interrupt-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_28563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28563,2,av);}
t2=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
/* library.scm:5747: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1176]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1176]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[3]))){
/* library.scm:5748: state */
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:5749: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_context_switch(3,av2);}}}}

/* loop in interrupt-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_fcall f_28590(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28590,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(t2)){
t3=C_slot(C_fast_retrieve(lf[1173]),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28600,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
/* library.scm:5744: handler */
t5=t3;{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t5=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5745: loop */
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28598 in loop in interrupt-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_28600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28600,2,av);}
t2=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5745: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_28590(t3,((C_word*)t0)[3],t2);}

/* ##sys#dispatch-interrupt in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28609,3,av);}
t3=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5752: ##sys#interrupt-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1174]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1174]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}

/* ##sys#update-errno in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28616,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_fix((C_word)errno));
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#errno in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28620,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* readln in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_fcall f_28634(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28634,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28638,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5781: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28636 in readln in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_28638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28638,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28645,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5782: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28643 in k28636 in readln in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_28645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28645,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28647,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word)li889),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_28647(t5,((C_word*)t0)[4],t1);}

/* doloop6660 in k28643 in k28636 in readln in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_fcall f_28647(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_28647,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_char_equalp(C_make_character(10),t2));
if(C_truep(t4)){
if(C_truep(C_eofp(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:5784: chicken.base#get-output-string */
t5=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28669,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5785: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word av2[4];
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}}

/* k28667 in doloop6660 in k28643 in k28636 in readln in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_28669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28669,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28676,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5782: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k28674 in k28667 in doloop6660 in k28643 in k28636 in readln in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_28676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28676,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28647(t2,((C_word*)t0)[3],t1);}

/* read-escaped-sexp in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_fcall f_28681(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28681,3,t1,t2,t3);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28685,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:5787: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28685(2,av2);}}}

/* k28683 in read-escaped-sexp in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_28685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28685,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28688,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5788: read */
t3=*((C_word*)lf[149]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28686 in k28683 in read-escaped-sexp in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_28688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_28688,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28691,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28696,a[2]=((C_word*)t0)[4],a[3]=t5,a[4]=((C_word)li891),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_28696(t7,t3);}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28689 in k28686 in k28683 in read-escaped-sexp in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_28691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28691,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k28686 in k28683 in read-escaped-sexp in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_fcall f_28696(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28696,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28700,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5792: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28698 in loop in k28686 in k28683 in read-escaped-sexp in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_28700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28700,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:5794: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1178];
tp(4,av2);}}
else{
t2=C_i_char_equalp(C_make_character(125),t1);
if(C_truep(C_i_not(t2))){
/* library.scm:5795: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_28696(t3,((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_28726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28726,4,av);}
a=C_alloc(6);
t4=C_i_char_equalp(C_make_character(60),t2);
if(C_truep(C_i_not(t4))){
/* library.scm:5798: old */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28739,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* read-char/port */
t6=C_fast_retrieve(lf[769]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_28739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28739,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28742,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5801: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_28742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28742,2,av);}
a=C_alloc(6);
switch(t1){
case C_make_character(60):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28751,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5803: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28864,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5828: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
default:
/* library.scm:5883: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1187];
tp(4,av2);}}}

/* k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_28751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28751,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28754,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5804: chicken.base#open-output-string */
t3=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_28754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28754,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28757,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5805: readln */
f_28634(t3,((C_word*)t0)[2]);}

/* k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_28757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28757,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_eofp(t2);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(t2));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28763,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5810: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1181];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(t2,t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5814: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1182];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28763(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(t2,t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5814: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1182];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28763(2,av2);}}}}}

/* k28761 in k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_28763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28763,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28770,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5817: readln */
f_28634(t2,((C_word*)t0)[4]);}

/* k28768 in k28761 in k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_28770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28770,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28772,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li893),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28772(t5,((C_word*)t0)[7],t1);}

/* doloop6695 in k28768 in k28761 in k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_fcall f_28772(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,3)))){
C_save_and_reclaim_args((void *)trf_28772,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_string_equal_p(((C_word*)t0)[2],t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28785,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28798,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_list(&a,3,lf[1179],((C_word*)t0)[2],lf[1180]);
/* library.scm:5772: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word av2[3];
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
/* library.scm:5822: chicken.base#get-output-string */
t6=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28801,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[7])[1])){
/* library.scm:5824: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word av2[4];
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t6=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
f_28801(2,av2);}}}}

/* k28783 in doloop6695 in k28768 in k28761 in k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_28785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28785,2,av);}
/* library.scm:5822: chicken.base#get-output-string */
t2=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k28796 in doloop6695 in k28768 in k28761 in k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_28798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28798,2,av);}
/* library.scm:5820: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28799 in doloop6695 in k28768 in k28761 in k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_28801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28801,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28804,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5826: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k28802 in k28799 in doloop6695 in k28768 in k28761 in k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_28804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28804,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28811,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5817: readln */
f_28634(t2,((C_word*)t0)[5]);}

/* k28809 in k28802 in k28799 in doloop6695 in k28768 in k28761 in k28755 in k28752 in k28749 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_28811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28811,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28772(t2,((C_word*)t0)[3],t1);}

/* k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_28864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28864,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28867,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5829: readln */
f_28634(t2,((C_word*)t0)[2]);}

/* k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_28867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28867,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28870,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5830: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_28870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_28870,2,av);}
a=C_alloc(14);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28872,a[2]=t3,a[3]=((C_word)li894),tmp=(C_word)a,a+=4,tmp);
t5=C_eofp(((C_word*)t0)[2]);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(((C_word*)t0)[2]));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28886,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t4,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5839: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1185];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(((C_word*)t0)[2],t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5843: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1186];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28886(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(((C_word*)t0)[2],t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5843: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1186];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28886(2,av2);}}}}}

/* get/clear-str in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_fcall f_28872(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28872,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28876,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5832: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28874 in get/clear-str in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_28876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28876,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28880,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5833: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28878 in k28874 in get/clear-str in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_28880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28880,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_28886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28886,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28891,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li896),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28891(t5,((C_word*)t0)[7],C_SCHEME_END_OF_LIST);}

/* loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_fcall f_28891(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_28891,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_28895,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5848: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_28895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28895,2,av);}
a=C_alloc(9);
t2=t1;
t3=C_eqp(t2,C_make_character(10));
t4=(C_truep(t3)?t3:C_eqp(t2,C_SCHEME_END_OF_FILE));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28907,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5851: get/clear-str */
t6=((C_word*)t0)[7];
f_28872(t6,t5);}
else{
t5=C_eqp(t2,C_make_character(35));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_29027,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5871: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29094,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5881: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=((C_word*)((C_word*)t0)[8])[1];
tp(4,av2);}}}}

/* k28905 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_28907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_28907,2,av);}
a=C_alloc(17);
t2=C_eofp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_string_equal_p(((C_word*)t0)[3],t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28919,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29004,a[2]=t4,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_list(&a,3,lf[1179],((C_word*)t0)[3],lf[1180]);
/* library.scm:5772: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28919(2,av2);}}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,C_make_character(10),t4);
/* library.scm:5869: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_28891(t6,((C_word*)t0)[4],t5);}}

/* k28917 in k28905 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_28919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_28919,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28926,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_i_cdr(((C_word*)t0)[3]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28932,a[2]=t5,a[3]=((C_word)li895),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_28932(t7,t2,t3,C_SCHEME_END_OF_LIST,lf[1184]);}

/* k28924 in k28917 in k28905 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_28926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28926,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,2,lf[937],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop2 in k28917 in k28905 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_fcall f_28932(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_28932,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28946,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5861: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word av2[3];
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_i_car(t2);
t6=C_i_stringp(t5);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28955,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_28955(t8,t6);}
else{
t8=t2;
t9=C_u_i_car(t8);
t10=t7;
f_28955(t10,C_charp(t9));}}}

/* k28944 in loop2 in k28917 in k28905 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in ... */
static void C_ccall f_28946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_28946,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,3,lf[1183],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28953 in loop2 in k28917 in k28905 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in ... */
static void C_fcall f_28955(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_28955,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=C_a_i_cons(&a,2,t5,((C_word*)t0)[3]);
/* library.scm:5863: loop2 */
t7=((C_word*)((C_word*)t0)[4])[1];
f_28932(t7,((C_word*)t0)[5],t3,t6,((C_word*)t0)[6]);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28985,a[2]=((C_word*)t0)[6],a[3]=t5,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5868: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word av2[3];
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k28983 in k28953 in loop2 in k28917 in k28905 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_28985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,4)))){
C_save_and_reclaim((void *)f_28985,2,av);}
a=C_alloc(18);
t2=C_a_i_list(&a,3,lf[1183],t1,((C_word*)t0)[2]);
t3=C_a_i_list(&a,3,lf[1183],((C_word*)t0)[3],t2);
/* library.scm:5865: loop2 */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28932(t4,((C_word*)t0)[5],((C_word*)t0)[6],C_SCHEME_END_OF_LIST,t3);}

/* k29002 in k28905 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_29004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29004,2,av);}
/* library.scm:5854: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k29025 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_29027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29027,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29036,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29043,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5874: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(123):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29060,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5876: read-escaped-sexp */
f_28681(t2,((C_word*)t0)[6],C_SCHEME_TRUE);
default:
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29079,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5878: read-escaped-sexp */
f_28681(t2,((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k29034 in k29025 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_29036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29036,2,av);}
/* library.scm:5875: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28891(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k29041 in k29025 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_29043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29043,2,av);}
/* library.scm:5874: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[3])[1];
tp(4,av2);}}

/* k29058 in k29025 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_29060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29060,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29068,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5877: get/clear-str */
t4=((C_word*)t0)[5];
f_28872(t4,t3);}

/* k29066 in k29058 in k29025 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_29068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29068,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5876: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28891(t4,((C_word*)t0)[5],t3);}

/* k29077 in k29025 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_29079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29079,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29087,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5879: get/clear-str */
t4=((C_word*)t0)[5];
f_28872(t4,t3);}

/* k29085 in k29077 in k29025 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_29087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29087,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5878: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28891(t4,((C_word*)t0)[5],t3);}

/* k29092 in k28893 in loop in k28884 in k28868 in k28865 in k28862 in k28740 in k28737 in user-read-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_29094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29094,2,av);}
/* library.scm:5882: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28891(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.process-context#change-directory in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_29156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29156,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[1190]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29163,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5944: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1190];
tp(4,av2);}}

/* k29161 in chicken.process-context#change-directory in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_29163,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29166,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29172,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5946: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k29164 in k29161 in chicken.process-context#change-directory in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_29166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29166,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29170 in k29161 in chicken.process-context#change-directory in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_29172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_29172,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29179,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29183,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k29177 in k29170 in k29161 in chicken.process-context#change-directory in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_29179,2,av);}
/* library.scm:5947: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[1190];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k29181 in k29170 in k29161 in chicken.process-context#change-directory in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29183,2,av);}
/* library.scm:5948: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1191];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#change-directory-hook in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_29186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29186,3,av);}
/* library.scm:5952: change-directory */
t3=C_fast_retrieve(lf[1189]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_29194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_29194,2,av);}
a=C_alloc(30);
t2=C_mutate((C_word*)lf[1193]+1 /* (set! chicken.process-context#current-directory ...) */,t1);
t3=C_mutate((C_word*)lf[1194]+1 /* (set! chicken.process-context#get-environment-variable ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29196,a[2]=((C_word)li900),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1195]+1 /* (set! chicken.process-context#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29214,a[2]=((C_word)li901),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1197]+1 /* (set! chicken.process-context#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29231,a[2]=((C_word)li902),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1199]+1 /* (set! chicken.process-context#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29251,a[2]=((C_word)li905),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1200]+1 /* (set! chicken.process-context#executable-pathname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29317,a[2]=((C_word)li906),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1201]+1 /* (set! chicken.process-context#argc+argv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29324,a[2]=((C_word)li907),tmp=(C_word)a,a+=3,tmp));
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_mutate((C_word*)lf[1202]+1 /* (set! chicken.process-context#argv ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29336,a[2]=t10,a[3]=((C_word)li909),tmp=(C_word)a,a+=4,tmp));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29376,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31238,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6029: argv */
t14=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* chicken.process-context#get-environment-variable in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29196,3,av);}
a=C_alloc(9);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29205,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t5=C_i_foreign_string_argumentp(t2);
/* library.scm:5974: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
t5=stub6813(t3,C_SCHEME_FALSE);
/* library.scm:5974: ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k29203 in chicken.process-context#get-environment-variable in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_29205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29205,2,av);}
t2=stub6813(((C_word*)t0)[2],t1);
/* library.scm:5974: ##sys#peek-c-string */
t3=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.process-context#set-environment-variable! in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29214,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[1196]);
t5=C_i_check_string_2(t3,lf[1196]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29225,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5980: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[1196];
tp(4,av2);}}

/* k29223 in chicken.process-context#set-environment-variable! in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_29225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29225,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29229,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5981: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1196];
tp(4,av2);}}

/* k29227 in k29223 in chicken.process-context#set-environment-variable! in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29229,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#unset-environment-variable! in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29231,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[1198]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29239,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5987: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1198];
tp(4,av2);}}

/* k29237 in chicken.process-context#unset-environment-variable! in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_29239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29239,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#get-environment-variables in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29251,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29257,a[2]=t3,a[3]=((C_word)li904),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29257(t5,t1,C_fix(0));}

/* loop in chicken.process-context#get-environment-variables in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_fcall f_29257(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_29257,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29261,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub6832(t5,t6);
/* library.scm:5991: ##sys#peek-c-string */
t8=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k29259 in loop in chicken.process-context#get-environment-variables in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29261,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29269,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li903),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_29269(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan in k29259 in loop in chicken.process-context#get-environment-variables in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_fcall f_29269(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_29269,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29295,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5998: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:6001: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k29285 in k29297 in k29293 in scan in k29259 in loop in chicken.process-context#get-environment-variables in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_29287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_29287,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29293 in scan in k29259 in loop in chicken.process-context#get-environment-variables in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_29295,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29299,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* library.scm:5999: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k29297 in k29293 in scan in k29259 in loop in chicken.process-context#get-environment-variables in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_29299,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29287,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:6000: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_29257(t6,t4,t5);}

/* chicken.process-context#executable-pathname in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29317,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub6844(t2);
/* library.scm:6011: ##sys#peek-and-free-c-string */
t4=*((C_word*)lf[1138]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.process-context#argc+argv in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29324,2,av);}
a=C_alloc(3);
/* library.scm:6014: ##sys#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_main_argc);
av2[3]=C_mpointer_or_false(&a,(void*)C_main_argv);
C_values(4,av2);}}

/* chicken.process-context#argv in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_29336,2,av);}
a=C_alloc(10);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29344,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fixnum_difference(C_fix((C_word)C_main_argc),C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29350,a[2]=t5,a[3]=((C_word)li908),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_29350(t7,t2,t3,C_SCHEME_END_OF_LIST);}}

/* k29342 in chicken.process-context#argv in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_29344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29344,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop6856 in chicken.process-context#argv in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_fcall f_29350(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29350,4,t0,t1,t2,t3);}
a=C_alloc(11);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29372,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
t7=t2;
t8=C_a_i_bytevector(&a,1,C_fix(3));
t9=stub6852(t8,t7);
/* library.scm:6018: ##sys#peek-c-string */
t10=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t6;
av2[2]=t9;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}

/* k29370 in doloop6856 in chicken.process-context#argv in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29372,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)((C_word*)t0)[3])[1];
f_29350(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_29376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29376,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1203]+1 /* (set! chicken.process-context#program-name ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29380,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31150,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6038: argv */
t5=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_29380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_29380,2,av);}
a=C_alloc(20);
t2=C_mutate((C_word*)lf[1204]+1 /* (set! chicken.process-context#command-line-arguments ...) */,t1);
t3=C_a_i_provide(&a,1,lf[1205]);
t4=C_mutate((C_word*)lf[1206]+1 /* (set! chicken.gc#current-gc-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29382,a[2]=((C_word)li910),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1207]+1 /* (set! chicken.gc#set-gc-report! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29385,a[2]=((C_word)li911),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1208]+1 /* (set! chicken.gc#memory-statistics ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29388,a[2]=((C_word)li912),tmp=(C_word)a,a+=3,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29413,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6086: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t7;
av2[2]=t9;
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* chicken.gc#current-gc-milliseconds in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29382,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_accumulated_gc_time();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.gc#set-gc-report! in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29385,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_set_gc_report(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.gc#memory-statistics in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_29388,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29392,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6076: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k29390 in chicken.gc#memory-statistics in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_29392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29392,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29395,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6077: ##sys#memory-info */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[320]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[320]+1);
av2[1]=t3;
tp(2,av2);}}

/* k29393 in k29390 in chicken.gc#memory-statistics in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_29395,2,av);}
a=C_alloc(4);
t2=C_slot(t1,C_fix(0));
t3=C_fixnum_difference(t2,((C_word*)t0)[2]);
t4=C_slot(t1,C_fix(1));
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_vector3(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_29413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29413,2,av);}
a=C_alloc(15);
t2=C_mutate((C_word*)lf[1175]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
t3=C_i_set_i_slot(C_fast_retrieve(lf[1175]),C_fix(0),C_fix(0));
t4=C_mutate((C_word*)lf[1209]+1 /* (set! ##sys#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_register_finalizer,a[2]=((C_word)li913),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1210]+1 /* (set! chicken.gc#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29419,a[2]=((C_word)li914),tmp=(C_word)a,a+=3,tmp));
t6=C_SCHEME_FALSE;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_mutate((C_word*)lf[1176]+1 /* (set! ##sys#run-pending-finalizers ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29484,a[2]=t7,a[3]=((C_word)li923),tmp=(C_word)a,a+=4,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29633,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6155: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* chicken.gc#set-finalizer! in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_29419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_29419,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29423,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_live_finalizer_count();
if(C_truep(C_fixnum_greater_or_equal_p(t5,C_fix((C_word)C_max_pending_finalizers)))){
t6=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
if(C_truep(C_resize_pending_finalizers(t6))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29440,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6098: ##sys#vector-resize */
f_18028(t7,C_fast_retrieve(lf[1175]),t9,C_SCHEME_UNDEFINED);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29470,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29480,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=C_i_live_finalizer_count();
/* library.scm:6114: string-append */
t10=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[1214];
av2[3]=t9;
av2[4]=lf[1215];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
/* library.scm:6119: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=t4;
tp(2,av2);}}}}
else{
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}}

/* k29421 in chicken.gc#set-finalizer! in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29423,2,av);}
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k29438 in chicken.gc#set-finalizer! in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29440,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1175]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
if(C_truep(C_i_debug_modep())){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29450,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29454,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=C_i_live_finalizer_count();
/* library.scm:6105: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}

/* k29448 in k29438 in chicken.gc#set-finalizer! in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29450,2,av);}
/* library.scm:6102: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29452 in k29438 in chicken.gc#set-finalizer! in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29454,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29458,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6108: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=C_fix((C_word)C_max_pending_finalizers);
tp(3,av2);}}

/* k29456 in k29452 in k29438 in chicken.gc#set-finalizer! in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_29458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_29458,2,av);}
/* library.scm:6103: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1211];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1212];
av2[5]=t1;
av2[6]=lf[1213];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k29468 in chicken.gc#set-finalizer! in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29470,2,av);}
/* library.scm:6119: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k29478 in chicken.gc#set-finalizer! in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29480,2,av);}
/* library.scm:6113: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_29484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_29484,3,av);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29488,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t4=t3;
f_29488(t4,C_SCHEME_UNDEFINED);}
else{
t4=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t5=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29516,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29615,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29619,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6132: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t7;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_29516(2,av2);}}}}

/* k29486 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_fcall f_29488(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_29488,2,t0,t1);}
t2=C_i_not(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[2]))){
/* library.scm:6152: state */
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[2])){
/* library.scm:6153: ##sys#context-switch */{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
C_context_switch(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}

/* k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_29516,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29519,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29528,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li922),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_29528(t6,t2,C_fix(0));}

/* k29517 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29519,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29522,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6148: vector-fill! */
t3=*((C_word*)lf[97]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[1175]);
av2[3]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k29520 in k29517 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_29522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29522,2,av);}
t2=C_i_set_i_slot(C_fast_retrieve(lf[1175]),C_fix(0),C_fix(0));
t3=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];
f_29488(t4,t3);}

/* doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_fcall f_29528(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_29528,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_fixnum_times(t2,C_fix(2));
t4=C_fixnum_plus(C_fix(1),t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29541,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29553,a[2]=t5,a[3]=((C_word)li921),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: scheme#call-with-current-continuation */
t8=*((C_word*)lf[132]+1);{
C_word av2[3];
av2[0]=t8;
av2[1]=t6;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k29539 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_29541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29541,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29544,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6143: g6938 */
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k29542 in k29539 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_29544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29544,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_29528(t3,((C_word*)t0)[4],t2);}

/* a29552 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_29553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29553,3,av);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29559,a[2]=t2,a[3]=((C_word)li916),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29571,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li920),tmp=(C_word)a,a+=5,tmp);
/* library.scm:6144: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[917]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a29558 in a29552 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_29559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29559,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29565,a[2]=t2,a[3]=((C_word)li915),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: k6935 */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29564 in a29558 in a29552 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_29565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29565,2,av);}
/* library.scm:6145: ##sys#show-exception-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1054]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[1054]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1216];
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* a29570 in a29552 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_29571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_29571,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29577,a[2]=((C_word*)t0)[2],a[3]=((C_word)li917),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29594,a[2]=((C_word*)t0)[3],a[3]=((C_word)li919),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a29576 in a29570 in a29552 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_29577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29577,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(C_fast_retrieve(lf[1175]),t2);
t4=C_slot(C_fast_retrieve(lf[1175]),((C_word*)t0)[2]);
/* library.scm:6144: g6942 */
t5=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}

/* a29593 in a29570 in a29552 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_29594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_29594,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29600,a[2]=t2,a[3]=((C_word)li918),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: k6935 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29599 in a29593 in a29570 in a29552 in doloop6931 in k29514 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_29600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29600,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k29613 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29615,2,av);}
/* library.scm:6131: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29617 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29619,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29623,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_live_finalizer_count();
/* library.scm:6134: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29621 in k29617 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29623,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29627,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_i_allocated_finalizer_count();
/* library.scm:6137: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29625 in k29621 in k29617 in run-pending-finalizers in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_29627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_29627,2,av);}
/* library.scm:6132: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1217];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1218];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1219];
av2[7]=t1;
av2[8]=lf[1220];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_29633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,6)))){
C_save_and_reclaim((void *)f_29633,2,av);}
a=C_alloc(26);
t2=C_mutate((C_word*)lf[960]+1 /* (set! chicken.gc#force-finalizers ...) */,t1);
t3=C_mutate((C_word*)lf[959]+1 /* (set! ##sys#force-finalizers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29635,a[2]=((C_word)li925),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1221]+1 /* (set! chicken.gc#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29663,a[2]=((C_word)li926),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[819]+1 /* (set! ##sys#list->vector ...) */,*((C_word*)lf[94]+1));
t6=C_mutate((C_word*)lf[367]+1 /* (set! ##sys#list ...) */,*((C_word*)lf[42]+1));
t7=C_mutate((C_word*)lf[1222]+1 /* (set! ##sys#length ...) */,*((C_word*)lf[43]+1));
t8=C_mutate((C_word*)lf[1223]+1 /* (set! ##sys#cons ...) */,*((C_word*)lf[8]+1));
t9=C_mutate((C_word*)lf[254]+1 /* (set! ##sys#append ...) */,*((C_word*)lf[373]+1));
t10=C_mutate((C_word*)lf[1224]+1 /* (set! ##sys#vector ...) */,*((C_word*)lf[96]+1));
t11=C_mutate((C_word*)lf[1225]+1 /* (set! ##sys#apply ...) */,*((C_word*)lf[129]+1));
t12=C_mutate((C_word*)lf[1226]+1 /* (set! ##sys#values ...) */,*((C_word*)lf[130]+1));
t13=C_mutate((C_word*)lf[1227]+1 /* (set! ##sys#equal? ...) */,*((C_word*)lf[6]+1));
t14=C_mutate((C_word*)lf[1228]+1 /* (set! ##sys#car ...) */,*((C_word*)lf[9]+1));
t15=C_mutate((C_word*)lf[1229]+1 /* (set! ##sys#cdr ...) */,*((C_word*)lf[10]+1));
t16=C_mutate((C_word*)lf[1230]+1 /* (set! ##sys#pair? ...) */,*((C_word*)lf[7]+1));
t17=C_mutate((C_word*)lf[1231]+1 /* (set! ##sys#vector? ...) */,*((C_word*)lf[89]+1));
t18=C_mutate((C_word*)lf[1232]+1 /* (set! ##sys#vector->list ...) */,*((C_word*)lf[95]+1));
t19=C_mutate((C_word*)lf[1233]+1 /* (set! ##sys#vector-length ...) */,*((C_word*)lf[90]+1));
t20=C_mutate((C_word*)lf[1234]+1 /* (set! ##sys#vector-ref ...) */,*((C_word*)lf[91]+1));
t21=C_mutate((C_word*)lf[1235]+1 /* (set! ##sys#>= ...) */,*((C_word*)lf[75]+1));
t22=C_mutate((C_word*)lf[1236]+1 /* (set! ##sys#= ...) */,*((C_word*)lf[72]+1));
t23=C_mutate((C_word*)lf[1237]+1 /* (set! ##sys#+ ...) */,*((C_word*)lf[64]+1));
t24=C_mutate((C_word*)lf[1238]+1 /* (set! ##sys#eq? ...) */,*((C_word*)lf[4]+1));
t25=C_mutate((C_word*)lf[1239]+1 /* (set! ##sys#eqv? ...) */,*((C_word*)lf[5]+1));
t26=C_mutate((C_word*)lf[1240]+1 /* (set! ##sys#list? ...) */,*((C_word*)lf[55]+1));
t27=C_mutate((C_word*)lf[1241]+1 /* (set! ##sys#null? ...) */,*((C_word*)lf[41]+1));
t28=C_mutate((C_word*)lf[1242]+1 /* (set! ##sys#map-n ...) */,*((C_word*)lf[171]+1));
t29=C_mutate((C_word*)lf[1243]+1 /* (set! ##sys#make-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29706,a[2]=((C_word)li927),tmp=(C_word)a,a+=3,tmp));
t30=C_a_i_provide(&a,1,lf[1256]);
t31=C_mutate((C_word*)lf[1257]+1 /* (set! chicken.plist#put! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29970,a[2]=((C_word)li928),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1259]+1 /* (set! chicken.plist#get ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29976,a[2]=((C_word)li929),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1261]+1 /* (set! ##sys#put! ...) */,C_fast_retrieve(lf[1257]));
t34=C_mutate((C_word*)lf[1262]+1 /* (set! ##sys#get ...) */,C_fast_retrieve(lf[1259]));
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29995,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6289: chicken.base#getter-with-setter */
t36=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t36;
av2[1]=t35;
av2[2]=C_fast_retrieve(lf[1259]);
av2[3]=C_fast_retrieve(lf[1257]);
((C_proc)(void*)(*((C_word*)t36+1)))(4,av2);}}

/* ##sys#force-finalizers in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29635,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29641,a[2]=t3,a[3]=((C_word)li924),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29641(t5,t1);}

/* loop in force-finalizers in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_fcall f_29641(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_29641,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29645,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6159: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29643 in loop in force-finalizers in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_29645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29645,2,av);}
a=C_alloc(4);
t2=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29654,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6161: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1176]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1176]+1);
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k29652 in k29643 in loop in force-finalizers in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_29654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29654,2,av);}
/* library.scm:6162: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_29641(t2,((C_word*)t0)[3]);}

/* chicken.gc#gc in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_29663,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
if(C_truep(t4)){
/* library.scm:6168: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=t1;
tp(2,av2);}}
else{
/* library.scm:6169: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}}
else{
/* library.scm:6169: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}}

/* ##sys#make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_29706,6,av);}
a=C_alloc(6);
if(C_truep(C_immp(t2))){
/* library.scm:6202: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1244];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t6=C_i_vectorp(t2);
t7=(C_truep(t6)?t6:C_i_pairp(t2));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29728,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t9=C_block_size(t2);
/* library.scm:6204: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t9;
av2[5]=t5;
tp(6,av2);}}
else{
t8=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29741,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6211: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
if(C_truep(C_structurep(t2))){
t9=C_slot(t2,C_fix(0));
t10=C_eqp(t9,lf[1245]);
if(C_truep(t10)){
t11=C_slot(t2,C_fix(1));
t12=t11;
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29766,a[2]=t12,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t14=C_block_size(t12);
/* library.scm:6217: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t13;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t14;
av2[5]=t5;
tp(6,av2);}}
else{
t11=C_eqp(t9,lf[1246]);
if(C_truep(t11)){
t12=C_slot(t2,C_fix(1));
t13=t12;
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29782,a[2]=t1,a[3]=t13,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t15=C_block_size(t13);
/* library.scm:6221: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=t5;
tp(6,av2);}}
else{
t12=C_eqp(t9,lf[1247]);
if(C_truep(t12)){
t13=C_slot(t2,C_fix(1));
t14=t13;
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29798,a[2]=t14,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t16=C_block_size(t14);
/* library.scm:6225: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t15;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t16;
av2[5]=t5;
tp(6,av2);}}
else{
t13=C_eqp(t9,lf[1248]);
if(C_truep(t13)){
t14=C_slot(t2,C_fix(1));
t15=t14;
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29814,a[2]=t1,a[3]=t15,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t17=C_block_size(t15);
/* library.scm:6229: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t16;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t17;
av2[5]=t5;
tp(6,av2);}}
else{
t14=C_eqp(t9,lf[1249]);
if(C_truep(t14)){
t15=C_slot(t2,C_fix(1));
t16=t15;
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29830,a[2]=t16,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t18=C_block_size(t16);
/* library.scm:6233: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t17;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t18;
av2[5]=t5;
tp(6,av2);}}
else{
t15=C_eqp(t9,lf[1250]);
if(C_truep(t15)){
t16=C_slot(t2,C_fix(1));
t17=t16;
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29846,a[2]=t1,a[3]=t17,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t19=C_block_size(t17);
/* library.scm:6237: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t18;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t19;
av2[5]=t5;
tp(6,av2);}}
else{
t16=C_eqp(t9,lf[1251]);
if(C_truep(t16)){
t17=C_slot(t2,C_fix(1));
t18=t17;
t19=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29862,a[2]=t18,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t20=C_block_size(t18);
/* library.scm:6241: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t19;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t20;
av2[5]=t5;
tp(6,av2);}}
else{
t17=C_eqp(t9,lf[1252]);
if(C_truep(t17)){
t18=C_slot(t2,C_fix(1));
t19=t18;
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29878,a[2]=t1,a[3]=t19,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t19);
/* library.scm:6245: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t21;
av2[5]=t5;
tp(6,av2);}}
else{
t18=C_eqp(t9,lf[1253]);
if(C_truep(t18)){
t19=C_slot(t2,C_fix(1));
t20=t19;
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29894,a[2]=t20,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t22=C_block_size(t20);
/* library.scm:6249: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t21;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}
else{
t19=C_eqp(t9,lf[1254]);
if(C_truep(t19)){
t20=C_slot(t2,C_fix(1));
t21=t20;
t22=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29910,a[2]=t1,a[3]=t21,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t23=C_block_size(t21);
/* library.scm:6253: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t22;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t23;
av2[5]=t5;
tp(6,av2);}}
else{
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29917,a[2]=t3,a[3]=t1,a[4]=t2,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t2);
t22=C_fixnum_difference(t21,C_fix(1));
/* library.scm:6257: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}}}}}}}}}}}
else{
if(C_truep(C_i_stringp(t2))){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29958,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6260: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
/* library.scm:6263: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1255];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}}}}}}

/* k29726 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29728,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29739 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29741,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29764 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29766,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29780 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29782,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(3),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29796 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29798,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(4),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29812 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29814,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(5),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29828 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29830,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(6),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29844 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29846,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(7),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29860 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29862,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(8),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29876 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29878,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(9),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29892 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29894,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(10),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29908 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29910,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(11),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29915 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29917,2,av);}
a=C_alloc(5);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[4],t2,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29956 in make-locative in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29958,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(1),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.plist#put! in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_29970,5,av);}
a=C_alloc(8);
t5=C_i_check_symbol_2(t2,lf[1258]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_putprop(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.plist#get in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_29976,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_symbol_2(t2,lf[1260]);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_getprop(t2,t3,t6);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_29995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_29995,2,av);}
a=C_alloc(12);
t2=C_mutate((C_word*)lf[1259]+1 /* (set! chicken.plist#get ...) */,t1);
t3=C_mutate((C_word*)lf[1263]+1 /* (set! chicken.plist#remprop! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29997,a[2]=((C_word)li931),tmp=(C_word)a,a+=3,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30066,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31106,a[2]=((C_word)li968),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31115,a[2]=((C_word)li969),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6309: chicken.base#getter-with-setter */
t7=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=lf[1351];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* chicken.plist#remprop! in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_29997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29997,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1264]);
t5=C_slot(t2,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30020,a[2]=t3,a[3]=t2,a[4]=((C_word)li930),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_30020(t6,t5,C_SCHEME_FALSE)
);
t8=C_slot(t2,C_fix(2));
if(C_truep(C_i_nullp(t8))){
t9=C_i_unpersist_symbol(t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_SCHEME_UNDEFINED;
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* loop in chicken.plist#remprop! in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static C_word C_fcall f_30020(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_stack_overflow_check;
loop:{}
t3=C_i_nullp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(t1,C_fix(1));
t5=C_slot(t4,C_fix(1));
t6=C_slot(t1,C_fix(0));
t7=C_eqp(t6,((C_word*)t0)[2]);
if(C_truep(t7)){
t8=(C_truep(t2)?C_i_setslot(t2,C_fix(1),t5):C_i_setslot(((C_word*)t0)[3],C_fix(2),t5));
return(C_SCHEME_TRUE);}
else{
t10=t5;
t11=t4;
t1=t10;
t2=t11;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_30066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_30066,2,av);}
a=C_alloc(29);
t2=C_mutate((C_word*)lf[1265]+1 /* (set! chicken.plist#symbol-plist ...) */,t1);
t3=C_mutate((C_word*)lf[1266]+1 /* (set! chicken.plist#get-properties ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30068,a[2]=((C_word)li933),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1268]+1 /* (set! ##sys#display-times ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30131,a[2]=((C_word)li937),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[962]+1 /* (set! ##sys#dump-heap-state ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dump_heap_state,a[2]=((C_word)li938),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1284]+1 /* (set! ##sys#filter-heap-objects ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_filter_heap_objects,a[2]=((C_word)li939),tmp=(C_word)a,a+=3,tmp));
t7=C_a_i_provide(&a,1,lf[1285]);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30373,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_type,a[2]=((C_word)li967),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31104,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6414: g7198 */
t11=t9;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)C_fast_retrieve_proc(t11))(2,av2);}}

/* chicken.plist#get-properties in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_30068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30068,4,av);}
a=C_alloc(10);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_i_check_symbol_2(t2,lf[1267]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30075,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_symbolp(((C_word*)t4)[1]))){
t7=C_a_i_list1(&a,1,((C_word*)t4)[1]);
t8=C_set_block_item(t4,0,t7);
t9=t6;
f_30075(t9,t8);}
else{
t7=t6;
f_30075(t7,C_SCHEME_UNDEFINED);}}

/* k30073 in chicken.plist#get-properties in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_fcall f_30075(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_30075,2,t0,t1);}
a=C_alloc(7);
t2=C_i_check_list_2(((C_word*)((C_word*)t0)[2])[1],lf[1267]);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30087,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word)li932),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30087(t7,((C_word*)t0)[4],t3);}

/* loop in k30073 in chicken.plist#get-properties in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_fcall f_30087(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_30087,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
/* library.scm:6333: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_slot(t4,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)((C_word*)t0)[2])[1]))){
t6=C_slot(t4,C_fix(0));
/* library.scm:6338: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=t6;
av2[4]=t5;
C_values(5,av2);}}
else{
/* library.scm:6339: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* ##sys#display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_30131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_30131,3,av);}
a=C_alloc(23);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30146,a[2]=((C_word)li934),tmp=(C_word)a,a+=3,tmp));
t10=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30160,a[2]=((C_word)li935),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30180,a[2]=t4,a[3]=t6,a[4]=((C_word)li936),tmp=(C_word)a,a+=5,tmp));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30265,a[2]=t2,a[3]=t1,a[4]=t8,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6361: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2=av;
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t12;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}

/* pnum in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_fcall f_30146(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_30146,2,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30154,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=t2;
if(C_truep(C_i_zerop(t4))){
/* library.scm:6350: ##sys#print */
t5=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[1269];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* library.scm:6350: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}

/* k30152 in pnum in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30154,2,av);}
/* library.scm:6350: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* round-to in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_fcall f_30160(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_30160,3,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30168,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30178,a[2]=t5,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6352: scheme#expt */
t7=*((C_word*)lf[531]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k30166 in round-to in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30168,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30172,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6352: scheme#expt */
t4=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1270];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k30170 in k30166 in round-to in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_30172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30172,2,av);}
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k30176 in round-to in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_30178,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:6352: scheme#round */
t3=*((C_word*)lf[551]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_fcall f_30180(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_30180,3,t0,t1,t2);}
a=C_alloc(11);
t3=t2;
if(C_truep(C_i_greaterp(t3,lf[1271]))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30192,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30199,a[2]=((C_word*)t0)[2],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30203,a[2]=((C_word*)t0)[3],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t7;
av2[3]=lf[1271];
tp(4,av2);}}
else{
t4=t2;
if(C_truep(C_i_greaterp(t4,C_fix(1048576)))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30219,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30226,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30230,a[2]=((C_word*)t0)[3],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=C_fix(1048576);
tp(4,av2);}}
else{
t5=t2;
if(C_truep(C_i_greaterp(t5,C_fix(1024)))){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30243,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30250,a[2]=((C_word*)t0)[2],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30254,a[2]=((C_word*)t0)[3],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t8;
av2[2]=t9;
av2[3]=C_fix(1024);
tp(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30259,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6360: pnum */
f_30146(t6,t2);}}}}

/* k30190 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30192,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1272];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30197 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30199,2,av);}
/* library.scm:6355: pnum */
f_30146(((C_word*)t0)[3],t1);}

/* k30201 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30203,2,av);}
/* library.scm:6355: round-to */
f_30160(((C_word*)t0)[3],t1,C_fix(2));}

/* k30217 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30219,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1273];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30224 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30226,2,av);}
/* library.scm:6357: pnum */
f_30146(((C_word*)t0)[3],t1);}

/* k30228 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30230,2,av);}
/* library.scm:6357: round-to */
f_30160(((C_word*)t0)[3],t1,C_fix(2));}

/* k30241 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30243,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1274];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30248 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30250,2,av);}
/* library.scm:6359: pnum */
f_30146(((C_word*)t0)[3],t1);}

/* k30252 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30254,2,av);}
/* library.scm:6359: round-to */
f_30160(((C_word*)t0)[3],t1,C_fix(2));}

/* k30257 in pmem in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30259,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1275];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_30265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30265,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30268,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:6362: pnum */
f_30146(t2,t3);}

/* k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_30268,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30271,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1283];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_30271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30271,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30277,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_greaterp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30357,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6347: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1282];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_30277(2,av2);}}}

/* k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_30277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30277,2,av);}
a=C_alloc(12);
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(3));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30286,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greaterp(t3,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30340,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t5,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t8=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1280];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_30286(2,av2);}}}

/* k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in ... */
static void C_ccall f_30286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30286,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(4));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30295,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t7=C_fixnum_greaterp(t3,C_fix(0));
t8=(C_truep(t7)?t7:C_fixnum_greaterp(t5,C_fix(0)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30319,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t10=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[1278];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
t9=t6;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_30295(2,av2);}}}

/* k30293 in k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_30295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30295,2,av);}
a=C_alloc(5);
t2=C_slot(((C_word*)t0)[2],C_fix(6));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30301,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6347: ##sys#print */
t5=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1276];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k30299 in k30293 in k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_30301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30301,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30304,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6387: pmem */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30180(t3,t2,((C_word*)t0)[4]);}

/* k30302 in k30299 in k30293 in k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30304,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30307,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6388: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30305 in k30302 in k30299 in k30293 in k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30307,2,av);}
/* library.scm:6389: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}

/* k30317 in k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_30319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30319,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30322,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6381: pnum */
f_30146(t2,((C_word*)t0)[5]);}

/* k30320 in k30317 in k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_30322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30322,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30325,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6348: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30323 in k30320 in k30317 in k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30325,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30328,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6383: pnum */
f_30146(t2,((C_word*)t0)[4]);}

/* k30326 in k30323 in k30320 in k30317 in k30284 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30328,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1277];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30338 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in ... */
static void C_ccall f_30340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30340,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30343,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6373: pnum */
f_30146(t2,((C_word*)t0)[5]);}

/* k30341 in k30338 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_30343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30343,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30346,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6348: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30344 in k30341 in k30338 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_30346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30346,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30349,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6375: pnum */
f_30146(t2,((C_word*)t0)[4]);}

/* k30347 in k30344 in k30341 in k30338 in k30275 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30349,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1279];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30355 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_30357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30357,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30360,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6367: pnum */
f_30146(t2,((C_word*)t0)[4]);}

/* k30358 in k30355 in k30269 in k30266 in k30263 in display-times in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in ... */
static void C_ccall f_30360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30360,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1281];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_30373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30373,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1286]+1 /* (set! chicken.platform#software-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30374,a[2]=t2,a[3]=((C_word)li940),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30379,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_type,a[2]=((C_word)li966),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31100,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6418: g7202 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-type in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_30374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30374,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_30379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30379,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1287]+1 /* (set! chicken.platform#machine-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30380,a[2]=t2,a[3]=((C_word)li941),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30385,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_byte_order,a[2]=((C_word)li965),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31096,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6422: g7206 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-type in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30380,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_30385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30385,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1288]+1 /* (set! chicken.platform#machine-byte-order ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30386,a[2]=t2,a[3]=((C_word)li942),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30391,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_version,a[2]=((C_word)li964),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31092,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6426: g7210 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-byte-order in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_30386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30386,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_30391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30391,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1289]+1 /* (set! chicken.platform#software-version ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30392,a[2]=t2,a[3]=((C_word)li943),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30397,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_build_platform,a[2]=((C_word)li963),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31088,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6430: g7214 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-version in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_30392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30392,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_30397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30397,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_mutate((C_word*)lf[1290]+1 /* (set! chicken.platform#build-platform ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30398,a[2]=t2,a[3]=((C_word)li944),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30403,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31084,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6434: software-type */
t6=C_fast_retrieve(lf[1286]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.platform#build-platform in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in ... */
static void C_ccall f_30398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30398,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in ... */
static void C_fcall f_30403(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,0,3)))){
C_save_and_reclaim_args((void *)trf_30403,2,t0,t1);}
a=C_alloc(21);
t2=C_set_block_item(lf[1291] /* ##sys#windows-platform */,0,t1);
t3=C_mutate((C_word*)lf[1292]+1 /* (set! chicken.platform#chicken-version ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30405,a[2]=((C_word)li946),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1326]+1 /* (set! chicken.platform#chicken-home ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30544,a[2]=((C_word)li947),tmp=(C_word)a,a+=3,tmp));
t5=(C_truep(C_fast_retrieve(lf[1291]))?C_make_character(59):C_make_character(58));
t6=lf[1327] /* chicken.platform#path-list-separator */ =t5;;
t7=lf[1328];
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#split-path ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30554,a[2]=t8,a[3]=((C_word)li949),tmp=(C_word)a,a+=4,tmp));
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30644,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31002,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t12=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t12;
av2[1]=t11;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_30405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_30405,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30466,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30536,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6451: feature? */
t7=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1325];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t5=C_fast_retrieve(lf[1294]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fast_retrieve(lf[1294]);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in ... */
static void C_ccall f_30415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30415,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30418,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6441: software-type */
t4=C_fast_retrieve(lf[1286]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in ... */
static void C_ccall f_30418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30418,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30421,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6442: software-version */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30419 in k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in ... */
static void C_ccall f_30421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30421,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30424,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6443: machine-type */
t4=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30422 in k30419 in k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in ... */
static void C_ccall f_30424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30424,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30426,a[2]=((C_word)li945),tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30448,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6448: str */
f_30426(t4,((C_word*)t0)[5]);}

/* str in k30422 in k30419 in k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in ... */
static void C_fcall f_30426(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30426,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1299],t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=lf[1300];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30440,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6447: scheme#symbol->string */
t5=*((C_word*)lf[636]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k30438 in str in k30422 in k30419 in k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in ... */
static void C_ccall f_30440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30440,2,av);}
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1301];
tp(4,av2);}}

/* k30446 in k30422 in k30419 in k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in ... */
static void C_ccall f_30448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30448,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30452,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6448: str */
f_30426(t3,((C_word*)t0)[6]);}

/* k30450 in k30446 in k30422 in k30419 in k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in ... */
static void C_ccall f_30452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30452,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30456,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6448: str */
f_30426(t3,((C_word*)t0)[6]);}

/* k30454 in k30450 in k30446 in k30422 in k30419 in k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in ... */
static void C_ccall f_30456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30456,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30460,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6448: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k30458 in k30454 in k30450 in k30446 in k30422 in k30419 in k30416 in k30413 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in ... */
static void C_ccall f_30460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_30460,2,av);}
/* library.scm:6448: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_30466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_30466,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30473,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fast_retrieve(lf[1306]))){
/* library.scm:6458: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1307];
av2[3]=C_fast_retrieve(lf[1306]);
av2[4]=lf[1308];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1309];
f_30473(2,av2);}}}

/* k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30473,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30477,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1302]))){
/* library.scm:6459: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1303];
av2[3]=C_fast_retrieve(lf[1302]);
av2[4]=lf[1304];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1305];
f_30477(2,av2);}}}

/* k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_30477,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30481,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30415,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6440: build-platform */
t6=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k30479 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in ... */
static void C_ccall f_30481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,8)))){
C_save_and_reclaim((void *)f_30481,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30485,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_block_size(((C_word*)t0)[5]);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
/* library.scm:6456: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1293];
av2[3]=C_fast_retrieve(lf[1294]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1295];
av2[7]=t2;
av2[8]=lf[1296];
((C_proc)(void*)(*((C_word*)t6+1)))(9,av2);}}
else{
/* library.scm:6464: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=lf[1297];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[1298];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* k30483 in k30479 in k30475 in k30471 in k30464 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in ... */
static void C_ccall f_30485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_30485,2,av);}
/* library.scm:6456: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1293];
av2[3]=C_fast_retrieve(lf[1294]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1295];
av2[7]=((C_word*)t0)[5];
av2[8]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k30522 in k30525 in k30528 in k30531 in k30534 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in ... */
static void C_ccall f_30524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_30524,2,av);}
if(C_truep(t1)){
/* library.scm:6450: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1318];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
/* library.scm:6450: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1319];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k30525 in k30528 in k30531 in k30534 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in ... */
static void C_ccall f_30527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30527,2,av);}
a=C_alloc(7);
t2=(C_truep(t1)?lf[1316]:lf[1317]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30524,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:6455: feature? */
t5=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1321];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30528 in k30531 in k30534 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30530,2,av);}
a=C_alloc(6);
t2=(C_truep(t1)?lf[1314]:lf[1315]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30527,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6454: feature? */
t5=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1322];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30531 in k30534 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30533,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?lf[1312]:lf[1313]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30530,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6453: feature? */
t5=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1323];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30534 in chicken.platform#chicken-version in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_30536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30536,2,av);}
a=C_alloc(4);
t2=(C_truep(t1)?lf[1310]:lf[1311]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30533,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6452: feature? */
t5=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1324];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* chicken.platform#chicken-home in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_30544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30544,2,av);}
a=C_alloc(3);
/* ##sys#peek-c-string */
t2=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#split-path in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_30554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,4)))){
C_save_and_reclaim((void *)f_30554,3,av);}
a=C_alloc(13);
if(C_truep(C_i_not(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_car(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(C_i_equalp(t2,t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(((C_word*)((C_word*)t0)[2])[1]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_string_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30576,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30582,a[2]=t5,a[3]=t2,a[4]=t8,a[5]=((C_word)li948),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_30582(t10,t6,C_fix(0),C_fix(0));}}}

/* k30574 in split-path in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_30576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30576,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in split-path in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_fcall f_30582(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_30582,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_fixnum_greater_or_equal_p(t3,((C_word*)t0)[2]))){
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30602,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6490: scheme#substring */
t6=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}
else{
t4=C_i_string_ref(((C_word*)t0)[3],t3);
t5=C_retrieve2(lf[1327],C_text("chicken.platform#path-list-separator"));
if(C_truep(C_u_i_char_equalp(t4,C_retrieve2(lf[1327],C_text("chicken.platform#path-list-separator"))))){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30617,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6493: scheme#substring */
t7=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t6=C_fixnum_plus(t3,C_fix(1));
/* library.scm:6497: loop */
t8=t1;
t9=t2;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}}

/* k30600 in loop in split-path in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30602,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list1(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30615 in loop in split-path in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30617,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30621,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:6494: loop */
t6=((C_word*)((C_word*)t0)[4])[1];
f_30582(t6,t3,t4,t5);}

/* k30619 in k30615 in loop in split-path in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30621,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_30644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30644,2,av);}
a=C_alloc(9);
t2=C_mutate((C_word*)lf[1330]+1 /* (set! chicken.platform#repository-path ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30648,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30986,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t5=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_30648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_30648,2,av);}
a=C_alloc(14);
t2=C_mutate((C_word*)lf[1331]+1 /* (set! chicken.platform#installation-repository ...) */,t1);
t3=C_mutate(&lf[1332] /* (set! chicken.platform#->feature-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30665,a[2]=((C_word)li950),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,lf[1335]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30699,a[2]=((C_word)li951),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30717,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30982,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6547: software-type */
t8=C_fast_retrieve(lf[1286]);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* chicken.platform#->feature-id in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30665,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30672,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6533: chicken.keyword#keyword? */
t4=*((C_word*)lf[649]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30670 in chicken.platform#->feature-id in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_30672,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:6534: chicken.keyword#string->keyword */
t2=*((C_word*)lf[650]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30694,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6535: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_list(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=lf[1333];
av2[5]=t3;
C_apply(6,av2);}}}}}

/* k30692 in k30670 in chicken.platform#->feature-id in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in ... */
static void C_ccall f_30694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30694,2,av);}
/* library.scm:6535: chicken.keyword#string->keyword */
t2=*((C_word*)lf[650]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* check in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_fcall f_30699(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30699,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1299],t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30714,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6546: ->feature-id */
t5=C_retrieve2(lf[1332],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
f_30665(3,av2);}}}

/* k30712 in check in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30714,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1334]));
t3=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30717,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30720,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30978,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6548: software-version */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30720,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30723,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30974,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6549: build-platform */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in ... */
static void C_ccall f_30723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30723,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30726,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30970,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6550: machine-type */
t4=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in ... */
static void C_ccall f_30726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30726,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30729,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30966,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6551: machine-byte-order */
t4=C_fast_retrieve(lf[1288]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in ... */
static void C_ccall f_30729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30729,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30732,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_DLOAD))){
t3=C_a_i_cons(&a,2,lf[1324],C_fast_retrieve(lf[1334]));
t4=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30732(t5,t4);}
else{
t3=t2;
f_30732(t3,C_SCHEME_UNDEFINED);}}

/* k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in ... */
static void C_fcall f_30732(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30732,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30735,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_PTABLES))){
t3=C_a_i_cons(&a,2,lf[1323],C_fast_retrieve(lf[1334]));
t4=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30735(t5,t4);}
else{
t3=t2;
f_30735(t3,C_SCHEME_UNDEFINED);}}

/* k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in ... */
static void C_fcall f_30735(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30735,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30738,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_GCHOOKS))){
t3=C_a_i_cons(&a,2,lf[1322],C_fast_retrieve(lf[1334]));
t4=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30738(t5,t4);}
else{
t3=t2;
f_30738(t3,C_SCHEME_UNDEFINED);}}

/* k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in ... */
static void C_fcall f_30738(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30738,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30741,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(IS_CROSS_CHICKEN))){
t3=C_a_i_cons(&a,2,lf[1321],C_fast_retrieve(lf[1334]));
t4=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30741(t5,t4);}
else{
t3=t2;
f_30741(t3,C_SCHEME_UNDEFINED);}}

/* k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in ... */
static void C_fcall f_30741(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30741,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30744,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_WORD_SIZE);
t4=C_eqp(t3,C_fix(64));
if(C_truep(t4)){
t5=C_a_i_cons(&a,2,lf[1325],C_fast_retrieve(lf[1334]));
t6=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t5);
t7=t2;
f_30744(t7,t6);}
else{
t5=t2;
f_30744(t5,C_SCHEME_UNDEFINED);}}

/* k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in ... */
static void C_fcall f_30744(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30744,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30748,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_MAJOR_VERSION);
/* library.scm:6565: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in ... */
static void C_ccall f_30748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30748,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30751,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fix((C_word)C_MINOR_VERSION);
/* library.scm:6566: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in ... */
static void C_ccall f_30751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_30751,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30920,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30936,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6567: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1342];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* chicken.platform#register-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in ... */
static void C_ccall f_30756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_30756,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30775,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30777,a[2]=t5,a[3]=((C_word)li952),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30777(t7,t3,t2);}

/* k30760 in for-each-loop7331 in chicken.platform#register-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in ... */
static void C_ccall f_30762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30762,2,av);}
a=C_alloc(3);
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1334])))){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1334]));
t3=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30773 in chicken.platform#register-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in ... */
static void C_ccall f_30775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30775,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop7331 in chicken.platform#register-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in ... */
static void C_fcall f_30777(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_30777,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30787,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30762,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6574: ->feature-id */
t7=C_retrieve2(lf[1332],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
f_30665(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30785 in for-each-loop7331 in chicken.platform#register-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in ... */
static void C_ccall f_30787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30787,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_30777(t3,((C_word*)t0)[4],t2);}

/* chicken.platform#unregister-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in ... */
static void C_ccall f_30800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +17,c,3)))){
C_save_and_reclaim((void*)f_30800,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+17);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=C_retrieve2(lf[1332],C_text("chicken.platform#->feature-id"));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30807,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30844,a[2]=t5,a[3]=t10,a[4]=t7,a[5]=t6,a[6]=((C_word)li955),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_30844(t12,t8,t2);}

/* k30805 in chicken.platform#unregister-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in ... */
static void C_ccall f_30807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30807,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30811,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30813,a[2]=t2,a[3]=t5,a[4]=((C_word)li954),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30813(t7,t3,C_fast_retrieve(lf[1334]));}

/* k30809 in k30805 in chicken.platform#unregister-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in ... */
static void C_ccall f_30811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30811,2,av);}
t2=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k30805 in chicken.platform#unregister-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in ... */
static void C_fcall f_30813(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30813,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(t4,((C_word*)t0)[2]))){
/* library.scm:6588: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30842,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6589: loop */
t8=t6;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k30840 in loop in k30805 in chicken.platform#unregister-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in ... */
static void C_ccall f_30842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30842,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop7354 in chicken.platform#unregister-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in ... */
static void C_fcall f_30844(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30844,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30869,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:6580: g7360 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30867 in map-loop7354 in chicken.platform#unregister-feature! in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in ... */
static void C_ccall f_30869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30869,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_30844(t6,((C_word*)t0)[5],t5);}

/* chicken.platform#features in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in ... */
static void C_ccall f_30878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30878,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fast_retrieve(lf[1334]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.platform#feature? in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in ... */
static void C_ccall f_30881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_30881,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30887,a[2]=t4,a[3]=((C_word)li958),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_30887(t6,t1,t2);}

/* loop in chicken.platform#feature? in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in ... */
static void C_fcall f_30887(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30887,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30911,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:6597: ->feature-id */
t6=C_retrieve2(lf[1332],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
f_30665(3,av2);}}}

/* k30909 in loop in chicken.platform#feature? in k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in ... */
static void C_ccall f_30911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30911,2,av);}
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1334])))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:6598: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30887(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in ... */
static void C_ccall f_30920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_30920,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30928,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30932,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6568: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1340];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1341];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}

/* k30926 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in ... */
static void C_ccall f_30928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,2)))){
C_save_and_reclaim((void *)f_30928,2,av);}
a=C_alloc(21);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1334]));
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
t4=C_mutate((C_word*)lf[1334]+1 /* (set! ##sys#features ...) */,t3);
t5=C_mutate((C_word*)lf[1336]+1 /* (set! chicken.platform#register-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30756,a[2]=((C_word)li953),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1337]+1 /* (set! chicken.platform#unregister-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30800,a[2]=((C_word)li956),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1338]+1 /* (set! chicken.platform#features ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30878,a[2]=((C_word)li957),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1320]+1 /* (set! chicken.platform#feature? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30881,a[2]=((C_word)li959),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1339]+1 /* (set! chicken.platform#return-to-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_return_to_host,a[2]=((C_word)li960),tmp=(C_word)a,a+=3,tmp));
t10=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}

/* k30930 in k30918 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in ... */
static void C_ccall f_30932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30932,2,av);}
/* library.scm:6568: ->feature-id */
t2=C_retrieve2(lf[1332],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30665(3,av2);}}

/* k30934 in k30749 in k30746 in k30742 in k30739 in k30736 in k30733 in k30730 in k30727 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in ... */
static void C_ccall f_30936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30936,2,av);}
/* library.scm:6567: ->feature-id */
t2=C_retrieve2(lf[1332],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30665(3,av2);}}

/* k30964 in k30724 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in ... */
static void C_ccall f_30966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30966,2,av);}
/* library.scm:6551: check */
f_30699(((C_word*)t0)[3],t1);}

/* k30968 in k30721 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in ... */
static void C_ccall f_30970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30970,2,av);}
/* library.scm:6550: check */
f_30699(((C_word*)t0)[3],t1);}

/* k30972 in k30718 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in ... */
static void C_ccall f_30974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30974,2,av);}
/* library.scm:6549: check */
f_30699(((C_word*)t0)[3],t1);}

/* k30976 in k30715 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static void C_ccall f_30978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30978,2,av);}
/* library.scm:6548: check */
f_30699(((C_word*)t0)[3],t1);}

/* k30980 in k30646 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30982,2,av);}
/* library.scm:6547: check */
f_30699(((C_word*)t0)[3],t1);}

/* k30984 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_30986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30986,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30989,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6518: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30992,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6520: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1343];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30987 in k30984 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30989,2,av);}
/* library.scm:6518: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30990 in k30984 in k30642 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_30992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30992,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6518: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k31000 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_31002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31002,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31005,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list1(&a,1,t1);
f_31005(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31051,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6505: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1345];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k31003 in k31000 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_31005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31005,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31007,a[2]=((C_word)li962),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6502: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a31006 in k31003 in k31000 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_31007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31007,3,av);}
a=C_alloc(3);
if(C_truep(t2)){
t3=C_i_check_list_2(t2,lf[1344]);
t4=t2;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31024,a[2]=((C_word)li961),tmp=(C_word)a,a+=3,tmp);
t6=(
  f_31024(t4)
);
t7=t2;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop7273 in a31006 in k31003 in k31000 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in ... */
static C_word C_fcall f_31024(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_string_2(t2,lf[1344]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* k31049 in k31000 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in ... */
static void C_ccall f_31051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31051,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:6503: ##sys#split-path */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1329]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1329]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31060,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* k31058 in k31049 in k31000 in k30401 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in ... */
static void C_ccall f_31060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31060,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_a_i_list1(&a,1,t1):C_SCHEME_FALSE);
f_31005(2,av2);}}

/* k31078 in k31082 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in ... */
static void C_ccall f_31080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31080,2,av);}
t2=C_eqp(lf[1347],t1);
t3=((C_word*)t0)[2];
f_30403(t3,C_i_not(t2));}

/* k31082 in k30395 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in ... */
static void C_ccall f_31084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31084,2,av);}
a=C_alloc(3);
t2=C_eqp(lf[1346],t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31080,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6436: software-version */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];
f_30403(t3,C_SCHEME_FALSE);}}

/* k31086 in k30389 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in ... */
static void C_ccall f_31088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31088,2,av);}
/* library.scm:6430: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31090 in k30383 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in ... */
static void C_ccall f_31092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31092,2,av);}
/* library.scm:6426: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31094 in k30377 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in ... */
static void C_ccall f_31096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31096,2,av);}
/* library.scm:6422: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31098 in k30371 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in ... */
static void C_ccall f_31100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31100,2,av);}
/* library.scm:6418: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31102 in k30064 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_31104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31104,2,av);}
/* library.scm:6414: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31105 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_31106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31106,3,av);}
t3=C_i_check_symbol_2(t2,lf[1348]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31114 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in ... */
static void C_ccall f_31115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_31115,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1348]);
t5=C_i_check_list_2(t3,lf[1349]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31125,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_i_length(t3);
if(C_truep(C_i_fixnumevenp(t7))){
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_setslot(t2,C_fix(2),t3);
f_31125(2,av2);}}
else{
/* library.scm:6318: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[258];
av2[3]=lf[1350];
av2[4]=t3;
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}

/* k31123 in a31114 in k29993 in k29631 in k29411 in k29378 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in ... */
static void C_ccall f_31125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31125,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_i_unpersist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_i_persist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31148 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_31150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_31150,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31153,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_pairp(t1))){
t3=C_slot(t1,C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31171,a[2]=t5,a[3]=((C_word)li971),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_31171(t7,t2,t3);}
else{
t3=t1;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36860,a[2]=((C_word)li972),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6037: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k31151 in k31148 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_31153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31153,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31155,a[2]=((C_word)li970),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6037: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a31154 in k31151 in k31148 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_31155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31155,3,av);}
t3=C_i_check_list_2(t2,lf[1352]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k31148 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_fcall f_31171(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31171,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31190,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(t4);
if(C_truep(C_fixnum_greater_or_equal_p(t8,C_fix(3)))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31210,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6046: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=C_fix(2);
tp(5,av2);}}
else{
t9=t7;
f_31190(t9,C_SCHEME_FALSE);}}}

/* k31188 in loop in k31148 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_fcall f_31190(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_31190,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* library.scm:6047: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31171(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31200,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6048: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_31171(t3,t2,((C_word*)t0)[4]);}}

/* k31198 in k31188 in loop in k31148 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in ... */
static void C_ccall f_31200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31200,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k31208 in loop in k31148 in k29374 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in ... */
static void C_ccall f_31210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31210,2,av);}
t2=((C_word*)t0)[2];
f_31190(t2,C_i_string_equal_p(lf[1353],t1));}

/* k31232 in k31236 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_31234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31234,2,av);}
a=C_alloc(3);
t2=C_i_car(t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36872,a[2]=((C_word)li974),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6028: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k31236 in k29192 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_31238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31238,2,av);}
a=C_alloc(3);
if(C_truep(C_i_nullp(t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36866,a[2]=((C_word)li973),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6028: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1355];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31234,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6031: argv */
t3=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31239 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_31240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31240,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31244,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k31242 in a31239 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_31244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31244,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31247,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1291]))){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31247(2,av2);}}
else{
/* library.scm:5960: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}}

/* k31245 in k31242 in a31239 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_31247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31247,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:5962: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* library.scm:5963: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[702];
av2[3]=lf[1356];
av2[4]=lf[1357];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31261 in k28555 in k28495 in k27162 in k27159 in k27156 in k26389 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_31262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31262,3,av);}
/* library.scm:5967: ##sys#change-directory-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1192]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1192]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_31268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_31268,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31272,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31425,a[2]=((C_word)li981),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5154: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1007]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1007]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_31272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31272,2,av);}
a=C_alloc(5);
t2=C_mk_bool(C_gui_mode);
if(C_truep(C_i_not(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31281,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5156: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1366];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31375,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5181: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_31281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_31281,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31284,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31369,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5158: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1365];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31284(2,av2);}}}

/* k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_31284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_31284,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31287,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31313,a[2]=((C_word*)t0)[3],a[3]=((C_word)li978),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5160: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[922]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[922]+1);
av2[1]=t2;
av2[2]=C_fix(400);
av2[3]=t3;
tp(4,av2);}}

/* k31285 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_31287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31287,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31290,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5172: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31288 in k31285 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_31290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31290,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31293,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5173: chicken.base#print-call-chain */
t3=*((C_word*)lf[187]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31291 in k31288 in k31285 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_31293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31293,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31299,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_fast_retrieve(lf[1006]))){
/* library.scm:5174: ##sys#symbol-has-toplevel-binding? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1146]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1146]+1);
av2[1]=t2;
av2[2]=lf[1363];
tp(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_31299(2,av2);}}}

/* k31297 in k31291 in k31288 in k31285 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in ... */
static void C_ccall f_31299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31299,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_slot(lf[1363],C_fix(0));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31305,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5174: g5912 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t2=C_halt(C_SCHEME_FALSE);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31303 in k31297 in k31291 in k31288 in k31285 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in ... */
static void C_ccall f_31305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31305,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31308,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5177: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31306 in k31303 in k31297 in k31291 in k31288 in k31285 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in ... */
static void C_ccall f_31308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31308,2,av);}
t2=C_exit_runtime(C_fix((C_word)EX_SOFTWARE));
t3=C_halt(C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31312 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_31313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31313,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];
t3=C_u_i_length(t2);
t4=C_eqp(C_fix(1),t3);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31323,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5164: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1364];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[2];
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31343,a[2]=t7,a[3]=((C_word)li977),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_31343(t9,t1,t5);}}

/* k31321 in a31312 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_31323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31323,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:5165: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31333 in for-each-loop5894 in a31312 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_31335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31335,2,av);}
/* library.scm:5170: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5894 in a31312 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_31343(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31343,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31353,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31335,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5169: ##sys#print */
t8=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t7;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31351 in for-each-loop5894 in a31312 in k31282 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_31353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31353,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31343(t3,((C_word*)t0)[4],t2);}

/* k31367 in k31279 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_31369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31369,2,av);}
/* library.scm:5159: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in ... */
static void C_ccall f_31375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31375,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31378,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5182: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_31378(2,av2);}}}

/* k31376 in k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in ... */
static void C_ccall f_31378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31378,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31381,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5183: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31379 in k31376 in k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in ... */
static void C_ccall f_31381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_31381,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31382,a[2]=((C_word*)t0)[2],a[3]=((C_word)li979),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31392,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31398,a[2]=t6,a[3]=t2,a[4]=((C_word)li980),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_31398(t8,t4,t3);}

/* g5926 in k31379 in k31376 in k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_31382(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_31382,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31386,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5184: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k31384 in g5926 in k31379 in k31376 in k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_31386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31386,2,av);}
/* library.scm:5184: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31390 in k31379 in k31376 in k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_ccall f_31392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31392,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31396,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5185: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31394 in k31390 in k31379 in k31376 in k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_31396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31396,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* for-each-loop5925 in k31379 in k31376 in k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in ... */
static void C_fcall f_31398(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_31398,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31408,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5184: g5926 */
t5=((C_word*)t0)[3];
f_31382(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31406 in for-each-loop5925 in k31379 in k31376 in k31373 in k31270 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in ... */
static void C_ccall f_31408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31408,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31398(t3,((C_word*)t0)[4],t2);}

/* a31424 in a31267 in k26077 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in ... */
static void C_ccall f_31425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31425,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(lf[1367]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31427 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_31428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31428,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31432,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5056: chicken.base#exit-handler */
t3=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31430 in a31427 in k26073 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in ... */
static void C_ccall f_31432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31432,2,av);}
/* library.scm:5055: g5801 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)EX_SOFTWARE);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31436 in k26069 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_31437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31437,2,av);}
/* library.scm:5051: cleanup-before-exit */
f_25988(t1);}

/* a31442 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_31443,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31450,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5041: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k31448 in a31442 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_31450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31450,2,av);}
a=C_alloc(4);
if(C_truep(C_retrieve2(lf[957],C_text("exit-in-progress")))){
/* library.scm:5043: ##sys#warn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[311]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[311]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1368];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31459,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5045: cleanup-before-exit */
f_25988(t2);}}

/* k31457 in k31448 in a31442 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_31459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31459,2,av);}
t2=C_exit_runtime(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31466 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31467,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=C_fixnum_plus(t3,C_fix(1));
t8=C_i_set_i_slot(t2,C_fix(10),t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31491 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31492,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a31509 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31510,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31514,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4797: check */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=C_fix(1);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k31512 in a31509 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_31514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31514,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_setsubchar(t3,t2,((C_word*)t0)[3]);
t5=C_fixnum_plus(t2,C_fix(1));
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31528 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31529,4,av);}
a=C_alloc(6);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31533,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4804: check */
t6=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k31531 in a31528 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_31533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31533,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_substring_copy(((C_word*)t0)[3],t3,C_fix(0),((C_word*)t0)[4],t2);
t5=C_fixnum_plus(t2,((C_word*)t0)[4]);
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31547 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31548,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31550 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31551,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31553 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_31554,6,av);}
a=C_alloc(10);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t7=C_slot(t2,C_fix(10));
t8=t7;
t9=C_slot(t2,C_fix(11));
t10=C_fixnum_difference(t9,t8);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31564,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t4,a[6]=t5,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t12=C_i_not(((C_word*)t6)[1]);
if(C_truep(t12)){
if(C_truep(t12)){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31564(t14,t13);}
else{
t13=t11;
f_31564(t13,C_SCHEME_UNDEFINED);}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t6)[1],t10))){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31564(t14,t13);}
else{
t13=t11;
f_31564(t13,C_SCHEME_UNDEFINED);}}}

/* k31562 in a31553 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_fcall f_31564(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_31564,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(12));
t3=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t4=C_substring_copy(t2,((C_word*)t0)[5],((C_word*)t0)[3],t3,((C_word*)t0)[6]);
t5=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31594 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_31595,4,av);}
a=C_alloc(11);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=(C_truep(t3)?C_fixnum_plus(t5,t3):t7);
t11=t10;
if(C_truep(C_fixnum_greater_or_equal_p(t5,t7))){
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31619,a[2]=t11,a[3]=t7,a[4]=t9,a[5]=t5,a[6]=((C_word)li748),tmp=(C_word)a,a+=7,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31638,a[2]=t2,a[3]=((C_word)li749),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4826: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a31618 in a31594 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_31619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_31619,2,av);}
a=C_alloc(3);
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?((C_word*)t0)[3]:((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31629,a[2]=((C_word)li747),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4827: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[925]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[925]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[5];
av2[5]=t4;
tp(6,av2);}}

/* a31628 in a31618 in a31594 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in ... */
static void C_ccall f_31629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31629,3,av);}
/* library.scm:4829: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}

/* a31637 in a31594 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_31638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31638,5,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_fixnum_plus(t5,t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t7);
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a31678 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in ... */
static void C_ccall f_31679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31679,3,av);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
t6=t5;
if(C_truep(C_fixnum_greater_or_equal_p(t3,t6))){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=lf[926];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31698,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4844: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=t4;
av2[3]=t3;
av2[4]=t6;
tp(5,av2);}}}

/* k31696 in a31678 in k23824 in k23820 in k23816 in k20203 in k20199 in k20195 in k20191 in k20187 in k19826 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in ... */
static void C_ccall f_31698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31698,2,av);}
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31710 in k19822 in k19818 in k19814 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in ... */
static void C_ccall f_31711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31711,5,av);}
t5=C_i_list_tail(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_car(t5,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31720 in k19810 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in ... */
static void C_ccall f_31721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31721,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31730 in k19806 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in ... */
static void C_ccall f_31731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31731,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31740 in k19802 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in ... */
static void C_ccall f_31741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31741,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31750 in k19798 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in ... */
static void C_ccall f_31751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31751,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31760 in k19794 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in ... */
static void C_ccall f_31761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31761,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31770 in k19790 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in ... */
static void C_ccall f_31771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31771,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31780 in k19786 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in ... */
static void C_ccall f_31781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31781,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31790 in k19782 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in ... */
static void C_ccall f_31791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31791,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31800 in k19778 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in ... */
static void C_ccall f_31801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31801,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31810 in k19774 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in ... */
static void C_ccall f_31811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31811,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31820 in k19770 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in ... */
static void C_ccall f_31821(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31821,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31830 in k19766 in k19762 in k19682 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in ... */
static void C_ccall f_31831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31831,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31840 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_31841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_31841,3,av);}
a=C_alloc(7);
if(C_truep(C_i_closurep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31857,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31865,a[2]=((C_word)li999),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3545: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}
else{
/* library.scm:3547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[760];
av2[3]=lf[1370];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k31855 in a31840 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_31857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31857,2,av);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(1));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:3547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[760];
av2[3]=lf[1370];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}
else{
/* library.scm:3547: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[760];
av2[3]=lf[1370];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31864 in a31840 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_31865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31865,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31880 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_31881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31881,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31896 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_31897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31897,4,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31907,a[2]=((C_word)li1004),tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),t4);
t6=C_i_setslot(t2,t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31906 in a31896 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in ... */
static void C_ccall f_31907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_31907,4,av);}
a=C_alloc(11);
if(C_truep(C_i_closurep(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31917,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31936,a[2]=((C_word)li1002),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31952,a[2]=t3,a[3]=((C_word)li1003),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3556: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
av2[4]=t6;
tp(5,av2);}}
else{
/* library.scm:3563: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1371];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k31915 in a31906 in a31896 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_31917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31917,2,av);}
a=C_alloc(6);
t2=C_eqp(((C_word*)t0)[2],t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t4=C_a_i_list1(&a,1,t3);
/* library.scm:3562: ##sys#become! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[329]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[329]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
tp(3,av2);}}}

/* a31935 in a31906 in a31896 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_31936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31936,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31951 in a31906 in a31896 in k18906 in k18903 in k18900 in k18897 in k18893 in k18889 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in ... */
static void C_ccall f_31952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31952,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31964 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_31965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31965,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31971,a[2]=t2,a[3]=t4,a[4]=((C_word)li546),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31971(2,av2);}}

/* loop in a31964 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_31971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31971,2,av);}
a=C_alloc(5);
t2=C_read_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32002,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3215: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31992 in k32000 in loop in a31964 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_31994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31994,2,av);}
/* library.scm:3217: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[703];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31996 in k32000 in loop in a31964 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_31998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31998,2,av);}
/* library.scm:3219: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[704];
av2[3]=t1;
tp(4,av2);}}

/* k32000 in loop in a31964 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_32002,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3216: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31994,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31998,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32004 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_32005,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32011,a[2]=t2,a[3]=t4,a[4]=((C_word)li548),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_32011(2,av2);}}

/* loop in a32004 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_32011,2,av);}
a=C_alloc(5);
t2=C_peek_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32042,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3227: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k32032 in k32040 in loop in a32004 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_32034,2,av);}
/* library.scm:3229: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[707];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k32036 in k32040 in loop in a32004 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32038,2,av);}
/* library.scm:3231: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[708];
av2[3]=t1;
tp(4,av2);}}

/* k32040 in loop in a32004 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_32042,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3228: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32034,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32038,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32044 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32045,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_char(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a32047 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32048,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_string(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a32050 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32051,4,av);}
t4=C_close_file(t2);
/* library.scm:3240: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t1;
tp(2,av2);}}

/* a32056 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32057,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_flush_output(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a32059 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32060,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_char_ready_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a32062 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_32063,6,av);}
a=C_alloc(7);
t6=t3;
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32071,a[2]=t4,a[3]=t2,a[4]=t3,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_32071(t8,t6);}
else{
t8=C_block_size(t4);
t9=t7;
f_32071(t9,C_fixnum_difference(t8,t5));}}

/* k32069 in a32062 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_32071(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_32071,2,t0,t1);}
a=C_alloc(9);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32073,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word)li556),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_32073(t5,((C_word*)t0)[5],t1,C_fix(0),((C_word*)t0)[6]);}

/* loop in k32069 in a32062 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_32073(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32073,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=fast_read_string_from_file(((C_word*)t0)[2],((C_word*)t0)[3],t2,t4);
if(C_truep(C_eofp(t5))){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32128,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=t1,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[5],a[10]=((C_word*)t0)[2],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3251: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word av2[2];
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t6;
tp(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,t2))){
t6=C_fixnum_difference(t2,t5);
t7=C_fixnum_plus(t3,t5);
t8=C_fixnum_plus(t4,t5);
/* library.scm:3260: loop */
t10=t1;
t11=t6;
t12=t7;
t13=t8;
t1=t10;
t2=t11;
t3=t12;
t4=t13;
goto loop;}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_plus(t3,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* a32096 in k32126 in loop in k32069 in a32062 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_32097,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_fixnum_plus(((C_word*)t0)[4],((C_word*)t0)[3]);
t4=C_fixnum_plus(((C_word*)t0)[5],((C_word*)t0)[3]);
/* library.scm:3254: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_32073(t5,t1,t2,t3,t4);}

/* k32118 in k32126 in loop in k32069 in a32062 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_32120,2,av);}
/* library.scm:3255: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[709];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k32122 in k32126 in loop in k32069 in a32062 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32124,2,av);}
/* library.scm:3257: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[710];
av2[3]=t1;
tp(4,av2);}}

/* k32126 in loop in k32069 in a32062 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_32128,2,av);}
a=C_alloc(13);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32097,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li555),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3252: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[7];
av2[2]=t4;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32120,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32124,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_32162,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32166,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:3264: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[711];
tp(4,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_32166(2,av2);}}}

/* k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_32166,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32169,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[3],C_fix(12)))){
t3=t2;
f_32169(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32335,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3267: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=C_fix(1024);
tp(3,av2);}}}

/* k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_32169(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,7)))){
C_save_and_reclaim_args((void *)trf_32169,2,t0,t1);}
a=C_alloc(8);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:lf[269]);
t4=C_slot(((C_word*)t0)[3],C_fix(12));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_32182,a[2]=((C_word*)t0)[3],a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=((C_word)li559),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_32182(t8,((C_word*)t0)[4],C_fix(1024),t3,t4,lf[713],C_SCHEME_FALSE);}

/* loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_fcall f_32182(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32182,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(11);
t7=C_i_fixnum_min(t3,t2);
t8=fast_read_line_from_file(t4,((C_word*)t0)[2],t7);
if(C_truep(C_eofp(t8))){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t6)?t5:C_SCHEME_END_OF_FILE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
if(C_truep(C_i_not(t8))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32215,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3278: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
t9=C_fixnum_times(t2,C_fix(2));
t10=t9;
t11=C_fixnum_difference(t3,t2);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32230,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t10,a[5]=t12,a[6]=t5,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
t14=C_fixnum_times(t2,C_fix(2));
/* library.scm:3281: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t13;
av2[2]=t14;
tp(3,av2);}}}
else{
if(C_truep(C_fixnum_lessp(t8,C_fix(0)))){
t9=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32289,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t5,a[8]=t1,a[9]=((C_word*)t0)[2],a[10]=((C_word*)t0)[4],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3285: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word av2[2];
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t9;
tp(2,av2);}}
else{
if(C_truep(t6)){
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32303,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3298: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t12;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}
else{
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
/* library.scm:3301: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}}}}

/* k32213 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32215,2,av);}
/* library.scm:3278: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32228 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_32230,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32234,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3282: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k32232 in k32228 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 in ... */
static void C_ccall f_32234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32234,2,av);}
/* library.scm:3279: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32182(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* a32257 in k32287 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 in ... */
static void C_ccall f_32258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32258,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32266,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32270,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3291: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}

/* k32264 in a32257 in k32287 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_32266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32266,2,av);}
/* library.scm:3289: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32182(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* k32268 in a32257 in k32287 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in ... */
static void C_ccall f_32270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32270,2,av);}
/* library.scm:3290: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32279 in k32287 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 in ... */
static void C_ccall f_32281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32281,2,av);}
/* library.scm:3293: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[711];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k32283 in k32287 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 in ... */
static void C_ccall f_32285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32285,2,av);}
/* library.scm:3295: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[712];
av2[3]=t1;
tp(4,av2);}}

/* k32287 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_32289,2,av);}
a=C_alloc(11);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=C_fixnum_negate(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_32258,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t6,a[8]=((C_word)li558),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3287: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[8];
av2[2]=t7;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32281,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32285,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k32301 in loop in k32167 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32303,2,av);}
/* library.scm:3298: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32333 in k32164 in a32161 in k18324 in k18321 in k18318 in k18315 in k18312 in k18309 in k18306 in k18303 in k18300 in k18297 in k18294 in k18291 in k18288 in k18285 in k18125 in k8542 */
static void C_ccall f_32335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32335,2,av);}
t2=((C_word*)t0)[2];
f_32169(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k8542 */
static void C_ccall f_8544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word t226;
C_word t227;
C_word t228;
C_word t229;
C_word t230;
C_word t231;
C_word t232;
C_word t233;
C_word t234;
C_word t235;
C_word t236;
C_word t237;
C_word t238;
C_word t239;
C_word t240;
C_word t241;
C_word t242;
C_word t243;
C_word t244;
C_word t245;
C_word t246;
C_word t247;
C_word t248;
C_word t249;
C_word t250;
C_word t251;
C_word t252;
C_word t253;
C_word t254;
C_word t255;
C_word t256;
C_word t257;
C_word t258;
C_word t259;
C_word t260;
C_word t261;
C_word t262;
C_word t263;
C_word t264;
C_word t265;
C_word t266;
C_word t267;
C_word t268;
C_word t269;
C_word t270;
C_word t271;
C_word t272;
C_word t273;
C_word t274;
C_word t275;
C_word t276;
C_word t277;
C_word t278;
C_word t279;
C_word t280;
C_word t281;
C_word t282;
C_word t283;
C_word t284;
C_word t285;
C_word t286;
C_word t287;
C_word t288;
C_word t289;
C_word t290;
C_word t291;
C_word t292;
C_word t293;
C_word t294;
C_word t295;
C_word t296;
C_word t297;
C_word t298;
C_word t299;
C_word t300;
C_word t301;
C_word t302;
C_word t303;
C_word t304;
C_word t305;
C_word t306;
C_word t307;
C_word t308;
C_word t309;
C_word t310;
C_word t311;
C_word t312;
C_word t313;
C_word t314;
C_word t315;
C_word t316;
C_word t317;
C_word t318;
C_word t319;
C_word t320;
C_word t321;
C_word t322;
C_word t323;
C_word t324;
C_word t325;
C_word t326;
C_word t327;
C_word t328;
C_word t329;
C_word t330;
C_word t331;
C_word t332;
C_word t333;
C_word t334;
C_word t335;
C_word t336;
C_word t337;
C_word t338;
C_word t339;
C_word t340;
C_word t341;
C_word t342;
C_word t343;
C_word t344;
C_word t345;
C_word t346;
C_word t347;
C_word t348;
C_word t349;
C_word t350;
C_word t351;
C_word t352;
C_word t353;
C_word t354;
C_word t355;
C_word t356;
C_word t357;
C_word t358;
C_word t359;
C_word t360;
C_word t361;
C_word t362;
C_word t363;
C_word t364;
C_word t365;
C_word t366;
C_word t367;
C_word t368;
C_word t369;
C_word t370;
C_word t371;
C_word t372;
C_word t373;
C_word t374;
C_word t375;
C_word t376;
C_word t377;
C_word t378;
C_word t379;
C_word t380;
C_word t381;
C_word t382;
C_word t383;
C_word t384;
C_word t385;
C_word t386;
C_word t387;
C_word t388;
C_word t389;
C_word t390;
C_word t391;
C_word t392;
C_word t393;
C_word t394;
C_word t395;
C_word t396;
C_word t397;
C_word t398;
C_word t399;
C_word t400;
C_word t401;
C_word t402;
C_word t403;
C_word t404;
C_word t405;
C_word t406;
C_word t407;
C_word t408;
C_word t409;
C_word t410;
C_word t411;
C_word t412;
C_word t413;
C_word t414;
C_word t415;
C_word t416;
C_word t417;
C_word t418;
C_word t419;
C_word t420;
C_word t421;
C_word t422;
C_word t423;
C_word t424;
C_word t425;
C_word t426;
C_word t427;
C_word t428;
C_word t429;
C_word t430;
C_word t431;
C_word t432;
C_word t433;
C_word t434;
C_word t435;
C_word t436;
C_word t437;
C_word t438;
C_word t439;
C_word t440;
C_word t441;
C_word t442;
C_word t443;
C_word t444;
C_word t445;
C_word t446;
C_word t447;
C_word t448;
C_word t449;
C_word t450;
C_word t451;
C_word t452;
C_word t453;
C_word t454;
C_word t455;
C_word t456;
C_word t457;
C_word t458;
C_word t459;
C_word t460;
C_word t461;
C_word t462;
C_word t463;
C_word t464;
C_word t465;
C_word t466;
C_word t467;
C_word t468;
C_word t469;
C_word t470;
C_word t471;
C_word t472;
C_word t473;
C_word t474;
C_word t475;
C_word t476;
C_word t477;
C_word t478;
C_word t479;
C_word t480;
C_word t481;
C_word t482;
C_word t483;
C_word t484;
C_word t485;
C_word t486;
C_word t487;
C_word t488;
C_word t489;
C_word t490;
C_word t491;
C_word t492;
C_word t493;
C_word t494;
C_word t495;
C_word t496;
C_word t497;
C_word t498;
C_word t499;
C_word t500;
C_word t501;
C_word t502;
C_word t503;
C_word t504;
C_word t505;
C_word t506;
C_word t507;
C_word t508;
C_word t509;
C_word t510;
C_word t511;
C_word t512;
C_word t513;
C_word t514;
C_word t515;
C_word t516;
C_word t517;
C_word t518;
C_word t519;
C_word t520;
C_word t521;
C_word t522;
C_word t523;
C_word t524;
C_word t525;
C_word t526;
C_word t527;
C_word t528;
C_word t529;
C_word t530;
C_word t531;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(1339,c,6)))){
C_save_and_reclaim((void *)f_8544,2,av);}
a=C_alloc(1339);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate((C_word*)lf[2]+1 /* (set! scheme#not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8546,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[3]+1 /* (set! scheme#boolean? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8549,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[4]+1 /* (set! scheme#eq? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8552,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[5]+1 /* (set! scheme#eqv? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8555,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[6]+1 /* (set! scheme#equal? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8558,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[7]+1 /* (set! scheme#pair? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8561,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[8]+1 /* (set! scheme#cons ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8564,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8567,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8570,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[11]+1 /* (set! scheme#set-car! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8573,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[12]+1 /* (set! scheme#set-cdr! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8576,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8579,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8582,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[15]+1 /* (set! scheme#cadddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8585,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[16]+1 /* (set! scheme#cddddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8588,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8591,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8594,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8597,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8600,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8614,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8621,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8628,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8642,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8649,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8663,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[27]+1 /* (set! scheme#caaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8677,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[28]+1 /* (set! scheme#caaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8695,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[29]+1 /* (set! scheme#caadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8706,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[30]+1 /* (set! scheme#caaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8717,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[31]+1 /* (set! scheme#cadaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8724,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[32]+1 /* (set! scheme#cadadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8735,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[33]+1 /* (set! scheme#caddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8739,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[34]+1 /* (set! scheme#cdaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8746,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[35]+1 /* (set! scheme#cdaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8764,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[36]+1 /* (set! scheme#cdadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8775,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[37]+1 /* (set! scheme#cdaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8786,a[2]=((C_word)li35),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[38]+1 /* (set! scheme#cddaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8793,a[2]=((C_word)li36),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[39]+1 /* (set! scheme#cddadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8811,a[2]=((C_word)li37),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[40]+1 /* (set! scheme#cdddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8822,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[41]+1 /* (set! scheme#null? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8840,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[42]+1 /* (set! scheme#list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8846,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[43]+1 /* (set! scheme#length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8849,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[44]+1 /* (set! scheme#list-tail ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8852,a[2]=((C_word)li42),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8855,a[2]=((C_word)li43),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[46]+1 /* (set! scheme#reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8858,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[49]+1 /* (set! scheme#memq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8897,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[50]+1 /* (set! scheme#memv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8900,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[51]+1 /* (set! scheme#member ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8903,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[52]+1 /* (set! scheme#assq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8906,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[53]+1 /* (set! scheme#assv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8909,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[54]+1 /* (set! scheme#assoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8912,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[55]+1 /* (set! scheme#list? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8915,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[56]+1 /* (set! scheme#string? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8918,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[57]+1 /* (set! scheme#string-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8921,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8924,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[59]+1 /* (set! scheme#string-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8927,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[60]+1 /* (set! scheme#string=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8930,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[61]+1 /* (set! scheme#string-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8933,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t62=C_mutate((C_word*)lf[62]+1 /* (set! scheme#exact->inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8937,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[63]+1 /* (set! scheme#abs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8940,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[64]+1 /* (set! scheme#+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_plus,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t65=C_mutate((C_word*)lf[65]+1 /* (set! scheme#- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_minus,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t66=C_mutate((C_word*)lf[66]+1 /* (set! scheme#* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_times,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t67=C_mutate((C_word*)lf[67]+1 /* (set! scheme#quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8946,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t68=C_mutate((C_word*)lf[68]+1 /* (set! scheme#remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8949,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t69=C_mutate((C_word*)lf[69]+1 /* (set! scheme#modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8952,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t70=C_mutate((C_word*)lf[70]+1 /* (set! scheme#even? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8955,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t71=C_mutate((C_word*)lf[71]+1 /* (set! scheme#odd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8958,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t72=C_mutate((C_word*)lf[72]+1 /* (set! scheme#= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_nequalp,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t73=C_mutate((C_word*)lf[73]+1 /* (set! scheme#> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greaterp,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t74=C_mutate((C_word*)lf[74]+1 /* (set! scheme#< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_lessp,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t75=C_mutate((C_word*)lf[75]+1 /* (set! scheme#>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greater_or_equal_p,a[2]=((C_word)li72),tmp=(C_word)a,a+=3,tmp));
t76=C_mutate((C_word*)lf[76]+1 /* (set! scheme#<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_less_or_equal_p,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t77=C_mutate((C_word*)lf[77]+1 /* (set! scheme#number? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8966,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t78=C_mutate((C_word*)lf[78]+1 /* (set! scheme#complex? ...) */,*((C_word*)lf[77]+1));
t79=C_mutate((C_word*)lf[79]+1 /* (set! scheme#real? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8970,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t80=C_mutate((C_word*)lf[80]+1 /* (set! scheme#rational? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8973,a[2]=((C_word)li76),tmp=(C_word)a,a+=3,tmp));
t81=C_mutate((C_word*)lf[81]+1 /* (set! scheme#integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8976,a[2]=((C_word)li77),tmp=(C_word)a,a+=3,tmp));
t82=C_mutate((C_word*)lf[82]+1 /* (set! scheme#exact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8979,a[2]=((C_word)li78),tmp=(C_word)a,a+=3,tmp));
t83=C_mutate((C_word*)lf[83]+1 /* (set! scheme#inexact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8982,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t84=C_mutate((C_word*)lf[84]+1 /* (set! scheme#zero? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8985,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t85=C_mutate((C_word*)lf[85]+1 /* (set! scheme#positive? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8988,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp));
t86=C_mutate((C_word*)lf[86]+1 /* (set! scheme#negative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8991,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t87=C_mutate((C_word*)lf[87]+1 /* (set! scheme#number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_number_to_string,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t88=C_mutate((C_word*)lf[88]+1 /* (set! scheme#symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8995,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t89=C_mutate((C_word*)lf[89]+1 /* (set! scheme#vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8998,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t90=C_mutate((C_word*)lf[90]+1 /* (set! scheme#vector-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9001,a[2]=((C_word)li86),tmp=(C_word)a,a+=3,tmp));
t91=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9004,a[2]=((C_word)li87),tmp=(C_word)a,a+=3,tmp));
t92=C_mutate((C_word*)lf[92]+1 /* (set! scheme#vector-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9007,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t93=C_set_block_item(lf[93] /* scheme#make-vector */,0,C_SCHEME_UNDEFINED);
t94=C_set_block_item(lf[94] /* scheme#list->vector */,0,C_SCHEME_UNDEFINED);
t95=C_set_block_item(lf[95] /* scheme#vector->list */,0,C_SCHEME_UNDEFINED);
t96=C_set_block_item(lf[96] /* scheme#vector */,0,C_SCHEME_UNDEFINED);
t97=C_set_block_item(lf[97] /* scheme#vector-fill! */,0,C_SCHEME_UNDEFINED);
t98=C_mutate((C_word*)lf[98]+1 /* (set! scheme#char? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9015,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate((C_word*)lf[99]+1 /* (set! scheme#char->integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9018,a[2]=((C_word)li90),tmp=(C_word)a,a+=3,tmp));
t100=C_mutate((C_word*)lf[101]+1 /* (set! scheme#integer->char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9025,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t101=C_mutate((C_word*)lf[104]+1 /* (set! scheme#char=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9032,a[2]=((C_word)li92),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate((C_word*)lf[105]+1 /* (set! scheme#char>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9035,a[2]=((C_word)li93),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[106]+1 /* (set! scheme#char<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9038,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate((C_word*)lf[107]+1 /* (set! scheme#char>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9041,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate((C_word*)lf[108]+1 /* (set! scheme#char<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9044,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate((C_word*)lf[109]+1 /* (set! scheme#char-upcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9047,a[2]=((C_word)li97),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate((C_word*)lf[111]+1 /* (set! scheme#char-downcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9053,a[2]=((C_word)li98),tmp=(C_word)a,a+=3,tmp));
t108=C_set_block_item(lf[113] /* scheme#char-ci=? */,0,C_SCHEME_UNDEFINED);
t109=C_set_block_item(lf[114] /* scheme#char-ci>? */,0,C_SCHEME_UNDEFINED);
t110=C_set_block_item(lf[115] /* scheme#char-ci<? */,0,C_SCHEME_UNDEFINED);
t111=C_set_block_item(lf[116] /* scheme#char-ci>=? */,0,C_SCHEME_UNDEFINED);
t112=C_set_block_item(lf[117] /* scheme#char-ci<=? */,0,C_SCHEME_UNDEFINED);
t113=C_mutate((C_word*)lf[118]+1 /* (set! scheme#char-upper-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9064,a[2]=((C_word)li99),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate((C_word*)lf[120]+1 /* (set! scheme#char-lower-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9070,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate((C_word*)lf[122]+1 /* (set! scheme#char-numeric? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9076,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate((C_word*)lf[124]+1 /* (set! scheme#char-whitespace? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9082,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[126]+1 /* (set! scheme#char-alphabetic? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9088,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[128]+1 /* (set! scheme#procedure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9094,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[129]+1 /* (set! scheme#apply ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[130]+1 /* (set! scheme#values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_values,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[131]+1 /* (set! scheme#call-with-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_values,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t122=C_set_block_item(lf[132] /* scheme#call-with-current-continuation */,0,C_SCHEME_UNDEFINED);
t123=C_mutate((C_word*)lf[133]+1 /* (set! scheme#input-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9101,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate((C_word*)lf[134]+1 /* (set! scheme#output-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9107,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t125=C_set_block_item(lf[135] /* scheme#current-input-port */,0,C_SCHEME_UNDEFINED);
t126=C_set_block_item(lf[136] /* scheme#current-output-port */,0,C_SCHEME_UNDEFINED);
t127=C_set_block_item(lf[137] /* scheme#open-input-file */,0,C_SCHEME_UNDEFINED);
t128=C_set_block_item(lf[138] /* scheme#open-output-file */,0,C_SCHEME_UNDEFINED);
t129=C_set_block_item(lf[139] /* scheme#close-input-port */,0,C_SCHEME_UNDEFINED);
t130=C_set_block_item(lf[140] /* scheme#close-output-port */,0,C_SCHEME_UNDEFINED);
t131=C_set_block_item(lf[141] /* scheme#call-with-input-file */,0,C_SCHEME_UNDEFINED);
t132=C_set_block_item(lf[142] /* scheme#call-with-output-file */,0,C_SCHEME_UNDEFINED);
t133=C_set_block_item(lf[143] /* scheme#with-input-from-file */,0,C_SCHEME_UNDEFINED);
t134=C_set_block_item(lf[144] /* scheme#with-output-to-file */,0,C_SCHEME_UNDEFINED);
t135=C_mutate((C_word*)lf[145]+1 /* (set! scheme#eof-object? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9123,a[2]=((C_word)li110),tmp=(C_word)a,a+=3,tmp));
t136=C_set_block_item(lf[146] /* scheme#char-ready? */,0,C_SCHEME_UNDEFINED);
t137=C_set_block_item(lf[147] /* scheme#read-char */,0,C_SCHEME_UNDEFINED);
t138=C_set_block_item(lf[148] /* scheme#peek-char */,0,C_SCHEME_UNDEFINED);
t139=C_set_block_item(lf[149] /* scheme#read */,0,C_SCHEME_UNDEFINED);
t140=C_set_block_item(lf[150] /* scheme#write-char */,0,C_SCHEME_UNDEFINED);
t141=C_set_block_item(lf[151] /* scheme#newline */,0,C_SCHEME_UNDEFINED);
t142=C_set_block_item(lf[152] /* scheme#write */,0,C_SCHEME_UNDEFINED);
t143=C_set_block_item(lf[153] /* scheme#display */,0,C_SCHEME_UNDEFINED);
t144=C_mutate((C_word*)lf[154]+1 /* (set! scheme#eval ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9134,a[2]=((C_word)li111),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate((C_word*)lf[158]+1 /* (set! scheme#interaction-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9140,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate((C_word*)lf[161]+1 /* (set! scheme#scheme-report-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9146,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate((C_word*)lf[164]+1 /* (set! scheme#null-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9152,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate((C_word*)lf[167]+1 /* (set! scheme#load ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9158,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t149=C_set_block_item(lf[170] /* scheme#for-each */,0,C_SCHEME_UNDEFINED);
t150=C_set_block_item(lf[171] /* scheme#map */,0,C_SCHEME_UNDEFINED);
t151=C_set_block_item(lf[172] /* scheme#dynamic-wind */,0,C_SCHEME_UNDEFINED);
t152=C_a_i_provide(&a,1,lf[173]);
t153=C_mutate((C_word*)lf[174]+1 /* (set! chicken.base#fixnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9167,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate((C_word*)lf[175]+1 /* (set! chicken.base#flonum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9170,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate((C_word*)lf[176]+1 /* (set! chicken.base#bignum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9173,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate((C_word*)lf[177]+1 /* (set! chicken.base#ratnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9176,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate((C_word*)lf[178]+1 /* (set! chicken.base#cplxnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9179,a[2]=((C_word)li120),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate((C_word*)lf[179]+1 /* (set! chicken.base#exact-integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9182,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate((C_word*)lf[180]+1 /* (set! chicken.base#quotient&remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_quotient_and_remainder,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate((C_word*)lf[181]+1 /* (set! chicken.base#quotient&modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9186,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate((C_word*)lf[182]+1 /* (set! chicken.base#finite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9231,a[2]=((C_word)li126),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate((C_word*)lf[183]+1 /* (set! chicken.base#infinite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9234,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate((C_word*)lf[184]+1 /* (set! chicken.base#nan? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9237,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t164=C_mutate((C_word*)lf[185]+1 /* (set! chicken.base#signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_signum,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t165=C_set_block_item(lf[186] /* chicken.base#get-call-chain */,0,C_SCHEME_UNDEFINED);
t166=C_set_block_item(lf[187] /* chicken.base#print-call-chain */,0,C_SCHEME_UNDEFINED);
t167=C_set_block_item(lf[188] /* chicken.base#print */,0,C_SCHEME_UNDEFINED);
t168=C_set_block_item(lf[189] /* chicken.base#print* */,0,C_SCHEME_UNDEFINED);
t169=C_mutate((C_word*)lf[190]+1 /* (set! chicken.base#add1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9245,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t170=C_mutate((C_word*)lf[191]+1 /* (set! chicken.base#sub1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9250,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t171=C_set_block_item(lf[192] /* chicken.base#current-error-port */,0,C_SCHEME_UNDEFINED);
t172=C_mutate((C_word*)lf[193]+1 /* (set! chicken.base#error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9256,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate((C_word*)lf[196]+1 /* (set! chicken.base#void ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9271,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t174=C_set_block_item(lf[197] /* chicken.base#sleep */,0,C_SCHEME_UNDEFINED);
t175=C_set_block_item(lf[198] /* chicken.base#call/cc */,0,C_SCHEME_UNDEFINED);
t176=C_set_block_item(lf[199] /* chicken.base#char-name */,0,C_SCHEME_UNDEFINED);
t177=C_set_block_item(lf[200] /* chicken.base#getter-with-setter */,0,C_SCHEME_UNDEFINED);
t178=C_set_block_item(lf[201] /* chicken.base#make-parameter */,0,C_SCHEME_UNDEFINED);
t179=C_set_block_item(lf[202] /* chicken.base#procedure-information */,0,C_SCHEME_UNDEFINED);
t180=C_set_block_item(lf[203] /* chicken.base#setter */,0,C_SCHEME_UNDEFINED);
t181=C_set_block_item(lf[204] /* chicken.base#vector-copy! */,0,C_SCHEME_UNDEFINED);
t182=C_set_block_item(lf[205] /* chicken.base#subvector */,0,C_SCHEME_UNDEFINED);
t183=C_set_block_item(lf[206] /* chicken.base#vector-resize */,0,C_SCHEME_UNDEFINED);
t184=C_set_block_item(lf[207] /* chicken.base#port? */,0,C_SCHEME_UNDEFINED);
t185=C_set_block_item(lf[208] /* chicken.base#port-closed? */,0,C_SCHEME_UNDEFINED);
t186=C_set_block_item(lf[209] /* chicken.base#input-port-open? */,0,C_SCHEME_UNDEFINED);
t187=C_set_block_item(lf[210] /* chicken.base#output-port-open? */,0,C_SCHEME_UNDEFINED);
t188=C_set_block_item(lf[211] /* chicken.base#get-output-string */,0,C_SCHEME_UNDEFINED);
t189=C_set_block_item(lf[212] /* chicken.base#open-input-string */,0,C_SCHEME_UNDEFINED);
t190=C_set_block_item(lf[213] /* chicken.base#open-output-string */,0,C_SCHEME_UNDEFINED);
t191=C_set_block_item(lf[214] /* chicken.base#flush-output */,0,C_SCHEME_UNDEFINED);
t192=C_mutate((C_word*)lf[215]+1 /* (set! chicken.base#promise? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9292,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate((C_word*)lf[217]+1 /* (set! ##sys#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9298,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate((C_word*)lf[218]+1 /* (set! chicken.base#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9304,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate((C_word*)lf[219]+1 /* (set! chicken.base#foldl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9319,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate((C_word*)lf[221]+1 /* (set! chicken.base#foldr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9356,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t197=C_set_block_item(lf[223] /* chicken.base#implicit-exit-handler */,0,C_SCHEME_UNDEFINED);
t198=C_set_block_item(lf[224] /* chicken.base#exit-handler */,0,C_SCHEME_UNDEFINED);
t199=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
t200=C_mutate((C_word*)lf[226]+1 /* (set! chicken.base#on-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9396,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate((C_word*)lf[227]+1 /* (set! chicken.base#exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9403,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t202=C_mutate((C_word*)lf[228]+1 /* (set! chicken.base#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9421,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t203=C_set_block_item(lf[230] /* chicken.base#case-sensitive */,0,C_SCHEME_UNDEFINED);
t204=C_set_block_item(lf[231] /* chicken.base#keyword-style */,0,C_SCHEME_UNDEFINED);
t205=C_set_block_item(lf[232] /* chicken.base#parentheses-synonyms */,0,C_SCHEME_UNDEFINED);
t206=C_set_block_item(lf[233] /* chicken.base#symbol-escape */,0,C_SCHEME_UNDEFINED);
t207=C_mutate((C_word*)lf[234]+1 /* (set! chicken.base#identity ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9440,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate((C_word*)lf[235]+1 /* (set! chicken.base#conjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9443,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate((C_word*)lf[236]+1 /* (set! chicken.base#disjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9476,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate((C_word*)lf[237]+1 /* (set! chicken.base#constantly ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9513,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate((C_word*)lf[238]+1 /* (set! chicken.base#flip ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9534,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate((C_word*)lf[239]+1 /* (set! chicken.base#complement ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9542,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate((C_word*)lf[240]+1 /* (set! chicken.base#compose ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9554,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate((C_word*)lf[241]+1 /* (set! chicken.base#o ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9590,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate((C_word*)lf[242]+1 /* (set! chicken.base#list-of? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9629,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t216=C_mutate((C_word*)lf[243]+1 /* (set! chicken.base#each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9673,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate((C_word*)lf[245]+1 /* (set! chicken.base#atom? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9729,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t218=C_mutate((C_word*)lf[246]+1 /* (set! chicken.base#tail? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9732,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t219=C_mutate((C_word*)lf[248]+1 /* (set! chicken.base#intersperse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9760,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t220=C_mutate((C_word*)lf[249]+1 /* (set! chicken.base#butlast ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9793,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t221=C_mutate((C_word*)lf[251]+1 /* (set! chicken.base#flatten ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9825,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t222=C_mutate((C_word*)lf[252]+1 /* (set! chicken.base#join ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9866,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t223=C_mutate((C_word*)lf[255]+1 /* (set! chicken.base#compress ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9923,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t224=C_mutate((C_word*)lf[259]+1 /* (set! chicken.base#alist-update! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10003,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t225=C_mutate((C_word*)lf[260]+1 /* (set! chicken.base#alist-update ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10089,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t226=C_mutate((C_word*)lf[264]+1 /* (set! chicken.base#alist-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10193,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t227=C_mutate((C_word*)lf[267]+1 /* (set! chicken.base#rassoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10305,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t228=C_mutate(&lf[269] /* (set! maximal-string-length ...) */,C_unsigned_long_to_num(&a,C_HEADER_SIZE_MASK));
t229=C_a_i_provide(&a,1,lf[270]);
t230=C_set_block_item(lf[271] /* chicken.fixnum#most-positive-fixnum */,0,C_fix((C_word)C_MOST_POSITIVE_FIXNUM));
t231=C_set_block_item(lf[272] /* chicken.fixnum#most-negative-fixnum */,0,C_fix((C_word)C_MOST_NEGATIVE_FIXNUM));
t232=C_set_block_item(lf[273] /* chicken.fixnum#fixnum-bits */,0,C_fix((C_word)(C_WORD_SIZE - 1)));
t233=C_set_block_item(lf[274] /* chicken.fixnum#fixnum-precision */,0,C_fix((C_word)(C_WORD_SIZE - (1 + 1))));
t234=C_mutate((C_word*)lf[275]+1 /* (set! chicken.fixnum#fx+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10358,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t235=C_mutate((C_word*)lf[276]+1 /* (set! chicken.fixnum#fx- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10361,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t236=C_mutate((C_word*)lf[277]+1 /* (set! chicken.fixnum#fx* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10364,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t237=C_mutate((C_word*)lf[278]+1 /* (set! chicken.fixnum#fx= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10367,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t238=C_mutate((C_word*)lf[279]+1 /* (set! chicken.fixnum#fx> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10373,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t239=C_mutate((C_word*)lf[280]+1 /* (set! chicken.fixnum#fx< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10376,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t240=C_mutate((C_word*)lf[281]+1 /* (set! chicken.fixnum#fx>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10379,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t241=C_mutate((C_word*)lf[282]+1 /* (set! chicken.fixnum#fx<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10382,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t242=C_mutate((C_word*)lf[283]+1 /* (set! chicken.fixnum#fxmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10385,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t243=C_mutate((C_word*)lf[284]+1 /* (set! chicken.fixnum#fxmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10388,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t244=C_mutate((C_word*)lf[285]+1 /* (set! chicken.fixnum#fxneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10391,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t245=C_mutate((C_word*)lf[286]+1 /* (set! chicken.fixnum#fxand ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10394,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t246=C_mutate((C_word*)lf[287]+1 /* (set! chicken.fixnum#fxior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10397,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t247=C_mutate((C_word*)lf[288]+1 /* (set! chicken.fixnum#fxxor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10400,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t248=C_mutate((C_word*)lf[289]+1 /* (set! chicken.fixnum#fxnot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10403,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t249=C_mutate((C_word*)lf[290]+1 /* (set! chicken.fixnum#fxshl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10406,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp));
t250=C_mutate((C_word*)lf[291]+1 /* (set! chicken.fixnum#fxshr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10409,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp));
t251=C_mutate((C_word*)lf[292]+1 /* (set! chicken.fixnum#fxodd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10412,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp));
t252=C_mutate((C_word*)lf[293]+1 /* (set! chicken.fixnum#fxeven? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10415,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp));
t253=C_mutate((C_word*)lf[294]+1 /* (set! chicken.fixnum#fxlen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10418,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp));
t254=C_mutate((C_word*)lf[295]+1 /* (set! chicken.fixnum#fx/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10421,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp));
t255=C_mutate((C_word*)lf[296]+1 /* (set! chicken.fixnum#fxgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10424,a[2]=((C_word)li217),tmp=(C_word)a,a+=3,tmp));
t256=C_mutate((C_word*)lf[297]+1 /* (set! chicken.fixnum#fxmod ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10427,a[2]=((C_word)li218),tmp=(C_word)a,a+=3,tmp));
t257=C_mutate((C_word*)lf[298]+1 /* (set! chicken.fixnum#fxrem ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10430,a[2]=((C_word)li219),tmp=(C_word)a,a+=3,tmp));
t258=C_mutate((C_word*)lf[299]+1 /* (set! chicken.fixnum#fx+? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10433,a[2]=((C_word)li220),tmp=(C_word)a,a+=3,tmp));
t259=C_mutate((C_word*)lf[300]+1 /* (set! chicken.fixnum#fx-? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10436,a[2]=((C_word)li221),tmp=(C_word)a,a+=3,tmp));
t260=C_mutate((C_word*)lf[301]+1 /* (set! chicken.fixnum#fx*? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10439,a[2]=((C_word)li222),tmp=(C_word)a,a+=3,tmp));
t261=C_mutate((C_word*)lf[302]+1 /* (set! chicken.fixnum#fx/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10442,a[2]=((C_word)li223),tmp=(C_word)a,a+=3,tmp));
t262=C_mutate((C_word*)lf[303]+1 /* (set! ##sys#debug-mode? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10445,a[2]=((C_word)li224),tmp=(C_word)a,a+=3,tmp));
t263=C_set_block_item(lf[304] /* ##sys#warnings-enabled */,0,C_SCHEME_TRUE);
t264=C_set_block_item(lf[305] /* ##sys#notices-enabled */,0,C_i_debug_modep());
t265=C_mutate((C_word*)lf[306]+1 /* (set! chicken.base#warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10450,a[2]=((C_word)li225),tmp=(C_word)a,a+=3,tmp));
t266=C_mutate((C_word*)lf[308]+1 /* (set! chicken.base#notice ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10459,a[2]=((C_word)li226),tmp=(C_word)a,a+=3,tmp));
t267=C_mutate((C_word*)lf[310]+1 /* (set! chicken.base#enable-warnings ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10471,a[2]=((C_word)li227),tmp=(C_word)a,a+=3,tmp));
t268=C_mutate((C_word*)lf[155]+1 /* (set! ##sys#error ...) */,*((C_word*)lf[193]+1));
t269=C_mutate((C_word*)lf[311]+1 /* (set! ##sys#warn ...) */,*((C_word*)lf[306]+1));
t270=C_mutate((C_word*)lf[312]+1 /* (set! ##sys#notice ...) */,*((C_word*)lf[308]+1));
t271=C_mutate((C_word*)lf[313]+1 /* (set! ##sys#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_gc,a[2]=((C_word)li228),tmp=(C_word)a,a+=3,tmp));
t272=C_mutate((C_word*)lf[314]+1 /* (set! ##sys#setslot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10486,a[2]=((C_word)li229),tmp=(C_word)a,a+=3,tmp));
t273=C_mutate((C_word*)lf[315]+1 /* (set! ##sys#setislot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10489,a[2]=((C_word)li230),tmp=(C_word)a,a+=3,tmp));
t274=C_mutate((C_word*)lf[316]+1 /* (set! ##sys#allocate-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_allocate_vector,a[2]=((C_word)li231),tmp=(C_word)a,a+=3,tmp));
t275=C_mutate((C_word*)lf[317]+1 /* (set! ##sys#make-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_structure,a[2]=((C_word)li232),tmp=(C_word)a,a+=3,tmp));
t276=C_mutate((C_word*)lf[318]+1 /* (set! ##sys#ensure-heap-reserve ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_ensure_heap_reserve,a[2]=((C_word)li233),tmp=(C_word)a,a+=3,tmp));
t277=C_mutate((C_word*)lf[319]+1 /* (set! ##sys#symbol-table-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_symbol_table_info,a[2]=((C_word)li234),tmp=(C_word)a,a+=3,tmp));
t278=C_mutate((C_word*)lf[320]+1 /* (set! ##sys#memory-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_memory_info,a[2]=((C_word)li235),tmp=(C_word)a,a+=3,tmp));
t279=C_mutate((C_word*)lf[321]+1 /* (set! ##sys#start-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10497,a[2]=((C_word)li236),tmp=(C_word)a,a+=3,tmp));
t280=C_mutate((C_word*)lf[322]+1 /* (set! ##sys#stop-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10503,a[2]=((C_word)li239),tmp=(C_word)a,a+=3,tmp));
t281=C_mutate((C_word*)lf[323]+1 /* (set! ##sys#immediate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10523,a[2]=((C_word)li240),tmp=(C_word)a,a+=3,tmp));
t282=C_mutate((C_word*)lf[324]+1 /* (set! ##sys#message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10530,a[2]=((C_word)li241),tmp=(C_word)a,a+=3,tmp));
t283=C_mutate((C_word*)lf[325]+1 /* (set! ##sys#byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10533,a[2]=((C_word)li242),tmp=(C_word)a,a+=3,tmp));
t284=C_mutate((C_word*)lf[326]+1 /* (set! ##sys#setbyte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10536,a[2]=((C_word)li243),tmp=(C_word)a,a+=3,tmp));
t285=C_mutate((C_word*)lf[327]+1 /* (set! ##sys#void ...) */,*((C_word*)lf[196]+1));
t286=C_set_block_item(lf[244] /* ##sys#undefined-value */,0,C_SCHEME_UNDEFINED);
t287=C_mutate((C_word*)lf[328]+1 /* (set! ##sys#halt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10541,a[2]=((C_word)li244),tmp=(C_word)a,a+=3,tmp));
t288=C_mutate((C_word*)lf[329]+1 /* (set! ##sys#become! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_become,a[2]=((C_word)li245),tmp=(C_word)a,a+=3,tmp));
t289=C_mutate((C_word*)lf[330]+1 /* (set! ##sys#block-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10545,a[2]=((C_word)li246),tmp=(C_word)a,a+=3,tmp));
t290=C_mutate((C_word*)lf[331]+1 /* (set! ##sys#apply-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply_values,a[2]=((C_word)li247),tmp=(C_word)a,a+=3,tmp));
t291=C_mutate((C_word*)lf[332]+1 /* (set! ##sys#copy-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_copy_closure,a[2]=((C_word)li248),tmp=(C_word)a,a+=3,tmp));
t292=C_mutate((C_word*)lf[333]+1 /* (set! ##sys#block-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10550,a[2]=((C_word)li249),tmp=(C_word)a,a+=3,tmp));
t293=C_a_i_provide(&a,1,lf[336]);
t294=C_mutate((C_word*)lf[337]+1 /* (set! chicken.time#current-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10585,a[2]=((C_word)li250),tmp=(C_word)a,a+=3,tmp));
t295=C_mutate((C_word*)lf[338]+1 /* (set! chicken.time#current-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10588,a[2]=((C_word)li251),tmp=(C_word)a,a+=3,tmp));
t296=C_mutate((C_word*)lf[339]+1 /* (set! chicken.time#cpu-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10591,a[2]=((C_word)li252),tmp=(C_word)a,a+=3,tmp));
t297=C_mutate((C_word*)lf[340]+1 /* (set! ##sys#check-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10608,a[2]=((C_word)li253),tmp=(C_word)a,a+=3,tmp));
t298=C_mutate((C_word*)lf[341]+1 /* (set! ##sys#check-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10619,a[2]=((C_word)li254),tmp=(C_word)a,a+=3,tmp));
t299=C_mutate((C_word*)lf[342]+1 /* (set! ##sys#check-byte-vector ...) */,*((C_word*)lf[341]+1));
t300=C_mutate((C_word*)lf[343]+1 /* (set! ##sys#check-pair ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10631,a[2]=((C_word)li255),tmp=(C_word)a,a+=3,tmp));
t301=C_mutate((C_word*)lf[344]+1 /* (set! ##sys#check-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10642,a[2]=((C_word)li256),tmp=(C_word)a,a+=3,tmp));
t302=C_mutate((C_word*)lf[345]+1 /* (set! ##sys#check-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10653,a[2]=((C_word)li257),tmp=(C_word)a,a+=3,tmp));
t303=C_mutate((C_word*)lf[346]+1 /* (set! ##sys#check-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10664,a[2]=((C_word)li258),tmp=(C_word)a,a+=3,tmp));
t304=C_mutate((C_word*)lf[102]+1 /* (set! ##sys#check-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10675,a[2]=((C_word)li259),tmp=(C_word)a,a+=3,tmp));
t305=C_mutate((C_word*)lf[347]+1 /* (set! ##sys#check-exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10686,a[2]=((C_word)li260),tmp=(C_word)a,a+=3,tmp));
t306=C_mutate((C_word*)lf[348]+1 /* (set! ##sys#check-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10697,a[2]=((C_word)li261),tmp=(C_word)a,a+=3,tmp));
t307=C_mutate((C_word*)lf[349]+1 /* (set! ##sys#check-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10708,a[2]=((C_word)li262),tmp=(C_word)a,a+=3,tmp));
t308=C_mutate((C_word*)lf[350]+1 /* (set! ##sys#check-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10719,a[2]=((C_word)li263),tmp=(C_word)a,a+=3,tmp));
t309=C_mutate((C_word*)lf[351]+1 /* (set! ##sys#check-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10730,a[2]=((C_word)li264),tmp=(C_word)a,a+=3,tmp));
t310=C_mutate((C_word*)lf[352]+1 /* (set! ##sys#check-boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10741,a[2]=((C_word)li265),tmp=(C_word)a,a+=3,tmp));
t311=C_mutate((C_word*)lf[353]+1 /* (set! ##sys#check-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10752,a[2]=((C_word)li266),tmp=(C_word)a,a+=3,tmp));
t312=C_mutate((C_word*)lf[354]+1 /* (set! ##sys#check-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10763,a[2]=((C_word)li267),tmp=(C_word)a,a+=3,tmp));
t313=C_mutate((C_word*)lf[356]+1 /* (set! ##sys#check-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10780,a[2]=((C_word)li268),tmp=(C_word)a,a+=3,tmp));
t314=C_mutate((C_word*)lf[358]+1 /* (set! ##sys#check-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10797,a[2]=((C_word)li269),tmp=(C_word)a,a+=3,tmp));
t315=C_mutate((C_word*)lf[360]+1 /* (set! ##sys#check-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10821,a[2]=((C_word)li270),tmp=(C_word)a,a+=3,tmp));
t316=C_mutate((C_word*)lf[334]+1 /* (set! ##sys#check-range ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10838,a[2]=((C_word)li271),tmp=(C_word)a,a+=3,tmp));
t317=C_mutate((C_word*)lf[363]+1 /* (set! ##sys#check-special ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10868,a[2]=((C_word)li272),tmp=(C_word)a,a+=3,tmp));
t318=C_mutate((C_word*)lf[365]+1 /* (set! ##sys#check-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10888,a[2]=((C_word)li273),tmp=(C_word)a,a+=3,tmp));
t319=C_mutate((C_word*)lf[366]+1 /* (set! scheme#force ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10899,a[2]=((C_word)li275),tmp=(C_word)a,a+=3,tmp));
t320=C_mutate((C_word*)lf[368]+1 /* (set! ##sys#dload ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dload,a[2]=((C_word)li276),tmp=(C_word)a,a+=3,tmp));
t321=C_mutate((C_word*)lf[369]+1 /* (set! ##sys#set-dlopen-flags! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_set_dlopen_flags,a[2]=((C_word)li277),tmp=(C_word)a,a+=3,tmp));
t322=C_mutate((C_word*)lf[47]+1 /* (set! ##sys#error-not-a-proper-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11027,a[2]=((C_word)li278),tmp=(C_word)a,a+=3,tmp));
t323=C_mutate((C_word*)lf[370]+1 /* (set! ##sys#error-bad-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11043,a[2]=((C_word)li279),tmp=(C_word)a,a+=3,tmp));
t324=C_mutate((C_word*)lf[355]+1 /* (set! ##sys#error-bad-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11059,a[2]=((C_word)li280),tmp=(C_word)a,a+=3,tmp));
t325=C_mutate((C_word*)lf[357]+1 /* (set! ##sys#error-bad-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11075,a[2]=((C_word)li281),tmp=(C_word)a,a+=3,tmp));
t326=C_mutate((C_word*)lf[359]+1 /* (set! ##sys#error-bad-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11091,a[2]=((C_word)li282),tmp=(C_word)a,a+=3,tmp));
t327=C_mutate((C_word*)lf[371]+1 /* (set! ##sys#error-bad-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11107,a[2]=((C_word)li283),tmp=(C_word)a,a+=3,tmp));
t328=C_mutate((C_word*)lf[361]+1 /* (set! ##sys#error-bad-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11123,a[2]=((C_word)li284),tmp=(C_word)a,a+=3,tmp));
t329=C_mutate((C_word*)lf[372]+1 /* (set! ##sys#error-bad-base ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11139,a[2]=((C_word)li285),tmp=(C_word)a,a+=3,tmp));
t330=C_mutate((C_word*)lf[373]+1 /* (set! scheme#append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11155,a[2]=((C_word)li288),tmp=(C_word)a,a+=3,tmp));
t331=C_mutate((C_word*)lf[375]+1 /* (set! ##sys#fast-reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11234,a[2]=((C_word)li290),tmp=(C_word)a,a+=3,tmp));
t332=C_mutate((C_word*)lf[376]+1 /* (set! ##sys#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11264,a[2]=((C_word)li291),tmp=(C_word)a,a+=3,tmp));
t333=C_mutate((C_word*)lf[377]+1 /* (set! scheme#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11284,a[2]=((C_word)li292),tmp=(C_word)a,a+=3,tmp));
t334=C_mutate((C_word*)lf[381]+1 /* (set! scheme#string->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11320,a[2]=((C_word)li294),tmp=(C_word)a,a+=3,tmp));
t335=C_mutate((C_word*)lf[383]+1 /* (set! ##sys#string->list ...) */,*((C_word*)lf[381]+1));
t336=C_mutate((C_word*)lf[384]+1 /* (set! scheme#list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11358,a[2]=((C_word)li296),tmp=(C_word)a,a+=3,tmp));
t337=C_mutate((C_word*)lf[386]+1 /* (set! ##sys#list->string ...) */,*((C_word*)lf[384]+1));
t338=C_mutate((C_word*)lf[387]+1 /* (set! ##sys#reverse-list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11410,a[2]=((C_word)li298),tmp=(C_word)a,a+=3,tmp));
t339=C_mutate((C_word*)lf[389]+1 /* (set! scheme#string-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11459,a[2]=((C_word)li299),tmp=(C_word)a,a+=3,tmp));
t340=C_mutate((C_word*)lf[391]+1 /* (set! scheme#string-copy ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11472,a[2]=((C_word)li300),tmp=(C_word)a,a+=3,tmp));
t341=C_mutate((C_word*)lf[393]+1 /* (set! scheme#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11484,a[2]=((C_word)li301),tmp=(C_word)a,a+=3,tmp));
t342=C_mutate((C_word*)lf[395]+1 /* (set! ##sys#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11534,a[2]=((C_word)li302),tmp=(C_word)a,a+=3,tmp));
t343=C_SCHEME_UNDEFINED;
t344=(*a=C_VECTOR_TYPE|1,a[1]=t343,tmp=(C_word)a,a+=2,tmp);
t345=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11543,a[2]=((C_word)li303),tmp=(C_word)a,a+=3,tmp);
t346=C_set_block_item(t344,0,t345);
t347=C_mutate((C_word*)lf[396]+1 /* (set! scheme#string<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11564,a[2]=t344,a[3]=((C_word)li305),tmp=(C_word)a,a+=4,tmp));
t348=C_mutate((C_word*)lf[398]+1 /* (set! scheme#string>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11588,a[2]=t344,a[3]=((C_word)li307),tmp=(C_word)a,a+=4,tmp));
t349=C_mutate((C_word*)lf[400]+1 /* (set! scheme#string<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11612,a[2]=t344,a[3]=((C_word)li309),tmp=(C_word)a,a+=4,tmp));
t350=C_mutate((C_word*)lf[402]+1 /* (set! scheme#string>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11633,a[2]=t344,a[3]=((C_word)li311),tmp=(C_word)a,a+=4,tmp));
t351=C_SCHEME_UNDEFINED;
t352=(*a=C_VECTOR_TYPE|1,a[1]=t351,tmp=(C_word)a,a+=2,tmp);
t353=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11653,a[2]=((C_word)li312),tmp=(C_word)a,a+=3,tmp);
t354=C_set_block_item(t352,0,t353);
t355=C_mutate((C_word*)lf[404]+1 /* (set! scheme#string-ci<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11674,a[2]=t352,a[3]=((C_word)li314),tmp=(C_word)a,a+=4,tmp));
t356=C_mutate((C_word*)lf[406]+1 /* (set! scheme#string-ci>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11698,a[2]=t352,a[3]=((C_word)li316),tmp=(C_word)a,a+=4,tmp));
t357=C_mutate((C_word*)lf[408]+1 /* (set! scheme#string-ci<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11722,a[2]=t352,a[3]=((C_word)li318),tmp=(C_word)a,a+=4,tmp));
t358=C_mutate((C_word*)lf[410]+1 /* (set! scheme#string-ci>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11743,a[2]=t352,a[3]=((C_word)li320),tmp=(C_word)a,a+=4,tmp));
t359=C_mutate((C_word*)lf[412]+1 /* (set! ##sys#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11764,a[2]=((C_word)li321),tmp=(C_word)a,a+=3,tmp));
t360=C_mutate((C_word*)lf[413]+1 /* (set! scheme#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11780,a[2]=((C_word)li323),tmp=(C_word)a,a+=3,tmp));
t361=C_mutate((C_word*)lf[415]+1 /* (set! scheme#string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11819,a[2]=((C_word)li324),tmp=(C_word)a,a+=3,tmp));
t362=C_mutate((C_word*)lf[416]+1 /* (set! ##sys#fragments->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11825,a[2]=((C_word)li326),tmp=(C_word)a,a+=3,tmp));
t363=C_mutate((C_word*)lf[417]+1 /* (set! chicken.base#chop ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11860,a[2]=((C_word)li329),tmp=(C_word)a,a+=3,tmp));
t364=C_a_i_provide(&a,1,lf[420]);
t365=C_mutate((C_word*)lf[421]+1 /* (set! chicken.flonum#maximum-flonum ...) */,C_flonum(&a,DBL_MAX));
t366=C_mutate((C_word*)lf[422]+1 /* (set! chicken.flonum#minimum-flonum ...) */,C_flonum(&a,DBL_MIN));
t367=C_set_block_item(lf[423] /* chicken.flonum#flonum-radix */,0,C_fix((C_word)FLT_RADIX));
t368=C_mutate((C_word*)lf[424]+1 /* (set! chicken.flonum#flonum-epsilon ...) */,C_flonum(&a,DBL_EPSILON));
t369=C_set_block_item(lf[425] /* chicken.flonum#flonum-precision */,0,C_fix((C_word)DBL_MANT_DIG));
t370=C_set_block_item(lf[426] /* chicken.flonum#flonum-decimal-precision */,0,C_fix((C_word)DBL_DIG));
t371=C_set_block_item(lf[427] /* chicken.flonum#flonum-maximum-exponent */,0,C_fix((C_word)DBL_MAX_EXP));
t372=C_set_block_item(lf[428] /* chicken.flonum#flonum-minimum-exponent */,0,C_fix((C_word)DBL_MIN_EXP));
t373=C_set_block_item(lf[429] /* chicken.flonum#flonum-maximum-decimal-exponent */,0,C_fix((C_word)DBL_MAX_10_EXP));
t374=C_set_block_item(lf[430] /* chicken.flonum#flonum-minimum-decimal-exponent */,0,C_fix((C_word)DBL_MIN_10_EXP));
t375=C_mutate((C_word*)lf[431]+1 /* (set! chicken.flonum#fp+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11955,a[2]=((C_word)li330),tmp=(C_word)a,a+=3,tmp));
t376=C_mutate((C_word*)lf[433]+1 /* (set! chicken.flonum#fp- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11979,a[2]=((C_word)li331),tmp=(C_word)a,a+=3,tmp));
t377=C_mutate((C_word*)lf[435]+1 /* (set! chicken.flonum#fp* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12003,a[2]=((C_word)li332),tmp=(C_word)a,a+=3,tmp));
t378=C_mutate((C_word*)lf[437]+1 /* (set! chicken.flonum#fp/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12027,a[2]=((C_word)li333),tmp=(C_word)a,a+=3,tmp));
t379=C_mutate((C_word*)lf[439]+1 /* (set! chicken.flonum#fpgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12051,a[2]=((C_word)li334),tmp=(C_word)a,a+=3,tmp));
t380=C_mutate((C_word*)lf[441]+1 /* (set! chicken.flonum#fp/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12075,a[2]=((C_word)li335),tmp=(C_word)a,a+=3,tmp));
t381=C_mutate((C_word*)lf[443]+1 /* (set! chicken.flonum#fp= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12099,a[2]=((C_word)li336),tmp=(C_word)a,a+=3,tmp));
t382=C_mutate((C_word*)lf[445]+1 /* (set! chicken.flonum#fp> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12123,a[2]=((C_word)li337),tmp=(C_word)a,a+=3,tmp));
t383=C_mutate((C_word*)lf[447]+1 /* (set! chicken.flonum#fp< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12147,a[2]=((C_word)li338),tmp=(C_word)a,a+=3,tmp));
t384=C_mutate((C_word*)lf[449]+1 /* (set! chicken.flonum#fp>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12171,a[2]=((C_word)li339),tmp=(C_word)a,a+=3,tmp));
t385=C_mutate((C_word*)lf[451]+1 /* (set! chicken.flonum#fp<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12195,a[2]=((C_word)li340),tmp=(C_word)a,a+=3,tmp));
t386=C_mutate((C_word*)lf[453]+1 /* (set! chicken.flonum#fpneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12219,a[2]=((C_word)li341),tmp=(C_word)a,a+=3,tmp));
t387=C_mutate((C_word*)lf[455]+1 /* (set! chicken.flonum#fpmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12237,a[2]=((C_word)li342),tmp=(C_word)a,a+=3,tmp));
t388=C_mutate((C_word*)lf[457]+1 /* (set! chicken.flonum#fpmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12261,a[2]=((C_word)li343),tmp=(C_word)a,a+=3,tmp));
t389=C_mutate((C_word*)lf[459]+1 /* (set! chicken.flonum#fpfloor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12285,a[2]=((C_word)li344),tmp=(C_word)a,a+=3,tmp));
t390=C_mutate((C_word*)lf[461]+1 /* (set! chicken.flonum#fptruncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12303,a[2]=((C_word)li345),tmp=(C_word)a,a+=3,tmp));
t391=C_mutate((C_word*)lf[463]+1 /* (set! chicken.flonum#fpround ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12321,a[2]=((C_word)li346),tmp=(C_word)a,a+=3,tmp));
t392=C_mutate((C_word*)lf[465]+1 /* (set! chicken.flonum#fpceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12339,a[2]=((C_word)li347),tmp=(C_word)a,a+=3,tmp));
t393=C_mutate((C_word*)lf[467]+1 /* (set! chicken.flonum#fpsin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12357,a[2]=((C_word)li348),tmp=(C_word)a,a+=3,tmp));
t394=C_mutate((C_word*)lf[469]+1 /* (set! chicken.flonum#fpcos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12375,a[2]=((C_word)li349),tmp=(C_word)a,a+=3,tmp));
t395=C_mutate((C_word*)lf[471]+1 /* (set! chicken.flonum#fptan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12393,a[2]=((C_word)li350),tmp=(C_word)a,a+=3,tmp));
t396=C_mutate((C_word*)lf[473]+1 /* (set! chicken.flonum#fpasin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12411,a[2]=((C_word)li351),tmp=(C_word)a,a+=3,tmp));
t397=C_mutate((C_word*)lf[475]+1 /* (set! chicken.flonum#fpacos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12429,a[2]=((C_word)li352),tmp=(C_word)a,a+=3,tmp));
t398=C_mutate((C_word*)lf[477]+1 /* (set! chicken.flonum#fpatan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12447,a[2]=((C_word)li353),tmp=(C_word)a,a+=3,tmp));
t399=C_mutate((C_word*)lf[479]+1 /* (set! chicken.flonum#fpatan2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12465,a[2]=((C_word)li354),tmp=(C_word)a,a+=3,tmp));
t400=C_mutate((C_word*)lf[481]+1 /* (set! chicken.flonum#fpexp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12489,a[2]=((C_word)li355),tmp=(C_word)a,a+=3,tmp));
t401=C_mutate((C_word*)lf[483]+1 /* (set! chicken.flonum#fpexpt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12507,a[2]=((C_word)li356),tmp=(C_word)a,a+=3,tmp));
t402=C_mutate((C_word*)lf[485]+1 /* (set! chicken.flonum#fplog ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12531,a[2]=((C_word)li357),tmp=(C_word)a,a+=3,tmp));
t403=C_mutate((C_word*)lf[487]+1 /* (set! chicken.flonum#fpsqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12549,a[2]=((C_word)li358),tmp=(C_word)a,a+=3,tmp));
t404=C_mutate((C_word*)lf[489]+1 /* (set! chicken.flonum#fpabs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12567,a[2]=((C_word)li359),tmp=(C_word)a,a+=3,tmp));
t405=C_mutate((C_word*)lf[491]+1 /* (set! chicken.flonum#fpinteger? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12585,a[2]=((C_word)li360),tmp=(C_word)a,a+=3,tmp));
t406=C_mutate((C_word*)lf[493]+1 /* (set! chicken.flonum#flonum-print-precision ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12603,a[2]=((C_word)li361),tmp=(C_word)a,a+=3,tmp));
t407=C_mutate((C_word*)lf[495]+1 /* (set! ##sys#number? ...) */,*((C_word*)lf[77]+1));
t408=C_mutate((C_word*)lf[496]+1 /* (set! ##sys#integer? ...) */,*((C_word*)lf[81]+1));
t409=C_mutate((C_word*)lf[497]+1 /* (set! ##sys#exact? ...) */,*((C_word*)lf[82]+1));
t410=C_mutate((C_word*)lf[498]+1 /* (set! ##sys#inexact? ...) */,*((C_word*)lf[83]+1));
t411=C_mutate(&lf[499] /* (set! make-complex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12625,a[2]=((C_word)li362),tmp=(C_word)a,a+=3,tmp));
t412=C_mutate((C_word*)lf[501]+1 /* (set! scheme#make-rectangular ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12661,a[2]=((C_word)li363),tmp=(C_word)a,a+=3,tmp));
t413=C_mutate((C_word*)lf[503]+1 /* (set! scheme#make-polar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12673,a[2]=((C_word)li364),tmp=(C_word)a,a+=3,tmp));
t414=C_mutate((C_word*)lf[505]+1 /* (set! scheme#real-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12694,a[2]=((C_word)li365),tmp=(C_word)a,a+=3,tmp));
t415=C_mutate((C_word*)lf[507]+1 /* (set! scheme#imag-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12717,a[2]=((C_word)li366),tmp=(C_word)a,a+=3,tmp));
t416=C_mutate((C_word*)lf[509]+1 /* (set! scheme#angle ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12743,a[2]=((C_word)li367),tmp=(C_word)a,a+=3,tmp));
t417=C_mutate((C_word*)lf[511]+1 /* (set! scheme#magnitude ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12759,a[2]=((C_word)li368),tmp=(C_word)a,a+=3,tmp));
t418=C_mutate(&lf[514] /* (set! ratnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12798,a[2]=((C_word)li369),tmp=(C_word)a,a+=3,tmp));
t419=C_mutate((C_word*)lf[515]+1 /* (set! scheme#numerator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12844,a[2]=((C_word)li370),tmp=(C_word)a,a+=3,tmp));
t420=C_mutate((C_word*)lf[520]+1 /* (set! scheme#denominator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12890,a[2]=((C_word)li371),tmp=(C_word)a,a+=3,tmp));
t421=C_mutate((C_word*)lf[524]+1 /* (set! ##sys#extended-signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12936,a[2]=((C_word)li372),tmp=(C_word)a,a+=3,tmp));
t422=C_mutate((C_word*)lf[518]+1 /* (set! scheme#inexact->exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13056,a[2]=((C_word)li375),tmp=(C_word)a,a+=3,tmp));
t423=C_mutate((C_word*)lf[532]+1 /* (set! ##sys#exact->inexact ...) */,*((C_word*)lf[62]+1));
t424=C_mutate((C_word*)lf[533]+1 /* (set! ##sys#inexact->exact ...) */,*((C_word*)lf[518]+1));
t425=C_a_i_provide(&a,1,lf[534]);
t426=C_mutate((C_word*)lf[535]+1 /* (set! chicken.bitwise#bitwise-and ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_and,a[2]=((C_word)li376),tmp=(C_word)a,a+=3,tmp));
t427=C_mutate((C_word*)lf[536]+1 /* (set! chicken.bitwise#bitwise-ior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_ior,a[2]=((C_word)li377),tmp=(C_word)a,a+=3,tmp));
t428=C_mutate((C_word*)lf[537]+1 /* (set! chicken.bitwise#bitwise-xor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_xor,a[2]=((C_word)li378),tmp=(C_word)a,a+=3,tmp));
t429=C_mutate((C_word*)lf[538]+1 /* (set! chicken.bitwise#bitwise-not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13122,a[2]=((C_word)li379),tmp=(C_word)a,a+=3,tmp));
t430=C_mutate((C_word*)lf[539]+1 /* (set! chicken.bitwise#bit->boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13125,a[2]=((C_word)li380),tmp=(C_word)a,a+=3,tmp));
t431=C_mutate((C_word*)lf[540]+1 /* (set! chicken.bitwise#integer-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13128,a[2]=((C_word)li381),tmp=(C_word)a,a+=3,tmp));
t432=C_mutate((C_word*)lf[541]+1 /* (set! chicken.bitwise#arithmetic-shift ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13131,a[2]=((C_word)li382),tmp=(C_word)a,a+=3,tmp));
t433=C_mutate((C_word*)lf[542]+1 /* (set! scheme#/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13134,a[2]=((C_word)li384),tmp=(C_word)a,a+=3,tmp));
t434=C_mutate((C_word*)lf[526]+1 /* (set! ##sys#/-2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13185,a[2]=((C_word)li385),tmp=(C_word)a,a+=3,tmp));
t435=C_mutate((C_word*)lf[545]+1 /* (set! scheme#floor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13433,a[2]=((C_word)li386),tmp=(C_word)a,a+=3,tmp));
t436=C_mutate((C_word*)lf[547]+1 /* (set! scheme#ceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13474,a[2]=((C_word)li387),tmp=(C_word)a,a+=3,tmp));
t437=C_mutate((C_word*)lf[549]+1 /* (set! scheme#truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13515,a[2]=((C_word)li388),tmp=(C_word)a,a+=3,tmp));
t438=C_mutate((C_word*)lf[551]+1 /* (set! scheme#round ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13549,a[2]=((C_word)li389),tmp=(C_word)a,a+=3,tmp));
t439=C_mutate(&lf[553] /* (set! find-ratio-between ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13589,a[2]=((C_word)li391),tmp=(C_word)a,a+=3,tmp));
t440=C_mutate((C_word*)lf[555]+1 /* (set! scheme#rationalize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13725,a[2]=((C_word)li392),tmp=(C_word)a,a+=3,tmp));
t441=C_mutate((C_word*)lf[556]+1 /* (set! scheme#max ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13750,a[2]=((C_word)li394),tmp=(C_word)a,a+=3,tmp));
t442=C_mutate((C_word*)lf[558]+1 /* (set! scheme#min ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13793,a[2]=((C_word)li396),tmp=(C_word)a,a+=3,tmp));
t443=C_mutate((C_word*)lf[560]+1 /* (set! scheme#exp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13836,a[2]=((C_word)li397),tmp=(C_word)a,a+=3,tmp));
t444=C_mutate((C_word*)lf[562]+1 /* (set! ##sys#log-1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13878,a[2]=((C_word)li398),tmp=(C_word)a,a+=3,tmp));
t445=C_mutate((C_word*)lf[566]+1 /* (set! scheme#log ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13921,a[2]=((C_word)li399),tmp=(C_word)a,a+=3,tmp));
t446=C_mutate((C_word*)lf[567]+1 /* (set! scheme#sin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13950,a[2]=((C_word)li400),tmp=(C_word)a,a+=3,tmp));
t447=C_mutate((C_word*)lf[571]+1 /* (set! scheme#cos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13980,a[2]=((C_word)li401),tmp=(C_word)a,a+=3,tmp));
t448=C_mutate((C_word*)lf[573]+1 /* (set! scheme#tan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14010,a[2]=((C_word)li402),tmp=(C_word)a,a+=3,tmp));
t449=C_mutate((C_word*)lf[575]+1 /* (set! scheme#asin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14035,a[2]=((C_word)li403),tmp=(C_word)a,a+=3,tmp));
t450=C_a_i_asin(&a,1,C_fix(1));
t451=C_mutate((C_word*)lf[579]+1 /* (set! scheme#acos ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14088,a[2]=t450,a[3]=((C_word)li404),tmp=(C_word)a,a+=4,tmp));
t452=C_mutate((C_word*)lf[581]+1 /* (set! scheme#atan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14128,a[2]=((C_word)li405),tmp=(C_word)a,a+=3,tmp));
t453=C_mutate((C_word*)lf[583]+1 /* (set! ##sys#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14186,a[2]=((C_word)li411),tmp=(C_word)a,a+=3,tmp));
t454=C_mutate((C_word*)lf[585]+1 /* (set! chicken.base#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14351,a[2]=((C_word)li412),tmp=(C_word)a,a+=3,tmp));
t455=C_mutate((C_word*)lf[578]+1 /* (set! ##sys#sqrt/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14360,a[2]=((C_word)li419),tmp=(C_word)a,a+=3,tmp));
t456=C_mutate((C_word*)lf[512]+1 /* (set! scheme#sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14511,a[2]=((C_word)li420),tmp=(C_word)a,a+=3,tmp));
t457=C_mutate((C_word*)lf[588]+1 /* (set! chicken.base#exact-integer-nth-root ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14517,a[2]=((C_word)li421),tmp=(C_word)a,a+=3,tmp));
t458=C_mutate((C_word*)lf[589]+1 /* (set! ##sys#exact-integer-nth-root/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14529,a[2]=((C_word)li423),tmp=(C_word)a,a+=3,tmp));
t459=C_mutate((C_word*)lf[528]+1 /* (set! ##sys#integer-power ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14632,a[2]=((C_word)li425),tmp=(C_word)a,a+=3,tmp));
t460=C_mutate((C_word*)lf[531]+1 /* (set! scheme#expt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14694,a[2]=((C_word)li430),tmp=(C_word)a,a+=3,tmp));
t461=C_mutate(&lf[543] /* (set! ##sys#internal-gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14954,a[2]=((C_word)li431),tmp=(C_word)a,a+=3,tmp));
t462=C_mutate((C_word*)lf[593]+1 /* (set! ##sys#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15024,a[2]=((C_word)li432),tmp=(C_word)a,a+=3,tmp));
t463=C_mutate((C_word*)lf[595]+1 /* (set! scheme#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15030,a[2]=((C_word)li434),tmp=(C_word)a,a+=3,tmp));
t464=C_mutate((C_word*)lf[596]+1 /* (set! ##sys#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15081,a[2]=((C_word)li435),tmp=(C_word)a,a+=3,tmp));
t465=C_mutate((C_word*)lf[598]+1 /* (set! scheme#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15092,a[2]=((C_word)li437),tmp=(C_word)a,a+=3,tmp));
t466=C_mutate((C_word*)lf[599]+1 /* (set! ##sys#integer->string/recursive ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15147,a[2]=((C_word)li441),tmp=(C_word)a,a+=3,tmp));
t467=C_mutate((C_word*)lf[601]+1 /* (set! ##sys#extended-number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15200,a[2]=((C_word)li442),tmp=(C_word)a,a+=3,tmp));
t468=C_mutate(&lf[607] /* (set! round-quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15367,a[2]=((C_word)li443),tmp=(C_word)a,a+=3,tmp));
t469=C_mutate(&lf[608] /* (set! ##sys#string->compnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15405,a[2]=((C_word)li454),tmp=(C_word)a,a+=3,tmp));
t470=C_mutate((C_word*)lf[617]+1 /* (set! scheme#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16806,a[2]=((C_word)li456),tmp=(C_word)a,a+=3,tmp));
t471=C_mutate((C_word*)lf[619]+1 /* (set! ##sys#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17061,a[2]=((C_word)li457),tmp=(C_word)a,a+=3,tmp));
t472=C_mutate((C_word*)lf[620]+1 /* (set! ##sys#fixnum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_fixnum_to_string,a[2]=((C_word)li458),tmp=(C_word)a,a+=3,tmp));
t473=C_mutate((C_word*)lf[621]+1 /* (set! ##sys#flonum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_flonum_to_string,a[2]=((C_word)li459),tmp=(C_word)a,a+=3,tmp));
t474=C_mutate((C_word*)lf[622]+1 /* (set! ##sys#integer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_integer_to_string,a[2]=((C_word)li460),tmp=(C_word)a,a+=3,tmp));
t475=C_mutate((C_word*)lf[600]+1 /* (set! ##sys#number->string ...) */,*((C_word*)lf[87]+1));
t476=C_mutate((C_word*)lf[623]+1 /* (set! chicken.base#equal=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17107,a[2]=((C_word)li464),tmp=(C_word)a,a+=3,tmp));
t477=C_mutate((C_word*)lf[624]+1 /* (set! ##sys#snafu ...) */,lf[625]);
t478=C_mutate((C_word*)lf[626]+1 /* (set! ##sys#intern-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_symbol,a[2]=((C_word)li465),tmp=(C_word)a,a+=3,tmp));
t479=C_mutate((C_word*)lf[627]+1 /* (set! ##sys#interned-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17277,a[2]=((C_word)li466),tmp=(C_word)a,a+=3,tmp));
t480=C_mutate((C_word*)lf[628]+1 /* (set! ##sys#string->symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17280,a[2]=((C_word)li467),tmp=(C_word)a,a+=3,tmp));
t481=*((C_word*)lf[391]+1);
t482=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17289,a[2]=((C_word)li468),tmp=(C_word)a,a+=3,tmp);
t483=C_mutate((C_word*)lf[629]+1 /* (set! ##sys#symbol->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17316,a[2]=t482,a[3]=((C_word)li469),tmp=(C_word)a,a+=4,tmp));
t484=C_mutate((C_word*)lf[630]+1 /* (set! ##sys#symbol->qualified-string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17334,a[2]=t482,a[3]=((C_word)li470),tmp=(C_word)a,a+=4,tmp));
t485=C_mutate((C_word*)lf[633]+1 /* (set! ##sys#qualified-symbol-prefix ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17360,a[2]=t482,a[3]=((C_word)li471),tmp=(C_word)a,a+=4,tmp));
t486=C_mutate((C_word*)lf[634]+1 /* (set! ##sys#qualified-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17378,a[2]=((C_word)li472),tmp=(C_word)a,a+=3,tmp));
t487=C_mutate((C_word*)lf[635]+1 /* (set! ##sys#string->qualified-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17401,a[2]=((C_word)li473),tmp=(C_word)a,a+=3,tmp));
t488=C_mutate((C_word*)lf[636]+1 /* (set! scheme#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17414,a[2]=((C_word)li474),tmp=(C_word)a,a+=3,tmp));
t489=*((C_word*)lf[391]+1);
t490=C_mutate((C_word*)lf[638]+1 /* (set! scheme#string->symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17427,a[2]=t489,a[3]=((C_word)li475),tmp=(C_word)a,a+=4,tmp));
t491=*((C_word*)lf[391]+1);
t492=C_mutate((C_word*)lf[640]+1 /* (set! chicken.base#string->uninterned-symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17440,a[2]=t491,a[3]=((C_word)li477),tmp=(C_word)a,a+=4,tmp));
t493=C_fix(-1);
t494=(*a=C_VECTOR_TYPE|1,a[1]=t493,tmp=(C_word)a,a+=2,tmp);
t495=C_mutate((C_word*)lf[642]+1 /* (set! chicken.base#gensym ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17453,a[2]=t494,a[3]=((C_word)li479),tmp=(C_word)a,a+=4,tmp));
t496=*((C_word*)lf[413]+1);
t497=C_mutate((C_word*)lf[646]+1 /* (set! chicken.base#symbol-append ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17507,a[2]=t496,a[3]=((C_word)li481),tmp=(C_word)a,a+=4,tmp));
t498=C_a_i_provide(&a,1,lf[648]);
t499=C_mutate((C_word*)lf[649]+1 /* (set! chicken.keyword#keyword? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17566,a[2]=((C_word)li482),tmp=(C_word)a,a+=3,tmp));
t500=C_mutate((C_word*)lf[650]+1 /* (set! chicken.keyword#string->keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17575,a[2]=((C_word)li483),tmp=(C_word)a,a+=3,tmp));
t501=*((C_word*)lf[649]+1);
t502=C_mutate((C_word*)lf[652]+1 /* (set! chicken.keyword#keyword->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17596,a[2]=t501,a[3]=((C_word)li484),tmp=(C_word)a,a+=4,tmp));
t503=C_a_i_list1(&a,1,lf[655]);
t504=t503;
t505=C_mutate((C_word*)lf[656]+1 /* (set! chicken.keyword#get-keyword ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17614,a[2]=t504,a[3]=((C_word)li485),tmp=(C_word)a,a+=4,tmp));
t506=C_mutate((C_word*)lf[658]+1 /* (set! ##sys#get-keyword ...) */,*((C_word*)lf[656]+1));
t507=C_a_i_provide(&a,1,lf[659]);
t508=C_mutate((C_word*)lf[660]+1 /* (set! ##sys#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17642,a[2]=((C_word)li486),tmp=(C_word)a,a+=3,tmp));
t509=C_mutate((C_word*)lf[661]+1 /* (set! chicken.blob#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17648,a[2]=((C_word)li487),tmp=(C_word)a,a+=3,tmp));
t510=C_mutate((C_word*)lf[663]+1 /* (set! chicken.blob#blob? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17657,a[2]=((C_word)li488),tmp=(C_word)a,a+=3,tmp));
t511=C_mutate((C_word*)lf[664]+1 /* (set! chicken.blob#blob-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17663,a[2]=((C_word)li489),tmp=(C_word)a,a+=3,tmp));
t512=C_mutate((C_word*)lf[666]+1 /* (set! chicken.blob#string->blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17672,a[2]=((C_word)li490),tmp=(C_word)a,a+=3,tmp));
t513=C_mutate((C_word*)lf[668]+1 /* (set! chicken.blob#blob->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17684,a[2]=((C_word)li491),tmp=(C_word)a,a+=3,tmp));
t514=C_mutate((C_word*)lf[670]+1 /* (set! chicken.blob#blob=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17696,a[2]=((C_word)li492),tmp=(C_word)a,a+=3,tmp));
t515=C_mutate((C_word*)lf[93]+1 /* (set! scheme#make-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17719,a[2]=((C_word)li493),tmp=(C_word)a,a+=3,tmp));
t516=C_mutate((C_word*)lf[674]+1 /* (set! ##sys#make-vector ...) */,*((C_word*)lf[93]+1));
t517=C_mutate((C_word*)lf[94]+1 /* (set! scheme#list->vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17748,a[2]=((C_word)li495),tmp=(C_word)a,a+=3,tmp));
t518=C_mutate((C_word*)lf[95]+1 /* (set! scheme#vector->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17800,a[2]=((C_word)li497),tmp=(C_word)a,a+=3,tmp));
t519=C_mutate((C_word*)lf[96]+1 /* (set! scheme#vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17833,a[2]=((C_word)li498),tmp=(C_word)a,a+=3,tmp));
t520=C_mutate((C_word*)lf[97]+1 /* (set! scheme#vector-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17839,a[2]=((C_word)li500),tmp=(C_word)a,a+=3,tmp));
t521=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#vector-copy! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17867,a[2]=((C_word)li502),tmp=(C_word)a,a+=3,tmp));
t522=C_mutate((C_word*)lf[205]+1 /* (set! chicken.base#subvector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17936,a[2]=((C_word)li504),tmp=(C_word)a,a+=3,tmp));
t523=C_mutate((C_word*)lf[206]+1 /* (set! chicken.base#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18007,a[2]=((C_word)li505),tmp=(C_word)a,a+=3,tmp));
t524=C_mutate(&lf[682] /* (set! ##sys#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18028,a[2]=((C_word)li507),tmp=(C_word)a,a+=3,tmp));
t525=C_mutate((C_word*)lf[113]+1 /* (set! scheme#char-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18067,a[2]=((C_word)li508),tmp=(C_word)a,a+=3,tmp));
t526=C_mutate((C_word*)lf[114]+1 /* (set! scheme#char-ci>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18081,a[2]=((C_word)li509),tmp=(C_word)a,a+=3,tmp));
t527=C_mutate((C_word*)lf[115]+1 /* (set! scheme#char-ci<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18092,a[2]=((C_word)li510),tmp=(C_word)a,a+=3,tmp));
t528=C_mutate((C_word*)lf[116]+1 /* (set! scheme#char-ci>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18103,a[2]=((C_word)li511),tmp=(C_word)a,a+=3,tmp));
t529=C_mutate((C_word*)lf[117]+1 /* (set! scheme#char-ci<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18114,a[2]=((C_word)li512),tmp=(C_word)a,a+=3,tmp));
t530=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18127,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2970: scheme#make-vector */
t531=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t531;
av2[1]=t530;
av2[2]=C_fix(37);
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t531+1)))(4,av2);}}

/* scheme#not in k8542 */
static void C_ccall f_8546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8546,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#boolean? in k8542 */
static void C_ccall f_8549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8549,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_booleanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eq? in k8542 */
static void C_ccall f_8552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8552,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#eqv? in k8542 */
static void C_ccall f_8555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8555,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_eqvp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#equal? in k8542 */
static void C_ccall f_8558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8558,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#pair? in k8542 */
static void C_ccall f_8561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8561,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_pairp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cons in k8542 */
static void C_ccall f_8564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_8564,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#car in k8542 */
static void C_ccall f_8567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8567,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdr in k8542 */
static void C_ccall f_8570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8570,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#set-car! in k8542 */
static void C_ccall f_8573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8573,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#set-cdr! in k8542 */
static void C_ccall f_8576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8576,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadr in k8542 */
static void C_ccall f_8579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8579,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caddr in k8542 */
static void C_ccall f_8582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8582,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadddr in k8542 */
static void C_ccall f_8585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8585,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddddr in k8542 */
static void C_ccall f_8588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8588,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caar in k8542 */
static void C_ccall f_8591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8591,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdar in k8542 */
static void C_ccall f_8594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8594,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddr in k8542 */
static void C_ccall f_8597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8597,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caaar in k8542 */
static void C_ccall f_8600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8600,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadr in k8542 */
static void C_ccall f_8614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8614,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadar in k8542 */
static void C_ccall f_8621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8621,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaar in k8542 */
static void C_ccall f_8628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8628,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadr in k8542 */
static void C_ccall f_8642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8642,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddar in k8542 */
static void C_ccall f_8649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8649,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddr in k8542 */
static void C_ccall f_8663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8663,3,av);}
t3=C_i_cdr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaaar in k8542 */
static void C_ccall f_8677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8677,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_car(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#caaadr in k8542 */
static void C_ccall f_8695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8695,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadar in k8542 */
static void C_ccall f_8706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8706,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaddr in k8542 */
static void C_ccall f_8717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8717,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadaar in k8542 */
static void C_ccall f_8724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8724,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cadr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cadadr in k8542 */
static void C_ccall f_8735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8735,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caddar in k8542 */
static void C_ccall f_8739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8739,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_caddr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaaar in k8542 */
static void C_ccall f_8746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8746,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cdaadr in k8542 */
static void C_ccall f_8764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8764,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadar in k8542 */
static void C_ccall f_8775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8775,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdaddr in k8542 */
static void C_ccall f_8786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8786,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddaar in k8542 */
static void C_ccall f_8793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8793,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cddadr in k8542 */
static void C_ccall f_8811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8811,3,av);}
t3=C_i_cadr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddar in k8542 */
static void C_ccall f_8822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8822,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#null? in k8542 */
static void C_ccall f_8840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8840,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list in k8542 */
static void C_ccall f_8846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_8846,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#length in k8542 */
static void C_ccall f_8849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8849,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list-tail in k8542 */
static void C_ccall f_8852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8852,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_tail(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list-ref in k8542 */
static void C_ccall f_8855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8855,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#reverse in k8542 */
static void C_ccall f_8858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_8858,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_8864,a[2]=t4,a[3]=t2,a[4]=((C_word)li44),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_8864(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in scheme#reverse in k8542 */
static void C_fcall f_8864(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_8864,4,t0,t1,t2,t3);}
a=C_alloc(3);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t5=C_slot(t2,C_fix(1));
t6=C_slot(t2,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t3);
/* library.scm:313: loop */
t9=t1;
t10=t5;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:314: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[48];
tp(4,av2);}}}}

/* scheme#memq in k8542 */
static void C_ccall f_8897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8897,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#memv in k8542 */
static void C_ccall f_8900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8900,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#member in k8542 */
static void C_ccall f_8903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8903,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_member(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assq in k8542 */
static void C_ccall f_8906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8906,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assv in k8542 */
static void C_ccall f_8909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8909,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assoc in k8542 */
static void C_ccall f_8912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8912,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assoc(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list? in k8542 */
static void C_ccall f_8915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8915,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_listp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string? in k8542 */
static void C_ccall f_8918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8918,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_stringp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-length in k8542 */
static void C_ccall f_8921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8921,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_string_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-ref in k8542 */
static void C_ccall f_8924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8924,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-set! in k8542 */
static void C_ccall f_8927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8927,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_string_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#string=? in k8542 */
static void C_ccall f_8930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8930,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-ci=? in k8542 */
static void C_ccall f_8933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8933,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ci_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#exact->inexact in k8542 */
static void C_ccall f_8937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_8937,3,av);}
a=C_alloc(12);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_exact_to_inexact(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#abs in k8542 */
static void C_ccall f_8940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_8940,3,av);}
a=C_alloc(7);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#quotient in k8542 */
static void C_ccall f_8946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8946,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#remainder in k8542 */
static void C_ccall f_8949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8949,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_remainder(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#modulo in k8542 */
static void C_ccall f_8952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8952,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_modulo(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#even? in k8542 */
static void C_ccall f_8955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8955,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_evenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#odd? in k8542 */
static void C_ccall f_8958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8958,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_oddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#number? in k8542 */
static void C_ccall f_8966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8966,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_numberp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#real? in k8542 */
static void C_ccall f_8970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8970,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_realp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#rational? in k8542 */
static void C_ccall f_8973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8973,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_rationalp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#integer? in k8542 */
static void C_ccall f_8976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8976,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#exact? in k8542 */
static void C_ccall f_8979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8979,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#inexact? in k8542 */
static void C_ccall f_8982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8982,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_inexactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#zero? in k8542 */
static void C_ccall f_8985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8985,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_zerop(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#positive? in k8542 */
static void C_ccall f_8988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8988,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_positivep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#negative? in k8542 */
static void C_ccall f_8991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8991,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_negativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol? in k8542 */
static void C_ccall f_8995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8995,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_symbolp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector? in k8542 */
static void C_ccall f_8998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8998,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-length in k8542 */
static void C_ccall f_9001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9001,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-ref in k8542 */
static void C_ccall f_9004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9004,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#vector-set! in k8542 */
static void C_ccall f_9007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9007,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_vector_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#char? in k8542 */
static void C_ccall f_9015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9015,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_charp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char->integer in k8542 */
static void C_ccall f_9018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9018,3,av);}
t3=C_i_check_char_2(t2,lf[100]);
t4=C_character_code(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_fix(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#integer->char in k8542 */
static void C_ccall f_9025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9025,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9029,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:454: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[103];
tp(4,av2);}}

/* k9027 in scheme#integer->char in k8542 */
static void C_ccall f_9029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9029,2,av);}
t2=C_unfix(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_make_character(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char=? in k8542 */
static void C_ccall f_9032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9032,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>? in k8542 */
static void C_ccall f_9035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9035,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<? in k8542 */
static void C_ccall f_9038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9038,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>=? in k8542 */
static void C_ccall f_9041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9041,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<=? in k8542 */
static void C_ccall f_9044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9044,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upcase in k8542 */
static void C_ccall f_9047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9047,3,av);}
t3=C_i_check_char_2(t2,lf[110]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-downcase in k8542 */
static void C_ccall f_9053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9053,3,av);}
t3=C_i_check_char_2(t2,lf[112]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_downcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upper-case? in k8542 */
static void C_ccall f_9064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9064,3,av);}
t3=C_i_check_char_2(t2,lf[119]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upper_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-lower-case? in k8542 */
static void C_ccall f_9070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9070,3,av);}
t3=C_i_check_char_2(t2,lf[121]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lower_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-numeric? in k8542 */
static void C_ccall f_9076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9076,3,av);}
t3=C_i_check_char_2(t2,lf[123]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_numericp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-whitespace? in k8542 */
static void C_ccall f_9082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9082,3,av);}
t3=C_i_check_char_2(t2,lf[125]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_whitespacep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-alphabetic? in k8542 */
static void C_ccall f_9088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9088,3,av);}
t3=C_i_check_char_2(t2,lf[127]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_alphabeticp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#procedure? in k8542 */
static void C_ccall f_9094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9094,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_closurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#input-port? in k8542 */
static void C_ccall f_9101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9101,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_input_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#output-port? in k8542 */
static void C_ccall f_9107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9107,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_output_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#eof-object? in k8542 */
static void C_ccall f_9123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9123,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eofp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eval in k8542 */
static void C_ccall f_9134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9134,3,av);}
/* library.scm:547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[156];
av2[3]=lf[157];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#interaction-environment in k8542 */
static void C_ccall f_9140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9140,2,av);}
/* library.scm:550: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[159];
av2[3]=lf[160];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#scheme-report-environment in k8542 */
static void C_ccall f_9146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9146,3,av);}
/* library.scm:553: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[162];
av2[3]=lf[163];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#null-environment in k8542 */
static void C_ccall f_9152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9152,2,av);}
/* library.scm:556: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[165];
av2[3]=lf[166];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#load in k8542 */
static void C_ccall f_9158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9158,3,av);}
/* library.scm:559: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[168];
av2[3]=lf[169];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.base#fixnum? in k8542 */
static void C_ccall f_9167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9167,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#flonum? in k8542 */
static void C_ccall f_9170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9170,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_flonump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#bignum? in k8542 */
static void C_ccall f_9173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9173,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_bignump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#ratnum? in k8542 */
static void C_ccall f_9176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9176,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_ratnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#cplxnum? in k8542 */
static void C_ccall f_9179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9179,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cplxnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#exact-integer? in k8542 */
static void C_ccall f_9182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9182,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exact_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#quotient&modulo in k8542 */
static void C_ccall f_9186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_9186,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9192,a[2]=t2,a[3]=t3,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9198,a[2]=t3,a[3]=((C_word)li124),tmp=(C_word)a,a+=4,tmp);
/* library.scm:619: scheme#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a9191 in chicken.base#quotient&modulo in k8542 */
static void C_ccall f_9192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9192,2,av);}
/* library.scm:619: quotient&remainder */
t2=*((C_word*)lf[180]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a9197 in chicken.base#quotient&modulo in k8542 */
static void C_ccall f_9198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_9198,4,av);}
a=C_alloc(29);
t4=((C_word*)t0)[2];
if(C_truep(C_i_positivep(t4))){
t5=t3;
if(C_truep(C_i_negativep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:623: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:624: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}
else{
t5=t3;
if(C_truep(C_i_positivep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:626: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:627: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}}

/* chicken.base#finite? in k8542 */
static void C_ccall f_9231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9231,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_finitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#infinite? in k8542 */
static void C_ccall f_9234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9234,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_infinitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#nan? in k8542 */
static void C_ccall f_9237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9237,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_nanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#add1 in k8542 */
static void C_ccall f_9245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9245,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sub1 in k8542 */
static void C_ccall f_9250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9250,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_minus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#error in k8542 */
static void C_ccall f_9256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_9256,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_pairp(t2))){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[195];
av2[4]=t2;
C_apply(5,av2);}}
else{
/* library.scm:648: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[195];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* chicken.base#void in k8542 */
static void C_ccall f_9271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9271,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#promise? in k8542 */
static void C_ccall f_9292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9292,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[216]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-promise in k8542 */
static void C_ccall f_9298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9298,3,av);}
a=C_alloc(3);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[216],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#make-promise in k8542 */
static void C_ccall f_9304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9304,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9311,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:692: promise? */
t4=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k9309 in chicken.base#make-promise in k8542 */
static void C_ccall f_9311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9311,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9316,a[2]=((C_word*)t0)[2],a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
/* library.scm:693: ##sys#make-promise */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[217]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[217]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}}

/* a9315 in k9309 in chicken.base#make-promise in k8542 */
static void C_ccall f_9316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9316,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#foldl in k8542 */
static void C_ccall f_9319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9319,5,av);}
a=C_alloc(7);
t5=C_i_check_list_2(t4,lf[220]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9328,a[2]=t7,a[3]=t2,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9328(t9,t1,t4,t3);}

/* loop in chicken.base#foldl in k8542 */
static void C_fcall f_9328(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9328,4,t0,t1,t2,t3);}
a=C_alloc(5);
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9346,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t8=C_slot(t2,C_fix(0));
/* library.scm:702: f */
t9=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=t3;
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k9344 in loop in chicken.base#foldl in k8542 */
static void C_ccall f_9346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9346,2,av);}
/* library.scm:702: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9328(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* chicken.base#foldr in k8542 */
static void C_ccall f_9356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9356,5,av);}
a=C_alloc(8);
t5=C_i_check_list_2(t4,lf[222]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9365,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li140),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_9365(t9,t1,t4);}

/* loop in chicken.base#foldr in k8542 */
static void C_fcall f_9365(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9365,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[2];
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9383,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:709: loop */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* k9381 in loop in chicken.base#foldr in k8542 */
static void C_ccall f_9383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9383,2,av);}
/* library.scm:709: f */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* chicken.base#on-exit in k8542 */
static void C_ccall f_9396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9396,3,av);}
a=C_alloc(3);
t3=C_a_i_cons(&a,2,t2,*((C_word*)lf[225]+1));
t4=C_mutate((C_word*)lf[225]+1 /* (set! chicken.base#cleanup-tasks ...) */,t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#exit in k8542 */
static void C_ccall f_9403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9403,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34607,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:722: chicken.base#exit-handler */
t4=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9410,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:722: chicken.base#exit-handler */
t6=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k9408 in chicken.base#exit in k8542 */
static void C_ccall f_9410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9410,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* chicken.base#emergency-exit in k8542 */
static void C_ccall f_9421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9421,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34076,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=C_fix(0);
av2[3]=lf[229];
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9428,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[229];
tp(4,av2);}}}

/* k9426 in chicken.base#emergency-exit in k8542 */
static void C_ccall f_9428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9428,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#identity in k8542 */
static void C_ccall f_9440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9440,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#conjoin in k8542 */
static void C_ccall f_9443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9443,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9445,a[2]=t2,a[3]=((C_word)li147),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9445 in chicken.base#conjoin in k8542 */
static void C_ccall f_9445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9445,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9451,a[2]=t4,a[3]=t2,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9451(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9451(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9451,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9467,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:743: g700 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k9465 in loop */
static void C_ccall f_9467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9467,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:744: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9451(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#disjoin in k8542 */
static void C_ccall f_9476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9476,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9478,a[2]=t2,a[3]=((C_word)li150),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9478 in chicken.base#disjoin in k8542 */
static void C_ccall f_9478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9478,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9484,a[2]=t4,a[3]=t2,a[4]=((C_word)li149),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9484(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9484(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9484,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(C_i_not(t3))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9497,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:750: g712 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9495 in loop */
static void C_ccall f_9497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9497,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:751: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_9484(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#constantly in k8542 */
static void C_ccall f_9513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9513,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=t2;
t4=C_u_i_length(t3);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=C_i_car(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9524,a[2]=t7,a[3]=((C_word)li152),tmp=(C_word)a,a+=4,tmp);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9526,a[2]=t2,a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* f_9524 in chicken.base#constantly in k8542 */
static void C_ccall f_9524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9524,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9526 in chicken.base#constantly in k8542 */
static void C_ccall f_9526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9526,2,av);}{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=*((C_word*)lf[130]+1);
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}

/* chicken.base#flip in k8542 */
static void C_ccall f_9534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_9534,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9536,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9536 in chicken.base#flip in k8542 */
static void C_ccall f_9536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9536,4,av);}
/* library.scm:759: proc */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* chicken.base#complement in k8542 */
static void C_ccall f_9542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9542,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9544,a[2]=t2,a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9544 in chicken.base#complement in k8542 */
static void C_ccall f_9544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_9544,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9552,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}

/* k9550 */
static void C_ccall f_9552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9552,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#compose in k8542 */
static void C_ccall f_9554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9554,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9557,a[2]=t4,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_nullp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=*((C_word*)lf[130]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t4)[1];
av2[3]=t2;
C_apply(4,av2);}}}

/* rec in chicken.base#compose in k8542 */
static void C_ccall f_9557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_9557,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9565,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t2,a[5]=((C_word)li160),tmp=(C_word)a,a+=6,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9565 in rec in chicken.base#compose in k8542 */
static void C_ccall f_9565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9565,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9571,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li159),tmp=(C_word)a,a+=6,tmp);
/* library.scm:770: scheme#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[4];
C_call_with_values(4,av2);}}

/* a9570 */
static void C_ccall f_9571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9571,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9579,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* k9577 in a9570 */
static void C_ccall f_9579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9579,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
C_apply(4,av2);}}

/* chicken.base#o in k8542 */
static void C_ccall f_9590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9590,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=*((C_word*)lf[234]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9602,a[2]=t4,a[3]=((C_word)li164),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9602(t6,t1,t2);}}

/* loop in chicken.base#o in k8542 */
static void C_fcall f_9602(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9602,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9616,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li163),tmp=(C_word)a,a+=6,tmp);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* f_9616 in loop in chicken.base#o in k8542 */
static void C_ccall f_9616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_9616,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9624,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:785: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_9602(t4,t3,((C_word*)t0)[4]);}

/* k9622 */
static void C_ccall f_9624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9624,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9627,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:785: g741 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k9625 in k9622 */
static void C_ccall f_9627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9627,2,av);}
/* library.scm:785: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#list-of? in k8542 */
static void C_ccall f_9629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9629,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9631,a[2]=t2,a[3]=((C_word)li167),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9631 in chicken.base#list-of? in k8542 */
static void C_ccall f_9631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9631,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9637,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word)li166),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9637(t6,t1,t2);}

/* loop */
static void C_fcall f_9637(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9637,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9656,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:792: pred */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}}

/* k9654 in loop */
static void C_ccall f_9656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9656,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9637(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#each in k8542 */
static void C_ccall f_9673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9673,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9681,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(1));
t4=C_i_nullp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t2,C_fix(0)):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9695,a[2]=t2,a[3]=((C_word)li171),tmp=(C_word)a,a+=4,tmp));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9681 in chicken.base#each in k8542 */
static void C_ccall f_9681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9681,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9695 in chicken.base#each in k8542 */
static void C_ccall f_9695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9695,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9701,a[2]=t2,a[3]=t4,a[4]=((C_word)li170),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9701(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9701(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9701,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=t4;
if(C_truep(C_i_nullp(t5))){{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9720,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}}

/* k9718 in loop */
static void C_ccall f_9720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9720,2,av);}
/* library.scm:807: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9701(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.base#atom? in k8542 */
static void C_ccall f_9729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9729,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not_pair_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#tail? in k8542 */
static void C_ccall f_9732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9732,4,av);}
a=C_alloc(4);
t4=C_i_check_list_2(t3,lf[247]);
t5=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9744,a[2]=t2,a[3]=((C_word)li174),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_9744(t6,t3)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* loop in chicken.base#tail? in k8542 */
static C_word C_fcall f_9744(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_stack_overflow_check;
loop:{}
if(C_truep(C_eqp(t1,C_SCHEME_END_OF_LIST))){
return(C_SCHEME_FALSE);}
else{
if(C_truep(C_eqp(((C_word*)t0)[2],t1))){
return(C_SCHEME_TRUE);}
else{
t2=C_slot(t1,C_fix(1));
t4=t2;
t1=t4;
goto loop;}}}

/* chicken.base#intersperse in k8542 */
static void C_ccall f_9760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9760,4,av);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9766,a[2]=t3,a[3]=t5,a[4]=((C_word)li176),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9766(t7,t1,t2);}

/* loop in chicken.base#intersperse in k8542 */
static void C_fcall f_9766(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9766,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_eqp(t2,C_SCHEME_END_OF_LIST))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_cdr(t2);
if(C_truep(C_eqp(t3,C_SCHEME_END_OF_LIST))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9791,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:830: loop */
t8=t6;
t9=t3;
t1=t8;
t2=t9;
goto loop;}}}

/* k9789 in loop in chicken.base#intersperse in k8542 */
static void C_ccall f_9791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9791,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#butlast in k8542 */
static void C_ccall f_9793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_9793,3,av);}
a=C_alloc(6);
t3=C_i_check_pair_2(t2,lf[250]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9802,a[2]=t5,a[3]=((C_word)li178),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_9802(t7,t1,t2);}

/* loop in chicken.base#butlast in k8542 */
static void C_fcall f_9802(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_9802,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(1));
t4=(C_truep(C_blockp(t3))?C_pairp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9823,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:837: loop */
t9=t7;
t10=t3;
t1=t9;
t2=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k9821 in loop in chicken.base#butlast in k8542 */
static void C_ccall f_9823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9823,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flatten in k8542 */
static void C_ccall f_9825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_9825,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9831,a[2]=t4,a[3]=((C_word)li180),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9831(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in chicken.base#flatten in k8542 */
static void C_fcall f_9831(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9831,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_listp(t5))){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9857,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:847: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9864,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:848: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}

/* k9855 in loop in chicken.base#flatten in k8542 */
static void C_ccall f_9857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9857,2,av);}
/* library.scm:847: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9831(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k9862 in loop in chicken.base#flatten in k8542 */
static void C_ccall f_9864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9864,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#join in k8542 */
static void C_ccall f_9866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9866,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9870,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_9870(t6,C_u_i_car(t5));}
else{
t5=t4;
f_9870(t5,C_SCHEME_END_OF_LIST);}}

/* k9868 in chicken.base#join in k8542 */
static void C_fcall f_9870(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_9870,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=C_i_check_list_2(t2,lf[253]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9878,a[2]=t2,a[3]=t5,a[4]=((C_word)li182),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9878(t7,((C_word*)t0)[2],((C_word*)t0)[3]);}

/* loop in k9868 in chicken.base#join in k8542 */
static void C_fcall f_9878(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9878,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:858: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9913,a[2]=t1,a[3]=t5,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:864: loop */
t9=t7;
t10=t6;
t1=t9;
t2=t10;
goto loop;}}}}

/* k9911 in loop in k9868 in chicken.base#join in k8542 */
static void C_ccall f_9913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_9913,2,av);}
/* library.scm:864: ##sys#append */
t2=*((C_word*)lf[254]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#compress in k8542 */
static void C_ccall f_9923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9923,4,av);}
a=C_alloc(7);
t4=lf[256];
t5=C_i_check_list_2(t3,lf[257]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9932,a[2]=t4,a[3]=t7,a[4]=((C_word)li184),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9932(t9,t1,t2,t3);}

/* loop in chicken.base#compress in k8542 */
static void C_fcall f_9932(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_9932,4,t0,t1,t2,t3);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
/* library.scm:873: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
t5=C_i_pairp(t3);
if(C_truep(C_i_not(t5))){
/* library.scm:875: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
if(C_truep(C_slot(t2,C_fix(0)))){
t6=C_slot(t3,C_fix(0));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9974,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_slot(t2,C_fix(1));
t10=C_slot(t3,C_fix(1));
/* library.scm:877: loop */
t12=t8;
t13=t9;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=C_slot(t2,C_fix(1));
t7=C_slot(t3,C_fix(1));
/* library.scm:878: loop */
t12=t1;
t13=t6;
t14=t7;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}}}

/* k9972 in loop in chicken.base#compress in k8542 */
static void C_ccall f_9974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9974,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_library_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("library"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_library_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(7870))){
C_save(t1);
C_rereclaim2(7870*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,1389);
lf[0]=C_h_intern(&lf[0],7, C_text("library"));
lf[1]=C_h_intern(&lf[1],7, C_text("scheme#"));
lf[2]=C_h_intern(&lf[2],10, C_text("scheme#not"));
lf[3]=C_h_intern(&lf[3],15, C_text("scheme#boolean\077"));
lf[4]=C_h_intern(&lf[4],10, C_text("scheme#eq\077"));
lf[5]=C_h_intern(&lf[5],11, C_text("scheme#eqv\077"));
lf[6]=C_h_intern(&lf[6],13, C_text("scheme#equal\077"));
lf[7]=C_h_intern(&lf[7],12, C_text("scheme#pair\077"));
lf[8]=C_h_intern(&lf[8],11, C_text("scheme#cons"));
lf[9]=C_h_intern(&lf[9],10, C_text("scheme#car"));
lf[10]=C_h_intern(&lf[10],10, C_text("scheme#cdr"));
lf[11]=C_h_intern(&lf[11],15, C_text("scheme#set-car!"));
lf[12]=C_h_intern(&lf[12],15, C_text("scheme#set-cdr!"));
lf[13]=C_h_intern(&lf[13],11, C_text("scheme#cadr"));
lf[14]=C_h_intern(&lf[14],12, C_text("scheme#caddr"));
lf[15]=C_h_intern(&lf[15],13, C_text("scheme#cadddr"));
lf[16]=C_h_intern(&lf[16],13, C_text("scheme#cddddr"));
lf[17]=C_h_intern(&lf[17],11, C_text("scheme#caar"));
lf[18]=C_h_intern(&lf[18],11, C_text("scheme#cdar"));
lf[19]=C_h_intern(&lf[19],11, C_text("scheme#cddr"));
lf[20]=C_h_intern(&lf[20],12, C_text("scheme#caaar"));
lf[21]=C_h_intern(&lf[21],12, C_text("scheme#caadr"));
lf[22]=C_h_intern(&lf[22],12, C_text("scheme#cadar"));
lf[23]=C_h_intern(&lf[23],12, C_text("scheme#cdaar"));
lf[24]=C_h_intern(&lf[24],12, C_text("scheme#cdadr"));
lf[25]=C_h_intern(&lf[25],12, C_text("scheme#cddar"));
lf[26]=C_h_intern(&lf[26],12, C_text("scheme#cdddr"));
lf[27]=C_h_intern(&lf[27],13, C_text("scheme#caaaar"));
lf[28]=C_h_intern(&lf[28],13, C_text("scheme#caaadr"));
lf[29]=C_h_intern(&lf[29],13, C_text("scheme#caadar"));
lf[30]=C_h_intern(&lf[30],13, C_text("scheme#caaddr"));
lf[31]=C_h_intern(&lf[31],13, C_text("scheme#cadaar"));
lf[32]=C_h_intern(&lf[32],13, C_text("scheme#cadadr"));
lf[33]=C_h_intern(&lf[33],13, C_text("scheme#caddar"));
lf[34]=C_h_intern(&lf[34],13, C_text("scheme#cdaaar"));
lf[35]=C_h_intern(&lf[35],13, C_text("scheme#cdaadr"));
lf[36]=C_h_intern(&lf[36],13, C_text("scheme#cdadar"));
lf[37]=C_h_intern(&lf[37],13, C_text("scheme#cdaddr"));
lf[38]=C_h_intern(&lf[38],13, C_text("scheme#cddaar"));
lf[39]=C_h_intern(&lf[39],13, C_text("scheme#cddadr"));
lf[40]=C_h_intern(&lf[40],13, C_text("scheme#cdddar"));
lf[41]=C_h_intern(&lf[41],12, C_text("scheme#null\077"));
lf[42]=C_h_intern(&lf[42],11, C_text("scheme#list"));
lf[43]=C_h_intern(&lf[43],13, C_text("scheme#length"));
lf[44]=C_h_intern(&lf[44],16, C_text("scheme#list-tail"));
lf[45]=C_h_intern(&lf[45],15, C_text("scheme#list-ref"));
lf[46]=C_h_intern(&lf[46],14, C_text("scheme#reverse"));
lf[47]=C_h_intern(&lf[47],27, C_text("\003syserror-not-a-proper-list"));
lf[48]=C_h_intern(&lf[48],7, C_text("reverse"));
lf[49]=C_h_intern(&lf[49],11, C_text("scheme#memq"));
lf[50]=C_h_intern(&lf[50],11, C_text("scheme#memv"));
lf[51]=C_h_intern(&lf[51],13, C_text("scheme#member"));
lf[52]=C_h_intern(&lf[52],11, C_text("scheme#assq"));
lf[53]=C_h_intern(&lf[53],11, C_text("scheme#assv"));
lf[54]=C_h_intern(&lf[54],12, C_text("scheme#assoc"));
lf[55]=C_h_intern(&lf[55],12, C_text("scheme#list\077"));
lf[56]=C_h_intern(&lf[56],14, C_text("scheme#string\077"));
lf[57]=C_h_intern(&lf[57],20, C_text("scheme#string-length"));
lf[58]=C_h_intern(&lf[58],17, C_text("scheme#string-ref"));
lf[59]=C_h_intern(&lf[59],18, C_text("scheme#string-set!"));
lf[60]=C_h_intern(&lf[60],15, C_text("scheme#string=\077"));
lf[61]=C_h_intern(&lf[61],18, C_text("scheme#string-ci=\077"));
lf[62]=C_h_intern(&lf[62],21, C_text("scheme#exact->inexact"));
lf[63]=C_h_intern(&lf[63],10, C_text("scheme#abs"));
lf[64]=C_h_intern(&lf[64],8, C_text("scheme#+"));
lf[65]=C_h_intern(&lf[65],8, C_text("scheme#-"));
lf[66]=C_h_intern(&lf[66],8, C_text("scheme#\052"));
lf[67]=C_h_intern(&lf[67],15, C_text("scheme#quotient"));
lf[68]=C_h_intern(&lf[68],16, C_text("scheme#remainder"));
lf[69]=C_h_intern(&lf[69],13, C_text("scheme#modulo"));
lf[70]=C_h_intern(&lf[70],12, C_text("scheme#even\077"));
lf[71]=C_h_intern(&lf[71],11, C_text("scheme#odd\077"));
lf[72]=C_h_intern(&lf[72],8, C_text("scheme#="));
lf[73]=C_h_intern(&lf[73],8, C_text("scheme#>"));
lf[74]=C_h_intern(&lf[74],8, C_text("scheme#<"));
lf[75]=C_h_intern(&lf[75],9, C_text("scheme#>="));
lf[76]=C_h_intern(&lf[76],9, C_text("scheme#<="));
lf[77]=C_h_intern(&lf[77],14, C_text("scheme#number\077"));
lf[78]=C_h_intern(&lf[78],15, C_text("scheme#complex\077"));
lf[79]=C_h_intern(&lf[79],12, C_text("scheme#real\077"));
lf[80]=C_h_intern(&lf[80],16, C_text("scheme#rational\077"));
lf[81]=C_h_intern(&lf[81],15, C_text("scheme#integer\077"));
lf[82]=C_h_intern(&lf[82],13, C_text("scheme#exact\077"));
lf[83]=C_h_intern(&lf[83],15, C_text("scheme#inexact\077"));
lf[84]=C_h_intern(&lf[84],12, C_text("scheme#zero\077"));
lf[85]=C_h_intern(&lf[85],16, C_text("scheme#positive\077"));
lf[86]=C_h_intern(&lf[86],16, C_text("scheme#negative\077"));
lf[87]=C_h_intern(&lf[87],21, C_text("scheme#number->string"));
lf[88]=C_h_intern(&lf[88],14, C_text("scheme#symbol\077"));
lf[89]=C_h_intern(&lf[89],14, C_text("scheme#vector\077"));
lf[90]=C_h_intern(&lf[90],20, C_text("scheme#vector-length"));
lf[91]=C_h_intern(&lf[91],17, C_text("scheme#vector-ref"));
lf[92]=C_h_intern(&lf[92],18, C_text("scheme#vector-set!"));
lf[93]=C_h_intern(&lf[93],18, C_text("scheme#make-vector"));
lf[94]=C_h_intern(&lf[94],19, C_text("scheme#list->vector"));
lf[95]=C_h_intern(&lf[95],19, C_text("scheme#vector->list"));
lf[96]=C_h_intern(&lf[96],13, C_text("scheme#vector"));
lf[97]=C_h_intern(&lf[97],19, C_text("scheme#vector-fill!"));
lf[98]=C_h_intern(&lf[98],12, C_text("scheme#char\077"));
lf[99]=C_h_intern(&lf[99],20, C_text("scheme#char->integer"));
lf[100]=C_h_intern(&lf[100],13, C_text("char->integer"));
lf[101]=C_h_intern(&lf[101],20, C_text("scheme#integer->char"));
lf[102]=C_h_intern(&lf[102],16, C_text("\003syscheck-fixnum"));
lf[103]=C_h_intern(&lf[103],13, C_text("integer->char"));
lf[104]=C_h_intern(&lf[104],13, C_text("scheme#char=\077"));
lf[105]=C_h_intern(&lf[105],13, C_text("scheme#char>\077"));
lf[106]=C_h_intern(&lf[106],13, C_text("scheme#char<\077"));
lf[107]=C_h_intern(&lf[107],14, C_text("scheme#char>=\077"));
lf[108]=C_h_intern(&lf[108],14, C_text("scheme#char<=\077"));
lf[109]=C_h_intern(&lf[109],18, C_text("scheme#char-upcase"));
lf[110]=C_h_intern(&lf[110],11, C_text("char-upcase"));
lf[111]=C_h_intern(&lf[111],20, C_text("scheme#char-downcase"));
lf[112]=C_h_intern(&lf[112],13, C_text("char-downcase"));
lf[113]=C_h_intern(&lf[113],16, C_text("scheme#char-ci=\077"));
lf[114]=C_h_intern(&lf[114],16, C_text("scheme#char-ci>\077"));
lf[115]=C_h_intern(&lf[115],16, C_text("scheme#char-ci<\077"));
lf[116]=C_h_intern(&lf[116],17, C_text("scheme#char-ci>=\077"));
lf[117]=C_h_intern(&lf[117],17, C_text("scheme#char-ci<=\077"));
lf[118]=C_h_intern(&lf[118],23, C_text("scheme#char-upper-case\077"));
lf[119]=C_h_intern(&lf[119],16, C_text("char-upper-case\077"));
lf[120]=C_h_intern(&lf[120],23, C_text("scheme#char-lower-case\077"));
lf[121]=C_h_intern(&lf[121],16, C_text("char-lower-case\077"));
lf[122]=C_h_intern(&lf[122],20, C_text("scheme#char-numeric\077"));
lf[123]=C_h_intern(&lf[123],13, C_text("char-numeric\077"));
lf[124]=C_h_intern(&lf[124],23, C_text("scheme#char-whitespace\077"));
lf[125]=C_h_intern(&lf[125],16, C_text("char-whitespace\077"));
lf[126]=C_h_intern(&lf[126],23, C_text("scheme#char-alphabetic\077"));
lf[127]=C_h_intern(&lf[127],16, C_text("char-alphabetic\077"));
lf[128]=C_h_intern(&lf[128],17, C_text("scheme#procedure\077"));
lf[129]=C_h_intern(&lf[129],12, C_text("scheme#apply"));
lf[130]=C_h_intern(&lf[130],13, C_text("scheme#values"));
lf[131]=C_h_intern(&lf[131],23, C_text("scheme#call-with-values"));
lf[132]=C_h_intern(&lf[132],37, C_text("scheme#call-with-current-continuation"));
lf[133]=C_h_intern(&lf[133],18, C_text("scheme#input-port\077"));
lf[134]=C_h_intern(&lf[134],19, C_text("scheme#output-port\077"));
lf[135]=C_h_intern(&lf[135],25, C_text("scheme#current-input-port"));
lf[136]=C_h_intern(&lf[136],26, C_text("scheme#current-output-port"));
lf[137]=C_h_intern(&lf[137],22, C_text("scheme#open-input-file"));
lf[138]=C_h_intern(&lf[138],23, C_text("scheme#open-output-file"));
lf[139]=C_h_intern(&lf[139],23, C_text("scheme#close-input-port"));
lf[140]=C_h_intern(&lf[140],24, C_text("scheme#close-output-port"));
lf[141]=C_h_intern(&lf[141],27, C_text("scheme#call-with-input-file"));
lf[142]=C_h_intern(&lf[142],28, C_text("scheme#call-with-output-file"));
lf[143]=C_h_intern(&lf[143],27, C_text("scheme#with-input-from-file"));
lf[144]=C_h_intern(&lf[144],26, C_text("scheme#with-output-to-file"));
lf[145]=C_h_intern(&lf[145],18, C_text("scheme#eof-object\077"));
lf[146]=C_h_intern(&lf[146],18, C_text("scheme#char-ready\077"));
lf[147]=C_h_intern(&lf[147],16, C_text("scheme#read-char"));
lf[148]=C_h_intern(&lf[148],16, C_text("scheme#peek-char"));
lf[149]=C_h_intern(&lf[149],11, C_text("scheme#read"));
lf[150]=C_h_intern(&lf[150],17, C_text("scheme#write-char"));
lf[151]=C_h_intern(&lf[151],14, C_text("scheme#newline"));
lf[152]=C_h_intern(&lf[152],12, C_text("scheme#write"));
lf[153]=C_h_intern(&lf[153],14, C_text("scheme#display"));
lf[154]=C_h_intern(&lf[154],11, C_text("scheme#eval"));
lf[155]=C_h_intern(&lf[155],9, C_text("\003syserror"));
lf[156]=C_h_intern(&lf[156],4, C_text("eval"));
lf[157]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`eval\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[158]=C_h_intern(&lf[158],30, C_text("scheme#interaction-environment"));
lf[159]=C_h_intern(&lf[159],23, C_text("interaction-environment"));
lf[160]=C_decode_literal(C_heaptop,C_text("\376B\000\000g`interaction-environment\047 is not defined - the `eval\047 unit was probably not"
" linked with this executable"));
lf[161]=C_h_intern(&lf[161],32, C_text("scheme#scheme-report-environment"));
lf[162]=C_h_intern(&lf[162],25, C_text("scheme-report-environment"));
lf[163]=C_decode_literal(C_heaptop,C_text("\376B\000\000i`scheme-report-environment\047 is not defined - the `eval\047 unit was probably n"
"ot linked with this executable"));
lf[164]=C_h_intern(&lf[164],23, C_text("scheme#null-environment"));
lf[165]=C_h_intern(&lf[165],16, C_text("null-environment"));
lf[166]=C_decode_literal(C_heaptop,C_text("\376B\000\000``null-environment\047 is not defined - the `eval\047 unit was probably not linked"
" with this executable"));
lf[167]=C_h_intern(&lf[167],11, C_text("scheme#load"));
lf[168]=C_h_intern(&lf[168],4, C_text("load"));
lf[169]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`load\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[170]=C_h_intern(&lf[170],15, C_text("scheme#for-each"));
lf[171]=C_h_intern(&lf[171],10, C_text("scheme#map"));
lf[172]=C_h_intern(&lf[172],19, C_text("scheme#dynamic-wind"));
lf[173]=C_h_intern(&lf[173],13, C_text("chicken.base#"));
lf[174]=C_h_intern(&lf[174],20, C_text("chicken.base#fixnum\077"));
lf[175]=C_h_intern(&lf[175],20, C_text("chicken.base#flonum\077"));
lf[176]=C_h_intern(&lf[176],20, C_text("chicken.base#bignum\077"));
lf[177]=C_h_intern(&lf[177],20, C_text("chicken.base#ratnum\077"));
lf[178]=C_h_intern(&lf[178],21, C_text("chicken.base#cplxnum\077"));
lf[179]=C_h_intern(&lf[179],27, C_text("chicken.base#exact-integer\077"));
lf[180]=C_h_intern(&lf[180],31, C_text("chicken.base#quotient&remainder"));
lf[181]=C_h_intern(&lf[181],28, C_text("chicken.base#quotient&modulo"));
lf[182]=C_h_intern(&lf[182],20, C_text("chicken.base#finite\077"));
lf[183]=C_h_intern(&lf[183],22, C_text("chicken.base#infinite\077"));
lf[184]=C_h_intern(&lf[184],17, C_text("chicken.base#nan\077"));
lf[185]=C_h_intern(&lf[185],19, C_text("chicken.base#signum"));
lf[186]=C_h_intern(&lf[186],27, C_text("chicken.base#get-call-chain"));
lf[187]=C_h_intern(&lf[187],29, C_text("chicken.base#print-call-chain"));
lf[188]=C_h_intern(&lf[188],18, C_text("chicken.base#print"));
lf[189]=C_h_intern(&lf[189],19, C_text("chicken.base#print\052"));
lf[190]=C_h_intern(&lf[190],17, C_text("chicken.base#add1"));
lf[191]=C_h_intern(&lf[191],17, C_text("chicken.base#sub1"));
lf[192]=C_h_intern(&lf[192],31, C_text("chicken.base#current-error-port"));
lf[193]=C_h_intern(&lf[193],18, C_text("chicken.base#error"));
lf[194]=C_h_intern(&lf[194],15, C_text("\003syssignal-hook"));
lf[195]=C_h_intern(&lf[195],6, C_text("\000error"));
lf[196]=C_h_intern(&lf[196],17, C_text("chicken.base#void"));
lf[197]=C_h_intern(&lf[197],18, C_text("chicken.base#sleep"));
lf[198]=C_h_intern(&lf[198],20, C_text("chicken.base#call/cc"));
lf[199]=C_h_intern(&lf[199],22, C_text("chicken.base#char-name"));
lf[200]=C_h_intern(&lf[200],31, C_text("chicken.base#getter-with-setter"));
lf[201]=C_h_intern(&lf[201],27, C_text("chicken.base#make-parameter"));
lf[202]=C_h_intern(&lf[202],34, C_text("chicken.base#procedure-information"));
lf[203]=C_h_intern(&lf[203],19, C_text("chicken.base#setter"));
lf[204]=C_h_intern(&lf[204],25, C_text("chicken.base#vector-copy!"));
lf[205]=C_h_intern(&lf[205],22, C_text("chicken.base#subvector"));
lf[206]=C_h_intern(&lf[206],26, C_text("chicken.base#vector-resize"));
lf[207]=C_h_intern(&lf[207],18, C_text("chicken.base#port\077"));
lf[208]=C_h_intern(&lf[208],25, C_text("chicken.base#port-closed\077"));
lf[209]=C_h_intern(&lf[209],29, C_text("chicken.base#input-port-open\077"));
lf[210]=C_h_intern(&lf[210],30, C_text("chicken.base#output-port-open\077"));
lf[211]=C_h_intern(&lf[211],30, C_text("chicken.base#get-output-string"));
lf[212]=C_h_intern(&lf[212],30, C_text("chicken.base#open-input-string"));
lf[213]=C_h_intern(&lf[213],31, C_text("chicken.base#open-output-string"));
lf[214]=C_h_intern(&lf[214],25, C_text("chicken.base#flush-output"));
lf[215]=C_h_intern(&lf[215],21, C_text("chicken.base#promise\077"));
lf[216]=C_h_intern(&lf[216],7, C_text("promise"));
lf[217]=C_h_intern(&lf[217],16, C_text("\003sysmake-promise"));
lf[218]=C_h_intern(&lf[218],25, C_text("chicken.base#make-promise"));
lf[219]=C_h_intern(&lf[219],18, C_text("chicken.base#foldl"));
lf[220]=C_h_intern(&lf[220],5, C_text("foldl"));
lf[221]=C_h_intern(&lf[221],18, C_text("chicken.base#foldr"));
lf[222]=C_h_intern(&lf[222],5, C_text("foldr"));
lf[223]=C_h_intern(&lf[223],34, C_text("chicken.base#implicit-exit-handler"));
lf[224]=C_h_intern(&lf[224],25, C_text("chicken.base#exit-handler"));
lf[225]=C_h_intern(&lf[225],26, C_text("chicken.base#cleanup-tasks"));
lf[226]=C_h_intern(&lf[226],20, C_text("chicken.base#on-exit"));
lf[227]=C_h_intern(&lf[227],17, C_text("chicken.base#exit"));
lf[228]=C_h_intern(&lf[228],27, C_text("chicken.base#emergency-exit"));
lf[229]=C_h_intern(&lf[229],14, C_text("emergency-exit"));
lf[230]=C_h_intern(&lf[230],27, C_text("chicken.base#case-sensitive"));
lf[231]=C_h_intern(&lf[231],26, C_text("chicken.base#keyword-style"));
lf[232]=C_h_intern(&lf[232],33, C_text("chicken.base#parentheses-synonyms"));
lf[233]=C_h_intern(&lf[233],26, C_text("chicken.base#symbol-escape"));
lf[234]=C_h_intern(&lf[234],21, C_text("chicken.base#identity"));
lf[235]=C_h_intern(&lf[235],20, C_text("chicken.base#conjoin"));
lf[236]=C_h_intern(&lf[236],20, C_text("chicken.base#disjoin"));
lf[237]=C_h_intern(&lf[237],23, C_text("chicken.base#constantly"));
lf[238]=C_h_intern(&lf[238],17, C_text("chicken.base#flip"));
lf[239]=C_h_intern(&lf[239],23, C_text("chicken.base#complement"));
lf[240]=C_h_intern(&lf[240],20, C_text("chicken.base#compose"));
lf[241]=C_h_intern(&lf[241],14, C_text("chicken.base#o"));
lf[242]=C_h_intern(&lf[242],21, C_text("chicken.base#list-of\077"));
lf[243]=C_h_intern(&lf[243],17, C_text("chicken.base#each"));
lf[244]=C_h_intern(&lf[244],19, C_text("\003sysundefined-value"));
lf[245]=C_h_intern(&lf[245],18, C_text("chicken.base#atom\077"));
lf[246]=C_h_intern(&lf[246],18, C_text("chicken.base#tail\077"));
lf[247]=C_h_intern(&lf[247],5, C_text("tail\077"));
lf[248]=C_h_intern(&lf[248],24, C_text("chicken.base#intersperse"));
lf[249]=C_h_intern(&lf[249],20, C_text("chicken.base#butlast"));
lf[250]=C_h_intern(&lf[250],7, C_text("butlast"));
lf[251]=C_h_intern(&lf[251],20, C_text("chicken.base#flatten"));
lf[252]=C_h_intern(&lf[252],17, C_text("chicken.base#join"));
lf[253]=C_h_intern(&lf[253],4, C_text("join"));
lf[254]=C_h_intern(&lf[254],10, C_text("\003sysappend"));
lf[255]=C_h_intern(&lf[255],21, C_text("chicken.base#compress"));
lf[256]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[257]=C_h_intern(&lf[257],8, C_text("compress"));
lf[258]=C_h_intern(&lf[258],11, C_text("\000type-error"));
lf[259]=C_h_intern(&lf[259],26, C_text("chicken.base#alist-update!"));
lf[260]=C_h_intern(&lf[260],25, C_text("chicken.base#alist-update"));
lf[261]=C_h_intern(&lf[261],12, C_text("alist-update"));
lf[262]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[263]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[264]=C_h_intern(&lf[264],22, C_text("chicken.base#alist-ref"));
lf[265]=C_h_intern(&lf[265],9, C_text("alist-ref"));
lf[266]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[267]=C_h_intern(&lf[267],19, C_text("chicken.base#rassoc"));
lf[268]=C_h_intern(&lf[268],6, C_text("rassoc"));
lf[270]=C_h_intern(&lf[270],15, C_text("chicken.fixnum#"));
lf[271]=C_h_intern(&lf[271],35, C_text("chicken.fixnum#most-positive-fixnum"));
lf[272]=C_h_intern(&lf[272],35, C_text("chicken.fixnum#most-negative-fixnum"));
lf[273]=C_h_intern(&lf[273],26, C_text("chicken.fixnum#fixnum-bits"));
lf[274]=C_h_intern(&lf[274],31, C_text("chicken.fixnum#fixnum-precision"));
lf[275]=C_h_intern(&lf[275],18, C_text("chicken.fixnum#fx+"));
lf[276]=C_h_intern(&lf[276],18, C_text("chicken.fixnum#fx-"));
lf[277]=C_h_intern(&lf[277],18, C_text("chicken.fixnum#fx\052"));
lf[278]=C_h_intern(&lf[278],18, C_text("chicken.fixnum#fx="));
lf[279]=C_h_intern(&lf[279],18, C_text("chicken.fixnum#fx>"));
lf[280]=C_h_intern(&lf[280],18, C_text("chicken.fixnum#fx<"));
lf[281]=C_h_intern(&lf[281],19, C_text("chicken.fixnum#fx>="));
lf[282]=C_h_intern(&lf[282],19, C_text("chicken.fixnum#fx<="));
lf[283]=C_h_intern(&lf[283],20, C_text("chicken.fixnum#fxmin"));
lf[284]=C_h_intern(&lf[284],20, C_text("chicken.fixnum#fxmax"));
lf[285]=C_h_intern(&lf[285],20, C_text("chicken.fixnum#fxneg"));
lf[286]=C_h_intern(&lf[286],20, C_text("chicken.fixnum#fxand"));
lf[287]=C_h_intern(&lf[287],20, C_text("chicken.fixnum#fxior"));
lf[288]=C_h_intern(&lf[288],20, C_text("chicken.fixnum#fxxor"));
lf[289]=C_h_intern(&lf[289],20, C_text("chicken.fixnum#fxnot"));
lf[290]=C_h_intern(&lf[290],20, C_text("chicken.fixnum#fxshl"));
lf[291]=C_h_intern(&lf[291],20, C_text("chicken.fixnum#fxshr"));
lf[292]=C_h_intern(&lf[292],21, C_text("chicken.fixnum#fxodd\077"));
lf[293]=C_h_intern(&lf[293],22, C_text("chicken.fixnum#fxeven\077"));
lf[294]=C_h_intern(&lf[294],20, C_text("chicken.fixnum#fxlen"));
lf[295]=C_h_intern(&lf[295],18, C_text("chicken.fixnum#fx/"));
lf[296]=C_h_intern(&lf[296],20, C_text("chicken.fixnum#fxgcd"));
lf[297]=C_h_intern(&lf[297],20, C_text("chicken.fixnum#fxmod"));
lf[298]=C_h_intern(&lf[298],20, C_text("chicken.fixnum#fxrem"));
lf[299]=C_h_intern(&lf[299],19, C_text("chicken.fixnum#fx+\077"));
lf[300]=C_h_intern(&lf[300],19, C_text("chicken.fixnum#fx-\077"));
lf[301]=C_h_intern(&lf[301],19, C_text("chicken.fixnum#fx\052\077"));
lf[302]=C_h_intern(&lf[302],19, C_text("chicken.fixnum#fx/\077"));
lf[303]=C_h_intern(&lf[303],15, C_text("\003sysdebug-mode\077"));
lf[304]=C_h_intern(&lf[304],20, C_text("\003syswarnings-enabled"));
lf[305]=C_h_intern(&lf[305],19, C_text("\003sysnotices-enabled"));
lf[306]=C_h_intern(&lf[306],20, C_text("chicken.base#warning"));
lf[307]=C_h_intern(&lf[307],8, C_text("\000warning"));
lf[308]=C_h_intern(&lf[308],19, C_text("chicken.base#notice"));
lf[309]=C_h_intern(&lf[309],7, C_text("\000notice"));
lf[310]=C_h_intern(&lf[310],28, C_text("chicken.base#enable-warnings"));
lf[311]=C_h_intern(&lf[311],8, C_text("\003syswarn"));
lf[312]=C_h_intern(&lf[312],10, C_text("\003sysnotice"));
lf[313]=C_h_intern(&lf[313],6, C_text("\003sysgc"));
lf[314]=C_h_intern(&lf[314],11, C_text("\003syssetslot"));
lf[315]=C_h_intern(&lf[315],12, C_text("\003syssetislot"));
lf[316]=C_h_intern(&lf[316],19, C_text("\003sysallocate-vector"));
lf[317]=C_h_intern(&lf[317],18, C_text("\003sysmake-structure"));
lf[318]=C_h_intern(&lf[318],23, C_text("\003sysensure-heap-reserve"));
lf[319]=C_h_intern(&lf[319],21, C_text("\003syssymbol-table-info"));
lf[320]=C_h_intern(&lf[320],15, C_text("\003sysmemory-info"));
lf[321]=C_h_intern(&lf[321],15, C_text("\003sysstart-timer"));
lf[322]=C_h_intern(&lf[322],14, C_text("\003sysstop-timer"));
lf[323]=C_h_intern(&lf[323],14, C_text("\003sysimmediate\077"));
lf[324]=C_h_intern(&lf[324],11, C_text("\003sysmessage"));
lf[325]=C_h_intern(&lf[325],8, C_text("\003sysbyte"));
lf[326]=C_h_intern(&lf[326],11, C_text("\003syssetbyte"));
lf[327]=C_h_intern(&lf[327],8, C_text("\003sysvoid"));
lf[328]=C_h_intern(&lf[328],8, C_text("\003syshalt"));
lf[329]=C_h_intern(&lf[329],11, C_text("\003sysbecome!"));
lf[330]=C_h_intern(&lf[330],13, C_text("\003sysblock-ref"));
lf[331]=C_h_intern(&lf[331],16, C_text("\003sysapply-values"));
lf[332]=C_h_intern(&lf[332],16, C_text("\003syscopy-closure"));
lf[333]=C_h_intern(&lf[333],14, C_text("\003sysblock-set!"));
lf[334]=C_h_intern(&lf[334],15, C_text("\003syscheck-range"));
lf[335]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023slot not accessible"));
lf[336]=C_h_intern(&lf[336],13, C_text("chicken.time#"));
lf[337]=C_h_intern(&lf[337],33, C_text("chicken.time#current-milliseconds"));
lf[338]=C_h_intern(&lf[338],28, C_text("chicken.time#current-seconds"));
lf[339]=C_h_intern(&lf[339],21, C_text("chicken.time#cpu-time"));
lf[340]=C_h_intern(&lf[340],19, C_text("\003syscheck-structure"));
lf[341]=C_h_intern(&lf[341],14, C_text("\003syscheck-blob"));
lf[342]=C_h_intern(&lf[342],21, C_text("\003syscheck-byte-vector"));
lf[343]=C_h_intern(&lf[343],14, C_text("\003syscheck-pair"));
lf[344]=C_h_intern(&lf[344],14, C_text("\003syscheck-list"));
lf[345]=C_h_intern(&lf[345],16, C_text("\003syscheck-string"));
lf[346]=C_h_intern(&lf[346],16, C_text("\003syscheck-number"));
lf[347]=C_h_intern(&lf[347],15, C_text("\003syscheck-exact"));
lf[348]=C_h_intern(&lf[348],17, C_text("\003syscheck-inexact"));
lf[349]=C_h_intern(&lf[349],16, C_text("\003syscheck-symbol"));
lf[350]=C_h_intern(&lf[350],16, C_text("\003syscheck-vector"));
lf[351]=C_h_intern(&lf[351],14, C_text("\003syscheck-char"));
lf[352]=C_h_intern(&lf[352],17, C_text("\003syscheck-boolean"));
lf[353]=C_h_intern(&lf[353],18, C_text("\003syscheck-locative"));
lf[354]=C_h_intern(&lf[354],17, C_text("\003syscheck-integer"));
lf[355]=C_h_intern(&lf[355],21, C_text("\003syserror-bad-integer"));
lf[356]=C_h_intern(&lf[356],23, C_text("\003syscheck-exact-integer"));
lf[357]=C_h_intern(&lf[357],27, C_text("\003syserror-bad-exact-integer"));
lf[358]=C_h_intern(&lf[358],24, C_text("\003syscheck-exact-uinteger"));
lf[359]=C_h_intern(&lf[359],28, C_text("\003syserror-bad-exact-uinteger"));
lf[360]=C_h_intern(&lf[360],14, C_text("\003syscheck-real"));
lf[361]=C_h_intern(&lf[361],18, C_text("\003syserror-bad-real"));
lf[362]=C_h_intern(&lf[362],14, C_text("\003syserror-hook"));
lf[363]=C_h_intern(&lf[363],17, C_text("\003syscheck-special"));
lf[364]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a pointer-like object"));
lf[365]=C_h_intern(&lf[365],17, C_text("\003syscheck-closure"));
lf[366]=C_h_intern(&lf[366],12, C_text("scheme#force"));
lf[367]=C_h_intern(&lf[367],8, C_text("\003syslist"));
lf[368]=C_h_intern(&lf[368],9, C_text("\003sysdload"));
lf[369]=C_h_intern(&lf[369],21, C_text("\003sysset-dlopen-flags!"));
lf[370]=C_h_intern(&lf[370],20, C_text("\003syserror-bad-number"));
lf[371]=C_h_intern(&lf[371],21, C_text("\003syserror-bad-inexact"));
lf[372]=C_h_intern(&lf[372],18, C_text("\003syserror-bad-base"));
lf[373]=C_h_intern(&lf[373],13, C_text("scheme#append"));
lf[374]=C_h_intern(&lf[374],6, C_text("append"));
lf[375]=C_h_intern(&lf[375],16, C_text("\003sysfast-reverse"));
lf[376]=C_h_intern(&lf[376],15, C_text("\003sysmake-string"));
lf[377]=C_h_intern(&lf[377],18, C_text("scheme#make-string"));
lf[378]=C_h_intern(&lf[378],11, C_text("make-string"));
lf[379]=C_h_intern(&lf[379],13, C_text("\000bounds-error"));
lf[380]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[381]=C_h_intern(&lf[381],19, C_text("scheme#string->list"));
lf[382]=C_h_intern(&lf[382],12, C_text("string->list"));
lf[383]=C_h_intern(&lf[383],16, C_text("\003sysstring->list"));
lf[384]=C_h_intern(&lf[384],19, C_text("scheme#list->string"));
lf[385]=C_h_intern(&lf[385],12, C_text("list->string"));
lf[386]=C_h_intern(&lf[386],16, C_text("\003syslist->string"));
lf[387]=C_h_intern(&lf[387],24, C_text("\003sysreverse-list->string"));
lf[388]=C_h_intern(&lf[388],20, C_text("reverse-list->string"));
lf[389]=C_h_intern(&lf[389],19, C_text("scheme#string-fill!"));
lf[390]=C_h_intern(&lf[390],12, C_text("string-fill!"));
lf[391]=C_h_intern(&lf[391],18, C_text("scheme#string-copy"));
lf[392]=C_h_intern(&lf[392],11, C_text("string-copy"));
lf[393]=C_h_intern(&lf[393],16, C_text("scheme#substring"));
lf[394]=C_h_intern(&lf[394],9, C_text("substring"));
lf[395]=C_h_intern(&lf[395],13, C_text("\003syssubstring"));
lf[396]=C_h_intern(&lf[396],15, C_text("scheme#string<\077"));
lf[397]=C_h_intern(&lf[397],8, C_text("string<\077"));
lf[398]=C_h_intern(&lf[398],15, C_text("scheme#string>\077"));
lf[399]=C_h_intern(&lf[399],8, C_text("string>\077"));
lf[400]=C_h_intern(&lf[400],16, C_text("scheme#string<=\077"));
lf[401]=C_h_intern(&lf[401],9, C_text("string<=\077"));
lf[402]=C_h_intern(&lf[402],16, C_text("scheme#string>=\077"));
lf[403]=C_h_intern(&lf[403],9, C_text("string>=\077"));
lf[404]=C_h_intern(&lf[404],18, C_text("scheme#string-ci<\077"));
lf[405]=C_h_intern(&lf[405],11, C_text("string-ci<\077"));
lf[406]=C_h_intern(&lf[406],18, C_text("scheme#string-ci>\077"));
lf[407]=C_h_intern(&lf[407],11, C_text("string-ci>\077"));
lf[408]=C_h_intern(&lf[408],19, C_text("scheme#string-ci<=\077"));
lf[409]=C_h_intern(&lf[409],12, C_text("string-ci<=\077"));
lf[410]=C_h_intern(&lf[410],19, C_text("scheme#string-ci>=\077"));
lf[411]=C_h_intern(&lf[411],12, C_text("string-ci>=\077"));
lf[412]=C_h_intern(&lf[412],17, C_text("\003sysstring-append"));
lf[413]=C_h_intern(&lf[413],20, C_text("scheme#string-append"));
lf[414]=C_h_intern(&lf[414],13, C_text("string-append"));
lf[415]=C_h_intern(&lf[415],13, C_text("scheme#string"));
lf[416]=C_h_intern(&lf[416],21, C_text("\003sysfragments->string"));
lf[417]=C_h_intern(&lf[417],17, C_text("chicken.base#chop"));
lf[418]=C_h_intern(&lf[418],4, C_text("chop"));
lf[419]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030invalid numeric argument"));
lf[420]=C_h_intern(&lf[420],15, C_text("chicken.flonum#"));
lf[421]=C_h_intern(&lf[421],29, C_text("chicken.flonum#maximum-flonum"));
lf[422]=C_h_intern(&lf[422],29, C_text("chicken.flonum#minimum-flonum"));
lf[423]=C_h_intern(&lf[423],27, C_text("chicken.flonum#flonum-radix"));
lf[424]=C_h_intern(&lf[424],29, C_text("chicken.flonum#flonum-epsilon"));
lf[425]=C_h_intern(&lf[425],31, C_text("chicken.flonum#flonum-precision"));
lf[426]=C_h_intern(&lf[426],39, C_text("chicken.flonum#flonum-decimal-precision"));
lf[427]=C_h_intern(&lf[427],38, C_text("chicken.flonum#flonum-maximum-exponent"));
lf[428]=C_h_intern(&lf[428],38, C_text("chicken.flonum#flonum-minimum-exponent"));
lf[429]=C_h_intern(&lf[429],46, C_text("chicken.flonum#flonum-maximum-decimal-exponent"));
lf[430]=C_h_intern(&lf[430],46, C_text("chicken.flonum#flonum-minimum-decimal-exponent"));
lf[431]=C_h_intern(&lf[431],18, C_text("chicken.flonum#fp+"));
lf[432]=C_h_intern(&lf[432],3, C_text("fp+"));
lf[433]=C_h_intern(&lf[433],18, C_text("chicken.flonum#fp-"));
lf[434]=C_h_intern(&lf[434],3, C_text("fp-"));
lf[435]=C_h_intern(&lf[435],18, C_text("chicken.flonum#fp\052"));
lf[436]=C_h_intern(&lf[436],3, C_text("fp\052"));
lf[437]=C_h_intern(&lf[437],18, C_text("chicken.flonum#fp/"));
lf[438]=C_h_intern(&lf[438],3, C_text("fp/"));
lf[439]=C_h_intern(&lf[439],20, C_text("chicken.flonum#fpgcd"));
lf[440]=C_h_intern(&lf[440],5, C_text("fpgcd"));
lf[441]=C_h_intern(&lf[441],19, C_text("chicken.flonum#fp/\077"));
lf[442]=C_h_intern(&lf[442],4, C_text("fp/\077"));
lf[443]=C_h_intern(&lf[443],18, C_text("chicken.flonum#fp="));
lf[444]=C_h_intern(&lf[444],3, C_text("fp="));
lf[445]=C_h_intern(&lf[445],18, C_text("chicken.flonum#fp>"));
lf[446]=C_h_intern(&lf[446],3, C_text("fp>"));
lf[447]=C_h_intern(&lf[447],18, C_text("chicken.flonum#fp<"));
lf[448]=C_h_intern(&lf[448],3, C_text("fp<"));
lf[449]=C_h_intern(&lf[449],19, C_text("chicken.flonum#fp>="));
lf[450]=C_h_intern(&lf[450],4, C_text("fp>="));
lf[451]=C_h_intern(&lf[451],19, C_text("chicken.flonum#fp<="));
lf[452]=C_h_intern(&lf[452],4, C_text("fp<="));
lf[453]=C_h_intern(&lf[453],20, C_text("chicken.flonum#fpneg"));
lf[454]=C_h_intern(&lf[454],5, C_text("fpneg"));
lf[455]=C_h_intern(&lf[455],20, C_text("chicken.flonum#fpmax"));
lf[456]=C_h_intern(&lf[456],5, C_text("fpmax"));
lf[457]=C_h_intern(&lf[457],20, C_text("chicken.flonum#fpmin"));
lf[458]=C_h_intern(&lf[458],5, C_text("fpmin"));
lf[459]=C_h_intern(&lf[459],22, C_text("chicken.flonum#fpfloor"));
lf[460]=C_h_intern(&lf[460],7, C_text("fpfloor"));
lf[461]=C_h_intern(&lf[461],25, C_text("chicken.flonum#fptruncate"));
lf[462]=C_h_intern(&lf[462],10, C_text("fptruncate"));
lf[463]=C_h_intern(&lf[463],22, C_text("chicken.flonum#fpround"));
lf[464]=C_h_intern(&lf[464],7, C_text("fpround"));
lf[465]=C_h_intern(&lf[465],24, C_text("chicken.flonum#fpceiling"));
lf[466]=C_h_intern(&lf[466],9, C_text("fpceiling"));
lf[467]=C_h_intern(&lf[467],20, C_text("chicken.flonum#fpsin"));
lf[468]=C_h_intern(&lf[468],5, C_text("fpsin"));
lf[469]=C_h_intern(&lf[469],20, C_text("chicken.flonum#fpcos"));
lf[470]=C_h_intern(&lf[470],5, C_text("fpcos"));
lf[471]=C_h_intern(&lf[471],20, C_text("chicken.flonum#fptan"));
lf[472]=C_h_intern(&lf[472],5, C_text("fptan"));
lf[473]=C_h_intern(&lf[473],21, C_text("chicken.flonum#fpasin"));
lf[474]=C_h_intern(&lf[474],6, C_text("fpasin"));
lf[475]=C_h_intern(&lf[475],21, C_text("chicken.flonum#fpacos"));
lf[476]=C_h_intern(&lf[476],6, C_text("fpacos"));
lf[477]=C_h_intern(&lf[477],21, C_text("chicken.flonum#fpatan"));
lf[478]=C_h_intern(&lf[478],6, C_text("fpatan"));
lf[479]=C_h_intern(&lf[479],22, C_text("chicken.flonum#fpatan2"));
lf[480]=C_h_intern(&lf[480],7, C_text("fpatan2"));
lf[481]=C_h_intern(&lf[481],20, C_text("chicken.flonum#fpexp"));
lf[482]=C_h_intern(&lf[482],5, C_text("fpexp"));
lf[483]=C_h_intern(&lf[483],21, C_text("chicken.flonum#fpexpt"));
lf[484]=C_h_intern(&lf[484],6, C_text("fpexpt"));
lf[485]=C_h_intern(&lf[485],20, C_text("chicken.flonum#fplog"));
lf[486]=C_h_intern(&lf[486],5, C_text("fplog"));
lf[487]=C_h_intern(&lf[487],21, C_text("chicken.flonum#fpsqrt"));
lf[488]=C_h_intern(&lf[488],6, C_text("fpsqrt"));
lf[489]=C_h_intern(&lf[489],20, C_text("chicken.flonum#fpabs"));
lf[490]=C_h_intern(&lf[490],5, C_text("fpabs"));
lf[491]=C_h_intern(&lf[491],25, C_text("chicken.flonum#fpinteger\077"));
lf[492]=C_h_intern(&lf[492],10, C_text("fpinteger\077"));
lf[493]=C_h_intern(&lf[493],37, C_text("chicken.flonum#flonum-print-precision"));
lf[494]=C_h_intern(&lf[494],22, C_text("flonum-print-precision"));
lf[495]=C_h_intern(&lf[495],11, C_text("\003sysnumber\077"));
lf[496]=C_h_intern(&lf[496],12, C_text("\003sysinteger\077"));
lf[497]=C_h_intern(&lf[497],10, C_text("\003sysexact\077"));
lf[498]=C_h_intern(&lf[498],12, C_text("\003sysinexact\077"));
lf[500]=C_decode_literal(C_heaptop,C_text("\376U0.0\000"));
lf[501]=C_h_intern(&lf[501],23, C_text("scheme#make-rectangular"));
lf[502]=C_h_intern(&lf[502],16, C_text("make-rectangular"));
lf[503]=C_h_intern(&lf[503],17, C_text("scheme#make-polar"));
lf[504]=C_h_intern(&lf[504],10, C_text("make-polar"));
lf[505]=C_h_intern(&lf[505],16, C_text("scheme#real-part"));
lf[506]=C_h_intern(&lf[506],9, C_text("real-part"));
lf[507]=C_h_intern(&lf[507],16, C_text("scheme#imag-part"));
lf[508]=C_h_intern(&lf[508],9, C_text("imag-part"));
lf[509]=C_h_intern(&lf[509],12, C_text("scheme#angle"));
lf[510]=C_h_intern(&lf[510],5, C_text("angle"));
lf[511]=C_h_intern(&lf[511],16, C_text("scheme#magnitude"));
lf[512]=C_h_intern(&lf[512],11, C_text("scheme#sqrt"));
lf[513]=C_h_intern(&lf[513],9, C_text("magnitude"));
lf[515]=C_h_intern(&lf[515],16, C_text("scheme#numerator"));
lf[516]=C_h_intern(&lf[516],11, C_text("bad-inexact"));
lf[517]=C_h_intern(&lf[517],9, C_text("numerator"));
lf[518]=C_h_intern(&lf[518],21, C_text("scheme#inexact->exact"));
lf[519]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[520]=C_h_intern(&lf[520],18, C_text("scheme#denominator"));
lf[521]=C_h_intern(&lf[521],11, C_text("denominator"));
lf[522]=C_decode_literal(C_heaptop,C_text("\376U1.0\000"));
lf[523]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[524]=C_h_intern(&lf[524],19, C_text("\003sysextended-signum"));
lf[525]=C_h_intern(&lf[525],6, C_text("signum"));
lf[526]=C_h_intern(&lf[526],7, C_text("\003sys/-2"));
lf[527]=C_h_intern(&lf[527],14, C_text("inexact->exact"));
lf[528]=C_h_intern(&lf[528],17, C_text("\003sysinteger-power"));
lf[529]=C_decode_literal(C_heaptop,C_text("\376U2.0\000"));
lf[530]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[531]=C_h_intern(&lf[531],11, C_text("scheme#expt"));
lf[532]=C_h_intern(&lf[532],18, C_text("\003sysexact->inexact"));
lf[533]=C_h_intern(&lf[533],18, C_text("\003sysinexact->exact"));
lf[534]=C_h_intern(&lf[534],16, C_text("chicken.bitwise#"));
lf[535]=C_h_intern(&lf[535],27, C_text("chicken.bitwise#bitwise-and"));
lf[536]=C_h_intern(&lf[536],27, C_text("chicken.bitwise#bitwise-ior"));
lf[537]=C_h_intern(&lf[537],27, C_text("chicken.bitwise#bitwise-xor"));
lf[538]=C_h_intern(&lf[538],27, C_text("chicken.bitwise#bitwise-not"));
lf[539]=C_h_intern(&lf[539],28, C_text("chicken.bitwise#bit->boolean"));
lf[540]=C_h_intern(&lf[540],30, C_text("chicken.bitwise#integer-length"));
lf[541]=C_h_intern(&lf[541],32, C_text("chicken.bitwise#arithmetic-shift"));
lf[542]=C_h_intern(&lf[542],8, C_text("scheme#/"));
lf[544]=C_h_intern(&lf[544],1, C_text("/"));
lf[545]=C_h_intern(&lf[545],12, C_text("scheme#floor"));
lf[546]=C_h_intern(&lf[546],5, C_text("floor"));
lf[547]=C_h_intern(&lf[547],14, C_text("scheme#ceiling"));
lf[548]=C_h_intern(&lf[548],7, C_text("ceiling"));
lf[549]=C_h_intern(&lf[549],15, C_text("scheme#truncate"));
lf[550]=C_h_intern(&lf[550],8, C_text("truncate"));
lf[551]=C_h_intern(&lf[551],12, C_text("scheme#round"));
lf[552]=C_h_intern(&lf[552],5, C_text("round"));
lf[554]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\001\000\000\000\000\376\003\000\000\002\376\377\001\000\000\000\001\376\377\016"));
lf[555]=C_h_intern(&lf[555],18, C_text("scheme#rationalize"));
lf[556]=C_h_intern(&lf[556],10, C_text("scheme#max"));
lf[557]=C_h_intern(&lf[557],3, C_text("max"));
lf[558]=C_h_intern(&lf[558],10, C_text("scheme#min"));
lf[559]=C_h_intern(&lf[559],3, C_text("min"));
lf[560]=C_h_intern(&lf[560],10, C_text("scheme#exp"));
lf[561]=C_h_intern(&lf[561],3, C_text("exp"));
lf[562]=C_h_intern(&lf[562],9, C_text("\003syslog-1"));
lf[563]=C_h_intern(&lf[563],17, C_text("\000arithmetic-error"));
lf[564]=C_h_intern(&lf[564],3, C_text("log"));
lf[565]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033log of exact 0 is undefined"));
lf[566]=C_h_intern(&lf[566],10, C_text("scheme#log"));
lf[567]=C_h_intern(&lf[567],10, C_text("scheme#sin"));
lf[568]=C_h_intern(&lf[568],3, C_text("sin"));
lf[569]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\001"));
lf[570]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\002"));
lf[571]=C_h_intern(&lf[571],10, C_text("scheme#cos"));
lf[572]=C_h_intern(&lf[572],3, C_text("cos"));
lf[573]=C_h_intern(&lf[573],10, C_text("scheme#tan"));
lf[574]=C_h_intern(&lf[574],3, C_text("tan"));
lf[575]=C_h_intern(&lf[575],11, C_text("scheme#asin"));
lf[576]=C_h_intern(&lf[576],4, C_text("asin"));
lf[577]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\377\377\377\377"));
lf[578]=C_h_intern(&lf[578],12, C_text("\003syssqrt/loc"));
lf[579]=C_h_intern(&lf[579],11, C_text("scheme#acos"));
lf[580]=C_h_intern(&lf[580],4, C_text("acos"));
lf[581]=C_h_intern(&lf[581],11, C_text("scheme#atan"));
lf[582]=C_h_intern(&lf[582],4, C_text("atan"));
lf[583]=C_h_intern(&lf[583],22, C_text("\003sysexact-integer-sqrt"));
lf[584]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030this should never happen"));
lf[585]=C_h_intern(&lf[585],31, C_text("chicken.base#exact-integer-sqrt"));
lf[586]=C_h_intern(&lf[586],18, C_text("exact-integer-sqrt"));
lf[587]=C_h_intern(&lf[587],4, C_text("sqrt"));
lf[588]=C_h_intern(&lf[588],35, C_text("chicken.base#exact-integer-nth-root"));
lf[589]=C_h_intern(&lf[589],30, C_text("\003sysexact-integer-nth-root/loc"));
lf[590]=C_h_intern(&lf[590],22, C_text("exact-integer-nth-root"));
lf[591]=C_h_intern(&lf[591],4, C_text("expt"));
lf[592]=C_decode_literal(C_heaptop,C_text("\376B\000\0006exponent of exact 0 with complex argument is undefined"));
lf[593]=C_h_intern(&lf[593],7, C_text("\003sysgcd"));
lf[594]=C_h_intern(&lf[594],3, C_text("gcd"));
lf[595]=C_h_intern(&lf[595],10, C_text("scheme#gcd"));
lf[596]=C_h_intern(&lf[596],7, C_text("\003syslcm"));
lf[597]=C_h_intern(&lf[597],3, C_text("lcm"));
lf[598]=C_h_intern(&lf[598],10, C_text("scheme#lcm"));
lf[599]=C_h_intern(&lf[599],29, C_text("\003sysinteger->string/recursive"));
lf[600]=C_h_intern(&lf[600],18, C_text("\003sysnumber->string"));
lf[601]=C_h_intern(&lf[601],27, C_text("\003sysextended-number->string"));
lf[602]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001/"));
lf[603]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001+"));
lf[604]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[605]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001i"));
lf[606]=C_h_intern(&lf[606],14, C_text("number->string"));
lf[609]=C_h_intern(&lf[609],1, C_text("e"));
lf[610]=C_h_intern(&lf[610],1, C_text("i"));
lf[611]=C_decode_literal(C_heaptop,C_text("\376U+inf.0\000"));
lf[612]=C_decode_literal(C_heaptop,C_text("\376U-inf.0\000"));
lf[613]=C_h_intern(&lf[613],3, C_text("neg"));
lf[614]=C_h_intern(&lf[614],3, C_text("pos"));
lf[615]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005inf.0"));
lf[616]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005nan.0"));
lf[617]=C_h_intern(&lf[617],21, C_text("scheme#string->number"));
lf[618]=C_h_intern(&lf[618],14, C_text("string->number"));
lf[619]=C_h_intern(&lf[619],18, C_text("\003sysstring->number"));
lf[620]=C_h_intern(&lf[620],18, C_text("\003sysfixnum->string"));
lf[621]=C_h_intern(&lf[621],18, C_text("\003sysflonum->string"));
lf[622]=C_h_intern(&lf[622],19, C_text("\003sysinteger->string"));
lf[623]=C_h_intern(&lf[623],20, C_text("chicken.base#equal=\077"));
lf[624]=C_h_intern(&lf[624],9, C_text("\003syssnafu"));
lf[625]=C_h_intern(&lf[625],9, C_text("\003sysfnord"));
lf[626]=C_h_intern(&lf[626],17, C_text("\003sysintern-symbol"));
lf[627]=C_h_intern(&lf[627],20, C_text("\003sysinterned-symbol\077"));
lf[628]=C_h_intern(&lf[628],18, C_text("\003sysstring->symbol"));
lf[629]=C_h_intern(&lf[629],18, C_text("\003syssymbol->string"));
lf[630]=C_h_intern(&lf[630],28, C_text("\003syssymbol->qualified-string"));
lf[631]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002##"));
lf[632]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001#"));
lf[633]=C_h_intern(&lf[633],27, C_text("\003sysqualified-symbol-prefix"));
lf[634]=C_h_intern(&lf[634],21, C_text("\003sysqualified-symbol\077"));
lf[635]=C_h_intern(&lf[635],28, C_text("\003sysstring->qualified-symbol"));
lf[636]=C_h_intern(&lf[636],21, C_text("scheme#symbol->string"));
lf[637]=C_h_intern(&lf[637],14, C_text("symbol->string"));
lf[638]=C_h_intern(&lf[638],21, C_text("scheme#string->symbol"));
lf[639]=C_h_intern(&lf[639],14, C_text("string->symbol"));
lf[640]=C_h_intern(&lf[640],38, C_text("chicken.base#string->uninterned-symbol"));
lf[641]=C_h_intern(&lf[641],25, C_text("string->uninterned-symbol"));
lf[642]=C_h_intern(&lf[642],19, C_text("chicken.base#gensym"));
lf[643]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001g"));
lf[644]=C_h_intern(&lf[644],6, C_text("gensym"));
lf[645]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a string or symbol"));
lf[646]=C_h_intern(&lf[646],26, C_text("chicken.base#symbol-append"));
lf[647]=C_h_intern(&lf[647],13, C_text("symbol-append"));
lf[648]=C_h_intern(&lf[648],16, C_text("chicken.keyword#"));
lf[649]=C_h_intern(&lf[649],24, C_text("chicken.keyword#keyword\077"));
lf[650]=C_h_intern(&lf[650],31, C_text("chicken.keyword#string->keyword"));
lf[651]=C_h_intern(&lf[651],15, C_text("string->keyword"));
lf[652]=C_h_intern(&lf[652],31, C_text("chicken.keyword#keyword->string"));
lf[653]=C_h_intern(&lf[653],15, C_text("keyword->string"));
lf[654]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[655]=C_h_intern(&lf[655],3, C_text("tag"));
lf[656]=C_h_intern(&lf[656],27, C_text("chicken.keyword#get-keyword"));
lf[657]=C_h_intern(&lf[657],11, C_text("get-keyword"));
lf[658]=C_h_intern(&lf[658],15, C_text("\003sysget-keyword"));
lf[659]=C_h_intern(&lf[659],13, C_text("chicken.blob#"));
lf[660]=C_h_intern(&lf[660],13, C_text("\003sysmake-blob"));
lf[661]=C_h_intern(&lf[661],22, C_text("chicken.blob#make-blob"));
lf[662]=C_h_intern(&lf[662],9, C_text("make-blob"));
lf[663]=C_h_intern(&lf[663],18, C_text("chicken.blob#blob\077"));
lf[664]=C_h_intern(&lf[664],22, C_text("chicken.blob#blob-size"));
lf[665]=C_h_intern(&lf[665],9, C_text("blob-size"));
lf[666]=C_h_intern(&lf[666],25, C_text("chicken.blob#string->blob"));
lf[667]=C_h_intern(&lf[667],12, C_text("string->blob"));
lf[668]=C_h_intern(&lf[668],25, C_text("chicken.blob#blob->string"));
lf[669]=C_h_intern(&lf[669],12, C_text("blob->string"));
lf[670]=C_h_intern(&lf[670],19, C_text("chicken.blob#blob=\077"));
lf[671]=C_h_intern(&lf[671],6, C_text("blob=\077"));
lf[672]=C_h_intern(&lf[672],11, C_text("make-vector"));
lf[673]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[674]=C_h_intern(&lf[674],15, C_text("\003sysmake-vector"));
lf[675]=C_h_intern(&lf[675],12, C_text("list->vector"));
lf[676]=C_h_intern(&lf[676],12, C_text("vector->list"));
lf[677]=C_h_intern(&lf[677],12, C_text("vector-fill!"));
lf[678]=C_h_intern(&lf[678],12, C_text("vector-copy!"));
lf[679]=C_decode_literal(C_heaptop,C_text("\376B\000\000)cannot copy vector - count exceeds length"));
lf[680]=C_h_intern(&lf[680],9, C_text("subvector"));
lf[681]=C_h_intern(&lf[681],13, C_text("vector-resize"));
lf[683]=C_h_intern(&lf[683],9, C_text("char-name"));
lf[684]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid character name"));
lf[685]=C_h_intern(&lf[685],34, C_text("\003syscall-with-current-continuation"));
lf[686]=C_h_intern(&lf[686],21, C_text("\003syscall-with-cthulhu"));
lf[687]=C_h_intern(&lf[687],20, C_text("\003syscall-with-values"));
lf[688]=C_h_intern(&lf[688],12, C_text("\003sysfor-each"));
lf[689]=C_h_intern(&lf[689],8, C_text("for-each"));
lf[690]=C_h_intern(&lf[690],7, C_text("\003sysmap"));
lf[691]=C_h_intern(&lf[691],3, C_text("map"));
lf[692]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034lists are not of same length"));
lf[693]=C_h_intern(&lf[693],17, C_text("\003sysdynamic-winds"));
lf[694]=C_h_intern(&lf[694],16, C_text("\003sysdynamic-wind"));
lf[696]=C_h_intern(&lf[696],16, C_text("input-port-open\077"));
lf[697]=C_h_intern(&lf[697],17, C_text("output-port-open\077"));
lf[698]=C_h_intern(&lf[698],14, C_text("\003syscheck-port"));
lf[699]=C_h_intern(&lf[699],12, C_text("port-closed\077"));
lf[700]=C_h_intern(&lf[700],13, C_text("\003sysmake-port"));
lf[701]=C_h_intern(&lf[701],22, C_text("\003sysdispatch-interrupt"));
lf[702]=C_h_intern(&lf[702],11, C_text("\000file-error"));
lf[703]=C_h_intern(&lf[703],9, C_text("read-char"));
lf[704]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[705]=C_h_intern(&lf[705],17, C_text("\003syspeek-c-string"));
lf[706]=C_h_intern(&lf[706],16, C_text("\003sysupdate-errno"));
lf[707]=C_h_intern(&lf[707],9, C_text("peek-char"));
lf[708]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[709]=C_h_intern(&lf[709],12, C_text("read-string!"));
lf[710]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[711]=C_h_intern(&lf[711],9, C_text("read-line"));
lf[712]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[713]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[714]=C_h_intern(&lf[714],21, C_text("\003sysstream-port-class"));
lf[715]=C_h_intern(&lf[715],18, C_text("\003sysopen-file-port"));
lf[716]=C_h_intern(&lf[716],18, C_text("\003sysstandard-input"));
lf[717]=C_h_intern(&lf[717],19, C_text("\003sysstandard-output"));
lf[718]=C_h_intern(&lf[718],18, C_text("\003sysstandard-error"));
lf[719]=C_h_intern(&lf[719],20, C_text("\003syscheck-input-port"));
lf[720]=C_h_intern(&lf[720],21, C_text("\003syscheck-output-port"));
lf[721]=C_h_intern(&lf[721],19, C_text("\003syscheck-open-port"));
lf[722]=C_h_intern(&lf[722],18, C_text("current-input-port"));
lf[723]=C_h_intern(&lf[723],19, C_text("current-output-port"));
lf[724]=C_h_intern(&lf[724],18, C_text("current-error-port"));
lf[725]=C_h_intern(&lf[725],13, C_text("\003systty-port\077"));
lf[726]=C_h_intern(&lf[726],25, C_text("\003syspeek-unsigned-integer"));
lf[727]=C_h_intern(&lf[727],13, C_text("\003sysport-data"));
lf[728]=C_h_intern(&lf[728],18, C_text("\003sysset-port-data!"));
lf[729]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[730]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[731]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[732]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023cannot open file - "));
lf[733]=C_h_intern(&lf[733],6, C_text("stream"));
lf[734]=C_h_intern(&lf[734],7, C_text("\000binary"));
lf[735]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001b"));
lf[736]=C_h_intern(&lf[736],5, C_text("\000text"));
lf[737]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[738]=C_h_intern(&lf[738],7, C_text("\000append"));
lf[739]=C_decode_literal(C_heaptop,C_text("\376B\000\000&cannot use append mode with input file"));
lf[740]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[741]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023invalid file option"));
lf[742]=C_h_intern(&lf[742],15, C_text("open-input-file"));
lf[743]=C_h_intern(&lf[743],16, C_text("open-output-file"));
lf[744]=C_h_intern(&lf[744],16, C_text("close-input-port"));
lf[745]=C_h_intern(&lf[745],17, C_text("close-output-port"));
lf[746]=C_h_intern(&lf[746],16, C_text("\003sysfile-exists\077"));
lf[747]=C_decode_literal(C_heaptop,C_text("\376B\000\000(system error while trying to access file"));
lf[748]=C_h_intern(&lf[748],17, C_text("\003sysmake-c-string"));
lf[749]=C_h_intern(&lf[749],16, C_text("\003sysflush-output"));
lf[750]=C_h_intern(&lf[750],12, C_text("flush-output"));
lf[751]=C_h_intern(&lf[751],13, C_text("\003sysport-line"));
lf[752]=C_h_intern(&lf[752],19, C_text("\003sysdecorate-lambda"));
lf[753]=C_h_intern(&lf[753],21, C_text("\003syslambda-decoration"));
lf[754]=C_h_intern(&lf[754],20, C_text("\003sysmake-lambda-info"));
lf[755]=C_h_intern(&lf[755],16, C_text("\003syslambda-info\077"));
lf[756]=C_h_intern(&lf[756],15, C_text("\003syslambda-info"));
lf[757]=C_h_intern(&lf[757],23, C_text("\003syslambda-info->string"));
lf[758]=C_h_intern(&lf[758],8, C_text("\003sysread"));
lf[759]=C_h_intern(&lf[759],21, C_text("procedure-information"));
lf[760]=C_h_intern(&lf[760],6, C_text("setter"));
lf[762]=C_h_intern(&lf[762],10, C_text("\003syssetter"));
lf[763]=C_h_intern(&lf[763],18, C_text("getter-with-setter"));
lf[765]=C_h_intern(&lf[765],28, C_text("\003syscurrent-parameter-vector"));
lf[766]=C_decode_literal(C_heaptop,C_text("\376\000\000\000\000"));
lf[767]=C_h_intern(&lf[767],11, C_text("char-ready\077"));
lf[768]=C_h_intern(&lf[768],15, C_text("\003sysread-char-0"));
lf[769]=C_h_intern(&lf[769],18, C_text("\003sysread-char/port"));
lf[770]=C_h_intern(&lf[770],15, C_text("\003syspeek-char-0"));
lf[771]=C_h_intern(&lf[771],4, C_text("read"));
lf[772]=C_h_intern(&lf[772],26, C_text("\003sysdefault-read-info-hook"));
lf[773]=C_h_intern(&lf[773],31, C_text("\003sysread-error-with-line-number"));
lf[774]=C_h_intern(&lf[774],21, C_text("\003sysenable-qualifiers"));
lf[775]=C_h_intern(&lf[775],20, C_text("\003sysread-prompt-hook"));
lf[776]=C_h_intern(&lf[776],19, C_text("\003sysinfix-list-hook"));
lf[777]=C_h_intern(&lf[777],21, C_text("\003syssharp-number-hook"));
lf[778]=C_h_intern(&lf[778],14, C_text("\003sysread-error"));
lf[779]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid `#...\047 read syntax"));
lf[780]=C_h_intern(&lf[780],22, C_text("\003syscurrent-read-table"));
lf[781]=C_h_intern(&lf[781],16, C_text("\003sysread-warning"));
lf[782]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[783]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[784]=C_h_intern(&lf[784],13, C_text("\000syntax-error"));
lf[785]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[786]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[787]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000[\376\003\000"
"\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[788]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unexpected list terminator"));
lf[789]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022reserved character"));
lf[790]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape-sequence \047\134"));
lf[791]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[792]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034unterminated string constant"));
lf[793]=C_h_intern(&lf[793],21, C_text("\003syschar->utf8-string"));
lf[794]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[795]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001x"));
lf[796]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022bad surrogate pair"));
lf[797]=C_h_intern(&lf[797],25, C_text("\003syssurrogates->codepoint"));
lf[798]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[799]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unpaired escaped surrogate"));
lf[800]=C_h_intern(&lf[800],22, C_text("\003sysunicode-surrogate\077"));
lf[801]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[802]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape (surrogate)"));
lf[803]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001U"));
lf[804]=C_decode_literal(C_heaptop,C_text("\376B\000\0006escaped whitespace, but no newline - collapsing anyway"));
lf[805]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[806]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[807]=C_decode_literal(C_heaptop,C_text("\376B\000\000\077undefined escape sequence in string - probably forgot backslash"));
lf[808]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023, starting in line "));
lf[809]=C_h_intern(&lf[809],9, C_text("list-info"));
lf[810]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030list-terminator mismatch"));
lf[811]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unterminated list"));
lf[812]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027missing list terminator"));
lf[813]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[814]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.:"));
lf[815]=C_h_intern(&lf[815],7, C_text("\000suffix"));
lf[816]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[817]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[818]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015missing token"));
lf[819]=C_h_intern(&lf[819],16, C_text("\003syslist->vector"));
lf[820]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid vector syntax"));
lf[821]=C_h_intern(&lf[821],11, C_text("symbol-info"));
lf[822]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[823]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[824]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042unexpected prefix in number syntax"));
lf[825]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025illegal number syntax"));
lf[826]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[827]=C_decode_literal(C_heaptop,C_text("\376B\000\0000illegal number syntax - invalid exactness prefix"));
lf[828]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[829]=C_decode_literal(C_heaptop,C_text("\376B\000\000%illegal number syntax - invalid radix"));
lf[830]=C_decode_literal(C_heaptop,C_text("\376B\000\000Eattempt to read expression from something that looks like binary data"));
lf[831]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052escaped symbol syntax spans multiple lines"));
lf[832]=C_h_intern(&lf[832],7, C_text("\000prefix"));
lf[833]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of file while reading escaped character"));
lf[834]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027unknown named character"));
lf[835]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unterminated block-comment"));
lf[836]=C_decode_literal(C_heaptop,C_text("\376B\000\000\037invalid qualified symbol syntax"));
lf[837]=C_decode_literal(C_heaptop,C_text("\376B\000\000&qualified symbol syntax is not allowed"));
lf[838]=C_h_intern(&lf[838],5, C_text("quote"));
lf[839]=C_h_intern(&lf[839],10, C_text("quasiquote"));
lf[840]=C_h_intern(&lf[840],16, C_text("unquote-splicing"));
lf[841]=C_h_intern(&lf[841],7, C_text("unquote"));
lf[842]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unexpected end of input after reading #-sign"));
lf[843]=C_decode_literal(C_heaptop,C_text("\376B\000\000%unexpected end of input after reading"));
lf[844]=C_decode_literal(C_heaptop,C_text("\376B\000\000!invalid parameterized read syntax"));
lf[845]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of input while reading `#c...\047 sequence"));
lf[846]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052invalid case specifier in `#c...\047 sequence"));
lf[847]=C_h_intern(&lf[847],11, C_text("quasisyntax"));
lf[848]=C_h_intern(&lf[848],27, C_text("\003sysread-bytevector-literal"));
lf[849]=C_h_intern(&lf[849],8, C_text("location"));
lf[850]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015empty keyword"));
lf[851]=C_h_intern(&lf[851],11, C_text("cond-expand"));
lf[852]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\004else\376\377\016"));
lf[853]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003eof"));
lf[854]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010optional"));
lf[855]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004rest"));
lf[856]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003key"));
lf[857]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#!"));
lf[858]=C_h_intern(&lf[858],14, C_text("\003sysread-marks"));
lf[859]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid `#!\047 token"));
lf[860]=C_h_intern(&lf[860],18, C_text("\003sysuser-read-hook"));
lf[861]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[862]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000|\376\377\016"));
lf[863]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035UTF-8 codepoint out of range:"));
lf[864]=C_decode_literal(C_heaptop,C_text("\376B\000\000 invalid hex-code in blob-literal"));
lf[865]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036unexpected end of blob literal"));
lf[866]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036invalid sharp-sign read syntax"));
lf[867]=C_h_intern(&lf[867],16, C_text("\003syswrite-char-0"));
lf[868]=C_h_intern(&lf[868],19, C_text("\003syswrite-char/port"));
lf[869]=C_h_intern(&lf[869],10, C_text("write-char"));
lf[870]=C_h_intern(&lf[870],5, C_text("write"));
lf[871]=C_h_intern(&lf[871],9, C_text("\003sysprint"));
lf[872]=C_h_intern(&lf[872],7, C_text("display"));
lf[873]=C_h_intern(&lf[873],5, C_text("print"));
lf[875]=C_h_intern(&lf[875],22, C_text("\003sysprint-length-limit"));
lf[877]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[878]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[879]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134x"));
lf[880]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\003\000"
"\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000 \376\003\000\000\002\376\377\012\000\000`\376\003\000\000\002\376\377\012\000\000|\376\003\000\000\002\376\377\012\000\000\134\376\377\016"));
lf[881]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002()"));
lf[882]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#t"));
lf[883]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#f"));
lf[884]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005#!eof"));
lf[885]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<unspecified>"));
lf[886]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#\134"));
lf[887]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020#<unbound value>"));
lf[888]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid immediate object>"));
lf[889]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid forwarded object>"));
lf[890]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#:"));
lf[891]=C_h_intern(&lf[891],19, C_text("\003syspointer->string"));
lf[892]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\042"));
lf[893]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\134"));
lf[894]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 . "));
lf[895]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#${"));
lf[896]=C_h_intern(&lf[896],19, C_text("\003sysuser-print-hook"));
lf[897]=C_h_intern(&lf[897],21, C_text("\003sysprocedure->string"));
lf[898]=C_decode_literal(C_heaptop,C_text("\376B\000\000\013#<locative>"));
lf[899]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<lambda info "));
lf[900]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\042>"));
lf[901]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<input port \042"));
lf[902]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017#<output port \042"));
lf[903]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010#<port \042"));
lf[904]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#()"));
lf[905]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#("));
lf[906]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unprintable non-immediate object encountered"));
lf[907]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure "));
lf[908]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[909]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure>"));
lf[910]=C_h_intern(&lf[910],19, C_text("\003sysrecord-printers"));
lf[911]=C_h_intern(&lf[911],27, C_text("\003sysregister-record-printer"));
lf[912]=C_h_intern(&lf[912],9, C_text("condition"));
lf[913]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[914]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\047: "));
lf[915]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\047>"));
lf[916]=C_decode_literal(C_heaptop,C_text("\376B\000\000##<Error in printer of record type `"));
lf[917]=C_h_intern(&lf[917],40, C_text("chicken.condition#with-exception-handler"));
lf[918]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[919]=C_h_intern(&lf[919],6, C_text("thread"));
lf[920]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[921]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#<"));
lf[922]=C_h_intern(&lf[922],27, C_text("\003syswith-print-length-limit"));
lf[923]=C_h_intern(&lf[923],14, C_text("\003syscopy-bytes"));
lf[924]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022string buffer full"));
lf[925]=C_h_intern(&lf[925],20, C_text("\003sysscan-buffer-line"));
lf[926]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[927]=C_h_intern(&lf[927],21, C_text("\003sysstring-port-class"));
lf[928]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[929]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[930]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[931]=C_h_intern(&lf[931],17, C_text("open-input-string"));
lf[932]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[933]=C_h_intern(&lf[933],6, C_text("string"));
lf[934]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[935]=C_h_intern(&lf[935],17, C_text("get-output-string"));
lf[936]=C_decode_literal(C_heaptop,C_text("\376B\000\000$argument is not a string-output-port"));
lf[937]=C_h_intern(&lf[937],19, C_text("\003sysprint-to-string"));
lf[938]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021#<tagged pointer "));
lf[939]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001 "));
lf[940]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[941]=C_h_intern(&lf[941],20, C_text("\003syspointer->address"));
lf[942]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<pointer 0x"));
lf[943]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[944]=C_h_intern(&lf[944],18, C_text("\003syscurrent-thread"));
lf[945]=C_h_intern(&lf[945],25, C_text("\003syspeek-nonnull-c-string"));
lf[946]=C_h_intern(&lf[946],27, C_text("\003sysreally-print-call-chain"));
lf[947]=C_h_intern(&lf[947],9, C_text("frameinfo"));
lf[948]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002] "));
lf[949]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\011  "));
lf[950]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\012\011"));
lf[951]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005\011<--\012"));
lf[952]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020\012\011Call history:\012"));
lf[953]=C_h_intern(&lf[953],16, C_text("print-call-chain"));
lf[954]=C_h_intern(&lf[954],23, C_text("\003sysuser-interrupt-hook"));
lf[955]=C_h_intern(&lf[955],15, C_text("\000user-interrupt"));
lf[956]=C_h_intern(&lf[956],21, C_text("\003sysprimordial-thread"));
lf[959]=C_h_intern(&lf[959],20, C_text("\003sysforce-finalizers"));
lf[960]=C_h_intern(&lf[960],27, C_text("chicken.gc#force-finalizers"));
lf[961]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036[debug] forcing finalizers...\012"));
lf[962]=C_h_intern(&lf[962],19, C_text("\003sysdump-heap-state"));
lf[963]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[964]=C_h_intern(&lf[964],17, C_text("\003sysreset-handler"));
lf[965]=C_h_intern(&lf[965],18, C_text("chicken.condition#"));
lf[966]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[967]=C_h_intern(&lf[967],23, C_text("chicken.condition#abort"));
lf[968]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[969]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012\012Warning: "));
lf[970]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007\012Note: "));
lf[971]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[972]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[973]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\012call-chain"));
lf[974]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[975]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\004type\376\377\016"));
lf[976]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006syntax\376\377\016"));
lf[977]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006bounds\376\377\016"));
lf[978]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\012arithmetic\376\377\016"));
lf[979]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\004file\376\377\016"));
lf[980]=C_h_intern(&lf[980],14, C_text("\000runtime-error"));
lf[981]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\377\016"));
lf[982]=C_h_intern(&lf[982],14, C_text("\000process-error"));
lf[983]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007process\376\377\016"));
lf[984]=C_h_intern(&lf[984],14, C_text("\000network-error"));
lf[985]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\377\016"));
lf[986]=C_h_intern(&lf[986],22, C_text("\000network-timeout-error"));
lf[987]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\003\000\000\002\376\001\000\000\007timeout\376\377\016"));
lf[988]=C_h_intern(&lf[988],12, C_text("\000limit-error"));
lf[989]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\003\000\000\002\376\001\000\000\005limit\376\377\016"));
lf[990]=C_h_intern(&lf[990],12, C_text("\000arity-error"));
lf[991]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\005arity\376\377\016"));
lf[992]=C_h_intern(&lf[992],13, C_text("\000access-error"));
lf[993]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006access\376\377\016"));
lf[994]=C_h_intern(&lf[994],13, C_text("\000domain-error"));
lf[995]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006domain\376\377\016"));
lf[996]=C_h_intern(&lf[996],13, C_text("\000memory-error"));
lf[997]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006memory\376\377\016"));
lf[998]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[999]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1000]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032exception handler returned"));
lf[1001]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1002]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1003]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[1004]=C_h_intern(&lf[1004],29, C_text("\003syscurrent-exception-handler"));
lf[1005]=C_h_intern(&lf[1005],24, C_text("chicken.condition#signal"));
lf[1006]=C_h_intern(&lf[1006],18, C_text("\003sysbreak-on-error"));
lf[1007]=C_h_intern(&lf[1007],17, C_text("\003syserror-handler"));
lf[1008]=C_h_intern(&lf[1008],18, C_text("\003syslast-exception"));
lf[1009]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1010]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\377\016"));
lf[1011]=C_h_intern(&lf[1011],3, C_text("exn"));
lf[1012]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1013]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1014]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1015]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1016]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1017]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1018]=C_decode_literal(C_heaptop,C_text("\376B\000\000 <exn: has no `message\047 property>"));
lf[1019]=C_h_intern(&lf[1019],14, C_text("user-interrupt"));
lf[1020]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030\012\052\052\052 user interrupt \052\052\052\012"));
lf[1021]=C_h_intern(&lf[1021],18, C_text("uncaught-exception"));
lf[1022]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1023]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022uncaught exception"));
lf[1024]=C_h_intern(&lf[1024],43, C_text("chicken.condition#current-exception-handler"));
lf[1025]=C_h_intern(&lf[1025],25, C_text("current-exception-handler"));
lf[1027]=C_decode_literal(C_heaptop,C_text("\376B\000\000%argument is not an even property list"));
lf[1028]=C_h_intern(&lf[1028],41, C_text("chicken.condition#make-property-condition"));
lf[1029]=C_h_intern(&lf[1029],23, C_text("make-property-condition"));
lf[1030]=C_h_intern(&lf[1030],42, C_text("chicken.condition#make-composite-condition"));
lf[1031]=C_h_intern(&lf[1031],24, C_text("make-composite-condition"));
lf[1032]=C_h_intern(&lf[1032],27, C_text("chicken.condition#condition"));
lf[1033]=C_h_intern(&lf[1033],28, C_text("chicken.condition#condition\077"));
lf[1034]=C_h_intern(&lf[1034],33, C_text("chicken.condition#condition->list"));
lf[1035]=C_h_intern(&lf[1035],15, C_text("condition->list"));
lf[1036]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a condition object"));
lf[1037]=C_h_intern(&lf[1037],37, C_text("chicken.condition#condition-predicate"));
lf[1038]=C_h_intern(&lf[1038],45, C_text("chicken.condition#condition-property-accessor"));
lf[1039]=C_h_intern(&lf[1039],27, C_text("condition-property-accessor"));
lf[1040]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036condition has no such property"));
lf[1041]=C_h_intern(&lf[1041],40, C_text("chicken.condition#get-condition-property"));
lf[1042]=C_h_intern(&lf[1042],37, C_text("chicken.condition#print-error-message"));
lf[1043]=C_h_intern(&lf[1043],19, C_text("print-error-message"));
lf[1044]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1045]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1046]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1047]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1048]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[1049]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030: \052\052\052 user interrupt \052\052\052"));
lf[1050]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016: <condition> "));
lf[1051]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1052]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026: uncaught exception: "));
lf[1053]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005Error"));
lf[1054]=C_h_intern(&lf[1054],26, C_text("\003sysshow-exception-warning"));
lf[1055]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1056]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1057]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007Warning"));
lf[1058]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument count - received "));
lf[1059]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1060]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035too few arguments - received "));
lf[1061]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1062]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[1063]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020unbound variable"));
lf[1064]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015out of memory"));
lf[1065]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020division by zero"));
lf[1066]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014out of range"));
lf[1067]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025call of non-procedure"));
lf[1068]=C_decode_literal(C_heaptop,C_text("\376B\000\000+continuation cannot receive multiple values"));
lf[1069]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a non-cyclic list"));
lf[1070]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022recursion too deep"));
lf[1071]=C_decode_literal(C_heaptop,C_text("\376B\000\0007inexact number cannot be represented as an exact number"));
lf[1072]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[1073]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a fixnum"));
lf[1074]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a number"));
lf[1075]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a string"));
lf[1076]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a pair"));
lf[1077]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a list"));
lf[1078]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a character"));
lf[1079]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a vector"));
lf[1080]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a symbol"));
lf[1081]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016stack overflow"));
lf[1082]=C_decode_literal(C_heaptop,C_text("\376B\000\0008bad argument type - not a structure of the required type"));
lf[1083]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a blob"));
lf[1084]=C_decode_literal(C_heaptop,C_text("\376B\000\000#locative refers to reclaimed object"));
lf[1085]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a non-immediate value"));
lf[1086]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not a number vector"));
lf[1087]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not an integer"));
lf[1088]=C_decode_literal(C_heaptop,C_text("\376B\000\000+bad argument type - not an unsigned integer"));
lf[1089]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a pointer"));
lf[1090]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a tagged pointer"));
lf[1091]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a flonum"));
lf[1092]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a procedure"));
lf[1093]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - invalid base"));
lf[1094]=C_decode_literal(C_heaptop,C_text("\376B\000\000/recursion too deep or circular data encountered"));
lf[1095]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a boolean"));
lf[1096]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not a locative"));
lf[1097]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a port"));
lf[1098]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - not a port of the correct type"));
lf[1099]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not an input-port"));
lf[1100]=C_decode_literal(C_heaptop,C_text("\376B\000\000&bad argument type - not an output-port"));
lf[1101]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023port already closed"));
lf[1102]=C_decode_literal(C_heaptop,C_text("\376B\000\0002cannot represent string with NUL bytes as C string"));
lf[1103]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026segmentation violation"));
lf[1104]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030floating-point exception"));
lf[1105]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023illegal instruction"));
lf[1106]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011bus error"));
lf[1107]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not an exact number"));
lf[1108]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not an inexact number"));
lf[1109]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a real"));
lf[1110]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - complex number has no ordering"));
lf[1111]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not an exact integer"));
lf[1112]=C_decode_literal(C_heaptop,C_text("\376B\000\000#number does not fit in foreign type"));
lf[1113]=C_decode_literal(C_heaptop,C_text("\376B\000\000/cannot compute absolute value of complex number"));
lf[1114]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026unknown internal error"));
lf[1115]=C_h_intern(&lf[1115],14, C_text("\003sysstructure\077"));
lf[1116]=C_h_intern(&lf[1116],22, C_text("\003sysgeneric-structure\077"));
lf[1117]=C_h_intern(&lf[1117],8, C_text("\003sysslot"));
lf[1118]=C_h_intern(&lf[1118],8, C_text("\003syssize"));
lf[1119]=C_h_intern(&lf[1119],16, C_text("\003sysmake-pointer"));
lf[1120]=C_h_intern(&lf[1120],23, C_text("\003sysmake-tagged-pointer"));
lf[1121]=C_h_intern(&lf[1121],12, C_text("\003syspointer\077"));
lf[1122]=C_h_intern(&lf[1122],24, C_text("\003sysset-pointer-address!"));
lf[1123]=C_h_intern(&lf[1123],15, C_text("\003sysbytevector\077"));
lf[1124]=C_h_intern(&lf[1124],23, C_text("\003sysstring->pbytevector"));
lf[1125]=C_h_intern(&lf[1125],14, C_text("\003syspermanent\077"));
lf[1126]=C_h_intern(&lf[1126],17, C_text("\003sysblock-address"));
lf[1127]=C_h_intern(&lf[1127],13, C_text("\003syslocative\077"));
lf[1128]=C_h_intern(&lf[1128],18, C_text("\003syssrfi-4-vector\077"));
lf[1129]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010u8vector\376\003\000\000\002\376\001\000\000\011u16vector\376\003\000\000\002\376\001\000\000\010s8vector\376\003\000\000\002\376\001\000\000\011s16vector\376\003\000\000\002\376"
"\001\000\000\011u32vector\376\003\000\000\002\376\001\000\000\011s32vector\376\003\000\000\002\376\001\000\000\011u64vector\376\003\000\000\002\376\001\000\000\011s64vector\376\003\000\000\002\376\001\000\000\011"
"f32vector\376\003\000\000\002\376\001\000\000\011f64vector\376\377\016"));
lf[1130]=C_h_intern(&lf[1130],16, C_text("\003sysnull-pointer"));
lf[1131]=C_h_intern(&lf[1131],17, C_text("\003sysnull-pointer\077"));
lf[1132]=C_h_intern(&lf[1132],20, C_text("\003sysaddress->pointer"));
lf[1133]=C_h_intern(&lf[1133],23, C_text("\003syspeek-signed-integer"));
lf[1134]=C_h_intern(&lf[1134],15, C_text("\003syspeek-fixnum"));
lf[1135]=C_h_intern(&lf[1135],13, C_text("\003syspeek-byte"));
lf[1136]=C_h_intern(&lf[1136],22, C_text("\003sysvector->structure!"));
lf[1137]=C_h_intern(&lf[1137],15, C_text("\003syspeek-double"));
lf[1138]=C_h_intern(&lf[1138],26, C_text("\003syspeek-and-free-c-string"));
lf[1139]=C_h_intern(&lf[1139],34, C_text("\003syspeek-and-free-nonnull-c-string"));
lf[1140]=C_h_intern(&lf[1140],17, C_text("\003syspoke-c-string"));
lf[1141]=C_h_intern(&lf[1141],16, C_text("\003syspoke-integer"));
lf[1142]=C_h_intern(&lf[1142],15, C_text("\003syspoke-double"));
lf[1143]=C_h_intern(&lf[1143],22, C_text("\003syspeek-c-string-list"));
lf[1144]=C_h_intern(&lf[1144],31, C_text("\003syspeek-and-free-c-string-list"));
lf[1145]=C_h_intern(&lf[1145],20, C_text("\003sysvector->closure!"));
lf[1146]=C_h_intern(&lf[1146],32, C_text("\003syssymbol-has-toplevel-binding\077"));
lf[1147]=C_h_intern(&lf[1147],14, C_text("\003syscopy-words"));
lf[1148]=C_h_intern(&lf[1148],17, C_text("\003syscompare-bytes"));
lf[1149]=C_h_intern(&lf[1149],17, C_text("\003sysblock-pointer"));
lf[1150]=C_h_intern(&lf[1150],25, C_text("\003sysforeign-char-argument"));
lf[1151]=C_h_intern(&lf[1151],27, C_text("\003sysforeign-fixnum-argument"));
lf[1152]=C_h_intern(&lf[1152],27, C_text("\003sysforeign-flonum-argument"));
lf[1153]=C_h_intern(&lf[1153],26, C_text("\003sysforeign-block-argument"));
lf[1154]=C_h_intern(&lf[1154],35, C_text("\003sysforeign-struct-wrapper-argument"));
lf[1155]=C_h_intern(&lf[1155],27, C_text("\003sysforeign-string-argument"));
lf[1156]=C_h_intern(&lf[1156],27, C_text("\003sysforeign-symbol-argument"));
lf[1157]=C_h_intern(&lf[1157],28, C_text("\003sysforeign-pointer-argument"));
lf[1158]=C_h_intern(&lf[1158],35, C_text("\003sysforeign-tagged-pointer-argument"));
lf[1159]=C_h_intern(&lf[1159],35, C_text("\003sysforeign-ranged-integer-argument"));
lf[1160]=C_h_intern(&lf[1160],44, C_text("\003sysforeign-unsigned-ranged-integer-argument"));
lf[1161]=C_h_intern(&lf[1161],26, C_text("\003sysdefault-thread-quantum"));
lf[1162]=C_h_intern(&lf[1162],29, C_text("\003sysdefault-exception-handler"));
lf[1163]=C_decode_literal(C_heaptop,C_text("\376B\000\000>internal error: default exception handler shouldn\047t be called!"));
lf[1164]=C_h_intern(&lf[1164],15, C_text("\003sysmake-thread"));
lf[1165]=C_h_intern(&lf[1165],14, C_text("\003sysmake-mutex"));
lf[1166]=C_h_intern(&lf[1166],5, C_text("mutex"));
lf[1167]=C_h_intern(&lf[1167],12, C_text("\003sysschedule"));
lf[1168]=C_h_intern(&lf[1168],17, C_text("\003systhread-yield!"));
lf[1169]=C_h_intern(&lf[1169],22, C_text("\003syskill-other-threads"));
lf[1170]=C_h_intern(&lf[1170],23, C_text("chicken.base#sleep-hook"));
lf[1171]=C_h_intern(&lf[1171],5, C_text("sleep"));
lf[1172]=C_h_intern(&lf[1172],18, C_text("\003syscontext-switch"));
lf[1173]=C_h_intern(&lf[1173],17, C_text("\003syssignal-vector"));
lf[1174]=C_h_intern(&lf[1174],18, C_text("\003sysinterrupt-hook"));
lf[1175]=C_h_intern(&lf[1175],22, C_text("\003syspending-finalizers"));
lf[1176]=C_h_intern(&lf[1176],26, C_text("\003sysrun-pending-finalizers"));
lf[1177]=C_h_intern(&lf[1177],9, C_text("\003syserrno"));
lf[1178]=C_decode_literal(C_heaptop,C_text("\376B\000\000Lunexpected end of file - unterminated `#{...}\047 item in `here\047 string litera"
"l"));
lf[1179]=C_decode_literal(C_heaptop,C_text("\376B\000\000&unterminated here-doc string literal `"));
lf[1180]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[1181]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<< here-doc token"));
lf[1182]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<< here-doc tag"));
lf[1183]=C_h_intern(&lf[1183],4, C_text("cons"));
lf[1184]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\005quote\376\003\000\000\002\376\377\016\376\377\016"));
lf[1185]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<# here-doc token"));
lf[1186]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<# here-doc tag"));
lf[1187]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unreadable object"));
lf[1188]=C_h_intern(&lf[1188],24, C_text("chicken.process-context#"));
lf[1189]=C_h_intern(&lf[1189],40, C_text("chicken.process-context#change-directory"));
lf[1190]=C_h_intern(&lf[1190],16, C_text("change-directory"));
lf[1191]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot change current directory - "));
lf[1192]=C_h_intern(&lf[1192],25, C_text("\003syschange-directory-hook"));
lf[1193]=C_h_intern(&lf[1193],41, C_text("chicken.process-context#current-directory"));
lf[1194]=C_h_intern(&lf[1194],48, C_text("chicken.process-context#get-environment-variable"));
lf[1195]=C_h_intern(&lf[1195],49, C_text("chicken.process-context#set-environment-variable!"));
lf[1196]=C_h_intern(&lf[1196],25, C_text("set-environment-variable!"));
lf[1197]=C_h_intern(&lf[1197],51, C_text("chicken.process-context#unset-environment-variable!"));
lf[1198]=C_h_intern(&lf[1198],27, C_text("unset-environment-variable!"));
lf[1199]=C_h_intern(&lf[1199],49, C_text("chicken.process-context#get-environment-variables"));
lf[1200]=C_h_intern(&lf[1200],43, C_text("chicken.process-context#executable-pathname"));
lf[1201]=C_h_intern(&lf[1201],33, C_text("chicken.process-context#argc+argv"));
lf[1202]=C_h_intern(&lf[1202],28, C_text("chicken.process-context#argv"));
lf[1203]=C_h_intern(&lf[1203],36, C_text("chicken.process-context#program-name"));
lf[1204]=C_h_intern(&lf[1204],46, C_text("chicken.process-context#command-line-arguments"));
lf[1205]=C_h_intern(&lf[1205],11, C_text("chicken.gc#"));
lf[1206]=C_h_intern(&lf[1206],34, C_text("chicken.gc#current-gc-milliseconds"));
lf[1207]=C_h_intern(&lf[1207],25, C_text("chicken.gc#set-gc-report!"));
lf[1208]=C_h_intern(&lf[1208],28, C_text("chicken.gc#memory-statistics"));
lf[1209]=C_h_intern(&lf[1209],18, C_text("\003sysset-finalizer!"));
lf[1210]=C_h_intern(&lf[1210],25, C_text("chicken.gc#set-finalizer!"));
lf[1211]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1212]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035), resized max finalizers to "));
lf[1213]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1214]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1215]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017), forcing ...\012"));
lf[1216]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014in finalizer"));
lf[1217]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020[debug] running "));
lf[1218]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017 finalizer(s) ("));
lf[1219]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007 live, "));
lf[1220]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020 allocated) ...\012"));
lf[1221]=C_h_intern(&lf[1221],13, C_text("chicken.gc#gc"));
lf[1222]=C_h_intern(&lf[1222],10, C_text("\003syslength"));
lf[1223]=C_h_intern(&lf[1223],8, C_text("\003syscons"));
lf[1224]=C_h_intern(&lf[1224],10, C_text("\003sysvector"));
lf[1225]=C_h_intern(&lf[1225],9, C_text("\003sysapply"));
lf[1226]=C_h_intern(&lf[1226],10, C_text("\003sysvalues"));
lf[1227]=C_h_intern(&lf[1227],10, C_text("\003sysequal\077"));
lf[1228]=C_h_intern(&lf[1228],7, C_text("\003syscar"));
lf[1229]=C_h_intern(&lf[1229],7, C_text("\003syscdr"));
lf[1230]=C_h_intern(&lf[1230],9, C_text("\003syspair\077"));
lf[1231]=C_h_intern(&lf[1231],11, C_text("\003sysvector\077"));
lf[1232]=C_h_intern(&lf[1232],16, C_text("\003sysvector->list"));
lf[1233]=C_h_intern(&lf[1233],17, C_text("\003sysvector-length"));
lf[1234]=C_h_intern(&lf[1234],14, C_text("\003sysvector-ref"));
lf[1235]=C_h_intern(&lf[1235],6, C_text("\003sys>="));
lf[1236]=C_h_intern(&lf[1236],5, C_text("\003sys="));
lf[1237]=C_h_intern(&lf[1237],5, C_text("\003sys+"));
lf[1238]=C_h_intern(&lf[1238],7, C_text("\003syseq\077"));
lf[1239]=C_h_intern(&lf[1239],8, C_text("\003syseqv\077"));
lf[1240]=C_h_intern(&lf[1240],9, C_text("\003syslist\077"));
lf[1241]=C_h_intern(&lf[1241],9, C_text("\003sysnull\077"));
lf[1242]=C_h_intern(&lf[1242],9, C_text("\003sysmap-n"));
lf[1243]=C_h_intern(&lf[1243],17, C_text("\003sysmake-locative"));
lf[1244]=C_decode_literal(C_heaptop,C_text("\376B\000\000)locative cannot refer to immediate object"));
lf[1245]=C_h_intern(&lf[1245],8, C_text("u8vector"));
lf[1246]=C_h_intern(&lf[1246],8, C_text("s8vector"));
lf[1247]=C_h_intern(&lf[1247],9, C_text("u16vector"));
lf[1248]=C_h_intern(&lf[1248],9, C_text("s16vector"));
lf[1249]=C_h_intern(&lf[1249],9, C_text("u32vector"));
lf[1250]=C_h_intern(&lf[1250],9, C_text("s32vector"));
lf[1251]=C_h_intern(&lf[1251],9, C_text("u64vector"));
lf[1252]=C_h_intern(&lf[1252],9, C_text("s64vector"));
lf[1253]=C_h_intern(&lf[1253],9, C_text("f32vector"));
lf[1254]=C_h_intern(&lf[1254],9, C_text("f64vector"));
lf[1255]=C_decode_literal(C_heaptop,C_text("\376B\000\000Abad argument type - locative cannot refer to objects of this type"));
lf[1256]=C_h_intern(&lf[1256],14, C_text("chicken.plist#"));
lf[1257]=C_h_intern(&lf[1257],18, C_text("chicken.plist#put!"));
lf[1258]=C_h_intern(&lf[1258],4, C_text("put!"));
lf[1259]=C_h_intern(&lf[1259],17, C_text("chicken.plist#get"));
lf[1260]=C_h_intern(&lf[1260],3, C_text("get"));
lf[1261]=C_h_intern(&lf[1261],8, C_text("\003sysput!"));
lf[1262]=C_h_intern(&lf[1262],7, C_text("\003sysget"));
lf[1263]=C_h_intern(&lf[1263],22, C_text("chicken.plist#remprop!"));
lf[1264]=C_h_intern(&lf[1264],8, C_text("remprop!"));
lf[1265]=C_h_intern(&lf[1265],26, C_text("chicken.plist#symbol-plist"));
lf[1266]=C_h_intern(&lf[1266],28, C_text("chicken.plist#get-properties"));
lf[1267]=C_h_intern(&lf[1267],14, C_text("get-properties"));
lf[1268]=C_h_intern(&lf[1268],17, C_text("\003sysdisplay-times"));
lf[1269]=C_decode_literal(C_heaptop,C_text("\376B\000\000\0010"));
lf[1270]=C_decode_literal(C_heaptop,C_text("\376U10.0\000"));
lf[1271]=C_decode_literal(C_heaptop,C_text("\376\302\000\000\01040000000"));
lf[1272]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 GiB"));
lf[1273]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 MiB"));
lf[1274]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 KiB"));
lf[1275]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 bytes"));
lf[1276]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025, maximum live heap: "));
lf[1277]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022 GCs (major/minor)"));
lf[1278]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1279]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032 mutations (total/tracked)"));
lf[1280]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1281]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021s GC time (major)"));
lf[1282]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1283]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012s CPU time"));
lf[1284]=C_h_intern(&lf[1284],23, C_text("\003sysfilter-heap-objects"));
lf[1285]=C_h_intern(&lf[1285],17, C_text("chicken.platform#"));
lf[1286]=C_h_intern(&lf[1286],30, C_text("chicken.platform#software-type"));
lf[1287]=C_h_intern(&lf[1287],29, C_text("chicken.platform#machine-type"));
lf[1288]=C_h_intern(&lf[1288],35, C_text("chicken.platform#machine-byte-order"));
lf[1289]=C_h_intern(&lf[1289],33, C_text("chicken.platform#software-version"));
lf[1290]=C_h_intern(&lf[1290],31, C_text("chicken.platform#build-platform"));
lf[1291]=C_h_intern(&lf[1291],20, C_text("\003syswindows-platform"));
lf[1292]=C_h_intern(&lf[1292],32, C_text("chicken.platform#chicken-version"));
lf[1293]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010Version "));
lf[1294]=C_h_intern(&lf[1294],17, C_text("\003sysbuild-version"));
lf[1295]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1296]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1297]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ["));
lf[1298]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ]"));
lf[1299]=C_h_intern(&lf[1299],7, C_text("unknown"));
lf[1300]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1301]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001-"));
lf[1302]=C_h_intern(&lf[1302],12, C_text("\003sysbuild-id"));
lf[1303]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 (rev "));
lf[1304]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1305]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1306]=C_h_intern(&lf[1306],16, C_text("\003sysbuild-branch"));
lf[1307]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1308]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 64bit"));
lf[1311]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1312]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 dload"));
lf[1313]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1314]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 ptables"));
lf[1315]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1316]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 gchooks"));
lf[1317]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1318]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 cross"));
lf[1319]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1320]=C_h_intern(&lf[1320],25, C_text("chicken.platform#feature\077"));
lf[1321]=C_h_intern(&lf[1321],14, C_text("\000cross-chicken"));
lf[1322]=C_h_intern(&lf[1322],8, C_text("\000gchooks"));
lf[1323]=C_h_intern(&lf[1323],8, C_text("\000ptables"));
lf[1324]=C_h_intern(&lf[1324],6, C_text("\000dload"));
lf[1325]=C_h_intern(&lf[1325],6, C_text("\00064bit"));
lf[1326]=C_h_intern(&lf[1326],29, C_text("chicken.platform#chicken-home"));
lf[1328]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\006\000\376\377\016"));
lf[1329]=C_h_intern(&lf[1329],14, C_text("\003syssplit-path"));
lf[1330]=C_h_intern(&lf[1330],32, C_text("chicken.platform#repository-path"));
lf[1331]=C_h_intern(&lf[1331],40, C_text("chicken.platform#installation-repository"));
lf[1333]=C_decode_literal(C_heaptop,C_text("\376B\000\0001bad argument type - not a valid feature identifer"));
lf[1334]=C_h_intern(&lf[1334],12, C_text("\003sysfeatures"));
lf[1335]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010\000chicken\376\003\000\000\002\376\001\000\000\007\000srfi-6\376\003\000\000\002\376\001\000\000\010\000srfi-12\376\003\000\000\002\376\001\000\000\010\000srfi-17\376\003\000\000\002\376\001\000\000"
"\010\000srfi-23\376\003\000\000\002\376\001\000\000\010\000srfi-30\376\003\000\000\002\376\001\000\000\010\000srfi-39\376\003\000\000\002\376\001\000\000\010\000srfi-62\376\003\000\000\002\376\001\000\000\023\000full-n"
"umeric-tower\376\377\016"));
lf[1336]=C_h_intern(&lf[1336],34, C_text("chicken.platform#register-feature!"));
lf[1337]=C_h_intern(&lf[1337],36, C_text("chicken.platform#unregister-feature!"));
lf[1338]=C_h_intern(&lf[1338],25, C_text("chicken.platform#features"));
lf[1339]=C_h_intern(&lf[1339],31, C_text("chicken.platform#return-to-host"));
lf[1340]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1341]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[1342]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1343]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032CHICKEN_INSTALL_REPOSITORY"));
lf[1344]=C_h_intern(&lf[1344],15, C_text("repository-path"));
lf[1345]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027CHICKEN_REPOSITORY_PATH"));
lf[1346]=C_h_intern(&lf[1346],7, C_text("windows"));
lf[1347]=C_h_intern(&lf[1347],6, C_text("cygwin"));
lf[1348]=C_h_intern(&lf[1348],12, C_text("symbol-plist"));
lf[1349]=C_h_intern(&lf[1349],19, C_text("symbol-plist/setter"));
lf[1350]=C_decode_literal(C_heaptop,C_text("\376B\000\000$property-list must be of even length"));
lf[1351]=C_decode_literal(C_heaptop,C_text("\376B\000\000 (chicken.plist#symbol-plist sym)"));
lf[1352]=C_h_intern(&lf[1352],22, C_text("command-line-arguments"));
lf[1353]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002-:"));
lf[1354]=C_h_intern(&lf[1354],12, C_text("program-name"));
lf[1355]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011<unknown>"));
lf[1356]=C_h_intern(&lf[1356],17, C_text("current-directory"));
lf[1357]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[1358]=C_decode_literal(C_heaptop,C_text("\376B\000\000+(chicken.process-context#current-directory)"));
lf[1359]=C_h_intern(&lf[1359],7, C_text("running"));
lf[1360]=C_h_intern(&lf[1360],10, C_text("primordial"));
lf[1361]=C_h_intern(&lf[1361],9, C_text("arguments"));
lf[1362]=C_h_intern(&lf[1362],7, C_text("message"));
lf[1363]=C_h_intern(&lf[1363],17, C_text("chicken.repl#repl"));
lf[1364]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1365]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1366]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006\012Error"));
lf[1367]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016error in error"));
lf[1368]=C_decode_literal(C_heaptop,C_text("\376B\000\000,\042exit\042 called while processing on-exit tasks"));
lf[1369]=C_h_intern(&lf[1369],10, C_text("read-table"));
lf[1370]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021no setter defined"));
lf[1371]=C_decode_literal(C_heaptop,C_text("\376B\000\000#can not set setter of non-procedure"));
lf[1372]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stderr)"));
lf[1373]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stdout)"));
lf[1374]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(stdin)"));
lf[1375]=C_h_intern(&lf[1375],9, C_text("backspace"));
lf[1376]=C_h_intern(&lf[1376],4, C_text("page"));
lf[1377]=C_h_intern(&lf[1377],6, C_text("return"));
lf[1378]=C_h_intern(&lf[1378],4, C_text("null"));
lf[1379]=C_h_intern(&lf[1379],3, C_text("nul"));
lf[1380]=C_h_intern(&lf[1380],5, C_text("alarm"));
lf[1381]=C_h_intern(&lf[1381],6, C_text("escape"));
lf[1382]=C_h_intern(&lf[1382],3, C_text("esc"));
lf[1383]=C_h_intern(&lf[1383],6, C_text("delete"));
lf[1384]=C_h_intern(&lf[1384],4, C_text("vtab"));
lf[1385]=C_h_intern(&lf[1385],7, C_text("newline"));
lf[1386]=C_h_intern(&lf[1386],8, C_text("linefeed"));
lf[1387]=C_h_intern(&lf[1387],3, C_text("tab"));
lf[1388]=C_h_intern(&lf[1388],5, C_text("space"));
C_register_lf2(lf,1389,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8544,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_build_2dversion_toplevel(2,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[2121] = {
{C_text("f34076:library_2escm"),(void*)f34076},
{C_text("f34607:library_2escm"),(void*)f34607},
{C_text("f36860:library_2escm"),(void*)f36860},
{C_text("f36866:library_2escm"),(void*)f36866},
{C_text("f36872:library_2escm"),(void*)f36872},
{C_text("f_10003:library_2escm"),(void*)f_10003},
{C_text("f_10010:library_2escm"),(void*)f_10010},
{C_text("f_10013:library_2escm"),(void*)f_10013},
{C_text("f_10042:library_2escm"),(void*)f_10042},
{C_text("f_10048:library_2escm"),(void*)f_10048},
{C_text("f_10064:library_2escm"),(void*)f_10064},
{C_text("f_10089:library_2escm"),(void*)f_10089},
{C_text("f_10098:library_2escm"),(void*)f_10098},
{C_text("f_10139:library_2escm"),(void*)f_10139},
{C_text("f_10161:library_2escm"),(void*)f_10161},
{C_text("f_10193:library_2escm"),(void*)f_10193},
{C_text("f_10209:library_2escm"),(void*)f_10209},
{C_text("f_10212:library_2escm"),(void*)f_10212},
{C_text("f_10234:library_2escm"),(void*)f_10234},
{C_text("f_10240:library_2escm"),(void*)f_10240},
{C_text("f_10265:library_2escm"),(void*)f_10265},
{C_text("f_10305:library_2escm"),(void*)f_10305},
{C_text("f_10312:library_2escm"),(void*)f_10312},
{C_text("f_10317:library_2escm"),(void*)f_10317},
{C_text("f_10336:library_2escm"),(void*)f_10336},
{C_text("f_10358:library_2escm"),(void*)f_10358},
{C_text("f_10361:library_2escm"),(void*)f_10361},
{C_text("f_10364:library_2escm"),(void*)f_10364},
{C_text("f_10367:library_2escm"),(void*)f_10367},
{C_text("f_10373:library_2escm"),(void*)f_10373},
{C_text("f_10376:library_2escm"),(void*)f_10376},
{C_text("f_10379:library_2escm"),(void*)f_10379},
{C_text("f_10382:library_2escm"),(void*)f_10382},
{C_text("f_10385:library_2escm"),(void*)f_10385},
{C_text("f_10388:library_2escm"),(void*)f_10388},
{C_text("f_10391:library_2escm"),(void*)f_10391},
{C_text("f_10394:library_2escm"),(void*)f_10394},
{C_text("f_10397:library_2escm"),(void*)f_10397},
{C_text("f_10400:library_2escm"),(void*)f_10400},
{C_text("f_10403:library_2escm"),(void*)f_10403},
{C_text("f_10406:library_2escm"),(void*)f_10406},
{C_text("f_10409:library_2escm"),(void*)f_10409},
{C_text("f_10412:library_2escm"),(void*)f_10412},
{C_text("f_10415:library_2escm"),(void*)f_10415},
{C_text("f_10418:library_2escm"),(void*)f_10418},
{C_text("f_10421:library_2escm"),(void*)f_10421},
{C_text("f_10424:library_2escm"),(void*)f_10424},
{C_text("f_10427:library_2escm"),(void*)f_10427},
{C_text("f_10430:library_2escm"),(void*)f_10430},
{C_text("f_10433:library_2escm"),(void*)f_10433},
{C_text("f_10436:library_2escm"),(void*)f_10436},
{C_text("f_10439:library_2escm"),(void*)f_10439},
{C_text("f_10442:library_2escm"),(void*)f_10442},
{C_text("f_10445:library_2escm"),(void*)f_10445},
{C_text("f_10450:library_2escm"),(void*)f_10450},
{C_text("f_10459:library_2escm"),(void*)f_10459},
{C_text("f_10471:library_2escm"),(void*)f_10471},
{C_text("f_10486:library_2escm"),(void*)f_10486},
{C_text("f_10489:library_2escm"),(void*)f_10489},
{C_text("f_10497:library_2escm"),(void*)f_10497},
{C_text("f_10501:library_2escm"),(void*)f_10501},
{C_text("f_10503:library_2escm"),(void*)f_10503},
{C_text("f_10507:library_2escm"),(void*)f_10507},
{C_text("f_10510:library_2escm"),(void*)f_10510},
{C_text("f_10521:library_2escm"),(void*)f_10521},
{C_text("f_10523:library_2escm"),(void*)f_10523},
{C_text("f_10530:library_2escm"),(void*)f_10530},
{C_text("f_10533:library_2escm"),(void*)f_10533},
{C_text("f_10536:library_2escm"),(void*)f_10536},
{C_text("f_10541:library_2escm"),(void*)f_10541},
{C_text("f_10545:library_2escm"),(void*)f_10545},
{C_text("f_10550:library_2escm"),(void*)f_10550},
{C_text("f_10554:library_2escm"),(void*)f_10554},
{C_text("f_10557:library_2escm"),(void*)f_10557},
{C_text("f_10585:library_2escm"),(void*)f_10585},
{C_text("f_10588:library_2escm"),(void*)f_10588},
{C_text("f_10591:library_2escm"),(void*)f_10591},
{C_text("f_10608:library_2escm"),(void*)f_10608},
{C_text("f_10619:library_2escm"),(void*)f_10619},
{C_text("f_10631:library_2escm"),(void*)f_10631},
{C_text("f_10642:library_2escm"),(void*)f_10642},
{C_text("f_10653:library_2escm"),(void*)f_10653},
{C_text("f_10664:library_2escm"),(void*)f_10664},
{C_text("f_10675:library_2escm"),(void*)f_10675},
{C_text("f_10686:library_2escm"),(void*)f_10686},
{C_text("f_10697:library_2escm"),(void*)f_10697},
{C_text("f_10708:library_2escm"),(void*)f_10708},
{C_text("f_10719:library_2escm"),(void*)f_10719},
{C_text("f_10730:library_2escm"),(void*)f_10730},
{C_text("f_10741:library_2escm"),(void*)f_10741},
{C_text("f_10752:library_2escm"),(void*)f_10752},
{C_text("f_10763:library_2escm"),(void*)f_10763},
{C_text("f_10780:library_2escm"),(void*)f_10780},
{C_text("f_10797:library_2escm"),(void*)f_10797},
{C_text("f_10821:library_2escm"),(void*)f_10821},
{C_text("f_10838:library_2escm"),(void*)f_10838},
{C_text("f_10842:library_2escm"),(void*)f_10842},
{C_text("f_10868:library_2escm"),(void*)f_10868},
{C_text("f_10888:library_2escm"),(void*)f_10888},
{C_text("f_10899:library_2escm"),(void*)f_10899},
{C_text("f_10911:library_2escm"),(void*)f_10911},
{C_text("f_10945:library_2escm"),(void*)f_10945},
{C_text("f_10960:library_2escm"),(void*)f_10960},
{C_text("f_11027:library_2escm"),(void*)f_11027},
{C_text("f_11043:library_2escm"),(void*)f_11043},
{C_text("f_11059:library_2escm"),(void*)f_11059},
{C_text("f_11075:library_2escm"),(void*)f_11075},
{C_text("f_11091:library_2escm"),(void*)f_11091},
{C_text("f_11107:library_2escm"),(void*)f_11107},
{C_text("f_11123:library_2escm"),(void*)f_11123},
{C_text("f_11139:library_2escm"),(void*)f_11139},
{C_text("f_11155:library_2escm"),(void*)f_11155},
{C_text("f_11167:library_2escm"),(void*)f_11167},
{C_text("f_11186:library_2escm"),(void*)f_11186},
{C_text("f_11217:library_2escm"),(void*)f_11217},
{C_text("f_11234:library_2escm"),(void*)f_11234},
{C_text("f_11240:library_2escm"),(void*)f_11240},
{C_text("f_11264:library_2escm"),(void*)f_11264},
{C_text("f_11284:library_2escm"),(void*)f_11284},
{C_text("f_11288:library_2escm"),(void*)f_11288},
{C_text("f_11291:library_2escm"),(void*)f_11291},
{C_text("f_11320:library_2escm"),(void*)f_11320},
{C_text("f_11336:library_2escm"),(void*)f_11336},
{C_text("f_11358:library_2escm"),(void*)f_11358},
{C_text("f_11374:library_2escm"),(void*)f_11374},
{C_text("f_11379:library_2escm"),(void*)f_11379},
{C_text("f_11410:library_2escm"),(void*)f_11410},
{C_text("f_11421:library_2escm"),(void*)f_11421},
{C_text("f_11430:library_2escm"),(void*)f_11430},
{C_text("f_11459:library_2escm"),(void*)f_11459},
{C_text("f_11472:library_2escm"),(void*)f_11472},
{C_text("f_11482:library_2escm"),(void*)f_11482},
{C_text("f_11484:library_2escm"),(void*)f_11484},
{C_text("f_11491:library_2escm"),(void*)f_11491},
{C_text("f_11494:library_2escm"),(void*)f_11494},
{C_text("f_11503:library_2escm"),(void*)f_11503},
{C_text("f_11529:library_2escm"),(void*)f_11529},
{C_text("f_11534:library_2escm"),(void*)f_11534},
{C_text("f_11538:library_2escm"),(void*)f_11538},
{C_text("f_11543:library_2escm"),(void*)f_11543},
{C_text("f_11564:library_2escm"),(void*)f_11564},
{C_text("f_11570:library_2escm"),(void*)f_11570},
{C_text("f_11588:library_2escm"),(void*)f_11588},
{C_text("f_11594:library_2escm"),(void*)f_11594},
{C_text("f_11612:library_2escm"),(void*)f_11612},
{C_text("f_11618:library_2escm"),(void*)f_11618},
{C_text("f_11633:library_2escm"),(void*)f_11633},
{C_text("f_11639:library_2escm"),(void*)f_11639},
{C_text("f_11653:library_2escm"),(void*)f_11653},
{C_text("f_11674:library_2escm"),(void*)f_11674},
{C_text("f_11680:library_2escm"),(void*)f_11680},
{C_text("f_11698:library_2escm"),(void*)f_11698},
{C_text("f_11704:library_2escm"),(void*)f_11704},
{C_text("f_11722:library_2escm"),(void*)f_11722},
{C_text("f_11728:library_2escm"),(void*)f_11728},
{C_text("f_11743:library_2escm"),(void*)f_11743},
{C_text("f_11749:library_2escm"),(void*)f_11749},
{C_text("f_11764:library_2escm"),(void*)f_11764},
{C_text("f_11774:library_2escm"),(void*)f_11774},
{C_text("f_11780:library_2escm"),(void*)f_11780},
{C_text("f_11784:library_2escm"),(void*)f_11784},
{C_text("f_11786:library_2escm"),(void*)f_11786},
{C_text("f_11797:library_2escm"),(void*)f_11797},
{C_text("f_11809:library_2escm"),(void*)f_11809},
{C_text("f_11819:library_2escm"),(void*)f_11819},
{C_text("f_11825:library_2escm"),(void*)f_11825},
{C_text("f_11829:library_2escm"),(void*)f_11829},
{C_text("f_11834:library_2escm"),(void*)f_11834},
{C_text("f_11860:library_2escm"),(void*)f_11860},
{C_text("f_11864:library_2escm"),(void*)f_11864},
{C_text("f_11867:library_2escm"),(void*)f_11867},
{C_text("f_11875:library_2escm"),(void*)f_11875},
{C_text("f_11896:library_2escm"),(void*)f_11896},
{C_text("f_11910:library_2escm"),(void*)f_11910},
{C_text("f_11914:library_2escm"),(void*)f_11914},
{C_text("f_11955:library_2escm"),(void*)f_11955},
{C_text("f_11977:library_2escm"),(void*)f_11977},
{C_text("f_11979:library_2escm"),(void*)f_11979},
{C_text("f_12001:library_2escm"),(void*)f_12001},
{C_text("f_12003:library_2escm"),(void*)f_12003},
{C_text("f_12025:library_2escm"),(void*)f_12025},
{C_text("f_12027:library_2escm"),(void*)f_12027},
{C_text("f_12049:library_2escm"),(void*)f_12049},
{C_text("f_12051:library_2escm"),(void*)f_12051},
{C_text("f_12073:library_2escm"),(void*)f_12073},
{C_text("f_12075:library_2escm"),(void*)f_12075},
{C_text("f_12097:library_2escm"),(void*)f_12097},
{C_text("f_12099:library_2escm"),(void*)f_12099},
{C_text("f_12121:library_2escm"),(void*)f_12121},
{C_text("f_12123:library_2escm"),(void*)f_12123},
{C_text("f_12145:library_2escm"),(void*)f_12145},
{C_text("f_12147:library_2escm"),(void*)f_12147},
{C_text("f_12169:library_2escm"),(void*)f_12169},
{C_text("f_12171:library_2escm"),(void*)f_12171},
{C_text("f_12193:library_2escm"),(void*)f_12193},
{C_text("f_12195:library_2escm"),(void*)f_12195},
{C_text("f_12217:library_2escm"),(void*)f_12217},
{C_text("f_12219:library_2escm"),(void*)f_12219},
{C_text("f_12235:library_2escm"),(void*)f_12235},
{C_text("f_12237:library_2escm"),(void*)f_12237},
{C_text("f_12259:library_2escm"),(void*)f_12259},
{C_text("f_12261:library_2escm"),(void*)f_12261},
{C_text("f_12283:library_2escm"),(void*)f_12283},
{C_text("f_12285:library_2escm"),(void*)f_12285},
{C_text("f_12301:library_2escm"),(void*)f_12301},
{C_text("f_12303:library_2escm"),(void*)f_12303},
{C_text("f_12319:library_2escm"),(void*)f_12319},
{C_text("f_12321:library_2escm"),(void*)f_12321},
{C_text("f_12337:library_2escm"),(void*)f_12337},
{C_text("f_12339:library_2escm"),(void*)f_12339},
{C_text("f_12355:library_2escm"),(void*)f_12355},
{C_text("f_12357:library_2escm"),(void*)f_12357},
{C_text("f_12373:library_2escm"),(void*)f_12373},
{C_text("f_12375:library_2escm"),(void*)f_12375},
{C_text("f_12391:library_2escm"),(void*)f_12391},
{C_text("f_12393:library_2escm"),(void*)f_12393},
{C_text("f_12409:library_2escm"),(void*)f_12409},
{C_text("f_12411:library_2escm"),(void*)f_12411},
{C_text("f_12427:library_2escm"),(void*)f_12427},
{C_text("f_12429:library_2escm"),(void*)f_12429},
{C_text("f_12445:library_2escm"),(void*)f_12445},
{C_text("f_12447:library_2escm"),(void*)f_12447},
{C_text("f_12463:library_2escm"),(void*)f_12463},
{C_text("f_12465:library_2escm"),(void*)f_12465},
{C_text("f_12487:library_2escm"),(void*)f_12487},
{C_text("f_12489:library_2escm"),(void*)f_12489},
{C_text("f_12505:library_2escm"),(void*)f_12505},
{C_text("f_12507:library_2escm"),(void*)f_12507},
{C_text("f_12529:library_2escm"),(void*)f_12529},
{C_text("f_12531:library_2escm"),(void*)f_12531},
{C_text("f_12547:library_2escm"),(void*)f_12547},
{C_text("f_12549:library_2escm"),(void*)f_12549},
{C_text("f_12565:library_2escm"),(void*)f_12565},
{C_text("f_12567:library_2escm"),(void*)f_12567},
{C_text("f_12583:library_2escm"),(void*)f_12583},
{C_text("f_12585:library_2escm"),(void*)f_12585},
{C_text("f_12601:library_2escm"),(void*)f_12601},
{C_text("f_12603:library_2escm"),(void*)f_12603},
{C_text("f_12613:library_2escm"),(void*)f_12613},
{C_text("f_12625:library_2escm"),(void*)f_12625},
{C_text("f_12635:library_2escm"),(void*)f_12635},
{C_text("f_12639:library_2escm"),(void*)f_12639},
{C_text("f_12661:library_2escm"),(void*)f_12661},
{C_text("f_12665:library_2escm"),(void*)f_12665},
{C_text("f_12668:library_2escm"),(void*)f_12668},
{C_text("f_12673:library_2escm"),(void*)f_12673},
{C_text("f_12677:library_2escm"),(void*)f_12677},
{C_text("f_12680:library_2escm"),(void*)f_12680},
{C_text("f_12683:library_2escm"),(void*)f_12683},
{C_text("f_12694:library_2escm"),(void*)f_12694},
{C_text("f_12717:library_2escm"),(void*)f_12717},
{C_text("f_12743:library_2escm"),(void*)f_12743},
{C_text("f_12752:library_2escm"),(void*)f_12752},
{C_text("f_12757:library_2escm"),(void*)f_12757},
{C_text("f_12759:library_2escm"),(void*)f_12759},
{C_text("f_12798:library_2escm"),(void*)f_12798},
{C_text("f_12844:library_2escm"),(void*)f_12844},
{C_text("f_12868:library_2escm"),(void*)f_12868},
{C_text("f_12872:library_2escm"),(void*)f_12872},
{C_text("f_12890:library_2escm"),(void*)f_12890},
{C_text("f_12914:library_2escm"),(void*)f_12914},
{C_text("f_12918:library_2escm"),(void*)f_12918},
{C_text("f_12936:library_2escm"),(void*)f_12936},
{C_text("f_12977:library_2escm"),(void*)f_12977},
{C_text("f_12988:library_2escm"),(void*)f_12988},
{C_text("f_12994:library_2escm"),(void*)f_12994},
{C_text("f_12998:library_2escm"),(void*)f_12998},
{C_text("f_13003:library_2escm"),(void*)f_13003},
{C_text("f_13014:library_2escm"),(void*)f_13014},
{C_text("f_13027:library_2escm"),(void*)f_13027},
{C_text("f_13042:library_2escm"),(void*)f_13042},
{C_text("f_13046:library_2escm"),(void*)f_13046},
{C_text("f_13052:library_2escm"),(void*)f_13052},
{C_text("f_13056:library_2escm"),(void*)f_13056},
{C_text("f_13096:library_2escm"),(void*)f_13096},
{C_text("f_13100:library_2escm"),(void*)f_13100},
{C_text("f_13122:library_2escm"),(void*)f_13122},
{C_text("f_13125:library_2escm"),(void*)f_13125},
{C_text("f_13128:library_2escm"),(void*)f_13128},
{C_text("f_13131:library_2escm"),(void*)f_13131},
{C_text("f_13134:library_2escm"),(void*)f_13134},
{C_text("f_13155:library_2escm"),(void*)f_13155},
{C_text("f_13157:library_2escm"),(void*)f_13157},
{C_text("f_13175:library_2escm"),(void*)f_13175},
{C_text("f_13185:library_2escm"),(void*)f_13185},
{C_text("f_13189:library_2escm"),(void*)f_13189},
{C_text("f_13195:library_2escm"),(void*)f_13195},
{C_text("f_13227:library_2escm"),(void*)f_13227},
{C_text("f_13230:library_2escm"),(void*)f_13230},
{C_text("f_13233:library_2escm"),(void*)f_13233},
{C_text("f_13236:library_2escm"),(void*)f_13236},
{C_text("f_13245:library_2escm"),(void*)f_13245},
{C_text("f_13248:library_2escm"),(void*)f_13248},
{C_text("f_13278:library_2escm"),(void*)f_13278},
{C_text("f_13282:library_2escm"),(void*)f_13282},
{C_text("f_13349:library_2escm"),(void*)f_13349},
{C_text("f_13383:library_2escm"),(void*)f_13383},
{C_text("f_13433:library_2escm"),(void*)f_13433},
{C_text("f_13474:library_2escm"),(void*)f_13474},
{C_text("f_13515:library_2escm"),(void*)f_13515},
{C_text("f_13549:library_2escm"),(void*)f_13549},
{C_text("f_13573:library_2escm"),(void*)f_13573},
{C_text("f_13589:library_2escm"),(void*)f_13589},
{C_text("f_13592:library_2escm"),(void*)f_13592},
{C_text("f_13596:library_2escm"),(void*)f_13596},
{C_text("f_13599:library_2escm"),(void*)f_13599},
{C_text("f_13616:library_2escm"),(void*)f_13616},
{C_text("f_13634:library_2escm"),(void*)f_13634},
{C_text("f_13638:library_2escm"),(void*)f_13638},
{C_text("f_13657:library_2escm"),(void*)f_13657},
{C_text("f_13661:library_2escm"),(void*)f_13661},
{C_text("f_13692:library_2escm"),(void*)f_13692},
{C_text("f_13725:library_2escm"),(void*)f_13725},
{C_text("f_13729:library_2escm"),(void*)f_13729},
{C_text("f_13748:library_2escm"),(void*)f_13748},
{C_text("f_13750:library_2escm"),(void*)f_13750},
{C_text("f_13757:library_2escm"),(void*)f_13757},
{C_text("f_13793:library_2escm"),(void*)f_13793},
{C_text("f_13800:library_2escm"),(void*)f_13800},
{C_text("f_13836:library_2escm"),(void*)f_13836},
{C_text("f_13851:library_2escm"),(void*)f_13851},
{C_text("f_13860:library_2escm"),(void*)f_13860},
{C_text("f_13865:library_2escm"),(void*)f_13865},
{C_text("f_13878:library_2escm"),(void*)f_13878},
{C_text("f_13897:library_2escm"),(void*)f_13897},
{C_text("f_13901:library_2escm"),(void*)f_13901},
{C_text("f_13906:library_2escm"),(void*)f_13906},
{C_text("f_13910:library_2escm"),(void*)f_13910},
{C_text("f_13914:library_2escm"),(void*)f_13914},
{C_text("f_13918:library_2escm"),(void*)f_13918},
{C_text("f_13921:library_2escm"),(void*)f_13921},
{C_text("f_13935:library_2escm"),(void*)f_13935},
{C_text("f_13939:library_2escm"),(void*)f_13939},
{C_text("f_13950:library_2escm"),(void*)f_13950},
{C_text("f_13970:library_2escm"),(void*)f_13970},
{C_text("f_13974:library_2escm"),(void*)f_13974},
{C_text("f_13980:library_2escm"),(void*)f_13980},
{C_text("f_14000:library_2escm"),(void*)f_14000},
{C_text("f_14004:library_2escm"),(void*)f_14004},
{C_text("f_14010:library_2escm"),(void*)f_14010},
{C_text("f_14027:library_2escm"),(void*)f_14027},
{C_text("f_14031:library_2escm"),(void*)f_14031},
{C_text("f_14035:library_2escm"),(void*)f_14035},
{C_text("f_14045:library_2escm"),(void*)f_14045},
{C_text("f_14051:library_2escm"),(void*)f_14051},
{C_text("f_14056:library_2escm"),(void*)f_14056},
{C_text("f_14064:library_2escm"),(void*)f_14064},
{C_text("f_14084:library_2escm"),(void*)f_14084},
{C_text("f_14088:library_2escm"),(void*)f_14088},
{C_text("f_14098:library_2escm"),(void*)f_14098},
{C_text("f_14104:library_2escm"),(void*)f_14104},
{C_text("f_14109:library_2escm"),(void*)f_14109},
{C_text("f_14124:library_2escm"),(void*)f_14124},
{C_text("f_14128:library_2escm"),(void*)f_14128},
{C_text("f_14157:library_2escm"),(void*)f_14157},
{C_text("f_14161:library_2escm"),(void*)f_14161},
{C_text("f_14176:library_2escm"),(void*)f_14176},
{C_text("f_14186:library_2escm"),(void*)f_14186},
{C_text("f_14259:library_2escm"),(void*)f_14259},
{C_text("f_14271:library_2escm"),(void*)f_14271},
{C_text("f_14290:library_2escm"),(void*)f_14290},
{C_text("f_14304:library_2escm"),(void*)f_14304},
{C_text("f_14351:library_2escm"),(void*)f_14351},
{C_text("f_14355:library_2escm"),(void*)f_14355},
{C_text("f_14360:library_2escm"),(void*)f_14360},
{C_text("f_14370:library_2escm"),(void*)f_14370},
{C_text("f_14374:library_2escm"),(void*)f_14374},
{C_text("f_14383:library_2escm"),(void*)f_14383},
{C_text("f_14389:library_2escm"),(void*)f_14389},
{C_text("f_14406:library_2escm"),(void*)f_14406},
{C_text("f_14417:library_2escm"),(void*)f_14417},
{C_text("f_14423:library_2escm"),(void*)f_14423},
{C_text("f_14434:library_2escm"),(void*)f_14434},
{C_text("f_14445:library_2escm"),(void*)f_14445},
{C_text("f_14457:library_2escm"),(void*)f_14457},
{C_text("f_14469:library_2escm"),(void*)f_14469},
{C_text("f_14481:library_2escm"),(void*)f_14481},
{C_text("f_14498:library_2escm"),(void*)f_14498},
{C_text("f_14505:library_2escm"),(void*)f_14505},
{C_text("f_14509:library_2escm"),(void*)f_14509},
{C_text("f_14511:library_2escm"),(void*)f_14511},
{C_text("f_14517:library_2escm"),(void*)f_14517},
{C_text("f_14521:library_2escm"),(void*)f_14521},
{C_text("f_14524:library_2escm"),(void*)f_14524},
{C_text("f_14529:library_2escm"),(void*)f_14529},
{C_text("f_14539:library_2escm"),(void*)f_14539},
{C_text("f_14557:library_2escm"),(void*)f_14557},
{C_text("f_14575:library_2escm"),(void*)f_14575},
{C_text("f_14578:library_2escm"),(void*)f_14578},
{C_text("f_14598:library_2escm"),(void*)f_14598},
{C_text("f_14608:library_2escm"),(void*)f_14608},
{C_text("f_14612:library_2escm"),(void*)f_14612},
{C_text("f_14616:library_2escm"),(void*)f_14616},
{C_text("f_14632:library_2escm"),(void*)f_14632},
{C_text("f_14649:library_2escm"),(void*)f_14649},
{C_text("f_14660:library_2escm"),(void*)f_14660},
{C_text("f_14680:library_2escm"),(void*)f_14680},
{C_text("f_14694:library_2escm"),(void*)f_14694},
{C_text("f_14697:library_2escm"),(void*)f_14697},
{C_text("f_14707:library_2escm"),(void*)f_14707},
{C_text("f_14709:library_2escm"),(void*)f_14709},
{C_text("f_14728:library_2escm"),(void*)f_14728},
{C_text("f_14752:library_2escm"),(void*)f_14752},
{C_text("f_14756:library_2escm"),(void*)f_14756},
{C_text("f_14760:library_2escm"),(void*)f_14760},
{C_text("f_14795:library_2escm"),(void*)f_14795},
{C_text("f_14802:library_2escm"),(void*)f_14802},
{C_text("f_14814:library_2escm"),(void*)f_14814},
{C_text("f_14834:library_2escm"),(void*)f_14834},
{C_text("f_14838:library_2escm"),(void*)f_14838},
{C_text("f_14858:library_2escm"),(void*)f_14858},
{C_text("f_14867:library_2escm"),(void*)f_14867},
{C_text("f_14878:library_2escm"),(void*)f_14878},
{C_text("f_14882:library_2escm"),(void*)f_14882},
{C_text("f_14886:library_2escm"),(void*)f_14886},
{C_text("f_14893:library_2escm"),(void*)f_14893},
{C_text("f_14909:library_2escm"),(void*)f_14909},
{C_text("f_14913:library_2escm"),(void*)f_14913},
{C_text("f_14954:library_2escm"),(void*)f_14954},
{C_text("f_14987:library_2escm"),(void*)f_14987},
{C_text("f_15016:library_2escm"),(void*)f_15016},
{C_text("f_15024:library_2escm"),(void*)f_15024},
{C_text("f_15030:library_2escm"),(void*)f_15030},
{C_text("f_15050:library_2escm"),(void*)f_15050},
{C_text("f_15075:library_2escm"),(void*)f_15075},
{C_text("f_15081:library_2escm"),(void*)f_15081},
{C_text("f_15085:library_2escm"),(void*)f_15085},
{C_text("f_15092:library_2escm"),(void*)f_15092},
{C_text("f_15112:library_2escm"),(void*)f_15112},
{C_text("f_15133:library_2escm"),(void*)f_15133},
{C_text("f_15147:library_2escm"),(void*)f_15147},
{C_text("f_15154:library_2escm"),(void*)f_15154},
{C_text("f_15159:library_2escm"),(void*)f_15159},
{C_text("f_15165:library_2escm"),(void*)f_15165},
{C_text("f_15169:library_2escm"),(void*)f_15169},
{C_text("f_15172:library_2escm"),(void*)f_15172},
{C_text("f_15179:library_2escm"),(void*)f_15179},
{C_text("f_15200:library_2escm"),(void*)f_15200},
{C_text("f_15214:library_2escm"),(void*)f_15214},
{C_text("f_15218:library_2escm"),(void*)f_15218},
{C_text("f_15255:library_2escm"),(void*)f_15255},
{C_text("f_15263:library_2escm"),(void*)f_15263},
{C_text("f_15290:library_2escm"),(void*)f_15290},
{C_text("f_15293:library_2escm"),(void*)f_15293},
{C_text("f_15310:library_2escm"),(void*)f_15310},
{C_text("f_15313:library_2escm"),(void*)f_15313},
{C_text("f_15320:library_2escm"),(void*)f_15320},
{C_text("f_15331:library_2escm"),(void*)f_15331},
{C_text("f_15342:library_2escm"),(void*)f_15342},
{C_text("f_15367:library_2escm"),(void*)f_15367},
{C_text("f_15382:library_2escm"),(void*)f_15382},
{C_text("f_15405:library_2escm"),(void*)f_15405},
{C_text("f_15408:library_2escm"),(void*)f_15408},
{C_text("f_15418:library_2escm"),(void*)f_15418},
{C_text("f_15476:library_2escm"),(void*)f_15476},
{C_text("f_15492:library_2escm"),(void*)f_15492},
{C_text("f_15498:library_2escm"),(void*)f_15498},
{C_text("f_15561:library_2escm"),(void*)f_15561},
{C_text("f_15600:library_2escm"),(void*)f_15600},
{C_text("f_15606:library_2escm"),(void*)f_15606},
{C_text("f_15650:library_2escm"),(void*)f_15650},
{C_text("f_15654:library_2escm"),(void*)f_15654},
{C_text("f_15657:library_2escm"),(void*)f_15657},
{C_text("f_15706:library_2escm"),(void*)f_15706},
{C_text("f_15721:library_2escm"),(void*)f_15721},
{C_text("f_15730:library_2escm"),(void*)f_15730},
{C_text("f_15767:library_2escm"),(void*)f_15767},
{C_text("f_15777:library_2escm"),(void*)f_15777},
{C_text("f_15786:library_2escm"),(void*)f_15786},
{C_text("f_15789:library_2escm"),(void*)f_15789},
{C_text("f_15798:library_2escm"),(void*)f_15798},
{C_text("f_15807:library_2escm"),(void*)f_15807},
{C_text("f_15819:library_2escm"),(void*)f_15819},
{C_text("f_15825:library_2escm"),(void*)f_15825},
{C_text("f_15831:library_2escm"),(void*)f_15831},
{C_text("f_15872:library_2escm"),(void*)f_15872},
{C_text("f_15979:library_2escm"),(void*)f_15979},
{C_text("f_15986:library_2escm"),(void*)f_15986},
{C_text("f_15999:library_2escm"),(void*)f_15999},
{C_text("f_16005:library_2escm"),(void*)f_16005},
{C_text("f_16057:library_2escm"),(void*)f_16057},
{C_text("f_16072:library_2escm"),(void*)f_16072},
{C_text("f_16082:library_2escm"),(void*)f_16082},
{C_text("f_16118:library_2escm"),(void*)f_16118},
{C_text("f_16144:library_2escm"),(void*)f_16144},
{C_text("f_16155:library_2escm"),(void*)f_16155},
{C_text("f_16322:library_2escm"),(void*)f_16322},
{C_text("f_16337:library_2escm"),(void*)f_16337},
{C_text("f_16363:library_2escm"),(void*)f_16363},
{C_text("f_16395:library_2escm"),(void*)f_16395},
{C_text("f_16432:library_2escm"),(void*)f_16432},
{C_text("f_16456:library_2escm"),(void*)f_16456},
{C_text("f_16506:library_2escm"),(void*)f_16506},
{C_text("f_16554:library_2escm"),(void*)f_16554},
{C_text("f_16557:library_2escm"),(void*)f_16557},
{C_text("f_16576:library_2escm"),(void*)f_16576},
{C_text("f_16646:library_2escm"),(void*)f_16646},
{C_text("f_16667:library_2escm"),(void*)f_16667},
{C_text("f_16714:library_2escm"),(void*)f_16714},
{C_text("f_16806:library_2escm"),(void*)f_16806},
{C_text("f_16816:library_2escm"),(void*)f_16816},
{C_text("f_16825:library_2escm"),(void*)f_16825},
{C_text("f_16832:library_2escm"),(void*)f_16832},
{C_text("f_17061:library_2escm"),(void*)f_17061},
{C_text("f_17107:library_2escm"),(void*)f_17107},
{C_text("f_17110:library_2escm"),(void*)f_17110},
{C_text("f_17137:library_2escm"),(void*)f_17137},
{C_text("f_17161:library_2escm"),(void*)f_17161},
{C_text("f_17178:library_2escm"),(void*)f_17178},
{C_text("f_17277:library_2escm"),(void*)f_17277},
{C_text("f_17280:library_2escm"),(void*)f_17280},
{C_text("f_17289:library_2escm"),(void*)f_17289},
{C_text("f_17316:library_2escm"),(void*)f_17316},
{C_text("f_17334:library_2escm"),(void*)f_17334},
{C_text("f_17354:library_2escm"),(void*)f_17354},
{C_text("f_17358:library_2escm"),(void*)f_17358},
{C_text("f_17360:library_2escm"),(void*)f_17360},
{C_text("f_17378:library_2escm"),(void*)f_17378},
{C_text("f_17401:library_2escm"),(void*)f_17401},
{C_text("f_17409:library_2escm"),(void*)f_17409},
{C_text("f_17414:library_2escm"),(void*)f_17414},
{C_text("f_17425:library_2escm"),(void*)f_17425},
{C_text("f_17427:library_2escm"),(void*)f_17427},
{C_text("f_17438:library_2escm"),(void*)f_17438},
{C_text("f_17440:library_2escm"),(void*)f_17440},
{C_text("f_17451:library_2escm"),(void*)f_17451},
{C_text("f_17453:library_2escm"),(void*)f_17453},
{C_text("f_17470:library_2escm"),(void*)f_17470},
{C_text("f_17474:library_2escm"),(void*)f_17474},
{C_text("f_17478:library_2escm"),(void*)f_17478},
{C_text("f_17487:library_2escm"),(void*)f_17487},
{C_text("f_17507:library_2escm"),(void*)f_17507},
{C_text("f_17515:library_2escm"),(void*)f_17515},
{C_text("f_17530:library_2escm"),(void*)f_17530},
{C_text("f_17532:library_2escm"),(void*)f_17532},
{C_text("f_17557:library_2escm"),(void*)f_17557},
{C_text("f_17566:library_2escm"),(void*)f_17566},
{C_text("f_17575:library_2escm"),(void*)f_17575},
{C_text("f_17586:library_2escm"),(void*)f_17586},
{C_text("f_17596:library_2escm"),(void*)f_17596},
{C_text("f_17603:library_2escm"),(void*)f_17603},
{C_text("f_17614:library_2escm"),(void*)f_17614},
{C_text("f_17642:library_2escm"),(void*)f_17642},
{C_text("f_17646:library_2escm"),(void*)f_17646},
{C_text("f_17648:library_2escm"),(void*)f_17648},
{C_text("f_17652:library_2escm"),(void*)f_17652},
{C_text("f_17657:library_2escm"),(void*)f_17657},
{C_text("f_17663:library_2escm"),(void*)f_17663},
{C_text("f_17667:library_2escm"),(void*)f_17667},
{C_text("f_17672:library_2escm"),(void*)f_17672},
{C_text("f_17682:library_2escm"),(void*)f_17682},
{C_text("f_17684:library_2escm"),(void*)f_17684},
{C_text("f_17688:library_2escm"),(void*)f_17688},
{C_text("f_17694:library_2escm"),(void*)f_17694},
{C_text("f_17696:library_2escm"),(void*)f_17696},
{C_text("f_17700:library_2escm"),(void*)f_17700},
{C_text("f_17703:library_2escm"),(void*)f_17703},
{C_text("f_17719:library_2escm"),(void*)f_17719},
{C_text("f_17723:library_2escm"),(void*)f_17723},
{C_text("f_17726:library_2escm"),(void*)f_17726},
{C_text("f_17748:library_2escm"),(void*)f_17748},
{C_text("f_17764:library_2escm"),(void*)f_17764},
{C_text("f_17769:library_2escm"),(void*)f_17769},
{C_text("f_17800:library_2escm"),(void*)f_17800},
{C_text("f_17809:library_2escm"),(void*)f_17809},
{C_text("f_17827:library_2escm"),(void*)f_17827},
{C_text("f_17833:library_2escm"),(void*)f_17833},
{C_text("f_17839:library_2escm"),(void*)f_17839},
{C_text("f_17848:library_2escm"),(void*)f_17848},
{C_text("f_17867:library_2escm"),(void*)f_17867},
{C_text("f_17883:library_2escm"),(void*)f_17883},
{C_text("f_17886:library_2escm"),(void*)f_17886},
{C_text("f_17889:library_2escm"),(void*)f_17889},
{C_text("f_17894:library_2escm"),(void*)f_17894},
{C_text("f_17936:library_2escm"),(void*)f_17936},
{C_text("f_17955:library_2escm"),(void*)f_17955},
{C_text("f_17958:library_2escm"),(void*)f_17958},
{C_text("f_17961:library_2escm"),(void*)f_17961},
{C_text("f_17966:library_2escm"),(void*)f_17966},
{C_text("f_18007:library_2escm"),(void*)f_18007},
{C_text("f_18017:library_2escm"),(void*)f_18017},
{C_text("f_18028:library_2escm"),(void*)f_18028},
{C_text("f_18032:library_2escm"),(void*)f_18032},
{C_text("f_18035:library_2escm"),(void*)f_18035},
{C_text("f_18040:library_2escm"),(void*)f_18040},
{C_text("f_18067:library_2escm"),(void*)f_18067},
{C_text("f_18081:library_2escm"),(void*)f_18081},
{C_text("f_18092:library_2escm"),(void*)f_18092},
{C_text("f_18103:library_2escm"),(void*)f_18103},
{C_text("f_18114:library_2escm"),(void*)f_18114},
{C_text("f_18127:library_2escm"),(void*)f_18127},
{C_text("f_18129:library_2escm"),(void*)f_18129},
{C_text("f_18142:library_2escm"),(void*)f_18142},
{C_text("f_18170:library_2escm"),(void*)f_18170},
{C_text("f_18174:library_2escm"),(void*)f_18174},
{C_text("f_18183:library_2escm"),(void*)f_18183},
{C_text("f_18201:library_2escm"),(void*)f_18201},
{C_text("f_18204:library_2escm"),(void*)f_18204},
{C_text("f_18287:library_2escm"),(void*)f_18287},
{C_text("f_18290:library_2escm"),(void*)f_18290},
{C_text("f_18293:library_2escm"),(void*)f_18293},
{C_text("f_18296:library_2escm"),(void*)f_18296},
{C_text("f_18299:library_2escm"),(void*)f_18299},
{C_text("f_18302:library_2escm"),(void*)f_18302},
{C_text("f_18305:library_2escm"),(void*)f_18305},
{C_text("f_18308:library_2escm"),(void*)f_18308},
{C_text("f_18311:library_2escm"),(void*)f_18311},
{C_text("f_18314:library_2escm"),(void*)f_18314},
{C_text("f_18317:library_2escm"),(void*)f_18317},
{C_text("f_18320:library_2escm"),(void*)f_18320},
{C_text("f_18323:library_2escm"),(void*)f_18323},
{C_text("f_18326:library_2escm"),(void*)f_18326},
{C_text("f_18331:library_2escm"),(void*)f_18331},
{C_text("f_18337:library_2escm"),(void*)f_18337},
{C_text("f_18353:library_2escm"),(void*)f_18353},
{C_text("f_18369:library_2escm"),(void*)f_18369},
{C_text("f_18375:library_2escm"),(void*)f_18375},
{C_text("f_18395:library_2escm"),(void*)f_18395},
{C_text("f_18399:library_2escm"),(void*)f_18399},
{C_text("f_18411:library_2escm"),(void*)f_18411},
{C_text("f_18443:library_2escm"),(void*)f_18443},
{C_text("f_18447:library_2escm"),(void*)f_18447},
{C_text("f_18455:library_2escm"),(void*)f_18455},
{C_text("f_18465:library_2escm"),(void*)f_18465},
{C_text("f_18473:library_2escm"),(void*)f_18473},
{C_text("f_18509:library_2escm"),(void*)f_18509},
{C_text("f_18524:library_2escm"),(void*)f_18524},
{C_text("f_18534:library_2escm"),(void*)f_18534},
{C_text("f_18554:library_2escm"),(void*)f_18554},
{C_text("f_18567:library_2escm"),(void*)f_18567},
{C_text("f_18574:library_2escm"),(void*)f_18574},
{C_text("f_18576:library_2escm"),(void*)f_18576},
{C_text("f_18584:library_2escm"),(void*)f_18584},
{C_text("f_18586:library_2escm"),(void*)f_18586},
{C_text("f_18595:library_2escm"),(void*)f_18595},
{C_text("f_18613:library_2escm"),(void*)f_18613},
{C_text("f_18638:library_2escm"),(void*)f_18638},
{C_text("f_18654:library_2escm"),(void*)f_18654},
{C_text("f_18671:library_2escm"),(void*)f_18671},
{C_text("f_18675:library_2escm"),(void*)f_18675},
{C_text("f_18679:library_2escm"),(void*)f_18679},
{C_text("f_18681:library_2escm"),(void*)f_18681},
{C_text("f_18689:library_2escm"),(void*)f_18689},
{C_text("f_18691:library_2escm"),(void*)f_18691},
{C_text("f_18698:library_2escm"),(void*)f_18698},
{C_text("f_18702:library_2escm"),(void*)f_18702},
{C_text("f_18706:library_2escm"),(void*)f_18706},
{C_text("f_18715:library_2escm"),(void*)f_18715},
{C_text("f_18723:library_2escm"),(void*)f_18723},
{C_text("f_18733:library_2escm"),(void*)f_18733},
{C_text("f_18739:library_2escm"),(void*)f_18739},
{C_text("f_18742:library_2escm"),(void*)f_18742},
{C_text("f_18746:library_2escm"),(void*)f_18746},
{C_text("f_18773:library_2escm"),(void*)f_18773},
{C_text("f_18789:library_2escm"),(void*)f_18789},
{C_text("f_18795:library_2escm"),(void*)f_18795},
{C_text("f_18818:library_2escm"),(void*)f_18818},
{C_text("f_18831:library_2escm"),(void*)f_18831},
{C_text("f_18837:library_2escm"),(void*)f_18837},
{C_text("f_18842:library_2escm"),(void*)f_18842},
{C_text("f_18847:library_2escm"),(void*)f_18847},
{C_text("f_18851:library_2escm"),(void*)f_18851},
{C_text("f_18860:library_2escm"),(void*)f_18860},
{C_text("f_18891:library_2escm"),(void*)f_18891},
{C_text("f_18895:library_2escm"),(void*)f_18895},
{C_text("f_18899:library_2escm"),(void*)f_18899},
{C_text("f_18902:library_2escm"),(void*)f_18902},
{C_text("f_18905:library_2escm"),(void*)f_18905},
{C_text("f_18908:library_2escm"),(void*)f_18908},
{C_text("f_18910:library_2escm"),(void*)f_18910},
{C_text("f_18921:library_2escm"),(void*)f_18921},
{C_text("f_18932:library_2escm"),(void*)f_18932},
{C_text("f_18943:library_2escm"),(void*)f_18943},
{C_text("f_18954:library_2escm"),(void*)f_18954},
{C_text("f_18967:library_2escm"),(void*)f_18967},
{C_text("f_18969:library_2escm"),(void*)f_18969},
{C_text("f_18975:library_2escm"),(void*)f_18975},
{C_text("f_18980:library_2escm"),(void*)f_18980},
{C_text("f_19015:library_2escm"),(void*)f_19015},
{C_text("f_19028:library_2escm"),(void*)f_19028},
{C_text("f_19030:library_2escm"),(void*)f_19030},
{C_text("f_19036:library_2escm"),(void*)f_19036},
{C_text("f_19041:library_2escm"),(void*)f_19041},
{C_text("f_19076:library_2escm"),(void*)f_19076},
{C_text("f_19089:library_2escm"),(void*)f_19089},
{C_text("f_19091:library_2escm"),(void*)f_19091},
{C_text("f_19097:library_2escm"),(void*)f_19097},
{C_text("f_19102:library_2escm"),(void*)f_19102},
{C_text("f_19137:library_2escm"),(void*)f_19137},
{C_text("f_19149:library_2escm"),(void*)f_19149},
{C_text("f_19151:library_2escm"),(void*)f_19151},
{C_text("f_19157:library_2escm"),(void*)f_19157},
{C_text("f_19163:library_2escm"),(void*)f_19163},
{C_text("f_19173:library_2escm"),(void*)f_19173},
{C_text("f_19176:library_2escm"),(void*)f_19176},
{C_text("f_19179:library_2escm"),(void*)f_19179},
{C_text("f_19182:library_2escm"),(void*)f_19182},
{C_text("f_19185:library_2escm"),(void*)f_19185},
{C_text("f_19192:library_2escm"),(void*)f_19192},
{C_text("f_19196:library_2escm"),(void*)f_19196},
{C_text("f_19200:library_2escm"),(void*)f_19200},
{C_text("f_19206:library_2escm"),(void*)f_19206},
{C_text("f_19219:library_2escm"),(void*)f_19219},
{C_text("f_19261:library_2escm"),(void*)f_19261},
{C_text("f_19265:library_2escm"),(void*)f_19265},
{C_text("f_19298:library_2escm"),(void*)f_19298},
{C_text("f_19304:library_2escm"),(void*)f_19304},
{C_text("f_19310:library_2escm"),(void*)f_19310},
{C_text("f_19316:library_2escm"),(void*)f_19316},
{C_text("f_19322:library_2escm"),(void*)f_19322},
{C_text("f_19326:library_2escm"),(void*)f_19326},
{C_text("f_19331:library_2escm"),(void*)f_19331},
{C_text("f_19337:library_2escm"),(void*)f_19337},
{C_text("f_19341:library_2escm"),(void*)f_19341},
{C_text("f_19346:library_2escm"),(void*)f_19346},
{C_text("f_19350:library_2escm"),(void*)f_19350},
{C_text("f_19355:library_2escm"),(void*)f_19355},
{C_text("f_19361:library_2escm"),(void*)f_19361},
{C_text("f_19365:library_2escm"),(void*)f_19365},
{C_text("f_19370:library_2escm"),(void*)f_19370},
{C_text("f_19374:library_2escm"),(void*)f_19374},
{C_text("f_19379:library_2escm"),(void*)f_19379},
{C_text("f_19384:library_2escm"),(void*)f_19384},
{C_text("f_19390:library_2escm"),(void*)f_19390},
{C_text("f_19394:library_2escm"),(void*)f_19394},
{C_text("f_19399:library_2escm"),(void*)f_19399},
{C_text("f_19404:library_2escm"),(void*)f_19404},
{C_text("f_19408:library_2escm"),(void*)f_19408},
{C_text("f_19413:library_2escm"),(void*)f_19413},
{C_text("f_19418:library_2escm"),(void*)f_19418},
{C_text("f_19424:library_2escm"),(void*)f_19424},
{C_text("f_19428:library_2escm"),(void*)f_19428},
{C_text("f_19433:library_2escm"),(void*)f_19433},
{C_text("f_19438:library_2escm"),(void*)f_19438},
{C_text("f_19443:library_2escm"),(void*)f_19443},
{C_text("f_19464:library_2escm"),(void*)f_19464},
{C_text("f_19471:library_2escm"),(void*)f_19471},
{C_text("f_19477:library_2escm"),(void*)f_19477},
{C_text("f_19495:library_2escm"),(void*)f_19495},
{C_text("f_19504:library_2escm"),(void*)f_19504},
{C_text("f_19517:library_2escm"),(void*)f_19517},
{C_text("f_19525:library_2escm"),(void*)f_19525},
{C_text("f_19530:library_2escm"),(void*)f_19530},
{C_text("f_19567:library_2escm"),(void*)f_19567},
{C_text("f_19579:library_2escm"),(void*)f_19579},
{C_text("f_19589:library_2escm"),(void*)f_19589},
{C_text("f_19605:library_2escm"),(void*)f_19605},
{C_text("f_19618:library_2escm"),(void*)f_19618},
{C_text("f_19625:library_2escm"),(void*)f_19625},
{C_text("f_19627:library_2escm"),(void*)f_19627},
{C_text("f_19640:library_2escm"),(void*)f_19640},
{C_text("f_19646:library_2escm"),(void*)f_19646},
{C_text("f_19653:library_2escm"),(void*)f_19653},
{C_text("f_19655:library_2escm"),(void*)f_19655},
{C_text("f_19659:library_2escm"),(void*)f_19659},
{C_text("f_19662:library_2escm"),(void*)f_19662},
{C_text("f_19672:library_2escm"),(void*)f_19672},
{C_text("f_19676:library_2escm"),(void*)f_19676},
{C_text("f_19684:library_2escm"),(void*)f_19684},
{C_text("f_19687:library_2escm"),(void*)f_19687},
{C_text("f_19694:library_2escm"),(void*)f_19694},
{C_text("f_19697:library_2escm"),(void*)f_19697},
{C_text("f_19700:library_2escm"),(void*)f_19700},
{C_text("f_19703:library_2escm"),(void*)f_19703},
{C_text("f_19711:library_2escm"),(void*)f_19711},
{C_text("f_19719:library_2escm"),(void*)f_19719},
{C_text("f_19721:library_2escm"),(void*)f_19721},
{C_text("f_19737:library_2escm"),(void*)f_19737},
{C_text("f_19764:library_2escm"),(void*)f_19764},
{C_text("f_19768:library_2escm"),(void*)f_19768},
{C_text("f_19772:library_2escm"),(void*)f_19772},
{C_text("f_19776:library_2escm"),(void*)f_19776},
{C_text("f_19780:library_2escm"),(void*)f_19780},
{C_text("f_19784:library_2escm"),(void*)f_19784},
{C_text("f_19788:library_2escm"),(void*)f_19788},
{C_text("f_19792:library_2escm"),(void*)f_19792},
{C_text("f_19796:library_2escm"),(void*)f_19796},
{C_text("f_19800:library_2escm"),(void*)f_19800},
{C_text("f_19804:library_2escm"),(void*)f_19804},
{C_text("f_19808:library_2escm"),(void*)f_19808},
{C_text("f_19812:library_2escm"),(void*)f_19812},
{C_text("f_19816:library_2escm"),(void*)f_19816},
{C_text("f_19820:library_2escm"),(void*)f_19820},
{C_text("f_19824:library_2escm"),(void*)f_19824},
{C_text("f_19828:library_2escm"),(void*)f_19828},
{C_text("f_19835:library_2escm"),(void*)f_19835},
{C_text("f_19842:library_2escm"),(void*)f_19842},
{C_text("f_19843:library_2escm"),(void*)f_19843},
{C_text("f_19847:library_2escm"),(void*)f_19847},
{C_text("f_19850:library_2escm"),(void*)f_19850},
{C_text("f_19866:library_2escm"),(void*)f_19866},
{C_text("f_19877:library_2escm"),(void*)f_19877},
{C_text("f_19885:library_2escm"),(void*)f_19885},
{C_text("f_19897:library_2escm"),(void*)f_19897},
{C_text("f_19906:library_2escm"),(void*)f_19906},
{C_text("f_19911:library_2escm"),(void*)f_19911},
{C_text("f_19967:library_2escm"),(void*)f_19967},
{C_text("f_19981:library_2escm"),(void*)f_19981},
{C_text("f_19993:library_2escm"),(void*)f_19993},
{C_text("f_19999:library_2escm"),(void*)f_19999},
{C_text("f_20024:library_2escm"),(void*)f_20024},
{C_text("f_20042:library_2escm"),(void*)f_20042},
{C_text("f_20046:library_2escm"),(void*)f_20046},
{C_text("f_20102:library_2escm"),(void*)f_20102},
{C_text("f_20111:library_2escm"),(void*)f_20111},
{C_text("f_20124:library_2escm"),(void*)f_20124},
{C_text("f_20136:library_2escm"),(void*)f_20136},
{C_text("f_20154:library_2escm"),(void*)f_20154},
{C_text("f_20175:library_2escm"),(void*)f_20175},
{C_text("f_20178:library_2escm"),(void*)f_20178},
{C_text("f_20181:library_2escm"),(void*)f_20181},
{C_text("f_20189:library_2escm"),(void*)f_20189},
{C_text("f_20193:library_2escm"),(void*)f_20193},
{C_text("f_20197:library_2escm"),(void*)f_20197},
{C_text("f_20201:library_2escm"),(void*)f_20201},
{C_text("f_20205:library_2escm"),(void*)f_20205},
{C_text("f_20207:library_2escm"),(void*)f_20207},
{C_text("f_20215:library_2escm"),(void*)f_20215},
{C_text("f_20218:library_2escm"),(void*)f_20218},
{C_text("f_20228:library_2escm"),(void*)f_20228},
{C_text("f_20230:library_2escm"),(void*)f_20230},
{C_text("f_20238:library_2escm"),(void*)f_20238},
{C_text("f_20241:library_2escm"),(void*)f_20241},
{C_text("f_20251:library_2escm"),(void*)f_20251},
{C_text("f_20256:library_2escm"),(void*)f_20256},
{C_text("f_20260:library_2escm"),(void*)f_20260},
{C_text("f_20263:library_2escm"),(void*)f_20263},
{C_text("f_20266:library_2escm"),(void*)f_20266},
{C_text("f_20269:library_2escm"),(void*)f_20269},
{C_text("f_20272:library_2escm"),(void*)f_20272},
{C_text("f_20274:library_2escm"),(void*)f_20274},
{C_text("f_20280:library_2escm"),(void*)f_20280},
{C_text("f_20289:library_2escm"),(void*)f_20289},
{C_text("f_20297:library_2escm"),(void*)f_20297},
{C_text("f_20299:library_2escm"),(void*)f_20299},
{C_text("f_20306:library_2escm"),(void*)f_20306},
{C_text("f_20313:library_2escm"),(void*)f_20313},
{C_text("f_20326:library_2escm"),(void*)f_20326},
{C_text("f_20330:library_2escm"),(void*)f_20330},
{C_text("f_20335:library_2escm"),(void*)f_20335},
{C_text("f_20339:library_2escm"),(void*)f_20339},
{C_text("f_20350:library_2escm"),(void*)f_20350},
{C_text("f_20353:library_2escm"),(void*)f_20353},
{C_text("f_20361:library_2escm"),(void*)f_20361},
{C_text("f_20363:library_2escm"),(void*)f_20363},
{C_text("f_20376:library_2escm"),(void*)f_20376},
{C_text("f_20383:library_2escm"),(void*)f_20383},
{C_text("f_20392:library_2escm"),(void*)f_20392},
{C_text("f_20399:library_2escm"),(void*)f_20399},
{C_text("f_20401:library_2escm"),(void*)f_20401},
{C_text("f_20407:library_2escm"),(void*)f_20407},
{C_text("f_20417:library_2escm"),(void*)f_20417},
{C_text("f_20420:library_2escm"),(void*)f_20420},
{C_text("f_20430:library_2escm"),(void*)f_20430},
{C_text("f_20433:library_2escm"),(void*)f_20433},
{C_text("f_20461:library_2escm"),(void*)f_20461},
{C_text("f_20465:library_2escm"),(void*)f_20465},
{C_text("f_20473:library_2escm"),(void*)f_20473},
{C_text("f_20498:library_2escm"),(void*)f_20498},
{C_text("f_20506:library_2escm"),(void*)f_20506},
{C_text("f_20508:library_2escm"),(void*)f_20508},
{C_text("f_20525:library_2escm"),(void*)f_20525},
{C_text("f_20538:library_2escm"),(void*)f_20538},
{C_text("f_20555:library_2escm"),(void*)f_20555},
{C_text("f_20572:library_2escm"),(void*)f_20572},
{C_text("f_20589:library_2escm"),(void*)f_20589},
{C_text("f_20606:library_2escm"),(void*)f_20606},
{C_text("f_20627:library_2escm"),(void*)f_20627},
{C_text("f_20648:library_2escm"),(void*)f_20648},
{C_text("f_20672:library_2escm"),(void*)f_20672},
{C_text("f_20680:library_2escm"),(void*)f_20680},
{C_text("f_20689:library_2escm"),(void*)f_20689},
{C_text("f_20695:library_2escm"),(void*)f_20695},
{C_text("f_20701:library_2escm"),(void*)f_20701},
{C_text("f_20704:library_2escm"),(void*)f_20704},
{C_text("f_20707:library_2escm"),(void*)f_20707},
{C_text("f_20717:library_2escm"),(void*)f_20717},
{C_text("f_20721:library_2escm"),(void*)f_20721},
{C_text("f_20738:library_2escm"),(void*)f_20738},
{C_text("f_20743:library_2escm"),(void*)f_20743},
{C_text("f_20750:library_2escm"),(void*)f_20750},
{C_text("f_20754:library_2escm"),(void*)f_20754},
{C_text("f_20763:library_2escm"),(void*)f_20763},
{C_text("f_20769:library_2escm"),(void*)f_20769},
{C_text("f_20779:library_2escm"),(void*)f_20779},
{C_text("f_20783:library_2escm"),(void*)f_20783},
{C_text("f_20792:library_2escm"),(void*)f_20792},
{C_text("f_20799:library_2escm"),(void*)f_20799},
{C_text("f_20812:library_2escm"),(void*)f_20812},
{C_text("f_20817:library_2escm"),(void*)f_20817},
{C_text("f_20834:library_2escm"),(void*)f_20834},
{C_text("f_20849:library_2escm"),(void*)f_20849},
{C_text("f_20862:library_2escm"),(void*)f_20862},
{C_text("f_20884:library_2escm"),(void*)f_20884},
{C_text("f_20887:library_2escm"),(void*)f_20887},
{C_text("f_20916:library_2escm"),(void*)f_20916},
{C_text("f_20926:library_2escm"),(void*)f_20926},
{C_text("f_20942:library_2escm"),(void*)f_20942},
{C_text("f_20953:library_2escm"),(void*)f_20953},
{C_text("f_20960:library_2escm"),(void*)f_20960},
{C_text("f_21058:library_2escm"),(void*)f_21058},
{C_text("f_21064:library_2escm"),(void*)f_21064},
{C_text("f_21073:library_2escm"),(void*)f_21073},
{C_text("f_21087:library_2escm"),(void*)f_21087},
{C_text("f_21090:library_2escm"),(void*)f_21090},
{C_text("f_21101:library_2escm"),(void*)f_21101},
{C_text("f_21103:library_2escm"),(void*)f_21103},
{C_text("f_21106:library_2escm"),(void*)f_21106},
{C_text("f_21123:library_2escm"),(void*)f_21123},
{C_text("f_21128:library_2escm"),(void*)f_21128},
{C_text("f_21132:library_2escm"),(void*)f_21132},
{C_text("f_21135:library_2escm"),(void*)f_21135},
{C_text("f_21138:library_2escm"),(void*)f_21138},
{C_text("f_21148:library_2escm"),(void*)f_21148},
{C_text("f_21166:library_2escm"),(void*)f_21166},
{C_text("f_21169:library_2escm"),(void*)f_21169},
{C_text("f_21178:library_2escm"),(void*)f_21178},
{C_text("f_21181:library_2escm"),(void*)f_21181},
{C_text("f_21184:library_2escm"),(void*)f_21184},
{C_text("f_21190:library_2escm"),(void*)f_21190},
{C_text("f_21203:library_2escm"),(void*)f_21203},
{C_text("f_21207:library_2escm"),(void*)f_21207},
{C_text("f_21211:library_2escm"),(void*)f_21211},
{C_text("f_21222:library_2escm"),(void*)f_21222},
{C_text("f_21226:library_2escm"),(void*)f_21226},
{C_text("f_21229:library_2escm"),(void*)f_21229},
{C_text("f_21257:library_2escm"),(void*)f_21257},
{C_text("f_21313:library_2escm"),(void*)f_21313},
{C_text("f_21317:library_2escm"),(void*)f_21317},
{C_text("f_21324:library_2escm"),(void*)f_21324},
{C_text("f_21326:library_2escm"),(void*)f_21326},
{C_text("f_21330:library_2escm"),(void*)f_21330},
{C_text("f_21344:library_2escm"),(void*)f_21344},
{C_text("f_21350:library_2escm"),(void*)f_21350},
{C_text("f_21357:library_2escm"),(void*)f_21357},
{C_text("f_21364:library_2escm"),(void*)f_21364},
{C_text("f_21379:library_2escm"),(void*)f_21379},
{C_text("f_21385:library_2escm"),(void*)f_21385},
{C_text("f_21414:library_2escm"),(void*)f_21414},
{C_text("f_21424:library_2escm"),(void*)f_21424},
{C_text("f_21427:library_2escm"),(void*)f_21427},
{C_text("f_21463:library_2escm"),(void*)f_21463},
{C_text("f_21465:library_2escm"),(void*)f_21465},
{C_text("f_21475:library_2escm"),(void*)f_21475},
{C_text("f_21478:library_2escm"),(void*)f_21478},
{C_text("f_21530:library_2escm"),(void*)f_21530},
{C_text("f_21532:library_2escm"),(void*)f_21532},
{C_text("f_21540:library_2escm"),(void*)f_21540},
{C_text("f_21542:library_2escm"),(void*)f_21542},
{C_text("f_21552:library_2escm"),(void*)f_21552},
{C_text("f_21567:library_2escm"),(void*)f_21567},
{C_text("f_21574:library_2escm"),(void*)f_21574},
{C_text("f_21596:library_2escm"),(void*)f_21596},
{C_text("f_21604:library_2escm"),(void*)f_21604},
{C_text("f_21606:library_2escm"),(void*)f_21606},
{C_text("f_21616:library_2escm"),(void*)f_21616},
{C_text("f_21622:library_2escm"),(void*)f_21622},
{C_text("f_21629:library_2escm"),(void*)f_21629},
{C_text("f_21642:library_2escm"),(void*)f_21642},
{C_text("f_21648:library_2escm"),(void*)f_21648},
{C_text("f_21652:library_2escm"),(void*)f_21652},
{C_text("f_21659:library_2escm"),(void*)f_21659},
{C_text("f_21667:library_2escm"),(void*)f_21667},
{C_text("f_21673:library_2escm"),(void*)f_21673},
{C_text("f_21677:library_2escm"),(void*)f_21677},
{C_text("f_21686:library_2escm"),(void*)f_21686},
{C_text("f_21692:library_2escm"),(void*)f_21692},
{C_text("f_21699:library_2escm"),(void*)f_21699},
{C_text("f_21710:library_2escm"),(void*)f_21710},
{C_text("f_21750:library_2escm"),(void*)f_21750},
{C_text("f_21759:library_2escm"),(void*)f_21759},
{C_text("f_21766:library_2escm"),(void*)f_21766},
{C_text("f_21770:library_2escm"),(void*)f_21770},
{C_text("f_21774:library_2escm"),(void*)f_21774},
{C_text("f_21783:library_2escm"),(void*)f_21783},
{C_text("f_21794:library_2escm"),(void*)f_21794},
{C_text("f_21832:library_2escm"),(void*)f_21832},
{C_text("f_21881:library_2escm"),(void*)f_21881},
{C_text("f_21885:library_2escm"),(void*)f_21885},
{C_text("f_21888:library_2escm"),(void*)f_21888},
{C_text("f_21900:library_2escm"),(void*)f_21900},
{C_text("f_21920:library_2escm"),(void*)f_21920},
{C_text("f_21926:library_2escm"),(void*)f_21926},
{C_text("f_21936:library_2escm"),(void*)f_21936},
{C_text("f_22065:library_2escm"),(void*)f_22065},
{C_text("f_22072:library_2escm"),(void*)f_22072},
{C_text("f_22090:library_2escm"),(void*)f_22090},
{C_text("f_22096:library_2escm"),(void*)f_22096},
{C_text("f_22100:library_2escm"),(void*)f_22100},
{C_text("f_22136:library_2escm"),(void*)f_22136},
{C_text("f_22159:library_2escm"),(void*)f_22159},
{C_text("f_22177:library_2escm"),(void*)f_22177},
{C_text("f_22181:library_2escm"),(void*)f_22181},
{C_text("f_22184:library_2escm"),(void*)f_22184},
{C_text("f_22190:library_2escm"),(void*)f_22190},
{C_text("f_22195:library_2escm"),(void*)f_22195},
{C_text("f_22214:library_2escm"),(void*)f_22214},
{C_text("f_22224:library_2escm"),(void*)f_22224},
{C_text("f_22228:library_2escm"),(void*)f_22228},
{C_text("f_22232:library_2escm"),(void*)f_22232},
{C_text("f_22243:library_2escm"),(void*)f_22243},
{C_text("f_22269:library_2escm"),(void*)f_22269},
{C_text("f_22277:library_2escm"),(void*)f_22277},
{C_text("f_22281:library_2escm"),(void*)f_22281},
{C_text("f_22284:library_2escm"),(void*)f_22284},
{C_text("f_22287:library_2escm"),(void*)f_22287},
{C_text("f_22293:library_2escm"),(void*)f_22293},
{C_text("f_22301:library_2escm"),(void*)f_22301},
{C_text("f_22307:library_2escm"),(void*)f_22307},
{C_text("f_22329:library_2escm"),(void*)f_22329},
{C_text("f_22336:library_2escm"),(void*)f_22336},
{C_text("f_22345:library_2escm"),(void*)f_22345},
{C_text("f_22352:library_2escm"),(void*)f_22352},
{C_text("f_22361:library_2escm"),(void*)f_22361},
{C_text("f_22370:library_2escm"),(void*)f_22370},
{C_text("f_22377:library_2escm"),(void*)f_22377},
{C_text("f_22384:library_2escm"),(void*)f_22384},
{C_text("f_22388:library_2escm"),(void*)f_22388},
{C_text("f_22397:library_2escm"),(void*)f_22397},
{C_text("f_22400:library_2escm"),(void*)f_22400},
{C_text("f_22418:library_2escm"),(void*)f_22418},
{C_text("f_22421:library_2escm"),(void*)f_22421},
{C_text("f_22427:library_2escm"),(void*)f_22427},
{C_text("f_22444:library_2escm"),(void*)f_22444},
{C_text("f_22450:library_2escm"),(void*)f_22450},
{C_text("f_22478:library_2escm"),(void*)f_22478},
{C_text("f_22501:library_2escm"),(void*)f_22501},
{C_text("f_22507:library_2escm"),(void*)f_22507},
{C_text("f_22515:library_2escm"),(void*)f_22515},
{C_text("f_22521:library_2escm"),(void*)f_22521},
{C_text("f_22546:library_2escm"),(void*)f_22546},
{C_text("f_22558:library_2escm"),(void*)f_22558},
{C_text("f_22570:library_2escm"),(void*)f_22570},
{C_text("f_22582:library_2escm"),(void*)f_22582},
{C_text("f_22594:library_2escm"),(void*)f_22594},
{C_text("f_22606:library_2escm"),(void*)f_22606},
{C_text("f_22618:library_2escm"),(void*)f_22618},
{C_text("f_22621:library_2escm"),(void*)f_22621},
{C_text("f_22624:library_2escm"),(void*)f_22624},
{C_text("f_22629:library_2escm"),(void*)f_22629},
{C_text("f_22634:library_2escm"),(void*)f_22634},
{C_text("f_22640:library_2escm"),(void*)f_22640},
{C_text("f_22682:library_2escm"),(void*)f_22682},
{C_text("f_22694:library_2escm"),(void*)f_22694},
{C_text("f_22697:library_2escm"),(void*)f_22697},
{C_text("f_22709:library_2escm"),(void*)f_22709},
{C_text("f_22721:library_2escm"),(void*)f_22721},
{C_text("f_22724:library_2escm"),(void*)f_22724},
{C_text("f_22736:library_2escm"),(void*)f_22736},
{C_text("f_22743:library_2escm"),(void*)f_22743},
{C_text("f_22752:library_2escm"),(void*)f_22752},
{C_text("f_22755:library_2escm"),(void*)f_22755},
{C_text("f_22764:library_2escm"),(void*)f_22764},
{C_text("f_22774:library_2escm"),(void*)f_22774},
{C_text("f_22783:library_2escm"),(void*)f_22783},
{C_text("f_22786:library_2escm"),(void*)f_22786},
{C_text("f_22791:library_2escm"),(void*)f_22791},
{C_text("f_22796:library_2escm"),(void*)f_22796},
{C_text("f_22802:library_2escm"),(void*)f_22802},
{C_text("f_22831:library_2escm"),(void*)f_22831},
{C_text("f_22843:library_2escm"),(void*)f_22843},
{C_text("f_22846:library_2escm"),(void*)f_22846},
{C_text("f_22857:library_2escm"),(void*)f_22857},
{C_text("f_22866:library_2escm"),(void*)f_22866},
{C_text("f_22869:library_2escm"),(void*)f_22869},
{C_text("f_22875:library_2escm"),(void*)f_22875},
{C_text("f_22878:library_2escm"),(void*)f_22878},
{C_text("f_22884:library_2escm"),(void*)f_22884},
{C_text("f_22903:library_2escm"),(void*)f_22903},
{C_text("f_22922:library_2escm"),(void*)f_22922},
{C_text("f_22938:library_2escm"),(void*)f_22938},
{C_text("f_22944:library_2escm"),(void*)f_22944},
{C_text("f_23016:library_2escm"),(void*)f_23016},
{C_text("f_23028:library_2escm"),(void*)f_23028},
{C_text("f_23106:library_2escm"),(void*)f_23106},
{C_text("f_23182:library_2escm"),(void*)f_23182},
{C_text("f_23347:library_2escm"),(void*)f_23347},
{C_text("f_23359:library_2escm"),(void*)f_23359},
{C_text("f_23421:library_2escm"),(void*)f_23421},
{C_text("f_23424:library_2escm"),(void*)f_23424},
{C_text("f_23470:library_2escm"),(void*)f_23470},
{C_text("f_23474:library_2escm"),(void*)f_23474},
{C_text("f_23492:library_2escm"),(void*)f_23492},
{C_text("f_23556:library_2escm"),(void*)f_23556},
{C_text("f_23567:library_2escm"),(void*)f_23567},
{C_text("f_23569:library_2escm"),(void*)f_23569},
{C_text("f_23582:library_2escm"),(void*)f_23582},
{C_text("f_23594:library_2escm"),(void*)f_23594},
{C_text("f_23614:library_2escm"),(void*)f_23614},
{C_text("f_23621:library_2escm"),(void*)f_23621},
{C_text("f_23630:library_2escm"),(void*)f_23630},
{C_text("f_23642:library_2escm"),(void*)f_23642},
{C_text("f_23663:library_2escm"),(void*)f_23663},
{C_text("f_23678:library_2escm"),(void*)f_23678},
{C_text("f_23696:library_2escm"),(void*)f_23696},
{C_text("f_23714:library_2escm"),(void*)f_23714},
{C_text("f_23733:library_2escm"),(void*)f_23733},
{C_text("f_23743:library_2escm"),(void*)f_23743},
{C_text("f_23757:library_2escm"),(void*)f_23757},
{C_text("f_23760:library_2escm"),(void*)f_23760},
{C_text("f_23765:library_2escm"),(void*)f_23765},
{C_text("f_23784:library_2escm"),(void*)f_23784},
{C_text("f_23794:library_2escm"),(void*)f_23794},
{C_text("f_23808:library_2escm"),(void*)f_23808},
{C_text("f_23811:library_2escm"),(void*)f_23811},
{C_text("f_23818:library_2escm"),(void*)f_23818},
{C_text("f_23822:library_2escm"),(void*)f_23822},
{C_text("f_23826:library_2escm"),(void*)f_23826},
{C_text("f_23828:library_2escm"),(void*)f_23828},
{C_text("f_23835:library_2escm"),(void*)f_23835},
{C_text("f_23838:library_2escm"),(void*)f_23838},
{C_text("f_23841:library_2escm"),(void*)f_23841},
{C_text("f_23843:library_2escm"),(void*)f_23843},
{C_text("f_23853:library_2escm"),(void*)f_23853},
{C_text("f_23859:library_2escm"),(void*)f_23859},
{C_text("f_23871:library_2escm"),(void*)f_23871},
{C_text("f_23874:library_2escm"),(void*)f_23874},
{C_text("f_23877:library_2escm"),(void*)f_23877},
{C_text("f_23894:library_2escm"),(void*)f_23894},
{C_text("f_23915:library_2escm"),(void*)f_23915},
{C_text("f_23919:library_2escm"),(void*)f_23919},
{C_text("f_23932:library_2escm"),(void*)f_23932},
{C_text("f_23935:library_2escm"),(void*)f_23935},
{C_text("f_23944:library_2escm"),(void*)f_23944},
{C_text("f_23947:library_2escm"),(void*)f_23947},
{C_text("f_23975:library_2escm"),(void*)f_23975},
{C_text("f_23979:library_2escm"),(void*)f_23979},
{C_text("f_23988:library_2escm"),(void*)f_23988},
{C_text("f_23999:library_2escm"),(void*)f_23999},
{C_text("f_24006:library_2escm"),(void*)f_24006},
{C_text("f_24011:library_2escm"),(void*)f_24011},
{C_text("f_24033:library_2escm"),(void*)f_24033},
{C_text("f_24039:library_2escm"),(void*)f_24039},
{C_text("f_24042:library_2escm"),(void*)f_24042},
{C_text("f_24053:library_2escm"),(void*)f_24053},
{C_text("f_24062:library_2escm"),(void*)f_24062},
{C_text("f_24065:library_2escm"),(void*)f_24065},
{C_text("f_24088:library_2escm"),(void*)f_24088},
{C_text("f_24137:library_2escm"),(void*)f_24137},
{C_text("f_24153:library_2escm"),(void*)f_24153},
{C_text("f_24160:library_2escm"),(void*)f_24160},
{C_text("f_24210:library_2escm"),(void*)f_24210},
{C_text("f_24267:library_2escm"),(void*)f_24267},
{C_text("f_24272:library_2escm"),(void*)f_24272},
{C_text("f_24321:library_2escm"),(void*)f_24321},
{C_text("f_24327:library_2escm"),(void*)f_24327},
{C_text("f_24331:library_2escm"),(void*)f_24331},
{C_text("f_24354:library_2escm"),(void*)f_24354},
{C_text("f_24361:library_2escm"),(void*)f_24361},
{C_text("f_24380:library_2escm"),(void*)f_24380},
{C_text("f_24419:library_2escm"),(void*)f_24419},
{C_text("f_24431:library_2escm"),(void*)f_24431},
{C_text("f_24437:library_2escm"),(void*)f_24437},
{C_text("f_24453:library_2escm"),(void*)f_24453},
{C_text("f_24460:library_2escm"),(void*)f_24460},
{C_text("f_24469:library_2escm"),(void*)f_24469},
{C_text("f_24476:library_2escm"),(void*)f_24476},
{C_text("f_24486:library_2escm"),(void*)f_24486},
{C_text("f_24495:library_2escm"),(void*)f_24495},
{C_text("f_24501:library_2escm"),(void*)f_24501},
{C_text("f_24514:library_2escm"),(void*)f_24514},
{C_text("f_24552:library_2escm"),(void*)f_24552},
{C_text("f_24618:library_2escm"),(void*)f_24618},
{C_text("f_24621:library_2escm"),(void*)f_24621},
{C_text("f_24628:library_2escm"),(void*)f_24628},
{C_text("f_24668:library_2escm"),(void*)f_24668},
{C_text("f_24671:library_2escm"),(void*)f_24671},
{C_text("f_24680:library_2escm"),(void*)f_24680},
{C_text("f_24690:library_2escm"),(void*)f_24690},
{C_text("f_24693:library_2escm"),(void*)f_24693},
{C_text("f_24702:library_2escm"),(void*)f_24702},
{C_text("f_24712:library_2escm"),(void*)f_24712},
{C_text("f_24715:library_2escm"),(void*)f_24715},
{C_text("f_24741:library_2escm"),(void*)f_24741},
{C_text("f_24747:library_2escm"),(void*)f_24747},
{C_text("f_24752:library_2escm"),(void*)f_24752},
{C_text("f_24765:library_2escm"),(void*)f_24765},
{C_text("f_24768:library_2escm"),(void*)f_24768},
{C_text("f_24779:library_2escm"),(void*)f_24779},
{C_text("f_24801:library_2escm"),(void*)f_24801},
{C_text("f_24813:library_2escm"),(void*)f_24813},
{C_text("f_24816:library_2escm"),(void*)f_24816},
{C_text("f_24823:library_2escm"),(void*)f_24823},
{C_text("f_24832:library_2escm"),(void*)f_24832},
{C_text("f_24835:library_2escm"),(void*)f_24835},
{C_text("f_24879:library_2escm"),(void*)f_24879},
{C_text("f_24882:library_2escm"),(void*)f_24882},
{C_text("f_24891:library_2escm"),(void*)f_24891},
{C_text("f_24904:library_2escm"),(void*)f_24904},
{C_text("f_24907:library_2escm"),(void*)f_24907},
{C_text("f_24932:library_2escm"),(void*)f_24932},
{C_text("f_24936:library_2escm"),(void*)f_24936},
{C_text("f_24946:library_2escm"),(void*)f_24946},
{C_text("f_24949:library_2escm"),(void*)f_24949},
{C_text("f_24969:library_2escm"),(void*)f_24969},
{C_text("f_24982:library_2escm"),(void*)f_24982},
{C_text("f_24987:library_2escm"),(void*)f_24987},
{C_text("f_24993:library_2escm"),(void*)f_24993},
{C_text("f_24999:library_2escm"),(void*)f_24999},
{C_text("f_25003:library_2escm"),(void*)f_25003},
{C_text("f_25006:library_2escm"),(void*)f_25006},
{C_text("f_25021:library_2escm"),(void*)f_25021},
{C_text("f_25024:library_2escm"),(void*)f_25024},
{C_text("f_25042:library_2escm"),(void*)f_25042},
{C_text("f_25044:library_2escm"),(void*)f_25044},
{C_text("f_25050:library_2escm"),(void*)f_25050},
{C_text("f_25059:library_2escm"),(void*)f_25059},
{C_text("f_25065:library_2escm"),(void*)f_25065},
{C_text("f_25072:library_2escm"),(void*)f_25072},
{C_text("f_25075:library_2escm"),(void*)f_25075},
{C_text("f_25078:library_2escm"),(void*)f_25078},
{C_text("f_25087:library_2escm"),(void*)f_25087},
{C_text("f_25103:library_2escm"),(void*)f_25103},
{C_text("f_25118:library_2escm"),(void*)f_25118},
{C_text("f_25120:library_2escm"),(void*)f_25120},
{C_text("f_25126:library_2escm"),(void*)f_25126},
{C_text("f_25132:library_2escm"),(void*)f_25132},
{C_text("f_25136:library_2escm"),(void*)f_25136},
{C_text("f_25139:library_2escm"),(void*)f_25139},
{C_text("f_25142:library_2escm"),(void*)f_25142},
{C_text("f_25146:library_2escm"),(void*)f_25146},
{C_text("f_25150:library_2escm"),(void*)f_25150},
{C_text("f_25154:library_2escm"),(void*)f_25154},
{C_text("f_25157:library_2escm"),(void*)f_25157},
{C_text("f_25160:library_2escm"),(void*)f_25160},
{C_text("f_25163:library_2escm"),(void*)f_25163},
{C_text("f_25175:library_2escm"),(void*)f_25175},
{C_text("f_25181:library_2escm"),(void*)f_25181},
{C_text("f_25185:library_2escm"),(void*)f_25185},
{C_text("f_25188:library_2escm"),(void*)f_25188},
{C_text("f_25191:library_2escm"),(void*)f_25191},
{C_text("f_25194:library_2escm"),(void*)f_25194},
{C_text("f_25197:library_2escm"),(void*)f_25197},
{C_text("f_25200:library_2escm"),(void*)f_25200},
{C_text("f_25205:library_2escm"),(void*)f_25205},
{C_text("f_25227:library_2escm"),(void*)f_25227},
{C_text("f_25233:library_2escm"),(void*)f_25233},
{C_text("f_25236:library_2escm"),(void*)f_25236},
{C_text("f_25261:library_2escm"),(void*)f_25261},
{C_text("f_25264:library_2escm"),(void*)f_25264},
{C_text("f_25271:library_2escm"),(void*)f_25271},
{C_text("f_25284:library_2escm"),(void*)f_25284},
{C_text("f_25294:library_2escm"),(void*)f_25294},
{C_text("f_25299:library_2escm"),(void*)f_25299},
{C_text("f_25305:library_2escm"),(void*)f_25305},
{C_text("f_25332:library_2escm"),(void*)f_25332},
{C_text("f_25338:library_2escm"),(void*)f_25338},
{C_text("f_25349:library_2escm"),(void*)f_25349},
{C_text("f_25355:library_2escm"),(void*)f_25355},
{C_text("f_25358:library_2escm"),(void*)f_25358},
{C_text("f_25363:library_2escm"),(void*)f_25363},
{C_text("f_25369:library_2escm"),(void*)f_25369},
{C_text("f_25393:library_2escm"),(void*)f_25393},
{C_text("f_25401:library_2escm"),(void*)f_25401},
{C_text("f_25418:library_2escm"),(void*)f_25418},
{C_text("f_25458:library_2escm"),(void*)f_25458},
{C_text("f_25465:library_2escm"),(void*)f_25465},
{C_text("f_25477:library_2escm"),(void*)f_25477},
{C_text("f_25481:library_2escm"),(void*)f_25481},
{C_text("f_25494:library_2escm"),(void*)f_25494},
{C_text("f_25496:library_2escm"),(void*)f_25496},
{C_text("f_25530:library_2escm"),(void*)f_25530},
{C_text("f_25534:library_2escm"),(void*)f_25534},
{C_text("f_25535:library_2escm"),(void*)f_25535},
{C_text("f_25545:library_2escm"),(void*)f_25545},
{C_text("f_25550:library_2escm"),(void*)f_25550},
{C_text("f_25560:library_2escm"),(void*)f_25560},
{C_text("f_25573:library_2escm"),(void*)f_25573},
{C_text("f_25584:library_2escm"),(void*)f_25584},
{C_text("f_25588:library_2escm"),(void*)f_25588},
{C_text("f_25592:library_2escm"),(void*)f_25592},
{C_text("f_25614:library_2escm"),(void*)f_25614},
{C_text("f_25618:library_2escm"),(void*)f_25618},
{C_text("f_25626:library_2escm"),(void*)f_25626},
{C_text("f_25642:library_2escm"),(void*)f_25642},
{C_text("f_25653:library_2escm"),(void*)f_25653},
{C_text("f_25672:library_2escm"),(void*)f_25672},
{C_text("f_25683:library_2escm"),(void*)f_25683},
{C_text("f_25691:library_2escm"),(void*)f_25691},
{C_text("f_25770:library_2escm"),(void*)f_25770},
{C_text("f_25780:library_2escm"),(void*)f_25780},
{C_text("f_25781:library_2escm"),(void*)f_25781},
{C_text("f_25794:library_2escm"),(void*)f_25794},
{C_text("f_25797:library_2escm"),(void*)f_25797},
{C_text("f_25800:library_2escm"),(void*)f_25800},
{C_text("f_25803:library_2escm"),(void*)f_25803},
{C_text("f_25811:library_2escm"),(void*)f_25811},
{C_text("f_25818:library_2escm"),(void*)f_25818},
{C_text("f_25821:library_2escm"),(void*)f_25821},
{C_text("f_25824:library_2escm"),(void*)f_25824},
{C_text("f_25847:library_2escm"),(void*)f_25847},
{C_text("f_25852:library_2escm"),(void*)f_25852},
{C_text("f_25862:library_2escm"),(void*)f_25862},
{C_text("f_25875:library_2escm"),(void*)f_25875},
{C_text("f_25906:library_2escm"),(void*)f_25906},
{C_text("f_25916:library_2escm"),(void*)f_25916},
{C_text("f_25966:library_2escm"),(void*)f_25966},
{C_text("f_25969:library_2escm"),(void*)f_25969},
{C_text("f_25988:library_2escm"),(void*)f_25988},
{C_text("f_25993:library_2escm"),(void*)f_25993},
{C_text("f_25999:library_2escm"),(void*)f_25999},
{C_text("f_26002:library_2escm"),(void*)f_26002},
{C_text("f_26008:library_2escm"),(void*)f_26008},
{C_text("f_26016:library_2escm"),(void*)f_26016},
{C_text("f_26035:library_2escm"),(void*)f_26035},
{C_text("f_26040:library_2escm"),(void*)f_26040},
{C_text("f_26050:library_2escm"),(void*)f_26050},
{C_text("f_26064:library_2escm"),(void*)f_26064},
{C_text("f_26071:library_2escm"),(void*)f_26071},
{C_text("f_26075:library_2escm"),(void*)f_26075},
{C_text("f_26079:library_2escm"),(void*)f_26079},
{C_text("f_26081:library_2escm"),(void*)f_26081},
{C_text("f_26107:library_2escm"),(void*)f_26107},
{C_text("f_26110:library_2escm"),(void*)f_26110},
{C_text("f_26113:library_2escm"),(void*)f_26113},
{C_text("f_26120:library_2escm"),(void*)f_26120},
{C_text("f_26124:library_2escm"),(void*)f_26124},
{C_text("f_26130:library_2escm"),(void*)f_26130},
{C_text("f_26135:library_2escm"),(void*)f_26135},
{C_text("f_26145:library_2escm"),(void*)f_26145},
{C_text("f_26162:library_2escm"),(void*)f_26162},
{C_text("f_26183:library_2escm"),(void*)f_26183},
{C_text("f_26186:library_2escm"),(void*)f_26186},
{C_text("f_26206:library_2escm"),(void*)f_26206},
{C_text("f_26214:library_2escm"),(void*)f_26214},
{C_text("f_26348:library_2escm"),(void*)f_26348},
{C_text("f_26365:library_2escm"),(void*)f_26365},
{C_text("f_26369:library_2escm"),(void*)f_26369},
{C_text("f_26382:library_2escm"),(void*)f_26382},
{C_text("f_26391:library_2escm"),(void*)f_26391},
{C_text("f_26394:library_2escm"),(void*)f_26394},
{C_text("f_26398:library_2escm"),(void*)f_26398},
{C_text("f_26437:library_2escm"),(void*)f_26437},
{C_text("f_26440:library_2escm"),(void*)f_26440},
{C_text("f_26447:library_2escm"),(void*)f_26447},
{C_text("f_26451:library_2escm"),(void*)f_26451},
{C_text("f_26477:library_2escm"),(void*)f_26477},
{C_text("f_26508:library_2escm"),(void*)f_26508},
{C_text("f_26511:library_2escm"),(void*)f_26511},
{C_text("f_26523:library_2escm"),(void*)f_26523},
{C_text("f_26526:library_2escm"),(void*)f_26526},
{C_text("f_26529:library_2escm"),(void*)f_26529},
{C_text("f_26554:library_2escm"),(void*)f_26554},
{C_text("f_26560:library_2escm"),(void*)f_26560},
{C_text("f_26564:library_2escm"),(void*)f_26564},
{C_text("f_26568:library_2escm"),(void*)f_26568},
{C_text("f_26581:library_2escm"),(void*)f_26581},
{C_text("f_26583:library_2escm"),(void*)f_26583},
{C_text("f_26589:library_2escm"),(void*)f_26589},
{C_text("f_26594:library_2escm"),(void*)f_26594},
{C_text("f_26629:library_2escm"),(void*)f_26629},
{C_text("f_26635:library_2escm"),(void*)f_26635},
{C_text("f_26651:library_2escm"),(void*)f_26651},
{C_text("f_26673:library_2escm"),(void*)f_26673},
{C_text("f_26697:library_2escm"),(void*)f_26697},
{C_text("f_26709:library_2escm"),(void*)f_26709},
{C_text("f_26711:library_2escm"),(void*)f_26711},
{C_text("f_26730:library_2escm"),(void*)f_26730},
{C_text("f_26734:library_2escm"),(void*)f_26734},
{C_text("f_26746:library_2escm"),(void*)f_26746},
{C_text("f_26748:library_2escm"),(void*)f_26748},
{C_text("f_26792:library_2escm"),(void*)f_26792},
{C_text("f_26794:library_2escm"),(void*)f_26794},
{C_text("f_26828:library_2escm"),(void*)f_26828},
{C_text("f_26851:library_2escm"),(void*)f_26851},
{C_text("f_26858:library_2escm"),(void*)f_26858},
{C_text("f_26868:library_2escm"),(void*)f_26868},
{C_text("f_26870:library_2escm"),(void*)f_26870},
{C_text("f_26920:library_2escm"),(void*)f_26920},
{C_text("f_26922:library_2escm"),(void*)f_26922},
{C_text("f_26947:library_2escm"),(void*)f_26947},
{C_text("f_26956:library_2escm"),(void*)f_26956},
{C_text("f_26962:library_2escm"),(void*)f_26962},
{C_text("f_26966:library_2escm"),(void*)f_26966},
{C_text("f_26970:library_2escm"),(void*)f_26970},
{C_text("f_26978:library_2escm"),(void*)f_26978},
{C_text("f_26984:library_2escm"),(void*)f_26984},
{C_text("f_27015:library_2escm"),(void*)f_27015},
{C_text("f_27040:library_2escm"),(void*)f_27040},
{C_text("f_27065:library_2escm"),(void*)f_27065},
{C_text("f_27075:library_2escm"),(void*)f_27075},
{C_text("f_27080:library_2escm"),(void*)f_27080},
{C_text("f_27082:library_2escm"),(void*)f_27082},
{C_text("f_27089:library_2escm"),(void*)f_27089},
{C_text("f_27101:library_2escm"),(void*)f_27101},
{C_text("f_27109:library_2escm"),(void*)f_27109},
{C_text("f_27147:library_2escm"),(void*)f_27147},
{C_text("f_27151:library_2escm"),(void*)f_27151},
{C_text("f_27158:library_2escm"),(void*)f_27158},
{C_text("f_27161:library_2escm"),(void*)f_27161},
{C_text("f_27164:library_2escm"),(void*)f_27164},
{C_text("f_27165:library_2escm"),(void*)f_27165},
{C_text("f_27167:library_2escm"),(void*)f_27167},
{C_text("f_27171:library_2escm"),(void*)f_27171},
{C_text("f_27176:library_2escm"),(void*)f_27176},
{C_text("f_27188:library_2escm"),(void*)f_27188},
{C_text("f_27198:library_2escm"),(void*)f_27198},
{C_text("f_27210:library_2escm"),(void*)f_27210},
{C_text("f_27212:library_2escm"),(void*)f_27212},
{C_text("f_27219:library_2escm"),(void*)f_27219},
{C_text("f_27222:library_2escm"),(void*)f_27222},
{C_text("f_27228:library_2escm"),(void*)f_27228},
{C_text("f_27231:library_2escm"),(void*)f_27231},
{C_text("f_27234:library_2escm"),(void*)f_27234},
{C_text("f_27237:library_2escm"),(void*)f_27237},
{C_text("f_27252:library_2escm"),(void*)f_27252},
{C_text("f_27258:library_2escm"),(void*)f_27258},
{C_text("f_27266:library_2escm"),(void*)f_27266},
{C_text("f_27270:library_2escm"),(void*)f_27270},
{C_text("f_27273:library_2escm"),(void*)f_27273},
{C_text("f_27276:library_2escm"),(void*)f_27276},
{C_text("f_27289:library_2escm"),(void*)f_27289},
{C_text("f_27293:library_2escm"),(void*)f_27293},
{C_text("f_27314:library_2escm"),(void*)f_27314},
{C_text("f_27330:library_2escm"),(void*)f_27330},
{C_text("f_27333:library_2escm"),(void*)f_27333},
{C_text("f_27339:library_2escm"),(void*)f_27339},
{C_text("f_27361:library_2escm"),(void*)f_27361},
{C_text("f_27366:library_2escm"),(void*)f_27366},
{C_text("f_27401:library_2escm"),(void*)f_27401},
{C_text("f_27411:library_2escm"),(void*)f_27411},
{C_text("f_27414:library_2escm"),(void*)f_27414},
{C_text("f_27417:library_2escm"),(void*)f_27417},
{C_text("f_27420:library_2escm"),(void*)f_27420},
{C_text("f_27423:library_2escm"),(void*)f_27423},
{C_text("f_27426:library_2escm"),(void*)f_27426},
{C_text("f_27433:library_2escm"),(void*)f_27433},
{C_text("f_27436:library_2escm"),(void*)f_27436},
{C_text("f_27439:library_2escm"),(void*)f_27439},
{C_text("f_27450:library_2escm"),(void*)f_27450},
{C_text("f_27473:library_2escm"),(void*)f_27473},
{C_text("f_27484:library_2escm"),(void*)f_27484},
{C_text("f_27488:library_2escm"),(void*)f_27488},
{C_text("f_27510:library_2escm"),(void*)f_27510},
{C_text("f_27521:library_2escm"),(void*)f_27521},
{C_text("f_27525:library_2escm"),(void*)f_27525},
{C_text("f_28106:library_2escm"),(void*)f_28106},
{C_text("f_28109:library_2escm"),(void*)f_28109},
{C_text("f_28112:library_2escm"),(void*)f_28112},
{C_text("f_28115:library_2escm"),(void*)f_28115},
{C_text("f_28120:library_2escm"),(void*)f_28120},
{C_text("f_28123:library_2escm"),(void*)f_28123},
{C_text("f_28126:library_2escm"),(void*)f_28126},
{C_text("f_28129:library_2escm"),(void*)f_28129},
{C_text("f_28132:library_2escm"),(void*)f_28132},
{C_text("f_28135:library_2escm"),(void*)f_28135},
{C_text("f_28138:library_2escm"),(void*)f_28138},
{C_text("f_28141:library_2escm"),(void*)f_28141},
{C_text("f_28158:library_2escm"),(void*)f_28158},
{C_text("f_28162:library_2escm"),(void*)f_28162},
{C_text("f_28164:library_2escm"),(void*)f_28164},
{C_text("f_28172:library_2escm"),(void*)f_28172},
{C_text("f_28174:library_2escm"),(void*)f_28174},
{C_text("f_28178:library_2escm"),(void*)f_28178},
{C_text("f_28180:library_2escm"),(void*)f_28180},
{C_text("f_28187:library_2escm"),(void*)f_28187},
{C_text("f_28197:library_2escm"),(void*)f_28197},
{C_text("f_28222:library_2escm"),(void*)f_28222},
{C_text("f_28225:library_2escm"),(void*)f_28225},
{C_text("f_28228:library_2escm"),(void*)f_28228},
{C_text("f_28231:library_2escm"),(void*)f_28231},
{C_text("f_28234:library_2escm"),(void*)f_28234},
{C_text("f_28244:library_2escm"),(void*)f_28244},
{C_text("f_28250:library_2escm"),(void*)f_28250},
{C_text("f_28254:library_2escm"),(void*)f_28254},
{C_text("f_28256:library_2escm"),(void*)f_28256},
{C_text("f_28266:library_2escm"),(void*)f_28266},
{C_text("f_28272:library_2escm"),(void*)f_28272},
{C_text("f_28276:library_2escm"),(void*)f_28276},
{C_text("f_28278:library_2escm"),(void*)f_28278},
{C_text("f_28283:library_2escm"),(void*)f_28283},
{C_text("f_28285:library_2escm"),(void*)f_28285},
{C_text("f_28288:library_2escm"),(void*)f_28288},
{C_text("f_28308:library_2escm"),(void*)f_28308},
{C_text("f_28314:library_2escm"),(void*)f_28314},
{C_text("f_28324:library_2escm"),(void*)f_28324},
{C_text("f_28334:library_2escm"),(void*)f_28334},
{C_text("f_28369:library_2escm"),(void*)f_28369},
{C_text("f_28373:library_2escm"),(void*)f_28373},
{C_text("f_28378:library_2escm"),(void*)f_28378},
{C_text("f_28388:library_2escm"),(void*)f_28388},
{C_text("f_28398:library_2escm"),(void*)f_28398},
{C_text("f_28407:library_2escm"),(void*)f_28407},
{C_text("f_28410:library_2escm"),(void*)f_28410},
{C_text("f_28413:library_2escm"),(void*)f_28413},
{C_text("f_28420:library_2escm"),(void*)f_28420},
{C_text("f_28427:library_2escm"),(void*)f_28427},
{C_text("f_28430:library_2escm"),(void*)f_28430},
{C_text("f_28434:library_2escm"),(void*)f_28434},
{C_text("f_28436:library_2escm"),(void*)f_28436},
{C_text("f_28439:library_2escm"),(void*)f_28439},
{C_text("f_28442:library_2escm"),(void*)f_28442},
{C_text("f_28445:library_2escm"),(void*)f_28445},
{C_text("f_28448:library_2escm"),(void*)f_28448},
{C_text("f_28451:library_2escm"),(void*)f_28451},
{C_text("f_28454:library_2escm"),(void*)f_28454},
{C_text("f_28457:library_2escm"),(void*)f_28457},
{C_text("f_28460:library_2escm"),(void*)f_28460},
{C_text("f_28463:library_2escm"),(void*)f_28463},
{C_text("f_28466:library_2escm"),(void*)f_28466},
{C_text("f_28470:library_2escm"),(void*)f_28470},
{C_text("f_28473:library_2escm"),(void*)f_28473},
{C_text("f_28489:library_2escm"),(void*)f_28489},
{C_text("f_28497:library_2escm"),(void*)f_28497},
{C_text("f_28500:library_2escm"),(void*)f_28500},
{C_text("f_28506:library_2escm"),(void*)f_28506},
{C_text("f_28515:library_2escm"),(void*)f_28515},
{C_text("f_28521:library_2escm"),(void*)f_28521},
{C_text("f_28530:library_2escm"),(void*)f_28530},
{C_text("f_28536:library_2escm"),(void*)f_28536},
{C_text("f_28542:library_2escm"),(void*)f_28542},
{C_text("f_28545:library_2escm"),(void*)f_28545},
{C_text("f_28549:library_2escm"),(void*)f_28549},
{C_text("f_28552:library_2escm"),(void*)f_28552},
{C_text("f_28557:library_2escm"),(void*)f_28557},
{C_text("f_28559:library_2escm"),(void*)f_28559},
{C_text("f_28563:library_2escm"),(void*)f_28563},
{C_text("f_28590:library_2escm"),(void*)f_28590},
{C_text("f_28600:library_2escm"),(void*)f_28600},
{C_text("f_28609:library_2escm"),(void*)f_28609},
{C_text("f_28616:library_2escm"),(void*)f_28616},
{C_text("f_28620:library_2escm"),(void*)f_28620},
{C_text("f_28634:library_2escm"),(void*)f_28634},
{C_text("f_28638:library_2escm"),(void*)f_28638},
{C_text("f_28645:library_2escm"),(void*)f_28645},
{C_text("f_28647:library_2escm"),(void*)f_28647},
{C_text("f_28669:library_2escm"),(void*)f_28669},
{C_text("f_28676:library_2escm"),(void*)f_28676},
{C_text("f_28681:library_2escm"),(void*)f_28681},
{C_text("f_28685:library_2escm"),(void*)f_28685},
{C_text("f_28688:library_2escm"),(void*)f_28688},
{C_text("f_28691:library_2escm"),(void*)f_28691},
{C_text("f_28696:library_2escm"),(void*)f_28696},
{C_text("f_28700:library_2escm"),(void*)f_28700},
{C_text("f_28726:library_2escm"),(void*)f_28726},
{C_text("f_28739:library_2escm"),(void*)f_28739},
{C_text("f_28742:library_2escm"),(void*)f_28742},
{C_text("f_28751:library_2escm"),(void*)f_28751},
{C_text("f_28754:library_2escm"),(void*)f_28754},
{C_text("f_28757:library_2escm"),(void*)f_28757},
{C_text("f_28763:library_2escm"),(void*)f_28763},
{C_text("f_28770:library_2escm"),(void*)f_28770},
{C_text("f_28772:library_2escm"),(void*)f_28772},
{C_text("f_28785:library_2escm"),(void*)f_28785},
{C_text("f_28798:library_2escm"),(void*)f_28798},
{C_text("f_28801:library_2escm"),(void*)f_28801},
{C_text("f_28804:library_2escm"),(void*)f_28804},
{C_text("f_28811:library_2escm"),(void*)f_28811},
{C_text("f_28864:library_2escm"),(void*)f_28864},
{C_text("f_28867:library_2escm"),(void*)f_28867},
{C_text("f_28870:library_2escm"),(void*)f_28870},
{C_text("f_28872:library_2escm"),(void*)f_28872},
{C_text("f_28876:library_2escm"),(void*)f_28876},
{C_text("f_28880:library_2escm"),(void*)f_28880},
{C_text("f_28886:library_2escm"),(void*)f_28886},
{C_text("f_28891:library_2escm"),(void*)f_28891},
{C_text("f_28895:library_2escm"),(void*)f_28895},
{C_text("f_28907:library_2escm"),(void*)f_28907},
{C_text("f_28919:library_2escm"),(void*)f_28919},
{C_text("f_28926:library_2escm"),(void*)f_28926},
{C_text("f_28932:library_2escm"),(void*)f_28932},
{C_text("f_28946:library_2escm"),(void*)f_28946},
{C_text("f_28955:library_2escm"),(void*)f_28955},
{C_text("f_28985:library_2escm"),(void*)f_28985},
{C_text("f_29004:library_2escm"),(void*)f_29004},
{C_text("f_29027:library_2escm"),(void*)f_29027},
{C_text("f_29036:library_2escm"),(void*)f_29036},
{C_text("f_29043:library_2escm"),(void*)f_29043},
{C_text("f_29060:library_2escm"),(void*)f_29060},
{C_text("f_29068:library_2escm"),(void*)f_29068},
{C_text("f_29079:library_2escm"),(void*)f_29079},
{C_text("f_29087:library_2escm"),(void*)f_29087},
{C_text("f_29094:library_2escm"),(void*)f_29094},
{C_text("f_29156:library_2escm"),(void*)f_29156},
{C_text("f_29163:library_2escm"),(void*)f_29163},
{C_text("f_29166:library_2escm"),(void*)f_29166},
{C_text("f_29172:library_2escm"),(void*)f_29172},
{C_text("f_29179:library_2escm"),(void*)f_29179},
{C_text("f_29183:library_2escm"),(void*)f_29183},
{C_text("f_29186:library_2escm"),(void*)f_29186},
{C_text("f_29194:library_2escm"),(void*)f_29194},
{C_text("f_29196:library_2escm"),(void*)f_29196},
{C_text("f_29205:library_2escm"),(void*)f_29205},
{C_text("f_29214:library_2escm"),(void*)f_29214},
{C_text("f_29225:library_2escm"),(void*)f_29225},
{C_text("f_29229:library_2escm"),(void*)f_29229},
{C_text("f_29231:library_2escm"),(void*)f_29231},
{C_text("f_29239:library_2escm"),(void*)f_29239},
{C_text("f_29251:library_2escm"),(void*)f_29251},
{C_text("f_29257:library_2escm"),(void*)f_29257},
{C_text("f_29261:library_2escm"),(void*)f_29261},
{C_text("f_29269:library_2escm"),(void*)f_29269},
{C_text("f_29287:library_2escm"),(void*)f_29287},
{C_text("f_29295:library_2escm"),(void*)f_29295},
{C_text("f_29299:library_2escm"),(void*)f_29299},
{C_text("f_29317:library_2escm"),(void*)f_29317},
{C_text("f_29324:library_2escm"),(void*)f_29324},
{C_text("f_29336:library_2escm"),(void*)f_29336},
{C_text("f_29344:library_2escm"),(void*)f_29344},
{C_text("f_29350:library_2escm"),(void*)f_29350},
{C_text("f_29372:library_2escm"),(void*)f_29372},
{C_text("f_29376:library_2escm"),(void*)f_29376},
{C_text("f_29380:library_2escm"),(void*)f_29380},
{C_text("f_29382:library_2escm"),(void*)f_29382},
{C_text("f_29385:library_2escm"),(void*)f_29385},
{C_text("f_29388:library_2escm"),(void*)f_29388},
{C_text("f_29392:library_2escm"),(void*)f_29392},
{C_text("f_29395:library_2escm"),(void*)f_29395},
{C_text("f_29413:library_2escm"),(void*)f_29413},
{C_text("f_29419:library_2escm"),(void*)f_29419},
{C_text("f_29423:library_2escm"),(void*)f_29423},
{C_text("f_29440:library_2escm"),(void*)f_29440},
{C_text("f_29450:library_2escm"),(void*)f_29450},
{C_text("f_29454:library_2escm"),(void*)f_29454},
{C_text("f_29458:library_2escm"),(void*)f_29458},
{C_text("f_29470:library_2escm"),(void*)f_29470},
{C_text("f_29480:library_2escm"),(void*)f_29480},
{C_text("f_29484:library_2escm"),(void*)f_29484},
{C_text("f_29488:library_2escm"),(void*)f_29488},
{C_text("f_29516:library_2escm"),(void*)f_29516},
{C_text("f_29519:library_2escm"),(void*)f_29519},
{C_text("f_29522:library_2escm"),(void*)f_29522},
{C_text("f_29528:library_2escm"),(void*)f_29528},
{C_text("f_29541:library_2escm"),(void*)f_29541},
{C_text("f_29544:library_2escm"),(void*)f_29544},
{C_text("f_29553:library_2escm"),(void*)f_29553},
{C_text("f_29559:library_2escm"),(void*)f_29559},
{C_text("f_29565:library_2escm"),(void*)f_29565},
{C_text("f_29571:library_2escm"),(void*)f_29571},
{C_text("f_29577:library_2escm"),(void*)f_29577},
{C_text("f_29594:library_2escm"),(void*)f_29594},
{C_text("f_29600:library_2escm"),(void*)f_29600},
{C_text("f_29615:library_2escm"),(void*)f_29615},
{C_text("f_29619:library_2escm"),(void*)f_29619},
{C_text("f_29623:library_2escm"),(void*)f_29623},
{C_text("f_29627:library_2escm"),(void*)f_29627},
{C_text("f_29633:library_2escm"),(void*)f_29633},
{C_text("f_29635:library_2escm"),(void*)f_29635},
{C_text("f_29641:library_2escm"),(void*)f_29641},
{C_text("f_29645:library_2escm"),(void*)f_29645},
{C_text("f_29654:library_2escm"),(void*)f_29654},
{C_text("f_29663:library_2escm"),(void*)f_29663},
{C_text("f_29706:library_2escm"),(void*)f_29706},
{C_text("f_29728:library_2escm"),(void*)f_29728},
{C_text("f_29741:library_2escm"),(void*)f_29741},
{C_text("f_29766:library_2escm"),(void*)f_29766},
{C_text("f_29782:library_2escm"),(void*)f_29782},
{C_text("f_29798:library_2escm"),(void*)f_29798},
{C_text("f_29814:library_2escm"),(void*)f_29814},
{C_text("f_29830:library_2escm"),(void*)f_29830},
{C_text("f_29846:library_2escm"),(void*)f_29846},
{C_text("f_29862:library_2escm"),(void*)f_29862},
{C_text("f_29878:library_2escm"),(void*)f_29878},
{C_text("f_29894:library_2escm"),(void*)f_29894},
{C_text("f_29910:library_2escm"),(void*)f_29910},
{C_text("f_29917:library_2escm"),(void*)f_29917},
{C_text("f_29958:library_2escm"),(void*)f_29958},
{C_text("f_29970:library_2escm"),(void*)f_29970},
{C_text("f_29976:library_2escm"),(void*)f_29976},
{C_text("f_29995:library_2escm"),(void*)f_29995},
{C_text("f_29997:library_2escm"),(void*)f_29997},
{C_text("f_30020:library_2escm"),(void*)f_30020},
{C_text("f_30066:library_2escm"),(void*)f_30066},
{C_text("f_30068:library_2escm"),(void*)f_30068},
{C_text("f_30075:library_2escm"),(void*)f_30075},
{C_text("f_30087:library_2escm"),(void*)f_30087},
{C_text("f_30131:library_2escm"),(void*)f_30131},
{C_text("f_30146:library_2escm"),(void*)f_30146},
{C_text("f_30154:library_2escm"),(void*)f_30154},
{C_text("f_30160:library_2escm"),(void*)f_30160},
{C_text("f_30168:library_2escm"),(void*)f_30168},
{C_text("f_30172:library_2escm"),(void*)f_30172},
{C_text("f_30178:library_2escm"),(void*)f_30178},
{C_text("f_30180:library_2escm"),(void*)f_30180},
{C_text("f_30192:library_2escm"),(void*)f_30192},
{C_text("f_30199:library_2escm"),(void*)f_30199},
{C_text("f_30203:library_2escm"),(void*)f_30203},
{C_text("f_30219:library_2escm"),(void*)f_30219},
{C_text("f_30226:library_2escm"),(void*)f_30226},
{C_text("f_30230:library_2escm"),(void*)f_30230},
{C_text("f_30243:library_2escm"),(void*)f_30243},
{C_text("f_30250:library_2escm"),(void*)f_30250},
{C_text("f_30254:library_2escm"),(void*)f_30254},
{C_text("f_30259:library_2escm"),(void*)f_30259},
{C_text("f_30265:library_2escm"),(void*)f_30265},
{C_text("f_30268:library_2escm"),(void*)f_30268},
{C_text("f_30271:library_2escm"),(void*)f_30271},
{C_text("f_30277:library_2escm"),(void*)f_30277},
{C_text("f_30286:library_2escm"),(void*)f_30286},
{C_text("f_30295:library_2escm"),(void*)f_30295},
{C_text("f_30301:library_2escm"),(void*)f_30301},
{C_text("f_30304:library_2escm"),(void*)f_30304},
{C_text("f_30307:library_2escm"),(void*)f_30307},
{C_text("f_30319:library_2escm"),(void*)f_30319},
{C_text("f_30322:library_2escm"),(void*)f_30322},
{C_text("f_30325:library_2escm"),(void*)f_30325},
{C_text("f_30328:library_2escm"),(void*)f_30328},
{C_text("f_30340:library_2escm"),(void*)f_30340},
{C_text("f_30343:library_2escm"),(void*)f_30343},
{C_text("f_30346:library_2escm"),(void*)f_30346},
{C_text("f_30349:library_2escm"),(void*)f_30349},
{C_text("f_30357:library_2escm"),(void*)f_30357},
{C_text("f_30360:library_2escm"),(void*)f_30360},
{C_text("f_30373:library_2escm"),(void*)f_30373},
{C_text("f_30374:library_2escm"),(void*)f_30374},
{C_text("f_30379:library_2escm"),(void*)f_30379},
{C_text("f_30380:library_2escm"),(void*)f_30380},
{C_text("f_30385:library_2escm"),(void*)f_30385},
{C_text("f_30386:library_2escm"),(void*)f_30386},
{C_text("f_30391:library_2escm"),(void*)f_30391},
{C_text("f_30392:library_2escm"),(void*)f_30392},
{C_text("f_30397:library_2escm"),(void*)f_30397},
{C_text("f_30398:library_2escm"),(void*)f_30398},
{C_text("f_30403:library_2escm"),(void*)f_30403},
{C_text("f_30405:library_2escm"),(void*)f_30405},
{C_text("f_30415:library_2escm"),(void*)f_30415},
{C_text("f_30418:library_2escm"),(void*)f_30418},
{C_text("f_30421:library_2escm"),(void*)f_30421},
{C_text("f_30424:library_2escm"),(void*)f_30424},
{C_text("f_30426:library_2escm"),(void*)f_30426},
{C_text("f_30440:library_2escm"),(void*)f_30440},
{C_text("f_30448:library_2escm"),(void*)f_30448},
{C_text("f_30452:library_2escm"),(void*)f_30452},
{C_text("f_30456:library_2escm"),(void*)f_30456},
{C_text("f_30460:library_2escm"),(void*)f_30460},
{C_text("f_30466:library_2escm"),(void*)f_30466},
{C_text("f_30473:library_2escm"),(void*)f_30473},
{C_text("f_30477:library_2escm"),(void*)f_30477},
{C_text("f_30481:library_2escm"),(void*)f_30481},
{C_text("f_30485:library_2escm"),(void*)f_30485},
{C_text("f_30524:library_2escm"),(void*)f_30524},
{C_text("f_30527:library_2escm"),(void*)f_30527},
{C_text("f_30530:library_2escm"),(void*)f_30530},
{C_text("f_30533:library_2escm"),(void*)f_30533},
{C_text("f_30536:library_2escm"),(void*)f_30536},
{C_text("f_30544:library_2escm"),(void*)f_30544},
{C_text("f_30554:library_2escm"),(void*)f_30554},
{C_text("f_30576:library_2escm"),(void*)f_30576},
{C_text("f_30582:library_2escm"),(void*)f_30582},
{C_text("f_30602:library_2escm"),(void*)f_30602},
{C_text("f_30617:library_2escm"),(void*)f_30617},
{C_text("f_30621:library_2escm"),(void*)f_30621},
{C_text("f_30644:library_2escm"),(void*)f_30644},
{C_text("f_30648:library_2escm"),(void*)f_30648},
{C_text("f_30665:library_2escm"),(void*)f_30665},
{C_text("f_30672:library_2escm"),(void*)f_30672},
{C_text("f_30694:library_2escm"),(void*)f_30694},
{C_text("f_30699:library_2escm"),(void*)f_30699},
{C_text("f_30714:library_2escm"),(void*)f_30714},
{C_text("f_30717:library_2escm"),(void*)f_30717},
{C_text("f_30720:library_2escm"),(void*)f_30720},
{C_text("f_30723:library_2escm"),(void*)f_30723},
{C_text("f_30726:library_2escm"),(void*)f_30726},
{C_text("f_30729:library_2escm"),(void*)f_30729},
{C_text("f_30732:library_2escm"),(void*)f_30732},
{C_text("f_30735:library_2escm"),(void*)f_30735},
{C_text("f_30738:library_2escm"),(void*)f_30738},
{C_text("f_30741:library_2escm"),(void*)f_30741},
{C_text("f_30744:library_2escm"),(void*)f_30744},
{C_text("f_30748:library_2escm"),(void*)f_30748},
{C_text("f_30751:library_2escm"),(void*)f_30751},
{C_text("f_30756:library_2escm"),(void*)f_30756},
{C_text("f_30762:library_2escm"),(void*)f_30762},
{C_text("f_30775:library_2escm"),(void*)f_30775},
{C_text("f_30777:library_2escm"),(void*)f_30777},
{C_text("f_30787:library_2escm"),(void*)f_30787},
{C_text("f_30800:library_2escm"),(void*)f_30800},
{C_text("f_30807:library_2escm"),(void*)f_30807},
{C_text("f_30811:library_2escm"),(void*)f_30811},
{C_text("f_30813:library_2escm"),(void*)f_30813},
{C_text("f_30842:library_2escm"),(void*)f_30842},
{C_text("f_30844:library_2escm"),(void*)f_30844},
{C_text("f_30869:library_2escm"),(void*)f_30869},
{C_text("f_30878:library_2escm"),(void*)f_30878},
{C_text("f_30881:library_2escm"),(void*)f_30881},
{C_text("f_30887:library_2escm"),(void*)f_30887},
{C_text("f_30911:library_2escm"),(void*)f_30911},
{C_text("f_30920:library_2escm"),(void*)f_30920},
{C_text("f_30928:library_2escm"),(void*)f_30928},
{C_text("f_30932:library_2escm"),(void*)f_30932},
{C_text("f_30936:library_2escm"),(void*)f_30936},
{C_text("f_30966:library_2escm"),(void*)f_30966},
{C_text("f_30970:library_2escm"),(void*)f_30970},
{C_text("f_30974:library_2escm"),(void*)f_30974},
{C_text("f_30978:library_2escm"),(void*)f_30978},
{C_text("f_30982:library_2escm"),(void*)f_30982},
{C_text("f_30986:library_2escm"),(void*)f_30986},
{C_text("f_30989:library_2escm"),(void*)f_30989},
{C_text("f_30992:library_2escm"),(void*)f_30992},
{C_text("f_31002:library_2escm"),(void*)f_31002},
{C_text("f_31005:library_2escm"),(void*)f_31005},
{C_text("f_31007:library_2escm"),(void*)f_31007},
{C_text("f_31024:library_2escm"),(void*)f_31024},
{C_text("f_31051:library_2escm"),(void*)f_31051},
{C_text("f_31060:library_2escm"),(void*)f_31060},
{C_text("f_31080:library_2escm"),(void*)f_31080},
{C_text("f_31084:library_2escm"),(void*)f_31084},
{C_text("f_31088:library_2escm"),(void*)f_31088},
{C_text("f_31092:library_2escm"),(void*)f_31092},
{C_text("f_31096:library_2escm"),(void*)f_31096},
{C_text("f_31100:library_2escm"),(void*)f_31100},
{C_text("f_31104:library_2escm"),(void*)f_31104},
{C_text("f_31106:library_2escm"),(void*)f_31106},
{C_text("f_31115:library_2escm"),(void*)f_31115},
{C_text("f_31125:library_2escm"),(void*)f_31125},
{C_text("f_31150:library_2escm"),(void*)f_31150},
{C_text("f_31153:library_2escm"),(void*)f_31153},
{C_text("f_31155:library_2escm"),(void*)f_31155},
{C_text("f_31171:library_2escm"),(void*)f_31171},
{C_text("f_31190:library_2escm"),(void*)f_31190},
{C_text("f_31200:library_2escm"),(void*)f_31200},
{C_text("f_31210:library_2escm"),(void*)f_31210},
{C_text("f_31234:library_2escm"),(void*)f_31234},
{C_text("f_31238:library_2escm"),(void*)f_31238},
{C_text("f_31240:library_2escm"),(void*)f_31240},
{C_text("f_31244:library_2escm"),(void*)f_31244},
{C_text("f_31247:library_2escm"),(void*)f_31247},
{C_text("f_31262:library_2escm"),(void*)f_31262},
{C_text("f_31268:library_2escm"),(void*)f_31268},
{C_text("f_31272:library_2escm"),(void*)f_31272},
{C_text("f_31281:library_2escm"),(void*)f_31281},
{C_text("f_31284:library_2escm"),(void*)f_31284},
{C_text("f_31287:library_2escm"),(void*)f_31287},
{C_text("f_31290:library_2escm"),(void*)f_31290},
{C_text("f_31293:library_2escm"),(void*)f_31293},
{C_text("f_31299:library_2escm"),(void*)f_31299},
{C_text("f_31305:library_2escm"),(void*)f_31305},
{C_text("f_31308:library_2escm"),(void*)f_31308},
{C_text("f_31313:library_2escm"),(void*)f_31313},
{C_text("f_31323:library_2escm"),(void*)f_31323},
{C_text("f_31335:library_2escm"),(void*)f_31335},
{C_text("f_31343:library_2escm"),(void*)f_31343},
{C_text("f_31353:library_2escm"),(void*)f_31353},
{C_text("f_31369:library_2escm"),(void*)f_31369},
{C_text("f_31375:library_2escm"),(void*)f_31375},
{C_text("f_31378:library_2escm"),(void*)f_31378},
{C_text("f_31381:library_2escm"),(void*)f_31381},
{C_text("f_31382:library_2escm"),(void*)f_31382},
{C_text("f_31386:library_2escm"),(void*)f_31386},
{C_text("f_31392:library_2escm"),(void*)f_31392},
{C_text("f_31396:library_2escm"),(void*)f_31396},
{C_text("f_31398:library_2escm"),(void*)f_31398},
{C_text("f_31408:library_2escm"),(void*)f_31408},
{C_text("f_31425:library_2escm"),(void*)f_31425},
{C_text("f_31428:library_2escm"),(void*)f_31428},
{C_text("f_31432:library_2escm"),(void*)f_31432},
{C_text("f_31437:library_2escm"),(void*)f_31437},
{C_text("f_31443:library_2escm"),(void*)f_31443},
{C_text("f_31450:library_2escm"),(void*)f_31450},
{C_text("f_31459:library_2escm"),(void*)f_31459},
{C_text("f_31467:library_2escm"),(void*)f_31467},
{C_text("f_31492:library_2escm"),(void*)f_31492},
{C_text("f_31510:library_2escm"),(void*)f_31510},
{C_text("f_31514:library_2escm"),(void*)f_31514},
{C_text("f_31529:library_2escm"),(void*)f_31529},
{C_text("f_31533:library_2escm"),(void*)f_31533},
{C_text("f_31548:library_2escm"),(void*)f_31548},
{C_text("f_31551:library_2escm"),(void*)f_31551},
{C_text("f_31554:library_2escm"),(void*)f_31554},
{C_text("f_31564:library_2escm"),(void*)f_31564},
{C_text("f_31595:library_2escm"),(void*)f_31595},
{C_text("f_31619:library_2escm"),(void*)f_31619},
{C_text("f_31629:library_2escm"),(void*)f_31629},
{C_text("f_31638:library_2escm"),(void*)f_31638},
{C_text("f_31679:library_2escm"),(void*)f_31679},
{C_text("f_31698:library_2escm"),(void*)f_31698},
{C_text("f_31711:library_2escm"),(void*)f_31711},
{C_text("f_31721:library_2escm"),(void*)f_31721},
{C_text("f_31731:library_2escm"),(void*)f_31731},
{C_text("f_31741:library_2escm"),(void*)f_31741},
{C_text("f_31751:library_2escm"),(void*)f_31751},
{C_text("f_31761:library_2escm"),(void*)f_31761},
{C_text("f_31771:library_2escm"),(void*)f_31771},
{C_text("f_31781:library_2escm"),(void*)f_31781},
{C_text("f_31791:library_2escm"),(void*)f_31791},
{C_text("f_31801:library_2escm"),(void*)f_31801},
{C_text("f_31811:library_2escm"),(void*)f_31811},
{C_text("f_31821:library_2escm"),(void*)f_31821},
{C_text("f_31831:library_2escm"),(void*)f_31831},
{C_text("f_31841:library_2escm"),(void*)f_31841},
{C_text("f_31857:library_2escm"),(void*)f_31857},
{C_text("f_31865:library_2escm"),(void*)f_31865},
{C_text("f_31881:library_2escm"),(void*)f_31881},
{C_text("f_31897:library_2escm"),(void*)f_31897},
{C_text("f_31907:library_2escm"),(void*)f_31907},
{C_text("f_31917:library_2escm"),(void*)f_31917},
{C_text("f_31936:library_2escm"),(void*)f_31936},
{C_text("f_31952:library_2escm"),(void*)f_31952},
{C_text("f_31965:library_2escm"),(void*)f_31965},
{C_text("f_31971:library_2escm"),(void*)f_31971},
{C_text("f_31994:library_2escm"),(void*)f_31994},
{C_text("f_31998:library_2escm"),(void*)f_31998},
{C_text("f_32002:library_2escm"),(void*)f_32002},
{C_text("f_32005:library_2escm"),(void*)f_32005},
{C_text("f_32011:library_2escm"),(void*)f_32011},
{C_text("f_32034:library_2escm"),(void*)f_32034},
{C_text("f_32038:library_2escm"),(void*)f_32038},
{C_text("f_32042:library_2escm"),(void*)f_32042},
{C_text("f_32045:library_2escm"),(void*)f_32045},
{C_text("f_32048:library_2escm"),(void*)f_32048},
{C_text("f_32051:library_2escm"),(void*)f_32051},
{C_text("f_32057:library_2escm"),(void*)f_32057},
{C_text("f_32060:library_2escm"),(void*)f_32060},
{C_text("f_32063:library_2escm"),(void*)f_32063},
{C_text("f_32071:library_2escm"),(void*)f_32071},
{C_text("f_32073:library_2escm"),(void*)f_32073},
{C_text("f_32097:library_2escm"),(void*)f_32097},
{C_text("f_32120:library_2escm"),(void*)f_32120},
{C_text("f_32124:library_2escm"),(void*)f_32124},
{C_text("f_32128:library_2escm"),(void*)f_32128},
{C_text("f_32162:library_2escm"),(void*)f_32162},
{C_text("f_32166:library_2escm"),(void*)f_32166},
{C_text("f_32169:library_2escm"),(void*)f_32169},
{C_text("f_32182:library_2escm"),(void*)f_32182},
{C_text("f_32215:library_2escm"),(void*)f_32215},
{C_text("f_32230:library_2escm"),(void*)f_32230},
{C_text("f_32234:library_2escm"),(void*)f_32234},
{C_text("f_32258:library_2escm"),(void*)f_32258},
{C_text("f_32266:library_2escm"),(void*)f_32266},
{C_text("f_32270:library_2escm"),(void*)f_32270},
{C_text("f_32281:library_2escm"),(void*)f_32281},
{C_text("f_32285:library_2escm"),(void*)f_32285},
{C_text("f_32289:library_2escm"),(void*)f_32289},
{C_text("f_32303:library_2escm"),(void*)f_32303},
{C_text("f_32335:library_2escm"),(void*)f_32335},
{C_text("f_8544:library_2escm"),(void*)f_8544},
{C_text("f_8546:library_2escm"),(void*)f_8546},
{C_text("f_8549:library_2escm"),(void*)f_8549},
{C_text("f_8552:library_2escm"),(void*)f_8552},
{C_text("f_8555:library_2escm"),(void*)f_8555},
{C_text("f_8558:library_2escm"),(void*)f_8558},
{C_text("f_8561:library_2escm"),(void*)f_8561},
{C_text("f_8564:library_2escm"),(void*)f_8564},
{C_text("f_8567:library_2escm"),(void*)f_8567},
{C_text("f_8570:library_2escm"),(void*)f_8570},
{C_text("f_8573:library_2escm"),(void*)f_8573},
{C_text("f_8576:library_2escm"),(void*)f_8576},
{C_text("f_8579:library_2escm"),(void*)f_8579},
{C_text("f_8582:library_2escm"),(void*)f_8582},
{C_text("f_8585:library_2escm"),(void*)f_8585},
{C_text("f_8588:library_2escm"),(void*)f_8588},
{C_text("f_8591:library_2escm"),(void*)f_8591},
{C_text("f_8594:library_2escm"),(void*)f_8594},
{C_text("f_8597:library_2escm"),(void*)f_8597},
{C_text("f_8600:library_2escm"),(void*)f_8600},
{C_text("f_8614:library_2escm"),(void*)f_8614},
{C_text("f_8621:library_2escm"),(void*)f_8621},
{C_text("f_8628:library_2escm"),(void*)f_8628},
{C_text("f_8642:library_2escm"),(void*)f_8642},
{C_text("f_8649:library_2escm"),(void*)f_8649},
{C_text("f_8663:library_2escm"),(void*)f_8663},
{C_text("f_8677:library_2escm"),(void*)f_8677},
{C_text("f_8695:library_2escm"),(void*)f_8695},
{C_text("f_8706:library_2escm"),(void*)f_8706},
{C_text("f_8717:library_2escm"),(void*)f_8717},
{C_text("f_8724:library_2escm"),(void*)f_8724},
{C_text("f_8735:library_2escm"),(void*)f_8735},
{C_text("f_8739:library_2escm"),(void*)f_8739},
{C_text("f_8746:library_2escm"),(void*)f_8746},
{C_text("f_8764:library_2escm"),(void*)f_8764},
{C_text("f_8775:library_2escm"),(void*)f_8775},
{C_text("f_8786:library_2escm"),(void*)f_8786},
{C_text("f_8793:library_2escm"),(void*)f_8793},
{C_text("f_8811:library_2escm"),(void*)f_8811},
{C_text("f_8822:library_2escm"),(void*)f_8822},
{C_text("f_8840:library_2escm"),(void*)f_8840},
{C_text("f_8846:library_2escm"),(void*)f_8846},
{C_text("f_8849:library_2escm"),(void*)f_8849},
{C_text("f_8852:library_2escm"),(void*)f_8852},
{C_text("f_8855:library_2escm"),(void*)f_8855},
{C_text("f_8858:library_2escm"),(void*)f_8858},
{C_text("f_8864:library_2escm"),(void*)f_8864},
{C_text("f_8897:library_2escm"),(void*)f_8897},
{C_text("f_8900:library_2escm"),(void*)f_8900},
{C_text("f_8903:library_2escm"),(void*)f_8903},
{C_text("f_8906:library_2escm"),(void*)f_8906},
{C_text("f_8909:library_2escm"),(void*)f_8909},
{C_text("f_8912:library_2escm"),(void*)f_8912},
{C_text("f_8915:library_2escm"),(void*)f_8915},
{C_text("f_8918:library_2escm"),(void*)f_8918},
{C_text("f_8921:library_2escm"),(void*)f_8921},
{C_text("f_8924:library_2escm"),(void*)f_8924},
{C_text("f_8927:library_2escm"),(void*)f_8927},
{C_text("f_8930:library_2escm"),(void*)f_8930},
{C_text("f_8933:library_2escm"),(void*)f_8933},
{C_text("f_8937:library_2escm"),(void*)f_8937},
{C_text("f_8940:library_2escm"),(void*)f_8940},
{C_text("f_8946:library_2escm"),(void*)f_8946},
{C_text("f_8949:library_2escm"),(void*)f_8949},
{C_text("f_8952:library_2escm"),(void*)f_8952},
{C_text("f_8955:library_2escm"),(void*)f_8955},
{C_text("f_8958:library_2escm"),(void*)f_8958},
{C_text("f_8966:library_2escm"),(void*)f_8966},
{C_text("f_8970:library_2escm"),(void*)f_8970},
{C_text("f_8973:library_2escm"),(void*)f_8973},
{C_text("f_8976:library_2escm"),(void*)f_8976},
{C_text("f_8979:library_2escm"),(void*)f_8979},
{C_text("f_8982:library_2escm"),(void*)f_8982},
{C_text("f_8985:library_2escm"),(void*)f_8985},
{C_text("f_8988:library_2escm"),(void*)f_8988},
{C_text("f_8991:library_2escm"),(void*)f_8991},
{C_text("f_8995:library_2escm"),(void*)f_8995},
{C_text("f_8998:library_2escm"),(void*)f_8998},
{C_text("f_9001:library_2escm"),(void*)f_9001},
{C_text("f_9004:library_2escm"),(void*)f_9004},
{C_text("f_9007:library_2escm"),(void*)f_9007},
{C_text("f_9015:library_2escm"),(void*)f_9015},
{C_text("f_9018:library_2escm"),(void*)f_9018},
{C_text("f_9025:library_2escm"),(void*)f_9025},
{C_text("f_9029:library_2escm"),(void*)f_9029},
{C_text("f_9032:library_2escm"),(void*)f_9032},
{C_text("f_9035:library_2escm"),(void*)f_9035},
{C_text("f_9038:library_2escm"),(void*)f_9038},
{C_text("f_9041:library_2escm"),(void*)f_9041},
{C_text("f_9044:library_2escm"),(void*)f_9044},
{C_text("f_9047:library_2escm"),(void*)f_9047},
{C_text("f_9053:library_2escm"),(void*)f_9053},
{C_text("f_9064:library_2escm"),(void*)f_9064},
{C_text("f_9070:library_2escm"),(void*)f_9070},
{C_text("f_9076:library_2escm"),(void*)f_9076},
{C_text("f_9082:library_2escm"),(void*)f_9082},
{C_text("f_9088:library_2escm"),(void*)f_9088},
{C_text("f_9094:library_2escm"),(void*)f_9094},
{C_text("f_9101:library_2escm"),(void*)f_9101},
{C_text("f_9107:library_2escm"),(void*)f_9107},
{C_text("f_9123:library_2escm"),(void*)f_9123},
{C_text("f_9134:library_2escm"),(void*)f_9134},
{C_text("f_9140:library_2escm"),(void*)f_9140},
{C_text("f_9146:library_2escm"),(void*)f_9146},
{C_text("f_9152:library_2escm"),(void*)f_9152},
{C_text("f_9158:library_2escm"),(void*)f_9158},
{C_text("f_9167:library_2escm"),(void*)f_9167},
{C_text("f_9170:library_2escm"),(void*)f_9170},
{C_text("f_9173:library_2escm"),(void*)f_9173},
{C_text("f_9176:library_2escm"),(void*)f_9176},
{C_text("f_9179:library_2escm"),(void*)f_9179},
{C_text("f_9182:library_2escm"),(void*)f_9182},
{C_text("f_9186:library_2escm"),(void*)f_9186},
{C_text("f_9192:library_2escm"),(void*)f_9192},
{C_text("f_9198:library_2escm"),(void*)f_9198},
{C_text("f_9231:library_2escm"),(void*)f_9231},
{C_text("f_9234:library_2escm"),(void*)f_9234},
{C_text("f_9237:library_2escm"),(void*)f_9237},
{C_text("f_9245:library_2escm"),(void*)f_9245},
{C_text("f_9250:library_2escm"),(void*)f_9250},
{C_text("f_9256:library_2escm"),(void*)f_9256},
{C_text("f_9271:library_2escm"),(void*)f_9271},
{C_text("f_9292:library_2escm"),(void*)f_9292},
{C_text("f_9298:library_2escm"),(void*)f_9298},
{C_text("f_9304:library_2escm"),(void*)f_9304},
{C_text("f_9311:library_2escm"),(void*)f_9311},
{C_text("f_9316:library_2escm"),(void*)f_9316},
{C_text("f_9319:library_2escm"),(void*)f_9319},
{C_text("f_9328:library_2escm"),(void*)f_9328},
{C_text("f_9346:library_2escm"),(void*)f_9346},
{C_text("f_9356:library_2escm"),(void*)f_9356},
{C_text("f_9365:library_2escm"),(void*)f_9365},
{C_text("f_9383:library_2escm"),(void*)f_9383},
{C_text("f_9396:library_2escm"),(void*)f_9396},
{C_text("f_9403:library_2escm"),(void*)f_9403},
{C_text("f_9410:library_2escm"),(void*)f_9410},
{C_text("f_9421:library_2escm"),(void*)f_9421},
{C_text("f_9428:library_2escm"),(void*)f_9428},
{C_text("f_9440:library_2escm"),(void*)f_9440},
{C_text("f_9443:library_2escm"),(void*)f_9443},
{C_text("f_9445:library_2escm"),(void*)f_9445},
{C_text("f_9451:library_2escm"),(void*)f_9451},
{C_text("f_9467:library_2escm"),(void*)f_9467},
{C_text("f_9476:library_2escm"),(void*)f_9476},
{C_text("f_9478:library_2escm"),(void*)f_9478},
{C_text("f_9484:library_2escm"),(void*)f_9484},
{C_text("f_9497:library_2escm"),(void*)f_9497},
{C_text("f_9513:library_2escm"),(void*)f_9513},
{C_text("f_9524:library_2escm"),(void*)f_9524},
{C_text("f_9526:library_2escm"),(void*)f_9526},
{C_text("f_9534:library_2escm"),(void*)f_9534},
{C_text("f_9536:library_2escm"),(void*)f_9536},
{C_text("f_9542:library_2escm"),(void*)f_9542},
{C_text("f_9544:library_2escm"),(void*)f_9544},
{C_text("f_9552:library_2escm"),(void*)f_9552},
{C_text("f_9554:library_2escm"),(void*)f_9554},
{C_text("f_9557:library_2escm"),(void*)f_9557},
{C_text("f_9565:library_2escm"),(void*)f_9565},
{C_text("f_9571:library_2escm"),(void*)f_9571},
{C_text("f_9579:library_2escm"),(void*)f_9579},
{C_text("f_9590:library_2escm"),(void*)f_9590},
{C_text("f_9602:library_2escm"),(void*)f_9602},
{C_text("f_9616:library_2escm"),(void*)f_9616},
{C_text("f_9624:library_2escm"),(void*)f_9624},
{C_text("f_9627:library_2escm"),(void*)f_9627},
{C_text("f_9629:library_2escm"),(void*)f_9629},
{C_text("f_9631:library_2escm"),(void*)f_9631},
{C_text("f_9637:library_2escm"),(void*)f_9637},
{C_text("f_9656:library_2escm"),(void*)f_9656},
{C_text("f_9673:library_2escm"),(void*)f_9673},
{C_text("f_9681:library_2escm"),(void*)f_9681},
{C_text("f_9695:library_2escm"),(void*)f_9695},
{C_text("f_9701:library_2escm"),(void*)f_9701},
{C_text("f_9720:library_2escm"),(void*)f_9720},
{C_text("f_9729:library_2escm"),(void*)f_9729},
{C_text("f_9732:library_2escm"),(void*)f_9732},
{C_text("f_9744:library_2escm"),(void*)f_9744},
{C_text("f_9760:library_2escm"),(void*)f_9760},
{C_text("f_9766:library_2escm"),(void*)f_9766},
{C_text("f_9791:library_2escm"),(void*)f_9791},
{C_text("f_9793:library_2escm"),(void*)f_9793},
{C_text("f_9802:library_2escm"),(void*)f_9802},
{C_text("f_9823:library_2escm"),(void*)f_9823},
{C_text("f_9825:library_2escm"),(void*)f_9825},
{C_text("f_9831:library_2escm"),(void*)f_9831},
{C_text("f_9857:library_2escm"),(void*)f_9857},
{C_text("f_9864:library_2escm"),(void*)f_9864},
{C_text("f_9866:library_2escm"),(void*)f_9866},
{C_text("f_9870:library_2escm"),(void*)f_9870},
{C_text("f_9878:library_2escm"),(void*)f_9878},
{C_text("f_9913:library_2escm"),(void*)f_9913},
{C_text("f_9923:library_2escm"),(void*)f_9923},
{C_text("f_9932:library_2escm"),(void*)f_9932},
{C_text("f_9974:library_2escm"),(void*)f_9974},
{C_text("toplevel:library_2escm"),(void*)C_library_toplevel},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: scheme#string-fill 
o|hiding unexported module binding: chicken.condition#prop-list->kind-prefixed-prop-list 
o|hiding unexported module binding: chicken.platform#path-list-separator 
o|hiding unexported module binding: chicken.platform#->feature-id 
S|applied compiler syntax:
S|  for-each		9
S|  ##sys#map		1
S|  ##sys#for-each		4
S|  map		7
o|eliminated procedure checks: 530 
o|specializations:
o|  1 (scheme#zero? integer)
o|  1 (scheme#string-append string string)
o|  1 (scheme#make-string fixnum)
o|  1 (scheme#memq * list)
o|  1 (scheme#cdar (pair pair *))
o|  2 (scheme#cddr (pair * pair))
o|  1 (scheme#char>? char char)
o|  13 (scheme#char=? char char)
o|  3 (scheme#string-ref string fixnum)
o|  5 (##sys#check-input-port * * *)
o|  11 (##sys#check-output-port * * *)
o|  1 (##sys#check-output-port * *)
o|  1 (##sys#check-input-port * *)
o|  13 (##sys#check-list (or pair list) *)
o|  43 (scheme#cdr pair)
o|  4 (scheme#char>=? char char)
o|  6 (scheme#char<=? char char)
o|  5 (scheme#zero? *)
o|  26 (scheme#eqv? (or eof null fixnum char boolean symbol) *)
o|  1 (scheme#remainder * *)
o|  1 (scheme#> fixnum fixnum)
o|  1 (scheme#make-string fixnum char)
o|  1 (scheme#string-length string)
o|  6 (scheme#number->string * *)
o|  3 (scheme#integer? *)
o|  2 (scheme#even? *)
o|  5 (scheme#/ * *)
o|  1 (scheme#+ integer integer)
o|  2 (chicken.bitwise#bitwise-and * *)
o|  1 (scheme#- integer integer)
o|  11 (chicken.bitwise#arithmetic-shift * *)
o|  5 (chicken.bitwise#integer-length *)
o|  204 (scheme#eqv? * (or eof null fixnum char boolean symbol))
o|  2 (chicken.flonum#fp<= float float)
o|  7 (scheme#> * *)
o|  7 (scheme#- *)
o|  7 (scheme#< * *)
o|  1 (scheme#odd? *)
o|  3 (scheme#= * *)
o|  2 (scheme#>= * *)
o|  17 (scheme#quotient * *)
o|  1 (chicken.flonum#fp> float float)
o|  2 (scheme#angle cplxnum)
o|  5 (chicken.base#finite? *)
o|  13 (chicken.base#exact-integer? *)
o|  8 (scheme#abs *)
o|  44 (scheme#* * *)
o|  17 (scheme#exact->inexact number)
o|  5 (##sys#debug-mode?)
o|  48 (scheme#car pair)
o|  4 (scheme#length list)
o|  19 (scheme#- * *)
o|  23 (scheme#+ * *)
o|  12 (scheme#negative? *)
o|  4 (scheme#positive? *)
(o e)|safe calls: 3138 
(o e)|dropped branches: 3 
(o e)|assignments to immediate values: 27 
o|dropping redundant toplevel assignment: chicken.base#warning 
o|dropping redundant toplevel assignment: chicken.base#notice 
o|dropping redundant toplevel assignment: chicken.base#enable-warnings 
o|dropping redundant toplevel assignment: scheme#force 
o|dropping redundant toplevel assignment: scheme#append 
o|dropping redundant toplevel assignment: scheme#make-string 
o|dropping redundant toplevel assignment: scheme#string->list 
o|dropping redundant toplevel assignment: scheme#list->string 
o|dropping redundant toplevel assignment: scheme#string-fill! 
o|dropping redundant toplevel assignment: scheme#string-copy 
o|dropping redundant toplevel assignment: scheme#substring 
o|dropping redundant toplevel assignment: scheme#string<? 
o|dropping redundant toplevel assignment: scheme#string>? 
o|dropping redundant toplevel assignment: scheme#string<=? 
o|dropping redundant toplevel assignment: scheme#string>=? 
o|dropping redundant toplevel assignment: scheme#string-ci<? 
o|dropping redundant toplevel assignment: scheme#string-ci>? 
o|dropping redundant toplevel assignment: scheme#string-ci<=? 
o|dropping redundant toplevel assignment: scheme#string-ci>=? 
o|dropping redundant toplevel assignment: scheme#string-append 
o|dropping redundant toplevel assignment: scheme#string 
o|dropping redundant toplevel assignment: chicken.base#chop 
o|dropping redundant toplevel assignment: scheme#make-rectangular 
o|dropping redundant toplevel assignment: scheme#make-polar 
o|dropping redundant toplevel assignment: scheme#real-part 
o|dropping redundant toplevel assignment: scheme#imag-part 
o|dropping redundant toplevel assignment: scheme#angle 
o|dropping redundant toplevel assignment: scheme#magnitude 
o|dropping redundant toplevel assignment: scheme#numerator 
o|dropping redundant toplevel assignment: scheme#denominator 
o|dropping redundant toplevel assignment: scheme#inexact->exact 
o|dropping redundant toplevel assignment: scheme#/ 
o|dropping redundant toplevel assignment: scheme#floor 
o|dropping redundant toplevel assignment: scheme#ceiling 
o|dropping redundant toplevel assignment: scheme#truncate 
o|dropping redundant toplevel assignment: scheme#round 
o|dropping redundant toplevel assignment: scheme#rationalize 
o|dropping redundant toplevel assignment: scheme#max 
o|dropping redundant toplevel assignment: scheme#min 
o|dropping redundant toplevel assignment: scheme#exp 
o|dropping redundant toplevel assignment: scheme#log 
o|dropping redundant toplevel assignment: scheme#sin 
o|dropping redundant toplevel assignment: scheme#cos 
o|dropping redundant toplevel assignment: scheme#tan 
o|dropping redundant toplevel assignment: scheme#asin 
o|dropping redundant toplevel assignment: scheme#acos 
o|dropping redundant toplevel assignment: scheme#atan 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-sqrt 
o|dropping redundant toplevel assignment: scheme#sqrt 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-nth-root 
o|dropping redundant toplevel assignment: scheme#expt 
o|dropping redundant toplevel assignment: scheme#gcd 
o|dropping redundant toplevel assignment: scheme#lcm 
o|dropping redundant toplevel assignment: scheme#string->number 
o|dropping redundant toplevel assignment: ##sys#number->string 
o|dropping redundant toplevel assignment: chicken.base#equal=? 
o|dropping redundant toplevel assignment: ##sys#symbol->string 
o|dropping redundant toplevel assignment: ##sys#symbol->qualified-string 
o|dropping redundant toplevel assignment: ##sys#qualified-symbol-prefix 
o|dropping redundant toplevel assignment: scheme#symbol->string 
o|dropping redundant toplevel assignment: scheme#string->symbol 
o|dropping redundant toplevel assignment: chicken.base#string->uninterned-symbol 
o|dropping redundant toplevel assignment: chicken.base#gensym 
o|dropping redundant toplevel assignment: chicken.base#symbol-append 
o|dropping redundant toplevel assignment: ##sys#update-errno 
o|dropping redundant toplevel assignment: ##sys#errno 
o|safe globals: (chicken.keyword#keyword->string chicken.keyword#string->keyword chicken.keyword#keyword? chicken.base#symbol-append chicken.base#gensym chicken.base#string->uninterned-symbol scheme#string->symbol scheme#symbol->string ##sys#string->qualified-symbol ##sys#qualified-symbol? ##sys#qualified-symbol-prefix ##sys#symbol->qualified-string ##sys#symbol->string ##sys#string->symbol ##sys#interned-symbol? ##sys#intern-symbol ##sys#snafu chicken.base#equal=? ##sys#number->string ##sys#integer->string ##sys#flonum->string ##sys#fixnum->string ##sys#string->number scheme#string->number ##sys#string->compnum round-quotient ldexp mantexp->dbl ##sys#extended-number->string ##sys#integer->string/recursive scheme#lcm ##sys#lcm scheme#gcd ##sys#gcd ##sys#internal-gcd scheme#expt ##sys#integer-power ##sys#exact-integer-nth-root/loc chicken.base#exact-integer-nth-root scheme#sqrt ##sys#sqrt/loc chicken.base#exact-integer-sqrt ##sys#exact-integer-sqrt scheme#atan scheme#acos scheme#asin scheme#tan scheme#cos scheme#sin scheme#log ##sys#log-1 scheme#exp scheme#min scheme#max scheme#rationalize find-ratio find-ratio-between scheme#round scheme#truncate scheme#ceiling scheme#floor ##sys#/-2 scheme#/ chicken.bitwise#arithmetic-shift chicken.bitwise#integer-length chicken.bitwise#bit->boolean chicken.bitwise#bitwise-not chicken.bitwise#bitwise-xor chicken.bitwise#bitwise-ior chicken.bitwise#bitwise-and ##sys#inexact->exact ##sys#exact->inexact scheme#inexact->exact flonum->ratnum ##sys#extended-signum scheme#denominator scheme#numerator ratnum scheme#magnitude scheme#angle scheme#imag-part scheme#real-part scheme#make-polar scheme#make-rectangular make-complex ##sys#inexact? ##sys#exact? ##sys#integer? ##sys#number? chicken.flonum#flonum-print-precision chicken.flonum#fpinteger? chicken.flonum#fpabs chicken.flonum#fpsqrt chicken.flonum#fplog chicken.flonum#fpexpt chicken.flonum#fpexp chicken.flonum#fpatan2 chicken.flonum#fpatan chicken.flonum#fpacos chicken.flonum#fpasin chicken.flonum#fptan chicken.flonum#fpcos chicken.flonum#fpsin chicken.flonum#fpceiling chicken.flonum#fpround chicken.flonum#fptruncate chicken.flonum#fpfloor chicken.flonum#fpmin chicken.flonum#fpmax chicken.flonum#fpneg chicken.flonum#fp<= chicken.flonum#fp>= chicken.flonum#fp< chicken.flonum#fp> chicken.flonum#fp= chicken.flonum#fp/? chicken.flonum#fpgcd chicken.flonum#fp/ chicken.flonum#fp* chicken.flonum#fp- chicken.flonum#fp+ chicken.flonum#flonum-minimum-decimal-exponent chicken.flonum#flonum-maximum-decimal-exponent chicken.flonum#flonum-minimum-exponent chicken.flonum#flonum-maximum-exponent chicken.flonum#flonum-decimal-precision chicken.flonum#flonum-precision chicken.flonum#flonum-epsilon chicken.flonum#flonum-radix chicken.flonum#minimum-flonum chicken.flonum#maximum-flonum chicken.base#chop ##sys#fragments->string scheme#string scheme#string-append ##sys#string-append scheme#string-ci>=? scheme#string-ci<=? scheme#string-ci>? scheme#string-ci<? scheme#string>=? scheme#string<=? scheme#string>? scheme#string<? ##sys#substring scheme#substring scheme#string-copy scheme#string-fill! ##sys#reverse-list->string ##sys#list->string scheme#list->string ##sys#string->list scheme#string->list scheme#make-string ##sys#make-string ##sys#fast-reverse scheme#append ##sys#error-bad-base ##sys#error-bad-real ##sys#error-bad-inexact ##sys#error-bad-exact-uinteger ##sys#error-bad-exact-integer ##sys#error-bad-integer ##sys#error-bad-number ##sys#error-not-a-proper-list ##sys#set-dlopen-flags! ##sys#dload scheme#force ##sys#check-closure ##sys#check-special ##sys#check-range ##sys#check-real ##sys#check-exact-uinteger ##sys#check-exact-integer ##sys#check-integer ##sys#check-locative ##sys#check-boolean ##sys#check-char ##sys#check-vector ##sys#check-symbol ##sys#check-inexact ##sys#check-exact ##sys#check-fixnum ##sys#check-number ##sys#check-string ##sys#check-list ##sys#check-pair ##sys#check-byte-vector ##sys#check-blob ##sys#check-structure chicken.time#cpu-time chicken.time#current-seconds chicken.time#current-milliseconds ##sys#block-set! ##sys#copy-closure ##sys#apply-values ##sys#block-ref ##sys#become! ##sys#halt ##sys#undefined-value ##sys#void ##sys#setbyte ##sys#byte ##sys#message ##sys#immediate? ##sys#stop-timer ##sys#start-timer ##sys#memory-info ##sys#symbol-table-info ##sys#ensure-heap-reserve ##sys#make-structure ##sys#allocate-vector ##sys#setislot ##sys#setslot ##sys#gc ##sys#notice ##sys#warn ##sys#error chicken.base#enable-warnings chicken.base#notice chicken.base#warning ##sys#notices-enabled ##sys#warnings-enabled ##sys#debug-mode? chicken.fixnum#fx/? chicken.fixnum#fx*? chicken.fixnum#fx-? chicken.fixnum#fx+? chicken.fixnum#fxrem chicken.fixnum#fxmod chicken.fixnum#fxgcd chicken.fixnum#fx/ chicken.fixnum#fxlen chicken.fixnum#fxeven? chicken.fixnum#fxodd? chicken.fixnum#fxshr chicken.fixnum#fxshl chicken.fixnum#fxnot chicken.fixnum#fxxor chicken.fixnum#fxior chicken.fixnum#fxand chicken.fixnum#fxneg chicken.fixnum#fxmax chicken.fixnum#fxmin chicken.fixnum#fx<= chicken.fixnum#fx>= chicken.fixnum#fx< chicken.fixnum#fx> chicken.fixnum#fx= chicken.fixnum#fx* chicken.fixnum#fx- chicken.fixnum#fx+ chicken.fixnum#fixnum-precision chicken.fixnum#fixnum-bits chicken.fixnum#most-negative-fixnum chicken.fixnum#most-positive-fixnum maximal-string-length chicken.base#rassoc chicken.base#alist-ref chicken.base#alist-update chicken.base#alist-update! chicken.base#compress chicken.base#join chicken.base#flatten chicken.base#butlast chicken.base#intersperse chicken.base#tail? chicken.base#atom? chicken.base#each chicken.base#list-of? chicken.base#o chicken.base#compose chicken.base#complement chicken.base#flip chicken.base#constantly chicken.base#disjoin chicken.base#conjoin chicken.base#identity chicken.base#symbol-escape chicken.base#parentheses-synonyms chicken.base#keyword-style chicken.base#case-sensitive chicken.base#emergency-exit chicken.base#exit chicken.base#on-exit chicken.base#cleanup-tasks chicken.base#exit-handler chicken.base#implicit-exit-handler chicken.base#foldr chicken.base#foldl chicken.base#make-promise ##sys#make-promise chicken.base#promise? chicken.base#flush-output chicken.base#open-output-string chicken.base#open-input-string chicken.base#get-output-string chicken.base#output-port-open? chicken.base#input-port-open? chicken.base#port-closed? chicken.base#port? chicken.base#vector-resize chicken.base#subvector chicken.base#vector-copy! chicken.base#setter chicken.base#procedure-information chicken.base#make-parameter chicken.base#getter-with-setter chicken.base#char-name chicken.base#call/cc chicken.base#sleep chicken.base#void chicken.base#error chicken.base#current-error-port chicken.base#sub1 chicken.base#add1 chicken.base#print* chicken.base#print chicken.base#print-call-chain chicken.base#get-call-chain chicken.base#signum chicken.base#nan? chicken.base#infinite? chicken.base#finite? chicken.base#quotient&modulo chicken.base#quotient&remainder chicken.base#exact-integer? chicken.base#cplxnum? chicken.base#ratnum? chicken.base#bignum? chicken.base#flonum? chicken.base#fixnum? scheme#dynamic-wind scheme#map scheme#for-each scheme#load scheme#null-environment scheme#scheme-report-environment scheme#interaction-environment scheme#eval scheme#display scheme#write scheme#newline scheme#write-char scheme#read scheme#peek-char scheme#read-char scheme#char-ready? scheme#eof-object? scheme#with-output-to-file scheme#with-input-from-file scheme#call-with-output-file scheme#call-with-input-file scheme#close-output-port scheme#close-input-port scheme#open-output-file scheme#open-input-file scheme#current-output-port scheme#current-input-port scheme#output-port? scheme#input-port? scheme#call-with-current-continuation scheme#call-with-values scheme#values scheme#apply scheme#procedure? scheme#char-alphabetic? scheme#char-whitespace? scheme#char-numeric? scheme#char-lower-case? scheme#char-upper-case? scheme#char-ci<=? scheme#char-ci>=? scheme#char-ci<? scheme#char-ci>? scheme#char-ci=? scheme#char-downcase scheme#char-upcase scheme#char<=? scheme#char>=? scheme#char<? scheme#char>? scheme#char=? scheme#integer->char scheme#char->integer scheme#char? scheme#vector-fill! scheme#vector scheme#vector->list scheme#list->vector scheme#make-vector scheme#vector-set! scheme#vector-ref scheme#vector-length scheme#vector? scheme#symbol? scheme#number->string scheme#negative? scheme#positive? scheme#zero? scheme#inexact? scheme#exact? scheme#integer? scheme#rational? scheme#real? scheme#complex? scheme#number? scheme#<= scheme#>= scheme#< scheme#> scheme#= scheme#odd? scheme#even? scheme#modulo scheme#remainder scheme#quotient scheme#* scheme#- scheme#+ scheme#abs scheme#exact->inexact scheme#string-fill scheme#string-ci=? scheme#string=? scheme#string-set! scheme#string-ref scheme#string-length scheme#string? scheme#list? scheme#assoc scheme#assv scheme#assq scheme#member scheme#memv scheme#memq scheme#reverse scheme#list-ref scheme#list-tail scheme#length scheme#list scheme#null? scheme#cdddar scheme#cddadr scheme#cddaar scheme#cdaddr scheme#cdadar scheme#cdaadr scheme#cdaaar scheme#caddar scheme#cadadr scheme#cadaar scheme#caaddr scheme#caadar scheme#caaadr scheme#caaaar scheme#cdddr scheme#cddar scheme#cdadr scheme#cdaar scheme#cadar scheme#caadr scheme#caaar scheme#cddr scheme#cdar scheme#caar scheme#cddddr scheme#cadddr scheme#caddr scheme#cadr scheme#set-cdr! scheme#set-car! scheme#cdr scheme#car scheme#cons scheme#pair? scheme#equal? scheme#eqv? scheme#eq? scheme#boolean? scheme#not) 
o|inlining procedure: k8866 
o|inlining procedure: k8866 
o|removed side-effect free assignment to unused variable: scheme#string-fill 
o|inlining procedure: k9103 
o|inlining procedure: k9103 
o|inlining procedure: k9109 
o|inlining procedure: k9109 
o|inlining procedure: k9200 
o|inlining procedure: k9200 
o|substituted constant variable: a9248 
o|substituted constant variable: a9253 
o|inlining procedure: k9258 
o|inlining procedure: k9258 
o|inlining procedure: k9306 
o|inlining procedure: k9306 
o|inlining procedure: k9330 
o|inlining procedure: k9330 
o|inlining procedure: k9367 
o|inlining procedure: k9367 
o|inlining procedure: k9456 
o|inlining procedure: k9456 
o|inlining procedure: k9486 
o|inlining procedure: k9486 
o|inlining procedure: k9515 
o|inlining procedure: k9515 
o|inlining procedure: k9559 
o|inlining procedure: k9559 
o|inlining procedure: k9580 
o|propagated global variable: r958132399 scheme#values 
o|inlining procedure: k9580 
o|inlining procedure: k9592 
o|propagated global variable: r959332401 chicken.base#identity 
o|inlining procedure: k9592 
o|inlining procedure: k9610 
o|inlining procedure: k9610 
o|inlining procedure: k9639 
o|inlining procedure: k9639 
o|inlining procedure: k9651 
o|inlining procedure: k9651 
o|inlining procedure: k9675 
o|inlining procedure: k9675 
o|inlining procedure: k9709 
o|inlining procedure: k9709 
o|inlining procedure: k9737 
o|inlining procedure: k9737 
o|inlining procedure: k9746 
o|inlining procedure: k9746 
o|inlining procedure: k9768 
o|inlining procedure: k9768 
o|inlining procedure: k9807 
o|inlining procedure: k9807 
o|inlining procedure: k9833 
o|inlining procedure: k9833 
o|inlining procedure: k9880 
o|inlining procedure: k9880 
o|inlining procedure: k9901 
o|inlining procedure: k9901 
o|inlining procedure: k9934 
o|inlining procedure: k9934 
o|inlining procedure: k9949 
o|inlining procedure: k9949 
o|inlining procedure: k10014 
o|inlining procedure: k10014 
o|inlining procedure: k10030 
o|propagated global variable: r1003132433 scheme#assv 
o|inlining procedure: k10030 
o|inlining procedure: k10050 
o|inlining procedure: k10050 
o|inlining procedure: k10100 
o|inlining procedure: k10100 
o|inlining procedure: k10125 
o|inlining procedure: k10125 
o|inlining procedure: k10213 
o|inlining procedure: k10213 
o|inlining procedure: k10222 
o|propagated global variable: r1022332443 scheme#assv 
o|inlining procedure: k10222 
o|inlining procedure: k10242 
o|inlining procedure: k10242 
o|inlining procedure: k10260 
o|inlining procedure: k10260 
o|inlining procedure: k10319 
o|inlining procedure: k10319 
o|inlining procedure: k10452 
o|inlining procedure: k10452 
o|inlining procedure: k10461 
o|inlining procedure: k10461 
o|inlining procedure: k10473 
o|inlining procedure: k10473 
o|propagated global variable: r1047432456 ##sys#warnings-enabled 
o|inlining procedure: k10577 
o|inlining procedure: k10577 
o|inlining procedure: k10610 
o|inlining procedure: k10610 
o|inlining procedure: k10621 
o|inlining procedure: k10621 
o|inlining procedure: k10633 
o|inlining procedure: k10633 
o|inlining procedure: k10644 
o|inlining procedure: k10644 
o|inlining procedure: k10655 
o|inlining procedure: k10655 
o|inlining procedure: k10666 
o|inlining procedure: k10666 
o|inlining procedure: k10677 
o|inlining procedure: k10677 
o|inlining procedure: k10688 
o|inlining procedure: k10688 
o|inlining procedure: k10699 
o|inlining procedure: k10699 
o|inlining procedure: k10710 
o|inlining procedure: k10710 
o|inlining procedure: k10721 
o|inlining procedure: k10721 
o|inlining procedure: k10732 
o|inlining procedure: k10732 
o|inlining procedure: k10743 
o|inlining procedure: k10743 
o|inlining procedure: k10754 
o|inlining procedure: k10754 
o|inlining procedure: k10765 
o|inlining procedure: k10765 
o|inlining procedure: k10772 
o|inlining procedure: k10772 
o|inlining procedure: k10782 
o|inlining procedure: k10782 
o|inlining procedure: k10789 
o|inlining procedure: k10789 
o|inlining procedure: k10799 
o|inlining procedure: k10812 
o|inlining procedure: k10812 
o|inlining procedure: k10799 
o|inlining procedure: k10823 
o|inlining procedure: k10823 
o|inlining procedure: k10830 
o|inlining procedure: k10830 
o|inlining procedure: k10843 
o|inlining procedure: k10843 
o|inlining procedure: k10854 
o|inlining procedure: k10854 
o|inlining procedure: k10870 
o|inlining procedure: k10870 
o|inlining procedure: k10880 
o|inlining procedure: k10880 
o|inlining procedure: k10890 
o|inlining procedure: k10890 
o|inlining procedure: k10901 
o|inlining procedure: k10916 
o|inlining procedure: k10916 
o|inlining procedure: k10934 
o|inlining procedure: k10955 
o|inlining procedure: k10955 
o|inlining procedure: k10983 
o|inlining procedure: k10983 
o|inlining procedure: k10934 
o|inlining procedure: k10901 
o|inlining procedure: k11157 
o|inlining procedure: k11157 
o|inlining procedure: k11169 
o|inlining procedure: k11169 
o|inlining procedure: k11188 
o|inlining procedure: k11188 
o|inlining procedure: k11242 
o|inlining procedure: k11242 
o|contracted procedure: "(library.scm:1304) g14941495" 
o|contracted procedure: "(library.scm:1311) g15001501" 
o|inlining procedure: k11338 
o|inlining procedure: k11338 
o|inlining procedure: k11360 
o|inlining procedure: k11360 
o|inlining procedure: k11381 
o|inlining procedure: k11381 
o|inlining procedure: k11412 
o|inlining procedure: k11432 
o|inlining procedure: k11432 
o|inlining procedure: k11412 
o|inlining procedure: k11498 
o|inlining procedure: k11498 
o|inlining procedure: k11514 
o|inlining procedure: k11514 
o|inlining procedure: k11575 
o|inlining procedure: k11575 
o|inlining procedure: k11599 
o|inlining procedure: k11599 
o|inlining procedure: k11620 
o|inlining procedure: k11620 
o|inlining procedure: k11641 
o|inlining procedure: k11641 
o|inlining procedure: k11685 
o|inlining procedure: k11685 
o|inlining procedure: k11709 
o|inlining procedure: k11709 
o|inlining procedure: k11730 
o|inlining procedure: k11730 
o|inlining procedure: k11751 
o|inlining procedure: k11751 
o|inlining procedure: k11788 
o|inlining procedure: k11788 
o|inlining procedure: k11836 
o|inlining procedure: k11836 
o|inlining procedure: k11877 
o|inlining procedure: k11877 
o|inlining procedure: k11898 
o|inlining procedure: k11898 
o|contracted procedure: "(library.scm:1565) g17481749" 
o|inlining procedure: k11959 
o|inlining procedure: k11959 
o|contracted procedure: "(library.scm:1569) g17591760" 
o|inlining procedure: k11983 
o|inlining procedure: k11983 
o|contracted procedure: "(library.scm:1573) g17701771" 
o|inlining procedure: k12007 
o|inlining procedure: k12007 
o|contracted procedure: "(library.scm:1577) g17811782" 
o|inlining procedure: k12031 
o|inlining procedure: k12031 
o|contracted procedure: "(library.scm:1581) g17921793" 
o|inlining procedure: k12055 
o|inlining procedure: k12055 
o|contracted procedure: "(library.scm:1585) g18031804" 
o|inlining procedure: k12079 
o|inlining procedure: k12079 
o|contracted procedure: "(library.scm:1589) g18141815" 
o|inlining procedure: k12103 
o|inlining procedure: k12103 
o|contracted procedure: "(library.scm:1593) g18251826" 
o|inlining procedure: k12127 
o|inlining procedure: k12127 
o|contracted procedure: "(library.scm:1597) g18361837" 
o|inlining procedure: k12151 
o|inlining procedure: k12151 
o|contracted procedure: "(library.scm:1601) g18471848" 
o|inlining procedure: k12175 
o|inlining procedure: k12175 
o|contracted procedure: "(library.scm:1605) g18581859" 
o|inlining procedure: k12199 
o|inlining procedure: k12199 
o|contracted procedure: "(library.scm:1609) g18681869" 
o|inlining procedure: k12223 
o|inlining procedure: k12223 
o|contracted procedure: "(library.scm:1613) g18771878" 
o|inlining procedure: k12241 
o|inlining procedure: k12241 
o|contracted procedure: "(library.scm:1617) g18881889" 
o|inlining procedure: k12265 
o|inlining procedure: k12265 
o|contracted procedure: "(library.scm:1621) g18981899" 
o|inlining procedure: k12289 
o|inlining procedure: k12289 
o|contracted procedure: "(library.scm:1625) g19061907" 
o|inlining procedure: k12307 
o|inlining procedure: k12307 
o|contracted procedure: "(library.scm:1629) g19141915" 
o|inlining procedure: k12325 
o|inlining procedure: k12325 
o|contracted procedure: "(library.scm:1633) g19221923" 
o|inlining procedure: k12343 
o|inlining procedure: k12343 
o|contracted procedure: "(library.scm:1637) g19301931" 
o|inlining procedure: k12361 
o|inlining procedure: k12361 
o|contracted procedure: "(library.scm:1641) g19381939" 
o|inlining procedure: k12379 
o|inlining procedure: k12379 
o|contracted procedure: "(library.scm:1645) g19461947" 
o|inlining procedure: k12397 
o|inlining procedure: k12397 
o|contracted procedure: "(library.scm:1649) g19541955" 
o|inlining procedure: k12415 
o|inlining procedure: k12415 
o|contracted procedure: "(library.scm:1653) g19621963" 
o|inlining procedure: k12433 
o|inlining procedure: k12433 
o|contracted procedure: "(library.scm:1657) g19701971" 
o|inlining procedure: k12451 
o|inlining procedure: k12451 
o|contracted procedure: "(library.scm:1661) g19791980" 
o|inlining procedure: k12469 
o|inlining procedure: k12469 
o|contracted procedure: "(library.scm:1665) g19891990" 
o|inlining procedure: k12493 
o|inlining procedure: k12493 
o|contracted procedure: "(library.scm:1669) g19981999" 
o|inlining procedure: k12511 
o|inlining procedure: k12511 
o|contracted procedure: "(library.scm:1673) g20082009" 
o|inlining procedure: k12535 
o|inlining procedure: k12535 
o|contracted procedure: "(library.scm:1677) g20162017" 
o|inlining procedure: k12553 
o|inlining procedure: k12553 
o|contracted procedure: "(library.scm:1681) g20242025" 
o|inlining procedure: k12571 
o|inlining procedure: k12571 
o|contracted procedure: "(library.scm:1685) g20322033" 
o|inlining procedure: k12589 
o|inlining procedure: k12589 
o|inlining procedure: k12608 
o|inlining procedure: k12608 
o|inlining procedure: k12627 
o|inlining procedure: k12627 
o|inlining procedure: k12654 
o|inlining procedure: k12654 
o|inlining procedure: k12696 
o|contracted procedure: "(library.scm:1734) g21232124" 
o|inlining procedure: k12696 
o|inlining procedure: k12719 
o|contracted procedure: "(library.scm:1740) g21312132" 
o|inlining procedure: k12719 
o|inlining procedure: k12733 
o|inlining procedure: k12733 
o|inlining procedure: k12761 
o|contracted procedure: "(library.scm:1756) g21462147" 
o|contracted procedure: "(library.scm:1755) g21432144" 
o|inlining procedure: k12761 
o|inlining procedure: k12800 
o|inlining procedure: k12800 
o|contracted procedure: "(library.scm:1770) g21562157" 
o|inlining procedure: k12817 
o|contracted procedure: "(library.scm:1772) g21592160" 
o|contracted procedure: "(library.scm:1772) g21662167" 
o|contracted procedure: "(library.scm:1772) g21632164" 
o|inlining procedure: k12817 
o|contracted procedure: "(library.scm:1773) g21692170" 
o|inlining procedure: k12846 
o|inlining procedure: k12846 
o|inlining procedure: k12853 
o|inlining procedure: k12853 
o|inlining procedure: k12875 
o|contracted procedure: "(library.scm:1782) g21822183" 
o|inlining procedure: k12875 
o|inlining procedure: k12892 
o|inlining procedure: k12892 
o|inlining procedure: k12899 
o|inlining procedure: k12899 
o|inlining procedure: k12921 
o|contracted procedure: "(library.scm:1794) g21942195" 
o|inlining procedure: k12921 
o|inlining procedure: k12938 
o|contracted procedure: "(library.scm:1801) g22032204" 
o|inlining procedure: k12938 
o|inlining procedure: k13058 
o|inlining procedure: k13058 
o|inlining procedure: k13067 
o|contracted procedure: "(library.scm:1834) g22352236" 
o|inlining procedure: k13067 
o|contracted procedure: "(library.scm:1835) flonum->ratnum" 
o|inlining procedure: k13004 
o|contracted procedure: "(library.scm:1819) g22202221" 
o|inlining procedure: k13004 
o|contracted procedure: "(library.scm:1816) float-fraction-length2208" 
o|inlining procedure: k12979 
o|inlining procedure: k12979 
o|inlining procedure: k13028 
o|inlining procedure: k13028 
o|substituted constant variable: a13054 
o|inlining procedure: k13084 
o|contracted procedure: "(library.scm:1839) g22412242" 
o|contracted procedure: "(library.scm:1838) g22382239" 
o|inlining procedure: k13084 
o|inlining procedure: k13136 
o|inlining procedure: k13136 
o|inlining procedure: k13159 
o|inlining procedure: k13159 
o|inlining procedure: k13190 
o|contracted procedure: "(library.scm:1891) g22982299" 
o|contracted procedure: "(library.scm:1891) g22942295" 
o|contracted procedure: "(library.scm:1890) g22902291" 
o|inlining procedure: k13190 
o|inlining procedure: k13266 
o|inlining procedure: k13266 
o|inlining procedure: k13289 
o|contracted procedure: "(library.scm:1911) g23372338" 
o|contracted procedure: "(library.scm:1910) g23322333" 
o|contracted procedure: "(library.scm:1909) g23282329" 
o|contracted procedure: "(library.scm:1909) g23242325" 
o|contracted procedure: "(library.scm:1908) g23202321" 
o|contracted procedure: "(library.scm:1908) g23162317" 
o|inlining procedure: k13289 
o|contracted procedure: "(library.scm:1920) g23482349" 
o|contracted procedure: "(library.scm:1917) g23422343" 
o|inlining procedure: k13370 
o|contracted procedure: "(library.scm:1930) g23572358" 
o|contracted procedure: "(library.scm:1928) g23522353" 
o|inlining procedure: k13370 
o|inlining procedure: k13435 
o|inlining procedure: k13435 
o|inlining procedure: k13445 
o|substituted constant variable: a13467 
o|substituted constant variable: a13469 
o|contracted procedure: "(library.scm:1944) g23722373" 
o|contracted procedure: "(library.scm:1943) g23682369" 
o|inlining procedure: k13445 
o|inlining procedure: k13476 
o|inlining procedure: k13476 
o|inlining procedure: k13486 
o|substituted constant variable: a13508 
o|substituted constant variable: a13510 
o|contracted procedure: "(library.scm:1954) g23852386" 
o|contracted procedure: "(library.scm:1953) g23812382" 
o|inlining procedure: k13486 
o|inlining procedure: k13517 
o|inlining procedure: k13517 
o|inlining procedure: k13527 
o|contracted procedure: "(library.scm:1964) g23962397" 
o|contracted procedure: "(library.scm:1963) g23932394" 
o|inlining procedure: k13527 
o|inlining procedure: k13551 
o|inlining procedure: k13551 
o|inlining procedure: k13558 
o|substituted constant variable: a13581 
o|contracted procedure: "(library.scm:1973) g24052406" 
o|inlining procedure: k13558 
o|inlining procedure: k13600 
o|inlining procedure: k13600 
o|substituted constant variable: a13649 
o|inlining procedure: k13662 
o|inlining procedure: k13662 
o|inlining procedure: k13679 
o|inlining procedure: k13679 
o|inlining procedure: k13730 
o|inlining procedure: k13730 
o|contracted procedure: "(library.scm:2000) find-ratio" 
o|inlining procedure: k13762 
o|inlining procedure: k13762 
o|inlining procedure: k13805 
o|inlining procedure: k13805 
o|inlining procedure: k13841 
o|contracted procedure: "(library.scm:2033) g24682469" 
o|contracted procedure: "(library.scm:2032) g24642465" 
o|inlining procedure: k13841 
o|inlining procedure: k13880 
o|inlining procedure: k13880 
o|inlining procedure: k13926 
o|inlining procedure: k13926 
o|substituted constant variable: a13961 
o|inlining procedure: k13955 
o|inlining procedure: k13955 
o|substituted constant variable: a13991 
o|inlining procedure: k13985 
o|inlining procedure: k13985 
o|inlining procedure: k14015 
o|inlining procedure: k14015 
o|inlining procedure: k14040 
o|inlining procedure: k14040 
o|substituted constant variable: a14052 
o|substituted constant variable: a14059 
o|substituted constant variable: a14066 
o|inlining procedure: k14070 
o|inlining procedure: k14070 
o|inlining procedure: k14079 
o|substituted constant variable: a14086 
o|inlining procedure: k14079 
o|inlining procedure: k14093 
o|inlining procedure: k14093 
o|inlining procedure: k14110 
o|inlining procedure: k14110 
o|inlining procedure: k14119 
o|substituted constant variable: a14126 
o|inlining procedure: k14119 
o|inlining procedure: k14136 
o|substituted constant variable: a14148 
o|substituted constant variable: a14163 
o|substituted constant variable: a14166 
o|inlining procedure: k14136 
o|inlining procedure: k14188 
o|inlining procedure: k14206 
o|inlining procedure: k14206 
o|inlining procedure: k14224 
o|inlining procedure: k14224 
o|substituted constant variable: a14237 
o|substituted constant variable: a14239 
o|substituted constant variable: a14241 
o|substituted constant variable: a14246 
o|substituted constant variable: a14248 
o|inlining procedure: k14188 
o|substituted constant variable: a14274 
o|substituted constant variable: a14276 
o|substituted constant variable: a14302 
o|inlining procedure: k14318 
o|substituted constant variable: a14327 
o|substituted constant variable: a14333 
o|substituted constant variable: a14334 
o|inlining procedure: k14318 
o|inlining procedure: k14362 
o|inlining procedure: k14362 
o|inlining procedure: k14409 
o|inlining procedure: k14425 
o|inlining procedure: k14425 
o|inlining procedure: k14409 
o|contracted procedure: "(library.scm:2174) g26102611" 
o|inlining procedure: k14459 
o|contracted procedure: "(library.scm:2177) g26152616" 
o|inlining procedure: k14483 
o|inlining procedure: k14483 
o|inlining procedure: k14459 
o|inlining procedure: k14531 
o|inlining procedure: k14531 
o|substituted constant variable: a14554 
o|substituted constant variable: a14558 
o|substituted constant variable: a14561 
o|inlining procedure: k14580 
o|inlining procedure: k14580 
o|inlining procedure: k14625 
o|inlining procedure: k14625 
o|inlining procedure: k14639 
o|contracted procedure: "(library.scm:2219) g26482649" 
o|inlining procedure: k14639 
o|inlining procedure: k14662 
o|inlining procedure: k14662 
o|contracted procedure: "(library.scm:2224) square2646" 
o|substituted constant variable: a14683 
o|substituted constant variable: a14692 
o|inlining procedure: k14711 
o|inlining procedure: k14711 
o|inlining procedure: k14729 
o|inlining procedure: k14729 
o|inlining procedure: k14747 
o|contracted procedure: "(library.scm:2244) g26762677" 
o|contracted procedure: "(library.scm:2243) g26732674" 
o|inlining procedure: k14747 
o|inlining procedure: k14781 
o|contracted procedure: "(library.scm:2253) g26832684" 
o|inlining procedure: k14816 
o|contracted procedure: "(library.scm:2255) g26882689" 
o|inlining procedure: k14816 
o|inlining procedure: k14781 
o|inlining procedure: k14850 
o|inlining procedure: k14850 
o|inlining procedure: k14868 
o|inlining procedure: k14868 
o|inlining procedure: k14887 
o|inlining procedure: k14887 
o|inlining procedure: k14924 
o|inlining procedure: k14924 
o|inlining procedure: k14956 
o|contracted procedure: "(library.scm:2281) g27132714" 
o|inlining procedure: k14969 
o|contracted procedure: "(library.scm:2284) g27182719" 
o|inlining procedure: k14969 
o|inlining procedure: k14956 
o|inlining procedure: k14997 
o|inlining procedure: k14997 
o|contracted procedure: "(library.scm:2291) g27272728" 
o|inlining procedure: k15032 
o|inlining procedure: k15032 
o|inlining procedure: k15052 
o|inlining procedure: k15052 
o|inlining procedure: k15094 
o|inlining procedure: k15094 
o|inlining procedure: k15114 
o|inlining procedure: k15114 
o|substituted constant variable: a15184 
o|inlining procedure: k15202 
o|contracted procedure: "(library.scm:2347) g27932794" 
o|contracted procedure: "(library.scm:2345) g27902791" 
o|inlining procedure: k15202 
o|inlining procedure: k15266 
o|inlining procedure: k15266 
o|contracted procedure: "(library.scm:2351) g28012802" 
o|contracted procedure: "(library.scm:2350) g27982799" 
o|inlining procedure: k15374 
o|inlining procedure: k15374 
o|substituted constant variable: a15400 
o|contracted procedure: "(library.scm:2389) g28312832" 
o|inlining procedure: k15410 
o|inlining procedure: k15410 
o|inlining procedure: k15420 
o|substituted constant variable: a15433 
o|inlining procedure: k15429 
o|inlining procedure: k15440 
o|inlining procedure: k15440 
o|substituted constant variable: a15448 
o|inlining procedure: k15429 
o|inlining procedure: k15457 
o|inlining procedure: k15457 
o|inlining procedure: k15463 
o|contracted procedure: "(library.scm:2410) mantexp->dbl" 
o|inlining procedure: k15279 
o|inlining procedure: k15279 
o|contracted procedure: "(library.scm:2381) ldexp" 
o|substituted constant variable: a15334 
o|propagated global variable: a15337 chicken.flonum#flonum-precision 
o|inlining procedure: k15463 
o|inlining procedure: k15420 
o|inlining procedure: k15500 
o|inlining procedure: k15500 
o|inlining procedure: k15526 
o|inlining procedure: k15526 
o|inlining procedure: k15553 
o|inlining procedure: k15553 
o|inlining procedure: k15581 
o|inlining procedure: k15581 
o|substituted constant variable: a15588 
o|substituted constant variable: a15592 
o|substituted constant variable: a15599 
o|contracted procedure: "(library.scm:2432) g28692870" 
o|inlining procedure: k15608 
o|inlining procedure: k15608 
o|inlining procedure: k15641 
o|inlining procedure: k15641 
o|contracted procedure: "(library.scm:2447) g28922893" 
o|inlining procedure: k15661 
o|inlining procedure: k15661 
o|inlining procedure: k15683 
o|inlining procedure: k15683 
o|inlining procedure: k15694 
o|inlining procedure: k15694 
o|inlining procedure: k15708 
o|inlining procedure: k15731 
o|inlining procedure: k15731 
o|inlining procedure: k15757 
o|inlining procedure: k15757 
o|substituted constant variable: a15764 
o|substituted constant variable: a15766 
o|contracted procedure: "(library.scm:2469) g29282929" 
o|inlining procedure: k15708 
o|inlining procedure: k15769 
o|inlining procedure: k15790 
o|inlining procedure: k15808 
o|inlining procedure: k15820 
o|inlining procedure: k15836 
o|inlining procedure: k15836 
o|inlining procedure: k15820 
o|inlining procedure: k15808 
o|inlining procedure: k15790 
o|inlining procedure: k15880 
o|inlining procedure: k15880 
o|inlining procedure: k15894 
o|inlining procedure: k15894 
o|inlining procedure: k15906 
o|inlining procedure: k15906 
o|inlining procedure: k15918 
o|inlining procedure: k15918 
o|inlining procedure: k15930 
o|inlining procedure: k15930 
o|substituted constant variable: a15943 
o|substituted constant variable: a15945 
o|substituted constant variable: a15947 
o|substituted constant variable: a15949 
o|substituted constant variable: a15951 
o|substituted constant variable: a15953 
o|substituted constant variable: a15955 
o|substituted constant variable: a15957 
o|substituted constant variable: a15959 
o|substituted constant variable: a15961 
o|contracted procedure: "(library.scm:2485) g29572958" 
o|inlining procedure: k15970 
o|inlining procedure: k15970 
o|inlining procedure: k15769 
o|inlining procedure: k15981 
o|inlining procedure: k15981 
o|inlining procedure: k16006 
o|inlining procedure: k16021 
o|inlining procedure: k16021 
o|inlining procedure: k16006 
o|inlining procedure: k16061 
o|inlining procedure: k16073 
o|inlining procedure: k16083 
o|inlining procedure: k16083 
o|inlining procedure: k16073 
o|inlining procedure: k16061 
o|inlining procedure: k16103 
o|inlining procedure: k16119 
o|inlining procedure: k16129 
o|inlining procedure: k16147 
o|inlining procedure: k16167 
o|inlining procedure: "(library.scm:2538) make-nan2844" 
o|inlining procedure: k16167 
o|substituted constant variable: a16194 
o|substituted constant variable: a16196 
o|substituted constant variable: a16198 
o|inlining procedure: k16147 
o|inlining procedure: k16129 
o|inlining procedure: k16119 
o|inlining procedure: k16103 
o|substituted constant variable: a16216 
o|inlining procedure: k16220 
o|inlining procedure: k16220 
o|inlining procedure: k16232 
o|inlining procedure: k16232 
o|inlining procedure: k16244 
o|inlining procedure: k16244 
o|inlining procedure: k16256 
o|inlining procedure: k16256 
o|substituted constant variable: a16269 
o|substituted constant variable: a16271 
o|substituted constant variable: a16273 
o|substituted constant variable: a16275 
o|substituted constant variable: a16277 
o|substituted constant variable: a16279 
o|substituted constant variable: a16281 
o|substituted constant variable: a16283 
o|substituted constant variable: a16285 
o|substituted constant variable: a16287 
o|substituted constant variable: a16289 
o|contracted procedure: "(library.scm:2510) g30313032" 
o|inlining procedure: k16303 
o|contracted procedure: "(library.scm:2505) g30183019" 
o|inlining procedure: k16303 
o|inlining procedure: k16324 
o|inlining procedure: k16352 
o|inlining procedure: k16374 
o|inlining procedure: k16384 
o|inlining procedure: k16384 
o|inlining procedure: k16374 
o|inlining procedure: k16407 
o|inlining procedure: k16407 
o|inlining procedure: k16352 
o|inlining procedure: k16457 
o|inlining procedure: k16457 
o|inlining procedure: k16467 
o|inlining procedure: k16490 
o|inlining procedure: k16490 
o|inlining procedure: "(library.scm:2567) make-nan2844" 
o|inlining procedure: k16467 
o|substituted constant variable: a16526 
o|substituted constant variable: a16528 
o|substituted constant variable: a16533 
o|substituted constant variable: a16535 
o|contracted procedure: "(library.scm:2548) g31123113" 
o|inlining procedure: k16542 
o|inlining procedure: k16542 
o|substituted constant variable: a16549 
o|substituted constant variable: a16551 
o|contracted procedure: "(library.scm:2544) g31003101" 
o|inlining procedure: k16324 
o|inlining procedure: k16558 
o|inlining procedure: k16570 
o|inlining procedure: k16570 
o|inlining procedure: k16558 
o|inlining procedure: k16577 
o|inlining procedure: k16577 
o|inlining procedure: k16593 
o|contracted procedure: "(library.scm:2577) g31663167" 
o|contracted procedure: "(library.scm:2576) g31623163" 
o|inlining procedure: k16593 
o|inlining procedure: k16634 
o|inlining procedure: k16653 
o|inlining procedure: k16668 
o|inlining procedure: k16668 
o|contracted procedure: "(library.scm:2585) g31903191" 
o|contracted procedure: "(library.scm:2584) g31863187" 
o|inlining procedure: k16653 
o|inlining procedure: k16634 
o|inlining procedure: k16715 
o|inlining procedure: k16715 
o|substituted constant variable: a16742 
o|substituted constant variable: a16747 
o|substituted constant variable: a16749 
o|substituted constant variable: a16754 
o|substituted constant variable: a16756 
o|substituted constant variable: a16758 
o|contracted procedure: "(library.scm:2573) g31503151" 
o|folded constant expression: (scheme#char->integer (quote #\A)) 
o|folded constant expression: (scheme#char->integer (quote #\a)) 
o|folded constant expression: (scheme#char->integer (quote #\0)) 
o|inlining procedure: k16827 
o|inlining procedure: k16847 
o|inlining procedure: k16847 
o|inlining procedure: k16860 
o|inlining procedure: k16860 
o|inlining procedure: k16891 
o|inlining procedure: k16891 
o|inlining procedure: k16904 
o|inlining procedure: k16904 
o|inlining procedure: k16935 
o|inlining procedure: k16935 
o|inlining procedure: k16948 
o|inlining procedure: k16948 
o|substituted constant variable: a16974 
o|substituted constant variable: a16976 
o|substituted constant variable: a16981 
o|substituted constant variable: a16983 
o|substituted constant variable: a16988 
o|substituted constant variable: a16990 
o|substituted constant variable: a16995 
o|substituted constant variable: a16997 
o|substituted constant variable: a17002 
o|substituted constant variable: a17004 
o|substituted constant variable: a17009 
o|substituted constant variable: a17011 
o|contracted procedure: "(library.scm:2609) g32373238" 
o|inlining procedure: k16827 
o|inlining procedure: k17020 
o|inlining procedure: k17020 
o|contracted procedure: "(library.scm:2608) g32273228" 
o|inlining procedure: k17045 
o|inlining procedure: k17045 
o|inlining procedure: k17118 
o|inlining procedure: k17139 
o|inlining procedure: k17139 
o|inlining procedure: k17118 
o|inlining procedure: k17183 
o|inlining procedure: k17183 
o|inlining procedure: k17192 
o|inlining procedure: k17192 
o|inlining procedure: k17203 
o|inlining procedure: k17203 
o|inlining procedure: k17215 
o|inlining procedure: k17215 
o|inlining procedure: k17224 
o|inlining procedure: k17224 
o|inlining procedure: k17233 
o|inlining procedure: k17242 
o|inlining procedure: k17242 
o|inlining procedure: k17233 
o|inlining procedure: k17294 
o|inlining procedure: k17294 
o|inlining procedure: k17306 
o|inlining procedure: k17306 
o|inlining procedure: k17327 
o|inlining procedure: k17327 
o|inlining procedure: k17345 
o|inlining procedure: k17345 
o|inlining procedure: k17371 
o|inlining procedure: k17371 
o|inlining procedure: k17383 
o|inlining procedure: k17383 
o|inlining procedure: k17407 
o|inlining procedure: k17407 
o|inlining procedure: k17488 
o|inlining procedure: k17488 
o|inlining procedure: "(library.scm:2755) err3380" 
o|inlining procedure: k17494 
o|inlining procedure: k17494 
o|inlining procedure: "(library.scm:2754) err3380" 
o|inlining procedure: k17534 
o|contracted procedure: "(library.scm:2764) g34043413" 
o|inlining procedure: k17534 
o|inlining procedure: k17568 
o|inlining procedure: k17568 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k17598 
o|inlining procedure: k17598 
o|inlining procedure: k17622 
o|inlining procedure: k17622 
o|inlining procedure: k17659 
o|inlining procedure: k17659 
o|inlining procedure: k17707 
o|inlining procedure: k17707 
o|inlining procedure: k17731 
o|inlining procedure: k17731 
o|inlining procedure: k17750 
o|inlining procedure: k17750 
o|inlining procedure: k17771 
o|inlining procedure: k17771 
o|inlining procedure: k17811 
o|inlining procedure: k17811 
o|inlining procedure: k17850 
o|inlining procedure: k17850 
o|inlining procedure: k17896 
o|inlining procedure: k17896 
o|inlining procedure: k17968 
o|inlining procedure: k17968 
o|inlining procedure: k18042 
o|inlining procedure: k18042 
o|inlining procedure: k18144 
o|inlining procedure: k18144 
o|inlining procedure: k18175 
o|inlining procedure: k18175 
o|inlining procedure: k18205 
o|inlining procedure: k18205 
o|inlining procedure: k18275 
o|inlining procedure: k18275 
o|inlining procedure: k18339 
o|inlining procedure: k18339 
o|inlining procedure: k18377 
o|inlining procedure: k18377 
o|inlining procedure: k18413 
o|inlining procedure: k18413 
o|inlining procedure: k18431 
o|inlining procedure: k18431 
o|inlining procedure: k18457 
o|inlining procedure: k18457 
o|inlining procedure: k18475 
o|inlining procedure: k18475 
o|inlining procedure: k18511 
o|inlining procedure: k18526 
o|inlining procedure: k18526 
o|inlining procedure: k18511 
o|inlining procedure: k18559 
o|inlining procedure: k18559 
o|inlining procedure: k18597 
o|inlining procedure: k18615 
o|inlining procedure: k18615 
o|inlining procedure: k18597 
o|inlining procedure: k18659 
o|inlining procedure: k18659 
o|inlining procedure: k18744 
o|inlining procedure: k18744 
o|inlining procedure: k18778 
o|inlining procedure: k18778 
o|inlining procedure: k18833 
o|inlining procedure: k18833 
o|substituted constant variable: a18840 
o|substituted constant variable: a18845 
o|inlining procedure: k18912 
o|inlining procedure: k18912 
o|inlining procedure: k18923 
o|inlining procedure: k18923 
o|inlining procedure: k18934 
o|inlining procedure: k18934 
o|inlining procedure: k18945 
o|inlining procedure: k18945 
o|inlining procedure: k18956 
o|propagated global variable: r1895733115 ##sys#standard-input 
o|removed unused formal parameters: (convert?3939) 
o|inlining procedure: k18971 
o|inlining procedure: k18971 
o|removed unused parameter to known procedure: convert?3939 "(library.scm:3341) body39293938" 
o|inlining procedure: k18956 
o|inlining procedure: k18998 
o|inlining procedure: k18998 
o|removed unused parameter to known procedure: convert?3939 "(library.scm:3341) body39293938" 
o|inlining procedure: k19017 
o|propagated global variable: r1901833121 ##sys#standard-output 
o|removed unused formal parameters: (convert?3964) 
o|inlining procedure: k19032 
o|inlining procedure: k19032 
o|removed unused parameter to known procedure: convert?3964 "(library.scm:3351) body39543963" 
o|inlining procedure: k19017 
o|inlining procedure: k19059 
o|inlining procedure: k19059 
o|removed unused parameter to known procedure: convert?3964 "(library.scm:3351) body39543963" 
o|inlining procedure: k19078 
o|propagated global variable: r1907933127 ##sys#standard-error 
o|removed unused formal parameters: (convert?3989) 
o|inlining procedure: k19093 
o|inlining procedure: k19093 
o|removed unused parameter to known procedure: convert?3989 "(library.scm:3361) body39793988" 
o|inlining procedure: k19078 
o|inlining procedure: k19120 
o|inlining procedure: k19120 
o|removed unused parameter to known procedure: convert?3989 "(library.scm:3361) body39793988" 
o|inlining procedure: k19139 
o|inlining procedure: k19139 
o|inlining procedure: k19177 
o|inlining procedure: k19177 
o|inlining procedure: k19202 
o|inlining procedure: k19202 
o|inlining procedure: k19208 
o|inlining procedure: k19208 
o|inlining procedure: k19231 
o|inlining procedure: k19231 
o|inlining procedure: k19244 
o|inlining procedure: k19244 
o|substituted constant variable: a19255 
o|substituted constant variable: a19257 
o|substituted constant variable: a19259 
o|inlining procedure: k19269 
o|inlining procedure: k19269 
o|inlining procedure: k19444 
o|inlining procedure: k19444 
o|substituted constant variable: a19460 
o|substituted constant variable: a19462 
o|substituted constant variable: a19483 
o|substituted constant variable: a19484 
o|inlining procedure: k19497 
o|inlining procedure: k19497 
o|inlining procedure: k19519 
o|inlining procedure: k19532 
o|inlining procedure: k19532 
o|inlining procedure: k19519 
o|inlining procedure: k19591 
o|inlining procedure: k19591 
o|inlining procedure: k19629 
o|inlining procedure: k19629 
o|inlining procedure: k19663 
o|inlining procedure: k19663 
o|inlining procedure: k19704 
o|inlining procedure: k19704 
o|inlining procedure: k19723 
o|inlining procedure: k19723 
o|inlining procedure: k19851 
o|inlining procedure: k19851 
o|inlining procedure: k19890 
o|inlining procedure: k19929 
o|inlining procedure: k19929 
o|inlining procedure: k19890 
o|inlining procedure: k19957 
o|inlining procedure: k19957 
o|substituted constant variable: a20005 
o|substituted constant variable: a20006 
o|substituted constant variable: a20030 
o|substituted constant variable: a20031 
o|inlining procedure: k20047 
o|inlining procedure: k20047 
o|substituted constant variable: a20105 
o|substituted constant variable: a20106 
o|inlining procedure: k20113 
o|inlining procedure: k20113 
o|substituted constant variable: a20142 
o|substituted constant variable: a20143 
o|substituted constant variable: a20160 
o|substituted constant variable: a20161 
o|inlining procedure: k20216 
o|inlining procedure: k20216 
o|inlining procedure: k20239 
o|inlining procedure: k20239 
o|inlining procedure: k20282 
o|inlining procedure: k20282 
o|inlining procedure: k20301 
o|inlining procedure: k20301 
o|inlining procedure: k20340 
o|inlining procedure: k20340 
o|inlining procedure: k20365 
o|inlining procedure: k20365 
o|inlining procedure: k20384 
o|inlining procedure: k20384 
o|inlining procedure: k20409 
o|inlining procedure: k20409 
o|inlining procedure: k20475 
o|inlining procedure: k20475 
o|inlining procedure: k20510 
o|inlining procedure: k20510 
o|inlining procedure: k20526 
o|inlining procedure: k20526 
o|inlining procedure: k20560 
o|inlining procedure: k20560 
o|inlining procedure: k20594 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|inlining procedure: k20594 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|inlining procedure: k20636 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|inlining procedure: k20636 
o|inlining procedure: k20681 
o|inlining procedure: k20696 
o|inlining procedure: k20696 
o|substituted constant variable: a20734 
o|substituted constant variable: a20739 
o|inlining procedure: k20681 
o|inlining procedure: k20764 
o|inlining procedure: k20764 
o|inlining procedure: k20784 
o|inlining procedure: k20784 
o|inlining procedure: k20819 
o|inlining procedure: k20819 
o|inlining procedure: k20841 
o|inlining procedure: k20841 
o|inlining procedure: k20866 
o|inlining procedure: k20866 
o|substituted constant variable: a20895 
o|substituted constant variable: a20897 
o|substituted constant variable: a20902 
o|substituted constant variable: a20904 
o|inlining procedure: k20905 
o|inlining procedure: k20905 
o|inlining procedure: k20968 
o|inlining procedure: k20968 
o|inlining procedure: k20980 
o|inlining procedure: k20980 
o|substituted constant variable: a20993 
o|substituted constant variable: a20995 
o|substituted constant variable: a20997 
o|substituted constant variable: a20999 
o|inlining procedure: k21003 
o|inlining procedure: k21003 
o|substituted constant variable: a21016 
o|substituted constant variable: a21018 
o|substituted constant variable: a21020 
o|substituted constant variable: a21022 
o|substituted constant variable: a21024 
o|substituted constant variable: a21026 
o|substituted constant variable: a21028 
o|substituted constant variable: a21030 
o|substituted constant variable: a21032 
o|substituted constant variable: a21034 
o|substituted constant variable: a21036 
o|substituted constant variable: a21038 
o|substituted constant variable: a21040 
o|substituted constant variable: a21042 
o|inlining procedure: k21043 
o|inlining procedure: k21043 
o|inlining procedure: k21075 
o|inlining procedure: k21075 
o|inlining procedure: k21066 
o|inlining procedure: k21108 
o|inlining procedure: k21108 
o|inlining procedure: k21139 
o|inlining procedure: k21139 
o|inlining procedure: k21158 
o|inlining procedure: k21191 
o|inlining procedure: k21191 
o|inlining procedure: k21233 
o|inlining procedure: k21233 
o|inlining procedure: k21249 
o|inlining procedure: k21249 
o|inlining procedure: "(library.scm:3967) build-symbol4464" 
o|inlining procedure: k21279 
o|inlining procedure: k21279 
o|inlining procedure: k21291 
o|inlining procedure: k21291 
o|inlining procedure: k21158 
o|inlining procedure: k21066 
o|inlining procedure: k21331 
o|inlining procedure: k21331 
o|inlining procedure: k21352 
o|inlining procedure: k21352 
o|inlining procedure: k21374 
o|inlining procedure: k21374 
o|inlining procedure: k21389 
o|inlining procedure: k21389 
o|inlining procedure: "(library.scm:4003) build-symbol4464" 
o|inlining procedure: k21399 
o|inlining procedure: k21399 
o|substituted constant variable: a21407 
o|substituted constant variable: a21408 
o|inlining procedure: k21416 
o|inlining procedure: k21437 
o|inlining procedure: k21437 
o|substituted constant variable: a21450 
o|inlining procedure: k21416 
o|inlining procedure: k21467 
o|inlining procedure: k21488 
o|inlining procedure: k21488 
o|substituted constant variable: a21501 
o|substituted constant variable: a21509 
o|inlining procedure: k21505 
o|inlining procedure: k21505 
o|substituted constant variable: a21517 
o|inlining procedure: k21467 
o|inlining procedure: k21544 
o|inlining procedure: k21544 
o|inlining procedure: k21580 
o|inlining procedure: k21580 
o|inlining procedure: k21589 
o|inlining procedure: k21589 
o|inlining procedure: k21608 
o|inlining procedure: k21608 
o|inlining procedure: "(library.scm:4055) build-symbol4464" 
o|inlining procedure: k21678 
o|inlining procedure: k21712 
o|inlining procedure: k21712 
o|inlining procedure: k21722 
o|inlining procedure: k21722 
o|inlining procedure: k21678 
o|inlining procedure: k21751 
o|inlining procedure: k21751 
o|inlining procedure: k21795 
o|inlining procedure: k21795 
o|inlining procedure: k21833 
o|inlining procedure: k21833 
o|inlining procedure: k21857 
o|inlining procedure: k21857 
o|substituted constant variable: a21864 
o|substituted constant variable: a21866 
o|substituted constant variable: a21868 
o|substituted constant variable: a21870 
o|inlining procedure: k21874 
o|inlining procedure: k21874 
o|inlining procedure: k21892 
o|contracted procedure: "(library.scm:4109) g47534754" 
o|inlining procedure: k21921 
o|inlining procedure: k21921 
o|inlining procedure: k21940 
o|inlining procedure: k21958 
o|inlining procedure: k21974 
o|inlining procedure: k21974 
o|inlining procedure: k21958 
o|inlining procedure: k21940 
o|substituted constant variable: a22073 
o|inlining procedure: k22075 
o|inlining procedure: k22075 
o|substituted constant variable: a22078 
o|inlining procedure: k21892 
o|inlining procedure: k22101 
o|inlining procedure: k22113 
o|inlining procedure: k22113 
o|inlining procedure: k22101 
o|inlining procedure: k22147 
o|inlining procedure: k22147 
o|inlining procedure: k22160 
o|inlining procedure: k22160 
o|substituted constant variable: a22173 
o|substituted constant variable: a22175 
o|inlining procedure: k22197 
o|inlining procedure: k22197 
o|folded constant expression: (scheme#char->integer (quote #\#)) 
o|inlining procedure: k22294 
o|inlining procedure: k22309 
o|inlining procedure: k22309 
o|inlining procedure: k22294 
o|inlining procedure: k22337 
o|inlining procedure: k22337 
o|inlining procedure: k22362 
o|inlining procedure: k22362 
o|inlining procedure: k22389 
o|inlining procedure: k22410 
o|inlining procedure: k22437 
o|inlining procedure: k22452 
o|inlining procedure: k22452 
o|inlining procedure: k22437 
o|inlining procedure: k22488 
o|inlining procedure: k22488 
o|inlining procedure: k22410 
o|inlining procedure: k22523 
o|inlining procedure: k22523 
o|inlining procedure: k22538 
o|inlining procedure: k22538 
o|inlining procedure: k22562 
o|inlining procedure: k22562 
o|inlining procedure: k22586 
o|inlining procedure: k22586 
o|inlining procedure: k22610 
o|inlining procedure: k22650 
o|inlining procedure: k22650 
o|inlining procedure: k22610 
o|inlining procedure: k22674 
o|inlining procedure: k22674 
o|inlining procedure: k22701 
o|inlining procedure: k22701 
o|inlining procedure: k22728 
o|inlining procedure: k22728 
o|inlining procedure: k22756 
o|inlining procedure: k22756 
o|inlining procedure: k22775 
o|inlining procedure: k22804 
o|inlining procedure: k22804 
o|inlining procedure: k22775 
o|inlining procedure: k22858 
o|inlining procedure: k22885 
o|inlining procedure: k22885 
o|inlining procedure: "(library.scm:4310) build-symbol4464" 
o|inlining procedure: k22907 
o|inlining procedure: k22907 
o|inlining procedure: k22929 
o|inlining procedure: k22929 
o|substituted constant variable: a22932 
o|inlining procedure: k22858 
o|inlining procedure: k22946 
o|inlining procedure: k22946 
o|substituted constant variable: a22959 
o|substituted constant variable: a22961 
o|substituted constant variable: a22963 
o|substituted constant variable: a22965 
o|substituted constant variable: a22967 
o|substituted constant variable: a22969 
o|substituted constant variable: a22971 
o|substituted constant variable: a22973 
o|substituted constant variable: a22975 
o|substituted constant variable: a22977 
o|substituted constant variable: a22979 
o|substituted constant variable: a22981 
o|substituted constant variable: a22983 
o|substituted constant variable: a22985 
o|substituted constant variable: a22987 
o|substituted constant variable: a22989 
o|substituted constant variable: a22991 
o|inlining procedure: k22389 
o|inlining procedure: k23008 
o|inlining procedure: k23008 
o|inlining procedure: k23032 
o|inlining procedure: k23032 
o|inlining procedure: k23053 
o|inlining procedure: k23053 
o|inlining procedure: k23068 
o|inlining procedure: k23068 
o|inlining procedure: k23086 
o|inlining procedure: k23086 
o|substituted constant variable: a23117 
o|substituted constant variable: a23119 
o|substituted constant variable: a23121 
o|substituted constant variable: a23123 
o|substituted constant variable: a23128 
o|substituted constant variable: a23130 
o|substituted constant variable: a23132 
o|substituted constant variable: a23134 
o|substituted constant variable: a23136 
o|substituted constant variable: a23138 
o|substituted constant variable: a23140 
o|substituted constant variable: a23142 
o|substituted constant variable: a23144 
o|substituted constant variable: a23146 
o|inlining procedure: k23150 
o|inlining procedure: k23150 
o|inlining procedure: k23169 
o|inlining procedure: k23169 
o|inlining procedure: k23187 
o|inlining procedure: k23187 
o|inlining procedure: k23229 
o|inlining procedure: k23229 
o|inlining procedure: k23349 
o|inlining procedure: k23349 
o|inlining procedure: k23361 
o|inlining procedure: k23373 
o|inlining procedure: k23373 
o|inlining procedure: k23361 
o|inlining procedure: k23429 
o|inlining procedure: k23429 
o|substituted constant variable: a23459 
o|substituted constant variable: a23461 
o|substituted constant variable: a23463 
o|substituted constant variable: a23465 
o|inlining procedure: k23475 
o|inlining procedure: k23475 
o|inlining procedure: k23494 
o|inlining procedure: k23494 
o|inlining procedure: k23508 
o|inlining procedure: k23508 
o|inlining procedure: k23571 
o|inlining procedure: k23571 
o|substituted constant variable: a23602 
o|substituted constant variable: a23604 
o|substituted constant variable: a23609 
o|substituted constant variable: a23611 
o|substituted constant variable: a23633 
o|substituted constant variable: a23634 
o|substituted constant variable: a23651 
o|substituted constant variable: a23652 
o|inlining procedure: k23665 
o|propagated global variable: r2366633455 ##sys#standard-output 
o|inlining procedure: k23665 
o|substituted constant variable: a23684 
o|substituted constant variable: a23685 
o|substituted constant variable: a23702 
o|substituted constant variable: a23703 
o|propagated global variable: a23716 ##sys#standard-output 
o|substituted constant variable: a23717 
o|substituted constant variable: a23718 
o|contracted procedure: "(library.scm:4460) g50935094" 
o|inlining procedure: k23735 
o|contracted procedure: "(library.scm:4455) g50995106" 
o|propagated global variable: g51145115 ##sys#print 
o|inlining procedure: k23735 
o|propagated global variable: a23767 ##sys#standard-output 
o|substituted constant variable: a23768 
o|substituted constant variable: a23769 
o|contracted procedure: "(library.scm:4467) g51255126" 
o|inlining procedure: k23786 
o|contracted procedure: "(library.scm:4455) g51315138" 
o|propagated global variable: g51465147 ##sys#print 
o|inlining procedure: k23786 
o|substituted constant variable: a23831 
o|substituted constant variable: a23832 
o|inlining procedure: k23845 
o|inlining procedure: k23845 
o|inlining procedure: k23936 
o|inlining procedure: k23936 
o|inlining procedure: k23968 
o|inlining procedure: k23968 
o|substituted constant variable: special-characters5168 
o|inlining procedure: k23980 
o|inlining procedure: k23980 
o|inlining procedure: k24013 
o|inlining procedure: k24013 
o|substituted constant variable: a24086 
o|inlining procedure: k24093 
o|inlining procedure: k24093 
o|inlining procedure: k24105 
o|inlining procedure: k24105 
o|inlining procedure: k24120 
o|inlining procedure: k24120 
o|inlining procedure: k24139 
o|inlining procedure: k24161 
o|inlining procedure: k24161 
o|inlining procedure: k24184 
o|inlining procedure: k24184 
o|inlining procedure: k24193 
o|inlining procedure: k24193 
o|inlining procedure: k24139 
o|inlining procedure: k24211 
o|inlining procedure: k24236 
o|inlining procedure: k24236 
o|inlining procedure: k24211 
o|inlining procedure: k24274 
o|inlining procedure: k24274 
o|inlining procedure: k24292 
o|inlining procedure: k24292 
o|inlining procedure: k24307 
o|inlining procedure: k24307 
o|inlining procedure: k24316 
o|inlining procedure: k24343 
o|inlining procedure: k24343 
o|inlining procedure: k24316 
o|inlining procedure: k24371 
o|inlining procedure: k24371 
o|inlining procedure: k24387 
o|inlining procedure: k24387 
o|inlining procedure: k24402 
o|inlining procedure: k24411 
o|inlining procedure: k24411 
o|substituted constant variable: a24442 
o|substituted constant variable: a24444 
o|inlining procedure: k24448 
o|inlining procedure: k24448 
o|inlining procedure: k24402 
o|inlining procedure: k24477 
o|inlining procedure: k24477 
o|inlining procedure: k24490 
o|inlining procedure: k24503 
o|inlining procedure: k24503 
o|inlining procedure: k24532 
o|inlining procedure: k24532 
o|inlining procedure: k24553 
o|inlining procedure: k24553 
o|inlining procedure: k24571 
o|inlining procedure: k24571 
o|inlining procedure: k24589 
o|inlining procedure: k24589 
o|inlining procedure: k24607 
o|inlining procedure: k24607 
o|substituted constant variable: a24636 
o|substituted constant variable: a24638 
o|substituted constant variable: a24640 
o|substituted constant variable: a24642 
o|substituted constant variable: a24644 
o|substituted constant variable: a24646 
o|substituted constant variable: a24648 
o|substituted constant variable: a24657 
o|substituted constant variable: a24659 
o|inlining procedure: k24490 
o|inlining procedure: k24663 
o|inlining procedure: k24682 
o|inlining procedure: k24682 
o|inlining procedure: k24663 
o|inlining procedure: k24754 
o|inlining procedure: k24754 
o|inlining procedure: k24786 
o|inlining procedure: k24786 
o|inlining procedure: k24802 
o|inlining procedure: k24802 
o|inlining procedure: k24824 
o|inlining procedure: k24849 
o|inlining procedure: k24849 
o|substituted constant variable: a24862 
o|substituted constant variable: a24864 
o|inlining procedure: k24824 
o|inlining procedure: k24868 
o|inlining procedure: k24868 
o|inlining procedure: k24893 
o|inlining procedure: k24893 
o|inlining procedure: k24937 
o|inlining procedure: k24937 
o|inlining procedure: k24954 
o|inlining procedure: k24954 
o|inlining procedure: k24977 
o|inlining procedure: k25007 
o|inlining procedure: k25007 
o|inlining procedure: k24977 
o|inlining procedure: k25095 
o|inlining procedure: k25095 
o|substituted constant variable: a25112 
o|substituted constant variable: a25114 
o|substituted constant variable: saved547054715483 
o|inlining procedure: k25219 
o|inlining procedure: k25219 
o|inlining procedure: k25286 
o|inlining procedure: k25307 
o|inlining procedure: k25307 
o|inlining procedure: k25286 
o|inlining procedure: k25333 
o|inlining procedure: k25333 
o|inlining procedure: k25371 
o|inlining procedure: k25371 
o|inlining procedure: k25402 
o|inlining procedure: k25402 
o|inlining procedure: k25439 
o|inlining procedure: k25439 
o|substituted constant variable: a25499 
o|substituted constant variable: a25500 
o|inlining procedure: k25501 
o|inlining procedure: k25501 
o|inlining procedure: k25552 
o|inlining procedure: k25552 
o|inlining procedure: k25575 
o|inlining procedure: k25601 
o|inlining procedure: k25601 
o|inlining procedure: k25575 
o|inlining procedure: k25655 
o|inlining procedure: k25655 
o|substituted constant variable: c5679 
o|contracted procedure: "(library.scm:4962) extract5656" 
o|substituted constant variable: c5679 
o|inlining procedure: k25722 
o|inlining procedure: k25722 
o|substituted constant variable: c5679 
o|substituted constant variable: c5679 
o|inlining procedure: k25804 
o|inlining procedure: k25804 
o|inlining procedure: k25829 
o|inlining procedure: k25829 
o|inlining procedure: k25835 
o|inlining procedure: k25835 
o|inlining procedure: k25772 
o|inlining procedure: k25854 
o|inlining procedure: k25854 
o|inlining procedure: k25772 
o|substituted constant variable: a25902 
o|substituted constant variable: a25903 
o|inlining procedure: k25974 
o|inlining procedure: "(library.scm:5010) break5752" 
o|inlining procedure: k25974 
o|inlining procedure: k26003 
o|inlining procedure: k26003 
o|inlining procedure: k26019 
o|inlining procedure: k26019 
o|inlining procedure: k26042 
o|contracted procedure: "(library.scm:5031) g57625769" 
o|inlining procedure: k26042 
o|inlining procedure: k26083 
o|inlining procedure: k26083 
o|inlining procedure: k26137 
o|contracted procedure: "(library.scm:5095) g58305837" 
o|inlining procedure: k26137 
o|inlining procedure: k26175 
o|inlining procedure: k26175 
o|inlining procedure: k26218 
o|inlining procedure: k26218 
o|inlining procedure: k26230 
o|inlining procedure: k26230 
o|inlining procedure: k26242 
o|inlining procedure: k26242 
o|inlining procedure: k26254 
o|inlining procedure: k26254 
o|inlining procedure: k26266 
o|inlining procedure: k26266 
o|inlining procedure: k26278 
o|inlining procedure: k26278 
o|inlining procedure: k26290 
o|inlining procedure: k26290 
o|substituted constant variable: a26297 
o|substituted constant variable: a26299 
o|substituted constant variable: a26301 
o|substituted constant variable: a26303 
o|substituted constant variable: a26305 
o|substituted constant variable: a26307 
o|substituted constant variable: a26309 
o|substituted constant variable: a26311 
o|substituted constant variable: a26313 
o|substituted constant variable: a26315 
o|substituted constant variable: a26317 
o|substituted constant variable: a26319 
o|substituted constant variable: a26321 
o|substituted constant variable: a26323 
o|substituted constant variable: a26359 
o|substituted constant variable: a26361 
o|substituted constant variable: a26363 
o|inlining procedure: k26417 
o|inlining procedure: k26453 
o|inlining procedure: k26453 
o|inlining procedure: k26465 
o|inlining procedure: k26479 
o|inlining procedure: k26479 
o|inlining procedure: k26465 
o|inlining procedure: k26417 
o|inlining procedure: k26515 
o|inlining procedure: k26515 
o|inlining procedure: k26570 
o|propagated global variable: r2657133651 ##sys#current-exception-handler 
o|removed unused formal parameters: (convert?5999) 
o|inlining procedure: k26585 
o|inlining procedure: k26585 
o|removed unused parameter to known procedure: convert?5999 "(library.scm:5247) body59895998" 
o|inlining procedure: k26570 
o|inlining procedure: k26612 
o|inlining procedure: k26612 
o|removed unused parameter to known procedure: convert?5999 "(library.scm:5247) body59895998" 
o|inlining procedure: k26637 
o|inlining procedure: k26637 
o|inlining procedure: k26750 
o|contracted procedure: "(library.scm:5275) g60846093" 
o|inlining procedure: k26750 
o|inlining procedure: k26796 
o|contracted procedure: "(library.scm:5274) g60576066" 
o|inlining procedure: k26796 
o|inlining procedure: k26830 
o|contracted procedure: "(library.scm:5271) g60346041" 
o|inlining procedure: k26830 
o|inlining procedure: k26872 
o|inlining procedure: k26872 
o|inlining procedure: k26924 
o|contracted procedure: "(library.scm:5280) g61176126" 
o|inlining procedure: k26924 
o|inlining procedure: k26986 
o|inlining procedure: k26986 
o|inlining procedure: k27042 
o|inlining procedure: k27042 
o|inlining procedure: k27084 
o|inlining procedure: k27084 
o|inlining procedure: k27114 
o|inlining procedure: k27129 
o|inlining procedure: k27129 
o|inlining procedure: k27114 
o|inlining procedure: k27190 
o|inlining procedure: k27190 
o|substituted constant variable: a27215 
o|substituted constant variable: a27216 
o|inlining procedure: k27223 
o|inlining procedure: k27244 
o|inlining procedure: k27244 
o|inlining procedure: k27274 
o|inlining procedure: k27274 
o|inlining procedure: k27303 
o|inlining procedure: k27303 
o|inlining procedure: k27223 
o|inlining procedure: k27371 
o|inlining procedure: k27371 
o|inlining procedure: k27406 
o|inlining procedure: k27406 
o|inlining procedure: k27452 
o|inlining procedure: k27475 
o|inlining procedure: k27475 
o|inlining procedure: k27452 
o|inlining procedure: k27512 
o|inlining procedure: k27512 
o|inlining procedure: k27526 
o|inlining procedure: k27526 
o|inlining procedure: k27544 
o|inlining procedure: k27544 
o|inlining procedure: k27562 
o|inlining procedure: k27562 
o|inlining procedure: k27580 
o|inlining procedure: k27580 
o|inlining procedure: k27598 
o|inlining procedure: k27598 
o|inlining procedure: k27616 
o|inlining procedure: k27616 
o|inlining procedure: k27634 
o|inlining procedure: k27634 
o|inlining procedure: k27652 
o|inlining procedure: k27652 
o|inlining procedure: k27670 
o|inlining procedure: k27670 
o|inlining procedure: k27688 
o|inlining procedure: k27688 
o|inlining procedure: k27706 
o|inlining procedure: k27706 
o|inlining procedure: k27724 
o|inlining procedure: k27724 
o|inlining procedure: k27742 
o|inlining procedure: k27742 
o|inlining procedure: k27760 
o|inlining procedure: k27760 
o|inlining procedure: k27778 
o|inlining procedure: k27778 
o|inlining procedure: k27796 
o|inlining procedure: k27796 
o|inlining procedure: k27814 
o|inlining procedure: k27814 
o|inlining procedure: k27832 
o|inlining procedure: k27832 
o|inlining procedure: k27850 
o|inlining procedure: k27850 
o|inlining procedure: k27868 
o|inlining procedure: k27868 
o|inlining procedure: k27886 
o|inlining procedure: k27886 
o|inlining procedure: k27904 
o|inlining procedure: k27904 
o|inlining procedure: k27922 
o|inlining procedure: k27922 
o|inlining procedure: k27940 
o|inlining procedure: k27940 
o|inlining procedure: k27958 
o|inlining procedure: k27958 
o|inlining procedure: k27976 
o|inlining procedure: k27976 
o|substituted constant variable: a27998 
o|substituted constant variable: a28000 
o|substituted constant variable: a28002 
o|substituted constant variable: a28004 
o|substituted constant variable: a28006 
o|substituted constant variable: a28008 
o|substituted constant variable: a28010 
o|substituted constant variable: a28012 
o|substituted constant variable: a28014 
o|substituted constant variable: a28016 
o|substituted constant variable: a28018 
o|substituted constant variable: a28020 
o|substituted constant variable: a28022 
o|substituted constant variable: a28024 
o|substituted constant variable: a28026 
o|substituted constant variable: a28028 
o|substituted constant variable: a28030 
o|substituted constant variable: a28032 
o|substituted constant variable: a28034 
o|substituted constant variable: a28036 
o|substituted constant variable: a28038 
o|substituted constant variable: a28040 
o|substituted constant variable: a28042 
o|substituted constant variable: a28044 
o|substituted constant variable: a28046 
o|substituted constant variable: a28048 
o|substituted constant variable: a28050 
o|substituted constant variable: a28052 
o|substituted constant variable: a28054 
o|substituted constant variable: a28056 
o|substituted constant variable: a28058 
o|substituted constant variable: a28060 
o|substituted constant variable: a28062 
o|substituted constant variable: a28064 
o|substituted constant variable: a28066 
o|substituted constant variable: a28068 
o|substituted constant variable: a28070 
o|substituted constant variable: a28072 
o|substituted constant variable: a28074 
o|substituted constant variable: a28076 
o|substituted constant variable: a28078 
o|substituted constant variable: a28080 
o|substituted constant variable: a28082 
o|substituted constant variable: a28084 
o|substituted constant variable: a28086 
o|substituted constant variable: a28088 
o|substituted constant variable: a28090 
o|substituted constant variable: a28092 
o|substituted constant variable: a28094 
o|substituted constant variable: a28096 
o|substituted constant variable: a28098 
o|substituted constant variable: a28100 
o|substituted constant variable: a28102 
o|substituted constant variable: a28104 
o|inlining procedure: k28143 
o|substituted constant variable: a28156 
o|inlining procedure: k28143 
o|inlining procedure: k28198 
o|inlining procedure: k28198 
o|inlining procedure: k28236 
o|inlining procedure: k28236 
o|inlining procedure: k28258 
o|inlining procedure: k28258 
o|inlining procedure: k28316 
o|inlining procedure: k28316 
o|contracted procedure: "(library.scm:5588) fetch6497" 
o|contracted procedure: "(library.scm:5605) free6516" 
o|inlining procedure: k28363 
o|inlining procedure: k28363 
o|inlining procedure: k28380 
o|inlining procedure: k28380 
o|contracted procedure: "(library.scm:5600) fetch6515" 
o|propagated global variable: ct6617 ##sys#current-thread 
o|inlining procedure: k28564 
o|inlining procedure: k28564 
o|inlining procedure: k28592 
o|inlining procedure: k28592 
o|inlining procedure: k28649 
o|inlining procedure: k28649 
o|inlining procedure: k28689 
o|inlining procedure: k28701 
o|inlining procedure: k28701 
o|inlining procedure: k28689 
o|inlining procedure: k28728 
o|inlining procedure: k28728 
o|inlining procedure: k28774 
o|inlining procedure: k28774 
o|substituted constant variable: a28832 
o|inlining procedure: k28825 
o|inlining procedure: k28825 
o|substituted constant variable: a28845 
o|inlining procedure: k28856 
o|inlining procedure: k28896 
o|inlining procedure: k28934 
o|inlining procedure: k28934 
o|inlining procedure: k28896 
o|inlining procedure: k29028 
o|inlining procedure: k29028 
o|substituted constant variable: a29089 
o|substituted constant variable: a29091 
o|substituted constant variable: a29099 
o|substituted constant variable: a29104 
o|substituted constant variable: a29106 
o|substituted constant variable: a29120 
o|inlining procedure: k29113 
o|inlining procedure: k29113 
o|substituted constant variable: a29133 
o|inlining procedure: k28856 
o|substituted constant variable: a29148 
o|substituted constant variable: a29150 
o|inlining procedure: k29164 
o|inlining procedure: k29164 
o|inlining procedure: k29203 
o|inlining procedure: k29203 
o|inlining procedure: k29262 
o|inlining procedure: k29271 
o|inlining procedure: k29271 
o|inlining procedure: k29262 
o|contracted procedure: "(library.scm:5994) get6830" 
o|inlining procedure: k29338 
o|inlining procedure: k29338 
o|inlining procedure: k29352 
o|inlining procedure: k29352 
o|contracted procedure: "(library.scm:6023) fetch-arg6850" 
o|inlining procedure: k29421 
o|inlining procedure: k29441 
o|inlining procedure: k29441 
o|inlining procedure: k29468 
o|inlining procedure: k29468 
o|inlining procedure: k29421 
o|inlining procedure: k29492 
o|inlining procedure: k29492 
o|inlining procedure: k29504 
o|inlining procedure: k29504 
o|inlining procedure: k29530 
o|inlining procedure: k29530 
o|inlining procedure: k29646 
o|inlining procedure: k29646 
o|inlining procedure: k29668 
o|inlining procedure: k29668 
o|inlining procedure: k29708 
o|inlining procedure: k29708 
o|inlining procedure: k29733 
o|inlining procedure: k29733 
o|inlining procedure: k29755 
o|inlining procedure: k29755 
o|inlining procedure: k29787 
o|inlining procedure: k29787 
o|inlining procedure: k29819 
o|inlining procedure: k29819 
o|inlining procedure: k29851 
o|inlining procedure: k29851 
o|inlining procedure: k29883 
o|inlining procedure: k29883 
o|substituted constant variable: a29931 
o|substituted constant variable: a29933 
o|substituted constant variable: a29935 
o|substituted constant variable: a29937 
o|substituted constant variable: a29939 
o|substituted constant variable: a29941 
o|substituted constant variable: a29943 
o|substituted constant variable: a29945 
o|substituted constant variable: a29947 
o|substituted constant variable: a29949 
o|inlining procedure: k29950 
o|inlining procedure: k29950 
o|inlining procedure: k30005 
o|inlining procedure: k30005 
o|inlining procedure: k30022 
o|inlining procedure: k30046 
o|inlining procedure: k30046 
o|inlining procedure: k30022 
o|inlining procedure: k30089 
o|inlining procedure: k30089 
o|inlining procedure: k30152 
o|inlining procedure: k30152 
o|inlining procedure: k30182 
o|inlining procedure: "(library.scm:6355) pstr7126" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: k30182 
o|inlining procedure: "(library.scm:6357) pstr7126" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|substituted constant variable: a30240 
o|inlining procedure: k30236 
o|inlining procedure: "(library.scm:6359) pstr7126" 
o|substituted constant variable: a30256 
o|inlining procedure: k30236 
o|inlining procedure: "(library.scm:6360) pstr7126" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: "(library.scm:6386) pstr7126" 
o|inlining procedure: "(library.scm:6384) pstr7126" 
o|inlining procedure: "(library.scm:6382) pchr7127" 
o|inlining procedure: "(library.scm:6380) pstr7126" 
o|inlining procedure: "(library.scm:6376) pstr7126" 
o|inlining procedure: "(library.scm:6374) pchr7127" 
o|inlining procedure: "(library.scm:6372) pstr7126" 
o|substituted constant variable: a30354 
o|inlining procedure: "(library.scm:6368) pstr7126" 
o|inlining procedure: "(library.scm:6366) pstr7126" 
o|inlining procedure: "(library.scm:6363) pstr7126" 
o|inlining procedure: k30461 
o|inlining procedure: k30483 
o|inlining procedure: k30483 
o|contracted procedure: "(library.scm:6461) get-config7229" 
o|inlining procedure: k30428 
o|inlining procedure: k30428 
o|substituted constant variable: a30441 
o|inlining procedure: k30519 
o|inlining procedure: k30519 
o|inlining procedure: k30461 
o|propagated global variable: r3046233974 ##sys#build-version 
o|inlining procedure: k30556 
o|inlining procedure: k30556 
o|inlining procedure: k30584 
o|inlining procedure: k30584 
o|removed side-effect free assignment to unused variable: prefix7301 
o|inlining procedure: k30667 
o|inlining procedure: k30667 
o|inlining procedure: k30682 
o|inlining procedure: k30682 
o|contracted procedure: "(library.scm:6536) err7300" 
o|inlining procedure: k30701 
o|inlining procedure: k30701 
o|inlining procedure: k30779 
o|contracted procedure: "(library.scm:6572) g73327339" 
o|inlining procedure: k30763 
o|inlining procedure: k30763 
o|inlining procedure: k30779 
o|inlining procedure: k30815 
o|inlining procedure: k30815 
o|inlining procedure: k30846 
o|inlining procedure: k30846 
o|inlining procedure: k30892 
o|inlining procedure: k30892 
o|inlining procedure: k30987 
o|inlining procedure: k30987 
o|inlining procedure: k31009 
o|inlining procedure: k31026 
o|contracted procedure: "(library.scm:6514) g72747281" 
o|inlining procedure: k31026 
o|inlining procedure: k31009 
o|inlining procedure: k31052 
o|inlining procedure: k31052 
o|inlining procedure: k31126 
o|inlining procedure: k31126 
o|inlining procedure: k31173 
o|inlining procedure: k31173 
o|inlining procedure: k31248 
o|inlining procedure: k31248 
o|substituted constant variable: a31260 
o|inlining procedure: k31273 
o|inlining procedure: k31315 
o|inlining procedure: k31315 
o|inlining procedure: k31345 
o|contracted procedure: "(library.scm:5167) g58955902" 
o|inlining procedure: k31345 
o|inlining procedure: k31273 
o|inlining procedure: k31400 
o|inlining procedure: k31400 
o|inlining procedure: k31451 
o|inlining procedure: k31451 
o|inlining procedure: k31478 
o|inlining procedure: k31478 
o|inlining procedure: k31503 
o|inlining procedure: k31503 
o|inlining procedure: k31583 
o|inlining procedure: k31583 
o|inlining procedure: k31609 
o|inlining procedure: k31609 
o|inlining procedure: k31690 
o|inlining procedure: k31690 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k31849 
o|inlining procedure: k31849 
o|inlining procedure: k31858 
o|inlining procedure: k31858 
o|inlining procedure: k31867 
o|inlining procedure: k31867 
o|inlining procedure: k31883 
o|inlining procedure: k31883 
o|inlining procedure: k31909 
o|inlining procedure: k31938 
o|inlining procedure: k31938 
o|inlining procedure: k31909 
o|inlining procedure: k31973 
o|inlining procedure: k31973 
o|inlining procedure: k32013 
o|inlining procedure: k32013 
o|inlining procedure: k32075 
o|inlining procedure: k32075 
o|inlining procedure: k32087 
o|inlining procedure: k32087 
o|inlining procedure: k32130 
o|inlining procedure: k32130 
o|inlining procedure: k32188 
o|inlining procedure: k32188 
o|inlining procedure: k32203 
o|inlining procedure: k32203 
o|inlining procedure: k32239 
o|inlining procedure: k32239 
o|substituted constant variable: sblen3885 
o|substituted constant variable: sblen3885 
o|folded constant expression: (scheme#integer->char (quote 8)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 127)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|replaced variables: 4532 
o|removed binding forms: 1865 
o|substituted constant variable: r910432378 
o|substituted constant variable: r911032380 
o|inlining procedure: k9423 
o|substituted constant variable: r948732394 
o|substituted constant variable: r964032405 
o|substituted constant variable: r965232408 
o|substituted constant variable: r974732415 
o|substituted constant variable: r980832420 
o|substituted constant variable: r988132423 
o|substituted constant variable: r993532427 
o|substituted constant variable: r1005132436 
o|substituted constant variable: r1024332445 
o|substituted constant variable: r1032032450 
o|substituted constant variable: r1077332491 
o|substituted constant variable: r1077332491 
o|substituted constant variable: r1079032497 
o|substituted constant variable: r1079032497 
o|substituted constant variable: r1081332502 
o|substituted constant variable: r1081332502 
o|substituted constant variable: r1083132509 
o|substituted constant variable: r1083132509 
o|substituted constant variable: r1085532515 
o|substituted constant variable: r1085532515 
o|substituted constant variable: r1088132521 
o|substituted constant variable: r1088132521 
o|substituted constant variable: r1098432532 
o|substituted constant variable: r1151532556 
o|substituted constant variable: r1187832577 
o|substituted constant variable: loc1752 
o|substituted constant variable: loc1763 
o|substituted constant variable: loc1774 
o|substituted constant variable: loc1785 
o|substituted constant variable: loc1796 
o|substituted constant variable: loc1807 
o|substituted constant variable: loc1818 
o|substituted constant variable: loc1829 
o|substituted constant variable: loc1840 
o|substituted constant variable: loc1851 
o|substituted constant variable: loc1862 
o|substituted constant variable: loc1871 
o|substituted constant variable: loc1881 
o|substituted constant variable: loc1892 
o|substituted constant variable: loc1901 
o|substituted constant variable: loc1909 
o|substituted constant variable: loc1917 
o|substituted constant variable: loc1925 
o|substituted constant variable: loc1933 
o|substituted constant variable: loc1941 
o|substituted constant variable: loc1949 
o|substituted constant variable: loc1957 
o|substituted constant variable: loc1965 
o|substituted constant variable: loc1973 
o|substituted constant variable: loc1983 
o|substituted constant variable: loc1992 
o|substituted constant variable: loc2002 
o|substituted constant variable: loc2011 
o|substituted constant variable: loc2019 
o|substituted constant variable: loc2027 
o|substituted constant variable: loc2035 
o|inlining procedure: k12641 
o|inlining procedure: k12641 
o|substituted constant variable: r1265532650 
o|substituted constant variable: r1273432655 
o|substituted constant variable: r1289332669 
o|converted assignments to bindings: (deliver2209) 
o|substituted constant variable: n2407 
o|substituted constant variable: d2408 
o|substituted constant variable: r1407132744 
o|substituted constant variable: r1408032746 
o|substituted constant variable: r1411132750 
o|substituted constant variable: r1412032752 
o|substituted constant variable: r1492532800 
o|substituted constant variable: r1503332807 
o|substituted constant variable: r1509532811 
o|substituted constant variable: r1526732818 
o|inlining procedure: k15385 
o|inlining procedure: k15385 
o|substituted constant variable: r1544132825 
o|substituted constant variable: r1545832828 
o|substituted constant variable: r1545832829 
o|substituted constant variable: r1542132834 
o|removed side-effect free assignment to unused variable: make-nan2844 
o|substituted constant variable: r1564232846 
o|substituted constant variable: r1566232848 
o|substituted constant variable: r1568432850 
o|substituted constant variable: r1569532852 
o|substituted constant variable: r1573232855 
o|substituted constant variable: r1575832856 
o|substituted constant variable: r1575832857 
o|substituted constant variable: r1570932858 
o|substituted constant variable: r1582132871 
o|substituted constant variable: r1580932872 
o|substituted constant variable: r1577032888 
o|substituted constant variable: r1608432898 
o|substituted constant variable: r1607432899 
o|substituted constant variable: r1606232900 
o|substituted constant variable: r1614832908 
o|substituted constant variable: r1613032909 
o|substituted constant variable: r1612032910 
o|substituted constant variable: r1630432921 
o|substituted constant variable: r1638532925 
o|substituted constant variable: r1638532925 
o|substituted constant variable: r1638532927 
o|substituted constant variable: r1638532927 
o|substituted constant variable: r1640832932 
o|substituted constant variable: r1640832932 
o|substituted constant variable: r1649132940 
o|substituted constant variable: r1649132940 
o|substituted constant variable: r1646832943 
o|substituted constant variable: r1654332944 
o|substituted constant variable: r1654332945 
o|substituted constant variable: r1632532946 
o|substituted constant variable: r1657132949 
o|substituted constant variable: r1655932950 
o|substituted constant variable: r1659432954 
o|substituted constant variable: r1666932958 
o|substituted constant variable: r1665432959 
o|substituted constant variable: r1671632962 
o|contracted procedure: k16774 
o|contracted procedure: k16786 
o|contracted procedure: k16798 
o|substituted constant variable: r1684832965 
o|substituted constant variable: r1689232969 
o|substituted constant variable: r1693632973 
o|substituted constant variable: r1694932975 
o|substituted constant variable: r1704632982 
o|substituted constant variable: r1711932986 
o|substituted constant variable: r1720432991 
o|substituted constant variable: r1721632993 
o|substituted constant variable: r1722532996 
o|substituted constant variable: r1724332999 
o|substituted constant variable: r1729533002 
o|substituted constant variable: r1730733004 
o|substituted constant variable: r1737233010 
o|substituted constant variable: r1738433012 
o|substituted constant variable: r1756933034 
o|contracted procedure: k17592 
o|substituted constant variable: r1766033040 
o|substituted constant variable: r1770833042 
o|substituted constant variable: r1781233051 
o|substituted constant variable: r1814533062 
o|substituted constant variable: r1827633068 
o|substituted constant variable: r1847633080 
o|substituted constant variable: r1866033092 
o|converted assignments to bindings: (continuation3795) 
o|substituted constant variable: r1883433106 
o|removed unused formal parameters: (%convert?39273942) 
o|removed unused parameter to known procedure: %convert?39273942 "(library.scm:3341) def-set?39323941" 
o|removed unused parameter to known procedure: %convert?39273942 "(library.scm:3341) def-set?39323941" 
o|removed unused formal parameters: (%convert?39523967) 
o|removed unused parameter to known procedure: %convert?39523967 "(library.scm:3351) def-set?39573966" 
o|removed unused parameter to known procedure: %convert?39523967 "(library.scm:3351) def-set?39573966" 
o|removed unused formal parameters: (%convert?39773992) 
o|removed unused parameter to known procedure: %convert?39773992 "(library.scm:3361) def-set?39823991" 
o|removed unused parameter to known procedure: %convert?39773992 "(library.scm:3361) def-set?39823991" 
o|substituted constant variable: r1914033134 
o|substituted constant variable: r1920333139 
o|substituted constant variable: r1920333139 
o|substituted constant variable: r1920333141 
o|substituted constant variable: r1920333141 
o|substituted constant variable: r1944533151 
o|substituted constant variable: r1949833154 
o|substituted constant variable: r1959233160 
o|substituted constant variable: r1963033162 
o|substituted constant variable: r1966433164 
o|substituted constant variable: r1972433168 
o|inlining procedure: k20047 
o|substituted constant variable: r2011433183 
o|inlining procedure: k20125 
o|contracted procedure: k20612 
o|contracted procedure: k20633 
o|contracted procedure: k20654 
o|substituted constant variable: r2096933234 
o|inlining procedure: k21300 
o|converted assignments to bindings: (starting-line4570) 
o|substituted constant variable: r2140033289 
o|substituted constant variable: r2140033289 
o|substituted constant variable: r2171333319 
o|substituted constant variable: r2171333319 
o|substituted constant variable: r2172333322 
o|inlining procedure: k21961 
o|inlining procedure: k21961 
o|inlining procedure: k21961 
o|substituted constant variable: r2195933343 
o|substituted constant variable: r2194133344 
o|contracted procedure: k22256 
o|removed side-effect free assignment to unused variable: build-symbol4464 
o|substituted constant variable: r2248933375 
o|substituted constant variable: r2265133386 
o|substituted constant variable: r2288633402 
o|substituted constant variable: r2315133428 
o|substituted constant variable: r2317033429 
o|substituted constant variable: r2317033429 
o|substituted constant variable: r2317033431 
o|substituted constant variable: r2317033431 
o|substituted constant variable: r2335033438 
o|substituted constant variable: r2337433441 
o|substituted constant variable: r2336233442 
o|converted assignments to bindings: (hex4995) 
o|substituted constant variable: r2357233453 
o|propagated global variable: port506333456 ##sys#standard-output 
o|substituted constant variable: r2409433479 
o|substituted constant variable: r2410633481 
o|substituted constant variable: r2412133483 
o|substituted constant variable: r2412133484 
o|substituted constant variable: r2418533488 
o|substituted constant variable: r2418533489 
o|substituted constant variable: r2421233496 
o|inlining procedure: k24691 
o|substituted constant variable: r2493833552 
o|inlining procedure: k25076 
o|substituted constant variable: r2544033576 
o|converted assignments to bindings: (copy&append5583) 
o|substituted constant variable: r2565633587 
o|converted assignments to bindings: (break5752) 
o|substituted constant variable: r2617633619 
o|substituted constant variable: r2617633619 
o|substituted constant variable: r2617633621 
o|substituted constant variable: r2617633621 
o|substituted constant variable: r2621933623 
o|substituted constant variable: r2623133625 
o|substituted constant variable: r2624333627 
o|substituted constant variable: r2625533629 
o|substituted constant variable: r2626733631 
o|substituted constant variable: r2627933633 
o|substituted constant variable: r2629133635 
o|substituted constant variable: r2629133636 
o|substituted constant variable: r2645433640 
o|substituted constant variable: r2645433640 
o|inlining procedure: k26479 
o|inlining procedure: k26479 
o|removed unused formal parameters: (%convert?59876002) 
o|removed unused parameter to known procedure: %convert?59876002 "(library.scm:5247) def-set?59926001" 
o|removed unused parameter to known procedure: %convert?59876002 "(library.scm:5247) def-set?59926001" 
o|substituted constant variable: r2663833657 
o|substituted constant variable: r2698733669 
o|substituted constant variable: r2708533674 
o|substituted constant variable: r2711533678 
o|substituted constant variable: r2747633704 
o|substituted constant variable: r2747633704 
o|substituted constant variable: r2751333709 
o|substituted constant variable: r2751333709 
o|substituted constant variable: r2814433764 
o|substituted constant variable: r2823733768 
o|substituted constant variable: r2825933770 
o|substituted constant variable: r2831733771 
o|substituted constant variable: r2836433775 
o|substituted constant variable: r2836433775 
o|substituted constant variable: r2838133777 
o|inlining procedure: k28783 
o|converted assignments to bindings: (get/clear-str6717) 
o|substituted constant variable: r2920433814 
o|substituted constant variable: r2920433814 
o|substituted constant variable: r2926333820 
o|inlining procedure: k29421 
o|inlining procedure: k29421 
o|substituted constant variable: r3002333882 
o|removed side-effect free assignment to unused variable: pstr7126 
o|removed side-effect free assignment to unused variable: pchr7127 
o|substituted constant variable: r3015333885 
o|substituted constant variable: r3015333885 
o|contracted procedure: k30187 
o|substituted constant variable: str713133891 
o|contracted procedure: k30206 
o|contracted procedure: k30214 
o|substituted constant variable: str713133897 
o|contracted procedure: k30233 
o|substituted constant variable: str713133903 
o|substituted constant variable: str713133909 
o|substituted constant variable: str713133914 
o|substituted constant variable: str713133919 
o|substituted constant variable: chr713233924 
o|substituted constant variable: str713133929 
o|substituted constant variable: str713133934 
o|substituted constant variable: chr713233939 
o|substituted constant variable: str713133944 
o|substituted constant variable: str713133949 
o|substituted constant variable: str713133954 
o|substituted constant variable: str713133959 
o|substituted constant variable: r3048433964 
o|substituted constant variable: r3048433964 
o|substituted constant variable: r3042933968 
o|converted assignments to bindings: (str7234) 
o|substituted constant variable: r3052033970 
o|substituted constant variable: r3052033970 
o|substituted constant variable: r3052033972 
o|substituted constant variable: r3052033972 
o|substituted constant variable: r3055733975 
o|substituted constant variable: r3081633989 
o|inlining procedure: k30987 
o|substituted constant variable: r3101034002 
o|substituted constant variable: r3117434007 
o|inlining procedure: k31294 
o|inlining procedure: k31294 
o|substituted constant variable: r3147934021 
o|substituted constant variable: r3150434023 
o|substituted constant variable: r3161034029 
o|substituted constant variable: r3169134031 
o|contracted procedure: k31703 
o|substituted constant variable: r3185934036 
o|substituted constant variable: r3186834038 
o|substituted constant variable: r3188434040 
o|substituted constant variable: r3193934043 
o|contracted procedure: k32340 
o|contracted procedure: k32344 
o|contracted procedure: k32348 
o|contracted procedure: k32352 
o|contracted procedure: k32356 
o|contracted procedure: k32360 
o|contracted procedure: k32364 
o|contracted procedure: k32368 
o|contracted procedure: k32372 
o|converted assignments to bindings: (lookup-char3628) 
o|converted assignments to bindings: (split3339) 
o|simplifications: ((let . 11)) 
o|replaced variables: 201 
o|removed binding forms: 4578 
o|removed conditional forms: 1 
o|inlining procedure: k9405 
o|substituted constant variable: r942434073 
o|inlining procedure: k10568 
o|inlining procedure: k10568 
o|inlining procedure: k10568 
o|inlining procedure: k11029 
o|inlining procedure: k11045 
o|inlining procedure: k11061 
o|inlining procedure: k11077 
o|inlining procedure: k11093 
o|inlining procedure: k11109 
o|inlining procedure: k11125 
o|inlining procedure: k11141 
o|inlining procedure: k11266 
o|inlining procedure: k11301 
o|inlining procedure: k11301 
o|inlining procedure: k11556 
o|inlining procedure: k11556 
o|inlining procedure: k11666 
o|inlining procedure: k11666 
o|inlining procedure: k12835 
o|inlining procedure: k12947 
o|inlining procedure: k13018 
o|inlining procedure: k13104 
o|inlining procedure: k13110 
o|inlining procedure: k13213 
o|inlining procedure: k13542 
o|inlining procedure: k13577 
o|inlining procedure: k13577 
o|inlining procedure: k13736 
o|inlining procedure: k13872 
o|inlining procedure: k14453 
o|inlining procedure: k14477 
o|inlining procedure: k14653 
o|inlining procedure: k14674 
o|inlining procedure: k14764 
o|inlining procedure: k14772 
o|inlining procedure: k14810 
o|inlining procedure: k14828 
o|inlining procedure: k14981 
o|inlining procedure: k15010 
o|inlining procedure: k15222 
o|inlining procedure: k15229 
o|substituted constant variable: r1538634219 
o|substituted constant variable: r1538634222 
o|inlining procedure: k15671 
o|inlining procedure: k16177 
o|inlining procedure: k16315 
o|inlining procedure: k16605 
o|inlining procedure: k16619 
o|inlining procedure: k16625 
o|inlining procedure: k16684 
o|inlining procedure: k16692 
o|substituted constant variable: r16775 
o|substituted constant variable: r16787 
o|substituted constant variable: r16799 
o|inlining procedure: k17032 
o|inlining procedure: k17039 
o|inlining procedure: k17039 
o|inlining procedure: k17072 
o|inlining procedure: k17297 
o|inlining procedure: k17297 
o|substituted constant variable: r17593 
o|inlining procedure: k19217 
o|inlining procedure: k19217 
o|inlining procedure: k19217 
o|inlining procedure: k19479 
o|propagated global variable: r1948034824 ##sys#standard-output 
o|propagated global variable: r1948034824 ##sys#standard-output 
o|inlining procedure: k20026 
o|propagated global variable: r2002734832 ##sys#standard-input 
o|propagated global variable: r2002734832 ##sys#standard-input 
o|inlining procedure: k20138 
o|propagated global variable: r2013934834 ##sys#standard-input 
o|propagated global variable: r2013934834 ##sys#standard-input 
o|inlining procedure: k20156 
o|propagated global variable: r2015734836 ##sys#standard-input 
o|propagated global variable: r2015734836 ##sys#standard-input 
o|substituted constant variable: r20613 
o|substituted constant variable: r20634 
o|substituted constant variable: r20655 
o|inlining procedure: k20885 
o|substituted constant variable: r22257 
o|inlining procedure: k22807 
o|inlining procedure: k23680 
o|propagated global variable: r2368134866 ##sys#standard-output 
o|propagated global variable: r2368134866 ##sys#standard-output 
o|inlining procedure: k23698 
o|propagated global variable: r2369934868 ##sys#standard-output 
o|propagated global variable: r2369934868 ##sys#standard-output 
o|inlining procedure: k24076 
o|inlining procedure: k26333 
o|inlining procedure: k28598 
o|inlining procedure: "(library.scm:5821) format-here-doc-warning" 
o|inlining procedure: k28833 
o|inlining procedure: k28833 
o|inlining procedure: "(library.scm:5855) format-here-doc-warning" 
o|inlining procedure: k29121 
o|inlining procedure: k29121 
o|inlining procedure: k29665 
o|inlining procedure: k29665 
o|inlining procedure: k30034 
o|inlining procedure: k30034 
o|substituted constant variable: r30188 
o|substituted constant variable: r30207 
o|substituted constant variable: r30215 
o|substituted constant variable: r30234 
o|substituted constant variable: r31704 
o|inlining procedure: k31846 
o|inlining procedure: k31846 
o|substituted constant variable: r32341 
o|substituted constant variable: r32345 
o|substituted constant variable: r32349 
o|substituted constant variable: r32353 
o|substituted constant variable: r32357 
o|substituted constant variable: r32361 
o|substituted constant variable: r32365 
o|substituted constant variable: r32369 
o|substituted constant variable: r32373 
o|replaced variables: 34 
o|removed binding forms: 500 
o|substituted constant variable: r940634604 
o|substituted constant variable: code67934074 
o|substituted constant variable: code67934074 
o|substituted constant variable: r1103034646 
o|substituted constant variable: r1104634648 
o|substituted constant variable: r1106234650 
o|substituted constant variable: r1107834652 
o|substituted constant variable: r1109434654 
o|substituted constant variable: r1111034656 
o|substituted constant variable: r1112634658 
o|substituted constant variable: r1114234660 
o|substituted constant variable: r1126734668 
o|substituted constant variable: r1126734668 
o|substituted constant variable: r1130234672 
o|substituted constant variable: r1130234672 
o|contracted procedure: k12769 
o|contracted procedure: k12774 
o|contracted procedure: k12829 
o|contracted procedure: k13198 
o|contracted procedure: k13207 
o|contracted procedure: k13297 
o|contracted procedure: k13302 
o|contracted procedure: k13307 
o|contracted procedure: k13312 
o|contracted procedure: k13317 
o|contracted procedure: k13322 
o|contracted procedure: k13344 
o|contracted procedure: k13355 
o|contracted procedure: k13378 
o|contracted procedure: k13390 
o|contracted procedure: k13453 
o|contracted procedure: k13460 
o|contracted procedure: k13494 
o|contracted procedure: k13501 
o|contracted procedure: k13536 
o|contracted procedure: k13568 
o|substituted constant variable: r1357834719 
o|contracted procedure: k13855 
o|contracted procedure: k15241 
o|contracted procedure: k15246 
o|contracted procedure: k15371 
o|contracted procedure: k15517 
o|contracted procedure: k15625 
o|contracted procedure: k15716 
o|contracted procedure: k16332 
o|contracted procedure: k16349 
o|contracted procedure: k16486 
o|substituted constant variable: a16773 
o|substituted constant variable: a16785 
o|substituted constant variable: a16797 
o|contracted procedure: k16835 
o|substituted constant variable: r1704034771 
o|substituted constant variable: r1704034772 
o|substituted constant variable: r1729834776 
o|substituted constant variable: r1729834778 
o|inlining procedure: k21255 
o|substituted constant variable: r2280834863 
o|substituted constant variable: r2648034453 
o|removed side-effect free assignment to unused variable: ##sys#format-here-doc-warning 
o|substituted constant variable: r2966634969 
o|substituted constant variable: r2966634969 
o|substituted constant variable: r3003534970 
o|substituted constant variable: r3003534970 
o|substituted constant variable: r3003534971 
o|substituted constant variable: r3003534971 
o|substituted constant variable: r3184734994 
o|substituted constant variable: r3184734994 
o|substituted constant variable: r3184734994 
o|substituted constant variable: r3184734996 
o|substituted constant variable: r3184734996 
o|substituted constant variable: r3184734996 
o|simplifications: ((let . 3)) 
o|replaced variables: 27 
o|removed binding forms: 138 
o|removed conditional forms: 11 
o|substituted constant variable: code66634605 
o|substituted constant variable: r2125635142 
o|substituted constant variable: r2125635142 
o|replaced variables: 34 
o|removed binding forms: 57 
o|removed conditional forms: 1 
o|simplifications: ((let . 1)) 
o|removed binding forms: 21 
o|simplifications: ((if . 205) (##core#call . 2588)) 
o|  call simplifications:
o|    scheme#cdar	2
o|    scheme#set-cdr!	6
o|    scheme#list-tail
o|    scheme#set-car!	7
o|    ##sys#make-vector
o|    scheme#vector?
o|    ##sys#foreign-string-argument
o|    scheme#read-char
o|    scheme#string-length	3
o|    scheme#string-ref	3
o|    ##sys#list	6
o|    ##sys#context-switch	2
o|    ##sys#foreign-pointer-argument	3
o|    ##sys#null-pointer?	2
o|    ##sys#generic-structure?	2
o|    scheme#caddr	2
o|    scheme#write-char
o|    scheme#equal?	2
o|    scheme#memv	2
o|    scheme#caar	3
o|    scheme#cddr	3
o|    ##sys#check-structure	2
o|    scheme#string?	5
o|    ##sys#apply	2
o|    scheme#char-upper-case?
o|    scheme#char<?
o|    ##sys#void	4
o|    scheme#member	7
o|    ##sys#setbyte
o|    chicken.fixnum#fxior	13
o|    scheme#string=?	6
o|    scheme#char-numeric?	7
o|    scheme#char<=?
o|    chicken.fixnum#fx*	9
o|    scheme#eof-object?	25
o|    scheme#char=?	12
o|    scheme#char-whitespace?	7
o|    scheme#memq	12
o|    ##sys#immediate?	3
o|    chicken.fixnum#fxnot
o|    chicken.fixnum#fxand	16
o|    ##sys#call-with-current-continuation	3
o|    scheme#char?	4
o|    scheme#assq	5
o|    ##sys#setislot	28
o|    scheme#char->integer	16
o|    scheme#char-downcase	14
o|    chicken.fixnum#fxmin	3
o|    ##sys#check-vector	6
o|    scheme#string	6
o|    scheme#symbol?	8
o|    ##sys#check-symbol	10
o|    ##sys#byte	4
o|    ##sys#intern-symbol	12
o|    scheme#integer->char	22
o|    scheme#string-ci=?	2
o|    scheme#char>=?	3
o|    ##sys#foreign-flonum-argument
o|    ##sys#foreign-fixnum-argument	4
o|    chicken.base#fixnum?	2
o|    chicken.fixnum#fxshr	13
o|    chicken.fixnum#fxshl	8
o|    chicken.fixnum#fxneg	5
o|    scheme#cadr	14
o|    scheme#exact?
o|    chicken.base#ratnum?	14
o|    ##sys#check-number	10
o|    chicken.base#cplxnum?	17
o|    scheme#number?	8
o|    scheme#inexact?	7
o|    chicken.base#flonum?	46
o|    scheme#list->string
o|    chicken.fixnum#fx>	36
o|    scheme#length	6
o|    chicken.fixnum#fx>=	35
o|    chicken.fixnum#fx+	129
o|    ##sys#check-string	25
o|    chicken.fixnum#fx-	54
o|    ##sys#call-with-values	22
o|    scheme#procedure?	6
o|    ##sys#values	2
o|    chicken.fixnum#fx<=	28
o|    chicken.fixnum#fx<	39
o|    scheme#vector	7
o|    chicken.fixnum#fx=	22
o|    ##sys#size	71
o|    scheme#list	30
o|    ##sys#setslot	46
o|    scheme#list?	5
o|    ##sys#check-pair	3
o|    chicken.base#void	3
o|    scheme#null?	128
o|    ##sys#check-list	19
o|    scheme#not	90
o|    ##sys#make-structure	11
o|    ##sys#structure?	8
o|    scheme#apply	95
o|    scheme#call-with-values	2
o|    scheme#values	23
o|    ##sys#check-char	15
o|    scheme#pair?	90
o|    ##sys#slot	350
o|    scheme#cons	142
o|    scheme#eq?	394
o|    scheme#cdr	46
o|    scheme#car	120
o|contracted procedure: k8610 
o|contracted procedure: k8606 
o|contracted procedure: k8624 
o|contracted procedure: k8638 
o|contracted procedure: k8634 
o|contracted procedure: k8659 
o|contracted procedure: k8655 
o|contracted procedure: k8673 
o|contracted procedure: k8669 
o|contracted procedure: k8691 
o|contracted procedure: k8687 
o|contracted procedure: k8683 
o|contracted procedure: k8701 
o|contracted procedure: k8713 
o|contracted procedure: k8731 
o|contracted procedure: k8727 
o|contracted procedure: k8742 
o|contracted procedure: k8760 
o|contracted procedure: k8756 
o|contracted procedure: k8752 
o|contracted procedure: k8770 
o|contracted procedure: k8782 
o|contracted procedure: k8807 
o|contracted procedure: k8803 
o|contracted procedure: k8799 
o|contracted procedure: k8817 
o|contracted procedure: k8836 
o|contracted procedure: k8832 
o|contracted procedure: k8828 
o|contracted procedure: k8869 
o|contracted procedure: k8875 
o|contracted procedure: k8882 
o|contracted procedure: k8890 
o|contracted procedure: k8886 
o|contracted procedure: k9020 
o|contracted procedure: k9049 
o|contracted procedure: k9055 
o|contracted procedure: k9066 
o|contracted procedure: k9072 
o|contracted procedure: k9078 
o|contracted procedure: k9084 
o|contracted procedure: k9090 
o|contracted procedure: k9261 
o|contracted procedure: k9321 
o|contracted procedure: k9352 
o|contracted procedure: k9333 
o|contracted procedure: k9340 
o|contracted procedure: k9348 
o|contracted procedure: k9358 
o|contracted procedure: k9389 
o|contracted procedure: k9370 
o|contracted procedure: k9377 
o|contracted procedure: k9385 
o|contracted procedure: k9399 
o|contracted procedure: k9414 
o|contracted procedure: k9405 
o|contracted procedure: k9429 
o|contracted procedure: k9423 
o|contracted procedure: k9453 
o|contracted procedure: k9462 
o|contracted procedure: k9472 
o|contracted procedure: k9509 
o|contracted procedure: k9489 
o|contracted procedure: k9492 
o|contracted procedure: k9505 
o|contracted procedure: k9518 
o|contracted procedure: k9521 
o|contracted procedure: k9562 
o|contracted procedure: k9583 
o|contracted procedure: k9595 
o|contracted procedure: k9604 
o|contracted procedure: k9607 
o|contracted procedure: k9613 
o|contracted procedure: k9642 
o|contracted procedure: k9669 
o|contracted procedure: k9648 
o|contracted procedure: k9661 
o|contracted procedure: k9665 
o|contracted procedure: k9678 
o|contracted procedure: k9725 
o|contracted procedure: k9689 
o|contracted procedure: k9703 
o|contracted procedure: k9706 
o|contracted procedure: k9712 
o|contracted procedure: k9734 
o|contracted procedure: k9756 
o|contracted procedure: k9771 
o|contracted procedure: k9781 
o|contracted procedure: k9785 
o|contracted procedure: k9795 
o|contracted procedure: k9804 
o|contracted procedure: k9810 
o|contracted procedure: k9817 
o|contracted procedure: k9836 
o|contracted procedure: k9839 
o|contracted procedure: k9842 
o|contracted procedure: k9848 
o|contracted procedure: k9871 
o|contracted procedure: k9883 
o|contracted procedure: k9915 
o|contracted procedure: k9889 
o|contracted procedure: k9895 
o|contracted procedure: k9898 
o|contracted procedure: k9904 
o|contracted procedure: k9918 
o|contracted procedure: k9925 
o|contracted procedure: k9937 
o|contracted procedure: k9999 
o|contracted procedure: k9943 
o|contracted procedure: k9995 
o|contracted procedure: k9952 
o|contracted procedure: k9961 
o|contracted procedure: k9968 
o|contracted procedure: k9976 
o|contracted procedure: k9980 
o|contracted procedure: k9987 
o|contracted procedure: k9991 
o|contracted procedure: k10082 
o|contracted procedure: k10005 
o|contracted procedure: k10017 
o|contracted procedure: k10024 
o|contracted procedure: k10027 
o|contracted procedure: k10033 
o|contracted procedure: k10039 
o|contracted procedure: k10053 
o|contracted procedure: k10056 
o|contracted procedure: k10069 
o|contracted procedure: k10072 
o|contracted procedure: k10079 
o|contracted procedure: k10186 
o|contracted procedure: k10091 
o|contracted procedure: k10103 
o|contracted procedure: k10110 
o|contracted procedure: k10183 
o|contracted procedure: k10116 
o|contracted procedure: k10122 
o|contracted procedure: k10179 
o|contracted procedure: k10128 
o|contracted procedure: k10144 
o|contracted procedure: k10148 
o|contracted procedure: k10167 
o|contracted procedure: k10171 
o|contracted procedure: k10155 
o|contracted procedure: k10163 
o|contracted procedure: k10175 
o|contracted procedure: k10298 
o|contracted procedure: k10195 
o|contracted procedure: k10292 
o|contracted procedure: k10198 
o|contracted procedure: k10286 
o|contracted procedure: k10201 
o|contracted procedure: k10280 
o|contracted procedure: k10204 
o|contracted procedure: k10219 
o|contracted procedure: k10225 
o|contracted procedure: k10231 
o|contracted procedure: k10245 
o|contracted procedure: k10251 
o|contracted procedure: k10254 
o|contracted procedure: k10257 
o|contracted procedure: k10270 
o|contracted procedure: k10274 
o|contracted procedure: k10307 
o|contracted procedure: k10322 
o|contracted procedure: k10325 
o|contracted procedure: k10328 
o|contracted procedure: k10341 
o|contracted procedure: k10345 
o|contracted procedure: k10348 
o|contracted procedure: k10464 
o|contracted procedure: k10476 
o|contracted procedure: k10515 
o|contracted procedure: k10511 
o|contracted procedure: k10562 
o|contracted procedure: k10565 
o|contracted procedure: k10574 
o|contracted procedure: k10593 
o|contracted procedure: k10600 
o|contracted procedure: k10604 
o|contracted procedure: k10613 
o|contracted procedure: k10624 
o|contracted procedure: k10636 
o|contracted procedure: k10647 
o|contracted procedure: k10658 
o|contracted procedure: k10669 
o|contracted procedure: k10680 
o|contracted procedure: k10691 
o|contracted procedure: k10702 
o|contracted procedure: k10713 
o|contracted procedure: k10724 
o|contracted procedure: k10735 
o|contracted procedure: k10746 
o|contracted procedure: k10757 
o|contracted procedure: k10775 
o|contracted procedure: k10792 
o|contracted procedure: k10802 
o|contracted procedure: k10805 
o|contracted procedure: k10815 
o|contracted procedure: k10833 
o|contracted procedure: k10861 
o|contracted procedure: k10846 
o|contracted procedure: k10857 
o|contracted procedure: k10873 
o|contracted procedure: k10883 
o|contracted procedure: k10893 
o|contracted procedure: k10904 
o|contracted procedure: k10913 
o|contracted procedure: k10919 
o|contracted procedure: k10928 
o|contracted procedure: k10937 
o|contracted procedure: k10940 
o|contracted procedure: k11009 
o|contracted procedure: k11005 
o|contracted procedure: k10949 
o|contracted procedure: k10961 
o|contracted procedure: k10971 
o|contracted procedure: k10964 
o|contracted procedure: k10974 
o|contracted procedure: k11001 
o|contracted procedure: k10980 
o|contracted procedure: k10997 
o|contracted procedure: k10986 
o|contracted procedure: k10993 
o|contracted procedure: k11018 
o|contracted procedure: k11036 
o|contracted procedure: k11029 
o|contracted procedure: k11052 
o|contracted procedure: k11045 
o|contracted procedure: k11068 
o|contracted procedure: k11061 
o|contracted procedure: k11084 
o|contracted procedure: k11077 
o|contracted procedure: k11100 
o|contracted procedure: k11093 
o|contracted procedure: k11116 
o|contracted procedure: k11109 
o|contracted procedure: k11132 
o|contracted procedure: k11125 
o|contracted procedure: k11148 
o|contracted procedure: k11141 
o|contracted procedure: k11160 
o|contracted procedure: k11230 
o|contracted procedure: k11172 
o|contracted procedure: k11182 
o|contracted procedure: k11191 
o|contracted procedure: k11198 
o|contracted procedure: k11204 
o|contracted procedure: k11211 
o|contracted procedure: k11219 
o|contracted procedure: k11226 
o|contracted procedure: k11245 
o|contracted procedure: k11252 
o|contracted procedure: k11260 
o|contracted procedure: k11256 
o|contracted procedure: k11277 
o|contracted procedure: k11266 
o|contracted procedure: k11304 
o|contracted procedure: k11307 
o|contracted procedure: k11310 
o|contracted procedure: k11313 
o|contracted procedure: k11322 
o|contracted procedure: k11325 
o|contracted procedure: k11332 
o|contracted procedure: k11341 
o|contracted procedure: k11348 
o|contracted procedure: k11352 
o|contracted procedure: k11405 
o|contracted procedure: k11363 
o|contracted procedure: k11369 
o|contracted procedure: k11384 
o|contracted procedure: k11387 
o|contracted procedure: k11390 
o|contracted procedure: k11397 
o|contracted procedure: k11401 
o|contracted procedure: k11415 
o|contracted procedure: k11426 
o|contracted procedure: k11435 
o|contracted procedure: k11438 
o|contracted procedure: k11441 
o|contracted procedure: k11448 
o|contracted procedure: k11452 
o|contracted procedure: k11461 
o|contracted procedure: k11464 
o|contracted procedure: k11468 
o|contracted procedure: k11474 
o|contracted procedure: k11477 
o|contracted procedure: k11486 
o|contracted procedure: k11495 
o|contracted procedure: k11511 
o|contracted procedure: k11517 
o|contracted procedure: k11523 
o|contracted procedure: k11540 
o|contracted procedure: k11545 
o|contracted procedure: k11548 
o|contracted procedure: k11559 
o|contracted procedure: k11572 
o|contracted procedure: k11581 
o|contracted procedure: k11596 
o|contracted procedure: k11605 
o|contracted procedure: k11623 
o|contracted procedure: k11644 
o|contracted procedure: k11655 
o|contracted procedure: k11658 
o|contracted procedure: k11669 
o|contracted procedure: k11682 
o|contracted procedure: k11691 
o|contracted procedure: k11706 
o|contracted procedure: k11715 
o|contracted procedure: k11733 
o|contracted procedure: k11754 
o|contracted procedure: k11766 
o|contracted procedure: k11769 
o|contracted procedure: k11776 
o|contracted procedure: k11791 
o|contracted procedure: k11798 
o|contracted procedure: k11801 
o|contracted procedure: k11804 
o|contracted procedure: k11811 
o|contracted procedure: k11815 
o|contracted procedure: k11839 
o|contracted procedure: k11842 
o|contracted procedure: k11845 
o|contracted procedure: k11852 
o|contracted procedure: k11856 
o|contracted procedure: k11868 
o|contracted procedure: k11880 
o|contracted procedure: k11886 
o|contracted procedure: k11901 
o|contracted procedure: k11916 
o|contracted procedure: k11935 
o|contracted procedure: k11923 
o|contracted procedure: k11927 
o|contracted procedure: k11931 
o|contracted procedure: k11938 
o|contracted procedure: k11969 
o|contracted procedure: k11962 
o|contracted procedure: k11993 
o|contracted procedure: k11986 
o|contracted procedure: k12017 
o|contracted procedure: k12010 
o|contracted procedure: k12041 
o|contracted procedure: k12034 
o|contracted procedure: k12065 
o|contracted procedure: k12058 
o|contracted procedure: k12089 
o|contracted procedure: k12082 
o|contracted procedure: k12113 
o|contracted procedure: k12106 
o|contracted procedure: k12137 
o|contracted procedure: k12130 
o|contracted procedure: k12161 
o|contracted procedure: k12154 
o|contracted procedure: k12185 
o|contracted procedure: k12178 
o|contracted procedure: k12209 
o|contracted procedure: k12202 
o|contracted procedure: k12226 
o|contracted procedure: k12251 
o|contracted procedure: k12244 
o|contracted procedure: k12275 
o|contracted procedure: k12268 
o|contracted procedure: k12292 
o|contracted procedure: k12310 
o|contracted procedure: k12328 
o|contracted procedure: k12346 
o|contracted procedure: k12364 
o|contracted procedure: k12382 
o|contracted procedure: k12400 
o|contracted procedure: k12418 
o|contracted procedure: k12436 
o|contracted procedure: k12454 
o|contracted procedure: k12479 
o|contracted procedure: k12472 
o|contracted procedure: k12496 
o|contracted procedure: k12521 
o|contracted procedure: k12514 
o|contracted procedure: k12538 
o|contracted procedure: k12556 
o|contracted procedure: k12574 
o|contracted procedure: k12592 
o|contracted procedure: k12614 
o|contracted procedure: k12605 
o|contracted procedure: k12630 
o|contracted procedure: k12644 
o|contracted procedure: k12648 
o|contracted procedure: k12699 
o|contracted procedure: k12710 
o|contracted procedure: k12722 
o|contracted procedure: k12736 
o|contracted procedure: k12745 
o|contracted procedure: k12764 
o|contracted procedure: k12790 
o|contracted procedure: k12803 
o|contracted procedure: k12809 
o|contracted procedure: k12856 
o|contracted procedure: k12878 
o|contracted procedure: k12902 
o|contracted procedure: k12924 
o|contracted procedure: k12941 
o|contracted procedure: k12953 
o|contracted procedure: k13061 
o|contracted procedure: k12990 
o|contracted procedure: k13031 
o|contracted procedure: k13087 
o|contracted procedure: k13139 
o|contracted procedure: k13149 
o|contracted procedure: k13162 
o|contracted procedure: k13169 
o|contracted procedure: k13177 
o|contracted procedure: k13181 
o|contracted procedure: k13219 
o|contracted procedure: k13222 
o|contracted procedure: k13269 
o|contracted procedure: k13286 
o|contracted procedure: k13292 
o|contracted procedure: k13373 
o|contracted procedure: k13417 
o|contracted procedure: k13407 
o|contracted procedure: k13425 
o|contracted procedure: k13448 
o|contracted procedure: k13489 
o|contracted procedure: k13530 
o|contracted procedure: k13561 
o|contracted procedure: k13603 
o|contracted procedure: k13622 
o|contracted procedure: k13673 
o|contracted procedure: k13698 
o|contracted procedure: k13702 
o|contracted procedure: k13733 
o|contracted procedure: k13736 
o|contracted procedure: k13759 
o|contracted procedure: k13765 
o|contracted procedure: k13772 
o|contracted procedure: k13779 
o|contracted procedure: k13783 
o|contracted procedure: k13787 
o|contracted procedure: k13802 
o|contracted procedure: k13808 
o|contracted procedure: k13815 
o|contracted procedure: k13822 
o|contracted procedure: k13826 
o|contracted procedure: k13830 
o|contracted procedure: k13838 
o|contracted procedure: k13844 
o|contracted procedure: k13883 
o|contracted procedure: k13892 
o|contracted procedure: k13943 
o|contracted procedure: k13923 
o|contracted procedure: k13952 
o|contracted procedure: k13958 
o|contracted procedure: k13982 
o|contracted procedure: k13988 
o|contracted procedure: k14012 
o|contracted procedure: k14018 
o|contracted procedure: k14037 
o|contracted procedure: k14073 
o|contracted procedure: k14090 
o|contracted procedure: k14113 
o|contracted procedure: k14179 
o|contracted procedure: k14130 
o|contracted procedure: k14133 
o|contracted procedure: k14139 
o|contracted procedure: k14344 
o|contracted procedure: k14191 
o|contracted procedure: k14197 
o|contracted procedure: k14200 
o|contracted procedure: k14209 
o|contracted procedure: k14218 
o|contracted procedure: k14227 
o|contracted procedure: k14339 
o|contracted procedure: k14249 
o|contracted procedure: k14252 
o|contracted procedure: k14267 
o|contracted procedure: k14282 
o|contracted procedure: k14365 
o|contracted procedure: k14428 
o|contracted procedure: k14438 
o|contracted procedure: k14462 
o|contracted procedure: k14486 
o|contracted procedure: k14534 
o|contracted procedure: k14618 
o|contracted procedure: k14622 
o|contracted procedure: k14665 
o|contracted procedure: k14714 
o|contracted procedure: k14950 
o|contracted procedure: k14732 
o|contracted procedure: k14946 
o|contracted procedure: k14741 
o|contracted procedure: k14778 
o|contracted procedure: k14819 
o|contracted procedure: k14853 
o|contracted procedure: k14897 
o|contracted procedure: k14900 
o|contracted procedure: k14927 
o|contracted procedure: k14935 
o|contracted procedure: k14942 
o|contracted procedure: k14972 
o|contracted procedure: k14994 
o|contracted procedure: k15035 
o|contracted procedure: k15042 
o|contracted procedure: k15046 
o|contracted procedure: k15055 
o|contracted procedure: k15066 
o|contracted procedure: k15077 
o|contracted procedure: k15097 
o|contracted procedure: k15104 
o|contracted procedure: k15108 
o|contracted procedure: k15117 
o|contracted procedure: k15128 
o|contracted procedure: k15143 
o|contracted procedure: k15196 
o|contracted procedure: k15149 
o|contracted procedure: k15186 
o|contracted procedure: k15181 
o|contracted procedure: k15205 
o|contracted procedure: k15236 
o|contracted procedure: k15257 
o|contracted procedure: k15377 
o|contracted procedure: k15388 
o|contracted procedure: k15413 
o|contracted procedure: k15426 
o|contracted procedure: k15437 
o|contracted procedure: k15454 
o|contracted procedure: k15460 
o|contracted procedure: k15466 
o|contracted procedure: k15282 
o|contracted procedure: k15344 
o|contracted procedure: k15294 
o|contracted procedure: k15300 
o|contracted procedure: k15305 
o|contracted procedure: k15359 
o|contracted procedure: k15363 
o|contracted procedure: k15321 
o|contracted procedure: k15325 
o|contracted procedure: k15480 
o|contracted procedure: k16802 
o|contracted procedure: k16794 
o|contracted procedure: k15483 
o|contracted procedure: k16790 
o|contracted procedure: k16782 
o|contracted procedure: k15486 
o|contracted procedure: k16778 
o|contracted procedure: k16770 
o|contracted procedure: k15489 
o|contracted procedure: k15503 
o|contracted procedure: k15509 
o|contracted procedure: k15523 
o|contracted procedure: k15548 
o|contracted procedure: k15529 
o|contracted procedure: k15536 
o|contracted procedure: k15542 
o|contracted procedure: k15595 
o|contracted procedure: k15556 
o|contracted procedure: k15566 
o|contracted procedure: k15572 
o|contracted procedure: k15578 
o|contracted procedure: k15611 
o|contracted procedure: k15617 
o|contracted procedure: k15631 
o|contracted procedure: k15638 
o|contracted procedure: k15644 
o|contracted procedure: k15658 
o|contracted procedure: k15665 
o|contracted procedure: k15686 
o|contracted procedure: k15700 
o|contracted procedure: k15711 
o|contracted procedure: k15722 
o|contracted procedure: k15742 
o|contracted procedure: k15746 
o|contracted procedure: k15754 
o|contracted procedure: k15760 
o|contracted procedure: k15772 
o|contracted procedure: k15778 
o|contracted procedure: k15793 
o|contracted procedure: k15799 
o|contracted procedure: k15811 
o|contracted procedure: k15826 
o|contracted procedure: k15854 
o|contracted procedure: k15850 
o|contracted procedure: k15858 
o|contracted procedure: k15861 
o|contracted procedure: k15864 
o|contracted procedure: k15867 
o|contracted procedure: k15873 
o|contracted procedure: k15891 
o|contracted procedure: k15897 
o|contracted procedure: k15903 
o|contracted procedure: k15909 
o|contracted procedure: k15915 
o|contracted procedure: k15921 
o|contracted procedure: k15927 
o|contracted procedure: k15933 
o|contracted procedure: k15967 
o|contracted procedure: k15994 
o|contracted procedure: k16009 
o|contracted procedure: k16018 
o|contracted procedure: k16044 
o|contracted procedure: k16024 
o|contracted procedure: k16031 
o|contracted procedure: k16052 
o|contracted procedure: k16058 
o|contracted procedure: k16064 
o|contracted procedure: k16092 
o|contracted procedure: k16096 
o|contracted procedure: k16106 
o|contracted procedure: k16110 
o|contracted procedure: k16126 
o|contracted procedure: k16204 
o|contracted procedure: k16135 
o|contracted procedure: k16200 
o|contracted procedure: k16150 
o|contracted procedure: k16159 
o|contracted procedure: k16170 
o|contracted procedure: k16185 
o|contracted procedure: k16208 
o|contracted procedure: k16217 
o|contracted procedure: k16223 
o|contracted procedure: k16229 
o|contracted procedure: k16235 
o|contracted procedure: k16241 
o|contracted procedure: k16247 
o|contracted procedure: k16253 
o|contracted procedure: k16259 
o|contracted procedure: k16290 
o|contracted procedure: k16319 
o|contracted procedure: k16300 
o|contracted procedure: k16306 
o|contracted procedure: k16327 
o|contracted procedure: k16338 
o|contracted procedure: k16344 
o|contracted procedure: k16355 
o|contracted procedure: k16358 
o|contracted procedure: k16371 
o|contracted procedure: k16442 
o|contracted procedure: k16377 
o|contracted procedure: k16387 
o|contracted procedure: k16420 
o|contracted procedure: k16403 
o|contracted procedure: k16417 
o|contracted procedure: k16410 
o|contracted procedure: k16407 
o|contracted procedure: k16438 
o|contracted procedure: k16423 
o|contracted procedure: k16434 
o|contracted procedure: k16448 
o|contracted procedure: k16451 
o|contracted procedure: k16464 
o|contracted procedure: k16512 
o|contracted procedure: k16470 
o|contracted procedure: k16476 
o|contracted procedure: k16500 
o|contracted procedure: k16493 
o|contracted procedure: k16490 
o|contracted procedure: k16508 
o|contracted procedure: k16519 
o|contracted procedure: k16539 
o|contracted procedure: k16545 
o|contracted procedure: k16564 
o|contracted procedure: k16580 
o|contracted procedure: k16587 
o|contracted procedure: k16590 
o|contracted procedure: k16629 
o|contracted procedure: k16596 
o|contracted procedure: k16602 
o|contracted procedure: k16605 
o|contracted procedure: k16637 
o|contracted procedure: k16640 
o|contracted procedure: k16650 
o|contracted procedure: k16698 
o|contracted procedure: k16656 
o|contracted procedure: k16662 
o|contracted procedure: k16708 
o|contracted procedure: k16732 
o|contracted procedure: k16718 
o|contracted procedure: k16736 
o|contracted procedure: k16759 
o|contracted procedure: k17054 
o|contracted procedure: k16808 
o|contracted procedure: k16811 
o|contracted procedure: k16821 
o|contracted procedure: k17013 
o|contracted procedure: k16841 
o|contracted procedure: k16844 
o|contracted procedure: k16850 
o|contracted procedure: k16857 
o|contracted procedure: k16863 
o|contracted procedure: k16866 
o|contracted procedure: k16872 
o|contracted procedure: k16879 
o|contracted procedure: k16885 
o|contracted procedure: k16888 
o|contracted procedure: k16894 
o|contracted procedure: k16901 
o|contracted procedure: k16907 
o|contracted procedure: k16910 
o|contracted procedure: k16916 
o|contracted procedure: k16923 
o|contracted procedure: k16929 
o|contracted procedure: k16932 
o|contracted procedure: k16938 
o|contracted procedure: k16945 
o|contracted procedure: k16951 
o|contracted procedure: k16954 
o|contracted procedure: k16960 
o|contracted procedure: k16967 
o|contracted procedure: k17036 
o|contracted procedure: k17023 
o|contracted procedure: k17048 
o|contracted procedure: k17039 
o|contracted procedure: k17096 
o|contracted procedure: k17063 
o|contracted procedure: k17090 
o|contracted procedure: k17066 
o|contracted procedure: k17084 
o|contracted procedure: k17069 
o|contracted procedure: k17078 
o|contracted procedure: k17072 
o|contracted procedure: k17112 
o|contracted procedure: k17115 
o|contracted procedure: k17121 
o|contracted procedure: k17124 
o|contracted procedure: k17130 
o|contracted procedure: k17142 
o|contracted procedure: k17149 
o|contracted procedure: k17153 
o|contracted procedure: k17166 
o|contracted procedure: k17170 
o|contracted procedure: k17174 
o|contracted procedure: k17180 
o|contracted procedure: k17189 
o|contracted procedure: k17195 
o|contracted procedure: k17206 
o|contracted procedure: k17212 
o|contracted procedure: k17218 
o|contracted procedure: k17239 
o|contracted procedure: k17249 
o|contracted procedure: k17245 
o|contracted procedure: k17252 
o|contracted procedure: k17265 
o|contracted procedure: k17258 
o|contracted procedure: k17282 
o|contracted procedure: k17291 
o|contracted procedure: k17303 
o|contracted procedure: k17309 
o|contracted procedure: k17297 
o|contracted procedure: k17318 
o|contracted procedure: k17321 
o|contracted procedure: k17336 
o|contracted procedure: k17339 
o|contracted procedure: k17362 
o|contracted procedure: k17365 
o|contracted procedure: k17380 
o|contracted procedure: k17397 
o|contracted procedure: k17386 
o|contracted procedure: k17393 
o|contracted procedure: k17416 
o|contracted procedure: k17429 
o|contracted procedure: k17442 
o|contracted procedure: k17461 
o|contracted procedure: k17479 
o|contracted procedure: k17482 
o|contracted procedure: k17517 
o|contracted procedure: k17537 
o|contracted procedure: k17540 
o|contracted procedure: k17543 
o|contracted procedure: k17551 
o|contracted procedure: k17559 
o|contracted procedure: k17522 
o|contracted procedure: k17571 
o|contracted procedure: k17577 
o|contracted procedure: k17588 
o|contracted procedure: k17611 
o|contracted procedure: k17634 
o|contracted procedure: k17616 
o|contracted procedure: k17619 
o|contracted procedure: k17625 
o|contracted procedure: k17674 
o|contracted procedure: k17677 
o|contracted procedure: k17689 
o|contracted procedure: k17704 
o|contracted procedure: k17715 
o|contracted procedure: k17710 
o|contracted procedure: k17734 
o|contracted procedure: k17731 
o|contracted procedure: k17740 
o|contracted procedure: k17796 
o|contracted procedure: k17753 
o|contracted procedure: k17759 
o|contracted procedure: k17774 
o|contracted procedure: k17792 
o|contracted procedure: k17777 
o|contracted procedure: k17784 
o|contracted procedure: k17788 
o|contracted procedure: k17802 
o|contracted procedure: k17814 
o|contracted procedure: k17821 
o|contracted procedure: k17829 
o|contracted procedure: k17841 
o|contracted procedure: k17853 
o|contracted procedure: k17856 
o|contracted procedure: k17863 
o|contracted procedure: k17869 
o|contracted procedure: k17872 
o|contracted procedure: k17875 
o|contracted procedure: k17878 
o|contracted procedure: k17899 
o|contracted procedure: k17913 
o|contracted procedure: k17902 
o|contracted procedure: k17909 
o|contracted procedure: k17916 
o|contracted procedure: k17919 
o|contracted procedure: k17928 
o|contracted procedure: k18000 
o|contracted procedure: k17938 
o|contracted procedure: k17941 
o|contracted procedure: k17944 
o|contracted procedure: k17947 
o|contracted procedure: k17950 
o|contracted procedure: k17971 
o|contracted procedure: k17989 
o|contracted procedure: k17985 
o|contracted procedure: k17974 
o|contracted procedure: k17981 
o|contracted procedure: k17993 
o|contracted procedure: k17997 
o|contracted procedure: k18021 
o|contracted procedure: k18009 
o|contracted procedure: k18012 
o|contracted procedure: k18045 
o|contracted procedure: k18059 
o|contracted procedure: k18048 
o|contracted procedure: k18055 
o|contracted procedure: k18063 
o|contracted procedure: k18073 
o|contracted procedure: k18077 
o|contracted procedure: k18084 
o|contracted procedure: k18088 
o|contracted procedure: k18095 
o|contracted procedure: k18099 
o|contracted procedure: k18106 
o|contracted procedure: k18110 
o|contracted procedure: k18117 
o|contracted procedure: k18121 
o|contracted procedure: k18131 
o|contracted procedure: k18138 
o|contracted procedure: k18147 
o|contracted procedure: k18150 
o|contracted procedure: k18167 
o|contracted procedure: k18156 
o|contracted procedure: k18163 
o|contracted procedure: k18178 
o|contracted procedure: k18193 
o|contracted procedure: k18196 
o|contracted procedure: k18208 
o|contracted procedure: k18211 
o|contracted procedure: k18225 
o|contracted procedure: k18221 
o|contracted procedure: k18229 
o|contracted procedure: k18252 
o|contracted procedure: k18233 
o|contracted procedure: k18244 
o|contracted procedure: k18248 
o|contracted procedure: k18240 
o|contracted procedure: k18266 
o|contracted procedure: k18262 
o|contracted procedure: k18255 
o|contracted procedure: k18269 
o|contracted procedure: k18272 
o|contracted procedure: k18281 
o|contracted procedure: k18342 
o|contracted procedure: k18348 
o|contracted procedure: k18358 
o|contracted procedure: k18362 
o|contracted procedure: k18380 
o|contracted procedure: k18386 
o|contracted procedure: k18401 
o|contracted procedure: k18405 
o|contracted procedure: k18416 
o|contracted procedure: k18419 
o|contracted procedure: k18425 
o|contracted procedure: k18434 
o|contracted procedure: k18449 
o|contracted procedure: k18460 
o|contracted procedure: k18503 
o|contracted procedure: k18478 
o|contracted procedure: k18499 
o|contracted procedure: k18495 
o|contracted procedure: k18484 
o|contracted procedure: k18491 
o|contracted procedure: k18514 
o|contracted procedure: k18517 
o|contracted procedure: k18529 
o|contracted procedure: k18539 
o|contracted procedure: k18543 
o|contracted procedure: k18550 
o|contracted procedure: k18556 
o|contracted procedure: k18562 
o|contracted procedure: k18600 
o|contracted procedure: k18603 
o|contracted procedure: k18606 
o|contracted procedure: k18618 
o|contracted procedure: k18621 
o|contracted procedure: k18624 
o|contracted procedure: k18632 
o|contracted procedure: k18640 
o|contracted procedure: k18650 
o|contracted procedure: k18656 
o|contracted procedure: k18662 
o|contracted procedure: k18728 
o|contracted procedure: k18708 
o|contracted procedure: k18718 
o|contracted procedure: k18750 
o|contracted procedure: k18761 
o|contracted procedure: k18765 
o|contracted procedure: k18757 
o|contracted procedure: k18775 
o|contracted procedure: k18784 
o|contracted procedure: k18798 
o|contracted procedure: k18790 
o|contracted procedure: k18802 
o|contracted procedure: k18806 
o|contracted procedure: k18827 
o|contracted procedure: k18809 
o|contracted procedure: k18813 
o|contracted procedure: k18823 
o|contracted procedure: k18856 
o|contracted procedure: k18862 
o|contracted procedure: k18865 
o|contracted procedure: k18868 
o|contracted procedure: k18871 
o|contracted procedure: k18874 
o|contracted procedure: k18877 
o|contracted procedure: k18880 
o|contracted procedure: k31976 
o|contracted procedure: k31982 
o|contracted procedure: k32016 
o|contracted procedure: k32022 
o|contracted procedure: k32078 
o|contracted procedure: k32084 
o|contracted procedure: k32090 
o|contracted procedure: k32103 
o|contracted procedure: k32107 
o|contracted procedure: k32111 
o|contracted procedure: k32133 
o|contracted procedure: k32140 
o|contracted procedure: k32144 
o|contracted procedure: k32148 
o|contracted procedure: k32158 
o|contracted procedure: k32174 
o|contracted procedure: k32178 
o|contracted procedure: k32185 
o|contracted procedure: k32191 
o|contracted procedure: k32200 
o|contracted procedure: k32206 
o|contracted procedure: k32220 
o|contracted procedure: k32224 
o|contracted procedure: k32236 
o|contracted procedure: k32242 
o|contracted procedure: k32248 
o|contracted procedure: k32272 
o|contracted procedure: k32251 
o|contracted procedure: k32309 
o|contracted procedure: k32305 
o|contracted procedure: k32294 
o|contracted procedure: k32323 
o|contracted procedure: k32319 
o|contracted procedure: k32312 
o|contracted procedure: k32326 
o|contracted procedure: k18884 
o|contracted procedure: k18915 
o|contracted procedure: k18926 
o|contracted procedure: k18937 
o|contracted procedure: k18948 
o|contracted procedure: k18959 
o|contracted procedure: k18962 
o|contracted procedure: k18988 
o|contracted procedure: k18994 
o|contracted procedure: k19001 
o|contracted procedure: k19007 
o|contracted procedure: k19020 
o|contracted procedure: k19023 
o|contracted procedure: k19049 
o|contracted procedure: k19055 
o|contracted procedure: k19062 
o|contracted procedure: k19068 
o|contracted procedure: k19081 
o|contracted procedure: k19084 
o|contracted procedure: k19110 
o|contracted procedure: k19116 
o|contracted procedure: k19123 
o|contracted procedure: k19129 
o|contracted procedure: k19142 
o|contracted procedure: k19165 
o|contracted procedure: k19168 
o|contracted procedure: k19211 
o|contracted procedure: k19214 
o|contracted procedure: k19224 
o|contracted procedure: k19227 
o|contracted procedure: k1922434813 
o|contracted procedure: k19234 
o|contracted procedure: k1922434817 
o|contracted procedure: k19241 
o|contracted procedure: k1922434821 
o|contracted procedure: k19266 
o|contracted procedure: k19290 
o|contracted procedure: k19294 
o|contracted procedure: k19286 
o|contracted procedure: k19272 
o|contracted procedure: k19282 
o|contracted procedure: k19275 
o|contracted procedure: k19447 
o|contracted procedure: k19453 
o|contracted procedure: k19473 
o|contracted procedure: k19466 
o|contracted procedure: k19488 
o|contracted procedure: k19479 
o|contracted procedure: k19506 
o|contracted procedure: k19513 
o|contracted procedure: k19535 
o|contracted procedure: k19552 
o|contracted procedure: k19541 
o|contracted procedure: k19548 
o|contracted procedure: k19556 
o|contracted procedure: k19559 
o|contracted procedure: k19575 
o|contracted procedure: k19614 
o|contracted procedure: k19585 
o|contracted procedure: k19594 
o|contracted procedure: k19597 
o|contracted procedure: k19610 
o|contracted procedure: k19620 
o|contracted procedure: k19636 
o|contracted procedure: k19632 
o|contracted procedure: k19648 
o|contracted procedure: k19678 
o|contracted procedure: k19755 
o|contracted procedure: k19689 
o|contracted procedure: k19713 
o|contracted procedure: k19726 
o|contracted procedure: k19733 
o|contracted procedure: k19743 
o|contracted procedure: k19739 
o|contracted procedure: k19746 
o|contracted procedure: k19830 
o|contracted procedure: k19990 
o|contracted procedure: k19837 
o|contracted procedure: k19851 
o|contracted procedure: k19860 
o|contracted procedure: k19868 
o|contracted procedure: k19872 
o|contracted procedure: k19878 
o|contracted procedure: k19887 
o|contracted procedure: k19893 
o|contracted procedure: k19903 
o|contracted procedure: k19919 
o|contracted procedure: k19925 
o|contracted procedure: k19932 
o|contracted procedure: k19938 
o|contracted procedure: k19948 
o|contracted procedure: k19954 
o|contracted procedure: k19960 
o|contracted procedure: k19969 
o|contracted procedure: k19987 
o|contracted procedure: k19975 
o|contracted procedure: k19983 
o|contracted procedure: k20017 
o|contracted procedure: k20001 
o|contracted procedure: k20014 
o|contracted procedure: k20007 
o|contracted procedure: k20035 
o|contracted procedure: k20026 
o|contracted procedure: k20050 
o|contracted procedure: k20064 
o|contracted procedure: k20060 
o|contracted procedure: k20053 
o|inlining procedure: k20047 
o|contracted procedure: k20070 
o|contracted procedure: k20081 
o|contracted procedure: k20077 
o|inlining procedure: k20047 
o|contracted procedure: k20085 
o|contracted procedure: k20088 
o|contracted procedure: k20098 
o|contracted procedure: k20091 
o|contracted procedure: k20116 
o|contracted procedure: k20132 
o|contracted procedure: k20119 
o|contracted procedure: k20125 
o|contracted procedure: k20147 
o|contracted procedure: k20138 
o|contracted procedure: k20165 
o|contracted procedure: k20156 
o|contracted procedure: k20219 
o|contracted procedure: k20242 
o|contracted procedure: k20253 
o|contracted procedure: k20314 
o|contracted procedure: k20321 
o|contracted procedure: k20343 
o|contracted procedure: k20371 
o|contracted procedure: k20387 
o|contracted procedure: k20412 
o|contracted procedure: k20437 
o|contracted procedure: k20440 
o|contracted procedure: k20450 
o|contracted procedure: k20454 
o|contracted procedure: k20466 
o|contracted procedure: k20478 
o|contracted procedure: k20485 
o|contracted procedure: k20489 
o|contracted procedure: k20494 
o|contracted procedure: k20519 
o|contracted procedure: k20529 
o|contracted procedure: k20540 
o|contracted procedure: k20546 
o|contracted procedure: k20557 
o|contracted procedure: k20563 
o|contracted procedure: k20574 
o|contracted procedure: k20580 
o|contracted procedure: k20591 
o|contracted procedure: k20597 
o|contracted procedure: k20608 
o|contracted procedure: k20618 
o|contracted procedure: k20629 
o|contracted procedure: k20639 
o|contracted procedure: k20650 
o|contracted procedure: k20660 
o|contracted procedure: k20663 
o|contracted procedure: k20674 
o|contracted procedure: k20684 
o|contracted procedure: k20728 
o|contracted procedure: k20758 
o|contracted procedure: k20787 
o|contracted procedure: k20801 
o|contracted procedure: k20807 
o|contracted procedure: k20822 
o|contracted procedure: k20825 
o|contracted procedure: k20838 
o|contracted procedure: k20853 
o|contracted procedure: k20869 
o|contracted procedure: k20948 
o|contracted procedure: k20944 
o|contracted procedure: k20936 
o|contracted procedure: k20932 
o|contracted procedure: k20917 
o|contracted procedure: k20928 
o|contracted procedure: k20962 
o|contracted procedure: k20965 
o|contracted procedure: k20971 
o|contracted procedure: k20977 
o|contracted procedure: k20983 
o|contracted procedure: k21000 
o|contracted procedure: k21006 
o|contracted procedure: k21046 
o|contracted procedure: k21060 
o|contracted procedure: k21069 
o|contracted procedure: k21078 
o|contracted procedure: k21111 
o|contracted procedure: k21152 
o|contracted procedure: k21161 
o|contracted procedure: k21173 
o|contracted procedure: k21185 
o|contracted procedure: k21194 
o|contracted procedure: k21212 
o|contracted procedure: k21230 
o|contracted procedure: k21233 
o|contracted procedure: k21270 
o|contracted procedure: k21243 
o|contracted procedure: k21264 
o|contracted procedure: k21276 
o|contracted procedure: k21282 
o|contracted procedure: k21288 
o|contracted procedure: k21297 
o|contracted procedure: k21300 
o|contracted procedure: k21334 
o|contracted procedure: k21368 
o|contracted procedure: k21410 
o|contracted procedure: k21402 
o|contracted procedure: k21419 
o|contracted procedure: k21431 
o|contracted procedure: k21440 
o|contracted procedure: k21470 
o|contracted procedure: k21482 
o|contracted procedure: k21491 
o|contracted procedure: k21547 
o|contracted procedure: k21559 
o|inlining procedure: k21576 
o|contracted procedure: k21580 
o|inlining procedure: k21576 
o|contracted procedure: k21586 
o|contracted procedure: k21611 
o|contracted procedure: k21631 
o|contracted procedure: k21638 
o|contracted procedure: k21681 
o|contracted procedure: k21701 
o|contracted procedure: k21719 
o|contracted procedure: k21712 
o|contracted procedure: k21725 
o|contracted procedure: k21736 
o|contracted procedure: k21732 
o|contracted procedure: k21742 
o|contracted procedure: k21754 
o|contracted procedure: k21778 
o|contracted procedure: k21788 
o|contracted procedure: k21798 
o|contracted procedure: k21818 
o|contracted procedure: k21804 
o|contracted procedure: k21815 
o|contracted procedure: k21827 
o|contracted procedure: k21836 
o|contracted procedure: k21846 
o|inlining procedure: k21853 
o|contracted procedure: k21857 
o|inlining procedure: k21853 
o|contracted procedure: k21871 
o|contracted procedure: k21889 
o|contracted procedure: k21895 
o|contracted procedure: k21912 
o|contracted procedure: k21915 
o|contracted procedure: k21937 
o|contracted procedure: k22056 
o|contracted procedure: k21943 
o|contracted procedure: k22052 
o|contracted procedure: k22044 
o|contracted procedure: k22048 
o|contracted procedure: k22040 
o|contracted procedure: k21946 
o|contracted procedure: k21949 
o|contracted procedure: k22036 
o|contracted procedure: k22032 
o|contracted procedure: k22028 
o|contracted procedure: k22024 
o|contracted procedure: k22011 
o|contracted procedure: k22019 
o|contracted procedure: k22015 
o|contracted procedure: k21955 
o|contracted procedure: k21967 
o|contracted procedure: k21998 
o|contracted procedure: k22006 
o|contracted procedure: k22002 
o|contracted procedure: k21971 
o|contracted procedure: k21977 
o|contracted procedure: k21985 
o|contracted procedure: k21993 
o|contracted procedure: k21989 
o|contracted procedure: k21981 
o|contracted procedure: k22060 
o|contracted procedure: k22083 
o|contracted procedure: k22104 
o|contracted procedure: k22110 
o|contracted procedure: k22127 
o|contracted procedure: k22116 
o|contracted procedure: k22123 
o|contracted procedure: k22140 
o|contracted procedure: k22150 
o|contracted procedure: k22147 
o|contracted procedure: k22163 
o|contracted procedure: k22185 
o|contracted procedure: k22200 
o|contracted procedure: k22252 
o|contracted procedure: k22209 
o|contracted procedure: k22215 
o|contracted procedure: k22234 
o|contracted procedure: k22237 
o|contracted procedure: k22248 
o|contracted procedure: k22288 
o|contracted procedure: k22312 
o|contracted procedure: k22324 
o|contracted procedure: k22340 
o|contracted procedure: k22356 
o|contracted procedure: k22365 
o|contracted procedure: k22392 
o|contracted procedure: k22404 
o|contracted procedure: k22413 
o|contracted procedure: k22422 
o|contracted procedure: k22431 
o|contracted procedure: k22455 
o|contracted procedure: k22467 
o|contracted procedure: k22470 
o|contracted procedure: k22485 
o|contracted procedure: k22495 
o|contracted procedure: k22502 
o|contracted procedure: k22526 
o|contracted procedure: k22535 
o|contracted procedure: k22541 
o|contracted procedure: k22553 
o|contracted procedure: k22565 
o|contracted procedure: k22577 
o|contracted procedure: k22589 
o|contracted procedure: k22601 
o|contracted procedure: k22613 
o|contracted procedure: k22644 
o|contracted procedure: k22653 
o|contracted procedure: k22659 
o|contracted procedure: k22668 
o|contracted procedure: k22677 
o|contracted procedure: k22689 
o|contracted procedure: k22704 
o|contracted procedure: k22716 
o|contracted procedure: k22731 
o|contracted procedure: k22747 
o|contracted procedure: k22759 
o|contracted procedure: k22778 
o|contracted procedure: k22827 
o|contracted procedure: k22816 
o|contracted procedure: k22823 
o|contracted procedure: k22807 
o|contracted procedure: k22838 
o|contracted procedure: k22851 
o|contracted procedure: k22861 
o|contracted procedure: k22888 
o|contracted procedure: k22894 
o|contracted procedure: k22904 
o|contracted procedure: k22910 
o|contracted procedure: k22923 
o|contracted procedure: k22926 
o|contracted procedure: k22949 
o|contracted procedure: k22996 
o|contracted procedure: k23002 
o|contracted procedure: k23011 
o|contracted procedure: k23023 
o|contracted procedure: k23035 
o|contracted procedure: k23044 
o|contracted procedure: k23047 
o|contracted procedure: k23056 
o|contracted procedure: k23062 
o|contracted procedure: k23071 
o|contracted procedure: k23080 
o|contracted procedure: k23089 
o|contracted procedure: k23098 
o|contracted procedure: k23101 
o|contracted procedure: k23161 
o|contracted procedure: k23147 
o|contracted procedure: k23157 
o|contracted procedure: k23175 
o|contracted procedure: k23165 
o|contracted procedure: k23172 
o|contracted procedure: k23184 
o|contracted procedure: k23190 
o|contracted procedure: k23199 
o|contracted procedure: k23226 
o|contracted procedure: k23222 
o|contracted procedure: k23206 
o|contracted procedure: k23218 
o|contracted procedure: k23214 
o|contracted procedure: k23210 
o|contracted procedure: k23232 
o|contracted procedure: k23275 
o|contracted procedure: k23271 
o|contracted procedure: k23239 
o|contracted procedure: k23267 
o|contracted procedure: k23263 
o|contracted procedure: k23259 
o|contracted procedure: k23243 
o|contracted procedure: k23255 
o|contracted procedure: k23251 
o|contracted procedure: k23247 
o|contracted procedure: k23281 
o|contracted procedure: k23340 
o|contracted procedure: k23336 
o|contracted procedure: k23288 
o|contracted procedure: k23332 
o|contracted procedure: k23328 
o|contracted procedure: k23324 
o|contracted procedure: k23292 
o|contracted procedure: k23320 
o|contracted procedure: k23316 
o|contracted procedure: k23312 
o|contracted procedure: k23296 
o|contracted procedure: k23308 
o|contracted procedure: k23304 
o|contracted procedure: k23300 
o|contracted procedure: k23352 
o|contracted procedure: k23364 
o|contracted procedure: k23370 
o|contracted procedure: k23376 
o|contracted procedure: k23382 
o|contracted procedure: k23417 
o|contracted procedure: k23413 
o|contracted procedure: k23409 
o|contracted procedure: k23389 
o|contracted procedure: k23405 
o|contracted procedure: k23397 
o|contracted procedure: k23401 
o|contracted procedure: k23393 
o|contracted procedure: k23426 
o|contracted procedure: k23432 
o|contracted procedure: k23439 
o|contracted procedure: k23445 
o|contracted procedure: k23452 
o|contracted procedure: k23478 
o|contracted procedure: k23487 
o|contracted procedure: k23505 
o|contracted procedure: k23501 
o|contracted procedure: k23494 
o|contracted procedure: k23511 
o|contracted procedure: k23529 
o|contracted procedure: k23525 
o|contracted procedure: k23521 
o|contracted procedure: k23550 
o|contracted procedure: k23546 
o|contracted procedure: k23542 
o|contracted procedure: k23561 
o|contracted procedure: k23574 
o|contracted procedure: k23577 
o|contracted procedure: k23586 
o|contracted procedure: k23589 
o|contracted procedure: k23626 
o|contracted procedure: k23616 
o|contracted procedure: k23635 
o|contracted procedure: k23656 
o|contracted procedure: k23644 
o|contracted procedure: k23647 
o|contracted procedure: k23671 
o|contracted procedure: k23665 
o|contracted procedure: k23689 
o|contracted procedure: k23680 
o|contracted procedure: k23707 
o|contracted procedure: k23698 
o|contracted procedure: k23726 
o|contracted procedure: k23738 
o|contracted procedure: k23748 
o|contracted procedure: k23752 
o|contracted procedure: k23777 
o|contracted procedure: k23789 
o|contracted procedure: k23799 
o|contracted procedure: k23803 
o|contracted procedure: k23848 
o|contracted procedure: k23854 
o|contracted procedure: k23863 
o|contracted procedure: k23866 
o|contracted procedure: k23882 
o|propagated global variable: r23883 ##sys#undefined-value 
o|contracted procedure: k23885 
o|contracted procedure: k23911 
o|contracted procedure: k23904 
o|contracted procedure: k23927 
o|contracted procedure: k23920 
o|contracted procedure: k23939 
o|contracted procedure: k23952 
o|propagated global variable: r23953 ##sys#undefined-value 
o|contracted procedure: k23956 
o|contracted procedure: k23962 
o|contracted procedure: k23965 
o|contracted procedure: k23983 
o|contracted procedure: k24001 
o|contracted procedure: k24016 
o|contracted procedure: k24025 
o|contracted procedure: k24028 
o|contracted procedure: k24034 
o|contracted procedure: k24047 
o|contracted procedure: k24054 
o|contracted procedure: k24070 
o|contracted procedure: k24073 
o|contracted procedure: k24076 
o|contracted procedure: k24090 
o|contracted procedure: k24096 
o|contracted procedure: k24102 
o|contracted procedure: k24108 
o|contracted procedure: k24111 
o|contracted procedure: k24123 
o|contracted procedure: k24133 
o|contracted procedure: k24142 
o|contracted procedure: k24148 
o|contracted procedure: k24164 
o|contracted procedure: k24171 
o|contracted procedure: k24177 
o|contracted procedure: k24190 
o|contracted procedure: k24196 
o|contracted procedure: k24214 
o|contracted procedure: k24251 
o|contracted procedure: k24220 
o|contracted procedure: k24230 
o|contracted procedure: k24247 
o|contracted procedure: k24233 
o|contracted procedure: k24243 
o|contracted procedure: k24262 
o|contracted procedure: k24277 
o|contracted procedure: k24286 
o|contracted procedure: k24295 
o|contracted procedure: k24322 
o|contracted procedure: k24337 
o|contracted procedure: k24346 
o|contracted procedure: k24349 
o|contracted procedure: k24390 
o|contracted procedure: k24445 
o|contracted procedure: k24408 
o|contracted procedure: k24414 
o|contracted procedure: k24426 
o|contracted procedure: k24506 
o|contracted procedure: k24519 
o|contracted procedure: k24523 
o|contracted procedure: k24526 
o|contracted procedure: k24535 
o|contracted procedure: k24544 
o|contracted procedure: k24547 
o|contracted procedure: k24556 
o|contracted procedure: k24565 
o|contracted procedure: k24574 
o|contracted procedure: k24583 
o|contracted procedure: k24592 
o|contracted procedure: k24601 
o|contracted procedure: k24610 
o|contracted procedure: k24629 
o|contracted procedure: k24676 
o|contracted procedure: k24685 
o|contracted procedure: k24707 
o|contracted procedure: k24697 
o|contracted procedure: k24720 
o|contracted procedure: k24724 
o|contracted procedure: k24733 
o|contracted procedure: k24742 
o|contracted procedure: k24757 
o|contracted procedure: k24760 
o|contracted procedure: k24773 
o|contracted procedure: k24780 
o|contracted procedure: k24827 
o|contracted procedure: k24840 
o|contracted procedure: k24843 
o|contracted procedure: k24852 
o|contracted procedure: k24871 
o|contracted procedure: k24887 
o|contracted procedure: k24896 
o|contracted procedure: k24912 
o|contracted procedure: k24916 
o|contracted procedure: k24920 
o|contracted procedure: k24924 
o|contracted procedure: k24951 
o|contracted procedure: k24954 
o|contracted procedure: k24965 
o|contracted procedure: k24961 
o|contracted procedure: k24971 
o|contracted procedure: k24974 
o|contracted procedure: k25010 
o|contracted procedure: k25033 
o|contracted procedure: k25013 
o|contracted procedure: k25029 
o|contracted procedure: k25052 
o|contracted procedure: k25082 
o|contracted procedure: k25092 
o|contracted procedure: k25098 
o|contracted procedure: k25108 
o|contracted procedure: k25207 
o|contracted procedure: k25210 
o|contracted procedure: k25213 
o|contracted procedure: k25216 
o|contracted procedure: k25222 
o|contracted procedure: k25247 
o|contracted procedure: k25228 
o|contracted procedure: k25237 
o|contracted procedure: k25240 
o|contracted procedure: k25250 
o|contracted procedure: k31469 
o|contracted procedure: k31472 
o|contracted procedure: k31475 
o|contracted procedure: k31481 
o|contracted procedure: k31488 
o|contracted procedure: k31484 
o|contracted procedure: k31494 
o|contracted procedure: k31497 
o|contracted procedure: k31500 
o|contracted procedure: k31506 
o|contracted procedure: k31515 
o|contracted procedure: k31518 
o|contracted procedure: k31525 
o|contracted procedure: k31534 
o|contracted procedure: k31537 
o|contracted procedure: k31544 
o|contracted procedure: k31556 
o|contracted procedure: k31591 
o|contracted procedure: k31559 
o|contracted procedure: k31566 
o|contracted procedure: k31570 
o|contracted procedure: k31577 
o|contracted procedure: k31573 
o|contracted procedure: k31580 
o|contracted procedure: k31583 
o|contracted procedure: k31597 
o|contracted procedure: k31600 
o|contracted procedure: k31603 
o|contracted procedure: k31606 
o|contracted procedure: k31612 
o|contracted procedure: k31634 
o|contracted procedure: k31625 
o|contracted procedure: k31643 
o|contracted procedure: k31657 
o|contracted procedure: k31653 
o|contracted procedure: k31646 
o|contracted procedure: k31668 
o|contracted procedure: k31672 
o|contracted procedure: k31664 
o|contracted procedure: k31681 
o|contracted procedure: k31684 
o|contracted procedure: k31687 
o|contracted procedure: k31693 
o|contracted procedure: k31699 
o|contracted procedure: k25257 
o|contracted procedure: k25266 
o|contracted procedure: k25277 
o|contracted procedure: k25273 
o|contracted procedure: k25289 
o|contracted procedure: k25319 
o|contracted procedure: k25326 
o|contracted procedure: k25343 
o|contracted procedure: k25377 
o|contracted procedure: k25384 
o|contracted procedure: k25405 
o|contracted procedure: k25412 
o|contracted procedure: k25423 
o|contracted procedure: k25426 
o|contracted procedure: k25433 
o|contracted procedure: k25436 
o|contracted procedure: k25454 
o|contracted procedure: k25442 
o|contracted procedure: k25450 
o|contracted procedure: k25460 
o|contracted procedure: k25466 
o|contracted procedure: k25469 
o|contracted procedure: k25472 
o|contracted procedure: k25482 
o|contracted procedure: k25485 
o|contracted procedure: k25488 
o|contracted procedure: k25526 
o|contracted procedure: k25522 
o|contracted procedure: k25504 
o|contracted procedure: k25514 
o|contracted procedure: k25518 
o|contracted procedure: k25540 
o|contracted procedure: k25555 
o|contracted procedure: k25565 
o|contracted procedure: k25569 
o|contracted procedure: k25594 
o|contracted procedure: k25604 
o|inlining procedure: k25597 
o|inlining procedure: k25597 
o|contracted procedure: k25763 
o|contracted procedure: k25628 
o|contracted procedure: k25757 
o|contracted procedure: k25631 
o|contracted procedure: k25751 
o|contracted procedure: k25634 
o|contracted procedure: k25745 
o|contracted procedure: k25637 
o|contracted procedure: k25735 
o|contracted procedure: k25643 
o|contracted procedure: k25646 
o|contracted procedure: k25658 
o|contracted procedure: k25729 
o|contracted procedure: k25661 
o|contracted procedure: k25667 
o|contracted procedure: k25705 
o|contracted procedure: k25693 
o|contracted procedure: k25701 
o|contracted procedure: k25697 
o|contracted procedure: k25677 
o|contracted procedure: k25685 
o|contracted procedure: k25709 
o|contracted procedure: k25716 
o|contracted procedure: k25719 
o|contracted procedure: k25742 
o|contracted procedure: k25775 
o|contracted procedure: k25783 
o|contracted procedure: k25786 
o|contracted procedure: k25789 
o|contracted procedure: k25829 
o|contracted procedure: k25842 
o|contracted procedure: k25857 
o|contracted procedure: k25867 
o|contracted procedure: k25871 
o|contracted procedure: k25959 
o|contracted procedure: k25877 
o|contracted procedure: k25953 
o|contracted procedure: k25880 
o|contracted procedure: k25947 
o|contracted procedure: k25883 
o|contracted procedure: k25941 
o|contracted procedure: k25886 
o|contracted procedure: k25935 
o|contracted procedure: k25889 
o|contracted procedure: k25929 
o|contracted procedure: k25892 
o|contracted procedure: k25923 
o|contracted procedure: k25895 
o|contracted procedure: k25917 
o|contracted procedure: k25898 
o|contracted procedure: k25907 
o|contracted procedure: k25977 
o|contracted procedure: k25994 
o|contracted procedure: k26022 
o|contracted procedure: k26030 
o|contracted procedure: k26045 
o|contracted procedure: k26055 
o|contracted procedure: k26059 
o|contracted procedure: k26086 
o|contracted procedure: k26093 
o|contracted procedure: k26099 
o|contracted procedure: k26102 
o|contracted procedure: k26140 
o|contracted procedure: k26150 
o|contracted procedure: k26154 
o|contracted procedure: k26157 
o|contracted procedure: k26178 
o|contracted procedure: k26187 
o|contracted procedure: k26190 
o|contracted procedure: k26193 
o|contracted procedure: k26208 
o|contracted procedure: k26200 
o|contracted procedure: k26215 
o|contracted procedure: k26221 
o|contracted procedure: k26227 
o|contracted procedure: k26233 
o|contracted procedure: k26239 
o|contracted procedure: k26245 
o|contracted procedure: k26251 
o|contracted procedure: k26257 
o|contracted procedure: k26263 
o|contracted procedure: k26269 
o|contracted procedure: k26275 
o|contracted procedure: k26281 
o|contracted procedure: k26287 
o|contracted procedure: k26293 
o|contracted procedure: k26330 
o|contracted procedure: k26333 
o|contracted procedure: k26349 
o|contracted procedure: k26342 
o|contracted procedure: k26378 
o|contracted procedure: k26374 
o|contracted procedure: k26407 
o|contracted procedure: k26403 
o|contracted procedure: k26410 
o|contracted procedure: k26414 
o|contracted procedure: k26420 
o|contracted procedure: k26423 
o|contracted procedure: k26426 
o|contracted procedure: k26429 
o|contracted procedure: k26432 
o|contracted procedure: k26453 
o|contracted procedure: k26459 
o|contracted procedure: k26462 
o|contracted procedure: k26468 
o|contracted procedure: k26482 
o|contracted procedure: k26479 
o|contracted procedure: k26491 
o|contracted procedure: k26550 
o|contracted procedure: k26503 
o|contracted procedure: k26546 
o|contracted procedure: k26518 
o|contracted procedure: k26542 
o|contracted procedure: k26538 
o|contracted procedure: k26534 
o|contracted procedure: k26573 
o|contracted procedure: k26576 
o|contracted procedure: k26602 
o|contracted procedure: k26608 
o|contracted procedure: k26615 
o|contracted procedure: k26621 
o|contracted procedure: k26640 
o|contracted procedure: k26693 
o|contracted procedure: k26646 
o|contracted procedure: k26678 
o|contracted procedure: k26659 
o|contracted procedure: k26667 
o|contracted procedure: k26663 
o|contracted procedure: k26689 
o|contracted procedure: k26685 
o|contracted procedure: k26703 
o|contracted procedure: k26713 
o|contracted procedure: k26736 
o|contracted procedure: k26753 
o|contracted procedure: k26775 
o|contracted procedure: k26771 
o|contracted procedure: k26756 
o|contracted procedure: k26759 
o|contracted procedure: k26767 
o|contracted procedure: k26782 
o|contracted procedure: k26799 
o|contracted procedure: k26821 
o|contracted procedure: k26817 
o|contracted procedure: k26802 
o|contracted procedure: k26805 
o|contracted procedure: k26813 
o|contracted procedure: k26833 
o|contracted procedure: k26847 
o|contracted procedure: k26836 
o|contracted procedure: k26843 
o|contracted procedure: k26853 
o|contracted procedure: k26863 
o|contracted procedure: k26875 
o|contracted procedure: k26897 
o|contracted procedure: k26893 
o|contracted procedure: k26878 
o|contracted procedure: k26881 
o|contracted procedure: k26889 
o|contracted procedure: k26904 
o|contracted procedure: k26927 
o|contracted procedure: k26930 
o|contracted procedure: k26933 
o|contracted procedure: k26941 
o|contracted procedure: k26949 
o|contracted procedure: k26913 
o|contracted procedure: k26967 
o|contracted procedure: k26980 
o|contracted procedure: k26989 
o|contracted procedure: k27027 
o|contracted procedure: k26995 
o|contracted procedure: k27009 
o|contracted procedure: k27005 
o|contracted procedure: k27023 
o|contracted procedure: k27030 
o|contracted procedure: k27033 
o|contracted procedure: k27045 
o|contracted procedure: k27048 
o|contracted procedure: k27051 
o|contracted procedure: k27059 
o|contracted procedure: k27067 
o|contracted procedure: k27097 
o|contracted procedure: k27093 
o|contracted procedure: k27103 
o|contracted procedure: k27106 
o|contracted procedure: k27111 
o|contracted procedure: k27143 
o|contracted procedure: k27117 
o|contracted procedure: k27139 
o|contracted procedure: k27120 
o|contracted procedure: k27181 
o|contracted procedure: k27193 
o|contracted procedure: k27203 
o|contracted procedure: k27207 
o|contracted procedure: k27238 
o|contracted procedure: k27263 
o|contracted procedure: k27247 
o|contracted procedure: k27280 
o|contracted procedure: k27300 
o|contracted procedure: k27306 
o|contracted procedure: k27319 
o|contracted procedure: k27325 
o|contracted procedure: k27344 
o|contracted procedure: k27358 
o|contracted procedure: k27347 
o|contracted procedure: k27354 
o|contracted procedure: k27374 
o|contracted procedure: k27380 
o|contracted procedure: k27387 
o|contracted procedure: k27393 
o|contracted procedure: k27443 
o|contracted procedure: k27403 
o|contracted procedure: k27455 
o|contracted procedure: k27458 
o|contracted procedure: k27461 
o|contracted procedure: k27464 
o|contracted procedure: k27475 
o|contracted procedure: k27492 
o|contracted procedure: k27495 
o|contracted procedure: k27498 
o|contracted procedure: k27501 
o|contracted procedure: k27512 
o|contracted procedure: k27529 
o|contracted procedure: k27538 
o|contracted procedure: k27547 
o|contracted procedure: k27556 
o|contracted procedure: k27565 
o|contracted procedure: k27574 
o|contracted procedure: k27583 
o|contracted procedure: k27592 
o|contracted procedure: k27601 
o|contracted procedure: k27610 
o|contracted procedure: k27619 
o|contracted procedure: k27628 
o|contracted procedure: k27637 
o|contracted procedure: k27646 
o|contracted procedure: k27655 
o|contracted procedure: k27664 
o|contracted procedure: k27673 
o|contracted procedure: k27682 
o|contracted procedure: k27691 
o|contracted procedure: k27700 
o|contracted procedure: k27709 
o|contracted procedure: k27718 
o|contracted procedure: k27727 
o|contracted procedure: k27736 
o|contracted procedure: k27745 
o|contracted procedure: k27754 
o|contracted procedure: k27763 
o|contracted procedure: k27772 
o|contracted procedure: k27781 
o|contracted procedure: k27790 
o|contracted procedure: k27799 
o|contracted procedure: k27808 
o|contracted procedure: k27817 
o|contracted procedure: k27826 
o|contracted procedure: k27835 
o|contracted procedure: k27844 
o|contracted procedure: k27853 
o|contracted procedure: k27862 
o|contracted procedure: k27871 
o|contracted procedure: k27880 
o|contracted procedure: k27889 
o|contracted procedure: k27898 
o|contracted procedure: k27907 
o|contracted procedure: k27916 
o|contracted procedure: k27925 
o|contracted procedure: k27934 
o|contracted procedure: k27943 
o|contracted procedure: k27952 
o|contracted procedure: k27961 
o|contracted procedure: k27970 
o|contracted procedure: k27979 
o|contracted procedure: k27988 
o|contracted procedure: k28149 
o|contracted procedure: k28153 
o|contracted procedure: k28183 
o|contracted procedure: k28213 
o|contracted procedure: k28189 
o|contracted procedure: k28192 
o|contracted procedure: k28201 
o|contracted procedure: k28210 
o|contracted procedure: k28246 
o|contracted procedure: k28239 
o|contracted procedure: k28268 
o|contracted procedure: k28261 
o|contracted procedure: k28319 
o|contracted procedure: k28336 
o|contracted procedure: k28298 
o|contracted procedure: k28302 
o|contracted procedure: k28363 
o|contracted procedure: k28383 
o|contracted procedure: k28400 
o|contracted procedure: k28350 
o|contracted procedure: k28354 
o|contracted procedure: k28416 
o|contracted procedure: k28423 
o|contracted procedure: k28479 
o|contracted procedure: k28483 
o|contracted procedure: k28491 
o|contracted procedure: k28508 
o|contracted procedure: k28523 
o|contracted procedure: k28586 
o|contracted procedure: k28567 
o|contracted procedure: k28576 
o|contracted procedure: k28595 
o|contracted procedure: k28652 
o|contracted procedure: k28655 
o|contracted procedure: k28661 
o|contracted procedure: k28704 
o|contracted procedure: k28720 
o|contracted procedure: k28713 
o|contracted procedure: k29152 
o|contracted procedure: k28731 
o|contracted procedure: k28746 
o|contracted procedure: k28850 
o|contracted procedure: k28758 
o|contracted procedure: k28777 
o|contracted procedure: k28780 
o|contracted procedure: k28789 
o|contracted procedure: k2862934938 
o|contracted procedure: k28819 
o|contracted procedure: k28847 
o|contracted procedure: k28829 
o|contracted procedure: k28842 
o|contracted procedure: k28859 
o|contracted procedure: k29138 
o|contracted procedure: k28881 
o|contracted procedure: k28899 
o|contracted procedure: k28902 
o|contracted procedure: k28911 
o|contracted procedure: k28914 
o|contracted procedure: k28928 
o|contracted procedure: k28937 
o|contracted procedure: k28992 
o|contracted procedure: k28950 
o|contracted procedure: k28962 
o|contracted procedure: k28979 
o|contracted procedure: k28973 
o|contracted procedure: k28995 
o|contracted procedure: k2862934951 
o|contracted procedure: k29013 
o|contracted procedure: k29009 
o|contracted procedure: k29022 
o|contracted procedure: k29031 
o|contracted procedure: k29047 
o|contracted procedure: k29062 
o|contracted procedure: k29054 
o|contracted procedure: k29081 
o|contracted procedure: k29073 
o|contracted procedure: k29107 
o|contracted procedure: k29135 
o|contracted procedure: k29117 
o|contracted procedure: k29130 
o|contracted procedure: k29158 
o|contracted procedure: k29167 
o|contracted procedure: k29210 
o|contracted procedure: k29216 
o|contracted procedure: k29219 
o|contracted procedure: k29233 
o|contracted procedure: k29274 
o|contracted procedure: k29281 
o|contracted procedure: k29289 
o|contracted procedure: k29301 
o|contracted procedure: k29305 
o|contracted procedure: k29312 
o|contracted procedure: k29248 
o|contracted procedure: k29346 
o|contracted procedure: k29355 
o|contracted procedure: k29362 
o|contracted procedure: k29366 
o|contracted procedure: k29396 
o|contracted procedure: k29403 
o|contracted procedure: k29407 
o|contracted procedure: k29414 
o|contracted procedure: k29427 
o|contracted procedure: k29434 
o|contracted procedure: k29465 
o|contracted procedure: k29461 
o|contracted procedure: k29489 
o|contracted procedure: k29498 
o|contracted procedure: k29511 
o|contracted procedure: k29523 
o|contracted procedure: k29533 
o|contracted procedure: k29606 
o|contracted procedure: k29536 
o|contracted procedure: k29549 
o|contracted procedure: k29590 
o|contracted procedure: k29579 
o|contracted procedure: k29586 
o|contracted procedure: k29659 
o|contracted procedure: k29649 
o|contracted procedure: k29677 
o|contracted procedure: k29711 
o|contracted procedure: k29720 
o|contracted procedure: k29723 
o|contracted procedure: k29730 
o|contracted procedure: k29736 
o|contracted procedure: k29743 
o|contracted procedure: k29749 
o|contracted procedure: k29752 
o|contracted procedure: k29758 
o|contracted procedure: k29761 
o|contracted procedure: k29768 
o|contracted procedure: k29774 
o|contracted procedure: k29777 
o|contracted procedure: k29784 
o|contracted procedure: k29790 
o|contracted procedure: k29793 
o|contracted procedure: k29800 
o|contracted procedure: k29806 
o|contracted procedure: k29809 
o|contracted procedure: k29816 
o|contracted procedure: k29822 
o|contracted procedure: k29825 
o|contracted procedure: k29832 
o|contracted procedure: k29838 
o|contracted procedure: k29841 
o|contracted procedure: k29848 
o|contracted procedure: k29854 
o|contracted procedure: k29857 
o|contracted procedure: k29864 
o|contracted procedure: k29870 
o|contracted procedure: k29873 
o|contracted procedure: k29880 
o|contracted procedure: k29886 
o|contracted procedure: k29889 
o|contracted procedure: k29896 
o|contracted procedure: k29902 
o|contracted procedure: k29905 
o|contracted procedure: k29912 
o|contracted procedure: k29919 
o|contracted procedure: k29927 
o|contracted procedure: k29923 
o|contracted procedure: k29953 
o|contracted procedure: k29960 
o|contracted procedure: k29972 
o|contracted procedure: k29984 
o|contracted procedure: k29978 
o|contracted procedure: k29981 
o|contracted procedure: k29999 
o|contracted procedure: k30012 
o|contracted procedure: k30008 
o|contracted procedure: k30016 
o|contracted procedure: k30060 
o|contracted procedure: k30025 
o|contracted procedure: k30028 
o|contracted procedure: k30031 
o|contracted procedure: k30056 
o|contracted procedure: k30043 
o|contracted procedure: k30046 
o|contracted procedure: k30070 
o|contracted procedure: k30076 
o|contracted procedure: k30083 
o|contracted procedure: k30092 
o|contracted procedure: k30098 
o|contracted procedure: k30101 
o|contracted procedure: k30104 
o|contracted procedure: k30110 
o|contracted procedure: k30117 
o|contracted procedure: k30123 
o|contracted procedure: k30127 
o|contracted procedure: k30272 
o|contracted procedure: k30278 
o|contracted procedure: k30281 
o|contracted procedure: k30287 
o|contracted procedure: k30290 
o|contracted procedure: k30296 
o|contracted procedure: k30311 
o|contracted procedure: k30314 
o|contracted procedure: k30335 
o|contracted procedure: k30365 
o|contracted procedure: k30537 
o|contracted procedure: k30407 
o|contracted procedure: k30493 
o|contracted procedure: k30486 
o|contracted procedure: k30431 
o|contracted procedure: k30503 
o|contracted procedure: k30507 
o|contracted procedure: k30511 
o|contracted procedure: k30515 
o|contracted procedure: k30550 
o|contracted procedure: k30559 
o|contracted procedure: k30638 
o|contracted procedure: k30565 
o|contracted procedure: k30571 
o|contracted procedure: k30578 
o|contracted procedure: k30587 
o|contracted procedure: k30593 
o|contracted procedure: k30607 
o|contracted procedure: k30623 
o|contracted procedure: k30627 
o|contracted procedure: k30634 
o|contracted procedure: k30676 
o|contracted procedure: k30685 
o|contracted procedure: k30704 
o|contracted procedure: k30708 
o|contracted procedure: k30922 
o|contracted procedure: k30752 
o|contracted procedure: k30782 
o|contracted procedure: k30792 
o|contracted procedure: k30796 
o|contracted procedure: k30766 
o|contracted procedure: k30770 
o|contracted procedure: k30802 
o|contracted procedure: k30818 
o|contracted procedure: k30821 
o|contracted procedure: k30824 
o|contracted procedure: k30830 
o|contracted procedure: k30849 
o|contracted procedure: k30852 
o|contracted procedure: k30855 
o|contracted procedure: k30863 
o|contracted procedure: k30871 
o|contracted procedure: k30889 
o|contracted procedure: k30898 
o|contracted procedure: k30905 
o|contracted procedure: k30913 
o|contracted procedure: k30939 
o|contracted procedure: k30943 
o|contracted procedure: k30948 
o|contracted procedure: k30952 
o|contracted procedure: k30956 
o|contracted procedure: k30960 
o|contracted procedure: k31012 
o|contracted procedure: k31029 
o|contracted procedure: k31043 
o|contracted procedure: k31032 
o|contracted procedure: k31039 
o|contracted procedure: k31067 
o|contracted procedure: k31074 
o|contracted procedure: k31108 
o|contracted procedure: k31117 
o|contracted procedure: k31120 
o|contracted procedure: k31129 
o|contracted procedure: k31144 
o|contracted procedure: k31140 
o|contracted procedure: k31157 
o|contracted procedure: k31160 
o|contracted procedure: k31167 
o|contracted procedure: k31176 
o|contracted procedure: k31179 
o|contracted procedure: k31182 
o|contracted procedure: k31212 
o|contracted procedure: k31201 
o|contracted procedure: k31222 
o|contracted procedure: k31225 
o|contracted procedure: k31276 
o|contracted procedure: k31300 
o|contracted procedure: k31318 
o|contracted procedure: k31328 
o|contracted procedure: k31348 
o|contracted procedure: k31358 
o|contracted procedure: k31362 
o|contracted procedure: k31403 
o|contracted procedure: k31413 
o|contracted procedure: k31417 
o|contracted procedure: k31460 
o|contracted procedure: k31445 
o|contracted procedure: k31707 
o|contracted procedure: k31717 
o|contracted procedure: k31727 
o|contracted procedure: k31737 
o|contracted procedure: k31747 
o|contracted procedure: k31757 
o|contracted procedure: k31767 
o|contracted procedure: k31777 
o|contracted procedure: k31787 
o|contracted procedure: k31797 
o|contracted procedure: k31807 
o|contracted procedure: k31817 
o|contracted procedure: k31827 
o|contracted procedure: k31837 
o|contracted procedure: k31843 
o|contracted procedure: k31846 
o|contracted procedure: k31870 
o|contracted procedure: k31877 
o|contracted procedure: k31886 
o|contracted procedure: k31893 
o|contracted procedure: k31912 
o|contracted procedure: k31921 
o|contracted procedure: k31932 
o|contracted procedure: k31928 
o|contracted procedure: k31941 
o|contracted procedure: k31948 
o|contracted procedure: k31958 
o|contracted procedure: k31954 
o|contracted procedure: k31903 
o|contracted procedure: k31899 
o|simplifications: ((if . 1) (let . 543)) 
o|removed binding forms: 2212 
o|inlining procedure: "(library.scm:4493) outstr05170" 
o|inlining procedure: "(library.scm:4492) outstr05170" 
o|inlining procedure: "(library.scm:4495) outstr05170" 
o|inlining procedure: "(library.scm:4497) outstr05170" 
o|inlining procedure: "(library.scm:4507) outstr05170" 
o|inlining procedure: k23917 
o|inlining procedure: k23917 
o|inlining procedure: k24223 
o|inlining procedure: k24223 
o|inlining procedure: k24223 
o|inlining procedure: k31640 
o|inlining procedure: k31640 
o|inlining procedure: k26396 
o|inlining procedure: k26396 
o|inlining procedure: k31151 
o|inlining procedure: k31216 
o|inlining procedure: k31216 
o|replaced variables: 764 
o|removed binding forms: 4 
o|inlining procedure: k11975 
o|inlining procedure: k11999 
o|inlining procedure: k12023 
o|inlining procedure: k12047 
o|inlining procedure: k12071 
o|inlining procedure: k12095 
o|inlining procedure: k12119 
o|inlining procedure: k12143 
o|inlining procedure: k12167 
o|inlining procedure: k12191 
o|inlining procedure: k12215 
o|inlining procedure: k12233 
o|inlining procedure: k12257 
o|inlining procedure: k12281 
o|inlining procedure: k12299 
o|inlining procedure: k12317 
o|inlining procedure: k12335 
o|inlining procedure: k12353 
o|inlining procedure: k12371 
o|inlining procedure: k12389 
o|inlining procedure: k12407 
o|inlining procedure: k12425 
o|inlining procedure: k12443 
o|inlining procedure: k12461 
o|inlining procedure: k12485 
o|inlining procedure: k12503 
o|inlining procedure: k12527 
o|inlining procedure: k12545 
o|inlining procedure: k12563 
o|inlining procedure: k12581 
o|inlining procedure: k12599 
o|substituted constant variable: str518836722 
o|removed side-effect free assignment to unused variable: outstr05170 
o|substituted constant variable: str518836742 
o|inlining procedure: k28374 
o|inlining procedure: k28374 
o|substituted constant variable: r3121736863 
o|simplifications: ((let . 1) (if . 8)) 
o|replaced variables: 14 
o|removed binding forms: 397 
o|inlining procedure: "(library.scm:4546) specialchar?5172" 
o|inlining procedure: "(library.scm:4561) specialchar?5172" 
o|inlining procedure: "(library.scm:4565) specialchar?5172" 
o|removed binding forms: 48 
o|removed side-effect free assignment to unused variable: specialchar?5172 
o|replaced variables: 11 
o|removed binding forms: 31 
o|inlining procedure: k24117 
o|inlining procedure: k24187 
o|removed binding forms: 9 
o|contracted procedure: k24255 
o|removed binding forms: 3 
o|direct leaf routine/allocation: loop776 0 
o|direct leaf routine/allocation: doloop15191520 0 
o|direct leaf routine/allocation: iter1532 0 
o|direct leaf routine/allocation: loop1683 0 
o|direct leaf routine/allocation: go-inexact!2842 0 
o|direct leaf routine/allocation: split3339 0 
o|direct leaf routine/allocation: loop3520 0 
o|direct leaf routine/allocation: doloop35353536 0 
o|direct leaf routine/allocation: doloop35473551 0 
o|direct leaf routine/allocation: doloop35783579 0 
o|direct leaf routine/allocation: doloop36063607 0 
o|direct leaf routine/allocation: loop3632 0 
o|direct leaf routine/allocation: loop3703 0 
o|direct leaf routine/allocation: body39293938 0 
o|direct leaf routine/allocation: def-set?39323941 0 
o|direct leaf routine/allocation: def-convert?39313943 0 
o|direct leaf routine/allocation: body39543963 0 
o|direct leaf routine/allocation: def-set?39573966 0 
o|direct leaf routine/allocation: def-convert?39563968 0 
o|direct leaf routine/allocation: body39793988 0 
o|direct leaf routine/allocation: def-set?39823991 0 
o|direct leaf routine/allocation: def-convert?39813993 0 
o|direct leaf routine/allocation: body59895998 0 
o|direct leaf routine/allocation: def-set?59926001 0 
o|direct leaf routine/allocation: def-convert?59916003 0 
o|direct leaf routine/allocation: for-each-loop60336044 0 
o|direct leaf routine/allocation: loop7082 0 
o|direct leaf routine/allocation: for-each-loop72737284 0 
o|converted assignments to bindings: (loop776) 
o|converted assignments to bindings: (doloop15191520) 
o|contracted procedure: k11422 
o|converted assignments to bindings: (iter1532) 
o|converted assignments to bindings: (loop1683) 
o|contracted procedure: "(library.scm:2464) k15671" 
o|contracted procedure: "(library.scm:2473) k15734" 
o|contracted procedure: "(library.scm:2507) k15987" 
o|contracted procedure: "(library.scm:2512) k16012" 
o|contracted procedure: "(library.scm:2556) k16396" 
o|contracted procedure: "(library.scm:2566) k16479" 
o|contracted procedure: "(library.scm:2693) k17324" 
o|contracted procedure: "(library.scm:2700) k17342" 
o|contracted procedure: "(library.scm:2709) k17368" 
o|converted assignments to bindings: (loop3520) 
o|converted assignments to bindings: (doloop35353536) 
o|converted assignments to bindings: (doloop35473551) 
o|converted assignments to bindings: (doloop35783579) 
o|converted assignments to bindings: (doloop36063607) 
o|converted assignments to bindings: (loop3632) 
o|converted assignments to bindings: (loop3703) 
o|inlining procedure: "(library.scm:3341) k18985" 
o|inlining procedure: "(library.scm:3341) k18985" 
o|inlining procedure: "(library.scm:3341) k18985" 
o|inlining procedure: "(library.scm:3351) k19046" 
o|inlining procedure: "(library.scm:3351) k19046" 
o|inlining procedure: "(library.scm:3351) k19046" 
o|inlining procedure: "(library.scm:3361) k19107" 
o|inlining procedure: "(library.scm:3361) k19107" 
o|inlining procedure: "(library.scm:3361) k19107" 
o|inlining procedure: "(library.scm:5247) k26599" 
o|inlining procedure: "(library.scm:5247) k26599" 
o|inlining procedure: "(library.scm:5247) k26599" 
o|contracted procedure: k26721 
o|converted assignments to bindings: (for-each-loop60336044) 
o|contracted procedure: k30002 
o|converted assignments to bindings: (loop7082) 
o|contracted procedure: k31020 
o|converted assignments to bindings: (for-each-loop72737284) 
o|simplifications: ((let . 14)) 
o|removed binding forms: 13 
o|replaced variables: 16 
o|removed binding forms: 4 
o|removed binding forms: 5 
o|customizable procedures: (cleanup-before-exit g59265933 for-each-loop59255937 for-each-loop58945906 k31188 loop6867 k30401 check7312 k30730 k30733 k30736 k30739 k30742 loop7387 map-loop73547371 loop7378 for-each-loop73317343 loop7250 str7234 pmem7130 round-to7129 pnum7128 k30073 loop7107 loop6956 doloop69316932 k29486 doloop68566857 scan6839 loop6836 read-escaped-sexp6657 get/clear-str6717 loop6728 k28953 loop26751 readln6656 doloop66956704 loop6671 doloop66606661 loop6635 loop6535 loop6509 def-port62616310 def-header62626308 body62596268 k27226 g62826283 writeargs6233 g62396246 for-each-loop62386250 g61746183 map-loop61686193 loop6186 map-loop61116129 map-loop61386155 map-loop60516069 map-loop60786096 chicken.condition#prop-list->kind-prefixed-prop-list k26649 loop6014 k26181 k26184 k26204 k26160 for-each-loop58295841 for-each-loop57615772 loop5757 g57025709 for-each-loop57015722 k25816 k25670 loop5685 g56365643 for-each-loop56355646 k25336 k25353 copy&append5583 loop5592 k31562 doloop53895390 doloop53655366 k24688 doloop53515352 out5280 doloop53215322 outsym5173 g52965297 k24208 loop5250 k24151 loop5215 outchr5171 sym-is-readable?5175 outreadablesym5174 outstr5169 for-each-loop51305148 for-each-loop50985116 hex4995 loop5004 k22291 r-symbol4459 k22505 k22873 r-ext-symbol4463 r-comment4462 r-char4461 r-vector4453 r-number-with-radix4456 r-number-with-exactness4455 r-digits4458 k22425 loop4795 k22212 loop4782 r-token4457 k22063 k21918 k21684 r-string4451 loop4699 k21690 k21614 loop4682 k21550 read-unreserved-char-04434 loop4667 r-number4454 k21377 r-list4452 k21133 k21176 r-xtoken4460 build-keyword4465 loop4575 readrec4435 r-spaces4448 starting-line4570 info4431 k20790 k20810 k20914 eat-ws4540 k20699 r-cons-codepoint4450 r-usequence4449 loop4503 lp4498 loop4481 skip-to-eol4432 loop4466 reserved-character4433 k20304 skip4440 k19875 def-convert?42994311 def-set?43004309 body42974306 assign4281 k19845 loop4158 loop4139 doloop41464147 close4009 open4008 doloop40164017 k32167 loop3886 k32069 loop3869 ##sys#dynamic-unwind loop3768 map-loop37443761 loop3728 for-each-loop37133723 k18463 loop3675 loop3664 k18172 lookup-char3628 ##sys#vector-resize k17881 loop3527 map-loop33983417 compare-slots3294 loop3306 walk3295 k16830 ##sys#string->compnum scan-prefix3221 k16574 scan-real3090 k16665 k16335 k16454 k16393 k16361 scan-ureal3013 k15984 k16003 k16055 scan-decimal-tail2936 scan-digits+hashes2898 k15784 k15787 k15796 scan-exponent2918 k15823 safe-exponent2843 k15719 scan-digits2863 scan-hashes2886 lp2888 k15559 lp2865 round-quotient k15311 loop2745 loop2735 k14750 k14856 k14865 slow-expt2667 log-expt2666 lp2651 k14537 lp2639 k14096 k14102 k14043 k14049 k13895 loop2453 loop2441 find-ratio-between sr2418 k13193 ##sys#internal-gcd ratnum loop2276 deliver2209 doloop22112212 make-complex doloop17001701 loop1693 loop1668 k11492 k11501 loop1510 loop1478 copy1468 loop1466 k10958 lp1339 k10310 loop934 loop919 k10207 loop882 loop860 k10008 loop830 k9868 loop816 loop801 loop793 loop787 loop762 loop747 loop736 loop706 loop694 loop651 loop642 loop108) 
o|calls to known targets: 911 
o|identified direct recursive calls: f_8864 1 
o|unused rest argument: env348 f_9134 
o|unused rest argument: evaluator355 f_9158 
o|unused rest argument: _607 f_9271 
o|identified direct recursive calls: f_9365 1 
o|unused rest argument: _718 f_9524 
o|unused rest argument: _719 f_9526 
o|unused rest argument: _760 f_9681 
o|identified direct recursive calls: f_9744 1 
o|identified direct recursive calls: f_9766 1 
o|identified direct recursive calls: f_9802 1 
o|identified direct recursive calls: f_9831 2 
o|identified direct recursive calls: f_9878 1 
o|identified direct recursive calls: f_9932 2 
o|identified direct recursive calls: f_10911 1 
o|identified direct recursive calls: f_11186 1 
o|identified direct recursive calls: f_11240 1 
o|identified direct recursive calls: f_11336 1 
o|identified direct recursive calls: f_11379 1 
o|identified direct recursive calls: f_11430 1 
o|identified direct recursive calls: f_11786 1 
o|identified direct recursive calls: f_11834 1 
o|identified direct recursive calls: f_11896 1 
o|identified direct recursive calls: f_13589 1 
o|identified direct recursive calls: f_13757 1 
o|identified direct recursive calls: f_13800 1 
o|identified direct recursive calls: f_14660 2 
o|identified direct recursive calls: f_15498 1 
o|identified direct recursive calls: f_15606 1 
o|identified direct recursive calls: f_17769 1 
o|identified direct recursive calls: f_17809 1 
o|identified direct recursive calls: f_17848 1 
o|identified direct recursive calls: f_17894 1 
o|identified direct recursive calls: f_17966 1 
o|identified direct recursive calls: f_18040 1 
o|identified direct recursive calls: f_18142 1 
o|identified direct recursive calls: f_18473 1 
o|identified direct recursive calls: f_18773 1 
o|identified direct recursive calls: f_32073 1 
o|identified direct recursive calls: f_19206 3 
o|identified direct recursive calls: f_19530 1 
o|identified direct recursive calls: f_20473 1 
o|identified direct recursive calls: f_22195 1 
o|identified direct recursive calls: f_26828 1 
o|identified direct recursive calls: f_26748 1 
o|identified direct recursive calls: f_26794 1 
o|identified direct recursive calls: f_26870 1 
o|identified direct recursive calls: f_26984 2 
o|identified direct recursive calls: f_28590 1 
o|identified direct recursive calls: f_29269 1 
o|identified direct recursive calls: f_30020 1 
o|identified direct recursive calls: f_30087 1 
o|identified direct recursive calls: f_30582 1 
o|identified direct recursive calls: f_30813 2 
o|identified direct recursive calls: f_31024 1 
o|unused rest argument: args5884 f_31425 
o|fast box initializations: 162 
o|fast global references: 70 
o|fast global assignments: 20 
o|dropping unused closure argument: f_12625 
o|dropping unused closure argument: f_12798 
o|dropping unused closure argument: f_13589 
o|dropping unused closure argument: f_14697 
o|dropping unused closure argument: f_14709 
o|dropping unused closure argument: f_14954 
o|dropping unused closure argument: f_15367 
o|dropping unused closure argument: f_15405 
o|dropping unused closure argument: f_17289 
o|dropping unused closure argument: f_18028 
o|dropping unused closure argument: f_18473 
o|dropping unused closure argument: f_18773 
o|dropping unused closure argument: f_19163 
o|dropping unused closure argument: f_19261 
o|dropping unused closure argument: f_20461 
o|dropping unused closure argument: f_25264 
o|dropping unused closure argument: f_25988 
o|dropping unused closure argument: f_26629 
o|dropping unused closure argument: f_26828 
o|dropping unused closure argument: f_27165 
o|dropping unused closure argument: f_28634 
o|dropping unused closure argument: f_28681 
o|dropping unused closure argument: f_30146 
o|dropping unused closure argument: f_30160 
o|dropping unused closure argument: f_30426 
o|dropping unused closure argument: f_30699 
o|dropping unused closure argument: f_31024 
*/
/* end of file */
